/**********************************************************************
   data.m
   PROJECT: Joint project with Loic Merel on the non-cyclotomic nature
            of torsion points on elliptic curves. 
   AUTHOR:  William A. Stein   (was@math.berkeley.edu)
 *************************************************************************/



/************************************************************************
   lchinz[p,i]  = [divisors d of p-1 such that
                   L(A_f,chi_d,1)=0, where 
                   chi_d:(Z/pZ)^*-->C^* is one of the
                   characters of degree d.

   The computation was done using modular symbols. 
   We consider L(A_f,chi_d,1)=/=0 if the value
   of a vector dual to f on the modular symbol
     s = sum_{a in (Z/pZ)^*} chi_d(a) {0,-1/a}
   is < 10^(-10).

   I plan to recheck this exactly at some point as Magma
   can do the exact algebraic computation quite quickly. 
 *************************************************************************/
LChiZero         := [[] : i in [1..997]];

LChiZero[11]	 := [[]];
LChiZero[13]	 := [];
LChiZero[17]	 := [[2]];
LChiZero[19]	 := [[]];
LChiZero[23]	 := [[]];
LChiZero[29]	 := [[2]];
LChiZero[31]	 := [[]];
LChiZero[37]	 := [[1, 2, 6],[2]];
LChiZero[41]	 := [[2]];
LChiZero[43]	 := [[1],[]];
LChiZero[47]	 := [[]];
LChiZero[53]	 := [[1, 2],[2]];
LChiZero[59]	 := [[]];
LChiZero[61]	 := [[1, 2],[2]];
LChiZero[67]	 := [[],[1],[]];
LChiZero[71]	 := [[],[]];
LChiZero[73]	 := [[2, 3, 6],[1, 2],[2]];
LChiZero[79]	 := [[1],[]];
LChiZero[83]	 := [[1],[]];
LChiZero[89]	 := [[1, 2],[2],[2]];
LChiZero[97]	 := [[1, 2],[2]];
LChiZero[101]	 := [[1, 2, 4],[2]];
LChiZero[103]	 := [[1],[]];
LChiZero[107]	 := [[1],[]];
LChiZero[109]	 := [[2],[1, 2],[2]];
LChiZero[113]	 := [[2],[2],[1, 2],[2]];
LChiZero[127]	 := [[1],[]];
LChiZero[131]	 := [[1, 2],[]];
LChiZero[137]	 := [[1, 2],[2]];
LChiZero[139]	 := [[3],[1],[]];
LChiZero[149]	 := [[1, 2],[2]];
LChiZero[151]	 := [[1],[],[]];
LChiZero[157]	 := [[1, 2],[2]];
LChiZero[163]	 := [[1],[1],[]];
LChiZero[167]	 := [[1],[]];
LChiZero[173]	 := [[1, 2],[2]];
LChiZero[179]	 := [[],[1],[]];
LChiZero[181]	 := [[1, 2],[2]];
LChiZero[191]	 := [[1],[]];
LChiZero[193]	 := [[1, 2],[1, 2],[2]];
LChiZero[197]	 := [[1, 2],[1, 2],[2]];
LChiZero[199]	 := [[],[1],[]];
LChiZero[211]	 := [[],[1],[1],[]];
LChiZero[223]	 := [[1],[1],[]];
LChiZero[227]	 := [[1],[],[],[1],[]];
LChiZero[229]	 := [[1, 2, 3],[1, 2],[2]];
LChiZero[233]	 := [[2],[1, 2],[2]];
LChiZero[239]	 := [[1],[]];
LChiZero[241]	 := [[1, 2],[2]];
LChiZero[251]	 := [[1],[]];
LChiZero[257]	 := [[1, 2],[2]];
LChiZero[263]	 := [[1],[]];
LChiZero[269]	 := [[1, 2],[1, 2],[2]];
LChiZero[271]	 := [[1],[]];
LChiZero[277]	 := [[1, 2],[2],[1, 2],[2]];
LChiZero[281]	 := [[1, 2],[2]];
LChiZero[283]	 := [[1],[]];
LChiZero[293]	 := [[1, 2],[2]];
LChiZero[307]	 := [[],[3],[],[],[],[],[1]];
LChiZero[311]	 := [[1],[]];
LChiZero[313]	 := [[2],[1, 2],[2]];
LChiZero[317]	 := [[1, 2],[2]];
LChiZero[331]	 := [[1],[1],[1],[]];
LChiZero[337]	 := [[1, 2],[2]];
LChiZero[347]	 := [[1],[1],[1],[]];
LChiZero[349]	 := [[1, 2],[2]];
LChiZero[353]	 := [[2, 4],[2],[1, 2],[2]];
LChiZero[359]	 := [[1],[1, 2],[1],[]];
LChiZero[367]	 := [[1],[]];
LChiZero[373]	 := [[1, 2, 6],[1, 2],[2]];
LChiZero[379]	 := [[1],[]];
LChiZero[383]	 := [[1],[1],[]];
LChiZero[389]	 := [[1, 2, 4],[1, 2],[1, 2],[1, 2],[2]];
LChiZero[397]	 := [[1, 2],[2],[2],[2],[1, 2]];
LChiZero[401]	 := [[1, 2],[2]];
LChiZero[409]	 := [[1, 2],[2]];
LChiZero[419]	 := [[1],[]];
LChiZero[421]	 := [[1, 2],[2]];
LChiZero[431]	 := [[1],[],[1],[],[1],[]];
LChiZero[433]	 := [[1, 2],[2],[1, 2],[2]];
LChiZero[439]	 := [[1],[1],[]];
LChiZero[443]	 := [[1],[1],[2],[1],[]];
LChiZero[449]	 := [[1, 2],[2]];
LChiZero[457]	 := [[1, 2],[1, 2],[2]];
LChiZero[461]	 := [[1, 2],[1, 2],[1, 2],[2]];
LChiZero[463]	 := [[1],[]];
LChiZero[467]	 := [[1, 2],[1],[]];
LChiZero[479]	 := [[1],[]];
LChiZero[487]	 := [[],[],[],[],[1]];
LChiZero[491]	 := [[1],[1],[]];
LChiZero[499]	 := [[1],[1],[]];
LChiZero[503]	 := [[1],[],[],[],[1],[]];
LChiZero[509]	 := [[1, 2],[2]];
LChiZero[521]	 := [[1, 2],[2]];
LChiZero[523]	 := [[1],[1],[]];
LChiZero[541]	 := [[1, 2],[2]];
LChiZero[547]	 := [[1],[1],[]];
LChiZero[557]	 := [[1, 2],[2],[1, 2],[2]];
LChiZero[563]	 := [[1],[1],[1],[1],[]];
LChiZero[569]	 := [[1, 2],[2]];
LChiZero[571]	 := [[],[1],[],[],[1],[],[1],[1],[]];
LChiZero[577]	 := [[2],[2],[2],[2],[1, 2]];
LChiZero[587]	 := [[1],[1],[]];
LChiZero[593]	 := [[1, 2],[2, 8],[2],[1, 2],[2]];
LChiZero[599]	 := [[1],[1],[]];
LChiZero[601]	 := [[1, 2],[2]];
LChiZero[607]	 := [[1],[1],[1],[]];
LChiZero[613]	 := [[1, 2],[1, 2],[2]];
LChiZero[617]	 := [[1, 2],[2]];
LChiZero[619]	 := [[1],[]];
LChiZero[631]	 := [[1],[]];
LChiZero[641]	 := [[1, 2],[2]];
LChiZero[643]	 := [[1, 3],[1],[]];
LChiZero[647]	 := [[1],[1],[]];
LChiZero[653]	 := [[1, 2],[1, 2],[2]];
LChiZero[659]	 := [[1],[],[1],[]];
LChiZero[661]	 := [[2],[1, 2],[2]];
LChiZero[673]	 := [[2],[2],[2],[1, 2]];
LChiZero[677]	 := [[1, 2],[1, 2],[1, 2],[2]];
LChiZero[683]	 := [[],[1],[]];
LChiZero[691]	 := [[1],[]];
LChiZero[701]	 := [[2],[1, 2],[2]];
LChiZero[709]	 := [[1, 2],[1, 2],[2]];
LChiZero[719]	 := [[1],[1],[]];
LChiZero[727]	 := [[1],[]];
LChiZero[733]	 := [[2],[1, 2],[1, 2],[2]];
LChiZero[739]	 := [[],[1],[1],[]];
LChiZero[743]	 := [[1],[]];
LChiZero[751]	 := [[1],[]];
LChiZero[757]	 := [[1, 2],[2]];
LChiZero[761]	 := [[1, 2],[1, 2],[2]];
LChiZero[769]	 := [[1, 2],[2]];
LChiZero[773]	 := [[1, 2],[1, 2],[2]];
LChiZero[787]	 := [[1],[]];
LChiZero[797]	 := [[1, 2],[2],[1, 2],[2]];
LChiZero[809]	 := [[1, 2],[1, 2],[2]];
LChiZero[811]	 := [[1],[1],[]];
LChiZero[821]	 := [[1, 2],[2]];
LChiZero[823]	 := [[1],[]];
LChiZero[827]	 := [[1],[1],[1],[]];
LChiZero[829]	 := [[1, 2],[1, 2],[2]];
LChiZero[839]	 := [[1],[]];
LChiZero[853]	 := [[1, 2],[2]];
LChiZero[857]	 := [[1, 2],[2]];
LChiZero[859]	 := [[1],[]];
LChiZero[863]	 := [[1],[1],[]];
LChiZero[877]	 := [[1, 2],[1, 2],[2]];
LChiZero[881]	 := [[1, 2],[2]];
LChiZero[883]	 := [[1],[]];
LChiZero[887]	 := [[1],[1],[]];
LChiZero[907]	 := [[1],[]];
LChiZero[911]	 := [[1],[1],[]];
LChiZero[919]	 := [[1],[1],[]];
LChiZero[929]	 := [[1, 2],[1, 2],[2]];
LChiZero[937]	 := [[1, 2],[2]];
LChiZero[941]	 := [[1, 2],[2]];
LChiZero[947]	 := [[1],[]];
LChiZero[953]	 := [[1, 2],[2]];
LChiZero[967]	 := [[1],[]];
LChiZero[971]	 := [[1],[]];
LChiZero[977]	 := [[1, 2],[2]];
LChiZero[983]	 := [[1],[]];
LChiZero[991]	 := [[1],[]];
LChiZero[997]	 := [[1, 2],[1, 2],[1, 2],[1, 2],[1, 2],[1, 2],[1, 2],[2]];







/************************************************************************
   Anomolous j's
   These are the Anomolous j-invariants for primes p <= 997.
   We consider a j-invariant Anomolous if there exists SOME elliptic 
   curve E/Fp of j-invariant j for which |E(Fp)| = p. 
 *************************************************************************/

Anomolous      := [[] : i in [1..997]];

Anomolous[5]   := [4];
Anomolous[7]   := [0, 3];
Anomolous[11]  := [6];
Anomolous[13]  := [2, 9];
Anomolous[17]  := [3];
Anomolous[19]  := [0, 4, 6];
Anomolous[23]  := [4, 16];
Anomolous[29]  := [4, 8];
Anomolous[31]  := [10, 24];
Anomolous[37]  := [0, 16, 35];
Anomolous[41]  := [10];
Anomolous[43]  := [18, 23, 25, 32, 33];
Anomolous[47]  := [13, 21];
Anomolous[53]  := [3, 31, 36];
Anomolous[59]  := [29, 45];
Anomolous[61]  := [0, 7, 21, 23, 59];
Anomolous[67]  := [2, 26];
Anomolous[71]  := [3, 39, 61];
Anomolous[73]  := [11, 14, 40, 67];
Anomolous[79]  := [6, 13, 28, 40, 62, 71];
Anomolous[83]  := [12, 26, 63];
Anomolous[89]  := [35, 45, 69, 81];
Anomolous[97]  := [30, 54, 71, 81, 91];
Anomolous[101] := [16, 99];
Anomolous[103] := [18, 33, 53, 74, 82, 87];
Anomolous[107] := [8, 60];
Anomolous[109] := [48, 62, 88, 102];
Anomolous[113] := [3, 22, 26, 55, 69, 82];
Anomolous[127] := [0, 23, 70, 79, 92];
Anomolous[131] := [68, 88, 102, 114, 125];
Anomolous[137] := [7, 8, 95];
Anomolous[139] := [2, 50, 61, 109];
Anomolous[149] := [8, 16, 50, 70];
Anomolous[151] := [40, 75, 96, 99, 125];
Anomolous[157] := [15, 53, 122, 133];
Anomolous[163] := [12, 50, 56, 80, 112, 124, 131, 144];
Anomolous[167] := [79, 94, 134, 158];
Anomolous[173] := [31, 39, 76, 82, 161];
Anomolous[179] := [15, 20, 54, 59];
Anomolous[181] := [60, 61, 83, 124];
Anomolous[191] := [22, 77, 153, 163];
Anomolous[193] := [56, 91, 100, 101, 109, 120];
Anomolous[197] := [16, 59, 93, 99, 116];
Anomolous[199] := [23, 81, 102, 168];
Anomolous[211] := [44, 56, 59, 99, 163, 174];
Anomolous[223] := [9, 13, 25, 143, 161, 183, 204, 206, 222];
Anomolous[227] := [87, 150, 162];
Anomolous[229] := [47, 76, 83, 89, 130, 142, 151, 171];
Anomolous[233] := [42, 47, 106, 182, 188, 198, 220];
Anomolous[239] := [72, 95, 127, 146];
Anomolous[241] := [33, 39, 66, 77, 105, 164, 210, 215, 223];
Anomolous[251] := [59, 163, 196, 227];
Anomolous[257] := [97, 124, 129, 163];
Anomolous[263] := [4, 66, 154, 176, 249];
Anomolous[269] := [49, 148, 158, 169, 257, 258, 262];
Anomolous[271] := [0, 7, 26, 200, 246, 255, 269];
Anomolous[277] := [11, 27, 137, 156, 174, 179, 264, 268];
Anomolous[281] := [28, 98, 153, 179, 257];
Anomolous[283] := [28, 46, 119, 123, 193, 270, 276, 280];
Anomolous[293] := [6, 9, 64, 74, 123, 247, 254];
Anomolous[307] := [98, 132, 138, 142];
Anomolous[311] := [54, 129, 251, 273];
Anomolous[313] := [20, 24, 26, 84, 92, 167, 212, 233, 235, 238, 250, 260, 261, 263, 278];
Anomolous[317] := [48, 66, 82, 147, 152, 291];
Anomolous[331] := [0, 21, 36, 44, 98, 99, 195, 226, 236, 246];
Anomolous[337] := [90, 171, 272, 296, 305, 325];
Anomolous[347] := [100, 117, 237, 275];
Anomolous[349] := [20, 91, 104, 136, 168, 209, 246, 262, 272, 281, 284, 306];
Anomolous[353] := [5, 9, 12, 157];
Anomolous[359] := [24, 176, 189, 304];
Anomolous[367] := [39, 63, 161, 236, 276];
Anomolous[373] := [40, 73, 98, 141, 196, 198, 246, 258, 275, 285, 319, 352];
Anomolous[379] := [2, 12, 122, 134, 141, 261, 282, 292, 298, 307, 341, 355];
Anomolous[383] := [5, 17, 64, 74, 76, 174, 239, 253, 272, 324, 330];
Anomolous[389] := [58, 381, 382, 383];
Anomolous[397] := [0, 75, 121, 156, 233, 247, 264, 266, 312];
Anomolous[401] := [84, 115, 140, 173, 273, 400];
Anomolous[409] := [133, 141, 175, 235, 246, 283, 304, 347];
Anomolous[419] := [61, 183, 225, 278, 295, 300, 404];
Anomolous[421] := [99, 124, 138, 153, 199, 233, 318, 385, 401, 407];
Anomolous[431] := [95, 119, 155, 233, 246];
Anomolous[433] := [9, 14, 44, 114, 219, 225, 361, 407];
Anomolous[439] := [25, 30, 36, 118, 139, 180, 209, 250, 254, 258, 303, 319, 337, 351, 374, 419];
Anomolous[443] := [164, 185, 206, 263, 271, 319, 339, 426];
Anomolous[449] := [30, 61, 186, 201, 263, 280, 289, 314];
Anomolous[457] := [26, 63, 132, 168, 189, 250, 270, 290, 323, 381, 415, 451];
Anomolous[461] := [109, 240, 321, 350, 455, 459];
Anomolous[463] := [14, 122, 164, 165, 188, 192, 263, 312, 332, 371, 375, 378, 404, 457];
Anomolous[467] := [233, 266, 309, 339, 401];
Anomolous[479] := [125, 298, 375, 388, 413, 452];
Anomolous[487] := [48, 57, 87, 261, 288, 297, 322, 383];
Anomolous[491] := [27, 249, 294, 304, 408, 445];
Anomolous[499] := [30, 60, 170, 214, 257, 262, 301, 387];
Anomolous[503] := [214, 235, 252, 271, 311, 313, 318];
Anomolous[509] := [108, 120, 157, 158, 217, 274, 390, 471];
Anomolous[521] := [60, 96, 114, 190, 266, 320, 331];
Anomolous[523] := [7, 32, 103, 166, 223, 230, 300, 302, 320, 417, 455, 478];
Anomolous[541] := [24, 259, 348, 408, 424, 472, 517, 536];
Anomolous[547] := [0, 57, 131, 141, 208, 227, 230, 258, 320, 355, 393, 440, 500, 543];
Anomolous[557] := [38, 83, 247, 298, 544, 551];
Anomolous[563] := [5, 52, 220, 286, 308, 448, 537];
Anomolous[569] := [19, 25, 100, 288, 349, 364, 385, 458, 520, 527];
Anomolous[571] := [40, 93, 135, 153, 475, 528];
Anomolous[577] := [30, 61, 148, 149, 310, 323, 387, 504];
Anomolous[587] := [152, 177, 346, 494, 563];
Anomolous[593] := [14, 70, 81, 90, 101, 143, 207, 236, 253, 348, 451, 465, 557];
Anomolous[599] := [5, 66, 199, 233, 253, 495, 540, 590];
Anomolous[601] := [117, 286, 359, 393, 432, 474, 489, 517];
Anomolous[607] := [13, 79, 245, 266, 334, 361, 364, 380, 444, 487, 508, 509, 546, 591];
Anomolous[613] := [60, 146, 166, 218, 342, 355, 434, 543];
Anomolous[617] := [35, 151, 173, 191, 224, 319, 561];
Anomolous[619] := [36, 39, 66, 78, 120, 169, 230, 250, 276, 306, 312, 368, 384, 421, 551];
Anomolous[631] := [0, 3, 4, 18, 208, 274, 318, 405, 547, 550, 582];
Anomolous[641] := [238, 266, 320, 373, 381, 563];
Anomolous[643] := [14, 34, 78, 92, 101, 138, 177, 242, 264, 266, 278, 291, 358, 397];
Anomolous[647] := [82, 205, 271, 301, 397, 497, 517, 608];
Anomolous[653] := [58, 68, 143, 172, 192, 518, 553, 639];
Anomolous[659] := [43, 132, 198, 209, 219, 307, 339, 404, 419, 558, 590, 627];
Anomolous[661] := [18, 45, 131, 181, 219, 363, 439, 479, 565, 583];
Anomolous[673] := [21, 32, 46, 57, 60, 141, 167, 214, 244, 287, 309, 329, 389, 394, 400, 419, 432, 436, 530, 538, 587, 615, 617, 641];
Anomolous[677] := [13, 57, 66, 383, 443, 524, 552];
Anomolous[683] := [37, 87, 311, 356, 391, 404, 417, 438, 523, 626, 676];
Anomolous[691] := [2, 65, 81, 239, 286, 291, 305, 328, 344, 459, 609, 645, 657, 675, 679];
Anomolous[701] := [3, 25, 123, 210, 420, 466, 497, 663, 687];
Anomolous[709] := [33, 70, 133, 197, 223, 251, 373, 374, 405, 439, 476, 490, 581, 634, 638, 653, 684, 707];
Anomolous[719] := [28, 71, 181, 208, 477, 522, 613, 628, 644, 651, 703, 705];
Anomolous[727] := [110, 158, 195, 329, 335, 429, 483, 496, 505, 518, 537, 654];
Anomolous[733] := [21, 24, 42, 118, 154, 179, 226, 271, 279, 341, 350, 450, 663, 721];
Anomolous[739] := [24, 68, 73, 79, 88, 240, 247, 287, 317, 405, 518, 670];
Anomolous[743] := [19, 34, 37, 117, 213, 278, 286, 347, 436, 480, 611];
Anomolous[751] := [92, 300, 313, 374, 473, 537, 565, 582];
Anomolous[757] := [69, 139, 162, 174, 223, 276, 324, 367, 404, 406, 481, 715];
Anomolous[761] := [210, 286, 300, 304, 370, 373, 514, 530, 598, 601, 611, 669];
Anomolous[769] := [108, 140, 172, 184, 292, 476, 494, 509, 570, 621, 671, 716, 760, 766];
Anomolous[773] := [29, 37, 96, 125, 284, 513, 524, 575, 580, 656];
Anomolous[787] := [37, 56, 140, 290, 302, 336, 448, 514, 547, 644];
Anomolous[797] := [76, 123, 200, 208, 389, 744, 747];
Anomolous[809] := [205, 207, 456, 503, 618, 757];
Anomolous[811] := [46, 273, 400, 449, 527, 638, 667, 724];
Anomolous[821] := [50, 114, 217, 243, 473, 546, 762, 776, 792];
Anomolous[823] := [14, 77, 112, 236, 250, 252, 634, 734, 813, 814];
Anomolous[827] := [54, 114, 242, 247, 324, 351, 363, 532, 616];
Anomolous[829] := [6, 134, 138, 162, 273, 278, 315, 601];
Anomolous[839] := [6, 68, 161, 285, 333, 365, 627, 734];
Anomolous[853] := [19, 113, 203, 254, 276, 293, 340, 395, 459, 463, 498, 598, 676, 685, 792];
Anomolous[857] := [35, 71, 406, 436, 532, 556];
Anomolous[859] := [134, 159, 191, 256, 296, 299, 410, 435, 476, 487, 518, 531, 570, 614, 837, 855];
Anomolous[863] := [88, 116, 164, 228, 306, 392, 410, 427, 638, 697, 719, 770];
Anomolous[877] := [52, 71, 263, 264, 438, 485, 697, 815];
Anomolous[881] := [75, 177, 373, 413, 522, 630];
Anomolous[883] := [40, 153, 181, 203, 241, 251, 276, 298, 333, 345, 409, 454, 473, 599, 623, 642];
Anomolous[887] := [143, 208, 279, 294, 481, 751, 771, 812, 878];
Anomolous[907] := [108, 249, 351, 382, 404, 457, 557, 753, 831, 840];
Anomolous[911] := [154, 230, 281, 356, 506, 542, 691, 770, 865];
Anomolous[919] := [0, 56, 63, 177, 191, 228, 354, 372, 378, 470, 488, 552, 594, 637, 736, 740, 873];
Anomolous[929] := [15, 204, 262, 310, 447, 472, 542, 684, 699, 800, 848, 880, 890, 894];
Anomolous[937] := [86, 121, 154, 483, 500, 563, 630, 674, 730, 778, 829, 888];
Anomolous[941] := [37, 71, 517, 609, 793, 868];
Anomolous[947] := [92, 253, 598, 601, 610, 651, 713, 900];
Anomolous[953] := [75, 89, 231, 317, 323, 328, 346, 593, 703, 910];
Anomolous[967] := [48, 83, 108, 116, 152, 218, 350, 421, 490, 671, 770, 890, 907, 922];
Anomolous[971] := [49, 97, 174, 243, 376, 515, 589, 728];
Anomolous[977] := [135, 202, 507, 690, 814, 890, 895];
Anomolous[983] := [20, 118, 140, 176, 195, 236, 394, 470, 498, 800, 820];
Anomolous[991] := [56, 140, 236, 418, 441, 531, 634, 933];
Anomolous[997] := [41, 62, 91, 288, 409, 455, 484, 560, 624, 645, 648, 682, 819, 930, 987];









/******************************************************************
 * FILE:        ss_eigenvectors.m
 * DESCRIPTION: 
 * AUTHOR:      William A. Stein
 ******************************************************************/

R<x> := PolynomialRing(Rationals());

SupersingularModule := recformat<
    MonodromyWeights,
    SupersingularBasis,
    Eigenvectors
>;

Eigen := recformat<
    DefiningPolynomial,
    Coordinates
> ;

MOG := [rec<SupersingularModule|> : i in [1..997]];

MOG[11] := 	// J_0(11)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 2],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 1]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 2,
           Coordinates        := [-1, 1]>
       ]
>;

MOG[17] := 	// J_0(17)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 8]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [-1, 1]>
       ]
>;

MOG[19] := 	// J_0(19)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 2],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [7, 18]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x,
           Coordinates        := [-1, 1]>
       ]
>;

MOG[23] := 	// J_0(23)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 2, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 3, 19]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + x - 1,
           Coordinates        := [-x - 1, x + 2, -1]>
       ]
>;

MOG[29] := 	// J_0(29)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 2, 25]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + 2*x - 1,
           Coordinates        := [-x - 1, x - 1, 2]>
       ]
>;

MOG[31] := 	// J_0(31)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 2],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [2, 4, 23]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 - x - 1,
           Coordinates        := [-x + 1, x, -1]>
       ]
>;

MOG[37] := 	// J_0(37)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [8, 14*x + 3, 23*x + 3]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 2,
           Coordinates        := [0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x,
           Coordinates        := [-2, 1, 1]>
       ]
>;

MOG[41] := 	// J_0(41)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 3, 28, 32]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^3 + x^2 - 5*x - 1,
           Coordinates        := [-x^2 + 3, x^2 - 2*x - 1, 2, 2*x - 4]>
       ]
>;

MOG[43] := 	// J_0(43)
   rec<SupersingularModule | 
       MonodromyWeights   := [2, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [8, 41, x + 12, 42*x + 12]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 2,
           Coordinates        := [0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^2 - 2,
           Coordinates        := [-x, x - 2, 1, 1]>
       ]
>;

MOG[47] := 	// J_0(47)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 2, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 9, 10, 36, 44]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^4 - x^3 - 5*x^2 + 5*x - 1,
           Coordinates        := [-x^3 + x^2 + 2*x - 1, x^3 + x^2 - 2*x, x^2 - x + 1, -3*x + 1, -3*x^2 + 4*x - 1]>
       ]
>;

MOG[53] := 	// J_0(53)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 46, 50, 48*x + 28, 5*x + 28]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [0, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 + x^2 - 3*x - 1,
           Coordinates        := [-x^2 + 1, x^2 - 2*x - 1, 2, x - 1, x - 1]>
       ]
>;

MOG[59] := 	// J_0(59)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 2, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 15, 17, 28, 47, 48]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^5 - 9*x^3 + 2*x^2 + 16*x - 8,
           Coordinates        := [-x^4 + x^3 + 6*x^2 - 6*x, x^4 - 3*x^3 - 4*x^2 + 16*x - 8, 2*x - 4, x^3 - 3*x^2 + 4, x^3 - x^2 - 6*x + 4, 2*x^2 - 6*x + 4]>
       ]
>;

MOG[61] := 	// J_0(61)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [9, 41, 50, 17*x + 42, 44*x + 42]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [0, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 - x^2 - 3*x + 1,
           Coordinates        := [-x^2 + 1, x^2 + x, x - 1, -x, -x]>
       ]
>;

MOG[67] := 	// J_0(67)
   rec<SupersingularModule | 
       MonodromyWeights   := [2, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [53, 66, 3*x + 45, 64*x + 45, 30*x + 63, 37*x + 63]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 2,
           Coordinates        := [-1, -1, 0, 0, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^2 + 3*x + 1,
           Coordinates        := [0, 0, -x - 2, x + 2, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^2 + x - 1,
           Coordinates        := [2*x, -4*x + 2, x - 2, x - 2, 1, 1]>
       ]
>;

MOG[71] := 	// J_0(71)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 2, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 17, 24, 40, 41, 48, 66]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^3 - 5*x + 3,
           Coordinates        := [-x^2 - x + 2, 2*x - 1, x^2 + x - 2, -x^2 - 3*x + 3, x^2 + 1, -x - 2, 2*x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 + x^2 - 4*x - 3,
           Coordinates        := [-x^2 + 3, x^2 - 6, -x^2 - x + 3, x^2 - x - 3, x, x, 3]>
       ]
>;

MOG[73] := 	// J_0(73)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 5,
           Coordinates        := [9, 56, 11*x + 39, 62*x + 39, 50*x + 8, 23*x + 8]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [-1, 1, -1, -1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^2 + 3*x + 1,
           Coordinates        := [0, 0, -x - 2, x + 2, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^2 - x - 3,
           Coordinates        := [-2*x + 4, -2, x - 2, x - 2, 1, 1]>
       ]
>;

MOG[79] := 	// J_0(79)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 2, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [15, 17, 21, 64, 69, 31*x + 72, 48*x + 72]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [0, 0, 0, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^5 - 6*x^3 + 8*x - 1,
           Coordinates        := [-x^4 + 3*x^2 - 2, x^4 - 4*x^2 + 3, -x - 1, -x^3 + 2*x^2 + 3*x - 4, -x^3 - x^2 + 2*x + 2, x^3 - 2*x + 1, x^3 - 2*x + 1]>
       ]
>;

MOG[83] := 	// J_0(83)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 2, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 17, 28, 50, 67, 68, 17*x + 38, 66*x + 38]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^6 - x^5 - 9*x^4 + 7*x^3 + 20*x^2 - 12*x - 8,
           Coordinates        := [-x^5 + x^4 + 7*x^3 - 5*x^2 - 10*x + 4, x^5 - x^4 - 9*x^3 + 9*x^2 + 16*x - 16, -2*x^3 - 2*x^2 + 6*x + 4, -2*x^4 + 2*x^3 + 10*x^2 - 8*x - 8, 2*x^3 - 10*x + 8, 2*x^2 + 2*x - 8, x^4 - 7*x^2 + 2*x + 8, x^4 - 7*x^2 + 2*x + 8]>
       ]
>;

MOG[89] := 	// J_0(89)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 6, 7, 13, 52, 66, 9*x + 76, 80*x + 76]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [-1, -1, 1, 1, -1, -1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^5 + x^4 - 10*x^3 - 10*x^2 + 21*x + 17,
           Coordinates        := [x^4 + x^3 - 7*x^2 - 7*x + 2, -2*x^4 - 2*x^3 + 12*x^2 + 16*x + 6, x^4 + 3*x^3 - 7*x^2 - 25*x - 12, -2*x^3 - 2*x^2 + 14*x + 20, -3*x^3 - x^2 + 17*x + 7, 3*x^3 + 3*x^2 - 19*x - 17, x^2 + 2*x - 3, x^2 + 2*x - 3]>
       ]
>;

MOG[97] := 	// J_0(97)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 5,
           Coordinates        := [1, 20, 31*x + 76, 66*x + 76, 34*x + 45, 63*x + 45, x + 81, 96*x + 81]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^3 + 4*x^2 + 3*x - 1,
           Coordinates        := [0, 0, -x^2 - 3*x - 1, x^2 + 3*x + 1, -x - 2, x + 2, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^4 - 3*x^3 - x^2 + 6*x - 1,
           Coordinates        := [-x^3 + 4*x^2 - 3*x - 1, x^3 - 2*x^2 - x + 1, -x^2 + 3*x - 1, -x^2 + 3*x - 1, -x + 2, -x + 2, -1, -1]>
       ]
>;

MOG[101] := 	// J_0(101)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 3, 21, 57, 59, 64, 66, 91*x + 37, 10*x + 37]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^7 - 13*x^5 + 2*x^4 + 47*x^3 - 16*x^2 - 43*x + 14,
           Coordinates        := [-x^6 + 10*x^4 - 2*x^3 - 23*x^2 + 14*x - 2, x^6 - 8*x^4 + 4*x^3 + 15*x^2 - 16*x + 4, -6*x^3 - 2*x^2 + 22*x - 6, 2*x^4 - 6*x^3 - 10*x^2 + 26*x - 8, x^5 + 2*x^4 - 4*x^3 - 4*x^2 + 7*x - 2, 2*x^5 - 14*x^3 + 2*x^2 + 20*x - 6, -3*x^5 + 24*x^3 - 2*x^2 - 45*x + 14, -3*x^4 + 2*x^3 + 12*x^2 - 14*x + 3, -3*x^4 + 2*x^3 + 12*x^2 - 14*x + 3]>
       ]
>;

MOG[103] := 	// J_0(103)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 2, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [23, 24, 34, 69, 80, 67*x + 61, 36*x + 61, 9*x + 20, 94*x + 20]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + 3*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, -x - 2, x + 2, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^6 - 4*x^5 - x^4 + 17*x^3 - 9*x^2 - 16*x + 11,
           Coordinates        := [-x^5 + 5*x^4 - 5*x^3 - 7*x^2 + 13*x - 5, x^5 - 3*x^4 - 2*x^3 + 8*x^2 - 3, -x^3 + 4*x^2 - 4*x + 1, -x^4 + 4*x^3 - 2*x^2 - 5*x + 4, -x^4 + 4*x^3 - x^2 - 8*x + 5, -x^2 + 3*x - 2, -x^2 + 3*x - 2, -x + 1, -x + 1]>
       ]
>;

MOG[107] := 	// J_0(107)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 2, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 16, 47, 72, 81, 94, 32*x + 66, 75*x + 66, 50*x + 74, 57*x + 74]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x - 1, x + 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^7 + x^6 - 10*x^5 - 7*x^4 + 29*x^3 + 12*x^2 - 20*x - 8,
           Coordinates        := [-x^6 - x^5 + 7*x^4 + 4*x^3 - 14*x^2 - 2*x + 8, x^6 + 2*x^5 - 6*x^4 - 9*x^3 + 12*x^2 + 8*x - 4, -3*x^4 - 3*x^3 + 13*x^2 + 4*x - 8, -3*x^5 - 3*x^4 + 15*x^3 + 10*x^2 - 12*x - 8, -3*x^4 + x^3 + 17*x^2 - 6*x - 16, 2*x^5 + 4*x^4 - 8*x^3 - 16*x^2 + 8*x + 12, 2*x^4 + x^3 - 8*x^2 - 2*x + 4, 2*x^4 + x^3 - 8*x^2 - 2*x + 4, -x^3 - 3*x^2 + 2*x + 4, -x^3 - 3*x^2 + 2*x + 4]>
       ]
>;

MOG[109] := 	// J_0(109)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [17, 41, 43, 13*x + 98, 96*x + 98, 99*x + 70, 10*x + 70, 50*x + 24, 59*x + 24]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [-1, -1, 0, 0, 0, 1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^3 + 2*x^2 - x - 1,
           Coordinates        := [0, 0, 0, -x^2 - 2*x, x^2 + 2*x, -x - 1, x + 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^4 + x^3 - 5*x^2 - 4*x + 3,
           Coordinates        := [-x^3 + 3*x - 1, x^3 - 3*x - 1, 2*x + 2, x^2 - 1, x^2 - 1, -1, -1, -x^2 - x + 2, -x^2 - x + 2]>
       ]
>;

MOG[113] := 	// J_0(113)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 54, 72, 99, 55*x + 97, 58*x + 97, 20*x + 104, 93*x + 104, 16*x + 52, 97*x + 52]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [-1, -1, -1, 1, 1, 1, -1, -1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^2 - 2*x - 2,
           Coordinates        := [-1, -x + 3, -x + 1, -1, 1, 1, x - 1, x - 1, -1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 + 2*x^2 - x - 1,
           Coordinates        := [0, 0, 0, 0, -x^2 - 2*x, x^2 + 2*x, -x - 1, x + 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 + 2*x^2 - 5*x - 9,
           Coordinates        := [-2*x - 2, -2*x^2 + 8, 2*x^2 + 2*x - 6, -2*x^2 - 2*x, x^2 - 2*x - 6, x^2 - 2*x - 6, x + 1, x + 1, 2*x + 5, 2*x + 5]>
       ]
>;

MOG[127] := 	// J_0(127)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [73, 77, 95, 125, 126, 72*x + 83, 55*x + 83, 117*x + 16, 10*x + 16, 76*x + 55, 51*x + 55]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^3 + 3*x^2 - 3,
           Coordinates        := [0, 0, 0, 0, 0, -x^2 - 3*x - 2, x^2 + 3*x + 2, -x - 2, x + 2, -x - 1, x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^7 - 2*x^6 - 8*x^5 + 15*x^4 + 17*x^3 - 28*x^2 - 11*x + 15,
           Coordinates        := [-x^6 + 2*x^5 + 5*x^4 - 10*x^3 - 2*x^2 + 10*x - 5, x^6 - x^5 - 7*x^4 + 5*x^3 + 13*x^2 - 5*x - 7, 2*x^5 - 3*x^4 - 9*x^3 + 10*x^2 + 9*x - 8, 2*x^4 - 5*x^3 - 3*x^2 + 8*x + 1, -x^5 + 3*x^4 + 5*x^3 - 14*x^2 - 6*x + 13, -x^4 + 3*x^3 - x^2 - 4*x + 4, -x^4 + 3*x^3 - x^2 - 4*x + 4, -x^5 + x^4 + 5*x^3 - 2*x^2 - 5*x + 1, -x^5 + x^4 + 5*x^3 - 2*x^2 - 5*x + 1, -x^3 + x^2 + x - 2, -x^3 + x^2 + x - 2]>
       ]
>;

MOG[131] := 	// J_0(131)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 10, 25, 28, 31, 50, 62, 82, 94, 113, 40*x + 89, 91*x + 89]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^10 - 18*x^8 + 2*x^7 + 111*x^6 - 18*x^5 - 270*x^4 + 28*x^3 + 232*x^2 + 16*x - 32,
           Coordinates        := [-x^9 + 15*x^7 - 72*x^5 - 4*x^4 + 120*x^3 + 24*x^2 - 56*x - 16, x^9 - 13*x^7 - 4*x^6 + 52*x^5 + 42*x^4 - 76*x^3 - 76*x^2 + 16*x + 16, -4*x^4 + 24*x^2 - 16, -3*x^8 + 2*x^7 + 39*x^6 - 22*x^5 - 150*x^4 + 52*x^3 + 176*x^2 - 32, x^7 + 2*x^6 - 7*x^5 - 16*x^4 - 2*x^3 + 24*x^2 + 32*x + 16, x^8 - 11*x^6 - 2*x^5 + 30*x^4 + 28*x^3 - 16*x^2 - 48*x - 32, x^7 - 15*x^5 + 2*x^4 + 62*x^3 + 4*x^2 - 80*x - 32, -4*x^5 + 4*x^4 + 24*x^3 - 24*x^2 - 16*x + 16, 2*x^8 - 3*x^7 - 24*x^6 + 31*x^5 + 82*x^4 - 66*x^3 - 100*x^2 + 24*x + 32, -3*x^7 + 2*x^6 + 35*x^5 - 18*x^4 - 118*x^3 + 28*x^2 + 112*x + 16, -2*x^6 + 2*x^5 + 16*x^4 - 12*x^3 - 32*x^2 + 8*x + 16, -2*x^6 + 2*x^5 + 16*x^4 - 12*x^3 - 32*x^2 + 8*x + 16]>
       ]
>;

MOG[137] := 	// J_0(137)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 22, 78, 136, 104*x + 73, 33*x + 73, 45*x + 49, 92*x + 49, 127*x + 19, 10*x + 19, x + 122, 136*x + 122]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^4 + 3*x^3 - 4*x - 1,
           Coordinates        := [0, 0, 0, 0, -x^3 - 3*x^2 - 2*x, x^3 + 3*x^2 + 2*x, -x^2 - 2*x, x^2 + 2*x, -x^2 - 2*x - 1, x^2 + 2*x + 1, -x - 1, x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^7 - 10*x^5 + 28*x^3 + 3*x^2 - 19*x - 7,
           Coordinates        := [-x^6 + x^5 + 7*x^4 - 5*x^3 - 13*x^2 + 4*x + 5, x^6 - 3*x^5 - 5*x^4 + 15*x^3 + 7*x^2 - 14*x - 7, 2*x^3 - 4*x^2 - 2*x + 2, 4*x^2 - 6*x - 4, x^5 - 3*x^4 - 3*x^3 + 11*x^2 - 4, x^5 - 3*x^4 - 3*x^3 + 11*x^2 - 4, x^4 - 2*x^3 - 3*x^2 + 4*x + 2, x^4 - 2*x^3 - 3*x^2 + 4*x + 2, x^4 - 2*x^3 - 4*x^2 + 6*x + 5, x^4 - 2*x^3 - 4*x^2 + 6*x + 5, x^3 - x^2 - x - 1, x^3 - x^2 - x - 1]>
       ]
>;

MOG[139] := 	// J_0(139)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [8, 36, 44, 60, 65, 100, 39*x + 135, 100*x + 135, 36*x + 123, 103*x + 123, 43*x + 57, 96*x + 57]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [-1, -1, 0, 0, -1, 1, 0, 0, 1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^3 + 2*x^2 - x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x^2 - 2*x, x^2 + 2*x, -x - 1, x + 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^7 - x^6 - 11*x^5 + 8*x^4 + 35*x^3 - 10*x^2 - 32*x - 8,
           Coordinates        := [-x^6 + x^5 + 9*x^4 - 8*x^3 - 17*x^2 + 8*x + 4, x^6 - x^5 - 9*x^4 + 6*x^3 + 21*x^2 - 6*x - 4, 2*x^4 - 2*x^3 - 10*x^2 + 6*x + 4, 2*x^3 - 10*x - 4, -2*x^2 + 4*x, -2*x, x^5 - x^4 - 7*x^3 + 3*x^2 + 12*x + 4, x^5 - x^4 - 7*x^3 + 3*x^2 + 12*x + 4, -x^3 + x^2 + 4*x, -x^3 + x^2 + 4*x, -x^5 + 9*x^3 - 16*x - 4, -x^5 + 9*x^3 - 16*x - 4]>
       ]
>;

MOG[149] := 	// J_0(149)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 12, 30, 62, 68, 74, 103, 135*x + 85, 14*x + 85, 31*x + 92, 118*x + 92, 94*x + 140, 55*x + 140]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^3 + x^2 - 2*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, -x^2 - x, x^2 + x, -x, x, -x - 1, x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^9 + x^8 - 15*x^7 - 12*x^6 + 75*x^5 + 48*x^4 - 137*x^3 - 76*x^2 + 68*x + 39,
           Coordinates        := [-x^8 - x^7 + 12*x^6 + 11*x^5 - 43*x^4 - 39*x^3 + 38*x^2 + 45*x + 10, x^8 + x^7 - 12*x^6 - 15*x^5 + 43*x^4 + 67*x^3 - 36*x^2 - 81*x - 28, 2*x^5 + 4*x^4 - 12*x^3 - 26*x^2 + 14*x + 18, -3*x^7 - x^6 + 32*x^5 + 9*x^4 - 99*x^3 - 31*x^2 + 78*x + 39, 2*x^6 + 2*x^5 - 14*x^4 - 18*x^3 + 18*x^2 + 36*x + 14, x^7 + x^6 - 8*x^5 - 11*x^4 + 15*x^3 + 31*x^2 - 9, 2*x^5 - 2*x^4 - 20*x^3 + 8*x^2 + 46*x + 22, x^6 - 2*x^5 - 9*x^4 + 14*x^3 + 19*x^2 - 12*x - 11, x^6 - 2*x^5 - 9*x^4 + 14*x^3 + 19*x^2 - 12*x - 11, x^5 + x^4 - 4*x^3 - 2*x^2 - 9*x - 7, x^5 + x^4 - 4*x^3 - 2*x^2 - 9*x - 7, x^7 - 2*x^6 - 12*x^5 + 15*x^4 + 43*x^3 - 18*x^2 - 48*x - 15, x^7 - 2*x^6 - 12*x^5 + 15*x^4 + 43*x^3 - 18*x^2 - 48*x - 15]>
       ]
>;

MOG[151] := 	// J_0(151)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [29, 67, 101, 124, 143, 148, 150, 88*x + 133, 63*x + 133, 41*x + 149, 110*x + 149, 127*x + 41, 24*x + 41]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^3 + 2*x^2 - x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, -x^2 - 2*x, x^2 + 2*x, 1, -1, -x - 1, x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 - 5*x + 3,
           Coordinates        := [-1, 1, -x, -x + 1, x - 1, -x^2 - x + 2, x^2 - 2, x - 1, x - 1, 0, 0, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^6 - x^5 - 7*x^4 + 3*x^3 + 13*x^2 + 3*x - 1,
           Coordinates        := [1/3*x^5 - 4/3*x^4 - 1/3*x^3 + 3*x^2 + 8/3*x + 2/3, -1/3*x^5 + 2/3*x^3 + x^2 + 7/3*x + 1, -x^5 + 4/3*x^4 + 4*x^3 - 5/3*x^2 - 5*x - 5/3, x^5 - x^4 - 5*x^3 + 4/3*x^2 + 17/3*x + 2, -5/3*x^4 + 4/3*x^3 + 17/3*x^2 - 1/3*x - 4/3, 1/3*x^3 - 2/3*x^2 - x - 1/3, 1/3*x^3 - 2/3*x^2 - x - 1/3, x^4 - x^3 - 10/3*x^2 + 2/3, x^4 - x^3 - 10/3*x^2 + 2/3, 1/3*x^4 - x^3 + 7/3*x + 1, 1/3*x^4 - x^3 + 7/3*x + 1, 4/3*x^3 - 2/3*x^2 - 4*x - 5/3, 4/3*x^3 - 2/3*x^2 - 4*x - 5/3]>
       ]
>;

MOG[157] := 	// J_0(157)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [79, 134, 150, 36*x + 43, 121*x + 43, 67*x + 75, 90*x + 75, 15*x + 22, 142*x + 22, 32*x + 143, 125*x + 143, 123*x + 55, 34*x + 55]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^5 + 5*x^4 + 5*x^3 - 6*x^2 - 7*x + 1,
           Coordinates        := [0, 0, 0, -x^4 - 5*x^3 - 7*x^2 - x + 2, x^4 + 5*x^3 + 7*x^2 + x - 2, -x^3 - 4*x^2 - 4*x, x^3 + 4*x^2 + 4*x, -x^3 - 3*x^2 - x + 1, x^3 + 3*x^2 + x - 1, -x^2 - 3*x - 2, x^2 + 3*x + 2, -x - 2, x + 2]>,
         rec<Eigen |
           DefiningPolynomial := x^7 - 5*x^6 + 2*x^5 + 21*x^4 - 22*x^3 - 21*x^2 + 27*x - 1,
           Coordinates        := [-x^6 + 4*x^5 - 13*x^3 + 7*x^2 + 8*x - 3, x^6 - 6*x^5 + 8*x^4 + 11*x^3 - 27*x^2 + 8*x + 5, 2*x - 4, x^2 - 3*x + 2, x^2 - 3*x + 2, x^3 - 3*x^2 - x + 5, x^3 - 3*x^2 - x + 5, x - 1, x - 1, x^4 - 4*x^3 + x^2 + 9*x - 7, x^4 - 4*x^3 + x^2 + 9*x - 7, x^5 - 5*x^4 + 4*x^3 + 11*x^2 - 15*x + 2, x^5 - 5*x^4 + 4*x^3 + 11*x^2 - 15*x + 2]>
       ]
>;

MOG[163] := 	// J_0(163)
   rec<SupersingularModule | 
       MonodromyWeights   := [2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [98, 127, 74*x + 151, 89*x + 151, 122*x + 128, 41*x + 128, 134*x + 22, 29*x + 22, 107*x + 87, 56*x + 87, 127*x + 19, 36*x + 19, 45*x + 127, 118*x + 127]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x,
           Coordinates        := [0, 0, 1, -1, 0, 0, 0, 0, 0, 0, -1, 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^5 + 5*x^4 + 3*x^3 - 15*x^2 - 16*x + 3,
           Coordinates        := [0, 0, -x^3 - 5*x^2 - 7*x - 2, x^3 + 5*x^2 + 7*x + 2, -x^4 - 5*x^3 - 6*x^2 + 3*x + 6, x^4 + 5*x^3 + 6*x^2 - 3*x - 6, -x^2 - 5*x - 6, x^2 + 5*x + 6, -x^3 - 3*x^2 + 3, x^3 + 3*x^2 - 3, -x^3 - 4*x^2 - 3*x + 2, x^3 + 4*x^2 + 3*x - 2, -x^2 - 4*x - 4, x^2 + 4*x + 4]>,
         rec<Eigen |
           DefiningPolynomial := x^7 - 3*x^6 - 5*x^5 + 19*x^4 - 23*x^2 + 4*x + 6,
           Coordinates        := [-x^6 + 3*x^5 + 3*x^4 - 13*x^3 + 2*x^2 + 9*x - 2, x^6 - 5*x^5 + 3*x^4 + 15*x^3 - 16*x^2 - 7*x + 8, x^5 - 5*x^4 + 5*x^3 + 6*x^2 - 7*x - 1, x^5 - 5*x^4 + 5*x^3 + 6*x^2 - 7*x - 1, x^4 - 5*x^3 + 7*x^2 - 4, x^4 - 5*x^3 + 7*x^2 - 4, x^4 - 4*x^3 + 2*x^2 + 6*x - 4, x^4 - 4*x^3 + 2*x^2 + 6*x - 4, x^3 - 3*x^2 + x + 2, x^3 - 3*x^2 + x + 2, x^3 - 3*x^2 + 2*x - 1, x^3 - 3*x^2 + 2*x - 1, x^3 - 2*x^2 - 3*x + 5, x^3 - 2*x^2 - 3*x + 5]>
       ]
>;

MOG[167] := 	// J_0(167)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 15, 27, 30, 58, 59, 89, 112, 131, 132, 151, 22*x + 88, 145*x + 88, 27*x + 79, 140*x + 79]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x - 1, x + 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^12 - 2*x^11 - 17*x^10 + 33*x^9 + 103*x^8 - 189*x^7 - 277*x^6 + 447*x^5 + 363*x^4 - 433*x^3 - 205*x^2 + 120*x + 9,
           Coordinates        := [-x^11 + 2*x^10 + 14*x^9 - 26*x^8 - 69*x^7 + 112*x^6 + 153*x^5 - 195*x^4 - 155*x^3 + 133*x^2 + 51*x - 30, x^11 - 2*x^10 - 14*x^9 + 25*x^8 + 71*x^7 - 102*x^6 - 175*x^5 + 174*x^4 + 204*x^3 - 115*x^2 - 83*x + 24, x^9 - x^8 - 10*x^7 + 8*x^6 + 27*x^5 - 5*x^4 - 35*x^3 - 10*x^2 + 17*x, x^10 - 2*x^9 - 12*x^8 + 21*x^7 + 49*x^6 - 56*x^5 - 111*x^4 + 40*x^3 + 132*x^2 + 13*x - 51, -3*x^8 + 4*x^7 + 31*x^6 - 35*x^5 - 92*x^4 + 70*x^3 + 101*x^2 - 31*x - 24, -3*x^10 + 7*x^9 + 34*x^8 - 77*x^7 - 124*x^6 + 252*x^5 + 208*x^4 - 300*x^3 - 154*x^2 + 90*x + 9, -3*x^9 + 7*x^8 + 27*x^7 - 66*x^6 - 57*x^5 + 162*x^4 + 31*x^3 - 132*x^2 + 7*x + 24, x^10 - 5*x^9 - 6*x^8 + 56*x^7 - 18*x^6 - 194*x^5 + 123*x^4 + 280*x^3 - 177*x^2 - 151*x + 66, -x^8 + 3*x^7 + 5*x^6 - 20*x^5 + 7*x^4 + 28*x^3 - 41*x^2 - 4*x + 39, x^9 - 3*x^8 - 12*x^7 + 32*x^6 + 46*x^5 - 102*x^4 - 81*x^3 + 118*x^2 + 59*x - 33, x^10 - x^9 - 14*x^8 + 10*x^7 + 71*x^6 - 23*x^5 - 171*x^4 - 2*x^3 + 167*x^2 + 42*x - 24, x^9 - 2*x^8 - 11*x^7 + 23*x^6 + 32*x^5 - 67*x^4 - 36*x^3 + 64*x^2 + 16*x - 12, x^9 - 2*x^8 - 11*x^7 + 23*x^6 + 32*x^5 - 67*x^4 - 36*x^3 + 64*x^2 + 16*x - 12, 2*x^8 - x^7 - 22*x^6 + 9*x^5 + 68*x^4 - 4*x^3 - 75*x^2 - 21*x + 12, 2*x^8 - x^7 - 22*x^6 + 9*x^5 + 68*x^4 - 4*x^3 - 75*x^2 - 21*x + 12]>
       ]
>;

MOG[173] := 	// J_0(173)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 17, 24, 42, 85, 102, 159, 129*x + 97, 44*x + 97, 9*x + 31, 164*x + 31, 10*x + 119, 163*x + 119, 21*x + 114, 152*x + 114]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^4 + x^3 - 3*x^2 - x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, -x^3 - x^2 + x, x^3 + x^2 - x, -x^2, x^2, -x^2 - x + 1, x^2 + x - 1, -x, x]>,
         rec<Eigen |
           DefiningPolynomial := x^10 - x^9 - 16*x^8 + 16*x^7 + 85*x^6 - 80*x^5 - 175*x^4 + 136*x^3 + 138*x^2 - 71*x - 25,
           Coordinates        := [-x^9 + x^8 + 13*x^7 - 13*x^6 - 52*x^5 + 47*x^4 + 73*x^3 - 53*x^2 - 29*x + 18, x^9 - x^8 - 13*x^7 + 15*x^6 + 54*x^5 - 63*x^4 - 95*x^3 + 107*x^2 + 61*x - 62, -3*x^8 + 3*x^7 + 33*x^6 - 33*x^5 - 102*x^4 + 83*x^3 + 109*x^2 - 53*x - 25, 2*x^6 - 20*x^4 + 4*x^3 + 38*x^2 - 16, x^8 + x^7 - 11*x^6 - 7*x^5 + 40*x^4 + 17*x^3 - 61*x^2 - 15*x + 31, -4*x^6 + 4*x^5 + 30*x^4 - 30*x^3 - 40*x^2 + 30*x + 6, 2*x^7 - 2*x^6 - 24*x^5 + 28*x^4 + 70*x^3 - 76*x^2 - 56*x + 54, x^7 - x^6 - 10*x^5 + 12*x^4 + 17*x^3 - 19*x^2 - 8*x + 8, x^7 - x^6 - 10*x^5 + 12*x^4 + 17*x^3 - 19*x^2 - 8*x + 8, -2*x^6 + 17*x^4 - 38*x^2 - 4*x + 19, -2*x^6 + 17*x^4 - 38*x^2 - 4*x + 19, x^8 - x^7 - 10*x^6 + 12*x^5 + 20*x^4 - 23*x^3 - 8*x^2 + 12*x - 3, x^8 - x^7 - 10*x^6 + 12*x^5 + 20*x^4 - 23*x^3 - 8*x^2 + 12*x - 3, -3*x^7 + 3*x^6 + 27*x^5 - 29*x^4 - 55*x^3 + 53*x^2 + 31*x - 27, -3*x^7 + 3*x^6 + 27*x^5 - 29*x^4 - 55*x^3 + 53*x^2 + 31*x - 27]>
       ]
>;

MOG[179] := 	// J_0(179)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 22, 35, 61, 112, 117, 120, 121, 140, 171, 80*x + 107, 99*x + 107, 174*x + 109, 5*x + 109, 115*x + 5, 64*x + 5]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 2,
           Coordinates        := [0, -1, -1, 1, -1, -1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 + x^2 - 2*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^2 - x, x^2 + x, -x, x, -x - 1, x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^11 + 3*x^10 - 14*x^9 - 45*x^8 + 59*x^7 + 225*x^6 - 58*x^5 - 427*x^4 - 76*x^3 + 240*x^2 + 56*x - 16,
           Coordinates        := [2*x^7 + 6*x^6 - 10*x^5 - 34*x^4 + 8*x^3 + 42*x^2 - 8, -x^10 - 3*x^9 + 10*x^8 + 31*x^7 - 31*x^6 - 99*x^5 + 38*x^4 + 115*x^3 - 20*x^2 - 40*x, x^10 + 3*x^9 - 9*x^8 - 30*x^7 + 20*x^6 + 89*x^5 - 2*x^4 - 76*x^3 - 6*x^2 + 8*x, 2*x^6 + 8*x^5 - 28*x^3 - 24*x^2 + 12*x + 16, 2*x^9 + 6*x^8 - 16*x^7 - 54*x^6 + 30*x^5 + 144*x^4 + 4*x^3 - 110*x^2 - 12*x + 8, -x^9 - 4*x^8 + 6*x^7 + 37*x^6 + 6*x^5 - 93*x^4 - 55*x^3 + 60*x^2 + 40*x, x^9 + 3*x^8 - 7*x^7 - 28*x^6 - 4*x^5 + 63*x^4 + 62*x^3 - 12*x^2 - 32*x, 2*x^8 + 6*x^7 - 10*x^6 - 34*x^5 + 8*x^4 + 42*x^3 - 8*x, x^8 + x^7 - 11*x^6 - 10*x^5 + 30*x^4 + 27*x^3 - 4*x^2 - 8, x^8 + x^7 - 13*x^6 - 16*x^5 + 34*x^4 + 37*x^3 - 22*x^2 - 8*x + 8, -x^9 - 3*x^8 + 8*x^7 + 26*x^6 - 16*x^5 - 63*x^4 + 7*x^3 + 40*x^2 - 12*x - 8, -x^9 - 3*x^8 + 8*x^7 + 26*x^6 - 16*x^5 - 63*x^4 + 7*x^3 + 40*x^2 - 12*x - 8, -x^8 - 3*x^7 + 6*x^6 + 19*x^5 - 13*x^4 - 42*x^3 + 2*x^2 + 20*x, -x^8 - 3*x^7 + 6*x^6 + 19*x^5 - 13*x^4 - 42*x^3 + 2*x^2 + 20*x, -x^8 - 2*x^7 + 9*x^6 + 17*x^5 - 18*x^4 - 33*x^3 + 6*x^2 + 12*x, -x^8 - 2*x^7 + 9*x^6 + 17*x^5 - 18*x^4 - 33*x^3 + 6*x^2 + 12*x]>
       ]
>;

MOG[181] := 	// J_0(181)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [36, 64, 146, 173, 175, 126*x + 3, 55*x + 3, 140*x + 107, 41*x + 107, 101*x + 36, 80*x + 36, 161*x + 16, 20*x + 16, 130*x + 54, 51*x + 54]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^5 + 3*x^4 - x^3 - 7*x^2 - 2*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, -x^4 - 3*x^3 - x^2 + 2*x, x^4 + 3*x^3 + x^2 - 2*x, -x^3 - 3*x^2 - 2*x, x^3 + 3*x^2 + 2*x, -x^3 - 2*x^2 + 1, x^3 + 2*x^2 - 1, -x^2 - 2*x, x^2 + 2*x, -x^2 - x + 1, x^2 + x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^9 - 3*x^8 - 9*x^7 + 29*x^6 + 23*x^5 - 84*x^4 - 23*x^3 + 89*x^2 + 8*x - 27,
           Coordinates        := [-x^8 + 2*x^7 + 9*x^6 - 16*x^5 - 25*x^4 + 35*x^3 + 30*x^2 - 23*x - 15, x^8 - x^7 - 10*x^6 + 8*x^5 + 31*x^4 - 16*x^3 - 36*x^2 + 9*x + 12, x^7 - x^6 - 8*x^5 + 6*x^4 + 19*x^3 - 8*x^2 - 14*x + 3, -2*x^5 + 6*x^4 + 4*x^3 - 18*x^2 - 2*x + 12, -4*x^4 + 6*x^3 + 10*x^2 - 10*x - 6, -x^7 + 2*x^6 + 7*x^5 - 12*x^4 - 14*x^3 + 18*x^2 + 8*x - 6, -x^7 + 2*x^6 + 7*x^5 - 12*x^4 - 14*x^3 + 18*x^2 + 8*x - 6, -x^6 + 3*x^5 + 4*x^4 - 12*x^3 - 6*x^2 + 11*x + 3, -x^6 + 3*x^5 + 4*x^4 - 12*x^3 - 6*x^2 + 11*x + 3, -x^6 + x^5 + 7*x^4 - 5*x^3 - 16*x^2 + 6*x + 12, -x^6 + x^5 + 7*x^4 - 5*x^3 - 16*x^2 + 6*x + 12, x^6 - x^5 - 6*x^4 + 4*x^3 + 11*x^2 - 3*x - 6, x^6 - x^5 - 6*x^4 + 4*x^3 + 11*x^2 - 3*x - 6, -x^5 + 3*x^3 + 4*x^2 - 2*x - 6, -x^5 + 3*x^3 + 4*x^2 - 2*x - 6]>
       ]
>;

MOG[191] := 	// J_0(191)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 9, 16, 41, 46, 55, 66, 106, 107, 138, 150, 169, 176, 120*x + 126, 71*x + 126, 87*x + 23, 104*x + 23]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x - 1, x + 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^14 - 23*x^12 + x^11 + 205*x^10 - 13*x^9 - 895*x^8 + 35*x^7 + 1993*x^6 + 103*x^5 - 2135*x^4 - 465*x^3 + 853*x^2 + 374*x + 41,
           Coordinates        := [-x^13 + 20*x^11 + x^10 - 149*x^9 - 18*x^8 + 513*x^7 + 123*x^6 - 813*x^5 - 347*x^4 + 467*x^3 + 322*x^2 + 39*x - 2, x^13 + x^12 - 20*x^11 - 20*x^10 + 149*x^9 + 151*x^8 - 505*x^7 - 539*x^6 + 731*x^5 + 911*x^4 - 225*x^3 - 575*x^2 - 220*x - 25, 4*x^10 - 2*x^9 - 55*x^8 + 22*x^7 + 252*x^6 - 58*x^5 - 452*x^4 - 18*x^3 + 275*x^2 + 94*x + 8, 2*x^12 - x^11 - 36*x^10 + 15*x^9 + 239*x^8 - 69*x^7 - 723*x^6 + 77*x^5 + 999*x^4 + 115*x^3 - 498*x^2 - 179*x - 16, -3*x^10 + 2*x^9 + 44*x^8 - 23*x^7 - 226*x^6 + 70*x^5 + 492*x^4 - 19*x^3 - 378*x^2 - 128*x - 11, x^9 - 6*x^7 - 8*x^6 - 14*x^5 + 60*x^4 + 85*x^3 - 64*x^2 - 96*x - 18, -3*x^9 + 2*x^8 + 36*x^7 - 29*x^6 - 128*x^5 + 107*x^4 + 128*x^3 - 62*x^2 - 37*x - 4, -3*x^10 + 2*x^9 + 48*x^8 - 25*x^7 - 260*x^6 + 73*x^5 + 552*x^4 + 66*x^3 - 411*x^2 - 222*x - 30, -3*x^11 + 2*x^10 + 50*x^9 - 27*x^8 - 290*x^7 + 110*x^6 + 694*x^5 - 101*x^4 - 624*x^3 - 96*x^2 + 103*x + 22, -3*x^12 + 2*x^11 + 56*x^10 - 31*x^9 - 382*x^8 + 158*x^7 + 1180*x^6 - 244*x^5 - 1668*x^4 - 143*x^3 + 892*x^2 + 372*x + 41, 2*x^11 - x^10 - 28*x^9 + 11*x^8 + 129*x^7 - 25*x^6 - 219*x^5 - 39*x^4 + 95*x^3 + 79*x^2 + 52*x + 9, x^8 - 5*x^7 - 6*x^6 + 45*x^5 - 15*x^4 - 112*x^3 + 40*x^2 + 110*x + 22, -6*x^8 + 5*x^7 + 59*x^6 - 46*x^5 - 157*x^4 + 67*x^3 + 134*x^2 + 8*x - 4, -3*x^9 + 2*x^8 + 32*x^7 - 20*x^6 - 101*x^5 + 41*x^4 + 123*x^3 - 16*x^2 - 57*x - 11, -3*x^9 + 2*x^8 + 32*x^7 - 20*x^6 - 101*x^5 + 41*x^4 + 123*x^3 - 16*x^2 - 57*x - 11, -6*x^8 - 2*x^7 + 66*x^6 + 17*x^5 - 212*x^4 - 64*x^3 + 187*x^2 + 109*x + 15, -6*x^8 - 2*x^7 + 66*x^6 + 17*x^5 - 212*x^4 - 64*x^3 + 187*x^2 + 109*x + 15]>
       ]
>;

MOG[193] := 	// J_0(193)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 5,
           Coordinates        := [42, 169, 104*x + 80, 89*x + 80, 16*x + 119, 177*x + 119, 60*x + 137, 133*x + 137, 22*x + 114, 171*x + 114, 66*x + 118, 127*x + 118, 137*x + 17, 56*x + 17, 138*x + 148, 55*x + 148]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + 3*x + 1,
           Coordinates        := [0, 0, -x - 1, x + 1, x, -x, x + 1, -x - 1, 0, 0, 1, -1, -x - 1, x + 1, 1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^5 + 2*x^4 - 5*x^3 - 7*x^2 + 7*x + 1,
           Coordinates        := [0, 0, -x^4 - 3*x^3 + x^2 + 6*x, x^4 + 3*x^3 - x^2 - 6*x, -x^3 - x^2 + 3*x, x^3 + x^2 - 3*x, -x^4 - 3*x^3 + 4*x + 1, x^4 + 3*x^3 - 4*x - 1, x^2 + 3*x + 1, -x^2 - 3*x - 1, -x^3 - 2*x^2 + x, x^3 + 2*x^2 - x, -x^3 - 2*x^2 + x + 1, x^3 + 2*x^2 - x - 1, x^2 + 2*x, -x^2 - 2*x]>,
         rec<Eigen |
           DefiningPolynomial := x^8 - 2*x^7 - 9*x^6 + 18*x^5 + 21*x^4 - 44*x^3 - 11*x^2 + 27*x + 1,
           Coordinates        := [-x^7 + 3*x^6 + 4*x^5 - 16*x^4 - x^3 + 23*x^2 - 8*x - 3, x^7 - 3*x^6 - 4*x^5 + 16*x^4 + x^3 - 23*x^2 + 4*x + 9, -x^6 + 3*x^5 + 2*x^4 - 11*x^3 + 2*x^2 + 10*x - 4, -x^6 + 3*x^5 + 2*x^4 - 11*x^3 + 2*x^2 + 10*x - 4, -x^5 + x^4 + 4*x^3 - 3*x^2 - 4*x + 2, -x^5 + x^4 + 4*x^3 - 3*x^2 - 4*x + 2, -x^5 + 4*x^4 - x^3 - 10*x^2 + 8*x + 1, -x^5 + 4*x^4 - x^3 - 10*x^2 + 8*x + 1, x^6 - 3*x^5 - 2*x^4 + 11*x^3 - 4*x^2 - 5*x + 1, x^6 - 3*x^5 - 2*x^4 + 11*x^3 - 4*x^2 - 5*x + 1, x^5 - 3*x^4 - x^3 + 9*x^2 - 5*x - 2, x^5 - 3*x^4 - x^3 + 9*x^2 - 5*x - 2, 2*x^3 - 3*x^2 - 4*x + 6, 2*x^3 - 3*x^2 - 4*x + 6, x^5 - 2*x^4 - 4*x^3 + 9*x^2 + 2*x - 7, x^5 - 2*x^4 - 4*x^3 + 9*x^2 + 2*x - 7]>
       ]
>;

MOG[197] := 	// J_0(197)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 22, 72, 120, 131, 191*x + 42, 6*x + 42, 25*x + 24, 172*x + 24, 125*x + 188, 72*x + 188, 82*x + 59, 115*x + 59, 163*x + 113, 34*x + 113, 122*x + 61, 75*x + 61]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 2,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, -1, 1, 1, -1, 1, -1, -1, 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^5 - 5*x^3 + x^2 + 3*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, -x^4 + 3*x^2 - 1, x^4 - 3*x^2 + 1, -x^3 + x^2 + x - 1, x^3 - x^2 - x + 1, -x^3 + x, x^3 - x, -x^2, x^2, -x^2 + x, x^2 - x, -x^2 - x + 1, x^2 + x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^10 - 15*x^8 + x^7 + 78*x^6 - 7*x^5 - 165*x^4 + 15*x^3 + 123*x^2 - 9*x - 26,
           Coordinates        := [-x^9 + x^8 + 12*x^7 - 11*x^6 - 47*x^5 + 36*x^4 + 67*x^3 - 36*x^2 - 25*x + 8, x^9 - 3*x^8 - 10*x^7 + 31*x^6 + 29*x^5 - 98*x^4 - 21*x^3 + 98*x^2 - x - 26, 4*x^5 - 10*x^4 - 14*x^3 + 40*x^2 - 2*x - 14, 2*x^5 - 2*x^4 - 12*x^3 + 10*x^2 + 14*x - 8, 2*x^6 - 6*x^5 - 6*x^4 + 26*x^3 - 6*x^2 - 16*x + 10, x^6 - 2*x^5 - 5*x^4 + 11*x^3 + 2*x^2 - 11*x + 4, x^6 - 2*x^5 - 5*x^4 + 11*x^3 + 2*x^2 - 11*x + 4, x^6 - x^5 - 8*x^4 + 5*x^3 + 20*x^2 - 6*x - 11, x^6 - x^5 - 8*x^4 + 5*x^3 + 20*x^2 - 6*x - 11, x^7 - 3*x^6 - 6*x^5 + 21*x^4 + 9*x^3 - 41*x^2 - 4*x + 19, x^7 - 3*x^6 - 6*x^5 + 21*x^4 + 9*x^3 - 41*x^2 - 4*x + 19, x^7 - 3*x^6 - 5*x^5 + 18*x^4 + 4*x^3 - 28*x^2 + 6*x + 7, x^7 - 3*x^6 - 5*x^5 + 18*x^4 + 4*x^3 - 28*x^2 + 6*x + 7, x^6 - 2*x^5 - 4*x^4 + 7*x^3 + 2*x^2 + x - 5, x^6 - 2*x^5 - 4*x^4 + 7*x^3 + 2*x^2 + x - 5, x^8 - 3*x^7 - 8*x^6 + 25*x^5 + 18*x^4 - 59*x^3 - 8*x^2 + 29*x + 1, x^8 - 3*x^7 - 8*x^6 + 25*x^5 + 18*x^4 - 59*x^3 - 8*x^2 + 29*x + 1]>
       ]
>;

MOG[199] := 	// J_0(199)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [8, 40, 61, 64, 90, 98, 136, 140, 147, 5*x + 177, 194*x + 177, 106*x + 50, 93*x + 50, 127*x + 191, 72*x + 191, 53*x + 189, 146*x + 189]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + x - 1,
           Coordinates        := [0, x + 1, -x - 1, -x, -x, 0, 1, x - 1, -x, 0, 0, x, x, 1, 1, -1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^4 + 3*x^3 - 4*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, -x^3 - 2*x^2 + x + 1, x^3 + 2*x^2 - x - 1, -x^2 - 2*x, x^2 + 2*x, -x - 1, x + 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^10 - 5*x^9 - 4*x^8 + 51*x^7 - 32*x^6 - 154*x^5 + 151*x^4 + 168*x^3 - 168*x^2 - 54*x + 27,
           Coordinates        := [-2*x^9 + 6*x^8 + 20*x^7 - 65*x^6 - 55*x^5 + 208*x^4 + 50*x^3 - 221*x^2 - 18*x + 36, x^9 - 4*x^8 - 7*x^7 + 37*x^6 + 11*x^5 - 102*x^4 - 16*x^3 + 103*x^2 + 27*x - 18, x^9 - 5*x^8 - 2*x^7 + 38*x^6 - 20*x^5 - 91*x^4 + 54*x^3 + 82*x^2 - 27*x - 18, x^8 - 4*x^7 - 5*x^6 + 31*x^5 - x^4 - 64*x^3 + 4*x^2 + 45*x + 9, x^8 - 5*x^7 + 28*x^5 - 12*x^4 - 63*x^3 + 16*x^2 + 54*x + 9, -3*x^7 + 11*x^6 + 10*x^5 - 64*x^4 + 15*x^3 + 88*x^2 - 36*x - 18, x^7 - 4*x^6 - 3*x^5 + 22*x^4 + x^3 - 37*x^2 + 18, x^8 - 5*x^7 + x^6 + 25*x^5 - 21*x^4 - 38*x^3 + 37*x^2 + 18*x - 18, x^7 - 5*x^6 + 5*x^5 + 9*x^4 - 19*x^3 + 10*x^2 + 9*x - 18, 2*x^6 - 8*x^5 + x^4 + 24*x^3 - 14*x^2 - 18*x + 9, 2*x^6 - 8*x^5 + x^4 + 24*x^3 - 14*x^2 - 18*x + 9, x^7 - 5*x^6 + 4*x^5 + 14*x^4 - 19*x^3 - 14*x^2 + 18*x + 9, x^7 - 5*x^6 + 4*x^5 + 14*x^4 - 19*x^3 - 14*x^2 + 18*x + 9, 2*x^6 - 6*x^5 - 8*x^4 + 25*x^3 + 16*x^2 - 27*x - 18, 2*x^6 - 6*x^5 - 8*x^4 + 25*x^3 + 16*x^2 - 27*x - 18, x^7 - 3*x^6 - 6*x^5 + 19*x^4 + 10*x^3 - 29*x^2 - 9*x + 9, x^7 - 3*x^6 - 6*x^5 + 19*x^4 + 10*x^3 - 29*x^2 - 9*x + 9]>
       ]
>;

MOG[211] := 	// J_0(211)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [28, 40, 82, 114, 148, 198, 45*x + 130, 166*x + 130, 22*x + 119, 189*x + 119, 49*x + 45, 162*x + 45, 47*x + 118, 164*x + 118, 100*x + 183, 111*x + 183, 3*x + 135, 208*x + 135]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 - x - 1,
           Coordinates        := [-2*x + 2, -2*x + 4, -2*x + 2, 4*x - 6, -2*x + 2, 4*x - 6, x - 2, x - 2, -3*x + 5, -3*x + 5, x - 2, x - 2, 1, 1, x - 2, x - 2, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 - 4*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, -1, 1, -x, x, -1, 1, -x^2 + 2, x^2 - 2, -1, 1, -x + 1, x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 + 2*x^2 - x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, x^2 + 2*x - 1, -x^2 - 2*x + 1, 1, -1, -x^2 - x + 1, x^2 + x - 1, 0, 0, -x - 1, x + 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^9 + x^8 - 14*x^7 - 11*x^6 + 66*x^5 + 36*x^4 - 123*x^3 - 38*x^2 + 72*x + 8,
           Coordinates        := [-x^8 + 12*x^6 - x^5 - 45*x^4 + 11*x^3 + 54*x^2 - 24*x, 2*x^5 + 2*x^4 - 12*x^3 - 8*x^2 + 18*x + 4, x^8 - 12*x^6 + x^5 + 47*x^4 - 9*x^3 - 62*x^2 + 18*x + 8, 2*x^6 - 14*x^4 + 4*x^3 + 26*x^2 - 14*x - 4, -x^7 + 10*x^5 - x^4 - 29*x^3 + 5*x^2 + 22*x - 4, -x^7 + 10*x^5 + x^4 - 31*x^3 - 5*x^2 + 32*x + 4, x^7 - 9*x^5 + 25*x^3 + x^2 - 20*x - 4, x^7 - 9*x^5 + 25*x^3 + x^2 - 20*x - 4, x^6 - x^5 - 8*x^4 + 6*x^3 + 16*x^2 - 8*x - 4, x^6 - x^5 - 8*x^4 + 6*x^3 + 16*x^2 - 8*x - 4, -x^4 - x^3 + 2*x^2 + 2*x + 4, -x^4 - x^3 + 2*x^2 + 2*x + 4, -x^6 + x^5 + 7*x^4 - 8*x^3 - 11*x^2 + 14*x, -x^6 + x^5 + 7*x^4 - 8*x^3 - 11*x^2 + 14*x, -x^6 + 8*x^4 - 3*x^3 - 16*x^2 + 10*x, -x^6 + 8*x^4 - 3*x^3 - 16*x^2 + 10*x, -2*x^5 - x^4 + 14*x^3 + 3*x^2 - 24*x, -2*x^5 - x^4 + 14*x^3 + 3*x^2 - 24*x]>
       ]
>;

MOG[223] := 	// J_0(223)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [49, 128, 167, 193, 195, 210, 221, 67*x + 68, 156*x + 68, 45*x + 124, 178*x + 124, 132*x + 43, 91*x + 43, 151*x + 13, 72*x + 13, 178*x + 217, 45*x + 217, 114*x + 136, 109*x + 136]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + 2*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, -x - 1, x + 1, 0, 0, x - 1, -x + 1, x + 1, -x - 1, -x - 1, x + 1, 2, -2]>,
         rec<Eigen |
           DefiningPolynomial := x^4 + 4*x^3 + 2*x^2 - 5*x - 3,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, -x^2 - 3*x - 2, x^2 + 3*x + 2, -x^3 - 3*x^2 - x + 1, x^3 + 3*x^2 + x - 1, -x - 1, x + 1, -x^2 - 2*x, x^2 + 2*x, 1, -1, -x - 1, x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^12 - 7*x^11 + 6*x^10 + 57*x^9 - 122*x^8 - 105*x^7 + 430*x^6 - 73*x^5 - 499*x^4 + 242*x^3 + 143*x^2 - 52*x - 19,
           Coordinates        := [-x^11 + 8*x^10 - 17*x^9 - 19*x^8 + 107*x^7 - 64*x^6 - 163*x^5 + 197*x^4 + 37*x^3 - 111*x^2 + 11*x + 15, x^11 - 8*x^10 + 16*x^9 + 24*x^8 - 105*x^7 + 24*x^6 + 192*x^5 - 108*x^4 - 126*x^3 + 65*x^2 + 24*x - 3, -x^10 + 7*x^9 - 10*x^8 - 29*x^7 + 78*x^6 + 14*x^5 - 149*x^4 + 48*x^3 + 85*x^2 - 26*x - 15, -x^9 + 6*x^8 - 7*x^7 - 20*x^6 + 47*x^5 - 2*x^4 - 60*x^3 + 41*x^2 + x - 7, -x^9 + 7*x^8 - 13*x^7 - 12*x^6 + 60*x^5 - 34*x^4 - 58*x^3 + 61*x^2 + 2*x - 8, -x^10 + 8*x^9 - 19*x^8 - 6*x^7 + 87*x^6 - 96*x^5 - 56*x^4 + 161*x^3 - 81*x^2 - 9*x + 14, -x^8 + 7*x^7 - 15*x^6 + 2*x^5 + 32*x^4 - 42*x^3 + 22*x^2 - x - 6, x^10 - 8*x^9 + 18*x^8 + 11*x^7 - 87*x^6 + 64*x^5 + 88*x^4 - 107*x^3 - 4*x^2 + 19*x + 2, x^10 - 8*x^9 + 18*x^8 + 11*x^7 - 87*x^6 + 64*x^5 + 88*x^4 - 107*x^3 - 4*x^2 + 19*x + 2, x^9 - 7*x^8 + 12*x^7 + 17*x^6 - 63*x^5 + 19*x^4 + 70*x^3 - 43*x^2 - 12*x + 4, x^9 - 7*x^8 + 12*x^7 + 17*x^6 - 63*x^5 + 19*x^4 + 70*x^3 - 43*x^2 - 12*x + 4, x^9 - 6*x^8 + 6*x^7 + 23*x^6 - 41*x^5 - 18*x^4 + 52*x^3 - 3*x^2 - 10*x - 1, x^9 - 6*x^8 + 6*x^7 + 23*x^6 - 41*x^5 - 18*x^4 + 52*x^3 - 3*x^2 - 10*x - 1, x^8 - 6*x^7 + 7*x^6 + 18*x^5 - 37*x^4 - 6*x^3 + 35*x^2 - 3*x - 6, x^8 - 6*x^7 + 7*x^6 + 18*x^5 - 37*x^4 - 6*x^3 + 35*x^2 - 3*x - 6, -x^7 + 7*x^6 - 14*x^5 - 4*x^4 + 40*x^3 - 31*x^2 - 4*x + 4, -x^7 + 7*x^6 - 14*x^5 - 4*x^4 + 40*x^3 - 31*x^2 - 4*x + 4, x^7 - 6*x^6 + 8*x^5 + 12*x^4 - 29*x^3 + 5*x^2 + 9*x + 2, x^7 - 6*x^6 + 8*x^5 + 12*x^4 - 29*x^3 + 5*x^2 + 9*x + 2]>
       ]
>;

MOG[227] := 	// J_0(227)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 30, 110, 114, 132, 139, 147, 160, 191, 201, 149*x + 2, 78*x + 2, 209*x + 176, 18*x + 176, 96*x + 77, 131*x + 77, 78*x + 73, 149*x + 73, 102*x + 143, 125*x + 143]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 - 2,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x - 1, x + 1, -x - 2, x + 2, -x - 1, x + 1, -x - 1, x + 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^2 - 5,
           Coordinates        := [-2, -x - 3, -2, 0, -2, 0, x - 1, -x + 1, x - 1, -2*x, 0, 0, 2, 2, x + 1, x + 1, 2, 2, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^2 + x - 7,
           Coordinates        := [-1, x + 1, 3, 0, -1, -2, -x - 3, -x - 1, -x + 1, -1, 2, 2, -1, -1, x, x, 1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^3 + 2*x^2 - x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x^2 + 2*x - 1, -x^2 - 2*x + 1, 1, -1, -x^2 - x + 1, x^2 + x - 1, -x - 1, x + 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^10 - 17*x^8 - 3*x^7 + 98*x^6 + 40*x^5 - 218*x^4 - 148*x^3 + 136*x^2 + 144*x + 32,
           Coordinates        := [-1/3*x^9 + 17/3*x^7 + x^6 - 32*x^5 - 34/3*x^4 + 190/3*x^3 + 104/3*x^2 - 80/3*x - 16, 2/3*x^4 + 10/3*x^3 - 4/3*x^2 - 32/3*x - 16/3, -4/3*x^7 + 14*x^5 + 10/3*x^4 - 42*x^3 - 20*x^2 + 104/3*x + 64/3, -2/3*x^9 + 26/3*x^7 + 2/3*x^6 - 36*x^5 - 8*x^4 + 58*x^3 + 68/3*x^2 - 88/3*x - 16, x^9 - 15*x^7 - x^6 + 218/3*x^5 + 16*x^4 - 388/3*x^3 - 52*x^2 + 56*x + 80/3, -2/3*x^8 - 2/3*x^7 + 8*x^6 + 26/3*x^5 - 82/3*x^4 - 106/3*x^3 + 68/3*x^2 + 136/3*x + 16, -4/3*x^6 + 12*x^4 + 6*x^3 - 24*x^2 - 24*x - 16/3, 2/3*x^5 + 2*x^4 - 8*x^3 - 8*x^2 + 16*x + 32/3, 2*x^6 + 2*x^5 - 62/3*x^4 - 52/3*x^3 + 124/3*x^2 + 136/3*x + 32/3, 2/3*x^6 + 2*x^5 - 28/3*x^4 - 44/3*x^3 + 56/3*x^2 + 32*x + 32/3, -2/3*x^8 + 20/3*x^6 + 2/3*x^5 - 49/3*x^4 - 8/3*x^3 + 8*x^2 - 16/3*x - 16/3, -2/3*x^8 + 20/3*x^6 + 2/3*x^5 - 49/3*x^4 - 8/3*x^3 + 8*x^2 - 16/3*x - 16/3, -2/3*x^7 + 17/3*x^5 + 2*x^4 - 8*x^3 - 8*x^2 - 32/3*x - 16/3, -2/3*x^7 + 17/3*x^5 + 2*x^4 - 8*x^3 - 8*x^2 - 32/3*x - 16/3, 1/3*x^6 + 4/3*x^5 - 11/3*x^4 - 34/3*x^3 + 16/3*x^2 + 24*x + 32/3, 1/3*x^6 + 4/3*x^5 - 11/3*x^4 - 34/3*x^3 + 16/3*x^2 + 24*x + 32/3, x^7 + x^6 - 32/3*x^5 - 29/3*x^4 + 74/3*x^3 + 80/3*x^2 - 8/3*x - 16/3, x^7 + x^6 - 32/3*x^5 - 29/3*x^4 + 74/3*x^3 + 80/3*x^2 - 8/3*x - 16/3, x^8 + x^7 - 13*x^6 - 13*x^5 + 49*x^4 + 166/3*x^3 - 148/3*x^2 - 224/3*x - 64/3, x^8 + x^7 - 13*x^6 - 13*x^5 + 49*x^4 + 166/3*x^3 - 148/3*x^2 - 224/3*x - 64/3]>
       ]
>;

MOG[229] := 	// J_0(229)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [27, 60, 93, 172, 214, 19*x + 222, 210*x + 222, 32*x + 89, 197*x + 89, 55*x + 148, 174*x + 148, 199*x + 83, 30*x + 83, 217*x + 213, 12*x + 213, 215*x + 87, 14*x + 87, 167*x + 219, 62*x + 219]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, -1, 1, 1, -1, 0, 0, -1, 1, -1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^6 + 4*x^5 - 12*x^3 - 3*x^2 + 9*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, -x^5 - 4*x^4 - 2*x^3 + 6*x^2 + 4*x - 1, x^5 + 4*x^4 + 2*x^3 - 6*x^2 - 4*x + 1, -x^4 - 3*x^3 + x^2 + 5*x - 1, x^4 + 3*x^3 - x^2 - 5*x + 1, -x^4 - 3*x^3 + 3*x, x^4 + 3*x^3 - 3*x, -x^3 - 3*x^2 - x + 1, x^3 + 3*x^2 + x - 1, -x^2 - 2*x, x^2 + 2*x, 1, -1, -x - 1, x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^11 - 5*x^10 - 4*x^9 + 50*x^8 - 26*x^7 - 165*x^6 + 152*x^5 + 193*x^4 - 207*x^3 - 50*x^2 + 52*x + 1,
           Coordinates        := [-x^10 + 5*x^9 + x^8 - 37*x^7 + 33*x^6 + 76*x^5 - 95*x^4 - 35*x^3 + 48*x^2 + 7*x - 2, x^10 - 3*x^9 - 9*x^8 + 29*x^7 + 25*x^6 - 92*x^5 - 19*x^4 + 103*x^3 - 29*x - 2, -x^9 + 5*x^8 - x^7 - 29*x^6 + 37*x^5 + 32*x^4 - 71*x^3 + 17*x^2 + 12*x - 1, x^9 - 3*x^8 - 7*x^7 + 23*x^6 + 13*x^5 - 52*x^4 + x^3 + 21*x^2 + 4*x + 3, -2*x^6 + 8*x^5 + 2*x^4 - 34*x^3 + 20*x^2 + 14*x, -x^7 + 5*x^6 - 3*x^5 - 18*x^4 + 27*x^3 - 3*x^2 - 7*x, -x^7 + 5*x^6 - 3*x^5 - 18*x^4 + 27*x^3 - 3*x^2 - 7*x, -x^8 + 4*x^7 + 2*x^6 - 22*x^5 + 12*x^4 + 26*x^3 - 18*x^2 - 4*x + 1, -x^8 + 4*x^7 + 2*x^6 - 22*x^5 + 12*x^4 + 26*x^3 - 18*x^2 - 4*x + 1, x^7 - 3*x^6 - 4*x^5 + 13*x^4 + 5*x^3 - 9*x^2 - 10*x - 1, x^7 - 3*x^6 - 4*x^5 + 13*x^4 + 5*x^3 - 9*x^2 - 10*x - 1, x^8 - 3*x^7 - 6*x^6 + 20*x^5 + 10*x^4 - 41*x^3 + 2*x^2 + 16*x + 1, x^8 - 3*x^7 - 6*x^6 + 20*x^5 + 10*x^4 - 41*x^3 + 2*x^2 + 16*x + 1, x^5 - 2*x^4 - 4*x^3 + 4*x^2 + 7*x - 2, x^5 - 2*x^4 - 4*x^3 + 4*x^2 + 7*x - 2, -x^9 + 4*x^8 + 4*x^7 - 30*x^6 + 10*x^5 + 63*x^4 - 44*x^3 - 30*x^2 + 19*x + 1, -x^9 + 4*x^8 + 4*x^7 - 30*x^6 + 10*x^5 + 63*x^4 - 44*x^3 - 30*x^2 + 19*x + 1, -x^8 + 3*x^7 + 7*x^6 - 23*x^5 - 12*x^4 + 49*x^3 + x^2 - 25*x + 1, -x^8 + 3*x^7 + 7*x^6 - 23*x^5 - 12*x^4 + 49*x^3 + x^2 - 25*x + 1]>
       ]
>;

MOG[233] := 	// J_0(233)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 11, 85, 177, 183, 187, 114*x + 43, 119*x + 43, 94*x + 152, 139*x + 152, 149*x + 201, 84*x + 201, 208*x + 104, 25*x + 104, 222*x + 76, 11*x + 76, 156*x + 32, 77*x + 32, 193*x + 89, 40*x + 89]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [-1, -1, 1, -1, -3, 3, 1, 1, -1, -1, 3, 3, -1, -1, -1, -1, -1, -1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^7 + 2*x^6 - 6*x^5 - 10*x^4 + 10*x^3 + 8*x^2 - 7*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x^6 - 2*x^5 + 4*x^4 + 7*x^3 - 4*x^2 - 4*x + 1, x^6 + 2*x^5 - 4*x^4 - 7*x^3 + 4*x^2 + 4*x - 1, -x^5 - 2*x^4 + 2*x^3 + 3*x^2 - 2*x, x^5 + 2*x^4 - 2*x^3 - 3*x^2 + 2*x, -x^5 - x^4 + 4*x^3 + x^2 - 4*x + 1, x^5 + x^4 - 4*x^3 - x^2 + 4*x - 1, -x^4 - x^3 + 2*x^2, x^4 + x^3 - 2*x^2, -x^4 - 3*x^3 + 4*x - 1, x^4 + 3*x^3 - 4*x + 1, -x^4 - 2*x^3 + x^2 + x, x^4 + 2*x^3 - x^2 - x, -x^3 - x^2 + 2*x, x^3 + x^2 - 2*x]>,
         rec<Eigen |
           DefiningPolynomial := x^11 + 2*x^10 - 16*x^9 - 30*x^8 + 91*x^7 + 158*x^6 - 213*x^5 - 349*x^4 + 152*x^3 + 290*x^2 + 41*x - 19,
           Coordinates        := [x^10 + 2*x^9 - 13*x^8 - 24*x^7 + 58*x^6 + 100*x^5 - 95*x^4 - 171*x^3 + 19*x^2 + 99*x + 34, -2*x^10 - 4*x^9 + 26*x^8 + 50*x^7 - 114*x^6 - 216*x^5 + 184*x^4 + 378*x^3 - 60*x^2 - 228*x - 58, x^10 + 2*x^9 - 13*x^8 - 28*x^7 + 46*x^6 + 120*x^5 - 15*x^4 - 159*x^3 - 91*x^2 + 7*x + 12, 3*x^9 + 6*x^8 - 33*x^7 - 58*x^6 + 118*x^5 + 178*x^4 - 133*x^3 - 191*x^2 - 7*x + 19, -2*x^9 - 4*x^8 + 24*x^7 + 46*x^6 - 88*x^5 - 164*x^4 + 90*x^3 + 188*x^2 + 20*x - 26, x^9 - 2*x^8 - 19*x^7 + 16*x^6 + 100*x^5 - 34*x^4 - 171*x^3 - 5*x^2 + 73*x + 11, 3*x^8 + 7*x^7 - 28*x^6 - 61*x^5 + 76*x^4 + 161*x^3 - 32*x^2 - 139*x - 51, 3*x^8 + 7*x^7 - 28*x^6 - 61*x^5 + 76*x^4 + 161*x^3 - 32*x^2 - 139*x - 51, x^8 + 3*x^7 - 10*x^6 - 34*x^5 + 26*x^4 + 115*x^3 - 104*x - 41, x^8 + 3*x^7 - 10*x^6 - 34*x^5 + 26*x^4 + 115*x^3 - 104*x - 41, 2*x^7 + 7*x^6 - 8*x^5 - 43*x^4 - 14*x^3 + 52*x^2 + 60*x + 22, 2*x^7 + 7*x^6 - 8*x^5 - 43*x^4 - 14*x^3 + 52*x^2 + 60*x + 22, -2*x^8 - 4*x^7 + 21*x^6 + 38*x^5 - 73*x^4 - 125*x^3 + 67*x^2 + 149*x + 47, -2*x^8 - 4*x^7 + 21*x^6 + 38*x^5 - 73*x^4 - 125*x^3 + 67*x^2 + 149*x + 47, x^9 + 2*x^8 - 13*x^7 - 27*x^6 + 49*x^5 + 112*x^4 - 36*x^3 - 139*x^2 - 51*x + 4, x^9 + 2*x^8 - 13*x^7 - 27*x^6 + 49*x^5 + 112*x^4 - 36*x^3 - 139*x^2 - 51*x + 4, -x^8 - 2*x^7 + 13*x^6 + 26*x^5 - 47*x^4 - 95*x^3 + 40*x^2 + 101*x + 29, -x^8 - 2*x^7 + 13*x^6 + 26*x^5 - 47*x^4 - 95*x^3 + 40*x^2 + 101*x + 29, -2*x^9 - 3*x^8 + 22*x^7 + 27*x^6 - 77*x^5 - 78*x^4 + 77*x^3 + 82*x^2 + 2*x - 6, -2*x^9 - 3*x^8 + 22*x^7 + 27*x^6 - 77*x^5 - 78*x^4 + 77*x^3 + 82*x^2 + 2*x - 6]>
       ]
>;

MOG[239] := 	// J_0(239)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 55, 68, 105, 107, 113, 185, 192, 193, 214, 215, 217, 218, 225, 235, 103*x + 94, 136*x + 94, 179*x + 141, 60*x + 141, 79*x + 191, 160*x + 191]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^3 + x^2 - 2*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^2 - x + 1, x^2 + x - 1, -x - 1, x + 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^17 - 28*x^15 + x^14 + 319*x^13 - 17*x^12 - 1903*x^11 + 91*x^10 + 6377*x^9 - 125*x^8 - 11967*x^7 - 233*x^6 + 11733*x^5 + 503*x^4 - 5015*x^3 - 94*x^2 + 609*x + 49,
           Coordinates        := [-x^16 + 25*x^14 - x^13 - 248*x^12 + 16*x^11 + 1245*x^10 - 79*x^9 - 3341*x^8 + 106*x^7 + 4644*x^6 + 101*x^5 - 2910*x^4 - 219*x^3 + 541*x^2 + 87*x + 14, x^16 + x^15 - 25*x^14 - 22*x^13 + 248*x^12 + 191*x^11 - 1236*x^10 - 840*x^9 + 3222*x^8 + 1972*x^7 - 4144*x^6 - 2266*x^5 + 2228*x^4 + 901*x^3 - 479*x^2 - 122*x + 35, 2*x^14 + 2*x^13 - 41*x^12 - 38*x^11 + 320*x^10 + 279*x^9 - 1177*x^8 - 997*x^7 + 2029*x^6 + 1751*x^5 - 1415*x^4 - 1258*x^3 + 297*x^2 + 297*x + 14, -3*x^12 + 4*x^11 + 55*x^10 - 68*x^9 - 366*x^8 + 379*x^7 + 1093*x^6 - 781*x^5 - 1509*x^4 + 565*x^3 + 734*x^2 - 186*x - 84, 4*x^13 + x^12 - 78*x^11 - 13*x^10 + 569*x^9 + 64*x^8 - 1911*x^7 - 180*x^6 + 2912*x^5 + 286*x^4 - 1669*x^3 - 77*x^2 + 233*x + 42, -3*x^11 + x^10 + 47*x^9 - 28*x^8 - 263*x^7 + 178*x^6 + 624*x^5 - 317*x^4 - 650*x^3 + 98*x^2 + 198*x + 42, -5*x^11 + 2*x^10 + 81*x^9 - 36*x^8 - 458*x^7 + 187*x^6 + 1083*x^5 - 279*x^4 - 1055*x^3 + 77*x^2 + 270*x - 14, -x^13 + 2*x^12 + 19*x^11 - 41*x^10 - 137*x^9 + 308*x^8 + 492*x^7 - 1028*x^6 - 990*x^5 + 1453*x^4 + 1048*x^3 - 581*x^2 - 255*x + 35, -9*x^10 - 7*x^9 + 131*x^8 + 62*x^7 - 647*x^6 - 160*x^5 + 1176*x^4 + 183*x^3 - 634*x^2 + 30*x + 42, -3*x^13 + 59*x^11 + x^10 - 426*x^9 - 38*x^8 + 1380*x^7 + 308*x^6 - 1945*x^5 - 702*x^4 + 826*x^3 + 293*x^2 - 29*x - 21, -x^14 + 2*x^13 + 21*x^12 - 39*x^11 - 163*x^10 + 276*x^9 + 584*x^8 - 836*x^7 - 980*x^6 + 951*x^5 + 594*x^4 - 93*x^3 + 209*x^2 - 137*x - 84, -3*x^14 + 65*x^12 + 3*x^11 - 536*x^10 - 58*x^9 + 2116*x^8 + 386*x^7 - 4129*x^6 - 970*x^5 + 3662*x^4 + 743*x^3 - 1209*x^2 - 75*x + 42, 2*x^15 + 2*x^14 - 49*x^13 - 40*x^12 + 476*x^11 + 305*x^10 - 2315*x^9 - 1125*x^8 + 5851*x^7 + 2111*x^6 - 7239*x^5 - 1830*x^4 + 3635*x^3 + 451*x^2 - 452*x - 84, -3*x^15 + 71*x^13 - x^12 - 658*x^11 + 12*x^10 + 3036*x^9 - 19*x^8 - 7323*x^7 - 132*x^6 + 8823*x^5 + 284*x^4 - 4474*x^3 - 7*x^2 + 623*x + 49, -3*x^13 + 4*x^12 + 63*x^11 - 71*x^10 - 494*x^9 + 443*x^8 + 1814*x^7 - 1146*x^6 - 3216*x^5 + 1161*x^4 + 2439*x^3 - 361*x^2 - 552*x - 28, -x^12 - x^11 + 13*x^10 + 16*x^9 - 46*x^8 - 96*x^7 - 5*x^6 + 251*x^5 + 227*x^4 - 244*x^3 - 232*x^2 + 86*x + 42, -x^12 - x^11 + 13*x^10 + 16*x^9 - 46*x^8 - 96*x^7 - 5*x^6 + 251*x^5 + 227*x^4 - 244*x^3 - 232*x^2 + 86*x + 42, -3*x^12 - x^11 + 55*x^10 + 10*x^9 - 368*x^8 - 39*x^7 + 1092*x^6 + 134*x^5 - 1418*x^4 - 225*x^3 + 590*x^2 + 27*x - 21, -3*x^12 - x^11 + 55*x^10 + 10*x^9 - 368*x^8 - 39*x^7 + 1092*x^6 + 134*x^5 - 1418*x^4 - 225*x^3 + 590*x^2 + 27*x - 21, -3*x^11 - 4*x^10 + 42*x^9 + 45*x^8 - 192*x^7 - 169*x^6 + 276*x^5 + 250*x^4 + 8*x^3 - 34*x^2 - 78*x - 21, -3*x^11 - 4*x^10 + 42*x^9 + 45*x^8 - 192*x^7 - 169*x^6 + 276*x^5 + 250*x^4 + 8*x^3 - 34*x^2 - 78*x - 21]>
       ]
>;

MOG[241] := 	// J_0(241)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 7,
           Coordinates        := [8, 28, 64, 93, 216, 240, 11*x + 227, 230*x + 227, 194*x + 158, 47*x + 158, 153*x + 161, 88*x + 161, 213*x + 115, 28*x + 115, 142*x + 107, 99*x + 107, 85*x + 138, 156*x + 138, 72*x + 65, 169*x + 65]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^7 + 4*x^6 - 14*x^4 - 10*x^3 + 6*x^2 + 3*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x^6 - 4*x^5 - x^4 + 10*x^3 + 7*x^2 - 3*x - 1, x^6 + 4*x^5 + x^4 - 10*x^3 - 7*x^2 + 3*x + 1, -x^5 - 4*x^4 - 3*x^3 + 3*x^2 + 2*x - 1, x^5 + 4*x^4 + 3*x^3 - 3*x^2 - 2*x + 1, -x^4 - 3*x^3 - x^2 + 2*x, x^4 + 3*x^3 + x^2 - 2*x, -x^4 - 4*x^3 - 4*x^2 + 1, x^4 + 4*x^3 + 4*x^2 - 1, -x^3 - 2*x^2 + 1, x^3 + 2*x^2 - 1, -x^3 - 3*x^2 - x + 1, x^3 + 3*x^2 + x - 1, -x^2 - x + 1, x^2 + x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^12 - 3*x^11 - 14*x^10 + 44*x^9 + 65*x^8 - 219*x^7 - 123*x^6 + 444*x^5 + 105*x^4 - 328*x^3 - 45*x^2 + 18*x - 1,
           Coordinates        := [-x^11 + 4*x^10 + 8*x^9 - 44*x^8 - 7*x^7 + 146*x^6 - 25*x^5 - 193*x^4 + 22*x^3 + 90*x^2 + 15*x - 3, x^11 - 4*x^10 - 8*x^9 + 46*x^8 + x^7 - 158*x^6 + 69*x^5 + 197*x^4 - 88*x^3 - 74*x^2 - 3*x + 1, -2*x^8 + 6*x^7 + 10*x^6 - 34*x^5 - 10*x^4 + 44*x^3 + 2*x^2 - 4*x, -2*x^7 + 8*x^6 - 4*x^5 - 14*x^4 + 10*x^3 + 2*x^2 + 4*x, -4*x^7 + 14*x^6 + 8*x^5 - 52*x^4 - 4*x^3 + 52*x^2 + 8*x - 2, -2*x^6 + 4*x^5 + 4*x^4 - 6*x^3 - 2*x^2 - 2*x, -x^8 + 4*x^7 - x^6 - 9*x^5 + 3*x^4 + 4*x^3 + 3*x^2 + x, -x^8 + 4*x^7 - x^6 - 9*x^5 + 3*x^4 + 4*x^3 + 3*x^2 + x, -x^9 + 4*x^8 + 5*x^7 - 31*x^6 - x^5 + 70*x^4 - 3*x^3 - 53*x^2 - 12*x + 2, -x^9 + 4*x^8 + 5*x^7 - 31*x^6 - x^5 + 70*x^4 - 3*x^3 - 53*x^2 - 12*x + 2, 2*x^7 - 5*x^6 - 12*x^5 + 29*x^4 + 18*x^3 - 37*x^2 - 8*x + 1, 2*x^7 - 5*x^6 - 12*x^5 + 29*x^4 + 18*x^3 - 37*x^2 - 8*x + 1, -x^10 + 4*x^9 + 6*x^8 - 37*x^7 + 5*x^6 + 91*x^5 - 35*x^4 - 75*x^3 + 22*x^2 + 9*x - 1, -x^10 + 4*x^9 + 6*x^8 - 37*x^7 + 5*x^6 + 91*x^5 - 35*x^4 - 75*x^3 + 22*x^2 + 9*x - 1, x^9 - 2*x^8 - 12*x^7 + 24*x^6 + 42*x^5 - 81*x^4 - 52*x^3 + 82*x^2 + 21*x - 3, x^9 - 2*x^8 - 12*x^7 + 24*x^6 + 42*x^5 - 81*x^4 - 52*x^3 + 82*x^2 + 21*x - 3, -x^9 + 3*x^8 + 7*x^7 - 24*x^6 - 9*x^5 + 48*x^4 + 3*x^3 - 28*x^2 - 4*x + 1, -x^9 + 3*x^8 + 7*x^7 - 24*x^6 - 9*x^5 + 48*x^4 + 3*x^3 - 28*x^2 - 4*x + 1, x^10 - 3*x^9 - 10*x^8 + 34*x^7 + 23*x^6 - 111*x^5 + 116*x^3 - 24*x^2 - 16*x + 2, x^10 - 3*x^9 - 10*x^8 + 34*x^7 + 23*x^6 - 111*x^5 + 116*x^3 - 24*x^2 - 16*x + 2]>
       ]
>;

MOG[251] := 	// J_0(251)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 4, 24, 30, 35, 64, 101, 139, 185, 199, 207, 213, 222, 232, 178*x + 178, 73*x + 178, 57*x + 166, 194*x + 166, 147*x + 30, 104*x + 30, 171*x + 79, 80*x + 79]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^4 + 2*x^3 - 2*x^2 - 3*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^3 - 2*x^2 + x + 2, x^3 + 2*x^2 - x - 2, x + 1, -x - 1, -1, 1, x^2 + x - 1, -x^2 - x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^17 - 2*x^16 - 28*x^15 + 54*x^14 + 317*x^13 - 582*x^12 - 1867*x^11 + 3178*x^10 + 6186*x^9 - 9216*x^8 - 11921*x^7 + 13680*x^6 + 13752*x^5 - 9400*x^4 - 8800*x^3 + 1920*x^2 + 2240*x + 256,
           Coordinates        := [-x^16 + 2*x^15 + 26*x^14 - 50*x^13 - 269*x^12 + 492*x^11 + 1413*x^10 - 2406*x^9 - 4010*x^8 + 6074*x^7 + 6173*x^6 - 7520*x^5 - 5124*x^4 + 4136*x^3 + 2016*x^2 - 768*x - 256, x^16 - 2*x^15 - 28*x^14 + 56*x^13 + 309*x^12 - 618*x^11 - 1697*x^10 + 3384*x^9 + 4842*x^8 - 9500*x^7 - 7063*x^6 + 12936*x^5 + 5620*x^4 - 8088*x^3 - 2416*x^2 + 1856*x + 448, 2*x^11 + 2*x^10 - 42*x^9 - 28*x^8 + 310*x^7 + 142*x^6 - 974*x^5 - 340*x^4 + 1240*x^3 + 432*x^2 - 512*x - 192, -2*x^11 + 2*x^10 + 30*x^9 - 20*x^8 - 158*x^7 + 14*x^6 + 394*x^5 + 292*x^4 - 608*x^3 - 576*x^2 + 352*x + 320, -2*x^15 + 4*x^14 + 48*x^13 - 90*x^12 - 454*x^11 + 772*x^10 + 2176*x^9 - 3142*x^8 - 5748*x^7 + 6160*x^6 + 8628*x^5 - 5264*x^4 - 6784*x^3 + 1152*x^2 + 1984*x + 256, 2*x^12 - 2*x^11 - 42*x^10 + 48*x^9 + 322*x^8 - 406*x^7 - 1082*x^6 + 1424*x^5 + 1560*x^4 - 1872*x^3 - 1120*x^2 + 832*x + 384, -4*x^11 + 4*x^10 + 68*x^9 - 68*x^8 - 404*x^7 + 404*x^6 + 988*x^5 - 964*x^4 - 920*x^3 + 800*x^2 + 288*x - 192, 2*x^11 + 2*x^10 - 38*x^9 - 28*x^8 + 266*x^7 + 126*x^6 - 830*x^5 - 236*x^4 + 1088*x^3 + 304*x^2 - 512*x - 192, 2*x^12 - 2*x^11 - 46*x^10 + 48*x^9 + 382*x^8 - 390*x^7 - 1402*x^6 + 1256*x^5 + 2288*x^4 - 1328*x^3 - 1728*x^2 + 320*x + 384, -2*x^14 + 4*x^13 + 44*x^12 - 86*x^11 - 366*x^10 + 692*x^9 + 1440*x^8 - 2562*x^7 - 2828*x^6 + 4360*x^5 + 2968*x^4 - 3168*x^3 - 1648*x^2 + 704*x + 320, 2*x^13 - 2*x^12 - 46*x^11 + 44*x^10 + 394*x^9 - 342*x^8 - 1554*x^7 + 1100*x^6 + 2868*x^5 - 1280*x^4 - 2360*x^3 + 464*x^2 + 544*x - 128, 2*x^11 + 2*x^10 - 38*x^9 - 36*x^8 + 266*x^7 + 214*x^6 - 798*x^5 - 524*x^4 + 880*x^3 + 608*x^2 - 256*x - 192, -4*x^10 + 68*x^8 - 404*x^6 + 988*x^4 + 24*x^3 - 896*x^2 - 96*x + 192, 2*x^13 - 2*x^12 - 46*x^11 + 44*x^10 + 398*x^9 - 342*x^8 - 1614*x^7 + 1084*x^6 + 3188*x^5 - 1112*x^4 - 3088*x^3 - 80*x^2 + 1152*x + 384, -2*x^12 + 2*x^11 + 38*x^10 - 34*x^9 - 270*x^8 + 202*x^7 + 898*x^6 - 482*x^5 - 1448*x^4 + 376*x^3 + 1040*x^2 - 192, -2*x^12 + 2*x^11 + 38*x^10 - 34*x^9 - 270*x^8 + 202*x^7 + 898*x^6 - 482*x^5 - 1448*x^4 + 376*x^3 + 1040*x^2 - 192, -2*x^13 + 2*x^12 + 44*x^11 - 40*x^10 - 368*x^9 + 290*x^8 + 1460*x^7 - 900*x^6 - 2830*x^5 + 1048*x^4 + 2568*x^3 - 224*x^2 - 832*x - 128, -2*x^13 + 2*x^12 + 44*x^11 - 40*x^10 - 368*x^9 + 290*x^8 + 1460*x^7 - 900*x^6 - 2830*x^5 + 1048*x^4 + 2568*x^3 - 224*x^2 - 832*x - 128, x^14 - x^13 - 24*x^12 + 23*x^11 + 220*x^10 - 195*x^9 - 968*x^8 + 745*x^7 + 2135*x^6 - 1268*x^5 - 2324*x^4 + 896*x^3 + 1136*x^2 - 224*x - 192, x^14 - x^13 - 24*x^12 + 23*x^11 + 220*x^10 - 195*x^9 - 968*x^8 + 745*x^7 + 2135*x^6 - 1268*x^5 - 2324*x^4 + 896*x^3 + 1136*x^2 - 224*x - 192, x^15 - x^14 - 28*x^13 + 27*x^12 + 312*x^11 - 283*x^10 - 1760*x^9 + 1429*x^8 + 5303*x^7 - 3452*x^6 - 8380*x^5 + 3288*x^4 + 6584*x^3 - 608*x^2 - 1888*x - 256, x^15 - x^14 - 28*x^13 + 27*x^12 + 312*x^11 - 283*x^10 - 1760*x^9 + 1429*x^8 + 5303*x^7 - 3452*x^6 - 8380*x^5 + 3288*x^4 + 6584*x^3 - 608*x^2 - 1888*x - 256]>
       ]
>;

MOG[257] := 	// J_0(257)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 30, 115, 121, 139, 198, 223, 249, 18*x + 20, 239*x + 20, 102*x + 26, 155*x + 26, 48*x + 28, 209*x + 28, 170*x + 52, 87*x + 52, 254*x + 34, 3*x + 34, 249*x + 135, 8*x + 135, 235*x + 37, 22*x + 37]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^7 + 3*x^6 - 3*x^5 - 11*x^4 + 3*x^3 + 10*x^2 - x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, -x^6 - 3*x^5 + x^4 + 6*x^3 - x, x^6 + 3*x^5 - x^4 - 6*x^3 + x, -x^5 - 3*x^4 + x^3 + 6*x^2 - 1, x^5 + 3*x^4 - x^3 - 6*x^2 + 1, -x^5 - 2*x^4 + 2*x^3 + 3*x^2 - x, x^5 + 2*x^4 - 2*x^3 - 3*x^2 + x, -x^4 - x^3 + 2*x^2, x^4 + x^3 - 2*x^2, -x^3 - x^2 + x, x^3 + x^2 - x, -x, x, -x^2, x^2]>,
         rec<Eigen |
           DefiningPolynomial := x^14 - 2*x^13 - 21*x^12 + 42*x^11 + 163*x^10 - 327*x^9 - 568*x^8 + 1153*x^7 + 830*x^6 - 1755*x^5 - 318*x^4 + 825*x^3 + 10*x^2 - 96*x - 1,
           Coordinates        := [-x^13 + 3*x^12 + 16*x^11 - 52*x^10 - 83*x^9 + 318*x^8 + 134*x^7 - 815*x^6 + 73*x^5 + 784*x^4 - 218*x^3 - 193*x^2 + 63*x + 3, x^13 - 5*x^12 - 10*x^11 + 80*x^10 - 9*x^9 - 434*x^8 + 338*x^7 + 903*x^6 - 971*x^5 - 536*x^4 + 632*x^3 + 73*x^2 - 93*x - 1, 2*x^10 - 10*x^9 - 6*x^8 + 92*x^7 - 74*x^6 - 206*x^5 + 270*x^4 - 12*x^3 - 12*x^2 - 8*x - 4, 2*x^10 - 10*x^9 - 6*x^8 + 94*x^7 - 80*x^6 - 226*x^5 + 330*x^4 + 50*x^3 - 222*x^2 + 60*x + 8, 2*x^9 - 8*x^8 - 8*x^7 + 54*x^6 - 6*x^5 - 86*x^4 - 20*x^3 + 82*x^2 - 10, 2*x^9 - 10*x^8 - 2*x^7 + 74*x^6 - 66*x^5 - 148*x^4 + 190*x^3 + 14*x^2 - 12*x - 10, 4*x^6 - 10*x^5 - 8*x^4 + 32*x^3 - 24*x^2 + 10*x - 4, 4*x^7 - 18*x^6 + 12*x^5 + 48*x^4 - 88*x^3 + 58*x^2 - 24*x + 8, x^12 - 5*x^11 - 8*x^10 + 71*x^9 - 24*x^8 - 326*x^7 + 322*x^6 + 500*x^5 - 701*x^4 - 49*x^3 + 238*x^2 - 47*x - 4, x^12 - 5*x^11 - 8*x^10 + 71*x^9 - 24*x^8 - 326*x^7 + 322*x^6 + 500*x^5 - 701*x^4 - 49*x^3 + 238*x^2 - 47*x - 4, x^11 - 5*x^10 - 4*x^9 + 51*x^8 - 36*x^7 - 140*x^6 + 168*x^5 + 68*x^4 - 101*x^3 - 11*x^2 + 4*x + 5, x^11 - 5*x^10 - 4*x^9 + 51*x^8 - 36*x^7 - 140*x^6 + 168*x^5 + 68*x^4 - 101*x^3 - 11*x^2 + 4*x + 5, x^11 - 4*x^10 - 11*x^9 + 57*x^8 + 20*x^7 - 263*x^6 + 102*x^5 + 419*x^4 - 293*x^3 - 109*x^2 + 85*x - 4, x^11 - 4*x^10 - 11*x^9 + 57*x^8 + 20*x^7 - 263*x^6 + 102*x^5 + 419*x^4 - 293*x^3 - 109*x^2 + 85*x - 4, x^10 - 3*x^9 - 13*x^8 + 43*x^7 + 43*x^6 - 183*x^5 - 11*x^4 + 233*x^3 - 44*x^2 - 42*x + 8, x^10 - 3*x^9 - 13*x^8 + 43*x^7 + 43*x^6 - 183*x^5 - 11*x^4 + 233*x^3 - 44*x^2 - 42*x + 8, x^9 - x^8 - 20*x^7 + 37*x^6 + 70*x^5 - 175*x^4 + 16*x^3 + 111*x^2 - 35*x - 4, x^9 - x^8 - 20*x^7 + 37*x^6 + 70*x^5 - 175*x^4 + 16*x^3 + 111*x^2 - 35*x - 4, 2*x^8 - 9*x^7 + 4*x^6 + 29*x^5 - 40*x^4 + 13*x^3 - x + 2, 2*x^8 - 9*x^7 + 4*x^6 + 29*x^5 - 40*x^4 + 13*x^3 - x + 2, x^8 + 2*x^7 - 27*x^6 + 14*x^5 + 113*x^4 - 102*x^3 - 73*x^2 + 38*x + 2, x^8 + 2*x^7 - 27*x^6 + 14*x^5 + 113*x^4 - 102*x^3 - 73*x^2 + 38*x + 2]>
       ]
>;

MOG[263] := 	// J_0(263)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 31, 37, 55, 85, 107, 108, 110, 141, 149, 150, 184, 208, 165*x + 162, 98*x + 162, 193*x + 84, 70*x + 84, 126*x + 55, 137*x + 55, 59*x + 23, 204*x + 23, 22*x + 53, 241*x + 53]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^5 + 2*x^4 - 3*x^3 - 6*x^2 + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^4 - 2*x^3 + 2*x^2 + 4*x, x^4 + 2*x^3 - 2*x^2 - 4*x, -x^3 - 2*x^2 + 1, x^3 + 2*x^2 - 1, -x^2 - 2*x - 1, x^2 + 2*x + 1, -x^2 - x + 1, x^2 + x - 1, -x - 1, x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^17 - x^16 - 26*x^15 + 24*x^14 + 274*x^13 - 225*x^12 - 1505*x^11 + 1041*x^10 + 4613*x^9 - 2467*x^8 - 7815*x^7 + 2761*x^6 + 6709*x^5 - 974*x^4 - 2284*x^3 - 239*x^2 + 135*x + 19,
           Coordinates        := [-x^16 + x^15 + 24*x^14 - 22*x^13 - 230*x^12 + 185*x^11 + 1125*x^10 - 743*x^9 - 2976*x^8 + 1452*x^7 + 4131*x^6 - 1233*x^5 - 2641*x^4 + 304*x^3 + 548*x^2 - 10*x - 28, x^16 - x^15 - 26*x^14 + 24*x^13 + 270*x^12 - 219*x^11 - 1434*x^10 + 948*x^9 + 4143*x^8 - 1981*x^7 - 6353*x^6 + 1798*x^5 + 4508*x^4 - 480*x^3 - 944*x^2 + 20*x + 48, x^14 - x^13 - 21*x^12 + 21*x^11 + 168*x^10 - 159*x^9 - 647*x^8 + 534*x^7 + 1264*x^6 - 804*x^5 - 1188*x^4 + 460*x^3 + 420*x^2 - 22*x - 26, x^15 - x^14 - 24*x^13 + 24*x^12 + 224*x^11 - 215*x^10 - 1024*x^9 + 884*x^8 + 2377*x^7 - 1629*x^6 - 2627*x^5 + 1028*x^4 + 1084*x^3 + 112*x^2 - 48*x - 16, -2*x^15 + 2*x^14 + 44*x^13 - 40*x^12 - 380*x^11 + 298*x^10 + 1637*x^9 - 1015*x^8 - 3684*x^7 + 1528*x^6 + 4068*x^5 - 670*x^4 - 1736*x^3 - 249*x^2 + 107*x + 19, x^14 - x^13 - 22*x^12 + 22*x^11 + 183*x^10 - 172*x^9 - 727*x^8 + 585*x^7 + 1447*x^6 - 858*x^5 - 1328*x^4 + 416*x^3 + 378*x^2 - 20*x - 22, -2*x^14 + 2*x^13 + 40*x^12 - 38*x^11 - 304*x^10 + 266*x^9 + 1101*x^8 - 847*x^7 - 1972*x^6 + 1231*x^5 + 1679*x^4 - 681*x^3 - 593*x^2 + 29*x + 36, -2*x^13 + 38*x^11 + 4*x^10 - 266*x^9 - 64*x^8 + 829*x^7 + 336*x^6 - 1075*x^5 - 638*x^4 + 382*x^3 + 343*x^2 - 2*x - 26, -2*x^13 + 2*x^12 + 38*x^11 - 36*x^10 - 270*x^9 + 232*x^8 + 883*x^7 - 633*x^6 - 1314*x^5 + 627*x^4 + 761*x^3 - 65*x^2 - 69*x + 7, x^13 - x^12 - 17*x^11 + 17*x^10 + 100*x^9 - 101*x^8 - 229*x^7 + 266*x^6 + 134*x^5 - 388*x^4 + 92*x^3 + 326*x^2 + 24*x - 30, x^13 - 21*x^11 + 168*x^9 + 9*x^8 - 638*x^7 - 104*x^6 + 1160*x^5 + 356*x^4 - 832*x^3 - 372*x^2 + 48*x + 26, x^15 - x^14 - 24*x^13 + 22*x^12 + 227*x^11 - 176*x^10 - 1083*x^9 + 617*x^8 + 2769*x^7 - 862*x^6 - 3642*x^5 + 136*x^4 + 1992*x^3 + 396*x^2 - 146*x - 22, -2*x^12 + 4*x^11 + 34*x^10 - 64*x^9 - 208*x^8 + 354*x^7 + 561*x^6 - 794*x^5 - 659*x^4 + 642*x^3 + 248*x^2 - 53*x - 10, 2*x^12 - 2*x^11 - 34*x^10 + 29*x^9 + 209*x^8 - 134*x^7 - 565*x^6 + 208*x^5 + 640*x^4 - 67*x^3 - 198*x^2 - 4*x + 13, 2*x^12 - 2*x^11 - 34*x^10 + 29*x^9 + 209*x^8 - 134*x^7 - 565*x^6 + 208*x^5 + 640*x^4 - 67*x^3 - 198*x^2 - 4*x + 13, x^13 + x^12 - 21*x^11 - 22*x^10 + 173*x^9 + 175*x^8 - 690*x^7 - 619*x^6 + 1300*x^5 + 980*x^4 - 932*x^3 - 578*x^2 + 42*x + 40, x^13 + x^12 - 21*x^11 - 22*x^10 + 173*x^9 + 175*x^8 - 690*x^7 - 619*x^6 + 1300*x^5 + 980*x^4 - 932*x^3 - 578*x^2 + 42*x + 40, x^13 - 22*x^11 + 2*x^10 + 178*x^9 - 16*x^8 - 661*x^7 + 2*x^6 + 1157*x^5 + 140*x^4 - 807*x^3 - 208*x^2 + 62*x + 11, x^13 - 22*x^11 + 2*x^10 + 178*x^9 - 16*x^8 - 661*x^7 + 2*x^6 + 1157*x^5 + 140*x^4 - 807*x^3 - 208*x^2 + 62*x + 11, x^14 - 23*x^12 + 2*x^11 + 205*x^10 - 32*x^9 - 883*x^8 + 176*x^7 + 1863*x^6 - 385*x^5 - 1712*x^4 + 296*x^3 + 448*x^2 - 18*x - 24, x^14 - 23*x^12 + 2*x^11 + 205*x^10 - 32*x^9 - 883*x^8 + 176*x^7 + 1863*x^6 - 385*x^5 - 1712*x^4 + 296*x^3 + 448*x^2 - 18*x - 24, -x^12 + x^11 + 17*x^10 - 17*x^9 - 109*x^8 + 107*x^7 + 329*x^6 - 302*x^5 - 459*x^4 + 308*x^3 + 262*x^2 - 11*x - 18, -x^12 + x^11 + 17*x^10 - 17*x^9 - 109*x^8 + 107*x^7 + 329*x^6 - 302*x^5 - 459*x^4 + 308*x^3 + 262*x^2 - 11*x - 18]>
       ]
>;

MOG[269] := 	// J_0(269)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 5, 92, 111, 122, 142, 189, 197, 199, 200, 215, 75*x + 258, 194*x + 258, 186*x + 178, 83*x + 178, 82*x + 82, 187*x + 82, 33*x + 253, 236*x + 253, 74*x + 193, 195*x + 193, 256*x + 153, 13*x + 153]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, 1, -1, 0, 0, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^5 + x^4 - 5*x^3 - 4*x^2 + 5*x + 3,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^4 - x^3 + 3*x^2 + 2*x, x^4 + x^3 - 3*x^2 - 2*x, -x^3 - x^2 + 3*x + 2, x^3 + x^2 - 3*x - 2, -x^3 - x^2 + 2*x + 1, x^3 + x^2 - 2*x - 1, -x^2 - x, x^2 + x, -x, x, -x - 1, x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^16 - x^15 - 28*x^14 + 27*x^13 + 314*x^12 - 283*x^11 - 1803*x^10 + 1435*x^9 + 5637*x^8 - 3547*x^7 - 9470*x^6 + 3701*x^5 + 7860*x^4 - 1001*x^3 - 2363*x^2 - 43*x + 172,
           Coordinates        := [-x^15 + x^14 + 25*x^13 - 24*x^12 - 245*x^11 + 219*x^10 + 1192*x^9 - 932*x^8 - 3015*x^7 + 1801*x^6 + 3813*x^5 - 1230*x^4 - 2067*x^3 + 35*x^2 + 202*x - 14, x^15 - x^14 - 25*x^13 + 24*x^12 + 249*x^11 - 227*x^10 - 1254*x^9 + 1060*x^8 + 3329*x^7 - 2471*x^6 - 4407*x^5 + 2532*x^4 + 2549*x^3 - 973*x^2 - 394*x + 120, 2*x^13 - 2*x^12 - 40*x^11 + 40*x^10 + 296*x^9 - 290*x^8 - 990*x^7 + 906*x^6 + 1468*x^5 - 1120*x^4 - 898*x^3 + 510*x^2 + 162*x - 60, 2*x^12 - 2*x^11 - 44*x^10 + 38*x^9 + 354*x^8 - 252*x^7 - 1264*x^6 + 636*x^5 + 1934*x^4 - 370*x^3 - 1068*x^2 - 66*x + 102, -2*x^9 + 16*x^7 - 30*x^6 - 16*x^5 + 230*x^4 - 72*x^3 - 410*x^2 - 54*x + 50, x^14 - x^13 - 21*x^12 + 20*x^11 + 169*x^10 - 147*x^9 - 662*x^8 + 480*x^7 + 1349*x^6 - 659*x^5 - 1471*x^4 + 292*x^3 + 753*x^2 + 47*x - 70, 2*x^13 - 2*x^12 - 42*x^11 + 34*x^10 + 336*x^9 - 190*x^8 - 1292*x^7 + 344*x^6 + 2450*x^5 + 126*x^4 - 1906*x^3 - 634*x^2 + 148*x + 50, 2*x^12 - 42*x^10 + 4*x^9 + 334*x^8 - 54*x^7 - 1230*x^6 + 198*x^5 + 2044*x^4 - 74*x^3 - 1344*x^2 - 154*x + 140, -6*x^11 + 2*x^10 + 112*x^9 - 34*x^8 - 746*x^7 + 174*x^6 + 2098*x^5 - 194*x^4 - 2160*x^3 - 320*x^2 + 238*x + 4, -3*x^14 + 3*x^13 + 69*x^12 - 64*x^11 - 611*x^10 + 503*x^9 + 2622*x^8 - 1746*x^7 - 5657*x^6 + 2471*x^5 + 5793*x^4 - 966*x^3 - 2161*x^2 - 57*x + 172, -2*x^10 + 4*x^9 + 16*x^8 - 62*x^7 + 44*x^6 + 262*x^5 - 532*x^4 - 266*x^3 + 766*x^2 + 158*x - 100, -3*x^12 + 4*x^11 + 55*x^10 - 73*x^9 - 356*x^8 + 460*x^7 + 962*x^6 - 1146*x^5 - 983*x^4 + 920*x^3 + 279*x^2 - 117*x - 2, -3*x^12 + 4*x^11 + 55*x^10 - 73*x^9 - 356*x^8 + 460*x^7 + 962*x^6 - 1146*x^5 - 983*x^4 + 920*x^3 + 279*x^2 - 117*x - 2, -x^11 + 2*x^10 + 9*x^9 - 31*x^8 + 14*x^7 + 146*x^6 - 258*x^5 - 248*x^4 + 419*x^3 + 284*x^2 - 23*x - 25, -x^11 + 2*x^10 + 9*x^9 - 31*x^8 + 14*x^7 + 146*x^6 - 258*x^5 - 248*x^4 + 419*x^3 + 284*x^2 - 23*x - 25, -3*x^13 + 4*x^12 + 62*x^11 - 77*x^10 - 477*x^9 + 525*x^8 + 1694*x^7 - 1466*x^6 - 2823*x^5 + 1362*x^4 + 2020*x^3 - 81*x^2 - 217*x + 21, -3*x^13 + 4*x^12 + 62*x^11 - 77*x^10 - 477*x^9 + 525*x^8 + 1694*x^7 - 1466*x^6 - 2823*x^5 + 1362*x^4 + 2020*x^3 - 81*x^2 - 217*x + 21, x^13 - 4*x^12 - 17*x^11 + 79*x^10 + 95*x^9 - 572*x^8 - 180*x^7 + 1872*x^6 + 37*x^5 - 2790*x^4 - 35*x^3 + 1665*x^2 + 195*x - 170, x^13 - 4*x^12 - 17*x^11 + 79*x^10 + 95*x^9 - 572*x^8 - 180*x^7 + 1872*x^6 + 37*x^5 - 2790*x^4 - 35*x^3 + 1665*x^2 + 195*x - 170, x^12 - x^11 - 18*x^10 + 19*x^9 + 118*x^8 - 120*x^7 - 354*x^6 + 288*x^5 + 523*x^4 - 223*x^3 - 332*x^2 - 11*x + 30, x^12 - x^11 - 18*x^10 + 19*x^9 + 118*x^8 - 120*x^7 - 354*x^6 + 288*x^5 + 523*x^4 - 223*x^3 - 332*x^2 - 11*x + 30, x^14 - x^13 - 22*x^12 + 18*x^11 + 190*x^10 - 114*x^9 - 823*x^8 + 298*x^7 + 1857*x^6 - 255*x^5 - 1920*x^4 - 132*x^3 + 608*x^2 + 58*x - 51, x^14 - x^13 - 22*x^12 + 18*x^11 + 190*x^10 - 114*x^9 - 823*x^8 + 298*x^7 + 1857*x^6 - 255*x^5 - 1920*x^4 - 132*x^3 + 608*x^2 + 58*x - 51]>
       ]
>;

MOG[271] := 	// J_0(271)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [23, 47, 69, 98, 102, 125, 141, 148, 202, 236, 240, 163*x + 35, 108*x + 35, 68*x + 183, 203*x + 183, 192*x + 162, 79*x + 162, 126*x + 231, 145*x + 231, 195*x + 238, 76*x + 238, 49*x + 57, 222*x + 57]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^6 + 4*x^5 + x^4 - 9*x^3 - 4*x^2 + 5*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^5 - 3*x^4 + x^3 + 5*x^2 - x - 1, x^5 + 3*x^4 - x^3 - 5*x^2 + x + 1, 1, -1, -x^4 - 3*x^3 + 3*x, x^4 + 3*x^3 - 3*x, x, -x, -x^3 - 2*x^2 + x + 1, x^3 + 2*x^2 - x - 1, x^2 + x - 1, -x^2 - x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^16 - 5*x^15 - 12*x^14 + 91*x^13 + 11*x^12 - 620*x^11 + 381*x^10 + 1953*x^9 - 1863*x^8 - 2853*x^7 + 3137*x^6 + 1830*x^5 - 1758*x^4 - 831*x^3 + 308*x^2 + 204*x + 27,
           Coordinates        := [-x^15 + 5*x^14 + 9*x^13 - 75*x^12 + 6*x^11 + 409*x^10 - 249*x^9 - 1030*x^8 + 766*x^7 + 1277*x^6 - 784*x^5 - 808*x^4 + 197*x^3 + 238*x^2 + 38*x - 1, x^15 - 5*x^14 - 9*x^13 + 76*x^12 - 9*x^11 - 425*x^10 + 306*x^9 + 1087*x^8 - 1080*x^7 - 1240*x^6 + 1376*x^5 + 526*x^4 - 510*x^3 - 150*x^2 + 48*x + 14, -x^14 + 6*x^13 + 3*x^12 - 77*x^11 + 80*x^10 + 317*x^9 - 527*x^8 - 458*x^7 + 1053*x^6 + 164*x^5 - 631*x^4 - 169*x^3 + 144*x^2 + 79*x + 11, -2*x^12 + 8*x^11 + 17*x^10 - 96*x^9 - 8*x^8 + 357*x^7 - 157*x^6 - 494*x^5 + 261*x^4 + 249*x^3 - 63*x^2 - 64*x - 10, -x^10 + 3*x^9 + 9*x^8 - 34*x^7 - 5*x^6 + 91*x^5 - 44*x^4 - 61*x^3 + 18*x^2 + 22*x + 4, 2*x^13 - 10*x^12 - 11*x^11 + 120*x^10 - 69*x^9 - 459*x^8 + 539*x^7 + 597*x^6 - 1014*x^5 - 107*x^4 + 516*x^3 + 25*x^2 - 105*x - 22, x^14 - 5*x^13 - 8*x^12 + 71*x^11 - 15*x^10 - 360*x^9 + 263*x^8 + 823*x^7 - 715*x^6 - 902*x^5 + 638*x^4 + 533*x^3 - 146*x^2 - 152*x - 25, -x^12 + 4*x^11 + 11*x^10 - 55*x^9 - 28*x^8 + 253*x^7 - 30*x^6 - 458*x^5 + 139*x^4 + 279*x^3 - 28*x^2 - 69*x - 13, x^12 - 4*x^11 - 9*x^10 + 47*x^9 + 19*x^8 - 193*x^7 + 32*x^6 + 295*x^5 - 94*x^4 - 123*x^3 + 9*x^2 + 16*x + 2, -x^11 + 4*x^10 + 6*x^9 - 43*x^8 + 29*x^7 + 96*x^6 - 135*x^5 - 17*x^4 + 79*x^3 + 4*x^2 - 18*x - 4, -x^13 + 6*x^12 + 3*x^11 - 77*x^10 + 82*x^9 + 309*x^8 - 536*x^7 - 398*x^6 + 1055*x^5 + x^4 - 586*x^3 - 13*x^2 + 125*x + 26, -x^13 + 4*x^12 + 9*x^11 - 50*x^10 - 7*x^9 + 200*x^8 - 93*x^7 - 295*x^6 + 198*x^5 + 133*x^4 - 71*x^3 - 34*x^2 + 4*x + 2, -x^13 + 4*x^12 + 9*x^11 - 50*x^10 - 7*x^9 + 200*x^8 - 93*x^7 - 295*x^6 + 198*x^5 + 133*x^4 - 71*x^3 - 34*x^2 + 4*x + 2, x^14 - 5*x^13 - 6*x^12 + 62*x^11 - 30*x^10 - 253*x^9 + 260*x^8 + 395*x^7 - 523*x^6 - 201*x^5 + 305*x^4 + 74*x^3 - 57*x^2 - 19*x - 1, x^14 - 5*x^13 - 6*x^12 + 62*x^11 - 30*x^10 - 253*x^9 + 260*x^8 + 395*x^7 - 523*x^6 - 201*x^5 + 305*x^4 + 74*x^3 - 57*x^2 - 19*x - 1, -x^14 + 5*x^13 + 7*x^12 - 67*x^11 + 26*x^10 + 303*x^9 - 285*x^8 - 559*x^7 + 650*x^6 + 429*x^5 - 465*x^4 - 212*x^3 + 101*x^2 + 62*x + 8, -x^14 + 5*x^13 + 7*x^12 - 67*x^11 + 26*x^10 + 303*x^9 - 285*x^8 - 559*x^7 + 650*x^6 + 429*x^5 - 465*x^4 - 212*x^3 + 101*x^2 + 62*x + 8, x^13 - 4*x^12 - 10*x^11 + 52*x^10 + 23*x^9 - 233*x^8 + 18*x^7 + 442*x^6 - 57*x^5 - 345*x^4 - 63*x^3 + 106*x^2 + 56*x + 8, x^13 - 4*x^12 - 10*x^11 + 52*x^10 + 23*x^9 - 233*x^8 + 18*x^7 + 442*x^6 - 57*x^5 - 345*x^4 - 63*x^3 + 106*x^2 + 56*x + 8, -x^13 + 4*x^12 + 11*x^11 - 56*x^10 - 29*x^9 + 271*x^8 - 23*x^7 - 553*x^6 + 121*x^5 + 463*x^4 - 25*x^3 - 142*x^2 - 34*x - 1, -x^13 + 4*x^12 + 11*x^11 - 56*x^10 - 29*x^9 + 271*x^8 - 23*x^7 - 553*x^6 + 121*x^5 + 463*x^4 - 25*x^3 - 142*x^2 - 34*x - 1, x^10 - 3*x^9 - 9*x^8 + 29*x^7 + 24*x^6 - 87*x^5 - 23*x^4 + 95*x^3 + 7*x^2 - 29*x - 7, x^10 - 3*x^9 - 9*x^8 + 29*x^7 + 24*x^6 - 87*x^5 - 23*x^4 + 95*x^3 + 7*x^2 - 29*x - 7]>
       ]
>;

MOG[277] := 	// J_0(277)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [61, 195, 244, 44*x + 22, 233*x + 22, 229*x + 41, 48*x + 41, 222*x + 110, 55*x + 110, 132*x + 93, 145*x + 93, x + 169, 276*x + 169, 252*x + 2, 25*x + 2, 194*x + 191, 83*x + 191, 56*x + 53, 221*x + 53, 31*x + 261, 246*x + 261, 36*x + 163, 241*x + 163]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [0, 0, 0, 1, -1, 1, -1, 0, 0, 0, 0, 0, 0, -1, 1, 0, 0, -1, 1, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 + x^2 - 3*x - 1,
           Coordinates        := [-x - 1, -x^2 - x, -x^2 - 2*x + 1, -1, -1, x^2 + x - 1, x^2 + x - 1, 0, 0, x + 1, x + 1, x + 1, x + 1, 1, 1, 0, 0, -x, -x, 0, 0, -1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^9 + 6*x^8 + 4*x^7 - 37*x^6 - 69*x^5 + 24*x^4 + 119*x^3 + 34*x^2 - 52*x - 25,
           Coordinates        := [0, 0, 0, x^8 + 5*x^7 - 33*x^5 - 40*x^4 + 30*x^3 + 54*x^2 - 3*x - 13, -x^8 - 5*x^7 + 33*x^5 + 40*x^4 - 30*x^3 - 54*x^2 + 3*x + 13, -x^8 - 5*x^7 - x^6 + 28*x^5 + 36*x^4 - 18*x^3 - 38*x^2 + x + 9, x^8 + 5*x^7 + x^6 - 28*x^5 - 36*x^4 + 18*x^3 + 38*x^2 - x - 9, x^7 + 5*x^6 + x^5 - 30*x^4 - 47*x^3 + x^2 + 38*x + 16, -x^7 - 5*x^6 - x^5 + 30*x^4 + 47*x^3 - x^2 - 38*x - 16, -x^7 - 4*x^6 + 2*x^5 + 22*x^4 + 15*x^3 - 14*x^2 - 7*x + 2, x^7 + 4*x^6 - 2*x^5 - 22*x^4 - 15*x^3 + 14*x^2 + 7*x - 2, -x^7 - 5*x^6 - 2*x^5 + 24*x^4 + 36*x^3 - 5*x^2 - 33*x - 14, x^7 + 5*x^6 + 2*x^5 - 24*x^4 - 36*x^3 + 5*x^2 + 33*x + 14, -2*x^4 - 9*x^3 - 9*x^2 + 4*x + 5, 2*x^4 + 9*x^3 + 9*x^2 - 4*x - 5, x^6 + 3*x^5 - 5*x^4 - 20*x^3 - 7*x^2 + 15*x + 8, -x^6 - 3*x^5 + 5*x^4 + 20*x^3 + 7*x^2 - 15*x - 8, -x^6 - 4*x^5 + x^4 + 19*x^3 + 17*x^2 - 6*x - 7, x^6 + 4*x^5 - x^4 - 19*x^3 - 17*x^2 + 6*x + 7, -x^6 - 4*x^5 + 2*x^4 + 22*x^3 + 14*x^2 - 19*x - 14, x^6 + 4*x^5 - 2*x^4 - 22*x^3 - 14*x^2 + 19*x + 14, -x^5 - 3*x^4 + 2*x^3 + 8*x^2 - 2, x^5 + 3*x^4 - 2*x^3 - 8*x^2 + 2]>,
         rec<Eigen |
           DefiningPolynomial := x^9 - 4*x^8 - 6*x^7 + 37*x^6 - 3*x^5 - 100*x^4 + 49*x^3 + 64*x^2 - 20*x - 1,
           Coordinates        := [2*x^8 - 4*x^7 - 22*x^6 + 52*x^5 + 38*x^4 - 140*x^3 + 70*x^2 - 14*x + 6, 4*x^8 - 14*x^7 - 20*x^6 + 100*x^5 + 4*x^4 - 200*x^3 + 50*x^2 + 96*x - 6, -2*x^8 + 34*x^6 - 24*x^5 - 136*x^4 + 116*x^3 + 126*x^2 - 78*x - 8, -3*x^8 + 11*x^7 + 8*x^6 - 59*x^5 + 26*x^4 + 54*x^3 - 38*x^2 + 15*x + 3, -3*x^8 + 11*x^7 + 8*x^6 - 59*x^5 + 26*x^4 + 54*x^3 - 38*x^2 + 15*x + 3, x^8 - 7*x^7 + 7*x^6 + 38*x^5 - 66*x^4 - 42*x^3 + 88*x^2 + 9*x - 7, x^8 - 7*x^7 + 7*x^6 + 38*x^5 - 66*x^4 - 42*x^3 + 88*x^2 + 9*x - 7, -3*x^7 + 11*x^6 + 3*x^5 - 44*x^4 + 35*x^3 - 7*x^2 + 12*x + 12, -3*x^7 + 11*x^6 + 3*x^5 - 44*x^4 + 35*x^3 - 7*x^2 + 12*x + 12, x^7 - 2*x^6 - 8*x^5 + 12*x^4 + 27*x^3 - 18*x^2 - 45*x + 8, x^7 - 2*x^6 - 8*x^5 + 12*x^4 + 27*x^3 - 18*x^2 - 45*x + 8, x^7 - 5*x^6 + 4*x^5 + 20*x^4 - 42*x^3 + x^2 + 43*x - 10, x^7 - 5*x^6 + 4*x^5 + 20*x^4 - 42*x^3 + x^2 + 43*x - 10, -2*x^6 + 10*x^5 - 4*x^4 - 43*x^3 + 51*x^2 + 6*x + 3, -2*x^6 + 10*x^5 - 4*x^4 - 43*x^3 + 51*x^2 + 6*x + 3, -3*x^6 + 5*x^5 + 13*x^4 - 18*x^3 - x^2 - 9*x - 6, -3*x^6 + 5*x^5 + 13*x^4 - 18*x^3 - x^2 - 9*x - 6, 4*x^7 - 13*x^6 - 18*x^5 + 81*x^4 - 3*x^3 - 115*x^2 + 44*x - 1, 4*x^7 - 13*x^6 - 18*x^5 + 81*x^4 - 3*x^3 - 115*x^2 + 44*x - 1, 2*x^7 - x^6 - 28*x^5 + 28*x^4 + 86*x^3 - 96*x^2 - 25*x + 4, 2*x^7 - x^6 - 28*x^5 + 28*x^4 + 86*x^3 - 96*x^2 - 25*x + 4, 4*x^6 - 11*x^5 - 19*x^4 + 58*x^3 + 12*x^2 - 52*x - 2, 4*x^6 - 11*x^5 - 19*x^4 + 58*x^3 + 12*x^2 - 52*x - 2]>
       ]
>;

MOG[281] := 	// J_0(281)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 5, 48, 84, 90, 109, 130, 133, 249, 252, 278*x + 75, 3*x + 75, 257*x + 132, 24*x + 132, 104*x + 180, 177*x + 180, 131*x + 181, 150*x + 181, 149*x + 122, 132*x + 122, 43*x + 19, 238*x + 19, 182*x + 116, 99*x + 116]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^7 + 2*x^6 - 5*x^5 - 9*x^4 + 7*x^3 + 10*x^2 - 2*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^6 - 2*x^5 + 3*x^4 + 6*x^3 - 2*x^2 - 4*x, x^6 + 2*x^5 - 3*x^4 - 6*x^3 + 2*x^2 + 4*x, -x^5 - x^4 + 3*x^3 + 2*x^2 - 2*x - 1, x^5 + x^4 - 3*x^3 - 2*x^2 + 2*x + 1, -x^5 - 2*x^4 + 2*x^3 + 4*x^2, x^5 + 2*x^4 - 2*x^3 - 4*x^2, -x^4 - x^3 + 2*x^2 + x - 1, x^4 + x^3 - 2*x^2 - x + 1, -x^4 - 2*x^3 + 2*x^2 + 4*x, x^4 + 2*x^3 - 2*x^2 - 4*x, -x^3 - x^2 + x + 1, x^3 + x^2 - x - 1, -x^2 + 1, x^2 - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^16 + x^15 - 27*x^14 - 24*x^13 + 294*x^12 + 229*x^11 - 1650*x^10 - 1115*x^9 + 5054*x^8 + 2991*x^7 - 8223*x^6 - 4526*x^5 + 6338*x^4 + 3707*x^3 - 1604*x^2 - 1215*x - 167,
           Coordinates        := [-x^15 - x^14 + 24*x^13 + 21*x^12 - 228*x^11 - 172*x^10 + 1086*x^9 + 701*x^8 - 2710*x^7 - 1524*x^6 + 3393*x^5 + 1774*x^4 - 1909*x^3 - 943*x^2 + 345*x + 144, x^15 + x^14 - 24*x^13 - 19*x^12 + 232*x^11 + 138*x^10 - 1142*x^9 - 487*x^8 + 2972*x^7 + 918*x^6 - 3863*x^5 - 1030*x^4 + 2219*x^3 + 583*x^2 - 387*x - 80, -3*x^14 - 3*x^13 + 66*x^12 + 57*x^11 - 564*x^10 - 414*x^9 + 2344*x^8 + 1467*x^7 - 4830*x^6 - 2752*x^5 + 4429*x^4 + 2764*x^3 - 1259*x^2 - 1071*x - 167, x^14 + x^13 - 20*x^12 - 15*x^11 + 156*x^10 + 70*x^9 - 598*x^8 - 63*x^7 + 1172*x^6 - 262*x^5 - 1143*x^4 + 414*x^3 + 559*x^2 - 105*x - 71, -4*x^10 + 48*x^8 - 6*x^7 - 170*x^6 + 42*x^5 + 150*x^4 - 38*x^3 + 34*x^2 + 2*x - 58, 2*x^12 + 4*x^11 - 34*x^10 - 72*x^9 + 210*x^8 + 470*x^7 - 576*x^6 - 1332*x^5 + 660*x^4 + 1530*x^3 - 66*x^2 - 584*x - 148, 2*x^11 - 2*x^10 - 32*x^9 + 22*x^8 + 170*x^7 - 66*x^6 - 332*x^5 + 32*x^4 + 176*x^3 + 80*x + 78, 2*x^12 - 4*x^11 - 40*x^10 + 72*x^9 + 296*x^8 - 464*x^7 - 984*x^6 + 1246*x^5 + 1456*x^4 - 1172*x^3 - 960*x^2 + 250*x + 142, 2*x^11 - 2*x^10 - 46*x^9 + 34*x^8 + 366*x^7 - 202*x^6 - 1214*x^5 + 446*x^4 + 1564*x^3 - 144*x^2 - 720*x - 148, 2*x^13 + 2*x^12 - 38*x^11 - 34*x^10 + 272*x^9 + 212*x^8 - 900*x^7 - 590*x^6 + 1360*x^5 + 722*x^4 - 830*x^3 - 344*x^2 + 158*x + 40, -3*x^13 - 3*x^12 + 60*x^11 + 51*x^10 - 457*x^9 - 318*x^8 + 1650*x^7 + 910*x^6 - 2875*x^5 - 1279*x^4 + 2234*x^3 + 879*x^2 - 601*x - 216, -3*x^13 - 3*x^12 + 60*x^11 + 51*x^10 - 457*x^9 - 318*x^8 + 1650*x^7 + 910*x^6 - 2875*x^5 - 1279*x^4 + 2234*x^3 + 879*x^2 - 601*x - 216, -3*x^12 - 5*x^11 + 54*x^10 + 84*x^9 - 356*x^8 - 515*x^7 + 1037*x^6 + 1425*x^5 - 1248*x^4 - 1820*x^3 + 361*x^2 + 863*x + 187, -3*x^12 - 5*x^11 + 54*x^10 + 84*x^9 - 356*x^8 - 515*x^7 + 1037*x^6 + 1425*x^5 - 1248*x^4 - 1820*x^3 + 361*x^2 + 863*x + 187, -3*x^12 - x^11 + 53*x^10 + 12*x^9 - 338*x^8 - 42*x^7 + 918*x^6 + 48*x^5 - 947*x^4 - 65*x^3 + 297*x^2 - 8*x - 20, -3*x^12 - x^11 + 53*x^10 + 12*x^9 - 338*x^8 - 42*x^7 + 918*x^6 + 48*x^5 - 947*x^4 - 65*x^3 + 297*x^2 - 8*x - 20, x^12 - x^11 - 21*x^10 + 17*x^9 + 159*x^8 - 98*x^7 - 522*x^6 + 202*x^5 + 707*x^4 - 53*x^3 - 377*x^2 - 75*x + 29, x^12 - x^11 - 21*x^10 + 17*x^9 + 159*x^8 - 98*x^7 - 522*x^6 + 202*x^5 + 707*x^4 - 53*x^3 - 377*x^2 - 75*x + 29, -3*x^11 + x^10 + 47*x^9 - 20*x^8 - 268*x^7 + 122*x^6 + 682*x^5 - 242*x^4 - 765*x^3 + 73*x^2 + 331*x + 74, -3*x^11 + x^10 + 47*x^9 - 20*x^8 - 268*x^7 + 122*x^6 + 682*x^5 - 242*x^4 - 765*x^3 + 73*x^2 + 331*x + 74, x^13 + 2*x^12 - 18*x^11 - 35*x^10 + 121*x^9 + 224*x^8 - 373*x^7 - 633*x^6 + 496*x^5 + 749*x^4 - 121*x^3 - 292*x^2 - 114*x - 39, x^13 + 2*x^12 - 18*x^11 - 35*x^10 + 121*x^9 + 224*x^8 - 373*x^7 - 633*x^6 + 496*x^5 + 749*x^4 - 121*x^3 - 292*x^2 - 114*x - 39, x^14 + 2*x^13 - 21*x^12 - 38*x^11 + 176*x^10 + 279*x^9 - 742*x^8 - 1005*x^7 + 1594*x^6 + 1879*x^5 - 1488*x^4 - 1769*x^3 + 329*x^2 + 620*x + 119, x^14 + 2*x^13 - 21*x^12 - 38*x^11 + 176*x^10 + 279*x^9 - 742*x^8 - 1005*x^7 + 1594*x^6 + 1879*x^5 - 1488*x^4 - 1769*x^3 + 329*x^2 + 620*x + 119]>
       ]
>;

MOG[283] := 	// J_0(283)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [21, 30, 60, 78, 122, 251, 246*x + 29, 37*x + 29, 175*x + 255, 108*x + 255, 97*x + 86, 186*x + 86, 173*x + 196, 110*x + 196, 212*x + 119, 71*x + 119, 115*x + 208, 168*x + 208, 208*x + 183, 75*x + 183, 106*x, 177*x, 188*x + 177, 95*x + 177]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^9 + 6*x^8 + 5*x^7 - 29*x^6 - 50*x^5 + 27*x^4 + 83*x^3 + 19*x^2 - 13*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x^8 - 6*x^7 - 7*x^6 + 18*x^5 + 38*x^4 - 3*x^3 - 37*x^2 - 11*x + 4, x^8 + 6*x^7 + 7*x^6 - 18*x^5 - 38*x^4 + 3*x^3 + 37*x^2 + 11*x - 4, -x^7 - 6*x^6 - 9*x^5 + 8*x^4 + 29*x^3 + 19*x^2 + x - 1, x^7 + 6*x^6 + 9*x^5 - 8*x^4 - 29*x^3 - 19*x^2 - x + 1, -x^7 - 5*x^6 - 3*x^5 + 16*x^4 + 17*x^3 - 11*x^2 - 10*x + 2, x^7 + 5*x^6 + 3*x^5 - 16*x^4 - 17*x^3 + 11*x^2 + 10*x - 2, -x^6 - 5*x^5 - 4*x^4 + 12*x^3 + 17*x^2 + 2*x - 1, x^6 + 5*x^5 + 4*x^4 - 12*x^3 - 17*x^2 - 2*x + 1, -x^6 - 5*x^5 - 5*x^4 + 10*x^3 + 21*x^2 + 8*x - 3, x^6 + 5*x^5 + 5*x^4 - 10*x^3 - 21*x^2 - 8*x + 3, -x^6 - 5*x^5 - 5*x^4 + 9*x^3 + 16*x^2 + 3*x - 2, x^6 + 5*x^5 + 5*x^4 - 9*x^3 - 16*x^2 - 3*x + 2, -x^5 - 3*x^4 + 2*x^3 + 10*x^2 + 4*x - 2, x^5 + 3*x^4 - 2*x^3 - 10*x^2 - 4*x + 2, -x^5 - 3*x^4 + x^3 + 7*x^2 + 2*x - 1, x^5 + 3*x^4 - x^3 - 7*x^2 - 2*x + 1, -x^5 - 4*x^4 - 2*x^3 + 7*x^2 + 6*x - 1, x^5 + 4*x^4 + 2*x^3 - 7*x^2 - 6*x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^14 - 6*x^13 - 4*x^12 + 83*x^11 - 77*x^10 - 394*x^9 + 617*x^8 + 724*x^7 - 1566*x^6 - 370*x^5 + 1489*x^4 - 153*x^3 - 410*x^2 + 120*x - 8,
           Coordinates        := [-x^13 + 4*x^12 + 11*x^11 - 57*x^10 - 28*x^9 + 289*x^8 - 53*x^7 - 621*x^6 + 259*x^5 + 531*x^4 - 234*x^3 - 130*x^2 + 70*x - 4, x^13 - 5*x^12 - 7*x^11 + 66*x^10 - 21*x^9 - 303*x^8 + 260*x^7 + 564*x^6 - 614*x^5 - 376*x^4 + 457*x^3 + 40*x^2 - 88*x + 12, -x^11 + 4*x^10 + 7*x^9 - 41*x^8 + 129*x^6 - 71*x^5 - 115*x^4 + 111*x^3 - 31*x^2 - 20*x + 4, -x^11 + 4*x^10 + 7*x^9 - 39*x^8 - 12*x^7 + 135*x^6 + 5*x^5 - 231*x^4 + 43*x^3 + 137*x^2 - 50*x, -x^12 + 4*x^11 + 9*x^10 - 49*x^9 - 14*x^8 + 209*x^7 - 65*x^6 - 357*x^5 + 193*x^4 + 185*x^3 - 80*x^2 - 24*x, 2*x^12 - 10*x^11 - 10*x^10 + 112*x^9 - 54*x^8 - 420*x^7 + 388*x^6 + 608*x^5 - 656*x^4 - 264*x^3 + 282*x^2 - 20*x - 4, 2*x^11 - 10*x^10 - 6*x^9 + 93*x^8 - 66*x^7 - 260*x^6 + 286*x^5 + 244*x^4 - 316*x^3 - 50*x^2 + 86*x - 12, 2*x^11 - 10*x^10 - 6*x^9 + 93*x^8 - 66*x^7 - 260*x^6 + 286*x^5 + 244*x^4 - 316*x^3 - 50*x^2 + 86*x - 12, 2*x^10 - 11*x^9 + x^8 + 84*x^7 - 107*x^6 - 143*x^5 + 282*x^4 - 4*x^3 - 140*x^2 + 38*x, 2*x^10 - 11*x^9 + x^8 + 84*x^7 - 107*x^6 - 143*x^5 + 282*x^4 - 4*x^3 - 140*x^2 + 38*x, 2*x^10 - 8*x^9 - 13*x^8 + 76*x^7 + 5*x^6 - 221*x^5 + 58*x^4 + 218*x^3 - 56*x^2 - 30*x + 4, 2*x^10 - 8*x^9 - 13*x^8 + 76*x^7 + 5*x^6 - 221*x^5 + 58*x^4 + 218*x^3 - 56*x^2 - 30*x + 4, -x^10 + 5*x^9 + x^8 - 37*x^7 + 35*x^6 + 63*x^5 - 75*x^4 - 24*x^3 + 15*x^2 + 12*x, -x^10 + 5*x^9 + x^8 - 37*x^7 + 35*x^6 + 63*x^5 - 75*x^4 - 24*x^3 + 15*x^2 + 12*x, 2*x^9 - 10*x^8 - 4*x^7 + 82*x^6 - 67*x^5 - 173*x^4 + 200*x^3 + 73*x^2 - 98*x + 12, 2*x^9 - 10*x^8 - 4*x^7 + 82*x^6 - 67*x^5 - 173*x^4 + 200*x^3 + 73*x^2 - 98*x + 12, x^9 - 4*x^8 - 5*x^7 + 34*x^6 - 7*x^5 - 84*x^4 + 42*x^3 + 76*x^2 - 52*x + 8, x^9 - 4*x^8 - 5*x^7 + 34*x^6 - 7*x^5 - 84*x^4 + 42*x^3 + 76*x^2 - 52*x + 8, -x^9 + 5*x^8 + 2*x^7 - 42*x^6 + 37*x^5 + 91*x^4 - 123*x^3 - 31*x^2 + 72*x - 12, -x^9 + 5*x^8 + 2*x^7 - 42*x^6 + 37*x^5 + 91*x^4 - 123*x^3 - 31*x^2 + 72*x - 12, x^8 - 2*x^7 - 9*x^6 + 16*x^5 + 25*x^4 - 34*x^3 - 26*x^2 + 24*x - 4, x^8 - 2*x^7 - 9*x^6 + 16*x^5 + 25*x^4 - 34*x^3 - 26*x^2 + 24*x - 4, -x^10 + 4*x^9 + 7*x^8 - 40*x^7 - 3*x^6 + 121*x^5 - 41*x^4 - 108*x^3 + 30*x^2 + 14*x, -x^10 + 4*x^9 + 7*x^8 - 40*x^7 - 3*x^6 + 121*x^5 - 41*x^4 - 108*x^3 + 30*x^2 + 14*x]>
       ]
>;

MOG[293] := 	// J_0(293)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 48, 88, 89, 124, 127, 141, 212, 243, 42*x + 241, 251*x + 241, 253*x + 229, 40*x + 229, 273*x + 25, 20*x + 25, 138*x + 292, 155*x + 292, 4*x + 233, 289*x + 233, 244*x + 62, 49*x + 62, 38*x + 266, 255*x + 266, 187*x + 137, 106*x + 137]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^8 + 3*x^7 - 4*x^6 - 15*x^5 + 4*x^4 + 21*x^3 - 2*x^2 - 8*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, -x^7 - 3*x^6 + 2*x^5 + 9*x^4 - 2*x^3 - 7*x^2 + 2*x, x^7 + 3*x^6 - 2*x^5 - 9*x^4 + 2*x^3 + 7*x^2 - 2*x, -x^6 - 3*x^5 + x^4 + 7*x^3 - 4*x, x^6 + 3*x^5 - x^4 - 7*x^3 + 4*x, -x^6 - 3*x^5 + x^4 + 7*x^3 - 4*x + 1, x^6 + 3*x^5 - x^4 - 7*x^3 + 4*x - 1, -x^5 - 2*x^4 + 2*x^3 + 3*x^2 - 2*x, x^5 + 2*x^4 - 2*x^3 - 3*x^2 + 2*x, -x^5 - 2*x^4 + 2*x^3 + 3*x^2 - x, x^5 + 2*x^4 - 2*x^3 - 3*x^2 + x, -x^4 - 2*x^3 + x^2 + 2*x, x^4 + 2*x^3 - x^2 - 2*x, -x^4 - 2*x^3 + 2*x^2 + 3*x - 1, x^4 + 2*x^3 - 2*x^2 - 3*x + 1, -x^3 - x^2 + 2*x, x^3 + x^2 - 2*x]>,
         rec<Eigen |
           DefiningPolynomial := x^16 - 3*x^15 - 22*x^14 + 69*x^13 + 184*x^12 - 621*x^11 - 716*x^10 + 2758*x^9 + 1234*x^8 - 6287*x^7 - 554*x^6 + 7023*x^5 - 572*x^4 - 3385*x^3 + 508*x^2 + 526*x - 111,
           Coordinates        := [-x^15 + 3*x^14 + 19*x^13 - 60*x^12 - 133*x^11 + 461*x^10 + 403*x^9 - 1705*x^8 - 393*x^7 + 3106*x^6 - 399*x^5 - 2515*x^4 + 835*x^3 + 654*x^2 - 283*x + 16, x^15 - 3*x^14 - 19*x^13 + 60*x^12 + 133*x^11 - 463*x^10 - 397*x^9 + 1721*x^8 + 329*x^7 - 3108*x^6 + 589*x^5 + 2347*x^4 - 975*x^3 - 402*x^2 + 259*x - 40, -3*x^14 + 9*x^13 + 51*x^12 - 160*x^11 - 313*x^10 + 1053*x^9 + 841*x^8 - 3181*x^7 - 953*x^6 + 4508*x^5 + 263*x^4 - 2731*x^3 + 225*x^2 + 542*x - 111, 2*x^12 - 4*x^11 - 32*x^10 + 60*x^9 + 184*x^8 - 314*x^7 - 456*x^6 + 672*x^5 + 440*x^4 - 490*x^3 - 80*x^2 + 4*x + 14, 2*x^12 - 6*x^11 - 32*x^10 + 102*x^9 + 172*x^8 - 620*x^7 - 328*x^6 + 1612*x^5 + 42*x^4 - 1694*x^3 + 336*x^2 + 518*x - 128, x^14 - 3*x^13 - 17*x^12 + 54*x^11 + 105*x^10 - 369*x^9 - 285*x^8 + 1221*x^7 + 299*x^6 - 2100*x^5 + 105*x^4 + 1789*x^3 - 445*x^2 - 496*x + 157, 2*x^10 - 24*x^8 + 2*x^7 + 90*x^6 - 20*x^5 - 114*x^4 + 54*x^3 + 32*x^2 - 12*x - 18, 2*x^11 - 4*x^10 - 24*x^9 + 50*x^8 + 86*x^7 - 200*x^6 - 74*x^5 + 282*x^4 - 76*x^3 - 76*x^2 + 6*x + 36, -4*x^11 + 8*x^10 + 60*x^9 - 120*x^8 - 298*x^7 + 604*x^6 + 526*x^5 - 1136*x^4 - 194*x^3 + 612*x^2 - 26*x - 40, x^13 - 3*x^12 - 14*x^11 + 46*x^10 + 62*x^9 - 249*x^8 - 71*x^7 + 564*x^6 - 116*x^5 - 465*x^4 + 205*x^3 + 42*x^2 + 5*x - 7, x^13 - 3*x^12 - 14*x^11 + 46*x^10 + 62*x^9 - 249*x^8 - 71*x^7 + 564*x^6 - 116*x^5 - 465*x^4 + 205*x^3 + 42*x^2 + 5*x - 7, x^14 - 3*x^13 - 17*x^12 + 52*x^11 + 107*x^10 - 334*x^9 - 310*x^8 + 979*x^7 + 422*x^6 - 1288*x^5 - 254*x^4 + 597*x^3 + 98*x^2 - 35*x - 23, x^14 - 3*x^13 - 17*x^12 + 52*x^11 + 107*x^10 - 334*x^9 - 310*x^8 + 979*x^7 + 422*x^6 - 1288*x^5 - 254*x^4 + 597*x^3 + 98*x^2 - 35*x - 23, x^12 - 2*x^11 - 13*x^10 + 25*x^9 + 55*x^8 - 101*x^7 - 82*x^6 + 151*x^5 + 19*x^4 - 65*x^3 - 13*x^2 + 24*x + 9, x^12 - 2*x^11 - 13*x^10 + 25*x^9 + 55*x^8 - 101*x^7 - 82*x^6 + 151*x^5 + 19*x^4 - 65*x^3 - 13*x^2 + 24*x + 9, x^13 - 5*x^12 - 12*x^11 + 83*x^10 + 25*x^9 - 493*x^8 + 164*x^7 + 1256*x^6 - 727*x^5 - 1285*x^4 + 868*x^3 + 325*x^2 - 287*x + 47, x^13 - 5*x^12 - 12*x^11 + 83*x^10 + 25*x^9 - 493*x^8 + 164*x^7 + 1256*x^6 - 727*x^5 - 1285*x^4 + 868*x^3 + 325*x^2 - 287*x + 47, x^12 - x^11 - 17*x^10 + 17*x^9 + 98*x^8 - 97*x^7 - 213*x^6 + 209*x^5 + 118*x^4 - 142*x^3 + 58*x^2 - 2*x - 29, x^12 - x^11 - 17*x^10 + 17*x^9 + 98*x^8 - 97*x^7 - 213*x^6 + 209*x^5 + 118*x^4 - 142*x^3 + 58*x^2 - 2*x - 29, -3*x^13 + 10*x^12 + 43*x^11 - 165*x^10 - 184*x^9 + 967*x^8 + 113*x^7 - 2405*x^6 + 730*x^5 + 2407*x^4 - 1140*x^3 - 710*x^2 + 369*x - 24, -3*x^13 + 10*x^12 + 43*x^11 - 165*x^10 - 184*x^9 + 967*x^8 + 113*x^7 - 2405*x^6 + 730*x^5 + 2407*x^4 - 1140*x^3 - 710*x^2 + 369*x - 24, x^13 - 3*x^12 - 14*x^11 + 47*x^10 + 56*x^9 - 250*x^8 - 15*x^7 + 504*x^6 - 242*x^5 - 279*x^4 + 265*x^3 - 47*x^2 - 51*x + 20, x^13 - 3*x^12 - 14*x^11 + 47*x^10 + 56*x^9 - 250*x^8 - 15*x^7 + 504*x^6 - 242*x^5 - 279*x^4 + 265*x^3 - 47*x^2 - 51*x + 20, -3*x^12 + 7*x^11 + 46*x^10 - 111*x^9 - 235*x^8 + 612*x^7 + 427*x^6 - 1374*x^5 - 118*x^4 + 1153*x^3 - 181*x^2 - 279*x + 64, -3*x^12 + 7*x^11 + 46*x^10 - 111*x^9 - 235*x^8 + 612*x^7 + 427*x^6 - 1374*x^5 - 118*x^4 + 1153*x^3 - 181*x^2 - 279*x + 64]>
       ]
>;

MOG[307] := 	// J_0(307)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [2, 38, 81, 144, 193, 305, 245*x + 253, 62*x + 253, 302*x + 154, 5*x + 154, 103*x + 131, 204*x + 131, 124*x + 33, 183*x + 33, 64*x + 256, 243*x + 256, 202*x + 177, 105*x + 177, 125*x + 230, 182*x + 230, 202*x + 132, 105*x + 132, 242*x + 118, 65*x + 118, 194*x + 225, 113*x + 225]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x,
           Coordinates        := [0, 1, -1, 1, -1, 0, 1, 1, -1, -1, 0, 0, 0, 0, -1, -1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [1, -1, -1, 0, 0, -1, 0, 0, 1, 1, -1, -1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x - 2,
           Coordinates        := [1, -1, 0, 1, 1, 0, 0, 0, -1, -1, 0, 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x + 3,
           Coordinates        := [-1, 0, 1, 1, 1, 0, 0, 0, 0, 0, -1, -1, 0, 0, -1, -1, 0, 0, 0, 0, 1, 1, -1, -1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^2 + x - 3,
           Coordinates        := [-2*x - 4, 2*x + 8, 2, 2, 2*x + 4, 2*x + 2, -x - 4, -x - 4, -x - 1, -x - 1, -2*x - 4, -2*x - 4, 2*x + 2, 2*x + 2, x + 2, x + 2, -x - 1, -x - 1, 2*x + 5, 2*x + 5, -3*x - 7, -3*x - 7, x + 2, x + 2, -1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^9 - 3*x^8 - 11*x^7 + 30*x^6 + 46*x^5 - 87*x^4 - 91*x^3 + 50*x^2 + 62*x + 13,
           Coordinates        := [-9/14*x^8 + 37/7*x^7 - 3/14*x^6 - 649/14*x^5 + 177/14*x^4 + 881/7*x^3 + 211/14*x^2 - 1051/14*x - 403/14, -5/2*x^8 + 85/7*x^7 + 93/14*x^6 - 1209/14*x^5 + 309/14*x^4 + 1163/7*x^3 - 83/14*x^2 - 1059/14*x - 221/14, -11/14*x^8 + 7*x^7 - 151/14*x^6 - 507/14*x^5 + 1037/14*x^4 + 402/7*x^3 - 1121/14*x^2 - 997/14*x - 221/14, 31/7*x^8 - 158/7*x^7 - 38/7*x^6 + 1037/7*x^5 - 451/7*x^4 - 1856/7*x^3 + 92/7*x^2 + 1129/7*x + 52, -15/7*x^8 + 61/7*x^7 + 68/7*x^6 - 60*x^5 - 73/7*x^4 + 781/7*x^3 + 290/7*x^2 - 368/7*x - 169/7, 65/14*x^8 - 125/7*x^7 - 373/14*x^6 + 1889/14*x^5 + 625/14*x^4 - 2066/7*x^3 - 1023/14*x^2 + 2257/14*x + 923/14, -5/2*x^8 + 181/14*x^7 - 29/14*x^6 - 1037/14*x^5 + 141/2*x^4 + 193/2*x^3 - 143/2*x^2 - 411/7*x - 65/14, -5/2*x^8 + 181/14*x^7 - 29/14*x^6 - 1037/14*x^5 + 141/2*x^4 + 193/2*x^3 - 143/2*x^2 - 411/7*x - 65/14, x^8 - 9/2*x^7 - 57/14*x^6 + 63/2*x^5 + 9/2*x^4 - 60*x^3 - 331/14*x^2 + 225/14*x + 117/14, x^8 - 9/2*x^7 - 57/14*x^6 + 63/2*x^5 + 9/2*x^4 - 60*x^3 - 331/14*x^2 + 225/14*x + 117/14, -5/2*x^7 + 73/7*x^6 + 41/7*x^5 - 855/14*x^4 + 183/7*x^3 + 1075/14*x^2 - 27*x - 195/7, -5/2*x^7 + 73/7*x^6 + 41/7*x^5 - 855/14*x^4 + 183/7*x^3 + 1075/14*x^2 - 27*x - 195/7, -3/2*x^7 + 107/14*x^6 + 15/14*x^5 - 48*x^4 + 216/7*x^3 + 857/14*x^2 - 11*x - 117/7, -3/2*x^7 + 107/14*x^6 + 15/14*x^5 - 48*x^4 + 216/7*x^3 + 857/14*x^2 - 11*x - 117/7, -5/2*x^6 + 50/7*x^5 + 117/7*x^4 - 321/7*x^3 - 226/7*x^2 + 405/7*x + 65/2, -5/2*x^6 + 50/7*x^5 + 117/7*x^4 - 321/7*x^3 - 226/7*x^2 + 405/7*x + 65/2, -3/2*x^6 + 48/7*x^5 + 30/7*x^4 - 629/14*x^3 + 130/7*x^2 + 300/7*x + 52/7, -3/2*x^6 + 48/7*x^5 + 30/7*x^4 - 629/14*x^3 + 130/7*x^2 + 300/7*x + 52/7, -11/14*x^6 + 26/7*x^5 - 3/2*x^4 - 88/7*x^3 + 187/14*x^2 + 23/14*x - 65/14, -11/14*x^6 + 26/7*x^5 - 3/2*x^4 - 88/7*x^3 + 187/14*x^2 + 23/14*x - 65/14, -11/14*x^6 + 33/7*x^5 - 11/14*x^4 - 170/7*x^3 + 18/7*x^2 + 292/7*x + 143/7, -11/14*x^6 + 33/7*x^5 - 11/14*x^4 - 170/7*x^3 + 18/7*x^2 + 292/7*x + 143/7, -3/2*x^5 + 27/7*x^4 + 12*x^3 - 293/14*x^2 - 163/7*x - 26/7, -3/2*x^5 + 27/7*x^4 + 12*x^3 - 293/14*x^2 - 163/7*x - 26/7, -11/14*x^7 + 7*x^6 - 173/14*x^5 - 389/14*x^4 + 1005/14*x^3 + 144/7*x^2 - 449/7*x - 195/7, -11/14*x^7 + 7*x^6 - 173/14*x^5 - 389/14*x^4 + 1005/14*x^3 + 144/7*x^2 - 449/7*x - 195/7]>,
         rec<Eigen |
           DefiningPolynomial := x^10 + 7*x^9 + 10*x^8 - 28*x^7 - 73*x^6 + 16*x^5 + 128*x^4 + 26*x^3 - 69*x^2 - 18*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x^9 - 7*x^8 - 12*x^7 + 16*x^6 + 59*x^5 + 19*x^4 - 56*x^3 - 32*x^2 + 8*x + 1, x^9 + 7*x^8 + 12*x^7 - 16*x^6 - 59*x^5 - 19*x^4 + 56*x^3 + 32*x^2 - 8*x - 1, -x^8 - 6*x^7 - 7*x^6 + 17*x^5 + 34*x^4 - 4*x^3 - 28*x^2 - 7*x, x^8 + 6*x^7 + 7*x^6 - 17*x^5 - 34*x^4 + 4*x^3 + 28*x^2 + 7*x, -x^8 - 6*x^7 - 7*x^6 + 18*x^5 + 38*x^4 - 2*x^3 - 33*x^2 - 10*x - 1, x^8 + 6*x^7 + 7*x^6 - 18*x^5 - 38*x^4 + 2*x^3 + 33*x^2 + 10*x + 1, -x^7 - 6*x^6 - 8*x^5 + 11*x^4 + 24*x^3 - 3*x^2 - 15*x - 1, x^7 + 6*x^6 + 8*x^5 - 11*x^4 - 24*x^3 + 3*x^2 + 15*x + 1, -x^7 - 5*x^6 - 3*x^5 + 17*x^4 + 21*x^3 - 11*x^2 - 19*x - 2, x^7 + 5*x^6 + 3*x^5 - 17*x^4 - 21*x^3 + 11*x^2 + 19*x + 2, -x^6 - 6*x^5 - 10*x^4 + x^3 + 13*x^2 + 6*x, x^6 + 6*x^5 + 10*x^4 - x^3 - 13*x^2 - 6*x, -x^6 - 4*x^5 + 12*x^3 + 3*x^2 - 11*x - 1, x^6 + 4*x^5 - 12*x^3 - 3*x^2 + 11*x + 1, -x^5 - 6*x^4 - 9*x^3 + 4*x^2 + 12*x + 1, x^5 + 6*x^4 + 9*x^3 - 4*x^2 - 12*x - 1, -x^5 - 4*x^4 - 2*x^3 + 5*x^2 + 3*x, x^5 + 4*x^4 + 2*x^3 - 5*x^2 - 3*x, -x^5 - 5*x^4 - 6*x^3 + 3*x^2 + 7*x + 1, x^5 + 5*x^4 + 6*x^3 - 3*x^2 - 7*x - 1]>
       ]
>;

MOG[311] := 	// J_0(311)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 19, 32, 46, 77, 99, 102, 131, 132, 150, 168, 173, 197, 225, 232, 247, 252, 299, 304, 285*x + 237, 26*x + 237, 57*x + 300, 254*x + 300, 183*x + 212, 128*x + 212, 160*x + 232, 151*x + 232]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^4 + x^3 - 3*x^2 - x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^3 - x^2 + x, x^3 + x^2 - x, -x^2, x^2, -x^2 - x + 1, x^2 + x - 1, -x, x]>,
         rec<Eigen |
           DefiningPolynomial := x^22 - 2*x^21 - 35*x^20 + 70*x^19 + 517*x^18 - 1033*x^17 - 4195*x^16 + 8357*x^15 + 20417*x^14 - 40403*x^13 - 61287*x^12 + 119701*x^11 + 113017*x^10 - 215615*x^9 - 124399*x^8 + 228609*x^7 + 76453*x^6 - 133295*x^5 - 23503*x^4 + 36742*x^3 + 3587*x^2 - 3200*x - 473,
           Coordinates        := [-x^21 + 2*x^20 + 32*x^19 - 64*x^18 - 427*x^17 + 854*x^16 + 3082*x^15 - 6166*x^14 - 13071*x^13 + 26192*x^12 + 33205*x^11 - 66900*x^10 - 49536*x^9 + 101478*x^8 + 40784*x^7 - 87824*x^6 - 15805*x^5 + 39921*x^4 + 1546*x^3 - 8054*x^2 + 237*x + 490, x^21 - 2*x^20 - 32*x^19 + 64*x^18 + 428*x^17 - 856*x^16 - 3108*x^15 + 6222*x^14 + 13328*x^13 - 26804*x^12 - 34379*x^11 + 70184*x^10 + 51855*x^9 - 110546*x^8 - 41718*x^7 + 100657*x^6 + 13400*x^5 - 48927*x^4 + 1134*x^3 + 10772*x^2 - 985*x - 684, 2*x^17 - 5*x^16 - 47*x^15 + 126*x^14 + 431*x^13 - 1270*x^12 - 1954*x^11 + 6589*x^10 + 4582*x^9 - 18942*x^8 - 5141*x^7 + 30181*x^6 + 1242*x^5 - 24370*x^4 + 2119*x^3 + 8117*x^2 - 1096*x - 600, -3*x^18 + x^17 + 84*x^16 - 32*x^15 - 959*x^14 + 395*x^13 + 5741*x^12 - 2427*x^11 - 19353*x^10 + 7949*x^9 + 36952*x^8 - 13939*x^7 - 38740*x^6 + 12891*x^5 + 20725*x^4 - 5567*x^3 - 4832*x^2 + 724*x + 393, x^20 - 2*x^19 - 30*x^18 + 60*x^17 + 368*x^16 - 732*x^15 - 2380*x^14 + 4672*x^13 + 8758*x^12 - 16796*x^11 - 18543*x^10 + 34510*x^9 + 21569*x^8 - 40126*x^7 - 10924*x^6 + 25359*x^5 - 860*x^4 - 7491*x^3 + 2320*x^2 + 488*x - 259, -3*x^19 + 7*x^18 + 82*x^17 - 200*x^16 - 895*x^15 + 2313*x^14 + 4951*x^13 - 13909*x^12 - 14499*x^11 + 46655*x^10 + 21054*x^9 - 87843*x^8 - 10862*x^7 + 90371*x^6 - 5057*x^5 - 47017*x^4 + 6302*x^3 + 10388*x^2 - 1055*x - 786, -3*x^18 + 6*x^17 + 82*x^16 - 170*x^15 - 889*x^14 + 1921*x^13 + 4837*x^12 - 11035*x^11 - 13743*x^10 + 34097*x^9 + 19120*x^8 - 55672*x^7 - 10085*x^6 + 44887*x^5 - 1414*x^4 - 15002*x^3 + 1977*x^2 + 1246*x - 124, -x^18 + 2*x^17 + 26*x^16 - 47*x^15 - 277*x^14 + 424*x^13 + 1610*x^12 - 1858*x^11 - 5799*x^10 + 4234*x^9 + 13653*x^8 - 5386*x^7 - 20048*x^6 + 4429*x^5 + 16255*x^4 - 2622*x^3 - 5930*x^2 + 780*x + 597, x^20 - 2*x^19 - 29*x^18 + 60*x^17 + 341*x^16 - 736*x^15 - 2081*x^14 + 4764*x^13 + 6977*x^12 - 17550*x^11 - 12286*x^10 + 37052*x^9 + 8695*x^8 - 42768*x^7 + 2345*x^6 + 23929*x^5 - 5215*x^4 - 4778*x^3 + 1023*x^2 + 250*x + 8, x^20 - 2*x^19 - 30*x^18 + 57*x^17 + 378*x^16 - 667*x^15 - 2628*x^14 + 4163*x^13 + 11173*x^12 - 15171*x^11 - 30333*x^10 + 33507*x^9 + 52417*x^8 - 45058*x^7 - 54474*x^6 + 35080*x^5 + 30712*x^4 - 13701*x^3 - 7915*x^2 + 1778*x + 724, x^19 - 2*x^18 - 28*x^17 + 55*x^16 + 326*x^15 - 623*x^14 - 2062*x^13 + 3791*x^12 + 7765*x^11 - 13603*x^10 - 17783*x^9 + 29687*x^8 + 23719*x^7 - 38612*x^6 - 16154*x^5 + 27692*x^4 + 3684*x^3 - 8947*x^2 + 509*x + 604, x^19 - x^18 - 30*x^17 + 30*x^16 + 371*x^15 - 365*x^14 - 2446*x^13 + 2318*x^12 + 9295*x^11 - 8255*x^10 - 20541*x^9 + 16511*x^8 + 25206*x^7 - 17562*x^6 - 15217*x^5 + 8712*x^4 + 3497*x^3 - 1281*x^2 - 258*x - 8, -3*x^20 + 6*x^19 + 90*x^18 - 179*x^17 - 1113*x^16 + 2191*x^15 + 7346*x^14 - 14211*x^13 - 28082*x^12 + 52801*x^11 + 63481*x^10 - 114137*x^9 - 83615*x^8 + 140785*x^7 + 60648*x^6 - 93374*x^5 - 21957*x^4 + 28688*x^3 + 3824*x^2 - 2710*x - 473, -3*x^17 + 5*x^16 + 82*x^15 - 135*x^14 - 898*x^13 + 1454*x^12 + 5021*x^11 - 7968*x^10 - 15122*x^9 + 23557*x^8 + 23735*x^7 - 37078*x^6 - 16982*x^5 + 29147*x^4 + 3363*x^3 - 9520*x^2 + 574*x + 724, x^19 - 2*x^18 - 27*x^17 + 60*x^16 + 285*x^15 - 728*x^14 - 1459*x^13 + 4618*x^12 + 3503*x^11 - 16622*x^10 - 2078*x^9 + 34756*x^8 - 6349*x^7 - 41604*x^6 + 11819*x^5 + 26725*x^4 - 7105*x^3 - 7960*x^2 + 1509*x + 700, -x^17 - 4*x^16 + 34*x^15 + 82*x^14 - 445*x^13 - 623*x^12 + 2871*x^11 + 2157*x^10 - 9697*x^9 - 3423*x^8 + 17022*x^7 + 2238*x^6 - 14947*x^5 - 91*x^4 + 5730*x^3 - 298*x^2 - 569*x - 40, -3*x^19 + 6*x^18 + 86*x^17 - 171*x^16 - 1005*x^15 + 1974*x^14 + 6180*x^13 - 11866*x^12 - 21635*x^11 + 39908*x^10 + 43939*x^9 - 75806*x^8 - 50842*x^7 + 79727*x^6 + 30515*x^5 - 44058*x^4 - 7116*x^3 + 11064*x^2 - 129*x - 684, x^19 - 5*x^18 - 22*x^17 + 134*x^16 + 154*x^15 - 1436*x^14 - 93*x^13 + 7842*x^12 - 3719*x^11 - 23074*x^10 + 18345*x^9 + 35801*x^8 - 36475*x^7 - 26965*x^6 + 33466*x^5 + 7534*x^4 - 12733*x^3 - 47*x^2 + 1200*x + 80, x^18 - 5*x^17 - 24*x^16 + 126*x^15 + 222*x^14 - 1272*x^13 - 983*x^12 + 6596*x^11 + 2023*x^10 - 18760*x^9 - 1049*x^8 + 28955*x^7 - 2431*x^6 - 22489*x^5 + 3572*x^4 + 7352*x^3 - 1273*x^2 - 643*x + 62, x^18 - 28*x^16 + 4*x^15 + 311*x^14 - 73*x^13 - 1737*x^12 + 464*x^11 + 5104*x^10 - 1148*x^9 - 7522*x^8 + 582*x^7 + 4737*x^6 + 1398*x^5 - 945*x^4 - 1591*x^3 + 243*x^2 + 225*x - 4, x^18 - 28*x^16 + 4*x^15 + 311*x^14 - 73*x^13 - 1737*x^12 + 464*x^11 + 5104*x^10 - 1148*x^9 - 7522*x^8 + 582*x^7 + 4737*x^6 + 1398*x^5 - 945*x^4 - 1591*x^3 + 243*x^2 + 225*x - 4, x^18 - 30*x^16 + 4*x^15 + 372*x^14 - 92*x^13 - 2450*x^12 + 817*x^11 + 9199*x^10 - 3534*x^9 - 19825*x^8 + 7863*x^7 + 23842*x^6 - 9070*x^5 - 14802*x^4 + 4971*x^3 + 3973*x^2 - 926*x - 338, x^18 - 30*x^16 + 4*x^15 + 372*x^14 - 92*x^13 - 2450*x^12 + 817*x^11 + 9199*x^10 - 3534*x^9 - 19825*x^8 + 7863*x^7 + 23842*x^6 - 9070*x^5 - 14802*x^4 + 4971*x^3 + 3973*x^2 - 926*x - 338, x^18 - x^17 - 26*x^16 + 22*x^15 + 283*x^14 - 186*x^13 - 1704*x^12 + 784*x^11 + 6275*x^10 - 1910*x^9 - 14349*x^8 + 3223*x^7 + 19160*x^6 - 3694*x^5 - 13514*x^4 + 2377*x^3 + 4212*x^2 - 587*x - 362, x^18 - x^17 - 26*x^16 + 22*x^15 + 283*x^14 - 186*x^13 - 1704*x^12 + 784*x^11 + 6275*x^10 - 1910*x^9 - 14349*x^8 + 3223*x^7 + 19160*x^6 - 3694*x^5 - 13514*x^4 + 2377*x^3 + 4212*x^2 - 587*x - 362, x^19 - 2*x^18 - 30*x^17 + 62*x^16 + 364*x^15 - 775*x^14 - 2285*x^13 + 5004*x^12 + 7918*x^11 - 17837*x^10 - 15143*x^9 + 35210*x^8 + 15397*x^7 - 37649*x^6 - 7130*x^5 + 20718*x^4 + 593*x^3 - 5142*x^2 + 363*x + 342, x^19 - 2*x^18 - 30*x^17 + 62*x^16 + 364*x^15 - 775*x^14 - 2285*x^13 + 5004*x^12 + 7918*x^11 - 17837*x^10 - 15143*x^9 + 35210*x^8 + 15397*x^7 - 37649*x^6 - 7130*x^5 + 20718*x^4 + 593*x^3 - 5142*x^2 + 363*x + 342]>
       ]
>;

MOG[313] := 	// J_0(313)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 5,
           Coordinates        := [61, 68, 129, 200, 22*x + 55, 291*x + 55, 123*x + 71, 190*x + 71, 235*x + 53, 78*x + 53, 120*x + 20, 193*x + 20, 24*x + 16, 289*x + 16, 265*x + 140, 48*x + 140, 279*x + 200, 34*x + 200, 224*x + 99, 89*x + 99, 276*x + 65, 37*x + 65, 61*x + 109, 252*x + 109, 194*x + 165, 119*x + 165]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 - x - 1,
           Coordinates        := [0, 0, 2, 0, 0, 0, x, x, -x, -x, 1, 1, -1, -1, -1, -1, x, x, -x, -x, -x + 1, -x + 1, x, x, -1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^11 + 8*x^10 + 16*x^9 - 26*x^8 - 121*x^7 - 62*x^6 + 190*x^5 + 196*x^4 - 76*x^3 - 122*x^2 + 2*x + 17,
           Coordinates        := [0, 0, 0, 0, -x^10 - 8*x^9 - 18*x^8 + 12*x^7 + 97*x^6 + 97*x^5 - 52*x^4 - 118*x^3 - 25*x^2 + 25*x + 7, x^10 + 8*x^9 + 18*x^8 - 12*x^7 - 97*x^6 - 97*x^5 + 52*x^4 + 118*x^3 + 25*x^2 - 25*x - 7, -x^9 - 7*x^8 - 12*x^7 + 18*x^6 + 72*x^5 + 44*x^4 - 52*x^3 - 59*x^2 - 2*x + 9, x^9 + 7*x^8 + 12*x^7 - 18*x^6 - 72*x^5 - 44*x^4 + 52*x^3 + 59*x^2 + 2*x - 9, -x^9 - 7*x^8 - 12*x^7 + 17*x^6 + 66*x^5 + 34*x^4 - 49*x^3 - 38*x^2 + 11*x + 8, x^9 + 7*x^8 + 12*x^7 - 17*x^6 - 66*x^5 - 34*x^4 + 49*x^3 + 38*x^2 - 11*x - 8, -x^8 - 6*x^7 - 7*x^6 + 19*x^5 + 44*x^4 + 7*x^3 - 36*x^2 - 18*x + 2, x^8 + 6*x^7 + 7*x^6 - 19*x^5 - 44*x^4 - 7*x^3 + 36*x^2 + 18*x - 2, -x^8 - 7*x^7 - 14*x^6 + 3*x^5 + 37*x^4 + 31*x^3 - 2*x^2 - 6*x + 1, x^8 + 7*x^7 + 14*x^6 - 3*x^5 - 37*x^4 - 31*x^3 + 2*x^2 + 6*x - 1, -x^7 - 6*x^6 - 9*x^5 + 7*x^4 + 23*x^3 + 5*x^2 - 14*x - 7, x^7 + 6*x^6 + 9*x^5 - 7*x^4 - 23*x^3 - 5*x^2 + 14*x + 7, -x^7 - 6*x^6 - 8*x^5 + 11*x^4 + 26*x^3 + 5*x^2 - 7*x + 1, x^7 + 6*x^6 + 8*x^5 - 11*x^4 - 26*x^3 - 5*x^2 + 7*x - 1, -x^7 - 8*x^6 - 21*x^5 - 14*x^4 + 21*x^3 + 27*x^2 - 3*x - 9, x^7 + 8*x^6 + 21*x^5 + 14*x^4 - 21*x^3 - 27*x^2 + 3*x + 9, -x^6 - 8*x^5 - 23*x^4 - 27*x^3 - 6*x^2 + 11*x + 6, x^6 + 8*x^5 + 23*x^4 + 27*x^3 + 6*x^2 - 11*x - 6, -x^5 - 6*x^4 - 11*x^3 - 5*x^2 + 4*x + 3, x^5 + 6*x^4 + 11*x^3 + 5*x^2 - 4*x - 3, -x^5 - 7*x^4 - 16*x^3 - 11*x^2 + 5*x + 6, x^5 + 7*x^4 + 16*x^3 + 11*x^2 - 5*x - 6]>,
         rec<Eigen |
           DefiningPolynomial := x^12 - 6*x^11 - 2*x^10 + 69*x^9 - 68*x^8 - 268*x^7 + 399*x^6 + 368*x^5 - 701*x^4 - 57*x^3 + 262*x^2 - 22*x - 19,
           Coordinates        := [-x^11 + 6*x^10 - x^9 - 53*x^8 + 71*x^7 + 135*x^6 - 272*x^5 - 59*x^4 + 285*x^3 - 80*x^2 - 33*x + 10, x^11 - 4*x^10 - 9*x^9 + 47*x^8 + 19*x^7 - 191*x^6 + 26*x^5 + 293*x^4 - 93*x^3 - 102*x^2 + 19*x + 12, -x^10 + 6*x^9 - 3*x^8 - 43*x^7 + 73*x^6 + 61*x^5 - 198*x^4 + 65*x^3 + 79*x^2 - 32*x - 3, x^10 - 4*x^9 - 7*x^8 + 39*x^7 + 9*x^6 - 127*x^5 + 22*x^4 + 141*x^3 - 39*x^2 - 4*x - 5, x^9 - 4*x^8 - 5*x^7 + 32*x^6 - 2*x^5 - 76*x^4 + 27*x^3 + 49*x^2 - 12*x - 6, x^9 - 4*x^8 - 5*x^7 + 32*x^6 - 2*x^5 - 76*x^4 + 27*x^3 + 49*x^2 - 12*x - 6, x^8 - 3*x^7 - 7*x^6 + 22*x^5 + 14*x^4 - 40*x^3 - 10*x^2 + 7, x^8 - 3*x^7 - 7*x^6 + 22*x^5 + 14*x^4 - 40*x^3 - 10*x^2 + 7, x^8 - 4*x^7 - 4*x^6 + 29*x^5 - 9*x^4 - 52*x^3 + 37*x^2 - 2*x - 2, x^8 - 4*x^7 - 4*x^6 + 29*x^5 - 9*x^4 - 52*x^3 + 37*x^2 - 2*x - 2, x^7 - 3*x^6 - 6*x^5 + 22*x^4 + 3*x^3 - 39*x^2 + 19*x - 1, x^7 - 3*x^6 - 6*x^5 + 22*x^4 + 3*x^3 - 39*x^2 + 19*x - 1, -x^8 + 5*x^7 + x^6 - 36*x^5 + 33*x^4 + 62*x^3 - 88*x^2 + 12*x + 8, -x^8 + 5*x^7 + x^6 - 36*x^5 + 33*x^4 + 62*x^3 - 88*x^2 + 12*x + 8, -x^7 + 4*x^6 + 6*x^5 - 33*x^4 - 2*x^3 + 68*x^2 - 20*x - 6, -x^7 + 4*x^6 + 6*x^5 - 33*x^4 - 2*x^3 + 68*x^2 - 20*x - 6, -x^9 + 5*x^8 + x^7 - 37*x^6 + 37*x^5 + 62*x^4 - 103*x^3 + 24*x^2 + 15*x - 5, -x^9 + 5*x^8 + x^7 - 37*x^6 + 37*x^5 + 62*x^4 - 103*x^3 + 24*x^2 + 15*x - 5, -x^8 + 4*x^7 + 5*x^6 - 33*x^5 + 9*x^4 + 67*x^3 - 49*x^2 - 5*x + 7, -x^8 + 4*x^7 + 5*x^6 - 33*x^5 + 9*x^4 + 67*x^3 - 49*x^2 - 5*x + 7, -x^9 + 5*x^8 + x^7 - 38*x^6 + 39*x^5 + 67*x^4 - 109*x^3 + 15*x^2 + 15*x - 2, -x^9 + 5*x^8 + x^7 - 38*x^6 + 39*x^5 + 67*x^4 - 109*x^3 + 15*x^2 + 15*x - 2, -x^8 + 3*x^7 + 7*x^6 - 24*x^5 - 9*x^4 + 49*x^3 - 11*x^2 - 7*x + 1, -x^8 + 3*x^7 + 7*x^6 - 24*x^5 - 9*x^4 + 49*x^3 - 11*x^2 - 7*x + 1, -x^10 + 5*x^9 + 3*x^8 - 45*x^7 + 27*x^6 + 124*x^5 - 109*x^4 - 101*x^3 + 75*x^2 + 10*x - 8, -x^10 + 5*x^9 + 3*x^8 - 45*x^7 + 27*x^6 + 124*x^5 - 109*x^4 - 101*x^3 + 75*x^2 + 10*x - 8]>
       ]
>;

MOG[317] := 	// J_0(317)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 11, 75, 110, 188, 21*x + 79, 296*x + 79, 212*x + 205, 105*x + 205, 71*x + 75, 246*x + 75, 140*x + 31, 177*x + 31, 177*x + 138, 140*x + 138, 175*x + 69, 142*x + 69, 223*x + 147, 94*x + 147, 190*x + 219, 127*x + 219, 21*x + 197, 296*x + 197, 74*x + 163, 243*x + 163, 13*x + 40, 304*x + 40]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^11 + 3*x^10 - 10*x^9 - 32*x^8 + 31*x^7 + 109*x^6 - 42*x^5 - 147*x^4 + 35*x^3 + 68*x^2 - 19*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, -x^10 - 3*x^9 + 8*x^8 + 26*x^7 - 19*x^6 - 71*x^5 + 14*x^4 + 70*x^3 - 18*x, x^10 + 3*x^9 - 8*x^8 - 26*x^7 + 19*x^6 + 71*x^5 - 14*x^4 - 70*x^3 + 18*x, -x^9 - 3*x^8 + 6*x^7 + 19*x^6 - 13*x^5 - 36*x^4 + 17*x^3 + 21*x^2 - 11*x - 1, x^9 + 3*x^8 - 6*x^7 - 19*x^6 + 13*x^5 + 36*x^4 - 17*x^3 - 21*x^2 + 11*x + 1, -x^9 - 3*x^8 + 6*x^7 + 19*x^6 - 15*x^5 - 41*x^4 + 18*x^3 + 29*x^2 - 8*x, x^9 + 3*x^8 - 6*x^7 - 19*x^6 + 15*x^5 + 41*x^4 - 18*x^3 - 29*x^2 + 8*x, -x^8 - 4*x^7 + 2*x^6 + 20*x^5 + 5*x^4 - 29*x^3 - 7*x^2 + 12*x - 2, x^8 + 4*x^7 - 2*x^6 - 20*x^5 - 5*x^4 + 29*x^3 + 7*x^2 - 12*x + 2, -x^8 - 3*x^7 + 4*x^6 + 15*x^5 - 2*x^4 - 20*x^3 - 4*x^2 + 5*x + 2, x^8 + 3*x^7 - 4*x^6 - 15*x^5 + 2*x^4 + 20*x^3 + 4*x^2 - 5*x - 2, -x^8 - 4*x^7 + x^6 + 18*x^5 + 7*x^4 - 24*x^3 - 9*x^2 + 9*x + 1, x^8 + 4*x^7 - x^6 - 18*x^5 - 7*x^4 + 24*x^3 + 9*x^2 - 9*x - 1, -x^8 - 3*x^7 + 3*x^6 + 12*x^5 - 3*x^4 - 17*x^3 + x^2 + 9*x - 1, x^8 + 3*x^7 - 3*x^6 - 12*x^5 + 3*x^4 + 17*x^3 - x^2 - 9*x + 1, -2*x^7 - 4*x^6 + 11*x^5 + 16*x^4 - 21*x^3 - 16*x^2 + 13*x + 1, 2*x^7 + 4*x^6 - 11*x^5 - 16*x^4 + 21*x^3 + 16*x^2 - 13*x - 1, -x^7 - 3*x^6 + 2*x^5 + 12*x^4 + 2*x^3 - 13*x^2 - 3*x + 2, x^7 + 3*x^6 - 2*x^5 - 12*x^4 - 2*x^3 + 13*x^2 + 3*x - 2, -x^7 - 3*x^6 + x^5 + 8*x^4 + 4*x^3 - 4*x^2 - 6*x - 1, x^7 + 3*x^6 - x^5 - 8*x^4 - 4*x^3 + 4*x^2 + 6*x + 1, -2*x^6 - 4*x^5 + 7*x^4 + 13*x^3 - 7*x^2 - 10*x + 1, 2*x^6 + 4*x^5 - 7*x^4 - 13*x^3 + 7*x^2 + 10*x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^15 - x^14 - 22*x^13 + 22*x^12 + 188*x^11 - 184*x^10 - 786*x^9 + 723*x^8 + 1666*x^7 - 1315*x^6 - 1715*x^5 + 910*x^4 + 829*x^3 - 168*x^2 - 129*x + 1,
           Coordinates        := [-x^14 + x^13 + 19*x^12 - 19*x^11 - 137*x^10 + 135*x^9 + 463*x^8 - 436*x^7 - 727*x^6 + 609*x^5 + 454*x^4 - 277*x^3 - 93*x^2 + 41*x + 4, x^14 - x^13 - 19*x^12 + 19*x^11 + 137*x^10 - 139*x^9 - 459*x^8 + 478*x^7 + 689*x^6 - 739*x^5 - 354*x^4 + 383*x^3 + 49*x^2 - 55*x + 6, 2*x^10 - 4*x^9 - 22*x^8 + 38*x^7 + 68*x^6 - 96*x^5 - 48*x^4 + 18*x^3 + 18*x^2 + 12*x + 2, -3*x^13 + 3*x^12 + 51*x^11 - 49*x^10 - 323*x^9 + 287*x^8 + 939*x^7 - 706*x^6 - 1261*x^5 + 633*x^4 + 736*x^3 - 127*x^2 - 125*x + 1, x^13 - x^12 - 17*x^11 + 17*x^10 + 107*x^9 - 109*x^8 - 295*x^7 + 312*x^6 + 319*x^5 - 361*x^4 - 94*x^3 + 139*x^2 + 9*x - 15, x^11 - 3*x^10 - 9*x^9 + 30*x^8 + 15*x^7 - 82*x^6 + 24*x^5 + 33*x^4 - 3*x^2 - 5*x - 1, x^11 - 3*x^10 - 9*x^9 + 30*x^8 + 15*x^7 - 82*x^6 + 24*x^5 + 33*x^4 - 3*x^2 - 5*x - 1, x^12 - 4*x^11 - 12*x^10 + 55*x^9 + 42*x^8 - 263*x^7 - 25*x^6 + 510*x^5 - 52*x^4 - 363*x^3 + 9*x^2 + 61*x - 3, x^12 - 4*x^11 - 12*x^10 + 55*x^9 + 42*x^8 - 263*x^7 - 25*x^6 + 510*x^5 - 52*x^4 - 363*x^3 + 9*x^2 + 61*x - 3, x^11 + x^10 - 21*x^9 - 5*x^8 + 143*x^7 - 19*x^6 - 381*x^5 + 100*x^4 + 342*x^3 - 32*x^2 - 74*x + 1, x^11 + x^10 - 21*x^9 - 5*x^8 + 143*x^7 - 19*x^6 - 381*x^5 + 100*x^4 + 342*x^3 - 32*x^2 - 74*x + 1, x^13 - x^12 - 17*x^11 + 14*x^10 + 110*x^9 - 68*x^8 - 341*x^7 + 132*x^6 + 521*x^5 - 83*x^4 - 343*x^3 - 13*x^2 + 63*x + 7, x^13 - x^12 - 17*x^11 + 14*x^10 + 110*x^9 - 68*x^8 - 341*x^7 + 132*x^6 + 521*x^5 - 83*x^4 - 343*x^3 - 13*x^2 + 63*x + 7, -3*x^12 + 4*x^11 + 44*x^10 - 59*x^9 - 225*x^8 + 301*x^7 + 460*x^6 - 597*x^5 - 313*x^4 + 352*x^3 + 77*x^2 - 61*x - 6, -3*x^12 + 4*x^11 + 44*x^10 - 59*x^9 - 225*x^8 + 301*x^7 + 460*x^6 - 597*x^5 - 313*x^4 + 352*x^3 + 77*x^2 - 61*x - 6, x^12 - x^11 - 15*x^10 + 16*x^9 + 76*x^8 - 83*x^7 - 143*x^6 + 146*x^5 + 63*x^4 - 33*x^3 + 5*x^2 + x - 3, x^12 - x^11 - 15*x^10 + 16*x^9 + 76*x^8 - 83*x^7 - 143*x^6 + 146*x^5 + 63*x^4 - 33*x^3 + 5*x^2 + x - 3, x^11 - 3*x^10 - 12*x^9 + 37*x^8 + 49*x^7 - 156*x^6 - 70*x^5 + 246*x^4 + x^3 - 76*x^2 + 5*x + 4, x^11 - 3*x^10 - 12*x^9 + 37*x^8 + 49*x^7 - 156*x^6 - 70*x^5 + 246*x^4 + x^3 - 76*x^2 + 5*x + 4, -3*x^11 + 2*x^10 + 43*x^9 - 28*x^8 - 216*x^7 + 134*x^6 + 438*x^5 - 229*x^4 - 296*x^3 + 57*x^2 + 58*x + 2, -3*x^11 + 2*x^10 + 43*x^9 - 28*x^8 - 216*x^7 + 134*x^6 + 438*x^5 - 229*x^4 - 296*x^3 + 57*x^2 + 58*x + 2, x^11 + x^10 - 13*x^9 - 10*x^8 + 55*x^7 + 33*x^6 - 77*x^5 - 50*x^4 + 6*x^3 + 46*x^2 + 8*x - 8, x^11 + x^10 - 13*x^9 - 10*x^8 + 55*x^7 + 33*x^6 - 77*x^5 - 50*x^4 + 6*x^3 + 46*x^2 + 8*x - 8, x^12 - x^11 - 15*x^10 + 15*x^9 + 82*x^8 - 83*x^7 - 185*x^6 + 189*x^5 + 130*x^4 - 122*x^3 - 20*x^2 + 20*x - 3, x^12 - x^11 - 15*x^10 + 15*x^9 + 82*x^8 - 83*x^7 - 185*x^6 + 189*x^5 + 130*x^4 - 122*x^3 - 20*x^2 + 20*x - 3, x^11 + x^10 - 13*x^9 - 11*x^8 + 61*x^7 + 33*x^6 - 119*x^5 - 7*x^4 + 73*x^3 - 43*x^2 - 17*x + 11, x^11 + x^10 - 13*x^9 - 11*x^8 + 61*x^7 + 33*x^6 - 119*x^5 - 7*x^4 + 73*x^3 - 43*x^2 - 17*x + 11]>
       ]
>;

MOG[331] := 	// J_0(331)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [27, 73, 118, 124, 188, 189, 73*x + 304, 258*x + 304, 34*x + 266, 297*x + 266, 271*x + 177, 60*x + 177, 226*x + 60, 105*x + 60, 14*x + 14, 317*x + 14, 98*x + 179, 233*x + 179, 178*x + 93, 153*x + 93, 142*x + 192, 189*x + 192, 303*x + 148, 28*x + 148, 77*x + 42, 254*x + 42, 93*x + 57, 238*x + 57]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 1, -1, -1, 1, 0, 0, -1, 1, 0, 0, -1, 1, 1, -1, 0, 0, 0, 0, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 + 2*x^2 - 4*x - 7,
           Coordinates        := [0, 0, 0, 0, 0, 0, x^2 - 2, -x^2 + 2, -x^2 + x + 3, x^2 - x - 3, -x^2 + x + 4, x^2 - x - 4, x^2 - 2, -x^2 + 2, x^2 - 3, -x^2 + 3, x^2 - 2, -x^2 + 2, x + 2, -x - 2, -x^2 + 3, x^2 - 3, x + 1, -x - 1, x + 1, -x - 1, 1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^7 + 2*x^6 - 6*x^5 - 8*x^4 + 11*x^3 + 3*x^2 - 5*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, x^6 + 2*x^5 - 6*x^4 - 9*x^3 + 7*x^2 + 2*x - 1, -x^6 - 2*x^5 + 6*x^4 + 9*x^3 - 7*x^2 - 2*x + 1, x^6 + 2*x^5 - 5*x^4 - 8*x^3 + 5*x^2 + 3*x - 1, -x^6 - 2*x^5 + 5*x^4 + 8*x^3 - 5*x^2 - 3*x + 1, -x^6 - 2*x^5 + 4*x^4 + 4*x^3 - 6*x^2 + x, x^6 + 2*x^5 - 4*x^4 - 4*x^3 + 6*x^2 - x, x^5 + x^4 - 5*x^3 - 2*x^2 + 5*x - 1, -x^5 - x^4 + 5*x^3 + 2*x^2 - 5*x + 1, -x^6 - 3*x^5 + 3*x^4 + 10*x^3 - 3*x^2 - 6*x + 2, x^6 + 3*x^5 - 3*x^4 - 10*x^3 + 3*x^2 + 6*x - 2, -x^5 - x^4 + 4*x^3 - x, x^5 + x^4 - 4*x^3 + x, x^4 + x^3 - 2*x^2 + x, -x^4 - x^3 + 2*x^2 - x, -x^5 - 2*x^4 + 4*x^3 + 3*x^2 - 4*x + 1, x^5 + 2*x^4 - 4*x^3 - 3*x^2 + 4*x - 1, -x^4 + 5*x^2 - 2*x, x^4 - 5*x^2 + 2*x, x^4 + 3*x^3 - 2*x^2 - 3*x + 1, -x^4 - 3*x^3 + 2*x^2 + 3*x - 1, x^3 + 2*x^2 - 4*x + 1, -x^3 - 2*x^2 + 4*x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^16 - 3*x^15 - 19*x^14 + 60*x^13 + 136*x^12 - 465*x^11 - 448*x^10 + 1747*x^9 + 657*x^8 - 3241*x^7 - 375*x^6 + 2695*x^5 + 230*x^4 - 855*x^3 - 110*x^2 + 56*x + 8,
           Coordinates        := [-x^15 + 3*x^14 + 16*x^13 - 51*x^12 - 94*x^11 + 328*x^10 + 248*x^9 - 987*x^8 - 305*x^7 + 1380*x^6 + 248*x^5 - 753*x^4 - 210*x^3 + 66*x^2 + 10*x, x^15 - 2*x^14 - 19*x^13 + 37*x^12 + 139*x^11 - 260*x^10 - 492*x^9 + 855*x^8 + 880*x^7 - 1295*x^6 - 798*x^5 + 735*x^4 + 389*x^3 - 78*x^2 - 50*x - 4, -x^14 + 3*x^13 + 14*x^12 - 45*x^11 - 70*x^10 + 248*x^9 + 152*x^8 - 611*x^7 - 155*x^6 + 650*x^5 + 126*x^4 - 263*x^3 - 52*x^2 + 16*x, -x^13 + 3*x^12 + 12*x^11 - 37*x^10 - 56*x^9 + 162*x^8 + 154*x^7 - 319*x^6 - 275*x^5 + 290*x^4 + 178*x^3 - 39*x^2 + 4*x + 4, 2*x^14 - 4*x^13 - 34*x^12 + 66*x^11 + 216*x^10 - 400*x^9 - 632*x^8 + 1066*x^7 + 872*x^6 - 1162*x^5 - 576*x^4 + 388*x^3 + 138*x^2 - 10*x - 4, -x^13 + 3*x^12 + 12*x^11 - 43*x^10 - 40*x^9 + 214*x^8 - 4*x^7 - 411*x^6 + 153*x^5 + 200*x^4 - 20*x^3 - 11*x^2 - 14*x - 4, 2*x^13 - 4*x^12 - 31*x^11 + 60*x^10 + 176*x^9 - 322*x^8 - 444*x^7 + 714*x^6 + 510*x^5 - 541*x^4 - 320*x^3 + 73*x^2 + 48*x + 4, 2*x^13 - 4*x^12 - 31*x^11 + 60*x^10 + 176*x^9 - 322*x^8 - 444*x^7 + 714*x^6 + 510*x^5 - 541*x^4 - 320*x^3 + 73*x^2 + 48*x + 4, 2*x^12 - 3*x^11 - 30*x^10 + 43*x^9 + 162*x^8 - 215*x^7 - 374*x^6 + 419*x^5 + 352*x^4 - 222*x^3 - 155*x^2 - 4*x + 4, 2*x^12 - 3*x^11 - 30*x^10 + 43*x^9 + 162*x^8 - 215*x^7 - 374*x^6 + 419*x^5 + 352*x^4 - 222*x^3 - 155*x^2 - 4*x + 4, x^12 - 3*x^11 - 10*x^10 + 35*x^9 + 26*x^8 - 137*x^7 + 12*x^6 + 202*x^5 - 96*x^4 - 93*x^3 + 65*x^2 + 18*x, x^12 - 3*x^11 - 10*x^10 + 35*x^9 + 26*x^8 - 137*x^7 + 12*x^6 + 202*x^5 - 96*x^4 - 93*x^3 + 65*x^2 + 18*x, -x^12 + 4*x^11 + 13*x^10 - 57*x^9 - 55*x^8 + 285*x^7 + 79*x^6 - 577*x^5 - 33*x^4 + 387*x^3 + 78*x^2 - 40*x - 8, -x^12 + 4*x^11 + 13*x^10 - 57*x^9 - 55*x^8 + 285*x^7 + 79*x^6 - 577*x^5 - 33*x^4 + 387*x^3 + 78*x^2 - 40*x - 8, -x^12 + 4*x^11 + 7*x^10 - 43*x^9 + x^8 + 146*x^7 - 60*x^6 - 180*x^5 + 26*x^4 + 112*x^3 + 28*x^2 - 6*x, -x^12 + 4*x^11 + 7*x^10 - 43*x^9 + x^8 + 146*x^7 - 60*x^6 - 180*x^5 + 26*x^4 + 112*x^3 + 28*x^2 - 6*x, -x^13 + 2*x^12 + 17*x^11 - 32*x^10 - 107*x^9 + 184*x^8 + 310*x^7 - 452*x^6 - 426*x^5 + 422*x^4 + 273*x^3 - 83*x^2 - 42*x - 4, -x^13 + 2*x^12 + 17*x^11 - 32*x^10 - 107*x^9 + 184*x^8 + 310*x^7 - 452*x^6 - 426*x^5 + 422*x^4 + 273*x^3 - 83*x^2 - 42*x - 4, -x^13 + 3*x^12 + 12*x^11 - 40*x^10 - 41*x^9 + 178*x^8 + 9*x^7 - 282*x^6 + 125*x^5 + 68*x^4 - 87*x^3 + 37*x^2 + 36*x + 4, -x^13 + 3*x^12 + 12*x^11 - 40*x^10 - 41*x^9 + 178*x^8 + 9*x^7 - 282*x^6 + 125*x^5 + 68*x^4 - 87*x^3 + 37*x^2 + 36*x + 4, -2*x^11 + 4*x^10 + 22*x^9 - 42*x^8 - 77*x^7 + 127*x^6 + 99*x^5 - 82*x^4 - 57*x^3 - 32*x^2 - 22*x - 4, -2*x^11 + 4*x^10 + 22*x^9 - 42*x^8 - 77*x^7 + 127*x^6 + 99*x^5 - 82*x^4 - 57*x^3 - 32*x^2 - 22*x - 4, -x^14 + 3*x^13 + 14*x^12 - 46*x^11 - 65*x^10 + 256*x^9 + 100*x^8 - 625*x^7 + 14*x^6 + 646*x^5 - 53*x^4 - 263*x^3 - 24*x^2 + 20*x + 4, -x^14 + 3*x^13 + 14*x^12 - 46*x^11 - 65*x^10 + 256*x^9 + 100*x^8 - 625*x^7 + 14*x^6 + 646*x^5 - 53*x^4 - 263*x^3 - 24*x^2 + 20*x + 4, -x^12 + 2*x^11 + 11*x^10 - 21*x^9 - 36*x^8 + 58*x^7 + 32*x^6 - x^5 - x^4 - 87*x^3 - 18*x^2 + 24*x + 4, -x^12 + 2*x^11 + 11*x^10 - 21*x^9 - 36*x^8 + 58*x^7 + 32*x^6 - x^5 - x^4 - 87*x^3 - 18*x^2 + 24*x + 4, -x^12 + x^11 + 15*x^10 - 17*x^9 - 78*x^8 + 100*x^7 + 154*x^6 - 225*x^5 - 73*x^4 + 126*x^3 + 19*x^2 - 10*x, -x^12 + x^11 + 15*x^10 - 17*x^9 - 78*x^8 + 100*x^7 + 154*x^6 - 225*x^5 - 73*x^4 + 126*x^3 + 19*x^2 - 10*x]>
       ]
>;

MOG[337] := 	// J_0(337)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 5,
           Coordinates        := [88, 226, 258, 312, 31*x + 21, 306*x + 21, 190*x + 200, 147*x + 200, 319*x + 78, 18*x + 78, 13*x + 14, 324*x + 14, 51*x + 65, 286*x + 65, 99*x + 19, 238*x + 19, 99*x + 287, 238*x + 287, 56*x + 125, 281*x + 125, 255*x + 233, 82*x + 233, 280*x + 21, 57*x + 21, 95*x + 123, 242*x + 123, 59*x + 27, 278*x + 27]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^12 + 6*x^11 + x^10 - 54*x^9 - 76*x^8 + 135*x^7 + 289*x^6 - 97*x^5 - 392*x^4 - 28*x^3 + 201*x^2 + 36*x - 27,
           Coordinates        := [0, 0, 0, 0, -x^11 - 6*x^10 - 3*x^9 + 43*x^8 + 73*x^7 - 63*x^6 - 198*x^5 - 22*x^4 + 178*x^3 + 76*x^2 - 48*x - 27, x^11 + 6*x^10 + 3*x^9 - 43*x^8 - 73*x^7 + 63*x^6 + 198*x^5 + 22*x^4 - 178*x^3 - 76*x^2 + 48*x + 27, -x^6 - 5*x^5 - 6*x^4 + 3*x^3 + 8*x^2 + 3*x, x^6 + 5*x^5 + 6*x^4 - 3*x^3 - 8*x^2 - 3*x, -x^10 - 5*x^9 + 2*x^8 + 41*x^7 + 32*x^6 - 95*x^5 - 103*x^4 + 81*x^3 + 97*x^2 - 21*x - 27, x^10 + 5*x^9 - 2*x^8 - 41*x^7 - 32*x^6 + 95*x^5 + 103*x^4 - 81*x^3 - 97*x^2 + 21*x + 27, -x^10 - 6*x^9 - 5*x^8 + 31*x^7 + 59*x^6 - 24*x^5 - 111*x^4 - 33*x^3 + 56*x^2 + 30*x, x^10 + 6*x^9 + 5*x^8 - 31*x^7 - 59*x^6 + 24*x^5 + 111*x^4 + 33*x^3 - 56*x^2 - 30*x, -x^7 - 6*x^6 - 11*x^5 - 3*x^4 + 11*x^3 + 11*x^2 + 3*x, x^7 + 6*x^6 + 11*x^5 + 3*x^4 - 11*x^3 - 11*x^2 - 3*x, -x^9 - 6*x^8 - 7*x^7 + 19*x^6 + 42*x^5 - 4*x^4 - 55*x^3 - 24*x^2 + 15*x + 9, x^9 + 6*x^8 + 7*x^7 - 19*x^6 - 42*x^5 + 4*x^4 + 55*x^3 + 24*x^2 - 15*x - 9, -x^9 - 6*x^8 - 7*x^7 + 20*x^6 + 45*x^5 - 7*x^4 - 67*x^3 - 22*x^2 + 33*x + 18, x^9 + 6*x^8 + 7*x^7 - 20*x^6 - 45*x^5 + 7*x^4 + 67*x^3 + 22*x^2 - 33*x - 18, -x^8 - 5*x^7 - 3*x^6 + 16*x^5 + 15*x^4 - 22*x^3 - 22*x^2 + 9*x + 9, x^8 + 5*x^7 + 3*x^6 - 16*x^5 - 15*x^4 + 22*x^3 + 22*x^2 - 9*x - 9, -x^7 - 7*x^6 - 14*x^5 + 2*x^4 + 30*x^3 + 17*x^2 - 12*x - 9, x^7 + 7*x^6 + 14*x^5 - 2*x^4 - 30*x^3 - 17*x^2 + 12*x + 9, -x^8 - 7*x^7 - 14*x^6 + 4*x^5 + 41*x^4 + 31*x^3 - 19*x^2 - 30*x - 9, x^8 + 7*x^7 + 14*x^6 - 4*x^5 - 41*x^4 - 31*x^3 + 19*x^2 + 30*x + 9, -x^8 - 7*x^7 - 15*x^6 - x^5 + 35*x^4 + 36*x^3 - 6*x^2 - 24*x - 9, x^8 + 7*x^7 + 15*x^6 + x^5 - 35*x^4 - 36*x^3 + 6*x^2 + 24*x + 9, -x^8 - 4*x^7 + x^6 + 18*x^5 + 9*x^4 - 25*x^3 - 17*x^2 + 12*x + 9, x^8 + 4*x^7 - x^6 - 18*x^5 - 9*x^4 + 25*x^3 + 17*x^2 - 12*x - 9]>,
         rec<Eigen |
           DefiningPolynomial := x^15 - 3*x^14 - 18*x^13 + 56*x^12 + 123*x^11 - 402*x^10 - 400*x^9 + 1395*x^8 + 643*x^7 - 2406*x^6 - 496*x^5 + 1843*x^4 + 200*x^3 - 388*x^2 - 69*x + 1,
           Coordinates        := [-x^14 + 4*x^13 + 12*x^12 - 62*x^11 - 35*x^10 + 353*x^9 - 69*x^8 - 902*x^7 + 465*x^6 + 1001*x^5 - 617*x^4 - 376*x^3 + 176*x^2 + 32*x - 1, x^14 - 4*x^13 - 12*x^12 + 60*x^11 + 41*x^10 - 333*x^9 + x^8 + 848*x^7 - 215*x^6 - 985*x^5 + 271*x^4 + 442*x^3 - 28*x^2 - 62*x - 5, -2*x^11 + 6*x^10 + 22*x^9 - 72*x^8 - 72*x^7 + 282*x^6 + 66*x^5 - 408*x^4 - 8*x^3 + 168*x^2 + 36*x + 2, -2*x^10 + 6*x^9 + 22*x^8 - 72*x^7 - 66*x^6 + 270*x^5 + 20*x^4 - 322*x^3 + 68*x^2 + 52*x + 4, -x^12 + 3*x^11 + 12*x^10 - 39*x^9 - 47*x^8 + 177*x^7 + 66*x^6 - 339*x^5 - 14*x^4 + 245*x^3 - 16*x^2 - 25*x - 2, -x^12 + 3*x^11 + 12*x^10 - 39*x^9 - 47*x^8 + 177*x^7 + 66*x^6 - 339*x^5 - 14*x^4 + 245*x^3 - 16*x^2 - 25*x - 2, 3*x^7 - 6*x^6 - 23*x^5 + 43*x^4 + 38*x^3 - 58*x^2 - 16*x - 1, 3*x^7 - 6*x^6 - 23*x^5 + 43*x^4 + 38*x^3 - 58*x^2 - 16*x - 1, -x^13 + 3*x^12 + 14*x^11 - 45*x^10 - 68*x^9 + 246*x^8 + 130*x^7 - 595*x^6 - 64*x^5 + 598*x^4 - 33*x^3 - 164*x^2 - 4*x + 3, -x^13 + 3*x^12 + 14*x^11 - 45*x^10 - 68*x^9 + 246*x^8 + 130*x^7 - 595*x^6 - 64*x^5 + 598*x^4 - 33*x^3 - 164*x^2 - 4*x + 3, -x^9 + 3*x^8 + 8*x^7 - 26*x^6 - 16*x^5 + 55*x^4 + 25*x^3 - 29*x^2 - 34*x - 5, -x^9 + 3*x^8 + 8*x^7 - 26*x^6 - 16*x^5 + 55*x^4 + 25*x^3 - 29*x^2 - 34*x - 5, 2*x^10 - 6*x^9 - 19*x^8 + 63*x^7 + 49*x^6 - 204*x^5 - 25*x^4 + 226*x^3 - 26*x^2 - 37*x - 3, 2*x^10 - 6*x^9 - 19*x^8 + 63*x^7 + 49*x^6 - 204*x^5 - 25*x^4 + 226*x^3 - 26*x^2 - 37*x - 3, x^12 - 4*x^11 - 9*x^10 + 49*x^9 + 13*x^8 - 203*x^7 + 57*x^6 + 339*x^5 - 140*x^4 - 209*x^3 + 62*x^2 + 26*x - 2, x^12 - 4*x^11 - 9*x^10 + 49*x^9 + 13*x^8 - 203*x^7 + 57*x^6 + 339*x^5 - 140*x^4 - 209*x^3 + 62*x^2 + 26*x - 2, x^11 - 4*x^10 - 7*x^9 + 42*x^8 - 139*x^6 + 55*x^5 + 179*x^4 - 65*x^3 - 80*x^2 - 6*x + 4, x^11 - 4*x^10 - 7*x^9 + 42*x^8 - 139*x^6 + 55*x^5 + 179*x^4 - 65*x^3 - 80*x^2 - 6*x + 4, x^11 - 3*x^10 - 10*x^9 + 33*x^8 + 27*x^7 - 113*x^6 - 7*x^5 + 128*x^4 - 37*x^3 - 20*x^2 + 16*x + 5, x^11 - 3*x^10 - 10*x^9 + 33*x^8 + 27*x^7 - 113*x^6 - 7*x^5 + 128*x^4 - 37*x^3 - 20*x^2 + 16*x + 5, x^11 - 3*x^10 - 9*x^9 + 30*x^8 + 19*x^7 - 85*x^6 + 5*x^5 + 55*x^4 - 27*x^3 + 41*x^2 - 3*x - 4, x^11 - 3*x^10 - 9*x^9 + 30*x^8 + 19*x^7 - 85*x^6 + 5*x^5 + 55*x^4 - 27*x^3 + 41*x^2 - 3*x - 4, x^13 - 4*x^12 - 10*x^11 + 52*x^10 + 24*x^9 - 239*x^8 + 22*x^7 + 478*x^6 - 117*x^5 - 392*x^4 + 74*x^3 + 75*x^2 + 16*x, x^13 - 4*x^12 - 10*x^11 + 52*x^10 + 24*x^9 - 239*x^8 + 22*x^7 + 478*x^6 - 117*x^5 - 392*x^4 + 74*x^3 + 75*x^2 + 16*x, x^12 - 4*x^11 - 8*x^10 + 45*x^9 + 8*x^8 - 167*x^7 + 41*x^6 + 254*x^5 - 57*x^4 - 158*x^3 - 18*x^2 + 36*x + 7, x^12 - 4*x^11 - 8*x^10 + 45*x^9 + 8*x^8 - 167*x^7 + 41*x^6 + 254*x^5 - 57*x^4 - 158*x^3 - 18*x^2 + 36*x + 7, x^10 - 2*x^9 - 11*x^8 + 20*x^7 + 40*x^6 - 59*x^5 - 63*x^4 + 53*x^3 + 41*x^2 + 2*x - 2, x^10 - 2*x^9 - 11*x^8 + 20*x^7 + 40*x^6 - 59*x^5 - 63*x^4 + 53*x^3 + 41*x^2 + 2*x - 2]>
       ]
>;

MOG[347] := 	// J_0(347)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 77, 180, 184, 197, 202, 215, 311, 338, 340, 36*x + 239, 311*x + 239, 141*x + 346, 206*x + 346, 281*x + 120, 66*x + 120, 156*x + 94, 191*x + 94, 127*x + 313, 220*x + 313, 313*x + 219, 34*x + 219, 274*x + 70, 73*x + 70, 88*x + 309, 259*x + 309, 321*x + 339, 26*x + 339, 51*x + 107, 296*x + 107]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 2,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, -1, -1, 1, -1, 1, 1, -1, 0, 0, 1, -1, -1, 1, 0, 0, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^2 + x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x + 1, -x - 1, x, -x, 1, -1, -1, 1, -x, x, 0, 0, -1, 1, -x, x, -1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^7 + 2*x^6 - 7*x^5 - 15*x^4 + 6*x^3 + 22*x^2 + 9*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^5 - 3*x^4 + 6*x^2 + 5*x + 1, x^5 + 3*x^4 - 6*x^2 - 5*x - 1, -x^5 - 3*x^4 + 7*x^2 + 6*x + 1, x^5 + 3*x^4 - 7*x^2 - 6*x - 1, -x^6 - 2*x^5 + 3*x^4 + 6*x^3 - 2*x^2 - 5*x - 1, x^6 + 2*x^5 - 3*x^4 - 6*x^3 + 2*x^2 + 5*x + 1, -x^6 - 2*x^5 + 3*x^4 + 7*x^3 - 4*x - 1, x^6 + 2*x^5 - 3*x^4 - 7*x^3 + 4*x + 1, -2*x^5 - 4*x^4 + 4*x^3 + 9*x^2 + 2*x, 2*x^5 + 4*x^4 - 4*x^3 - 9*x^2 - 2*x, -x^5 - 2*x^4 + 2*x^2 + x, x^5 + 2*x^4 - 2*x^2 - x, -x^5 - x^4 + 2*x^3 + 2*x^2, x^5 + x^4 - 2*x^3 - 2*x^2, -2*x^4 - 4*x^3 + 4*x^2 + 9*x + 2, 2*x^4 + 4*x^3 - 4*x^2 - 9*x - 2, -2*x^4 - 3*x^3 + 2*x^2 + 4*x + 1, 2*x^4 + 3*x^3 - 2*x^2 - 4*x - 1, -x^4 - x^3 + x^2 + x, x^4 + x^3 - x^2 - x]>,
         rec<Eigen |
           DefiningPolynomial := x^19 - 30*x^17 + x^16 + 374*x^15 - 21*x^14 - 2509*x^13 + 166*x^12 + 9794*x^11 - 586*x^10 - 22435*x^9 + 749*x^8 + 28885*x^7 + 329*x^6 - 18752*x^5 - 878*x^4 + 4788*x^3 - 64*x^2 - 352*x + 32,
           Coordinates        := [-x^18 + 27*x^16 - x^15 - 297*x^14 + 18*x^13 + 1712*x^12 - 122*x^11 - 5532*x^10 + 384*x^9 + 9913*x^8 - 563*x^7 - 9072*x^6 + 402*x^5 + 3480*x^4 - 268*x^3 - 380*x^2 + 72*x, x^18 - 27*x^16 + x^15 + 295*x^14 - 18*x^13 - 1674*x^12 + 118*x^11 + 5258*x^10 - 338*x^9 - 8975*x^8 + 391*x^7 + 7502*x^6 - 142*x^5 - 2280*x^4 + 20*x^3 + 92*x^2 + 64*x, 4*x^13 + 2*x^12 - 72*x^11 - 20*x^10 + 488*x^9 + 48*x^8 - 1542*x^7 + 54*x^6 + 2230*x^5 - 252*x^4 - 1176*x^3 + 124*x^2 + 128*x - 16, -x^16 + 23*x^14 - x^13 - 211*x^12 + 10*x^11 + 986*x^10 - 10*x^9 - 2478*x^8 - 168*x^7 + 3215*x^6 + 565*x^5 - 1808*x^4 - 462*x^3 + 216*x^2 - 40*x, x^16 - 23*x^14 + x^13 + 205*x^12 - 12*x^11 - 890*x^10 + 34*x^9 + 1924*x^8 + 52*x^7 - 1835*x^6 - 253*x^5 + 470*x^4 + 62*x^3 + 76*x^2 + 16*x - 16, -3*x^16 + 71*x^14 - 9*x^13 - 663*x^12 + 154*x^11 + 3088*x^10 - 956*x^9 - 7448*x^8 + 2588*x^7 + 8729*x^6 - 2917*x^5 - 4224*x^4 + 1274*x^3 + 572*x^2 - 144*x, -3*x^17 + 77*x^15 - 3*x^14 - 797*x^13 + 44*x^12 + 4262*x^11 - 202*x^10 - 12522*x^9 + 186*x^8 + 19813*x^7 + 731*x^6 - 15272*x^5 - 1146*x^4 + 4408*x^3 + 8*x^2 - 352*x + 32, x^16 - 23*x^14 + 3*x^13 + 209*x^12 - 50*x^11 - 952*x^10 + 300*x^9 + 2266*x^8 - 748*x^7 - 2659*x^6 + 609*x^5 + 1306*x^4 + 94*x^3 - 168*x^2 - 80*x + 16, x^17 - 25*x^15 + x^14 + 249*x^13 - 14*x^12 - 1260*x^11 + 56*x^10 + 3416*x^9 - 4*x^8 - 4785*x^7 - 305*x^6 + 3008*x^5 + 214*x^4 - 504*x^3 + 176*x^2, 4*x^12 + 6*x^11 - 66*x^10 - 86*x^9 + 402*x^8 + 450*x^7 - 1092*x^6 - 1038*x^5 + 1192*x^4 + 940*x^3 - 236*x^2 - 112*x + 16, 2*x^14 + x^13 - 40*x^12 - 16*x^11 + 310*x^10 + 110*x^9 - 1173*x^8 - 423*x^7 + 2207*x^6 + 912*x^5 - 1780*x^4 - 878*x^3 + 300*x^2 + 104*x - 16, 2*x^14 + x^13 - 40*x^12 - 16*x^11 + 310*x^10 + 110*x^9 - 1173*x^8 - 423*x^7 + 2207*x^6 + 912*x^5 - 1780*x^4 - 878*x^3 + 300*x^2 + 104*x - 16, x^15 + x^14 - 20*x^13 - 18*x^12 + 154*x^11 + 122*x^10 - 575*x^9 - 372*x^8 + 1063*x^7 + 457*x^6 - 851*x^5 - 60*x^4 + 168*x^3 - 128*x^2 + 8*x, x^15 + x^14 - 20*x^13 - 18*x^12 + 154*x^11 + 122*x^10 - 575*x^9 - 372*x^8 + 1063*x^7 + 457*x^6 - 851*x^5 - 60*x^4 + 168*x^3 - 128*x^2 + 8*x, x^15 - 24*x^13 + 228*x^11 + 8*x^10 - 1086*x^9 - 99*x^8 + 2686*x^7 + 401*x^6 - 3159*x^5 - 566*x^4 + 1308*x^3 + 108*x^2 - 152*x + 16, x^15 - 24*x^13 + 228*x^11 + 8*x^10 - 1086*x^9 - 99*x^8 + 2686*x^7 + 401*x^6 - 3159*x^5 - 566*x^4 + 1308*x^3 + 108*x^2 - 152*x + 16, x^15 + x^14 - 22*x^13 - 15*x^12 + 188*x^11 + 67*x^10 - 782*x^9 - 30*x^8 + 1628*x^7 - 399*x^6 - 1581*x^5 + 642*x^4 + 656*x^3 - 124*x^2 - 24*x, x^15 + x^14 - 22*x^13 - 15*x^12 + 188*x^11 + 67*x^10 - 782*x^9 - 30*x^8 + 1628*x^7 - 399*x^6 - 1581*x^5 + 642*x^4 + 656*x^3 - 124*x^2 - 24*x, x^16 - 25*x^14 + 2*x^13 + 247*x^12 - 32*x^11 - 1222*x^10 + 171*x^9 + 3154*x^8 - 306*x^7 - 3985*x^6 - 81*x^5 + 1992*x^4 + 418*x^3 - 132*x^2 - 40*x, x^16 - 25*x^14 + 2*x^13 + 247*x^12 - 32*x^11 - 1222*x^10 + 171*x^9 + 3154*x^8 - 306*x^7 - 3985*x^6 - 81*x^5 + 1992*x^4 + 418*x^3 - 132*x^2 - 40*x, -x^14 - 3*x^13 + 21*x^12 + 56*x^11 - 174*x^10 - 380*x^9 + 705*x^8 + 1130*x^7 - 1381*x^6 - 1397*x^5 + 1096*x^4 + 568*x^3 - 320*x^2 - 48*x + 16, -x^14 - 3*x^13 + 21*x^12 + 56*x^11 - 174*x^10 - 380*x^9 + 705*x^8 + 1130*x^7 - 1381*x^6 - 1397*x^5 + 1096*x^4 + 568*x^3 - 320*x^2 - 48*x + 16, 2*x^14 + 3*x^13 - 41*x^12 - 55*x^11 + 318*x^10 + 374*x^9 - 1154*x^8 - 1156*x^7 + 1947*x^6 + 1574*x^5 - 1276*x^4 - 710*x^3 + 236*x^2 + 32*x, 2*x^14 + 3*x^13 - 41*x^12 - 55*x^11 + 318*x^10 + 374*x^9 - 1154*x^8 - 1156*x^7 + 1947*x^6 + 1574*x^5 - 1276*x^4 - 710*x^3 + 236*x^2 + 32*x, x^17 - 27*x^15 + x^14 + 293*x^13 - 17*x^12 - 1638*x^11 + 96*x^10 + 5022*x^9 - 177*x^8 - 8299*x^7 - 83*x^6 + 6732*x^5 + 342*x^4 - 2096*x^3 - 24*x^2 + 176*x - 16, x^17 - 27*x^15 + x^14 + 293*x^13 - 17*x^12 - 1638*x^11 + 96*x^10 + 5022*x^9 - 177*x^8 - 8299*x^7 - 83*x^6 + 6732*x^5 + 342*x^4 - 2096*x^3 - 24*x^2 + 176*x - 16, x^15 - 22*x^13 + x^12 + 185*x^11 - 11*x^10 - 746*x^9 + 28*x^8 + 1475*x^7 + 26*x^6 - 1269*x^5 - 76*x^4 + 290*x^3 - 80*x^2 - 8*x, x^15 - 22*x^13 + x^12 + 185*x^11 - 11*x^10 - 746*x^9 + 28*x^8 + 1475*x^7 + 26*x^6 - 1269*x^5 - 76*x^4 + 290*x^3 - 80*x^2 - 8*x, -3*x^15 - 3*x^14 + 67*x^13 + 55*x^12 - 587*x^11 - 377*x^10 + 2537*x^9 + 1201*x^8 - 5542*x^7 - 1824*x^6 + 5524*x^5 + 1210*x^4 - 1918*x^3 - 76*x^2 + 176*x - 16, -3*x^15 - 3*x^14 + 67*x^13 + 55*x^12 - 587*x^11 - 377*x^10 + 2537*x^9 + 1201*x^8 - 5542*x^7 - 1824*x^6 + 5524*x^5 + 1210*x^4 - 1918*x^3 - 76*x^2 + 176*x - 16]>
       ]
>;

MOG[349] := 	// J_0(349)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [36, 38, 110, 115, 231, 289, 322, 152*x + 256, 197*x + 256, 271*x + 292, 78*x + 292, 51*x + 112, 298*x + 112, 208*x + 5, 141*x + 5, 3*x + 316, 346*x + 316, 298*x + 298, 51*x + 298, 123*x + 298, 226*x + 298, 305*x + 73, 44*x + 73, 20*x, 329*x, 134*x + 179, 215*x + 179, 292*x + 188, 57*x + 188]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^11 + 5*x^10 - x^9 - 35*x^8 - 24*x^7 + 80*x^6 + 66*x^5 - 77*x^4 - 56*x^3 + 31*x^2 + 15*x - 4,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, -x^10 - 5*x^9 - x^8 + 25*x^7 + 19*x^6 - 43*x^5 - 31*x^4 + 30*x^3 + 12*x^2 - 7*x, x^10 + 5*x^9 + x^8 - 25*x^7 - 19*x^6 + 43*x^5 + 31*x^4 - 30*x^3 - 12*x^2 + 7*x, -x^9 - 5*x^8 - 3*x^7 + 16*x^6 + 15*x^5 - 19*x^4 - 15*x^3 + 10*x^2 + 4*x - 2, x^9 + 5*x^8 + 3*x^7 - 16*x^6 - 15*x^5 + 19*x^4 + 15*x^3 - 10*x^2 - 4*x + 2, -x^9 - 5*x^8 - 2*x^7 + 21*x^6 + 20*x^5 - 28*x^4 - 29*x^3 + 14*x^2 + 11*x - 2, x^9 + 5*x^8 + 2*x^7 - 21*x^6 - 20*x^5 + 28*x^4 + 29*x^3 - 14*x^2 - 11*x + 2, -x^8 - 5*x^7 - 4*x^6 + 12*x^5 + 14*x^4 - 9*x^3 - 10*x^2 + 2*x + 2, x^8 + 5*x^7 + 4*x^6 - 12*x^5 - 14*x^4 + 9*x^3 + 10*x^2 - 2*x - 2, -x^8 - 4*x^7 + 12*x^5 + 2*x^4 - 11*x^3 + 2*x^2 + 3*x - 2, x^8 + 4*x^7 - 12*x^5 - 2*x^4 + 11*x^3 - 2*x^2 - 3*x + 2, -x^8 - 4*x^7 + x^6 + 15*x^5 + 2*x^4 - 16*x^3 - x^2 + 5*x, x^8 + 4*x^7 - x^6 - 15*x^5 - 2*x^4 + 16*x^3 + x^2 - 5*x, -x^7 - 4*x^6 - x^5 + 10*x^4 + 5*x^3 - 8*x^2 - 2*x + 2, x^7 + 4*x^6 + x^5 - 10*x^4 - 5*x^3 + 8*x^2 + 2*x - 2, -x^7 - 4*x^6 - x^5 + 10*x^4 + 6*x^3 - 5*x^2 - 3*x, x^7 + 4*x^6 + x^5 - 10*x^4 - 6*x^3 + 5*x^2 + 3*x, -x^7 - 5*x^6 - 3*x^5 + 14*x^4 + 12*x^3 - 10*x^2 - 6*x + 2, x^7 + 5*x^6 + 3*x^5 - 14*x^4 - 12*x^3 + 10*x^2 + 6*x - 2, -x^6 - 3*x^5 + x^4 + 6*x^3 - 2*x, x^6 + 3*x^5 - x^4 - 6*x^3 + 2*x, x^5 + 3*x^4 - x^3 - 6*x^2 + 2, -x^5 - 3*x^4 + x^3 + 6*x^2 - 2]>,
         rec<Eigen |
           DefiningPolynomial := x^17 - 5*x^16 - 14*x^15 + 102*x^14 + 26*x^13 - 792*x^12 + 474*x^11 + 2887*x^10 - 3021*x^9 - 4835*x^8 + 6673*x^7 + 2880*x^6 - 5373*x^5 - 164*x^4 + 1075*x^3 + 75*x^2 - 41*x - 4,
           Coordinates        := [-x^16 + 5*x^15 + 11*x^14 - 87*x^13 - 3*x^12 + 577*x^11 - 393*x^10 - 1820*x^9 + 1914*x^8 + 2707*x^7 - 3587*x^6 - 1459*x^5 + 2542*x^4 - 95*x^3 - 275*x^2 + 4, x^16 - 5*x^15 - 11*x^14 + 85*x^13 + 9*x^12 - 549*x^11 + 303*x^10 + 1676*x^9 - 1388*x^8 - 2429*x^7 + 2155*x^6 + 1529*x^5 - 954*x^4 - 533*x^3 + 43*x^2 + 30*x + 2, 2*x^11 - 10*x^10 + 68*x^8 - 80*x^7 - 100*x^6 + 202*x^5 - 52*x^4 - 30*x^3 - 4*x^2 - 2*x + 2, -x^15 + 3*x^14 + 17*x^13 - 53*x^12 - 109*x^11 + 359*x^10 + 325*x^9 - 1170*x^8 - 426*x^7 + 1855*x^6 + 123*x^5 - 1213*x^4 + 116*x^3 + 137*x^2 - x - 2, x^15 - 7*x^14 + x^13 + 91*x^12 - 153*x^11 - 359*x^10 + 1011*x^9 + 244*x^8 - 2346*x^7 + 1083*x^6 + 1721*x^5 - 1425*x^4 + 151*x^2 - 19*x - 6, 2*x^12 - 8*x^11 - 16*x^10 + 90*x^9 + 24*x^8 - 368*x^7 + 92*x^6 + 628*x^5 - 256*x^4 - 362*x^3 + 92*x^2 + 44*x + 2, 2*x^13 - 8*x^12 - 20*x^11 + 106*x^10 + 38*x^9 - 484*x^8 + 142*x^7 + 862*x^6 - 454*x^5 - 454*x^4 + 184*x^3 + 70*x^2 - 28*x - 4, x^14 - 5*x^13 - 6*x^12 + 63*x^11 - 34*x^10 - 261*x^9 + 313*x^8 + 360*x^7 - 658*x^6 + 319*x^4 - 57*x^3 - 49*x^2 + 12*x + 2, x^14 - 5*x^13 - 6*x^12 + 63*x^11 - 34*x^10 - 261*x^9 + 313*x^8 + 360*x^7 - 658*x^6 + 319*x^4 - 57*x^3 - 49*x^2 + 12*x + 2, x^13 - 5*x^12 - 5*x^11 + 59*x^10 - 36*x^9 - 237*x^8 + 286*x^7 + 355*x^6 - 576*x^5 - 131*x^4 + 283*x^3 + 40*x^2 - x - 1, x^13 - 5*x^12 - 5*x^11 + 59*x^10 - 36*x^9 - 237*x^8 + 286*x^7 + 355*x^6 - 576*x^5 - 131*x^4 + 283*x^3 + 40*x^2 - x - 1, x^15 - 5*x^14 - 9*x^13 + 76*x^12 - 9*x^11 - 426*x^10 + 311*x^9 + 1081*x^8 - 1086*x^7 - 1217*x^6 + 1349*x^5 + 528*x^4 - 516*x^3 - 98*x^2 + 31*x + 5, x^15 - 5*x^14 - 9*x^13 + 76*x^12 - 9*x^11 - 426*x^10 + 311*x^9 + 1081*x^8 - 1086*x^7 - 1217*x^6 + 1349*x^5 + 528*x^4 - 516*x^3 - 98*x^2 + 31*x + 5, -x^11 + 8*x^10 - 11*x^9 - 52*x^8 + 134*x^7 + 55*x^6 - 340*x^5 + 113*x^4 + 179*x^3 - 47*x^2 - 21*x - 1, -x^11 + 8*x^10 - 11*x^9 - 52*x^8 + 134*x^7 + 55*x^6 - 340*x^5 + 113*x^4 + 179*x^3 - 47*x^2 - 21*x - 1, x^12 - 3*x^11 - 10*x^10 + 35*x^9 + 25*x^8 - 139*x^7 + 27*x^6 + 209*x^5 - 149*x^4 - 82*x^3 + 95*x^2 + 8*x - 1, x^12 - 3*x^11 - 10*x^10 + 35*x^9 + 25*x^8 - 139*x^7 + 27*x^6 + 209*x^5 - 149*x^4 - 82*x^3 + 95*x^2 + 8*x - 1, x^14 - 4*x^13 - 12*x^12 + 60*x^11 + 42*x^10 - 334*x^9 - 11*x^8 + 852*x^7 - 148*x^6 - 1001*x^5 + 119*x^4 + 492*x^3 + 37*x^2 - 37*x - 4, x^14 - 4*x^13 - 12*x^12 + 60*x^11 + 42*x^10 - 334*x^9 - 11*x^8 + 852*x^7 - 148*x^6 - 1001*x^5 + 119*x^4 + 492*x^3 + 37*x^2 - 37*x - 4, -x^13 + 4*x^12 + 11*x^11 - 60*x^10 - 16*x^9 + 303*x^8 - 151*x^7 - 595*x^6 + 487*x^5 + 362*x^4 - 300*x^3 - 57*x^2 + 2*x - 1, -x^13 + 4*x^12 + 11*x^11 - 60*x^10 - 16*x^9 + 303*x^8 - 151*x^7 - 595*x^6 + 487*x^5 + 362*x^4 - 300*x^3 - 57*x^2 + 2*x - 1, x^12 - 2*x^11 - 14*x^10 + 26*x^9 + 73*x^8 - 120*x^7 - 173*x^6 + 218*x^5 + 198*x^4 - 106*x^3 - 127*x^2 - 8*x + 2, x^12 - 2*x^11 - 14*x^10 + 26*x^9 + 73*x^8 - 120*x^7 - 173*x^6 + 218*x^5 + 198*x^4 - 106*x^3 - 127*x^2 - 8*x + 2, x^13 - 4*x^12 - 9*x^11 + 50*x^10 + 12*x^9 - 218*x^8 + 86*x^7 + 364*x^6 - 229*x^5 - 155*x^4 + 61*x^3 + 24*x^2 + 2*x - 1, x^13 - 4*x^12 - 9*x^11 + 50*x^10 + 12*x^9 - 218*x^8 + 86*x^7 + 364*x^6 - 229*x^5 - 155*x^4 + 61*x^3 + 24*x^2 + 2*x - 1, -x^14 + 5*x^13 + 7*x^12 - 70*x^11 + 36*x^10 + 330*x^9 - 402*x^8 - 578*x^7 + 1027*x^6 + 215*x^5 - 775*x^4 + 64*x^3 + 106*x^2 + 18*x + 2, -x^14 + 5*x^13 + 7*x^12 - 70*x^11 + 36*x^10 + 330*x^9 - 402*x^8 - 578*x^7 + 1027*x^6 + 215*x^5 - 775*x^4 + 64*x^3 + 106*x^2 + 18*x + 2, -x^15 + 6*x^14 + 3*x^13 - 81*x^12 + 95*x^11 + 354*x^10 - 716*x^9 - 479*x^8 + 1756*x^7 - 217*x^6 - 1477*x^5 + 477*x^4 + 342*x^3 - 31*x^2 - 18*x - 1, -x^15 + 6*x^14 + 3*x^13 - 81*x^12 + 95*x^11 + 354*x^10 - 716*x^9 - 479*x^8 + 1756*x^7 - 217*x^6 - 1477*x^5 + 477*x^4 + 342*x^3 - 31*x^2 - 18*x - 1]>
       ]
>;

MOG[353] := 	// J_0(353)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 58, 155, 198, 242, 259, 283, 344, 40*x + 16, 313*x + 16, 236*x + 297, 117*x + 297, 122*x + 279, 231*x + 279, 306*x + 226, 47*x + 226, 158*x + 163, 195*x + 163, 8*x + 130, 345*x + 130, 48*x + 248, 305*x + 248, 299*x + 38, 54*x + 38, 86*x + 133, 267*x + 133, 78*x + 108, 275*x + 108, 244*x + 210, 109*x + 210]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [1, -1, 1, -1, -3, -3, 1, -1, -1, -1, 1, 1, 1, 1, -1, -1, 1, 1, -1, -1, 1, 1, 1, 1, 1, 1, -1, -1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 - x^2 - 6*x + 4,
           Coordinates        := [-4, 4, 2*x^2 + 2*x - 4, 4, -4, 4*x, 2*x^2 - 2*x - 8, -4*x, -2*x^2 + 6, -2*x^2 + 6, -x^2 - x + 4, -x^2 - x + 4, -x^2 - x + 4, -x^2 - x + 4, x^2 - x - 6, x^2 - x - 6, -x^2 - x + 4, -x^2 - x + 4, x^2 - x - 6, x^2 - x - 6, 2*x - 2, 2*x - 2, 2*x - 2, 2*x - 2, x^2 - x + 2, x^2 - x + 2, 4, 4, 2*x - 2, 2*x - 2]>,
         rec<Eigen |
           DefiningPolynomial := x^11 + 5*x^10 - x^9 - 36*x^8 - 28*x^7 + 82*x^6 + 87*x^5 - 65*x^4 - 71*x^3 + 21*x^2 + 14*x - 4,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, -x^10 - 5*x^9 - x^8 + 27*x^7 + 27*x^6 - 41*x^5 - 50*x^4 + 22*x^3 + 26*x^2 - 4*x - 2, x^10 + 5*x^9 + x^8 - 27*x^7 - 27*x^6 + 41*x^5 + 50*x^4 - 22*x^3 - 26*x^2 + 4*x + 2, -x^9 - 4*x^8 + 2*x^7 + 22*x^6 + 9*x^5 - 35*x^4 - 17*x^3 + 22*x^2 + 7*x - 4, x^9 + 4*x^8 - 2*x^7 - 22*x^6 - 9*x^5 + 35*x^4 + 17*x^3 - 22*x^2 - 7*x + 4, -x^9 - 5*x^8 - 3*x^7 + 19*x^6 + 28*x^5 - 8*x^4 - 28*x^3 - 5*x^2 + 5*x, x^9 + 5*x^8 + 3*x^7 - 19*x^6 - 28*x^5 + 8*x^4 + 28*x^3 + 5*x^2 - 5*x, -x^8 - 3*x^7 + 4*x^6 + 15*x^5 - 2*x^4 - 17*x^3 + 3*x^2 + 7*x - 2, x^8 + 3*x^7 - 4*x^6 - 15*x^5 + 2*x^4 + 17*x^3 - 3*x^2 - 7*x + 2, -x^8 - 4*x^7 + x^6 + 18*x^5 + 10*x^4 - 18*x^3 - 10*x^2 + 5*x, x^8 + 4*x^7 - x^6 - 18*x^5 - 10*x^4 + 18*x^3 + 10*x^2 - 5*x, -x^8 - 4*x^7 + 15*x^5 + 12*x^4 - 9*x^3 - 11*x^2 - x + 2, x^8 + 4*x^7 - 15*x^5 - 12*x^4 + 9*x^3 + 11*x^2 + x - 2, -x^7 - 3*x^6 + 4*x^5 + 16*x^4 + 3*x^3 - 12*x^2 - 2*x + 2, x^7 + 3*x^6 - 4*x^5 - 16*x^4 - 3*x^3 + 12*x^2 + 2*x - 2, -x^7 - 4*x^6 - x^5 + 11*x^4 + 8*x^3 - 7*x^2 - 4*x + 2, x^7 + 4*x^6 + x^5 - 11*x^4 - 8*x^3 + 7*x^2 + 4*x - 2, x^5 + 5*x^4 + 5*x^3 - 5*x^2 - 5*x + 2, -x^5 - 5*x^4 - 5*x^3 + 5*x^2 + 5*x - 2, -x^6 - 3*x^5 + x^4 + 7*x^3 + 2*x^2 - 2*x, x^6 + 3*x^5 - x^4 - 7*x^3 - 2*x^2 + 2*x, x^5 + 3*x^4 - x^3 - 7*x^2 - 2*x + 2, -x^5 - 3*x^4 + x^3 + 7*x^2 + 2*x - 2]>,
         rec<Eigen |
           DefiningPolynomial := x^14 - 4*x^13 - 14*x^12 + 71*x^11 + 47*x^10 - 452*x^9 + 101*x^8 + 1251*x^7 - 740*x^6 - 1488*x^5 + 1096*x^4 + 600*x^3 - 410*x^2 - 42*x - 1,
           Coordinates        := [-2*x^7 + 6*x^6 + 12*x^5 - 48*x^4 + 10*x^3 + 64*x^2 - 40*x - 2, -x^13 + 5*x^12 + 7*x^11 - 68*x^10 + 31*x^9 + 305*x^8 - 330*x^7 - 513*x^6 + 755*x^5 + 265*x^4 - 553*x^3 - 11*x^2 + 95*x + 5, -2*x^9 + 6*x^8 + 16*x^7 - 58*x^6 - 18*x^5 + 144*x^4 - 30*x^3 - 102*x^2 + 34*x + 2, x^13 - 5*x^12 - 7*x^11 + 68*x^10 - 29*x^9 - 313*x^8 + 320*x^7 + 585*x^6 - 791*x^5 - 409*x^4 + 689*x^3 + 53*x^2 - 147*x - 7, 2*x^10 - 10*x^9 - 2*x^8 + 82*x^7 - 106*x^6 - 116*x^5 + 276*x^4 - 46*x^3 - 150*x^2 + 66*x + 4, -2*x^10 + 10*x^9 + 4*x^8 - 90*x^7 + 98*x^6 + 180*x^5 - 318*x^4 - 42*x^3 + 238*x^2 - 66*x - 4, 2*x^11 - 10*x^10 - 6*x^9 + 98*x^8 - 88*x^7 - 254*x^6 + 356*x^5 + 208*x^4 - 396*x^3 - 40*x^2 + 124*x + 6, -2*x^8 + 6*x^7 + 12*x^6 - 48*x^5 + 10*x^4 + 64*x^3 - 40*x^2 - 2*x, -x^9 + 3*x^8 + 9*x^7 - 33*x^6 - 13*x^5 + 104*x^4 - 35*x^3 - 97*x^2 + 60*x + 3, -x^9 + 3*x^8 + 9*x^7 - 33*x^6 - 13*x^5 + 104*x^4 - 35*x^3 - 97*x^2 + 60*x + 3, -x^10 + 3*x^9 + 10*x^8 - 35*x^7 - 22*x^6 + 123*x^5 - 19*x^4 - 137*x^3 + 63*x^2 + 14*x + 1, -x^10 + 3*x^9 + 10*x^8 - 35*x^7 - 22*x^6 + 123*x^5 - 19*x^4 - 137*x^3 + 63*x^2 + 14*x + 1, x^8 - 4*x^7 - 3*x^6 + 29*x^5 - 26*x^4 - 24*x^3 + 37*x^2 - 9*x - 1, x^8 - 4*x^7 - 3*x^6 + 29*x^5 - 26*x^4 - 24*x^3 + 37*x^2 - 9*x - 1, -x^11 + 4*x^10 + 8*x^9 - 48*x^8 + 4*x^7 + 178*x^6 - 129*x^5 - 222*x^4 + 235*x^3 + 48*x^2 - 73*x - 4, -x^11 + 4*x^10 + 8*x^9 - 48*x^8 + 4*x^7 + 178*x^6 - 129*x^5 - 222*x^4 + 235*x^3 + 48*x^2 - 73*x - 4, 2*x^9 - 8*x^8 - 9*x^7 + 69*x^6 - 40*x^5 - 127*x^4 + 123*x^3 + 53*x^2 - 60*x - 3, 2*x^9 - 8*x^8 - 9*x^7 + 69*x^6 - 40*x^5 - 127*x^4 + 123*x^3 + 53*x^2 - 60*x - 3, x^8 - 3*x^7 - 7*x^6 + 27*x^5 - x^4 - 51*x^3 + 35*x^2 - x, x^8 - 3*x^7 - 7*x^6 + 27*x^5 - x^4 - 51*x^3 + 35*x^2 - x, -x^12 + 5*x^11 + 5*x^10 - 59*x^9 + 42*x^8 + 209*x^7 - 285*x^6 - 216*x^5 + 476*x^4 - 50*x^3 - 184*x^2 + 55*x + 3, -x^12 + 5*x^11 + 5*x^10 - 59*x^9 + 42*x^8 + 209*x^7 - 285*x^6 - 216*x^5 + 476*x^4 - 50*x^3 - 184*x^2 + 55*x + 3, x^9 - 5*x^8 + 37*x^6 - 57*x^5 - 24*x^4 + 110*x^3 - 73*x^2 + 10*x + 1, x^9 - 5*x^8 + 37*x^6 - 57*x^5 - 24*x^4 + 110*x^3 - 73*x^2 + 10*x + 1, -x^11 + 5*x^10 + 3*x^9 - 48*x^8 + 41*x^7 + 119*x^6 - 150*x^5 - 93*x^4 + 134*x^3 + 18*x^2 - 19*x - 1, -x^11 + 5*x^10 + 3*x^9 - 48*x^8 + 41*x^7 + 119*x^6 - 150*x^5 - 93*x^4 + 134*x^3 + 18*x^2 - 19*x - 1, x^11 - 4*x^10 - 8*x^9 + 47*x^8 - x^7 - 169*x^6 + 99*x^5 + 204*x^4 - 156*x^3 - 43*x^2 + 21*x + 1, x^11 - 4*x^10 - 8*x^9 + 47*x^8 - x^7 - 169*x^6 + 99*x^5 + 204*x^4 - 156*x^3 - 43*x^2 + 21*x + 1, x^12 - 5*x^11 - 4*x^10 + 54*x^9 - 43*x^8 - 168*x^7 + 231*x^6 + 162*x^5 - 336*x^4 + 3*x^3 + 137*x^2 - 30*x - 2, x^12 - 5*x^11 - 4*x^10 + 54*x^9 - 43*x^8 - 168*x^7 + 231*x^6 + 162*x^5 - 336*x^4 + 3*x^3 + 137*x^2 - 30*x - 2]>
       ]
>;

MOG[359] := 	// J_0(359)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 45, 91, 102, 113, 141, 150, 157, 165, 178, 179, 211, 260, 276, 292, 296, 312, 331, 340, 77*x + 99, 282*x + 99, 340*x + 217, 19*x + 217, 190*x + 107, 169*x + 107, 281*x + 170, 78*x + 170, 188*x + 16, 171*x + 16, 172*x + 307, 187*x + 307]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, -1, 1, -2, 2, -1, 1, -1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, -1, 1, -1, 0, 0, -1, 1, -1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^4 + 2*x^3 - 3*x^2 - 5*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x^3 + x^2 - 3*x - 1, -x^3 - x^2 + 3*x + 1, -x^3 - 2*x^2 + 2*x + 3, x^3 + 2*x^2 - 2*x - 3, x^2 + x - 2, -x^2 - x + 2, -x^2 - 2*x + 1, x^2 + 2*x - 1, x + 1, -x - 1, -x - 3, x + 3]>,
         rec<Eigen |
           DefiningPolynomial := x^24 - x^23 - 39*x^22 + 38*x^21 + 658*x^20 - 619*x^19 - 6300*x^18 + 5654*x^17 + 37740*x^16 - 31780*x^15 - 147096*x^14 + 113400*x^13 + 376092*x^12 - 255412*x^11 - 621508*x^10 + 349080*x^9 + 638532*x^8 - 266744*x^7 - 378124*x^6 + 98609*x^5 + 110695*x^4 - 14509*x^3 - 11972*x^2 + 780*x + 381,
           Coordinates        := [-x^23 + x^22 + 36*x^21 - 35*x^20 - 556*x^19 + 520*x^18 + 4824*x^17 - 4281*x^16 - 25860*x^15 + 21369*x^14 + 88744*x^13 - 66406*x^12 - 195424*x^11 + 126668*x^10 + 269523*x^9 - 140091*x^8 - 220571*x^7 + 79101*x^6 + 97193*x^5 - 16674*x^4 - 19113*x^3 - 344*x^2 + 1151*x + 138, x^23 - x^22 - 36*x^21 + 37*x^20 + 555*x^19 - 579*x^18 - 4792*x^17 + 5007*x^16 + 25441*x^15 - 26201*x^14 - 85847*x^13 + 85248*x^12 + 184116*x^11 - 170246*x^10 - 245031*x^9 + 198093*x^8 + 194080*x^7 - 121160*x^6 - 86471*x^5 + 32822*x^4 + 18276*x^3 - 2318*x^2 - 1020*x - 48, -3*x^21 + 3*x^20 + 96*x^19 - 96*x^18 - 1297*x^17 + 1286*x^16 + 9632*x^15 - 9361*x^14 - 42885*x^13 + 40133*x^12 + 117219*x^11 - 102504*x^10 - 193984*x^9 + 150088*x^8 + 185468*x^7 - 114159*x^6 - 93414*x^5 + 36548*x^4 + 20047*x^3 - 2894*x^2 - 1061*x - 12, -3*x^20 + 93*x^18 - x^17 - 1219*x^16 + 22*x^15 + 8795*x^14 - 196*x^13 - 38044*x^12 + 857*x^11 + 100558*x^10 - 1691*x^9 - 158059*x^8 + 466*x^7 + 136001*x^6 + 2696*x^5 - 53129*x^4 - 2423*x^3 + 5995*x^2 + 128*x - 150, x^20 - x^19 - 38*x^18 + 43*x^17 + 578*x^16 - 708*x^15 - 4604*x^14 + 5955*x^13 + 20922*x^12 - 28119*x^11 - 55111*x^10 + 75885*x^9 + 81892*x^8 - 112998*x^7 - 65528*x^6 + 85083*x^5 + 28671*x^4 - 27846*x^3 - 7115*x^2 + 2122*x + 462, 3*x^16 - 5*x^15 - 62*x^14 + 104*x^13 + 495*x^12 - 804*x^11 - 1938*x^10 + 2843*x^9 + 3872*x^8 - 4406*x^7 - 3567*x^6 + 1900*x^5 + 449*x^4 + 916*x^3 + 1316*x^2 - 210*x - 84, -3*x^22 + 3*x^21 + 102*x^20 - 99*x^19 - 1476*x^18 + 1373*x^17 + 11880*x^16 - 10411*x^15 - 58352*x^14 + 46994*x^13 + 180668*x^12 - 128744*x^11 - 351985*x^10 + 208989*x^9 + 417961*x^8 - 187643*x^7 - 280931*x^6 + 81935*x^5 + 91582*x^4 - 14853*x^3 - 10821*x^2 + 918*x + 381, -3*x^20 + 3*x^19 + 86*x^18 - 86*x^17 - 1029*x^16 + 1028*x^15 + 6672*x^14 - 6665*x^13 - 25405*x^12 + 25383*x^11 + 57443*x^10 - 57210*x^9 - 74434*x^8 + 73018*x^7 + 51516*x^6 - 48083*x^5 - 18406*x^4 + 14382*x^3 + 3765*x^2 - 1058*x - 231, -5*x^19 + 5*x^18 + 134*x^17 - 129*x^16 - 1480*x^15 + 1348*x^14 + 8740*x^13 - 7375*x^12 - 29888*x^11 + 22647*x^10 + 59775*x^9 - 38535*x^8 - 66976*x^7 + 33038*x^6 + 37504*x^5 - 11083*x^4 - 8141*x^3 + 918*x^2 + 415*x + 6, x^21 - x^20 - 31*x^19 + 34*x^18 + 391*x^17 - 476*x^16 - 2554*x^15 + 3551*x^14 + 8963*x^13 - 15266*x^12 - 14853*x^11 + 38277*x^10 + 2447*x^9 - 54727*x^8 + 23931*x^7 + 43921*x^6 - 24116*x^5 - 20525*x^4 + 5738*x^3 + 3500*x^2 - 397*x - 150, -2*x^19 + 4*x^18 + 53*x^17 - 103*x^16 - 570*x^15 + 1056*x^14 + 3219*x^13 - 5478*x^12 - 10370*x^11 + 14961*x^10 + 19670*x^9 - 19736*x^8 - 22483*x^7 + 8124*x^6 + 15283*x^5 + 3762*x^4 - 4712*x^3 - 2296*x^2 + 444*x + 144, x^20 - x^19 - 29*x^18 + 20*x^17 + 347*x^16 - 116*x^15 - 2206*x^14 - 207*x^13 + 7927*x^12 + 5260*x^11 - 15455*x^10 - 24665*x^9 + 12575*x^8 + 53399*x^7 + 4319*x^6 - 54491*x^5 - 12654*x^4 + 20975*x^3 + 5188*x^2 - 1712*x - 363, -3*x^20 + 3*x^19 + 90*x^18 - 81*x^17 - 1133*x^16 + 890*x^15 + 7788*x^14 - 5116*x^13 - 31813*x^12 + 16349*x^11 + 78642*x^10 - 27983*x^9 - 114400*x^8 + 20906*x^7 + 89970*x^6 - 93*x^5 - 31279*x^4 - 4937*x^3 + 2567*x^2 + 448*x - 3, 2*x^20 - 3*x^19 - 59*x^18 + 91*x^17 + 726*x^16 - 1141*x^15 - 4841*x^14 + 7673*x^13 + 19021*x^12 - 29979*x^11 - 44914*x^10 + 68707*x^9 + 62722*x^8 - 88453*x^7 - 50136*x^6 + 57468*x^5 + 22251*x^4 - 15516*x^3 - 4316*x^2 + 1189*x + 258, x^21 - 33*x^19 + 3*x^18 + 461*x^17 - 78*x^16 - 3557*x^15 + 818*x^14 + 16591*x^13 - 4423*x^12 - 48125*x^11 + 13011*x^10 + 86024*x^9 - 19923*x^8 - 90459*x^7 + 13061*x^6 + 50154*x^5 - 963*x^4 - 11242*x^3 - 871*x^2 + 659*x + 99, x^22 - x^21 - 33*x^20 + 36*x^19 + 458*x^18 - 539*x^17 - 3479*x^16 + 4375*x^15 + 15773*x^14 - 21014*x^13 - 43702*x^12 + 61136*x^11 + 73013*x^10 - 105947*x^9 - 70536*x^8 + 103520*x^7 + 37093*x^6 - 51117*x^5 - 10279*x^4 + 10371*x^3 + 1530*x^2 - 560*x - 99, -3*x^20 + 5*x^19 + 91*x^18 - 146*x^17 - 1151*x^16 + 1769*x^15 + 7885*x^14 - 11537*x^13 - 31787*x^12 + 43884*x^11 + 76719*x^10 - 98464*x^9 - 108247*x^8 + 125528*x^7 + 84378*x^6 - 83221*x^5 - 33832*x^4 + 24634*x^3 + 6243*x^2 - 1768*x - 378, -3*x^19 + 2*x^18 + 79*x^17 - 45*x^16 - 859*x^15 + 370*x^14 + 5037*x^13 - 1232*x^12 - 17518*x^11 + 255*x^10 + 37616*x^9 + 8437*x^8 - 49933*x^7 - 19146*x^6 + 37589*x^5 + 14158*x^4 - 11629*x^3 - 2973*x^2 + 783*x + 162, -3*x^21 + 3*x^20 + 96*x^19 - 91*x^18 - 1295*x^17 + 1146*x^16 + 9596*x^15 - 7752*x^14 - 42679*x^13 + 30341*x^12 + 117068*x^11 - 68511*x^10 - 196624*x^9 + 82542*x^8 + 195314*x^7 - 41209*x^6 - 106583*x^5 - 1379*x^4 + 26471*x^3 + 4844*x^2 - 2011*x - 402, x^22 - 35*x^20 + 2*x^19 + 525*x^18 - 54*x^17 - 4410*x^16 + 602*x^15 + 22738*x^14 - 3569*x^13 - 74137*x^12 + 12015*x^11 + 151732*x^10 - 22520*x^9 - 186958*x^8 + 21032*x^7 + 127280*x^6 - 7335*x^5 - 41070*x^4 + 910*x^3 + 4711*x^2 - 134*x - 141, x^22 - 35*x^20 + 2*x^19 + 525*x^18 - 54*x^17 - 4410*x^16 + 602*x^15 + 22738*x^14 - 3569*x^13 - 74137*x^12 + 12015*x^11 + 151732*x^10 - 22520*x^9 - 186958*x^8 + 21032*x^7 + 127280*x^6 - 7335*x^5 - 41070*x^4 + 910*x^3 + 4711*x^2 - 134*x - 141, x^19 - 7*x^18 - 22*x^17 + 180*x^16 + 174*x^15 - 1879*x^14 - 518*x^13 + 10263*x^12 - 301*x^11 - 31471*x^10 + 5064*x^9 + 54063*x^8 - 9806*x^7 - 49206*x^6 + 5731*x^5 + 20750*x^4 - 275*x^3 - 2606*x^2 + 17*x + 75, x^19 - 7*x^18 - 22*x^17 + 180*x^16 + 174*x^15 - 1879*x^14 - 518*x^13 + 10263*x^12 - 301*x^11 - 31471*x^10 + 5064*x^9 + 54063*x^8 - 9806*x^7 - 49206*x^6 + 5731*x^5 + 20750*x^4 - 275*x^3 - 2606*x^2 + 17*x + 75, x^21 - 32*x^19 + 436*x^17 + 5*x^16 - 3305*x^15 - 106*x^14 + 15279*x^13 + 904*x^12 - 44399*x^11 - 4006*x^10 + 80593*x^9 + 9897*x^8 - 87832*x^7 - 13455*x^6 + 52736*x^5 + 9158*x^4 - 14475*x^3 - 2527*x^2 + 1013*x + 189, x^21 - 32*x^19 + 436*x^17 + 5*x^16 - 3305*x^15 - 106*x^14 + 15279*x^13 + 904*x^12 - 44399*x^11 - 4006*x^10 + 80593*x^9 + 9897*x^8 - 87832*x^7 - 13455*x^6 + 52736*x^5 + 9158*x^4 - 14475*x^3 - 2527*x^2 + 1013*x + 189, -3*x^19 + 5*x^18 + 81*x^17 - 128*x^16 - 904*x^15 + 1318*x^14 + 5433*x^13 - 6996*x^12 - 19213*x^11 + 20264*x^10 + 41112*x^9 - 30818*x^8 - 52672*x^7 + 20558*x^6 + 37652*x^5 - 1779*x^4 - 11952*x^3 - 2198*x^2 + 1004*x + 201, -3*x^19 + 5*x^18 + 81*x^17 - 128*x^16 - 904*x^15 + 1318*x^14 + 5433*x^13 - 6996*x^12 - 19213*x^11 + 20264*x^10 + 41112*x^9 - 30818*x^8 - 52672*x^7 + 20558*x^6 + 37652*x^5 - 1779*x^4 - 11952*x^3 - 2198*x^2 + 1004*x + 201, x^20 + x^19 - 30*x^18 - 32*x^17 + 379*x^16 + 433*x^15 - 2618*x^14 - 3200*x^13 + 10717*x^12 + 13958*x^11 - 26225*x^10 - 36290*x^9 + 36404*x^8 + 53966*x^7 - 24408*x^6 - 40975*x^5 + 4344*x^4 + 12079*x^3 + 618*x^2 - 866*x - 117, x^20 + x^19 - 30*x^18 - 32*x^17 + 379*x^16 + 433*x^15 - 2618*x^14 - 3200*x^13 + 10717*x^12 + 13958*x^11 - 26225*x^10 - 36290*x^9 + 36404*x^8 + 53966*x^7 - 24408*x^6 - 40975*x^5 + 4344*x^4 + 12079*x^3 + 618*x^2 - 866*x - 117, x^19 - 2*x^18 - 25*x^17 + 49*x^16 + 254*x^15 - 476*x^14 - 1362*x^13 + 2337*x^12 + 4216*x^11 - 6059*x^10 - 7899*x^9 + 7665*x^8 + 9458*x^7 - 3112*x^6 - 7417*x^5 - 1423*x^4 + 3014*x^3 + 1043*x^2 - 264*x - 72, x^19 - 2*x^18 - 25*x^17 + 49*x^16 + 254*x^15 - 476*x^14 - 1362*x^13 + 2337*x^12 + 4216*x^11 - 6059*x^10 - 7899*x^9 + 7665*x^8 + 9458*x^7 - 3112*x^6 - 7417*x^5 - 1423*x^4 + 3014*x^3 + 1043*x^2 - 264*x - 72]>
       ]
>;

MOG[367] := 	// J_0(367)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [40, 46, 56, 135, 164, 260, 293, 295, 315, 137*x + 283, 230*x + 283, 71*x + 57, 296*x + 57, 39*x + 211, 328*x + 211, 164*x + 113, 203*x + 113, 134*x + 128, 233*x + 128, 28*x + 161, 339*x + 161, 303*x + 147, 64*x + 147, 113*x + 111, 254*x + 111, 125*x + 240, 242*x + 240, 128*x + 260, 239*x + 260, 295*x + 91, 72*x + 91]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^11 + 8*x^10 + 16*x^9 - 26*x^8 - 121*x^7 - 61*x^6 + 197*x^5 + 212*x^4 - 66*x^3 - 132*x^2 - 12*x + 13,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, -x^10 - 7*x^9 - 10*x^8 + 29*x^7 + 80*x^6 - 2*x^5 - 129*x^4 - 48*x^3 + 68*x^2 + 25*x - 10, x^10 + 7*x^9 + 10*x^8 - 29*x^7 - 80*x^6 + 2*x^5 + 129*x^4 + 48*x^3 - 68*x^2 - 25*x + 10, -x^9 - 7*x^8 - 12*x^7 + 17*x^6 + 66*x^5 + 35*x^4 - 46*x^3 - 39*x^2 + 3*x + 3, x^9 + 7*x^8 + 12*x^7 - 17*x^6 - 66*x^5 - 35*x^4 + 46*x^3 + 39*x^2 - 3*x - 3, -x^5 - 5*x^4 - 6*x^3 + 2*x^2 + 3*x - 2, x^5 + 5*x^4 + 6*x^3 - 2*x^2 - 3*x + 2, -x^8 - 6*x^7 - 7*x^6 + 18*x^5 + 39*x^4 + x^3 - 33*x^2 - 9*x + 6, x^8 + 6*x^7 + 7*x^6 - 18*x^5 - 39*x^4 - x^3 + 33*x^2 + 9*x - 6, -x^8 - 6*x^7 - 7*x^6 + 19*x^5 + 44*x^4 + 8*x^3 - 32*x^2 - 13*x + 4, x^8 + 6*x^7 + 7*x^6 - 19*x^5 - 44*x^4 - 8*x^3 + 32*x^2 + 13*x - 4, x^6 + 7*x^5 + 14*x^4 - 22*x^2 - 11*x + 4, -x^6 - 7*x^5 - 14*x^4 + 22*x^2 + 11*x - 4, -x^6 - 6*x^5 - 11*x^4 - 4*x^3 + 5*x^2 + x - 2, x^6 + 6*x^5 + 11*x^4 + 4*x^3 - 5*x^2 - x + 2, -x^7 - 6*x^6 - 9*x^5 + 5*x^4 + 14*x^3 - 3*x^2 - 6*x + 3, x^7 + 6*x^6 + 9*x^5 - 5*x^4 - 14*x^3 + 3*x^2 + 6*x - 3, -x^7 - 5*x^6 - 3*x^5 + 17*x^4 + 22*x^3 - 6*x^2 - 12*x + 1, x^7 + 5*x^6 + 3*x^5 - 17*x^4 - 22*x^3 + 6*x^2 + 12*x - 1, x^6 + 5*x^5 + 5*x^4 - 8*x^3 - 14*x^2 - 2*x + 3, -x^6 - 5*x^5 - 5*x^4 + 8*x^3 + 14*x^2 + 2*x - 3, -x^5 - 4*x^4 - 3*x^3 + 2*x^2 + x - 1, x^5 + 4*x^4 + 3*x^3 - 2*x^2 - x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^19 - 9*x^18 + 11*x^17 + 123*x^16 - 372*x^15 - 469*x^14 + 2884*x^13 - 550*x^12 - 10042*x^11 + 8029*x^10 + 17059*x^9 - 20350*x^8 - 12836*x^7 + 20779*x^6 + 2682*x^5 - 7739*x^4 + 63*x^3 + 899*x^2 - 27*x - 29,
           Coordinates        := [-x^18 + 9*x^17 - 14*x^16 - 97*x^15 + 334*x^14 + 207*x^13 - 2047*x^12 + 1125*x^11 + 5384*x^10 - 6117*x^9 - 6015*x^8 + 10566*x^7 + 1481*x^6 - 7117*x^5 + 1301*x^4 + 1335*x^3 - 345*x^2 - 37*x + 9, x^18 - 9*x^17 + 14*x^16 + 96*x^15 - 325*x^14 - 226*x^13 + 1994*x^12 - 881*x^11 - 5440*x^10 + 5270*x^9 + 6776*x^8 - 9319*x^7 - 2987*x^6 + 6272*x^5 - 226*x^4 - 1110*x^3 + 168*x^2 + 62*x - 14, -x^14 + 10*x^13 - 29*x^12 - 22*x^11 + 259*x^10 - 337*x^9 - 430*x^8 + 1325*x^7 - 573*x^6 - 1102*x^5 + 1346*x^4 - 387*x^3 - 124*x^2 + 53*x - 2, -x^15 + 10*x^14 - 29*x^13 - 26*x^12 + 287*x^11 - 371*x^10 - 596*x^9 + 1755*x^8 - 467*x^7 - 2206*x^6 + 1934*x^5 + 403*x^4 - 886*x^3 + 153*x^2 + 52*x - 12, -x^17 + 10*x^16 - 24*x^15 - 72*x^14 + 395*x^13 - 157*x^12 - 1832*x^11 + 2564*x^10 + 3030*x^9 - 7658*x^8 - 193*x^7 + 8502*x^6 - 3123*x^5 - 2796*x^4 + 1166*x^3 + 144*x^2 - 72*x + 1, -x^14 + 9*x^13 - 20*x^12 - 46*x^11 + 241*x^10 - 130*x^9 - 726*x^8 + 1029*x^7 + 562*x^6 - 1644*x^5 + 290*x^4 + 693*x^3 - 193*x^2 - 40*x + 12, x^17 - 9*x^16 + 15*x^15 + 87*x^14 - 310*x^13 - 141*x^12 + 1696*x^11 - 1017*x^10 - 3893*x^9 + 4407*x^8 + 3525*x^7 - 5987*x^6 - 472*x^5 + 2677*x^4 - 345*x^3 - 289*x^2 + 23*x + 13, -x^15 + 8*x^14 - 10*x^13 - 74*x^12 + 208*x^11 + 159*x^10 - 1019*x^9 + 314*x^8 + 2043*x^7 - 1503*x^6 - 1623*x^5 + 1547*x^4 + 282*x^3 - 282*x^2 - 2*x + 11, -x^16 + 10*x^15 - 26*x^14 - 54*x^13 + 356*x^12 - 257*x^11 - 1337*x^10 + 2352*x^9 + 1415*x^8 - 5589*x^7 + 1383*x^6 + 4793*x^5 - 2812*x^4 - 846*x^3 + 562*x^2 + 15*x - 22, 2*x^12 - 14*x^11 + 17*x^10 + 83*x^9 - 215*x^8 - 53*x^7 + 552*x^6 - 294*x^5 - 395*x^4 + 381*x^3 - 50*x^2 - 27*x + 6, 2*x^12 - 14*x^11 + 17*x^10 + 83*x^9 - 215*x^8 - 53*x^7 + 552*x^6 - 294*x^5 - 395*x^4 + 381*x^3 - 50*x^2 - 27*x + 6, x^14 - 8*x^13 + 13*x^12 + 53*x^11 - 193*x^10 + 39*x^9 + 592*x^8 - 720*x^7 - 273*x^6 + 1001*x^5 - 570*x^4 - 44*x^3 + 147*x^2 - 20*x - 4, x^14 - 8*x^13 + 13*x^12 + 53*x^11 - 193*x^10 + 39*x^9 + 592*x^8 - 720*x^7 - 273*x^6 + 1001*x^5 - 570*x^4 - 44*x^3 + 147*x^2 - 20*x - 4, -x^17 + 8*x^16 - 7*x^15 - 95*x^14 + 221*x^13 + 366*x^12 - 1413*x^11 - 326*x^10 + 4007*x^9 - 1063*x^8 - 5581*x^7 + 2580*x^6 + 3553*x^5 - 1804*x^4 - 724*x^3 + 359*x^2 + 27*x - 15, -x^17 + 8*x^16 - 7*x^15 - 95*x^14 + 221*x^13 + 366*x^12 - 1413*x^11 - 326*x^10 + 4007*x^9 - 1063*x^8 - 5581*x^7 + 2580*x^6 + 3553*x^5 - 1804*x^4 - 724*x^3 + 359*x^2 + 27*x - 15, x^15 - 9*x^14 + 18*x^13 + 61*x^12 - 260*x^11 + 27*x^10 + 989*x^9 - 867*x^8 - 1434*x^7 + 1788*x^6 + 838*x^5 - 1141*x^4 - 331*x^3 + 239*x^2 + 28*x - 14, x^15 - 9*x^14 + 18*x^13 + 61*x^12 - 260*x^11 + 27*x^10 + 989*x^9 - 867*x^8 - 1434*x^7 + 1788*x^6 + 838*x^5 - 1141*x^4 - 331*x^3 + 239*x^2 + 28*x - 14, x^14 - 5*x^13 - 10*x^12 + 81*x^11 - 5*x^10 - 480*x^9 + 362*x^8 + 1214*x^7 - 1339*x^6 - 1114*x^5 + 1492*x^4 + 97*x^3 - 209*x^2 - 5*x + 8, x^14 - 5*x^13 - 10*x^12 + 81*x^11 - 5*x^10 - 480*x^9 + 362*x^8 + 1214*x^7 - 1339*x^6 - 1114*x^5 + 1492*x^4 + 97*x^3 - 209*x^2 - 5*x + 8, x^17 - 9*x^16 + 16*x^15 + 78*x^14 - 290*x^13 - 95*x^12 + 1453*x^11 - 871*x^10 - 3195*x^9 + 3312*x^8 + 3162*x^7 - 4260*x^6 - 1218*x^5 + 1976*x^4 + 225*x^3 - 274*x^2 - 5*x + 8, x^17 - 9*x^16 + 16*x^15 + 78*x^14 - 290*x^13 - 95*x^12 + 1453*x^11 - 871*x^10 - 3195*x^9 + 3312*x^8 + 3162*x^7 - 4260*x^6 - 1218*x^5 + 1976*x^4 + 225*x^3 - 274*x^2 - 5*x + 8, -x^16 + 9*x^15 - 18*x^14 - 62*x^13 + 268*x^12 - 38*x^11 - 1051*x^10 + 1047*x^9 + 1497*x^8 - 2405*x^7 - 508*x^6 + 1760*x^5 - 221*x^4 - 252*x^3 + 13*x^2 - 5*x + 6, -x^16 + 9*x^15 - 18*x^14 - 62*x^13 + 268*x^12 - 38*x^11 - 1051*x^10 + 1047*x^9 + 1497*x^8 - 2405*x^7 - 508*x^6 + 1760*x^5 - 221*x^4 - 252*x^3 + 13*x^2 - 5*x + 6, x^16 - 10*x^15 + 26*x^14 + 51*x^13 - 334*x^12 + 234*x^11 + 1155*x^10 - 1895*x^9 - 1159*x^8 + 3942*x^7 - 677*x^6 - 2980*x^5 + 1380*x^4 + 614*x^3 - 358*x^2 - 22*x + 18, x^16 - 10*x^15 + 26*x^14 + 51*x^13 - 334*x^12 + 234*x^11 + 1155*x^10 - 1895*x^9 - 1159*x^8 + 3942*x^7 - 677*x^6 - 2980*x^5 + 1380*x^4 + 614*x^3 - 358*x^2 - 22*x + 18, x^15 - 7*x^14 + 3*x^13 + 78*x^12 - 139*x^11 - 282*x^10 + 803*x^9 + 260*x^8 - 1833*x^7 + 498*x^6 + 1605*x^5 - 825*x^4 - 262*x^3 + 57*x^2 + 33*x - 4, x^15 - 7*x^14 + 3*x^13 + 78*x^12 - 139*x^11 - 282*x^10 + 803*x^9 + 260*x^8 - 1833*x^7 + 498*x^6 + 1605*x^5 - 825*x^4 - 262*x^3 + 57*x^2 + 33*x - 4, x^16 - 8*x^15 + 9*x^14 + 80*x^13 - 207*x^12 - 224*x^11 + 1090*x^10 - 63*x^9 - 2455*x^8 + 1117*x^7 + 2446*x^6 - 1316*x^5 - 929*x^4 + 222*x^3 + 185*x^2 - 32*x - 4, x^16 - 8*x^15 + 9*x^14 + 80*x^13 - 207*x^12 - 224*x^11 + 1090*x^10 - 63*x^9 - 2455*x^8 + 1117*x^7 + 2446*x^6 - 1316*x^5 - 929*x^4 + 222*x^3 + 185*x^2 - 32*x - 4, -x^15 + 7*x^14 - 4*x^13 - 70*x^12 + 128*x^11 + 218*x^10 - 615*x^9 - 183*x^8 + 1131*x^7 - 143*x^6 - 794*x^5 + 172*x^4 + 123*x^3 - 6*x^2 + x - 3, -x^15 + 7*x^14 - 4*x^13 - 70*x^12 + 128*x^11 + 218*x^10 - 615*x^9 - 183*x^8 + 1131*x^7 - 143*x^6 - 794*x^5 + 172*x^4 + 123*x^3 - 6*x^2 + x - 3]>
       ]
>;

MOG[373] := 	// J_0(373)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [20, 56, 167, 231, 340, 77*x + 80, 296*x + 80, 365*x + 318, 8*x + 318, 327*x + 90, 46*x + 90, 25*x + 48, 348*x + 48, 165*x + 129, 208*x + 129, 246*x + 34, 127*x + 34, 366*x + 138, 7*x + 138, 277*x + 162, 96*x + 162, 8*x + 15, 365*x + 15, 234*x + 256, 139*x + 256, 115*x + 131, 258*x + 131, 15*x + 341, 358*x + 341, 4*x + 59, 369*x + 59]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 2,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, -1, -1, 1, 1, -1, -1, 1, -2, 2, 1, -1, 1, -1, -1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^12 + 4*x^11 - 8*x^10 - 43*x^9 + 14*x^8 + 161*x^7 + 17*x^6 - 260*x^5 - 53*x^4 + 177*x^3 + 18*x^2 - 42*x + 7,
           Coordinates        := [0, 0, 0, 0, 0, -x^11 - 4*x^10 + 6*x^9 + 35*x^8 - 5*x^7 - 103*x^6 - 21*x^5 + 118*x^4 + 34*x^3 - 43*x^2 - 7*x + 4, x^11 + 4*x^10 - 6*x^9 - 35*x^8 + 5*x^7 + 103*x^6 + 21*x^5 - 118*x^4 - 34*x^3 + 43*x^2 + 7*x - 4, -x^10 - 4*x^9 + 5*x^8 + 31*x^7 - 3*x^6 - 80*x^5 - 9*x^4 + 80*x^3 + 3*x^2 - 26*x + 5, x^10 + 4*x^9 - 5*x^8 - 31*x^7 + 3*x^6 + 80*x^5 + 9*x^4 - 80*x^3 - 3*x^2 + 26*x - 5, -x^10 - 4*x^9 + 4*x^8 + 27*x^7 - x^6 - 62*x^5 - 10*x^4 + 54*x^3 + 8*x^2 - 12*x + 2, x^10 + 4*x^9 - 4*x^8 - 27*x^7 + x^6 + 62*x^5 + 10*x^4 - 54*x^3 - 8*x^2 + 12*x - 2, -x^9 - 4*x^8 + 2*x^7 + 23*x^6 + 12*x^5 - 38*x^4 - 31*x^3 + 17*x^2 + 12*x - 4, x^9 + 4*x^8 - 2*x^7 - 23*x^6 - 12*x^5 + 38*x^4 + 31*x^3 - 17*x^2 - 12*x + 4, -x^9 - 4*x^8 + 3*x^7 + 24*x^6 + 4*x^5 - 45*x^4 - 16*x^3 + 29*x^2 + 9*x - 5, x^9 + 4*x^8 - 3*x^7 - 24*x^6 - 4*x^5 + 45*x^4 + 16*x^3 - 29*x^2 - 9*x + 5, -x^9 - 4*x^8 + x^7 + 17*x^6 + 7*x^5 - 19*x^4 - 10*x^3 + 2*x^2 + 1, x^9 + 4*x^8 - x^7 - 17*x^6 - 7*x^5 + 19*x^4 + 10*x^3 - 2*x^2 - 1, -2*x^8 - 6*x^7 + 9*x^6 + 31*x^5 - 12*x^4 - 45*x^3 + 4*x^2 + 15*x - 3, 2*x^8 + 6*x^7 - 9*x^6 - 31*x^5 + 12*x^4 + 45*x^3 - 4*x^2 - 15*x + 3, -x^8 - 2*x^7 + 6*x^6 + 11*x^5 - 10*x^4 - 18*x^3 + 5*x^2 + 7*x - 2, x^8 + 2*x^7 - 6*x^6 - 11*x^5 + 10*x^4 + 18*x^3 - 5*x^2 - 7*x + 2, -x^8 - 3*x^7 + 5*x^6 + 17*x^5 - 6*x^4 - 25*x^3 + x^2 + 7*x - 2, x^8 + 3*x^7 - 5*x^6 - 17*x^5 + 6*x^4 + 25*x^3 - x^2 - 7*x + 2, -x^8 - 4*x^7 - x^6 + 12*x^5 + 12*x^4 - 7*x^3 - 12*x^2 - 2*x + 1, x^8 + 4*x^7 + x^6 - 12*x^5 - 12*x^4 + 7*x^3 + 12*x^2 + 2*x - 1, -x^7 - 2*x^6 + 7*x^5 + 14*x^4 - 8*x^3 - 21*x^2 - 4*x + 3, x^7 + 2*x^6 - 7*x^5 - 14*x^4 + 8*x^3 + 21*x^2 + 4*x - 3, -x^7 - 3*x^6 + 2*x^5 + 10*x^4 + 2*x^3 - 9*x^2 - 3*x + 1, x^7 + 3*x^6 - 2*x^5 - 10*x^4 - 2*x^3 + 9*x^2 + 3*x - 1, -x^7 - 2*x^6 + 3*x^5 + 2*x^4 - 4*x^3 + 5*x^2 + 4*x - 2, x^7 + 2*x^6 - 3*x^5 - 2*x^4 + 4*x^3 - 5*x^2 - 4*x + 2]>,
         rec<Eigen |
           DefiningPolynomial := x^17 - 4*x^16 - 18*x^15 + 85*x^14 + 111*x^13 - 713*x^12 - 211*x^11 + 3017*x^10 - 469*x^9 - 6832*x^8 + 2513*x^7 + 8146*x^6 - 3634*x^5 - 4743*x^4 + 2092*x^3 + 1142*x^2 - 417*x - 62,
           Coordinates        := [-x^16 + 4*x^15 + 15*x^14 - 73*x^13 - 72*x^12 + 518*x^11 + 63*x^10 - 1811*x^9 + 452*x^8 + 3259*x^7 - 1283*x^6 - 2875*x^5 + 1073*x^4 + 1084*x^3 - 201*x^2 - 126*x - 28, x^16 - 4*x^15 - 15*x^14 + 73*x^13 + 72*x^12 - 522*x^11 - 45*x^10 + 1833*x^9 - 632*x^8 - 3229*x^7 + 1897*x^6 + 2577*x^5 - 1929*x^4 - 680*x^3 + 645*x^2 - 40, 2*x^13 - 8*x^12 - 20*x^11 + 106*x^10 + 46*x^9 - 512*x^8 + 96*x^7 + 1090*x^6 - 448*x^5 - 998*x^4 + 412*x^3 + 382*x^2 - 104*x - 48, x^15 - 4*x^14 - 13*x^13 + 63*x^12 + 56*x^11 - 382*x^10 - 73*x^9 + 1133*x^8 - 90*x^7 - 1725*x^6 + 327*x^5 + 1249*x^4 - 289*x^3 - 340*x^2 + 75*x + 10, -x^15 + 4*x^14 + 13*x^13 - 67*x^12 - 42*x^11 + 420*x^10 - 89*x^9 - 1229*x^8 + 734*x^7 + 1715*x^6 - 1351*x^5 - 1065*x^4 + 903*x^3 + 264*x^2 - 201*x - 10, x^14 - 5*x^13 - 6*x^12 + 63*x^11 - 30*x^10 - 279*x^9 + 304*x^8 + 497*x^7 - 769*x^6 - 275*x^5 + 705*x^4 - 15*x^3 - 243*x^2 + 28*x + 24, x^14 - 5*x^13 - 6*x^12 + 63*x^11 - 30*x^10 - 279*x^9 + 304*x^8 + 497*x^7 - 769*x^6 - 275*x^5 + 705*x^4 - 15*x^3 - 243*x^2 + 28*x + 24, x^15 - 4*x^14 - 13*x^13 + 64*x^12 + 55*x^11 - 401*x^10 - 45*x^9 + 1235*x^8 - 263*x^7 - 1922*x^6 + 689*x^5 + 1407*x^4 - 579*x^3 - 401*x^2 + 151*x + 26, x^15 - 4*x^14 - 13*x^13 + 64*x^12 + 55*x^11 - 401*x^10 - 45*x^9 + 1235*x^8 - 263*x^7 - 1922*x^6 + 689*x^5 + 1407*x^4 - 579*x^3 - 401*x^2 + 151*x + 26, -x^14 + 5*x^13 + 7*x^12 - 65*x^11 + 16*x^10 + 303*x^9 - 226*x^8 - 602*x^7 + 557*x^6 + 464*x^5 - 424*x^4 - 76*x^3 + 47*x^2 - 23*x + 22, -x^14 + 5*x^13 + 7*x^12 - 65*x^11 + 16*x^10 + 303*x^9 - 226*x^8 - 602*x^7 + 557*x^6 + 464*x^5 - 424*x^4 - 76*x^3 + 47*x^2 - 23*x + 22, x^14 - 4*x^13 - 11*x^12 + 58*x^11 + 30*x^10 - 319*x^9 + 65*x^8 + 810*x^7 - 439*x^6 - 895*x^5 + 645*x^4 + 294*x^3 - 251*x^2 - 2*x + 16, x^14 - 4*x^13 - 11*x^12 + 58*x^11 + 30*x^10 - 319*x^9 + 65*x^8 + 810*x^7 - 439*x^6 - 895*x^5 + 645*x^4 + 294*x^3 - 251*x^2 - 2*x + 16, -x^15 + 4*x^14 + 13*x^13 - 64*x^12 - 53*x^11 + 393*x^10 + 36*x^9 - 1172*x^8 + 248*x^7 + 1778*x^6 - 605*x^5 - 1297*x^4 + 494*x^3 + 376*x^2 - 122*x - 26, -x^15 + 4*x^14 + 13*x^13 - 64*x^12 - 53*x^11 + 393*x^10 + 36*x^9 - 1172*x^8 + 248*x^7 + 1778*x^6 - 605*x^5 - 1297*x^4 + 494*x^3 + 376*x^2 - 122*x - 26, -x^13 + 5*x^12 + 6*x^11 - 60*x^10 + 17*x^9 + 266*x^8 - 188*x^7 - 545*x^6 + 456*x^5 + 516*x^4 - 432*x^3 - 156*x^2 + 116*x + 2, -x^13 + 5*x^12 + 6*x^11 - 60*x^10 + 17*x^9 + 266*x^8 - 188*x^7 - 545*x^6 + 456*x^5 + 516*x^4 - 432*x^3 - 156*x^2 + 116*x + 2, x^13 - 4*x^12 - 10*x^11 + 54*x^10 + 24*x^9 - 278*x^8 + 53*x^7 + 675*x^6 - 309*x^5 - 748*x^4 + 413*x^3 + 275*x^2 - 132*x - 18, x^13 - 4*x^12 - 10*x^11 + 54*x^10 + 24*x^9 - 278*x^8 + 53*x^7 + 675*x^6 - 309*x^5 - 748*x^4 + 413*x^3 + 275*x^2 - 132*x - 18, x^13 - 2*x^12 - 15*x^11 + 28*x^10 + 86*x^9 - 147*x^8 - 229*x^7 + 352*x^6 + 265*x^5 - 365*x^4 - 85*x^3 + 124*x^2 - 3*x - 8, x^13 - 2*x^12 - 15*x^11 + 28*x^10 + 86*x^9 - 147*x^8 - 229*x^7 + 352*x^6 + 265*x^5 - 365*x^4 - 85*x^3 + 124*x^2 - 3*x - 8, -x^14 + 4*x^13 + 12*x^12 - 60*x^11 - 43*x^10 + 336*x^9 + 22*x^8 - 879*x^7 + 121*x^6 + 1114*x^5 - 155*x^4 - 632*x^3 + 32*x^2 + 123*x + 6, -x^14 + 4*x^13 + 12*x^12 - 60*x^11 - 43*x^10 + 336*x^9 + 22*x^8 - 879*x^7 + 121*x^6 + 1114*x^5 - 155*x^4 - 632*x^3 + 32*x^2 + 123*x + 6, -x^13 + 3*x^12 + 15*x^11 - 53*x^10 - 61*x^9 + 316*x^8 + 4*x^7 - 776*x^6 + 361*x^5 + 740*x^4 - 493*x^3 - 206*x^2 + 157*x - 4, -x^13 + 3*x^12 + 15*x^11 - 53*x^10 - 61*x^9 + 316*x^8 + 4*x^7 - 776*x^6 + 361*x^5 + 740*x^4 - 493*x^3 - 206*x^2 + 157*x - 4, x^14 - 5*x^13 - 8*x^12 + 70*x^11 - 14*x^10 - 350*x^9 + 271*x^8 + 752*x^7 - 785*x^6 - 664*x^5 + 820*x^4 + 170*x^3 - 285*x^2 + 5*x + 20, x^14 - 5*x^13 - 8*x^12 + 70*x^11 - 14*x^10 - 350*x^9 + 271*x^8 + 752*x^7 - 785*x^6 - 664*x^5 + 820*x^4 + 170*x^3 - 285*x^2 + 5*x + 20, -x^14 + 3*x^13 + 15*x^12 - 49*x^11 - 76*x^10 + 291*x^9 + 141*x^8 - 772*x^7 - 34*x^6 + 905*x^5 - 85*x^4 - 410*x^3 + 58*x + 14, -x^14 + 3*x^13 + 15*x^12 - 49*x^11 - 76*x^10 + 291*x^9 + 141*x^8 - 772*x^7 - 34*x^6 + 905*x^5 - 85*x^4 - 410*x^3 + 58*x + 14, x^13 - 5*x^12 - 10*x^11 + 75*x^10 + 8*x^9 - 403*x^8 + 184*x^7 + 940*x^6 - 621*x^5 - 924*x^4 + 636*x^3 + 313*x^2 - 178*x - 16, x^13 - 5*x^12 - 10*x^11 + 75*x^10 + 8*x^9 - 403*x^8 + 184*x^7 + 940*x^6 - 621*x^5 - 924*x^4 + 636*x^3 + 313*x^2 - 178*x - 16]>
       ]
>;

MOG[379] := 	// J_0(379)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [142, 198, 212, 214, 216, 229, 200*x + 289, 179*x + 289, 339*x + 166, 40*x + 166, 339*x + 235, 40*x + 235, 69*x + 322, 310*x + 322, 112*x + 219, 267*x + 219, 368*x + 94, 11*x + 94, 357*x + 107, 22*x + 107, 181*x + 210, 198*x + 210, 309*x + 10, 70*x + 10, 248*x + 345, 131*x + 345, 94*x + 178, 285*x + 178, 15*x + 161, 364*x + 161, 289*x + 303, 90*x + 303]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^13 + 5*x^12 - 5*x^11 - 56*x^10 - 27*x^9 + 210*x^8 + 184*x^7 - 347*x^6 - 346*x^5 + 252*x^4 + 246*x^3 - 60*x^2 - 48*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x^12 - 5*x^11 + 3*x^10 + 46*x^9 + 29*x^8 - 139*x^7 - 133*x^6 + 177*x^5 + 182*x^4 - 95*x^3 - 87*x^2 + 19*x + 11, x^12 + 5*x^11 - 3*x^10 - 46*x^9 - 29*x^8 + 139*x^7 + 133*x^6 - 177*x^5 - 182*x^4 + 95*x^3 + 87*x^2 - 19*x - 11, -x^11 - 5*x^10 + x^9 + 35*x^8 + 23*x^7 - 85*x^6 - 68*x^5 + 88*x^4 + 57*x^3 - 35*x^2 - 8*x + 3, x^11 + 5*x^10 - x^9 - 35*x^8 - 23*x^7 + 85*x^6 + 68*x^5 - 88*x^4 - 57*x^3 + 35*x^2 + 8*x - 3, -x^11 - 5*x^10 + x^9 + 36*x^8 + 28*x^7 - 85*x^6 - 96*x^5 + 69*x^4 + 102*x^3 - 6*x^2 - 29*x - 4, x^11 + 5*x^10 - x^9 - 36*x^8 - 28*x^7 + 85*x^6 + 96*x^5 - 69*x^4 - 102*x^3 + 6*x^2 + 29*x + 4, -x^10 - 6*x^9 - 6*x^8 + 24*x^7 + 44*x^6 - 24*x^5 - 73*x^4 - x^3 + 37*x^2 + 5*x - 2, x^10 + 6*x^9 + 6*x^8 - 24*x^7 - 44*x^6 + 24*x^5 + 73*x^4 + x^3 - 37*x^2 - 5*x + 2, -x^10 - 5*x^9 + 30*x^7 + 21*x^6 - 65*x^5 - 52*x^4 + 61*x^3 + 42*x^2 - 21*x - 9, x^10 + 5*x^9 - 30*x^7 - 21*x^6 + 65*x^5 + 52*x^4 - 61*x^3 - 42*x^2 + 21*x + 9, -x^10 - 6*x^9 - 6*x^8 + 23*x^7 + 40*x^6 - 26*x^5 - 66*x^4 + 6*x^3 + 39*x^2 + 2*x - 7, x^10 + 6*x^9 + 6*x^8 - 23*x^7 - 40*x^6 + 26*x^5 + 66*x^4 - 6*x^3 - 39*x^2 - 2*x + 7, -x^10 - 4*x^9 + 5*x^8 + 31*x^7 - 3*x^6 - 82*x^5 - 14*x^4 + 83*x^3 + 19*x^2 - 25*x - 4, x^10 + 4*x^9 - 5*x^8 - 31*x^7 + 3*x^6 + 82*x^5 + 14*x^4 - 83*x^3 - 19*x^2 + 25*x + 4, -x^9 - 5*x^8 - 2*x^7 + 21*x^6 + 21*x^5 - 23*x^4 - 26*x^3 + x^2 + 4*x + 4, x^9 + 5*x^8 + 2*x^7 - 21*x^6 - 21*x^5 + 23*x^4 + 26*x^3 - x^2 - 4*x - 4, -x^9 - 5*x^8 - 2*x^7 + 20*x^6 + 16*x^5 - 27*x^4 - 15*x^3 + 14*x^2 - x - 3, x^9 + 5*x^8 + 2*x^7 - 20*x^6 - 16*x^5 + 27*x^4 + 15*x^3 - 14*x^2 + x + 3, -x^9 - 7*x^8 - 12*x^7 + 15*x^6 + 54*x^5 + 10*x^4 - 62*x^3 - 29*x^2 + 17*x + 6, x^9 + 7*x^8 + 12*x^7 - 15*x^6 - 54*x^5 - 10*x^4 + 62*x^3 + 29*x^2 - 17*x - 6, -x^8 - 5*x^7 - 2*x^6 + 22*x^5 + 24*x^4 - 24*x^3 - 32*x^2 + 3*x + 6, x^8 + 5*x^7 + 2*x^6 - 22*x^5 - 24*x^4 + 24*x^3 + 32*x^2 - 3*x - 6, -x^8 - 6*x^7 - 6*x^6 + 20*x^5 + 31*x^4 - 20*x^3 - 36*x^2 + 5*x + 10, x^8 + 6*x^7 + 6*x^6 - 20*x^5 - 31*x^4 + 20*x^3 + 36*x^2 - 5*x - 10, x^6 + 3*x^5 - x^4 - 6*x^3 + 2*x^2 + 2*x - 4, -x^6 - 3*x^5 + x^4 + 6*x^3 - 2*x^2 - 2*x + 4]>,
         rec<Eigen |
           DefiningPolynomial := x^18 - 3*x^17 - 22*x^16 + 69*x^15 + 190*x^14 - 638*x^13 - 807*x^12 + 3041*x^11 + 1680*x^10 - 7967*x^9 - 1220*x^8 + 11334*x^7 - 1006*x^6 - 8079*x^5 + 1938*x^4 + 2287*x^3 - 752*x^2 - 68*x + 24,
           Coordinates        := [-x^17 + 3*x^16 + 20*x^15 - 65*x^14 - 148*x^13 + 552*x^12 + 471*x^11 - 2325*x^10 - 418*x^9 + 5063*x^8 - 932*x^7 - 5416*x^6 + 2104*x^5 + 2435*x^4 - 1266*x^3 - 261*x^2 + 202*x - 24, x^17 - 3*x^16 - 20*x^15 + 63*x^14 + 154*x^13 - 522*x^12 - 569*x^11 + 2177*x^10 + 994*x^9 - 4833*x^8 - 534*x^7 + 5556*x^6 - 576*x^5 - 2927*x^4 + 770*x^3 + 487*x^2 - 228*x + 24, -2*x^12 + 2*x^11 + 32*x^10 - 32*x^9 - 182*x^8 + 174*x^7 + 448*x^6 - 394*x^5 - 456*x^4 + 374*x^3 + 116*x^2 - 96*x + 12, -2*x^13 + 4*x^12 + 30*x^11 - 64*x^10 - 150*x^9 + 356*x^8 + 274*x^7 - 842*x^6 - 62*x^5 + 830*x^4 - 258*x^3 - 212*x^2 + 108*x - 12, -2*x^13 + 6*x^12 + 28*x^11 - 92*x^10 - 126*x^9 + 502*x^8 + 168*x^7 - 1182*x^6 + 134*x^5 + 1182*x^4 - 396*x^3 - 398*x^2 + 208*x - 24, -2*x^12 + 6*x^11 + 22*x^10 - 74*x^9 - 62*x^8 + 284*x^7 - 6*x^6 - 346*x^5 + 96*x^4 + 98*x^3 - 18*x^2 + 2*x, -x^14 + 2*x^13 + 17*x^12 - 34*x^11 - 107*x^10 + 210*x^9 + 319*x^8 - 595*x^7 - 479*x^6 + 809*x^5 + 327*x^4 - 480*x^3 - 62*x^2 + 90*x - 12, -x^14 + 2*x^13 + 17*x^12 - 34*x^11 - 107*x^10 + 210*x^9 + 319*x^8 - 595*x^7 - 479*x^6 + 809*x^5 + 327*x^4 - 480*x^3 - 62*x^2 + 90*x - 12, -x^12 + x^11 + 15*x^10 - 11*x^9 - 90*x^8 + 50*x^7 + 264*x^6 - 141*x^5 - 341*x^4 + 217*x^3 + 115*x^2 - 92*x + 12, -x^12 + x^11 + 15*x^10 - 11*x^9 - 90*x^8 + 50*x^7 + 264*x^6 - 141*x^5 - 341*x^4 + 217*x^3 + 115*x^2 - 92*x + 12, -x^15 + 2*x^14 + 19*x^13 - 37*x^12 - 138*x^11 + 259*x^10 + 480*x^9 - 861*x^8 - 803*x^7 + 1387*x^6 + 530*x^5 - 969*x^4 - 21*x^3 + 187*x^2 - 28*x, -x^15 + 2*x^14 + 19*x^13 - 37*x^12 - 138*x^11 + 259*x^10 + 480*x^9 - 861*x^8 - 803*x^7 + 1387*x^6 + 530*x^5 - 969*x^4 - 21*x^3 + 187*x^2 - 28*x, x^14 - 3*x^13 - 16*x^12 + 52*x^11 + 87*x^10 - 332*x^9 - 160*x^8 + 946*x^7 - 80*x^6 - 1131*x^5 + 432*x^4 + 406*x^3 - 230*x^2 + 26*x, x^14 - 3*x^13 - 16*x^12 + 52*x^11 + 87*x^10 - 332*x^9 - 160*x^8 + 946*x^7 - 80*x^6 - 1131*x^5 + 432*x^4 + 406*x^3 - 230*x^2 + 26*x, -3*x^11 + 9*x^10 + 32*x^9 - 109*x^8 - 87*x^7 + 418*x^6 - 19*x^5 - 542*x^4 + 189*x^3 + 200*x^2 - 104*x + 12, -3*x^11 + 9*x^10 + 32*x^9 - 109*x^8 - 87*x^7 + 418*x^6 - 19*x^5 - 542*x^4 + 189*x^3 + 200*x^2 - 104*x + 12, -x^14 + 3*x^13 + 16*x^12 - 51*x^11 - 90*x^10 + 318*x^9 + 205*x^8 - 893*x^7 - 131*x^6 + 1111*x^5 - 93*x^4 - 544*x^3 + 110*x^2 + 60*x - 12, -x^14 + 3*x^13 + 16*x^12 - 51*x^11 - 90*x^10 + 318*x^9 + 205*x^8 - 893*x^7 - 131*x^6 + 1111*x^5 - 93*x^4 - 544*x^3 + 110*x^2 + 60*x - 12, -x^16 + 2*x^15 + 21*x^14 - 42*x^13 - 171*x^12 + 344*x^11 + 677*x^10 - 1389*x^9 - 1327*x^8 + 2875*x^7 + 1140*x^6 - 2889*x^5 - 255*x^4 + 1211*x^3 - 76*x^2 - 150*x + 24, -x^16 + 2*x^15 + 21*x^14 - 42*x^13 - 171*x^12 + 344*x^11 + 677*x^10 - 1389*x^9 - 1327*x^8 + 2875*x^7 + 1140*x^6 - 2889*x^5 - 255*x^4 + 1211*x^3 - 76*x^2 - 150*x + 24, x^15 - 2*x^14 - 19*x^13 + 37*x^12 + 137*x^11 - 257*x^10 - 467*x^9 + 831*x^8 + 763*x^7 - 1264*x^6 - 538*x^5 + 840*x^4 + 97*x^3 - 199*x^2 + 32*x, x^15 - 2*x^14 - 19*x^13 + 37*x^12 + 137*x^11 - 257*x^10 - 467*x^9 + 831*x^8 + 763*x^7 - 1264*x^6 - 538*x^5 + 840*x^4 + 97*x^3 - 199*x^2 + 32*x, 2*x^11 - 5*x^10 - 24*x^9 + 65*x^8 + 84*x^7 - 277*x^6 - 55*x^5 + 434*x^4 - 115*x^3 - 201*x^2 + 102*x - 12, 2*x^11 - 5*x^10 - 24*x^9 + 65*x^8 + 84*x^7 - 277*x^6 - 55*x^5 + 434*x^4 - 115*x^3 - 201*x^2 + 102*x - 12, 2*x^12 - 4*x^11 - 28*x^10 + 57*x^9 + 128*x^8 - 274*x^7 - 196*x^6 + 508*x^5 - 7*x^4 - 275*x^3 + 103*x^2 - 10*x, 2*x^12 - 4*x^11 - 28*x^10 + 57*x^9 + 128*x^8 - 274*x^7 - 196*x^6 + 508*x^5 - 7*x^4 - 275*x^3 + 103*x^2 - 10*x, x^16 - 3*x^15 - 18*x^14 + 59*x^13 + 116*x^12 - 446*x^11 - 297*x^10 + 1630*x^9 + 92*x^8 - 2973*x^7 + 806*x^6 + 2509*x^5 - 1175*x^4 - 702*x^3 + 461*x^2 - 58*x, x^16 - 3*x^15 - 18*x^14 + 59*x^13 + 116*x^12 - 446*x^11 - 297*x^10 + 1630*x^9 + 92*x^8 - 2973*x^7 + 806*x^6 + 2509*x^5 - 1175*x^4 - 702*x^3 + 461*x^2 - 58*x, x^14 - x^13 - 20*x^12 + 21*x^11 + 152*x^10 - 166*x^9 - 544*x^8 + 613*x^7 + 916*x^6 - 1063*x^5 - 616*x^4 + 762*x^3 + 81*x^2 - 162*x + 24, x^14 - x^13 - 20*x^12 + 21*x^11 + 152*x^10 - 166*x^9 - 544*x^8 + 613*x^7 + 916*x^6 - 1063*x^5 - 616*x^4 + 762*x^3 + 81*x^2 - 162*x + 24, x^15 - 2*x^14 - 19*x^13 + 39*x^12 + 135*x^11 - 290*x^10 - 435*x^9 + 1029*x^8 + 577*x^7 - 1783*x^6 - 61*x^5 + 1385*x^4 - 406*x^3 - 346*x^2 + 196*x - 24, x^15 - 2*x^14 - 19*x^13 + 39*x^12 + 135*x^11 - 290*x^10 - 435*x^9 + 1029*x^8 + 577*x^7 - 1783*x^6 - 61*x^5 + 1385*x^4 - 406*x^3 - 346*x^2 + 196*x - 24]>
       ]
>;

MOG[383] := 	// J_0(383)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 72, 108, 128, 156, 172, 196, 227, 231, 246, 252, 340, 347, 375, 377, 380, 382, 356*x + 256, 27*x + 256, 308*x + 64, 75*x + 64, 12*x + 298, 371*x + 298, 74*x + 192, 309*x + 192, 32*x + 122, 351*x + 122, 148*x + 121, 235*x + 121, 321*x + 345, 62*x + 345, 346*x + 265, 37*x + 265]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x + 1, -x - 1, 1, -1, -x, x, 0, 0, -1, 1, -x, x, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^6 + 3*x^5 - 3*x^4 - 12*x^3 - x^2 + 8*x + 3,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^5 - 2*x^4 + 4*x^3 + 7*x^2 - 3*x - 3, x^5 + 2*x^4 - 4*x^3 - 7*x^2 + 3*x + 3, x^5 + x^4 - 5*x^3 - 4*x^2 + 5*x + 3, -x^5 - x^4 + 5*x^3 + 4*x^2 - 5*x - 3, -x^5 - 2*x^4 + 4*x^3 + 7*x^2 - 4*x - 3, x^5 + 2*x^4 - 4*x^3 - 7*x^2 + 4*x + 3, x^4 - x^3 - 5*x^2 + 3*x + 3, -x^4 + x^3 + 5*x^2 - 3*x - 3, -x^4 - x^3 + 2*x^2 + x, x^4 + x^3 - 2*x^2 - x, x, -x, -x^3 - x^2 + x, x^3 + x^2 - x, x^2 + x, -x^2 - x]>,
         rec<Eigen |
           DefiningPolynomial := x^24 - 5*x^23 - 26*x^22 + 160*x^21 + 244*x^20 - 2173*x^19 - 711*x^18 + 16368*x^17 - 4007*x^16 - 75111*x^15 + 42025*x^14 + 217575*x^13 - 160547*x^12 - 399209*x^11 + 331301*x^10 + 452295*x^9 - 388291*x^8 - 296126*x^7 + 247918*x^6 + 96139*x^5 - 75925*x^4 - 9553*x^3 + 8302*x^2 - 342*x - 49,
           Coordinates        := [-x^23 + 5*x^22 + 23*x^21 - 145*x^20 - 180*x^19 + 1765*x^18 + 259*x^17 - 11746*x^16 + 4427*x^15 + 46729*x^14 - 31164*x^13 - 114422*x^12 + 95494*x^11 + 171520*x^10 - 158864*x^9 - 151289*x^8 + 145581*x^7 + 71450*x^6 - 67880*x^5 - 14429*x^4 + 12872*x^3 + 622*x^2 - 588*x - 28, x^23 - 3*x^22 - 31*x^21 + 95*x^20 + 402*x^19 - 1265*x^18 - 2839*x^17 + 9231*x^16 + 11938*x^15 - 40394*x^14 - 30784*x^13 + 109241*x^12 + 48292*x^11 - 181774*x^10 - 43205*x^9 + 179138*x^8 + 16799*x^7 - 95655*x^6 + 2894*x^5 + 22730*x^4 - 3870*x^3 - 1452*x^2 + 354*x + 14, x^20 - 3*x^19 - 28*x^18 + 92*x^17 + 295*x^16 - 1116*x^15 - 1417*x^14 + 6937*x^13 + 2564*x^12 - 23928*x^11 + 2892*x^10 + 46476*x^9 - 19264*x^8 - 48809*x^7 + 29188*x^6 + 24327*x^5 - 16960*x^4 - 3874*x^3 + 2541*x^2 - 74*x + 28, -2*x^20 + 12*x^19 + 26*x^18 - 274*x^17 + 52*x^16 + 2473*x^15 - 2545*x^14 - 11176*x^13 + 17283*x^12 + 26233*x^11 - 54395*x^10 - 28677*x^9 + 89428*x^8 + 5198*x^7 - 74976*x^6 + 14369*x^5 + 27332*x^4 - 8932*x^3 - 2230*x^2 + 806*x + 28, x^22 - 3*x^21 - 32*x^20 + 104*x^19 + 402*x^18 - 1459*x^17 - 2517*x^16 + 10841*x^15 + 7979*x^14 - 46766*x^13 - 9643*x^12 + 120851*x^11 - 10958*x^10 - 186747*x^9 + 46814*x^8 + 166873*x^7 - 53714*x^6 - 79197*x^5 + 26595*x^4 + 15841*x^3 - 5044*x^2 - 352*x + 21, x^18 - 9*x^17 + x^16 + 177*x^15 - 292*x^14 - 1309*x^13 + 3141*x^12 + 4486*x^11 - 14581*x^10 - 6658*x^9 + 34973*x^8 + 650*x^7 - 43851*x^6 + 8787*x^5 + 25995*x^4 - 7770*x^3 - 5355*x^2 + 1574*x + 84, x^18 - 2*x^17 - 27*x^16 + 52*x^15 + 294*x^14 - 541*x^13 - 1662*x^12 + 2884*x^11 + 5265*x^10 - 8409*x^9 - 9568*x^8 + 13432*x^7 + 10005*x^6 - 11290*x^5 - 5943*x^4 + 4591*x^3 + 1740*x^2 - 722*x - 56, x^21 - 3*x^20 - 30*x^19 + 98*x^18 + 346*x^17 - 1279*x^16 - 1914*x^15 + 8696*x^14 + 4846*x^13 - 33601*x^12 - 1837*x^11 + 75632*x^10 - 17065*x^9 - 97847*x^8 + 35955*x^7 + 69063*x^6 - 27647*x^5 - 23771*x^4 + 7952*x^3 + 3122*x^2 - 773*x - 98, x^19 - 3*x^18 - 26*x^17 + 84*x^16 + 255*x^15 - 924*x^14 - 1161*x^13 + 5127*x^12 + 2348*x^11 - 15482*x^10 - 1040*x^9 + 26038*x^8 - 3340*x^7 - 23441*x^6 + 5340*x^5 + 9363*x^4 - 2560*x^3 - 734*x^2 + 135*x + 42, x^19 - 3*x^18 - 25*x^17 + 79*x^16 + 242*x^15 - 835*x^14 - 1121*x^13 + 4546*x^12 + 2381*x^11 - 13674*x^10 - 1159*x^9 + 23000*x^8 - 3427*x^7 - 21295*x^6 + 5347*x^5 + 10534*x^4 - 2851*x^3 - 2462*x^2 + 666*x + 56, -2*x^21 + 12*x^20 + 30*x^19 - 292*x^18 - 24*x^17 + 2889*x^16 - 2045*x^15 - 15068*x^14 + 16295*x^13 + 45211*x^12 - 57413*x^11 - 80605*x^10 + 107084*x^9 + 85582*x^8 - 106468*x^7 - 52605*x^6 + 51348*x^5 + 16882*x^4 - 9126*x^3 - 2022*x^2 + 440*x + 84, -3*x^20 + 12*x^19 + 67*x^18 - 302*x^17 - 574*x^16 + 3117*x^15 + 2266*x^14 - 17117*x^13 - 3181*x^12 + 54330*x^11 - 5543*x^10 - 101124*x^9 + 27147*x^8 + 105764*x^7 - 39676*x^6 - 54371*x^5 + 25274*x^4 + 9025*x^3 - 5781*x^2 + 526*x + 56, x^20 - 3*x^19 - 28*x^18 + 88*x^17 + 308*x^16 - 1029*x^15 - 1716*x^14 + 6228*x^13 + 5242*x^12 - 21291*x^11 - 8999*x^10 + 42424*x^9 + 8405*x^8 - 49001*x^7 - 3121*x^6 + 31099*x^5 - 1683*x^4 - 8845*x^3 + 1730*x^2 + 328*x - 49, -3*x^19 + 12*x^18 + 61*x^17 - 276*x^16 - 476*x^15 + 2583*x^14 + 1792*x^13 - 12855*x^12 - 3241*x^11 + 37368*x^10 + 1473*x^9 - 64992*x^8 + 4797*x^7 + 65340*x^6 - 9594*x^5 - 33723*x^4 + 6970*x^3 + 6521*x^2 - 1745*x - 56, -3*x^20 + 15*x^19 + 52*x^18 - 353*x^17 - 221*x^16 + 3299*x^15 - 983*x^14 - 15670*x^13 + 11602*x^12 + 40410*x^11 - 40096*x^10 - 56273*x^9 + 65326*x^8 + 38877*x^7 - 51123*x^6 - 9865*x^5 + 16003*x^4 - 308*x^3 - 658*x^2 - 156*x - 7, -3*x^22 + 15*x^21 + 64*x^20 - 408*x^19 - 452*x^18 + 4622*x^17 + 420*x^16 - 28382*x^15 + 10861*x^14 + 103153*x^13 - 65053*x^12 - 227689*x^11 + 172437*x^10 + 301006*x^9 - 242710*x^8 - 224676*x^7 + 180038*x^6 + 81710*x^5 - 63053*x^4 - 8931*x^3 + 7714*x^2 - 370*x - 49, -3*x^21 + 15*x^20 + 58*x^19 - 381*x^18 - 333*x^17 + 3967*x^16 - 375*x^15 - 21966*x^14 + 12144*x^13 + 70366*x^12 - 56632*x^11 - 132949*x^10 + 126798*x^9 + 143609*x^8 - 150237*x^7 - 80035*x^6 + 89239*x^5 + 17474*x^4 - 21776*x^3 - 214*x^2 + 1275*x, -3*x^18 + 13*x^17 + 49*x^16 - 267*x^15 - 237*x^14 + 2131*x^13 - 30*x^12 - 8481*x^11 + 3508*x^10 + 18066*x^9 - 11175*x^8 - 20212*x^7 + 15041*x^6 + 10324*x^5 - 9152*x^4 - 1252*x^3 + 2018*x^2 - 291*x - 28, -3*x^18 + 13*x^17 + 49*x^16 - 267*x^15 - 237*x^14 + 2131*x^13 - 30*x^12 - 8481*x^11 + 3508*x^10 + 18066*x^9 - 11175*x^8 - 20212*x^7 + 15041*x^6 + 10324*x^5 - 9152*x^4 - 1252*x^3 + 2018*x^2 - 291*x - 28, -3*x^17 + 8*x^16 + 62*x^15 - 160*x^14 - 513*x^13 + 1233*x^12 + 2263*x^11 - 4721*x^10 - 5990*x^9 + 9807*x^8 + 9594*x^7 - 11165*x^6 - 8345*x^5 + 6476*x^4 + 2818*x^3 - 1457*x^2 + 143*x - 28, -3*x^17 + 8*x^16 + 62*x^15 - 160*x^14 - 513*x^13 + 1233*x^12 + 2263*x^11 - 4721*x^10 - 5990*x^9 + 9807*x^8 + 9594*x^7 - 11165*x^6 - 8345*x^5 + 6476*x^4 + 2818*x^3 - 1457*x^2 + 143*x - 28, x^18 - 4*x^17 - 20*x^16 + 96*x^15 + 128*x^14 - 905*x^13 - 108*x^12 + 4223*x^11 - 1966*x^10 - 10219*x^9 + 7962*x^8 + 12684*x^7 - 11924*x^6 - 7482*x^5 + 7200*x^4 + 1570*x^3 - 1203*x^2 + 58*x - 14, x^18 - 4*x^17 - 20*x^16 + 96*x^15 + 128*x^14 - 905*x^13 - 108*x^12 + 4223*x^11 - 1966*x^10 - 10219*x^9 + 7962*x^8 + 12684*x^7 - 11924*x^6 - 7482*x^5 + 7200*x^4 + 1570*x^3 - 1203*x^2 + 58*x - 14, -2*x^17 + 5*x^16 + 45*x^15 - 116*x^14 - 385*x^13 + 1060*x^12 + 1497*x^11 - 4777*x^10 - 2269*x^9 + 10962*x^8 - 547*x^7 - 12221*x^6 + 4497*x^5 + 5494*x^4 - 3023*x^3 - 418*x^2 + 120*x + 56, -2*x^17 + 5*x^16 + 45*x^15 - 116*x^14 - 385*x^13 + 1060*x^12 + 1497*x^11 - 4777*x^10 - 2269*x^9 + 10962*x^8 - 547*x^7 - 12221*x^6 + 4497*x^5 + 5494*x^4 - 3023*x^3 - 418*x^2 + 120*x + 56, -2*x^18 + 10*x^17 + 32*x^16 - 223*x^15 - 109*x^14 + 1958*x^13 - 796*x^12 - 8537*x^11 + 7229*x^10 + 19221*x^9 - 21316*x^8 - 21268*x^7 + 27883*x^6 + 9342*x^5 - 14993*x^4 - 213*x^3 + 1995*x^2 - 207*x - 28, -2*x^18 + 10*x^17 + 32*x^16 - 223*x^15 - 109*x^14 + 1958*x^13 - 796*x^12 - 8537*x^11 + 7229*x^10 + 19221*x^9 - 21316*x^8 - 21268*x^7 + 27883*x^6 + 9342*x^5 - 14993*x^4 - 213*x^3 + 1995*x^2 - 207*x - 28, x^19 - 5*x^18 - 19*x^17 + 125*x^16 + 99*x^15 - 1234*x^14 + 198*x^13 + 6155*x^12 - 3581*x^11 - 16604*x^10 + 12735*x^9 + 24423*x^8 - 19538*x^7 - 18982*x^6 + 12982*x^5 + 7463*x^4 - 3111*x^3 - 1397*x^2 + 362*x + 49, x^19 - 5*x^18 - 19*x^17 + 125*x^16 + 99*x^15 - 1234*x^14 + 198*x^13 + 6155*x^12 - 3581*x^11 - 16604*x^10 + 12735*x^9 + 24423*x^8 - 19538*x^7 - 18982*x^6 + 12982*x^5 + 7463*x^4 - 3111*x^3 - 1397*x^2 + 362*x + 49, -2*x^19 + 9*x^18 + 38*x^17 - 208*x^16 - 250*x^15 + 1946*x^14 + 494*x^13 - 9489*x^12 + 1509*x^11 + 25964*x^10 - 8828*x^9 - 40192*x^8 + 15746*x^7 + 33487*x^6 - 12008*x^5 - 12907*x^4 + 3448*x^3 + 1414*x^2 - 206*x - 42, -2*x^19 + 9*x^18 + 38*x^17 - 208*x^16 - 250*x^15 + 1946*x^14 + 494*x^13 - 9489*x^12 + 1509*x^11 + 25964*x^10 - 8828*x^9 - 40192*x^8 + 15746*x^7 + 33487*x^6 - 12008*x^5 - 12907*x^4 + 3448*x^3 + 1414*x^2 - 206*x - 42, -3*x^19 + 14*x^18 + 56*x^17 - 334*x^16 - 304*x^15 + 3148*x^14 - 271*x^13 - 14978*x^12 + 8268*x^11 + 38338*x^10 - 30736*x^9 - 52366*x^8 + 49557*x^7 + 35085*x^6 - 36618*x^5 - 8891*x^4 + 10559*x^3 + 29*x^2 - 641*x, -3*x^19 + 14*x^18 + 56*x^17 - 334*x^16 - 304*x^15 + 3148*x^14 - 271*x^13 - 14978*x^12 + 8268*x^11 + 38338*x^10 - 30736*x^9 - 52366*x^8 + 49557*x^7 + 35085*x^6 - 36618*x^5 - 8891*x^4 + 10559*x^3 + 29*x^2 - 641*x]>
       ]
>;



MOG[389] := 	// J_0(389)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 7, 16, 17, 36, 121, 154, 220, 318, 327, 358, 259*x + 149, 130*x + 149, 355*x + 48, 34*x + 48, 301*x + 386, 88*x + 386, 40*x + 181, 349*x + 181, 80*x + 112, 309*x + 112, 129*x + 347, 260*x + 347, 43*x + 78, 346*x + 78, 241*x, 148*x, 256*x + 148, 133*x + 148, 359*x + 284, 30*x + 284, 256*x + 173, 133*x + 173]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 2,
           Coordinates        := [0, 2, -2, -2, -2, 0, 0, 0, 0, 2, 2, 0, 0, 1, 1, -1, -1, 1, 1, 1, 1, 0, 0, -1, -1, 0, 0, -1, -1, -1, -1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^2 - 2,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x, -x, 1, -1, 1, -1, x + 1, -x - 1, -x - 1, x + 1, 0, 0, x + 1, -x - 1, -x - 2, x + 2, -1, 1, -x - 1, x + 1, 1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 - 4*x - 2,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x - 2, x + 2, -x^2 + 3, x^2 - 3, -2*x - 3, 2*x + 3, -x^2 - x + 1, x^2 + x - 1, -x^2 - x + 1, x^2 + x - 1, -x^2 + 2, x^2 - 2, -x - 1, x + 1, -x - 2, x + 2, -x^2 + 3, x^2 - 3, -x - 1, x + 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^6 + 3*x^5 - 2*x^4 - 8*x^3 + 2*x^2 + 4*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x^5 + 4*x^4 + 2*x^3 - 5*x^2 - 2*x + 1, -x^5 - 4*x^4 - 2*x^3 + 5*x^2 + 2*x - 1, x^5 + 4*x^4 + 2*x^3 - 6*x^2 - 3*x + 2, -x^5 - 4*x^4 - 2*x^3 + 6*x^2 + 3*x - 2, x^3 + 2*x^2 - 1, -x^3 - 2*x^2 + 1, -x^5 - 3*x^4 + 4*x^2 - 1, x^5 + 3*x^4 - 4*x^2 + 1, x^2 + x, -x^2 - x, -x^4 - 2*x^3 + x^2 + x - 1, x^4 + 2*x^3 - x^2 - x + 1, -x^4 - 3*x^3 - x^2 + 2*x + 1, x^4 + 3*x^3 + x^2 - 2*x - 1, -x^2 - x + 1, x^2 + x - 1, x, -x, -x^3 - 2*x^2, x^3 + 2*x^2, -x^3 - 2*x^2 + x + 1, x^3 + 2*x^2 - x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^20 - 3*x^19 - 29*x^18 + 91*x^17 + 338*x^16 - 1130*x^15 - 2023*x^14 + 7432*x^13 + 6558*x^12 - 28021*x^11 - 10909*x^10 + 61267*x^9 + 6954*x^8 - 74752*x^7 + 1407*x^6 + 46330*x^5 - 1087*x^4 - 12558*x^3 - 942*x^2 + 960*x + 148,
           Coordinates        := [-2*x^19 + 6*x^18 + 52*x^17 - 164*x^16 - 532*x^15 + 1806*x^14 + 2712*x^13 - 10334*x^12 - 7122*x^11 + 33122*x^10 + 8506*x^9 - 59758*x^8 - 1502*x^7 + 57716*x^6 - 4218*x^5 - 26424*x^4 + 1550*x^3 + 4382*x^2 + 236*x - 96, x^19 - 2*x^18 - 29*x^17 + 60*x^16 + 340*x^15 - 742*x^14 - 2043*x^13 + 4879*x^12 + 6475*x^11 - 18344*x^10 - 9269*x^9 + 39478*x^8 - 30*x^7 - 45986*x^6 + 13719*x^5 + 25563*x^4 - 10138*x^3 - 5958*x^2 + 1454*x + 476, x^19 - 2*x^18 - 29*x^17 + 60*x^16 + 340*x^15 - 730*x^14 - 2077*x^13 + 4673*x^12 + 7081*x^11 - 17096*x^10 - 13145*x^9 + 36166*x^8 + 11042*x^7 - 42114*x^6 - 279*x^5 + 23585*x^4 - 3848*x^3 - 4882*x^2 + 946*x + 372, -12*x^14 + 40*x^13 + 180*x^12 - 662*x^11 - 912*x^10 + 3988*x^9 + 1810*x^8 - 11122*x^7 - 738*x^6 + 14650*x^5 - 1446*x^4 - 8056*x^3 + 782*x^2 + 1274*x + 160, 4*x^14 - 4*x^13 - 78*x^12 + 52*x^11 + 636*x^10 - 292*x^9 - 2606*x^8 + 782*x^7 + 5590*x^6 - 1002*x^5 - 5876*x^4 + 566*x^3 + 2322*x^2 + 58*x - 88, 2*x^16 - 2*x^15 - 50*x^14 + 54*x^13 + 472*x^12 - 494*x^11 - 2188*x^10 + 1862*x^9 + 5816*x^8 - 2996*x^7 - 9848*x^6 + 2032*x^5 + 10030*x^4 - 1004*x^3 - 3994*x^2 + 4*x + 176, 6*x^13 - 40*x^12 + 4*x^11 + 488*x^10 - 774*x^9 - 1774*x^8 + 4382*x^7 + 1862*x^6 - 8540*x^5 + 510*x^4 + 5766*x^3 - 198*x^2 - 1388*x - 240, 2*x^14 - 10*x^13 - 20*x^12 + 136*x^11 + 42*x^10 - 592*x^9 - 32*x^8 + 976*x^7 + 326*x^6 - 410*x^5 - 988*x^4 + 120*x^3 + 990*x^2 - 476*x - 160, -6*x^18 + 18*x^17 + 144*x^16 - 454*x^15 - 1334*x^14 + 4530*x^13 + 5994*x^12 - 22920*x^11 - 13312*x^10 + 62776*x^9 + 12406*x^8 - 91788*x^7 - 1404*x^6 + 66236*x^5 - 624*x^4 - 20734*x^3 - 1648*x^2 + 1824*x + 296, 2*x^15 - 2*x^14 - 42*x^13 + 46*x^12 + 316*x^11 - 390*x^10 - 916*x^9 + 1278*x^8 + 604*x^7 - 1432*x^6 + 1332*x^5 + 28*x^4 - 1722*x^3 + 128*x^2 + 650*x + 120, -12*x^15 + 38*x^14 + 216*x^13 - 744*x^12 - 1348*x^11 + 5398*x^10 + 3292*x^9 - 18110*x^8 - 1818*x^7 + 28780*x^6 - 2958*x^5 - 19698*x^4 + 1546*x^3 + 4984*x^2 + 458*x - 88, x^15 - 6*x^14 - 5*x^13 + 78*x^12 - 47*x^11 - 317*x^10 + 280*x^9 + 504*x^8 - 325*x^7 - 368*x^6 - 289*x^5 + 554*x^4 + 435*x^3 - 733*x^2 + 158*x + 80, x^15 - 6*x^14 - 5*x^13 + 78*x^12 - 47*x^11 - 317*x^10 + 280*x^9 + 504*x^8 - 325*x^7 - 368*x^6 - 289*x^5 + 554*x^4 + 435*x^3 - 733*x^2 + 158*x + 80, x^14 - 18*x^13 + 41*x^12 + 218*x^11 - 705*x^10 - 741*x^9 + 3494*x^8 + 540*x^7 - 7065*x^6 + 756*x^5 + 5821*x^4 - 382*x^3 - 1855*x^2 - 149*x + 44, x^14 - 18*x^13 + 41*x^12 + 218*x^11 - 705*x^10 - 741*x^9 + 3494*x^8 + 540*x^7 - 7065*x^6 + 756*x^5 + 5821*x^4 - 382*x^3 - 1855*x^2 - 149*x + 44, x^16 - 6*x^15 - 8*x^14 + 106*x^13 - 68*x^12 - 671*x^11 + 943*x^10 + 1837*x^9 - 3787*x^8 - 1884*x^7 + 6450*x^6 + 208*x^5 - 4398*x^4 - 471*x^3 + 1023*x^2 + 705*x + 116, x^16 - 6*x^15 - 8*x^14 + 106*x^13 - 68*x^12 - 671*x^11 + 943*x^10 + 1837*x^9 - 3787*x^8 - 1884*x^7 + 6450*x^6 + 208*x^5 - 4398*x^4 - 471*x^3 + 1023*x^2 + 705*x + 116, x^16 - 37*x^14 + 34*x^13 + 454*x^12 - 605*x^11 - 2500*x^10 + 3917*x^9 + 6653*x^8 - 11606*x^7 - 7953*x^6 + 15684*x^5 + 2996*x^4 - 7965*x^3 - 166*x^2 + 957*x + 136, x^16 - 37*x^14 + 34*x^13 + 454*x^12 - 605*x^11 - 2500*x^10 + 3917*x^9 + 6653*x^8 - 11606*x^7 - 7953*x^6 + 15684*x^5 + 2996*x^4 - 7965*x^3 - 166*x^2 + 957*x + 136, x^17 - 7*x^16 - 9*x^15 + 149*x^14 - 97*x^13 - 1203*x^12 + 1595*x^11 + 4654*x^10 - 7984*x^9 - 9041*x^8 + 18381*x^7 + 8529*x^6 - 19793*x^5 - 4021*x^4 + 8553*x^3 + 1604*x^2 - 999*x - 216, x^17 - 7*x^16 - 9*x^15 + 149*x^14 - 97*x^13 - 1203*x^12 + 1595*x^11 + 4654*x^10 - 7984*x^9 - 9041*x^8 + 18381*x^7 + 8529*x^6 - 19793*x^5 - 4021*x^4 + 8553*x^3 + 1604*x^2 - 999*x - 216, -5*x^15 + 14*x^14 + 91*x^13 - 267*x^12 - 577*x^11 + 1848*x^10 + 1450*x^9 - 5682*x^8 - 843*x^7 + 7502*x^6 - 1561*x^5 - 3051*x^4 + 1441*x^3 - 4*x^2 - 332*x - 56, -5*x^15 + 14*x^14 + 91*x^13 - 267*x^12 - 577*x^11 + 1848*x^10 + 1450*x^9 - 5682*x^8 - 843*x^7 + 7502*x^6 - 1561*x^5 - 3051*x^4 + 1441*x^3 - 4*x^2 - 332*x - 56, x^17 - x^16 - 26*x^15 + 28*x^14 + 257*x^13 - 270*x^12 - 1252*x^11 + 1126*x^10 + 3366*x^9 - 2137*x^8 - 5226*x^7 + 1732*x^6 + 4349*x^5 - 516*x^4 - 1136*x^3 - 62*x^2 - 237*x - 60, x^17 - x^16 - 26*x^15 + 28*x^14 + 257*x^13 - 270*x^12 - 1252*x^11 + 1126*x^10 + 3366*x^9 - 2137*x^8 - 5226*x^7 + 1732*x^6 + 4349*x^5 - 516*x^4 - 1136*x^3 - 62*x^2 - 237*x - 60, -6*x^17 + 19*x^16 + 131*x^15 - 444*x^14 - 1071*x^13 + 4041*x^12 + 4027*x^11 - 18295*x^10 - 6556*x^9 + 43743*x^8 + 1551*x^7 - 53456*x^6 + 6015*x^5 + 29269*x^4 - 3149*x^3 - 5661*x^2 - 206*x + 144, -6*x^17 + 19*x^16 + 131*x^15 - 444*x^14 - 1071*x^13 + 4041*x^12 + 4027*x^11 - 18295*x^10 - 6556*x^9 + 43743*x^8 + 1551*x^7 - 53456*x^6 + 6015*x^5 + 29269*x^4 - 3149*x^3 - 5661*x^2 - 206*x + 144, x^18 - x^17 - 29*x^16 + 24*x^15 + 355*x^14 - 238*x^13 - 2378*x^12 + 1298*x^11 + 9368*x^10 - 4322*x^9 - 21575*x^8 + 8862*x^7 + 27213*x^6 - 10244*x^5 - 16318*x^4 + 5224*x^3 + 3639*x^2 - 715*x - 260, x^18 - x^17 - 29*x^16 + 24*x^15 + 355*x^14 - 238*x^13 - 2378*x^12 + 1298*x^11 + 9368*x^10 - 4322*x^9 - 21575*x^8 + 8862*x^7 + 27213*x^6 - 10244*x^5 - 16318*x^4 + 5224*x^3 + 3639*x^2 - 715*x - 260, -6*x^16 + 19*x^15 + 114*x^14 - 392*x^13 - 764*x^12 + 3030*x^11 + 2102*x^10 - 11049*x^9 - 1814*x^8 + 19951*x^7 - 1110*x^6 - 17174*x^5 + 1496*x^4 + 6520*x^3 - 162*x^2 - 681*x - 80, -6*x^16 + 19*x^15 + 114*x^14 - 392*x^13 - 764*x^12 + 3030*x^11 + 2102*x^10 - 11049*x^9 - 1814*x^8 + 19951*x^7 - 1110*x^6 - 17174*x^5 + 1496*x^4 + 6520*x^3 - 162*x^2 - 681*x - 80, x^18 - x^17 - 29*x^16 + 30*x^15 + 344*x^14 - 358*x^13 - 2178*x^12 + 2225*x^11 + 8054*x^10 - 7916*x^9 - 17695*x^8 + 16334*x^7 + 22150*x^6 - 18232*x^5 - 14162*x^4 + 8907*x^3 + 3923*x^2 - 1021*x - 312, x^18 - x^17 - 29*x^16 + 30*x^15 + 344*x^14 - 358*x^13 - 2178*x^12 + 2225*x^11 + 8054*x^10 - 7916*x^9 - 17695*x^8 + 16334*x^7 + 22150*x^6 - 18232*x^5 - 14162*x^4 + 8907*x^3 + 3923*x^2 - 1021*x - 312]>
       ]
>;



MOG[397] := 	// J_0(397)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [60, 198, 273, 148*x + 18, 249*x + 18, 9*x + 262, 388*x + 262, 269*x + 100, 128*x + 100, 192*x + 2, 205*x + 2, 115*x + 200, 282*x + 200, 245*x + 373, 152*x + 373, 113*x + 363, 284*x + 363, 387*x + 139, 10*x + 139, 119*x + 338, 278*x + 338, 41*x + 161, 356*x + 161, 12*x + 350, 385*x + 350, 167*x + 306, 230*x + 306, 157*x + 210, 240*x + 210, 214*x + 306, 183*x + 306, 249*x + 348, 148*x + 348]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + 2*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, x + 1, -x - 1, -x - 1, x + 1, -x - 1, x + 1, 2, -2, 0, 0, x - 1, -x + 1, -2, 2, 0, 0, x + 1, -x - 1, x + 1, -x - 1, x + 1, -x - 1, 0, 0, -x - 1, x + 1, 2, -2]>,
         rec<Eigen |
           DefiningPolynomial := x^2 - 2*x - 1,
           Coordinates        := [-2*x + 2, 2*x, 2, -2, -2, -x - 1, -x - 1, x - 1, x - 1, -x + 1, -x + 1, -2*x, -2*x, 2, 2, x + 1, x + 1, 0, 0, 0, 0, -x - 1, -x - 1, x - 1, x - 1, x - 1, x - 1, 0, 0, x - 1, x - 1, 2, 2]>,
         rec<Eigen |
           DefiningPolynomial := x^5 - 6*x^3 + x^2 + 7*x - 1,
           Coordinates        := [2/5*x^4 + 2/5*x^3 - 2*x^2 + 8/5*x + 4, x^4 + 1/5*x^3 - 23/5*x^2 - 8/5*x + 13/5, -9/5*x^4 + x^3 + 33/5*x^2 - 6/5*x - 21/5, 8/5*x^2 - 1/5*x - 9/5, 8/5*x^2 - 1/5*x - 9/5, -2/5*x^4 + 3/5*x^3 + x^2 - 7/5*x - 4/5, -2/5*x^4 + 3/5*x^3 + x^2 - 7/5*x - 4/5, 3/5*x^3 + 4/5*x^2 - 2*x - 16/5, 3/5*x^3 + 4/5*x^2 - 2*x - 16/5, -2/5*x^4 - 8/5*x^3 + 2*x^2 + 19/5*x - 6/5, -2/5*x^4 - 8/5*x^3 + 2*x^2 + 19/5*x - 6/5, x^4 + 1/5*x^3 - 23/5*x^2 - 8/5*x + 13/5, x^4 + 1/5*x^3 - 23/5*x^2 - 8/5*x + 13/5, 7/5*x^4 + 12/5*x^3 - 29/5*x^2 - 37/5*x + 3/5, 7/5*x^4 + 12/5*x^3 - 29/5*x^2 - 37/5*x + 3/5, -4/5*x^4 - 8/5*x^3 + 11/5*x^2 + 22/5*x + 6/5, -4/5*x^4 - 8/5*x^3 + 11/5*x^2 + 22/5*x + 6/5, -9/5*x^4 - 6/5*x^3 + 38/5*x^2 + 4*x - 23/5, -9/5*x^4 - 6/5*x^3 + 38/5*x^2 + 4*x - 23/5, 3/5*x^4 + 1/5*x^3 - 22/5*x^2 - x + 5, 3/5*x^4 + 1/5*x^3 - 22/5*x^2 - x + 5, -2/5*x^4 + 3/5*x^3 + x^2 - 7/5*x - 4/5, -2/5*x^4 + 3/5*x^3 + x^2 - 7/5*x - 4/5, x^4 - 2/5*x^3 - 19/5*x^2 + 1/5*x + 4, x^4 - 2/5*x^3 - 19/5*x^2 + 1/5*x + 4, 3/5*x^3 + 4/5*x^2 - 2*x - 16/5, 3/5*x^3 + 4/5*x^2 - 2*x - 16/5, -11/5*x^3 + 13/5*x^2 + 5*x - 11/5, -11/5*x^3 + 13/5*x^2 + 5*x - 11/5, x^3 - 13/5*x^2 + 2/5*x + 5, x^3 - 13/5*x^2 + 2/5*x + 5, 8/5*x^2 - 1/5*x - 9/5, 8/5*x^2 - 1/5*x - 9/5]>,
         rec<Eigen |
           DefiningPolynomial := x^10 - 7*x^9 + 8*x^8 + 43*x^7 - 105*x^6 - 26*x^5 + 234*x^4 - 119*x^3 - 82*x^2 + 47*x + 3,
           Coordinates        := [2*x^7 - 12*x^6 + 14*x^5 + 32*x^4 - 54*x^3 - 34*x^2 + 62*x - 6, -2*x^8 + 10*x^7 - 2*x^6 - 56*x^5 + 70*x^4 + 50*x^3 - 106*x^2 + 18*x + 18, -2*x^9 + 14*x^8 - 22*x^7 - 52*x^6 + 182*x^5 - 90*x^4 - 206*x^3 + 230*x^2 - 18*x - 36, x^8 - 7*x^7 + 13*x^6 + 9*x^5 - 43*x^4 + 10*x^3 + 48*x^2 - 34*x + 3, x^8 - 7*x^7 + 13*x^6 + 9*x^5 - 43*x^4 + 10*x^3 + 48*x^2 - 34*x + 3, 2*x^9 - 15*x^8 + 26*x^7 + 55*x^6 - 204*x^5 + 84*x^4 + 268*x^3 - 275*x^2 + 54*x, 2*x^9 - 15*x^8 + 26*x^7 + 55*x^6 - 204*x^5 + 84*x^4 + 268*x^3 - 275*x^2 + 54*x, -x^9 + 8*x^8 - 15*x^7 - 34*x^6 + 147*x^5 - 106*x^4 - 166*x^3 + 275*x^2 - 113*x + 6, -x^9 + 8*x^8 - 15*x^7 - 34*x^6 + 147*x^5 - 106*x^4 - 166*x^3 + 275*x^2 - 113*x + 6, x^9 - 5*x^8 - 5*x^7 + 62*x^6 - 72*x^5 - 125*x^4 + 292*x^3 - 138*x^2 - 30*x + 18, x^9 - 5*x^8 - 5*x^7 + 62*x^6 - 72*x^5 - 125*x^4 + 292*x^3 - 138*x^2 - 30*x + 18, -2*x^9 + 14*x^8 - 19*x^7 - 69*x^6 + 199*x^5 - 32*x^4 - 339*x^3 + 308*x^2 - 30*x - 27, -2*x^9 + 14*x^8 - 19*x^7 - 69*x^6 + 199*x^5 - 32*x^4 - 339*x^3 + 308*x^2 - 30*x - 27, x^9 - 7*x^8 + 10*x^7 + 32*x^6 - 101*x^5 + 44*x^4 + 118*x^3 - 133*x^2 + 32*x + 3, x^9 - 7*x^8 + 10*x^7 + 32*x^6 - 101*x^5 + 44*x^4 + 118*x^3 - 133*x^2 + 32*x + 3, -x^8 + 6*x^7 - 3*x^6 - 40*x^5 + 67*x^4 + 28*x^3 - 110*x^2 + 55*x - 3, -x^8 + 6*x^7 - 3*x^6 - 40*x^5 + 67*x^4 + 28*x^3 - 110*x^2 + 55*x - 3, x^8 - 3*x^7 - 14*x^6 + 54*x^5 + 6*x^4 - 173*x^3 + 153*x^2 - 13*x - 6, x^8 - 3*x^7 - 14*x^6 + 54*x^5 + 6*x^4 - 173*x^3 + 153*x^2 - 13*x - 6, x^8 - 4*x^7 - 8*x^6 + 51*x^5 - 32*x^4 - 114*x^3 + 174*x^2 - 70*x + 3, x^8 - 4*x^7 - 8*x^6 + 51*x^5 - 32*x^4 - 114*x^3 + 174*x^2 - 70*x + 3, -2*x^8 + 10*x^7 + 3*x^6 - 79*x^5 + 77*x^4 + 141*x^3 - 227*x^2 + 43*x + 33, -2*x^8 + 10*x^7 + 3*x^6 - 79*x^5 + 77*x^4 + 141*x^3 - 227*x^2 + 43*x + 33, x^8 - 6*x^7 + 6*x^6 + 24*x^5 - 54*x^4 + 34*x^3 - 28*x^2 + 37*x - 12, x^8 - 6*x^7 + 6*x^6 + 24*x^5 - 54*x^4 + 34*x^3 - 28*x^2 + 37*x - 12, x^7 - 3*x^6 - 11*x^5 + 43*x^4 - 4*x^3 - 106*x^2 + 103*x - 21, x^7 - 3*x^6 - 11*x^5 + 43*x^4 - 4*x^3 - 106*x^2 + 103*x - 21, -2*x^8 + 12*x^7 - 13*x^6 - 43*x^5 + 96*x^4 - 29*x^3 - 38*x^2 + 20*x - 6, -2*x^8 + 12*x^7 - 13*x^6 - 43*x^5 + 96*x^4 - 29*x^3 - 38*x^2 + 20*x - 6, -x^7 + 6*x^6 - 7*x^5 - 16*x^4 + 27*x^3 + 17*x^2 - 31*x + 3, -x^7 + 6*x^6 - 7*x^5 - 16*x^4 + 27*x^3 + 17*x^2 - 31*x + 3, 3*x^5 - 15*x^4 + 12*x^3 + 35*x^2 - 54*x + 18, 3*x^5 - 15*x^4 + 12*x^3 + 35*x^2 - 54*x + 18]>,
         rec<Eigen |
           DefiningPolynomial := x^13 + 7*x^12 + 5*x^11 - 63*x^10 - 124*x^9 + 157*x^8 + 526*x^7 + 2*x^6 - 794*x^5 - 328*x^4 + 408*x^3 + 203*x^2 - 66*x - 23,
           Coordinates        := [0, 0, 0, -x^12 - 7*x^11 - 7*x^10 + 49*x^9 + 106*x^8 - 83*x^7 - 332*x^6 - 35*x^5 + 367*x^4 + 121*x^3 - 152*x^2 - 39*x + 25, x^12 + 7*x^11 + 7*x^10 - 49*x^9 - 106*x^8 + 83*x^7 + 332*x^6 + 35*x^5 - 367*x^4 - 121*x^3 + 152*x^2 + 39*x - 25, -x^11 - 7*x^10 - 9*x^9 + 36*x^8 + 91*x^7 - 23*x^6 - 192*x^5 - 56*x^4 + 137*x^3 + 51*x^2 - 31*x - 7, x^11 + 7*x^10 + 9*x^9 - 36*x^8 - 91*x^7 + 23*x^6 + 192*x^5 + 56*x^4 - 137*x^3 - 51*x^2 + 31*x + 7, -x^11 - 7*x^10 - 9*x^9 + 38*x^8 + 103*x^7 - 10*x^6 - 235*x^5 - 151*x^4 + 119*x^3 + 113*x^2 - 10*x - 16, x^11 + 7*x^10 + 9*x^9 - 38*x^8 - 103*x^7 + 10*x^6 + 235*x^5 + 151*x^4 - 119*x^3 - 113*x^2 + 10*x + 16, -x^10 - 7*x^9 - 11*x^8 + 25*x^7 + 84*x^6 + 29*x^5 - 109*x^4 - 87*x^3 + 28*x^2 + 25*x - 6, x^10 + 7*x^9 + 11*x^8 - 25*x^7 - 84*x^6 - 29*x^5 + 109*x^4 + 87*x^3 - 28*x^2 - 25*x + 6, -x^10 - 6*x^9 - 4*x^8 + 35*x^7 + 56*x^6 - 50*x^5 - 121*x^4 + 17*x^3 + 93*x^2 + 7*x - 19, x^10 + 6*x^9 + 4*x^8 - 35*x^7 - 56*x^6 + 50*x^5 + 121*x^4 - 17*x^3 - 93*x^2 - 7*x + 19, -x^10 - 6*x^9 - 4*x^8 + 37*x^7 + 66*x^6 - 44*x^5 - 157*x^4 - 39*x^3 + 85*x^2 + 24*x - 17, x^10 + 6*x^9 + 4*x^8 - 37*x^7 - 66*x^6 + 44*x^5 + 157*x^4 + 39*x^3 - 85*x^2 - 24*x + 17, -x^10 - 5*x^9 + x^8 + 36*x^7 + 31*x^6 - 72*x^5 - 91*x^4 + 31*x^3 + 57*x^2 - x - 8, x^10 + 5*x^9 - x^8 - 36*x^7 - 31*x^6 + 72*x^5 + 91*x^4 - 31*x^3 - 57*x^2 + x + 8, -x^9 - 5*x^8 - x^7 + 26*x^6 + 26*x^5 - 31*x^4 - 33*x^3 + 19*x^2 + 13*x - 5, x^9 + 5*x^8 + x^7 - 26*x^6 - 26*x^5 + 31*x^4 + 33*x^3 - 19*x^2 - 13*x + 5, -x^9 - 6*x^8 - 6*x^7 + 26*x^6 + 57*x^5 - 76*x^3 - 45*x^2 + 12*x + 12, x^9 + 6*x^8 + 6*x^7 - 26*x^6 - 57*x^5 + 76*x^3 + 45*x^2 - 12*x - 12, -x^9 - 5*x^8 + 29*x^6 + 21*x^5 - 48*x^4 - 27*x^3 + 49*x^2 + 19*x - 12, x^9 + 5*x^8 - 29*x^6 - 21*x^5 + 48*x^4 + 27*x^3 - 49*x^2 - 19*x + 12, -x^9 - 5*x^8 + 32*x^6 + 34*x^5 - 45*x^4 - 73*x^3 - 4*x^2 + 17*x - 1, x^9 + 5*x^8 - 32*x^6 - 34*x^5 + 45*x^4 + 73*x^3 + 4*x^2 - 17*x + 1, -x^8 - 5*x^7 - x^6 + 28*x^5 + 33*x^4 - 34*x^3 - 61*x^2 - x + 18, x^8 + 5*x^7 + x^6 - 28*x^5 - 33*x^4 + 34*x^3 + 61*x^2 + x - 18, -x^8 - 6*x^7 - 6*x^6 + 23*x^5 + 46*x^4 + 5*x^3 - 25*x^2 + 7, x^8 + 6*x^7 + 6*x^6 - 23*x^5 - 46*x^4 - 5*x^3 + 25*x^2 - 7, -x^8 - 6*x^7 - 6*x^6 + 25*x^5 + 53*x^4 + 2*x^3 - 49*x^2 - 12*x + 12, x^8 + 6*x^7 + 6*x^6 - 25*x^5 - 53*x^4 - 2*x^3 + 49*x^2 + 12*x - 12, x^6 + 4*x^5 - x^4 - 19*x^3 - 17*x^2 + 5*x + 6, -x^6 - 4*x^5 + x^4 + 19*x^3 + 17*x^2 - 5*x - 6]>
       ]
>;

MOG[401] := 	// J_0(401)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 57, 100, 195, 244, 266, 271, 291, 377, 388, 52*x + 278, 349*x + 278, 159*x + 161, 242*x + 161, 299*x + 338, 102*x + 338, 217*x + 281, 184*x + 281, 201*x + 213, 200*x + 213, 366*x + 242, 35*x + 242, 156*x + 381, 245*x + 381, 27*x + 280, 374*x + 280, 328*x + 134, 73*x + 134, 26*x + 400, 375*x + 400, 216*x + 178, 185*x + 178, 71*x + 200, 330*x + 200]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^12 + 3*x^11 - 10*x^10 - 34*x^9 + 29*x^8 + 129*x^7 - 24*x^6 - 203*x^5 + x^4 + 130*x^3 - 5*x^2 - 22*x + 4,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^11 - 3*x^10 + 8*x^9 + 28*x^8 - 16*x^7 - 84*x^6 + 96*x^4 + 15*x^3 - 40*x^2 - 7*x + 4, x^11 + 3*x^10 - 8*x^9 - 28*x^8 + 16*x^7 + 84*x^6 - 96*x^4 - 15*x^3 + 40*x^2 + 7*x - 4, -x^10 - 3*x^9 + 7*x^8 + 24*x^7 - 13*x^6 - 59*x^5 + 7*x^4 + 50*x^3 - 4*x^2 - 9*x + 2, x^10 + 3*x^9 - 7*x^8 - 24*x^7 + 13*x^6 + 59*x^5 - 7*x^4 - 50*x^3 + 4*x^2 + 9*x - 2, -x^10 - 3*x^9 + 6*x^8 + 21*x^7 - 11*x^6 - 48*x^5 + 9*x^4 + 40*x^3 - 8*x^2 - 9*x + 2, x^10 + 3*x^9 - 6*x^8 - 21*x^7 + 11*x^6 + 48*x^5 - 9*x^4 - 40*x^3 + 8*x^2 + 9*x - 2, -x^9 - 4*x^8 + 3*x^7 + 25*x^6 + 7*x^5 - 46*x^4 - 19*x^3 + 31*x^2 + 9*x - 4, x^9 + 4*x^8 - 3*x^7 - 25*x^6 - 7*x^5 + 46*x^4 + 19*x^3 - 31*x^2 - 9*x + 4, -x^9 - 4*x^8 + x^7 + 20*x^6 + 13*x^5 - 26*x^4 - 19*x^3 + 13*x^2 + 5*x - 2, x^9 + 4*x^8 - x^7 - 20*x^6 - 13*x^5 + 26*x^4 + 19*x^3 - 13*x^2 - 5*x + 2, -x^9 - 3*x^8 + 4*x^7 + 16*x^6 - 4*x^5 - 30*x^4 - 4*x^3 + 18*x^2 + 4*x - 2, x^9 + 3*x^8 - 4*x^7 - 16*x^6 + 4*x^5 + 30*x^4 + 4*x^3 - 18*x^2 - 4*x + 2, -x^8 - 4*x^7 - x^6 + 15*x^5 + 18*x^4 - 8*x^3 - 18*x^2 - 2*x + 2, x^8 + 4*x^7 + x^6 - 15*x^5 - 18*x^4 + 8*x^3 + 18*x^2 + 2*x - 2, -x^8 - 3*x^7 + x^6 + 8*x^5 + x^4 - 6*x^3 + x, x^8 + 3*x^7 - x^6 - 8*x^5 - x^4 + 6*x^3 - x, -x^8 - 2*x^7 + 6*x^6 + 10*x^5 - 14*x^4 - 16*x^3 + 12*x^2 + 6*x - 2, x^8 + 2*x^7 - 6*x^6 - 10*x^5 + 14*x^4 + 16*x^3 - 12*x^2 - 6*x + 2, -2*x^7 - 5*x^6 + 5*x^5 + 18*x^4 + x^3 - 15*x^2 - 3*x + 2, 2*x^7 + 5*x^6 - 5*x^5 - 18*x^4 - x^3 + 15*x^2 + 3*x - 2, -x^7 - 3*x^6 + 6*x^4 + 3*x^3 - 2*x^2 - x, x^7 + 3*x^6 - 6*x^4 - 3*x^3 + 2*x^2 + x, -x^6 - 2*x^5 + 2*x^4 + 4*x^3 - x^2 - x, x^6 + 2*x^5 - 2*x^4 - 4*x^3 + x^2 + x]>,
         rec<Eigen |
           DefiningPolynomial := x^21 - 35*x^19 + 521*x^17 + 2*x^16 - 4305*x^15 - 51*x^14 + 21617*x^13 + 519*x^12 - 67876*x^11 - 2749*x^10 + 132085*x^9 + 8292*x^8 - 152221*x^7 - 14353*x^6 + 93934*x^5 + 12831*x^4 - 24699*x^3 - 4111*x^2 + 1058*x - 44,
           Coordinates        := [-x^20 + 32*x^18 - 431*x^16 - 2*x^15 + 3180*x^14 + 47*x^13 - 14019*x^12 - 438*x^11 + 37809*x^10 + 2085*x^9 - 61388*x^8 - 5409*x^7 + 56715*x^6 + 7362*x^5 - 26493*x^4 - 4471*x^3 + 4776*x^2 + 850*x - 92, x^20 - 30*x^18 + 377*x^16 + 2*x^15 - 2580*x^14 - 37*x^13 + 10465*x^12 + 268*x^11 - 25643*x^10 - 979*x^9 + 36976*x^8 + 1851*x^7 - 28877*x^6 - 1422*x^5 + 9949*x^4 - 193*x^3 - 694*x^2 + 366*x - 24, 4*x^15 + 2*x^14 - 94*x^13 - 28*x^12 + 884*x^11 + 114*x^10 - 4232*x^9 - 24*x^8 + 10848*x^7 - 676*x^6 - 14256*x^5 + 988*x^4 + 8188*x^3 - 164*x^2 - 1254*x + 68, 2*x^19 - 58*x^17 + 700*x^15 + 8*x^14 - 4560*x^13 - 152*x^12 + 17392*x^11 + 1130*x^10 - 39384*x^9 - 4202*x^8 + 51154*x^7 + 8112*x^6 - 34476*x^5 - 7282*x^4 + 9312*x^3 + 2054*x^2 - 362*x - 12, x^19 - 28*x^17 + 325*x^15 - 2*x^14 - 2032*x^13 + 53*x^12 + 7449*x^11 - 490*x^10 - 16341*x^9 + 1963*x^8 + 21036*x^7 - 3293*x^6 - 15033*x^5 + 1540*x^4 + 5381*x^3 + 369*x^2 - 358*x + 68, -3*x^19 + 90*x^17 - 1125*x^15 - 4*x^14 + 7598*x^13 + 81*x^12 - 30067*x^11 - 664*x^10 + 70697*x^9 + 2883*x^8 - 95506*x^7 - 6991*x^6 + 67441*x^5 + 8360*x^4 - 19923*x^3 - 3261*x^2 + 966*x - 44, -6*x^16 + 146*x^14 - 10*x^13 - 1428*x^12 + 172*x^11 + 7208*x^10 - 1106*x^9 - 20082*x^8 + 3236*x^7 + 30546*x^6 - 3886*x^5 - 23216*x^4 + 772*x^3 + 6944*x^2 + 638*x - 104, -6*x^15 - 6*x^14 + 132*x^13 + 114*x^12 - 1140*x^11 - 828*x^10 + 4884*x^9 + 2848*x^8 - 10790*x^7 - 4606*x^6 + 11440*x^5 + 2990*x^4 - 4420*x^3 - 460*x^2 + 228*x - 44, 2*x^18 - 54*x^16 + 4*x^15 + 600*x^14 - 78*x^13 - 3538*x^12 + 594*x^11 + 11902*x^10 - 2244*x^9 - 22798*x^8 + 4410*x^7 + 23278*x^6 - 4438*x^5 - 10586*x^4 + 2440*x^3 + 1026*x^2 - 744*x + 48, -4*x^15 - 2*x^14 + 92*x^13 + 44*x^12 - 814*x^11 - 388*x^10 + 3462*x^9 + 1740*x^8 - 7182*x^7 - 4140*x^6 + 6280*x^5 + 5024*x^4 - 772*x^3 - 2410*x^2 - 1022*x + 108, -3*x^18 + 84*x^16 + x^15 - 971*x^14 - 30*x^13 + 5995*x^12 + 325*x^11 - 21365*x^10 - 1686*x^9 + 44329*x^8 + 4618*x^7 - 51352*x^6 - 6863*x^5 + 29778*x^4 + 5076*x^3 - 6681*x^2 - 1297*x + 138, -3*x^18 + 84*x^16 + x^15 - 971*x^14 - 30*x^13 + 5995*x^12 + 325*x^11 - 21365*x^10 - 1686*x^9 + 44329*x^8 + 4618*x^7 - 51352*x^6 - 6863*x^5 + 29778*x^4 + 5076*x^3 - 6681*x^2 - 1297*x + 138, -3*x^17 + 76*x^15 - 2*x^14 - 780*x^13 + 29*x^12 + 4174*x^11 - 139*x^10 - 12483*x^9 + 194*x^8 + 20668*x^7 + 360*x^6 - 17328*x^5 - 1109*x^4 + 5682*x^3 + 549*x^2 - 166*x + 22, -3*x^17 + 76*x^15 - 2*x^14 - 780*x^13 + 29*x^12 + 4174*x^11 - 139*x^10 - 12483*x^9 + 194*x^8 + 20668*x^7 + 360*x^6 - 17328*x^5 - 1109*x^4 + 5682*x^3 + 549*x^2 - 166*x + 22, -3*x^17 + x^16 + 78*x^15 - 24*x^14 - 823*x^13 + 215*x^12 + 4528*x^11 - 883*x^10 - 13885*x^9 + 1541*x^8 + 23486*x^7 - 232*x^6 - 20335*x^5 - 2175*x^4 + 7560*x^3 + 1415*x^2 - 662*x + 22, -3*x^17 + x^16 + 78*x^15 - 24*x^14 - 823*x^13 + 215*x^12 + 4528*x^11 - 883*x^10 - 13885*x^9 + 1541*x^8 + 23486*x^7 - 232*x^6 - 20335*x^5 - 2175*x^4 + 7560*x^3 + 1415*x^2 - 662*x + 22, -2*x^16 - 3*x^15 + 45*x^14 + 69*x^13 - 393*x^12 - 636*x^11 + 1674*x^10 + 2986*x^9 - 3579*x^8 - 7494*x^7 + 3478*x^6 + 9640*x^5 - 880*x^4 - 5299*x^3 - 429*x^2 + 681*x - 34, -2*x^16 - 3*x^15 + 45*x^14 + 69*x^13 - 393*x^12 - 636*x^11 + 1674*x^10 + 2986*x^9 - 3579*x^8 - 7494*x^7 + 3478*x^6 + 9640*x^5 - 880*x^4 - 5299*x^3 - 429*x^2 + 681*x - 34, x^17 - 3*x^16 - 27*x^15 + 73*x^14 + 295*x^13 - 709*x^12 - 1686*x^11 + 3513*x^10 + 5442*x^9 - 9428*x^8 - 10008*x^7 + 13420*x^6 + 10168*x^5 - 9214*x^4 - 5339*x^3 + 2542*x^2 + 1154*x - 130, x^17 - 3*x^16 - 27*x^15 + 73*x^14 + 295*x^13 - 709*x^12 - 1686*x^11 + 3513*x^10 + 5442*x^9 - 9428*x^8 - 10008*x^7 + 13420*x^6 + 10168*x^5 - 9214*x^4 - 5339*x^3 + 2542*x^2 + 1154*x - 130, -3*x^16 + 2*x^15 + 75*x^14 - 50*x^13 - 758*x^12 + 478*x^11 + 3967*x^10 - 2215*x^9 - 11415*x^8 + 5158*x^7 + 17597*x^6 - 5480*x^5 - 13004*x^4 + 1678*x^3 + 3477*x^2 + 165*x - 8, -3*x^16 + 2*x^15 + 75*x^14 - 50*x^13 - 758*x^12 + 478*x^11 + 3967*x^10 - 2215*x^9 - 11415*x^8 + 5158*x^7 + 17597*x^6 - 5480*x^5 - 13004*x^4 + 1678*x^3 + 3477*x^2 + 165*x - 8, x^18 - 26*x^16 - 2*x^15 + 274*x^14 + 45*x^13 - 1508*x^12 - 379*x^11 + 4651*x^10 + 1471*x^9 - 7970*x^8 - 2572*x^7 + 6922*x^6 + 1481*x^5 - 2284*x^4 + 281*x^3 + 168*x^2 - 149*x + 12, x^18 - 26*x^16 - 2*x^15 + 274*x^14 + 45*x^13 - 1508*x^12 - 379*x^11 + 4651*x^10 + 1471*x^9 - 7970*x^8 - 2572*x^7 + 6922*x^6 + 1481*x^5 - 2284*x^4 + 281*x^3 + 168*x^2 - 149*x + 12, x^16 - 19*x^14 + 3*x^13 + 119*x^12 - 61*x^11 - 170*x^10 + 493*x^9 - 1029*x^8 - 1968*x^7 + 4305*x^6 + 3893*x^5 - 5545*x^4 - 3467*x^3 + 2108*x^2 + 995*x - 74, x^16 - 19*x^14 + 3*x^13 + 119*x^12 - 61*x^11 - 170*x^10 + 493*x^9 - 1029*x^8 - 1968*x^7 + 4305*x^6 + 3893*x^5 - 5545*x^4 - 3467*x^3 + 2108*x^2 + 995*x - 74, -3*x^15 - 7*x^14 + 62*x^13 + 144*x^12 - 500*x^11 - 1162*x^10 + 1977*x^9 + 4646*x^8 - 3921*x^7 - 9553*x^6 + 3438*x^5 + 9398*x^4 - 616*x^3 - 3358*x^2 - 341*x + 52, -3*x^15 - 7*x^14 + 62*x^13 + 144*x^12 - 500*x^11 - 1162*x^10 + 1977*x^9 + 4646*x^8 - 3921*x^7 - 9553*x^6 + 3438*x^5 + 9398*x^4 - 616*x^3 - 3358*x^2 - 341*x + 52, x^17 + x^16 - 24*x^15 - 26*x^14 + 229*x^13 + 277*x^12 - 1112*x^11 - 1552*x^10 + 2929*x^9 + 4893*x^8 - 4106*x^7 - 8646*x^6 + 2581*x^5 + 7955*x^4 + 126*x^3 - 3060*x^2 - 784*x + 62, x^17 + x^16 - 24*x^15 - 26*x^14 + 229*x^13 + 277*x^12 - 1112*x^11 - 1552*x^10 + 2929*x^9 + 4893*x^8 - 4106*x^7 - 8646*x^6 + 2581*x^5 + 7955*x^4 + 126*x^3 - 3060*x^2 - 784*x + 62, 2*x^16 + 3*x^15 - 46*x^14 - 60*x^13 + 420*x^12 + 464*x^11 - 1922*x^10 - 1743*x^9 + 4554*x^8 + 3253*x^7 - 5058*x^6 - 2646*x^5 + 1582*x^4 + 304*x^3 + 578*x^2 + 545*x - 54, 2*x^16 + 3*x^15 - 46*x^14 - 60*x^13 + 420*x^12 + 464*x^11 - 1922*x^10 - 1743*x^9 + 4554*x^8 + 3253*x^7 - 5058*x^6 - 2646*x^5 + 1582*x^4 + 304*x^3 + 578*x^2 + 545*x - 54, 2*x^17 + 2*x^16 - 50*x^15 - 43*x^14 + 511*x^13 + 373*x^12 - 2745*x^11 - 1687*x^10 + 8293*x^9 + 4306*x^8 - 13938*x^7 - 6275*x^6 + 11945*x^5 + 4861*x^4 - 4143*x^3 - 1399*x^2 + 205*x + 6, 2*x^17 + 2*x^16 - 50*x^15 - 43*x^14 + 511*x^13 + 373*x^12 - 2745*x^11 - 1687*x^10 + 8293*x^9 + 4306*x^8 - 13938*x^7 - 6275*x^6 + 11945*x^5 + 4861*x^4 - 4143*x^3 - 1399*x^2 + 205*x + 6]>
       ]
>;

MOG[409] := 	// J_0(409)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 7,
           Coordinates        := [106, 121, 247, 306, 340, 346, 361, 369, 25*x + 239, 384*x + 239, 13*x + 201, 396*x + 201, 95*x + 321, 314*x + 321, 348*x + 380, 61*x + 380, 233*x + 80, 176*x + 80, 273*x + 142, 136*x + 142, 223*x + 263, 186*x + 263, 49*x + 216, 360*x + 216, 74*x + 284, 335*x + 284, 335*x, 74*x, 167*x + 161, 242*x + 161, 116*x + 59, 293*x + 59, 371*x + 207, 38*x + 207]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^13 + 6*x^12 + 2*x^11 - 47*x^10 - 64*x^9 + 117*x^8 + 226*x^7 - 94*x^6 - 278*x^5 + 9*x^4 + 134*x^3 + 15*x^2 - 22*x - 4,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, -x^12 - 6*x^11 - 4*x^10 + 36*x^9 + 58*x^8 - 61*x^7 - 150*x^6 + 18*x^5 + 134*x^4 + 19*x^3 - 39*x^2 - 8*x + 2, x^12 + 6*x^11 + 4*x^10 - 36*x^9 - 58*x^8 + 61*x^7 + 150*x^6 - 18*x^5 - 134*x^4 - 19*x^3 + 39*x^2 + 8*x - 2, -x^11 - 6*x^10 - 6*x^9 + 25*x^8 + 50*x^7 - 15*x^6 - 79*x^5 - 16*x^4 + 46*x^3 + 17*x^2 - 9*x - 4, x^11 + 6*x^10 + 6*x^9 - 25*x^8 - 50*x^7 + 15*x^6 + 79*x^5 + 16*x^4 - 46*x^3 - 17*x^2 + 9*x + 4, -x^11 - 5*x^10 + 31*x^8 + 26*x^7 - 61*x^6 - 65*x^5 + 44*x^4 + 49*x^3 - 10*x^2 - 11*x, x^11 + 5*x^10 - 31*x^8 - 26*x^7 + 61*x^6 + 65*x^5 - 44*x^4 - 49*x^3 + 10*x^2 + 11*x, -x^10 - 6*x^9 - 7*x^8 + 20*x^7 + 47*x^6 + 5*x^5 - 48*x^4 - 26*x^3 + 8*x^2 + 9*x + 2, x^10 + 6*x^9 + 7*x^8 - 20*x^7 - 47*x^6 - 5*x^5 + 48*x^4 + 26*x^3 - 8*x^2 - 9*x - 2, -x^10 - 5*x^9 - x^8 + 26*x^7 + 24*x^6 - 39*x^5 - 40*x^4 + 24*x^3 + 22*x^2 - 5*x - 4, x^10 + 5*x^9 + x^8 - 26*x^7 - 24*x^6 + 39*x^5 + 40*x^4 - 24*x^3 - 22*x^2 + 5*x + 4, -x^10 - 5*x^9 - x^8 + 26*x^7 + 24*x^6 - 39*x^5 - 41*x^4 + 20*x^3 + 18*x^2 - 3*x - 2, x^10 + 5*x^9 + x^8 - 26*x^7 - 24*x^6 + 39*x^5 + 41*x^4 - 20*x^3 - 18*x^2 + 3*x + 2, -x^9 - 5*x^8 - 3*x^7 + 20*x^6 + 31*x^5 - 10*x^4 - 38*x^3 - 8*x^2 + 11*x + 4, x^9 + 5*x^8 + 3*x^7 - 20*x^6 - 31*x^5 + 10*x^4 + 38*x^3 + 8*x^2 - 11*x - 4, -x^9 - 5*x^8 - 2*x^7 + 22*x^6 + 24*x^5 - 24*x^4 - 31*x^3 + 7*x^2 + 9*x, x^9 + 5*x^8 + 2*x^7 - 22*x^6 - 24*x^5 + 24*x^4 + 31*x^3 - 7*x^2 - 9*x, -x^8 - 3*x^7 + 4*x^6 + 16*x^5 - 20*x^3 - 5*x^2 + 6*x + 2, x^8 + 3*x^7 - 4*x^6 - 16*x^5 + 20*x^3 + 5*x^2 - 6*x - 2, -x^8 - 4*x^7 + 15*x^5 + 10*x^4 - 13*x^3 - 9*x^2 + 3*x + 2, x^8 + 4*x^7 - 15*x^5 - 10*x^4 + 13*x^3 + 9*x^2 - 3*x - 2, -x^5 - 2*x^4 + 3*x^3 + 6*x^2 - x - 2, x^5 + 2*x^4 - 3*x^3 - 6*x^2 + x + 2, -x^7 - 3*x^6 + 2*x^5 + 11*x^4 + 2*x^3 - 9*x^2 - x + 2, x^7 + 3*x^6 - 2*x^5 - 11*x^4 - 2*x^3 + 9*x^2 + x - 2, -x^6 - 2*x^5 + 3*x^4 + 6*x^3 - x^2 - 2*x, x^6 + 2*x^5 - 3*x^4 - 6*x^3 + x^2 + 2*x]>,
         rec<Eigen |
           DefiningPolynomial := x^20 - 5*x^19 - 19*x^18 + 126*x^17 + 100*x^16 - 1283*x^15 + 247*x^14 + 6767*x^13 - 4554*x^12 - 19689*x^11 + 18771*x^10 + 31011*x^9 - 35515*x^8 - 23548*x^7 + 31466*x^6 + 5354*x^5 - 10552*x^4 + 1129*x^3 + 523*x^2 - 54*x - 4,
           Coordinates        := [-x^19 + 5*x^18 + 16*x^17 - 113*x^16 - 50*x^15 + 1006*x^14 - 475*x^13 - 4485*x^12 + 4175*x^11 + 10560*x^10 - 12842*x^9 - 12823*x^8 + 18325*x^7 + 7303*x^6 - 11731*x^5 - 1543*x^4 + 2639*x^3 - 2*x^2 - 108*x - 8, x^19 - 5*x^18 - 16*x^17 + 111*x^16 + 60*x^15 - 988*x^14 + 321*x^13 + 4517*x^12 - 3331*x^11 - 11314*x^10 + 10898*x^9 + 15389*x^8 - 16733*x^7 - 10595*x^6 + 12105*x^5 + 2957*x^4 - 3479*x^3 + 8*x^2 + 162*x + 4, 2*x^17 - 10*x^16 - 24*x^15 + 182*x^14 + 28*x^13 - 1260*x^12 + 682*x^11 + 4220*x^10 - 3460*x^9 - 7342*x^8 + 6556*x^7 + 6662*x^6 - 5410*x^5 - 2774*x^4 + 1732*x^3 + 186*x^2 - 102*x - 4, -x^18 + 3*x^17 + 22*x^16 - 69*x^15 - 188*x^14 + 630*x^13 + 785*x^12 - 2915*x^11 - 1655*x^10 + 7250*x^9 + 1658*x^8 - 9507*x^7 - 689*x^6 + 5925*x^5 + 119*x^4 - 1305*x^3 + 29*x^2 + 56*x + 4, -2*x^15 + 10*x^14 + 14*x^13 - 136*x^12 + 62*x^11 + 614*x^10 - 686*x^9 - 996*x^8 + 1622*x^7 + 302*x^6 - 1268*x^5 + 512*x^4 + 142*x^3 - 306*x^2 + 64*x + 4, 2*x^16 - 12*x^15 - 12*x^14 + 194*x^13 - 170*x^12 - 1080*x^11 + 1820*x^10 + 2252*x^9 - 6000*x^8 - 574*x^7 + 7694*x^6 - 2688*x^5 - 3098*x^4 + 1716*x^3 - 12*x^2 - 52*x - 4, x^18 - 5*x^17 - 14*x^16 + 101*x^15 + 34*x^14 - 796*x^13 + 371*x^12 + 3075*x^11 - 2593*x^10 - 6028*x^9 + 6226*x^8 + 5717*x^7 - 6257*x^6 - 2311*x^5 + 2243*x^4 + 409*x^3 - 271*x^2 + 10*x, -4*x^14 + 20*x^13 + 24*x^12 - 250*x^11 + 126*x^10 + 1032*x^9 - 1118*x^8 - 1572*x^7 + 2252*x^6 + 748*x^5 - 1474*x^4 + 22*x^3 + 202*x^2 - 20*x - 4, -x^18 + 5*x^17 + 14*x^16 - 104*x^15 - 20*x^14 + 826*x^13 - 582*x^12 - 3107*x^11 + 3792*x^10 + 5469*x^9 - 9424*x^8 - 3369*x^7 + 10212*x^6 - 1057*x^5 - 4016*x^4 + 1216*x^3 + 193*x^2 - 59*x - 4, -x^18 + 5*x^17 + 14*x^16 - 104*x^15 - 20*x^14 + 826*x^13 - 582*x^12 - 3107*x^11 + 3792*x^10 + 5469*x^9 - 9424*x^8 - 3369*x^7 + 10212*x^6 - 1057*x^5 - 4016*x^4 + 1216*x^3 + 193*x^2 - 59*x - 4, -x^17 + 5*x^16 + 12*x^15 - 93*x^14 - 5*x^13 + 649*x^12 - 473*x^11 - 2106*x^10 + 2402*x^9 + 3185*x^8 - 4670*x^7 - 1863*x^6 + 3777*x^5 - 19*x^4 - 963*x^3 + 180*x^2 + 5*x + 2, -x^17 + 5*x^16 + 12*x^15 - 93*x^14 - 5*x^13 + 649*x^12 - 473*x^11 - 2106*x^10 + 2402*x^9 + 3185*x^8 - 4670*x^7 - 1863*x^6 + 3777*x^5 - 19*x^4 - 963*x^3 + 180*x^2 + 5*x + 2, -x^17 + 4*x^16 + 18*x^15 - 87*x^14 - 102*x^13 + 729*x^12 + 90*x^11 - 2985*x^10 + 1016*x^9 + 6269*x^8 - 3443*x^7 - 6497*x^6 + 3938*x^5 + 2778*x^4 - 1483*x^3 - 237*x^2 + 99*x + 6, -x^17 + 4*x^16 + 18*x^15 - 87*x^14 - 102*x^13 + 729*x^12 + 90*x^11 - 2985*x^10 + 1016*x^9 + 6269*x^8 - 3443*x^7 - 6497*x^6 + 3938*x^5 + 2778*x^4 - 1483*x^3 - 237*x^2 + 99*x + 6, -x^16 + 5*x^15 + 9*x^14 - 78*x^13 + 19*x^12 + 432*x^11 - 406*x^10 - 1014*x^9 + 1370*x^8 + 937*x^7 - 1760*x^6 - 118*x^5 + 808*x^4 - 164*x^3 - 69*x^2 + 12*x + 2, -x^16 + 5*x^15 + 9*x^14 - 78*x^13 + 19*x^12 + 432*x^11 - 406*x^10 - 1014*x^9 + 1370*x^8 + 937*x^7 - 1760*x^6 - 118*x^5 + 808*x^4 - 164*x^3 - 69*x^2 + 12*x + 2, -x^16 + 6*x^15 + 6*x^14 - 99*x^13 + 90*x^12 + 569*x^11 - 984*x^10 - 1270*x^9 + 3384*x^8 + 569*x^7 - 4675*x^6 + 1156*x^5 + 2245*x^4 - 872*x^3 - 119*x^2 + 49*x + 2, -x^16 + 6*x^15 + 6*x^14 - 99*x^13 + 90*x^12 + 569*x^11 - 984*x^10 - 1270*x^9 + 3384*x^8 + 569*x^7 - 4675*x^6 + 1156*x^5 + 2245*x^4 - 872*x^3 - 119*x^2 + 49*x + 2, -x^15 + 5*x^14 + 5*x^13 - 57*x^12 + 32*x^11 + 209*x^10 - 216*x^9 - 288*x^8 + 315*x^7 + 223*x^6 - 103*x^5 - 245*x^4 + 30*x^3 + 143*x^2 - 34*x - 2, -x^15 + 5*x^14 + 5*x^13 - 57*x^12 + 32*x^11 + 209*x^10 - 216*x^9 - 288*x^8 + 315*x^7 + 223*x^6 - 103*x^5 - 245*x^4 + 30*x^3 + 143*x^2 - 34*x - 2, -x^15 + 5*x^14 + 10*x^13 - 81*x^12 + 5*x^11 + 478*x^10 - 346*x^9 - 1252*x^8 + 1288*x^7 + 1443*x^6 - 1701*x^5 - 657*x^4 + 752*x^3 + 138*x^2 - 67*x - 6, -x^15 + 5*x^14 + 10*x^13 - 81*x^12 + 5*x^11 + 478*x^10 - 346*x^9 - 1252*x^8 + 1288*x^7 + 1443*x^6 - 1701*x^5 - 657*x^4 + 752*x^3 + 138*x^2 - 67*x - 6, x^17 - 5*x^16 - 13*x^15 + 96*x^14 + 25*x^13 - 721*x^12 + 369*x^11 + 2643*x^10 - 2336*x^9 - 4836*x^8 + 5238*x^7 + 4142*x^6 - 4931*x^5 - 1274*x^4 + 1604*x^3 + x^2 - 81*x - 2, x^17 - 5*x^16 - 13*x^15 + 96*x^14 + 25*x^13 - 721*x^12 + 369*x^11 + 2643*x^10 - 2336*x^9 - 4836*x^8 + 5238*x^7 + 4142*x^6 - 4931*x^5 - 1274*x^4 + 1604*x^3 + x^2 - 81*x - 2, x^15 - 4*x^14 - 13*x^13 + 67*x^12 + 41*x^11 - 418*x^10 + 108*x^9 + 1170*x^8 - 782*x^7 - 1384*x^6 + 1162*x^5 + 601*x^4 - 450*x^3 - 136*x^2 + 49*x + 4, x^15 - 4*x^14 - 13*x^13 + 67*x^12 + 41*x^11 - 418*x^10 + 108*x^9 + 1170*x^8 - 782*x^7 - 1384*x^6 + 1162*x^5 + 601*x^4 - 450*x^3 - 136*x^2 + 49*x + 4, x^16 - 4*x^15 - 14*x^14 + 70*x^13 + 55*x^12 - 464*x^11 + 48*x^10 + 1408*x^9 - 700*x^8 - 1890*x^7 + 1103*x^6 + 1140*x^5 - 394*x^4 - 438*x^3 + 47*x^2 + 22*x + 2, x^16 - 4*x^15 - 14*x^14 + 70*x^13 + 55*x^12 - 464*x^11 + 48*x^10 + 1408*x^9 - 700*x^8 - 1890*x^7 + 1103*x^6 + 1140*x^5 - 394*x^4 - 438*x^3 + 47*x^2 + 22*x + 2, x^18 - 5*x^17 - 13*x^16 + 97*x^15 + 20*x^14 - 727*x^13 + 426*x^12 + 2650*x^11 - 2640*x^10 - 4797*x^9 + 6278*x^8 + 3618*x^7 - 6552*x^6 - 43*x^5 + 2415*x^4 - 765*x^3 - 45*x^2 + 24*x + 2, x^18 - 5*x^17 - 13*x^16 + 97*x^15 + 20*x^14 - 727*x^13 + 426*x^12 + 2650*x^11 - 2640*x^10 - 4797*x^9 + 6278*x^8 + 3618*x^7 - 6552*x^6 - 43*x^5 + 2415*x^4 - 765*x^3 - 45*x^2 + 24*x + 2, x^16 - 2*x^15 - 22*x^14 + 43*x^13 + 190*x^12 - 362*x^11 - 817*x^10 + 1528*x^9 + 1776*x^8 - 3353*x^7 - 1618*x^6 + 3375*x^5 + 235*x^4 - 1107*x^3 + 157*x^2 + 34*x - 2, x^16 - 2*x^15 - 22*x^14 + 43*x^13 + 190*x^12 - 362*x^11 - 817*x^10 + 1528*x^9 + 1776*x^8 - 3353*x^7 - 1618*x^6 + 3375*x^5 + 235*x^4 - 1107*x^3 + 157*x^2 + 34*x - 2, x^17 - 4*x^16 - 16*x^15 + 79*x^14 + 77*x^13 - 607*x^12 + 9*x^11 + 2297*x^10 - 1160*x^9 - 4429*x^8 + 3625*x^7 + 3890*x^6 - 4280*x^5 - 948*x^4 + 1702*x^3 - 170*x^2 - 58*x, x^17 - 4*x^16 - 16*x^15 + 79*x^14 + 77*x^13 - 607*x^12 + 9*x^11 + 2297*x^10 - 1160*x^9 - 4429*x^8 + 3625*x^7 + 3890*x^6 - 4280*x^5 - 948*x^4 + 1702*x^3 - 170*x^2 - 58*x]>
       ]
>;

MOG[419] := 	// J_0(419)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 13, 48, 52, 62, 98, 106, 180, 184, 274, 288, 308, 354, 356, 367, 368, 396, 407, 257*x + 315, 162*x + 315, 138*x + 240, 281*x + 240, 169*x + 180, 250*x + 180, 57*x + 238, 362*x + 238, 109*x + 8, 310*x + 8, 175*x + 351, 244*x + 351, 132*x + 333, 287*x + 333, 393*x + 202, 26*x + 202, 398*x + 166, 21*x + 166]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^9 + 2*x^8 - 7*x^7 - 13*x^6 + 15*x^5 + 25*x^4 - 9*x^3 - 15*x^2 - x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^8 - 2*x^7 + 5*x^6 + 9*x^5 - 8*x^4 - 12*x^3 + 3*x^2 + 5*x + 1, x^8 + 2*x^7 - 5*x^6 - 9*x^5 + 8*x^4 + 12*x^3 - 3*x^2 - 5*x - 1, -x^7 - 2*x^6 + 3*x^5 + 6*x^4 - x^3 - 4*x^2 - x, x^7 + 2*x^6 - 3*x^5 - 6*x^4 + x^3 + 4*x^2 + x, -x^7 - 2*x^6 + 4*x^5 + 7*x^4 - 5*x^3 - 6*x^2 + x + 1, x^7 + 2*x^6 - 4*x^5 - 7*x^4 + 5*x^3 + 6*x^2 - x - 1, -x^6 - 2*x^5 + 3*x^4 + 6*x^3 - x^2 - 4*x - 1, x^6 + 2*x^5 - 3*x^4 - 6*x^3 + x^2 + 4*x + 1, -x^6 - x^5 + 4*x^4 + 2*x^3 - 3*x^2 - x, x^6 + x^5 - 4*x^4 - 2*x^3 + 3*x^2 + x, -x^6 - 2*x^5 + 3*x^4 + 6*x^3 - 2*x^2 - 4*x - 1, x^6 + 2*x^5 - 3*x^4 - 6*x^3 + 2*x^2 + 4*x + 1, -x^5 - x^4 + 3*x^3 + 2*x^2 - 2*x - 1, x^5 + x^4 - 3*x^3 - 2*x^2 + 2*x + 1, -x^4 - x^3 + 2*x^2 + x, x^4 + x^3 - 2*x^2 - x, -x^3 - x^2 + 2*x + 1, x^3 + x^2 - 2*x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^26 - 2*x^25 - 43*x^24 + 85*x^23 + 807*x^22 - 1571*x^21 - 8689*x^20 + 16575*x^19 + 59362*x^18 - 110217*x^17 - 268789*x^16 + 481513*x^15 + 817911*x^14 - 1398615*x^13 - 1658267*x^12 + 2674771*x^11 + 2166607*x^10 - 3262315*x^9 - 1701132*x^8 + 2384864*x^7 + 697992*x^6 - 932912*x^5 - 104448*x^4 + 158080*x^3 - 4736*x^2 - 6656*x + 512,
           Coordinates        := [-x^25 + 2*x^24 + 40*x^23 - 79*x^22 - 693*x^21 + 1346*x^20 + 6828*x^19 - 12965*x^18 - 42266*x^17 + 77802*x^16 + 171499*x^15 - 302507*x^14 - 462052*x^13 + 768968*x^12 + 818677*x^11 - 1260905*x^10 - 921272*x^9 + 1285966*x^8 + 611328*x^7 - 762524*x^6 - 204080*x^5 + 232640*x^4 + 20672*x^3 - 28032*x^2 + 1536*x + 256, x^25 - 2*x^24 - 40*x^23 + 79*x^22 + 695*x^21 - 1350*x^20 - 6896*x^19 + 13101*x^18 + 43230*x^17 - 79728*x^16 - 178931*x^15 + 317311*x^14 + 496204*x^13 - 836590*x^12 - 915239*x^11 + 1450097*x^10 + 1088430*x^9 - 1607218*x^8 - 781286*x^7 + 1076188*x^6 + 295080*x^5 - 386576*x^4 - 37184*x^3 + 55232*x^2 - 4224*x - 256, -3*x^23 + 6*x^22 + 110*x^21 - 217*x^20 - 1729*x^19 + 3348*x^18 + 15256*x^17 - 28817*x^16 - 83124*x^15 + 152028*x^14 + 289615*x^13 - 508965*x^12 - 644338*x^11 + 1082818*x^10 + 881119*x^9 - 1424493*x^8 - 671666*x^7 + 1086564*x^6 + 220528*x^5 - 421104*x^4 + 224*x^3 + 61696*x^2 - 8832*x - 256, 2*x^20 - 70*x^18 + 8*x^17 + 1024*x^16 - 216*x^15 - 8114*x^14 + 2320*x^13 + 37768*x^12 - 12764*x^11 - 104928*x^10 + 38920*x^9 + 169262*x^8 - 67204*x^7 - 146376*x^6 + 63616*x^5 + 57088*x^4 - 28480*x^3 - 5440*x^2 + 4992*x - 768, 2*x^21 - 2*x^20 - 70*x^19 + 78*x^18 + 1016*x^17 - 1240*x^16 - 7898*x^15 + 10434*x^14 + 35448*x^13 - 50532*x^12 - 92164*x^11 + 143848*x^10 + 130342*x^9 - 236466*x^8 - 79172*x^7 + 209992*x^6 - 6528*x^5 - 85568*x^4 + 23040*x^3 + 10432*x^2 - 5760*x + 768, x^23 - 2*x^22 - 42*x^21 + 83*x^20 + 749*x^19 - 1462*x^18 - 7430*x^17 + 14299*x^16 + 45090*x^15 - 85270*x^14 - 173337*x^13 + 320535*x^12 + 422228*x^11 - 758858*x^10 - 631631*x^9 + 1097307*x^8 + 537772*x^7 - 904056*x^6 - 220616*x^5 + 369984*x^4 + 26592*x^3 - 56512*x^2 + 3328*x + 768, 2*x^23 - 4*x^22 - 72*x^21 + 142*x^20 + 1108*x^19 - 2144*x^18 - 9556*x^17 + 18012*x^16 + 50940*x^15 - 92604*x^14 - 174684*x^13 + 302248*x^12 + 388606*x^11 - 629148*x^10 - 551044*x^9 + 816678*x^8 + 474644*x^7 - 624356*x^6 - 224896*x^5 + 248448*x^4 + 45472*x^3 - 38080*x^2 - 384*x + 768, 2*x^21 - 2*x^20 - 66*x^19 + 72*x^18 + 902*x^17 - 1050*x^16 - 6610*x^15 + 8056*x^14 + 28160*x^13 - 35368*x^12 - 70868*x^11 + 90796*x^10 + 102152*x^9 - 133960*x^8 - 75848*x^7 + 106616*x^6 + 19144*x^5 - 39120*x^4 + 5888*x^3 + 3712*x^2 - 2560*x + 768, 4*x^20 - 6*x^19 - 118*x^18 + 166*x^17 + 1460*x^16 - 1878*x^15 - 9894*x^14 + 11310*x^13 + 40096*x^12 - 39628*x^11 - 98948*x^10 + 83068*x^9 + 144340*x^8 - 104600*x^7 - 115012*x^6 + 79064*x^5 + 43552*x^4 - 33440*x^3 - 5248*x^2 + 5376*x - 512, 2*x^21 - 4*x^20 - 60*x^19 + 118*x^18 + 750*x^17 - 1444*x^16 - 5074*x^15 + 9550*x^14 + 20142*x^13 - 37304*x^12 - 47254*x^11 + 88460*x^10 + 61822*x^9 - 126832*x^8 - 36888*x^7 + 106840*x^6 + 760*x^5 - 48944*x^4 + 7904*x^3 + 9728*x^2 - 2432*x - 256, 2*x^20 + 2*x^19 - 70*x^18 - 40*x^17 + 1010*x^16 + 254*x^15 - 7790*x^14 - 188*x^13 + 34980*x^12 - 4440*x^11 - 93852*x^10 + 20696*x^9 + 149064*x^8 - 41236*x^7 - 134616*x^6 + 42032*x^5 + 64448*x^4 - 21056*x^3 - 14080*x^2 + 4352*x + 512, x^24 - 2*x^23 - 38*x^22 + 75*x^21 + 617*x^20 - 1200*x^19 - 5590*x^18 + 10701*x^17 + 30924*x^16 - 58292*x^15 - 107093*x^14 + 199853*x^13 + 226976*x^12 - 427810*x^11 - 267415*x^10 + 545451*x^9 + 119634*x^8 - 368280*x^7 + 52768*x^6 + 90816*x^5 - 57408*x^4 + 11840*x^3 + 8960*x^2 - 5376*x + 512, -3*x^23 + 6*x^22 + 108*x^21 - 211*x^20 - 1659*x^19 + 3132*x^18 + 14252*x^17 - 25583*x^16 - 75514*x^15 + 125846*x^14 + 256951*x^13 - 384073*x^12 - 566358*x^11 + 723548*x^10 + 792893*x^9 - 811065*x^8 - 668406*x^7 + 500736*x^6 + 307936*x^5 - 146768*x^4 - 65440*x^3 + 16000*x^2 + 4736*x - 512, 2*x^21 - 8*x^20 - 62*x^19 + 250*x^18 + 812*x^17 - 3262*x^16 - 5936*x^15 + 23130*x^14 + 27096*x^13 - 97228*x^12 - 81634*x^11 + 247720*x^10 + 163654*x^9 - 373806*x^8 - 206972*x^7 + 310444*x^6 + 144936*x^5 - 122896*x^4 - 45312*x^3 + 17344*x^2 + 3840*x - 512, 2*x^22 - 4*x^21 - 68*x^20 + 130*x^19 + 986*x^18 - 1776*x^17 - 7994*x^16 + 13306*x^15 + 39930*x^14 - 59924*x^13 - 127446*x^12 + 167716*x^11 + 259718*x^10 - 292968*x^9 - 325568*x^8 + 316040*x^7 + 230784*x^6 - 207072*x^5 - 79200*x^4 + 76608*x^3 + 8064*x^2 - 11008*x + 1024, -3*x^24 + 6*x^23 + 114*x^22 - 225*x^21 - 1861*x^20 + 3610*x^19 + 17096*x^18 - 32415*x^17 - 97290*x^16 + 179006*x^15 + 355859*x^14 - 629647*x^13 - 839590*x^12 + 1413866*x^11 + 1245335*x^10 - 1976349*x^9 - 1089804*x^8 + 1622340*x^7 + 493912*x^6 - 700272*x^5 - 83776*x^4 + 130048*x^3 - 3200*x^2 - 6400*x + 512, 2*x^19 + 6*x^18 - 58*x^17 - 156*x^16 + 698*x^15 + 1650*x^14 - 4490*x^13 - 9168*x^12 + 16644*x^11 + 28848*x^10 - 36156*x^9 - 51616*x^8 + 45832*x^7 + 50428*x^6 - 33760*x^5 - 25488*x^4 + 13472*x^3 + 5888*x^2 - 2304*x - 256, x^23 - 2*x^22 - 36*x^21 + 67*x^20 + 557*x^19 - 938*x^18 - 4876*x^17 + 7137*x^16 + 26748*x^15 - 32188*x^14 - 95891*x^13 + 88245*x^12 + 225596*x^11 - 145788*x^10 - 337165*x^9 + 141631*x^8 + 296282*x^7 - 81316*x^6 - 131872*x^5 + 28432*x^4 + 19552*x^3 - 4096*x^2 + 1408*x - 512, x^22 - x^21 - 37*x^20 + 39*x^19 + 578*x^18 - 628*x^17 - 4973*x^16 + 5433*x^15 + 25838*x^14 - 27586*x^13 - 83850*x^12 + 84688*x^11 + 170099*x^10 - 157153*x^9 - 208848*x^8 + 172200*x^7 + 143112*x^6 - 106400*x^5 - 45568*x^4 + 33696*x^3 + 2560*x^2 - 4608*x + 768, x^22 - x^21 - 37*x^20 + 39*x^19 + 578*x^18 - 628*x^17 - 4973*x^16 + 5433*x^15 + 25838*x^14 - 27586*x^13 - 83850*x^12 + 84688*x^11 + 170099*x^10 - 157153*x^9 - 208848*x^8 + 172200*x^7 + 143112*x^6 - 106400*x^5 - 45568*x^4 + 33696*x^3 + 2560*x^2 - 4608*x + 768, x^23 - 2*x^22 - 35*x^21 + 71*x^20 + 517*x^19 - 1063*x^18 - 4207*x^17 + 8761*x^16 + 20684*x^15 - 43621*x^14 - 63494*x^13 + 135910*x^12 + 121252*x^11 - 266126*x^10 - 137280*x^9 + 320342*x^8 + 78802*x^7 - 224072*x^6 - 7848*x^5 + 80784*x^4 - 12512*x^3 - 11264*x^2 + 4096*x - 512, x^23 - 2*x^22 - 35*x^21 + 71*x^20 + 517*x^19 - 1063*x^18 - 4207*x^17 + 8761*x^16 + 20684*x^15 - 43621*x^14 - 63494*x^13 + 135910*x^12 + 121252*x^11 - 266126*x^10 - 137280*x^9 + 320342*x^8 + 78802*x^7 - 224072*x^6 - 7848*x^5 + 80784*x^4 - 12512*x^3 - 11264*x^2 + 4096*x - 512, x^22 - 4*x^21 - 30*x^20 + 131*x^19 + 357*x^18 - 1782*x^17 - 2088*x^16 + 13052*x^15 + 5601*x^14 - 55804*x^13 - 690*x^12 + 141011*x^11 - 34875*x^10 - 201910*x^9 + 88324*x^8 + 143482*x^7 - 92320*x^6 - 31192*x^5 + 38480*x^4 - 7968*x^3 - 3776*x^2 + 2432*x - 256, x^22 - 4*x^21 - 30*x^20 + 131*x^19 + 357*x^18 - 1782*x^17 - 2088*x^16 + 13052*x^15 + 5601*x^14 - 55804*x^13 - 690*x^12 + 141011*x^11 - 34875*x^10 - 201910*x^9 + 88324*x^8 + 143482*x^7 - 92320*x^6 - 31192*x^5 + 38480*x^4 - 7968*x^3 - 3776*x^2 + 2432*x - 256, x^24 - 2*x^23 - 37*x^22 + 73*x^21 + 588*x^20 - 1137*x^19 - 5271*x^18 + 9894*x^17 + 29467*x^16 - 52955*x^15 - 107307*x^14 + 181086*x^13 + 258026*x^12 - 398432*x^11 - 405381*x^10 + 554823*x^9 + 400106*x^8 - 470198*x^7 - 227840*x^6 + 227760*x^5 + 62336*x^4 - 57344*x^3 - 4224*x^2 + 5888*x - 512, x^24 - 2*x^23 - 37*x^22 + 73*x^21 + 588*x^20 - 1137*x^19 - 5271*x^18 + 9894*x^17 + 29467*x^16 - 52955*x^15 - 107307*x^14 + 181086*x^13 + 258026*x^12 - 398432*x^11 - 405381*x^10 + 554823*x^9 + 400106*x^8 - 470198*x^7 - 227840*x^6 + 227760*x^5 + 62336*x^4 - 57344*x^3 - 4224*x^2 + 5888*x - 512, x^22 - x^21 - 34*x^20 + 35*x^19 + 486*x^18 - 505*x^17 - 3810*x^16 + 3901*x^15 + 17975*x^14 - 17590*x^13 - 52924*x^12 + 47618*x^11 + 98002*x^10 - 77328*x^9 - 112456*x^8 + 73926*x^7 + 76880*x^6 - 40576*x^5 - 29280*x^4 + 12384*x^3 + 5760*x^2 - 1792*x - 256, x^22 - x^21 - 34*x^20 + 35*x^19 + 486*x^18 - 505*x^17 - 3810*x^16 + 3901*x^15 + 17975*x^14 - 17590*x^13 - 52924*x^12 + 47618*x^11 + 98002*x^10 - 77328*x^9 - 112456*x^8 + 73926*x^7 + 76880*x^6 - 40576*x^5 - 29280*x^4 + 12384*x^3 + 5760*x^2 - 1792*x - 256, -3*x^22 + 7*x^21 + 101*x^20 - 239*x^19 - 1422*x^18 + 3416*x^17 + 10888*x^16 - 26580*x^15 - 49454*x^14 + 122787*x^13 + 136616*x^12 - 345159*x^11 - 226221*x^10 + 582642*x^9 + 210699*x^8 - 560802*x^7 - 92988*x^6 + 276752*x^5 + 9168*x^4 - 57024*x^3 + 3968*x^2 + 2944*x - 256, -3*x^22 + 7*x^21 + 101*x^20 - 239*x^19 - 1422*x^18 + 3416*x^17 + 10888*x^16 - 26580*x^15 - 49454*x^14 + 122787*x^13 + 136616*x^12 - 345159*x^11 - 226221*x^10 + 582642*x^9 + 210699*x^8 - 560802*x^7 - 92988*x^6 + 276752*x^5 + 9168*x^4 - 57024*x^3 + 3968*x^2 + 2944*x - 256, -3*x^21 + 2*x^20 + 106*x^19 - 73*x^18 - 1582*x^17 + 1091*x^16 + 13008*x^15 - 8660*x^14 - 64531*x^13 + 39604*x^12 + 199126*x^11 - 106031*x^10 - 380284*x^9 + 161939*x^8 + 431936*x^7 - 131664*x^6 - 267576*x^5 + 51264*x^4 + 77376*x^3 - 9280*x^2 - 7424*x + 768, -3*x^21 + 2*x^20 + 106*x^19 - 73*x^18 - 1582*x^17 + 1091*x^16 + 13008*x^15 - 8660*x^14 - 64531*x^13 + 39604*x^12 + 199126*x^11 - 106031*x^10 - 380284*x^9 + 161939*x^8 + 431936*x^7 - 131664*x^6 - 267576*x^5 + 51264*x^4 + 77376*x^3 - 9280*x^2 - 7424*x + 768, -2*x^21 + 3*x^20 + 60*x^19 - 87*x^18 - 743*x^17 + 1029*x^16 + 4912*x^15 - 6417*x^14 - 18652*x^13 + 22906*x^12 + 40002*x^11 - 48032*x^10 - 40419*x^9 + 59298*x^8 - 2798*x^7 - 42924*x^6 + 42088*x^5 + 16944*x^4 - 29632*x^3 - 2112*x^2 + 5248*x - 512, -2*x^21 + 3*x^20 + 60*x^19 - 87*x^18 - 743*x^17 + 1029*x^16 + 4912*x^15 - 6417*x^14 - 18652*x^13 + 22906*x^12 + 40002*x^11 - 48032*x^10 - 40419*x^9 + 59298*x^8 - 2798*x^7 - 42924*x^6 + 42088*x^5 + 16944*x^4 - 29632*x^3 - 2112*x^2 + 5248*x - 512, -2*x^22 + 4*x^21 + 66*x^20 - 131*x^19 - 920*x^18 + 1799*x^17 + 7083*x^16 - 13489*x^15 - 33122*x^14 + 60341*x^13 + 97626*x^12 - 165524*x^11 - 182108*x^10 + 275928*x^9 + 209069*x^8 - 267888*x^7 - 136692*x^6 + 139584*x^5 + 42000*x^4 - 34176*x^3 - 2816*x^2 + 3072*x - 256, -2*x^22 + 4*x^21 + 66*x^20 - 131*x^19 - 920*x^18 + 1799*x^17 + 7083*x^16 - 13489*x^15 - 33122*x^14 + 60341*x^13 + 97626*x^12 - 165524*x^11 - 182108*x^10 + 275928*x^9 + 209069*x^8 - 267888*x^7 - 136692*x^6 + 139584*x^5 + 42000*x^4 - 34176*x^3 - 2816*x^2 + 3072*x - 256]>
       ]
>;

MOG[421] := 	// J_0(421)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [1, 131, 203, 205, 206, 27*x + 266, 394*x + 266, 252*x + 215, 169*x + 215, 38*x + 306, 383*x + 306, 221*x + 372, 200*x + 372, 50*x + 208, 371*x + 208, 310*x + 377, 111*x + 377, 55*x + 120, 366*x + 120, 156*x + 114, 265*x + 114, 86*x + 218, 335*x + 218, 207*x + 90, 214*x + 90, 397*x + 185, 24*x + 185, 33*x + 14, 388*x + 14, 79*x + 11, 342*x + 11, 420*x + 45, x + 45, 263*x + 3, 158*x + 3]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^15 + 6*x^14 - 2*x^13 - 71*x^12 - 74*x^11 + 296*x^10 + 488*x^9 - 494*x^8 - 1157*x^7 + 205*x^6 + 1137*x^5 + 203*x^4 - 374*x^3 - 127*x^2 + 3*x + 3,
           Coordinates        := [0, 0, 0, 0, 0, -x^14 - 6*x^13 + 59*x^11 + 70*x^10 - 199*x^9 - 345*x^8 + 265*x^7 + 631*x^6 - 100*x^5 - 473*x^4 - 34*x^3 + 122*x^2 + 18*x - 3, x^14 + 6*x^13 - 59*x^11 - 70*x^10 + 199*x^9 + 345*x^8 - 265*x^7 - 631*x^6 + 100*x^5 + 473*x^4 + 34*x^3 - 122*x^2 - 18*x + 3, -x^13 - 6*x^12 - 2*x^11 + 49*x^10 + 74*x^9 - 113*x^8 - 273*x^7 + 34*x^6 + 326*x^5 + 101*x^4 - 98*x^3 - 42*x^2 - 4*x, x^13 + 6*x^12 + 2*x^11 - 49*x^10 - 74*x^9 + 113*x^8 + 273*x^7 - 34*x^6 - 326*x^5 - 101*x^4 + 98*x^3 + 42*x^2 + 4*x, -x^13 - 6*x^12 - 2*x^11 + 48*x^10 + 69*x^9 - 116*x^8 - 253*x^7 + 71*x^6 + 338*x^5 + 68*x^4 - 154*x^3 - 67*x^2 + 4*x + 3, x^13 + 6*x^12 + 2*x^11 - 48*x^10 - 69*x^9 + 116*x^8 + 253*x^7 - 71*x^6 - 338*x^5 - 68*x^4 + 154*x^3 + 67*x^2 - 4*x - 3, -x^12 - 5*x^11 + 2*x^10 + 43*x^9 + 36*x^8 - 115*x^7 - 151*x^6 + 99*x^5 + 182*x^4 - 3*x^3 - 61*x^2 - 14*x, x^12 + 5*x^11 - 2*x^10 - 43*x^9 - 36*x^8 + 115*x^7 + 151*x^6 - 99*x^5 - 182*x^4 + 3*x^3 + 61*x^2 + 14*x, -x^12 - 5*x^11 + 2*x^10 + 43*x^9 + 36*x^8 - 116*x^7 - 154*x^6 + 102*x^5 + 193*x^4 - 5*x^3 - 65*x^2 - 4*x + 3, x^12 + 5*x^11 - 2*x^10 - 43*x^9 - 36*x^8 + 116*x^7 + 154*x^6 - 102*x^5 - 193*x^4 + 5*x^3 + 65*x^2 + 4*x - 3, -x^12 - 6*x^11 - 4*x^10 + 38*x^9 + 68*x^8 - 54*x^7 - 180*x^6 - 16*x^5 + 165*x^4 + 53*x^3 - 50*x^2 - 16*x, x^12 + 6*x^11 + 4*x^10 - 38*x^9 - 68*x^8 + 54*x^7 + 180*x^6 + 16*x^5 - 165*x^4 - 53*x^3 + 50*x^2 + 16*x, -x^12 - 5*x^11 + 3*x^10 + 45*x^9 + 24*x^8 - 140*x^7 - 113*x^6 + 184*x^5 + 154*x^4 - 86*x^3 - 68*x^2 + x + 3, x^12 + 5*x^11 - 3*x^10 - 45*x^9 - 24*x^8 + 140*x^7 + 113*x^6 - 184*x^5 - 154*x^4 + 86*x^3 + 68*x^2 - x - 3, -x^11 - 4*x^10 + 5*x^9 + 34*x^8 + 7*x^7 - 86*x^6 - 45*x^5 + 78*x^4 + 34*x^3 - 33*x^2 - 10*x, x^11 + 4*x^10 - 5*x^9 - 34*x^8 - 7*x^7 + 86*x^6 + 45*x^5 - 78*x^4 - 34*x^3 + 33*x^2 + 10*x, -x^11 - 4*x^10 + 5*x^9 + 33*x^8 + 3*x^7 - 86*x^6 - 31*x^5 + 87*x^4 + 28*x^3 - 27*x^2 + 3*x + 3, x^11 + 4*x^10 - 5*x^9 - 33*x^8 - 3*x^7 + 86*x^6 + 31*x^5 - 87*x^4 - 28*x^3 + 27*x^2 - 3*x - 3, -x^11 - 4*x^10 + 4*x^9 + 29*x^8 + 5*x^7 - 66*x^6 - 28*x^5 + 57*x^4 + 30*x^3 - 11*x^2 - 6*x, x^11 + 4*x^10 - 4*x^9 - 29*x^8 - 5*x^7 + 66*x^6 + 28*x^5 - 57*x^4 - 30*x^3 + 11*x^2 + 6*x, -x^11 - 6*x^10 - 5*x^9 + 33*x^8 + 68*x^7 - 21*x^6 - 145*x^5 - 72*x^4 + 74*x^3 + 62*x^2 + 2*x - 3, x^11 + 6*x^10 + 5*x^9 - 33*x^8 - 68*x^7 + 21*x^6 + 145*x^5 + 72*x^4 - 74*x^3 - 62*x^2 - 2*x + 3, -x^10 - 5*x^9 + 34*x^7 + 40*x^6 - 49*x^5 - 91*x^4 + 40*x^2 + 8*x, x^10 + 5*x^9 - 34*x^7 - 40*x^6 + 49*x^5 + 91*x^4 - 40*x^2 - 8*x, -x^10 - 5*x^9 + 33*x^7 + 37*x^6 - 46*x^5 - 78*x^4 + 6*x^3 + 41*x^2 + 10*x, x^10 + 5*x^9 - 33*x^7 - 37*x^6 + 46*x^5 + 78*x^4 - 6*x^3 - 41*x^2 - 10*x, -x^10 - 5*x^9 + 33*x^7 + 35*x^6 - 56*x^5 - 91*x^4 + 9*x^3 + 52*x^2 + 13*x, x^10 + 5*x^9 - 33*x^7 - 35*x^6 + 56*x^5 + 91*x^4 - 9*x^3 - 52*x^2 - 13*x, 2*x^5 + 10*x^4 + 13*x^3 - 3*x^2 - 11*x - 3, -2*x^5 - 10*x^4 - 13*x^3 + 3*x^2 + 11*x + 3]>,
         rec<Eigen |
           DefiningPolynomial := x^19 - 4*x^18 - 20*x^17 + 93*x^16 + 145*x^15 - 874*x^14 - 402*x^13 + 4263*x^12 - 159*x^11 - 11551*x^10 + 3133*x^9 + 17375*x^8 - 5935*x^7 - 14018*x^6 + 4016*x^5 + 5896*x^4 - 1088*x^3 - 1185*x^2 + 101*x + 89,
           Coordinates        := [-x^18 + 3*x^17 + 21*x^16 - 66*x^15 - 173*x^14 + 581*x^13 + 709*x^12 - 2624*x^11 - 1517*x^10 + 6488*x^9 + 1653*x^8 - 8678*x^7 - 977*x^6 + 5869*x^5 + 583*x^4 - 1831*x^3 - 261*x^2 + 196*x + 37, x^18 - 4*x^17 - 17*x^16 + 81*x^15 + 100*x^14 - 655*x^13 - 184*x^12 + 2710*x^11 - 393*x^10 - 6107*x^9 + 2106*x^8 + 7378*x^7 - 3027*x^6 - 4440*x^5 + 1635*x^4 + 1236*x^3 - 329*x^2 - 121*x + 18, x^17 - 4*x^16 - 15*x^15 + 73*x^14 + 72*x^13 - 513*x^12 - 76*x^11 + 1754*x^10 - 303*x^9 - 3047*x^8 + 736*x^7 + 2568*x^6 - 371*x^5 - 892*x^4 + 3*x^3 + 66*x^2 + 15*x + 9, -2*x^14 + 6*x^13 + 28*x^12 - 88*x^11 - 142*x^10 + 472*x^9 + 334*x^8 - 1148*x^7 - 422*x^6 + 1268*x^5 + 348*x^4 - 550*x^3 - 148*x^2 + 70*x + 20, 2*x^14 - 8*x^13 - 20*x^12 + 106*x^11 + 42*x^10 - 490*x^9 + 86*x^8 + 966*x^7 - 288*x^6 - 810*x^5 + 126*x^4 + 268*x^3 + 6*x^2 - 24*x - 4, -x^17 + 3*x^16 + 19*x^15 - 60*x^14 - 137*x^13 + 465*x^12 + 474*x^11 - 1773*x^10 - 851*x^9 + 3522*x^8 + 883*x^7 - 3586*x^6 - 635*x^5 + 1741*x^4 + 241*x^3 - 364*x^2 - 29*x + 26, -x^17 + 3*x^16 + 19*x^15 - 60*x^14 - 137*x^13 + 465*x^12 + 474*x^11 - 1773*x^10 - 851*x^9 + 3522*x^8 + 883*x^7 - 3586*x^6 - 635*x^5 + 1741*x^4 + 241*x^3 - 364*x^2 - 29*x + 26, -x^16 + 3*x^15 + 18*x^14 - 58*x^13 - 117*x^12 + 424*x^11 + 327*x^10 - 1465*x^9 - 359*x^8 + 2472*x^7 + 119*x^6 - 1943*x^5 - 124*x^4 + 677*x^3 + 94*x^2 - 80*x - 15, -x^16 + 3*x^15 + 18*x^14 - 58*x^13 - 117*x^12 + 424*x^11 + 327*x^10 - 1465*x^9 - 359*x^8 + 2472*x^7 + 119*x^6 - 1943*x^5 - 124*x^4 + 677*x^3 + 94*x^2 - 80*x - 15, -x^16 + 3*x^15 + 18*x^14 - 58*x^13 - 118*x^12 + 427*x^11 + 339*x^10 - 1501*x^9 - 411*x^8 + 2620*x^7 + 223*x^6 - 2185*x^5 - 218*x^4 + 790*x^3 + 138*x^2 - 90*x - 22, -x^16 + 3*x^15 + 18*x^14 - 58*x^13 - 118*x^12 + 427*x^11 + 339*x^10 - 1501*x^9 - 411*x^8 + 2620*x^7 + 223*x^6 - 2185*x^5 - 218*x^4 + 790*x^3 + 138*x^2 - 90*x - 22, -x^14 + 3*x^13 + 14*x^12 - 44*x^11 - 73*x^10 + 239*x^9 + 190*x^8 - 606*x^7 - 289*x^6 + 718*x^5 + 278*x^4 - 335*x^3 - 125*x^2 + 49*x + 18, -x^14 + 3*x^13 + 14*x^12 - 44*x^11 - 73*x^10 + 239*x^9 + 190*x^8 - 606*x^7 - 289*x^6 + 718*x^5 + 278*x^4 - 335*x^3 - 125*x^2 + 49*x + 18, -x^15 + 3*x^14 + 17*x^13 - 55*x^12 - 103*x^11 + 381*x^10 + 253*x^9 - 1240*x^8 - 158*x^7 + 1932*x^6 - 207*x^5 - 1342*x^4 + 188*x^3 + 409*x^2 - 35*x - 44, -x^15 + 3*x^14 + 17*x^13 - 55*x^12 - 103*x^11 + 381*x^10 + 253*x^9 - 1240*x^8 - 158*x^7 + 1932*x^6 - 207*x^5 - 1342*x^4 + 188*x^3 + 409*x^2 - 35*x - 44, x^13 - 4*x^12 - 11*x^11 + 57*x^10 + 28*x^9 - 285*x^8 + 34*x^7 + 623*x^6 - 162*x^5 - 613*x^4 + 105*x^3 + 242*x^2 - 15*x - 28, x^13 - 4*x^12 - 11*x^11 + 57*x^10 + 28*x^9 - 285*x^8 + 34*x^7 + 623*x^6 - 162*x^5 - 613*x^4 + 105*x^3 + 242*x^2 - 15*x - 28, -x^15 + 2*x^14 + 18*x^13 - 34*x^12 - 124*x^11 + 215*x^10 + 412*x^9 - 617*x^8 - 694*x^7 + 778*x^6 + 579*x^5 - 338*x^4 - 208*x^3 + 32*x^2 + 22*x + 2, -x^15 + 2*x^14 + 18*x^13 - 34*x^12 - 124*x^11 + 215*x^10 + 412*x^9 - 617*x^8 - 694*x^7 + 778*x^6 + 579*x^5 - 338*x^4 - 208*x^3 + 32*x^2 + 22*x + 2, x^16 - 4*x^15 - 14*x^14 + 69*x^13 + 59*x^12 - 453*x^11 - 15*x^10 + 1416*x^9 - 437*x^8 - 2155*x^7 + 888*x^6 + 1503*x^5 - 489*x^4 - 467*x^3 + 80*x^2 + 49*x - 3, x^16 - 4*x^15 - 14*x^14 + 69*x^13 + 59*x^12 - 453*x^11 - 15*x^10 + 1416*x^9 - 437*x^8 - 2155*x^7 + 888*x^6 + 1503*x^5 - 489*x^4 - 467*x^3 + 80*x^2 + 49*x - 3, x^15 - 4*x^14 - 14*x^13 + 69*x^12 + 60*x^11 - 455*x^10 - 28*x^9 + 1441*x^8 - 382*x^7 - 2258*x^6 + 808*x^5 + 1654*x^4 - 456*x^3 - 538*x^2 + 71*x + 59, x^15 - 4*x^14 - 14*x^13 + 69*x^12 + 60*x^11 - 455*x^10 - 28*x^9 + 1441*x^8 - 382*x^7 - 2258*x^6 + 808*x^5 + 1654*x^4 - 456*x^3 - 538*x^2 + 71*x + 59, x^15 - 3*x^14 - 17*x^13 + 53*x^12 + 108*x^11 - 356*x^10 - 314*x^9 + 1130*x^8 + 408*x^7 - 1713*x^6 - 202*x^5 + 1139*x^4 + 37*x^3 - 325*x^2 - 3*x + 31, x^15 - 3*x^14 - 17*x^13 + 53*x^12 + 108*x^11 - 356*x^10 - 314*x^9 + 1130*x^8 + 408*x^7 - 1713*x^6 - 202*x^5 + 1139*x^4 + 37*x^3 - 325*x^2 - 3*x + 31, x^16 - 4*x^15 - 14*x^14 + 71*x^13 + 54*x^12 - 478*x^11 + 45*x^10 + 1530*x^9 - 685*x^8 - 2405*x^7 + 1328*x^6 + 1774*x^5 - 816*x^4 - 585*x^3 + 172*x^2 + 65*x - 9, x^16 - 4*x^15 - 14*x^14 + 71*x^13 + 54*x^12 - 478*x^11 + 45*x^10 + 1530*x^9 - 685*x^8 - 2405*x^7 + 1328*x^6 + 1774*x^5 - 816*x^4 - 585*x^3 + 172*x^2 + 65*x - 9, x^17 - 4*x^16 - 15*x^15 + 73*x^14 + 73*x^13 - 520*x^12 - 79*x^11 + 1845*x^10 - 362*x^9 - 3475*x^8 + 1086*x^7 + 3505*x^6 - 1005*x^5 - 1884*x^4 + 378*x^3 + 499*x^2 - 49*x - 49, x^17 - 4*x^16 - 15*x^15 + 73*x^14 + 73*x^13 - 520*x^12 - 79*x^11 + 1845*x^10 - 362*x^9 - 3475*x^8 + 1086*x^7 + 3505*x^6 - 1005*x^5 - 1884*x^4 + 378*x^3 + 499*x^2 - 49*x - 49, x^16 - 4*x^15 - 13*x^14 + 66*x^13 + 46*x^12 - 412*x^11 + 46*x^10 + 1216*x^9 - 583*x^8 - 1718*x^7 + 1134*x^6 + 1053*x^5 - 768*x^4 - 270*x^3 + 200*x^2 + 23*x - 15, x^16 - 4*x^15 - 13*x^14 + 66*x^13 + 46*x^12 - 412*x^11 + 46*x^10 + 1216*x^9 - 583*x^8 - 1718*x^7 + 1134*x^6 + 1053*x^5 - 768*x^4 - 270*x^3 + 200*x^2 + 23*x - 15, x^15 - 2*x^14 - 19*x^13 + 39*x^12 + 132*x^11 - 281*x^10 - 410*x^9 + 927*x^8 + 558*x^7 - 1417*x^6 - 283*x^5 + 920*x^4 + 64*x^3 - 243*x^2 - 9*x + 19, x^15 - 2*x^14 - 19*x^13 + 39*x^12 + 132*x^11 - 281*x^10 - 410*x^9 + 927*x^8 + 558*x^7 - 1417*x^6 - 283*x^5 + 920*x^4 + 64*x^3 - 243*x^2 - 9*x + 19, x^15 - 3*x^14 - 13*x^13 + 39*x^12 + 65*x^11 - 174*x^10 - 193*x^9 + 316*x^8 + 430*x^7 - 194*x^6 - 571*x^5 - 40*x^4 + 278*x^3 + 62*x^2 - 37*x - 10, x^15 - 3*x^14 - 13*x^13 + 39*x^12 + 65*x^11 - 174*x^10 - 193*x^9 + 316*x^8 + 430*x^7 - 194*x^6 - 571*x^5 - 40*x^4 + 278*x^3 + 62*x^2 - 37*x - 10]>
       ]
>;

MOG[431] := 	// J_0(431)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 4, 19, 61, 67, 102, 107, 125, 143, 150, 189, 234, 241, 242, 316, 319, 356, 358, 381, 419, 422, 222*x + 118, 209*x + 118, 132*x + 315, 299*x + 315, 350*x + 65, 81*x + 65, 364*x + 304, 67*x + 304, 306*x + 426, 125*x + 426, 389*x + 141, 42*x + 141, 344*x + 190, 87*x + 190, 106*x + 379, 325*x + 379]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, 1, -1, 0, 0, -1, 1, 0, 0, 0, 0, 1, -1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x - 3,
           Coordinates        := [1, 0, 0, -1, -2, -1, -1, -1, -1, 1, 0, -2, 2, 2, -1, 1, 1, 1, 1, -1, 1, -1, -1, -1, -1, 0, 0, 0, 0, 1, 1, 0, 0, 1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^3 - x^2 - 4*x + 3,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^2 - x + 4, x^2 + x - 4, -x^2 + 2, x^2 - 2, -x^2 + 1, x^2 - 1, -1, 1, -x - 1, x + 1, -x - 1, x + 1, -x, x, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 - 5*x + 1,
           Coordinates        := [-x + 1, -x - 1, -x^2 + 1, x^2 - x - 4, x^2 - 5, -2*x + 1, x - 1, -x^2 + x, x^2 - 3, x^2 + x - 3, x + 1, -x^2 - x + 6, x^2 - x - 3, -1, -x^2 - x + 3, -x^2 + 3, -x^2 + 3, -3, -x^2 + 3, 2*x, 2, x - 1, x - 1, -x + 2, -x + 2, x + 1, x + 1, 0, 0, x - 2, x - 2, x^2 - 1, x^2 - 1, 2, 2, -x - 1, -x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^4 + x^3 - 3*x^2 - x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^3 - x^2 + 2*x + 1, x^3 + x^2 - 2*x - 1, x^3 + x^2 - 2*x - 1, -x^3 - x^2 + 2*x + 1, -x^3 - x^2 + 3*x + 1, x^3 + x^2 - 3*x - 1, -x^2 + 1, x^2 - 1, x^2 - 2, -x^2 + 2, 1, -1, -x + 1, x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^24 - x^23 - 40*x^22 + 40*x^21 + 692*x^20 - 687*x^19 - 6790*x^18 + 6631*x^17 + 41657*x^16 - 39533*x^15 - 166175*x^14 + 150668*x^13 + 434546*x^12 - 367120*x^11 - 733353*x^10 + 555013*x^9 + 766426*x^8 - 486022*x^7 - 458392*x^6 + 216189*x^5 + 133642*x^4 - 39443*x^3 - 11021*x^2 + 2767*x + 13,
           Coordinates        := [1/4*x^23 - 1/4*x^22 - 37/4*x^21 + 37/4*x^20 + 291/2*x^19 - 287/2*x^18 - 5087/4*x^17 + 4861/4*x^16 + 13575/2*x^15 - 24513/4*x^14 - 22959*x^13 + 75347/4*x^12 + 99447/2*x^11 - 34731*x^10 - 274651/4*x^9 + 36498*x^8 + 59548*x^7 - 81251/4*x^6 - 122755/4*x^5 + 6183*x^4 + 30033/4*x^3 - 5319/4*x^2 - 2257/4*x + 187/2, 1/4*x^23 - 1/4*x^22 - 19/2*x^21 + 19/2*x^20 + 156*x^19 - 611/4*x^18 - 5807/4*x^17 + 5427/4*x^16 + 8442*x^15 - 29145/4*x^14 - 127643/4*x^13 + 97273/4*x^12 + 316251/4*x^11 - 99685/2*x^10 - 504821/4*x^9 + 118893/2*x^8 + 123409*x^7 - 145125/4*x^6 - 263857/4*x^5 + 15903/2*x^4 + 58291/4*x^3 + 431/4*x^2 - 2041/4*x - 497/4, -1/4*x^23 + 3/4*x^22 + 9*x^21 - 53/2*x^20 - 137*x^19 + 797/2*x^18 + 4603/4*x^17 - 3329*x^16 - 5845*x^15 + 67677/4*x^14 + 18562*x^13 - 53892*x^12 - 148501/4*x^11 + 213951/2*x^10 + 93797/2*x^9 - 127644*x^8 - 152739/4*x^7 + 84915*x^6 + 39737/2*x^5 - 107157/4*x^4 - 18417/4*x^3 + 8549/4*x^2 - 1223/4*x + 121, -5/4*x^23 + 5/4*x^22 + 185/4*x^21 - 185/4*x^20 - 731*x^19 + 1455/2*x^18 + 25809/4*x^17 - 25419/4*x^16 - 69827/2*x^15 + 135155/4*x^14 + 119720*x^13 - 451031/4*x^12 - 259912*x^11 + 234876*x^10 + 1385657/4*x^9 - 587139/2*x^8 - 528623/2*x^7 + 806583/4*x^6 + 401645/4*x^5 - 127181/2*x^4 - 56731/4*x^3 + 26355/4*x^2 + 1047/4*x - 273/2, x^23 - x^22 - 37*x^21 + 151/4*x^20 + 586*x^19 - 2421/4*x^18 - 10395/2*x^17 + 5387*x^16 + 113469/4*x^15 - 116761/4*x^14 - 197219/2*x^13 + 99295*x^12 + 874105/4*x^11 - 421371/2*x^10 - 1201807/4*x^9 + 1069283/4*x^8 + 964663/4*x^7 - 737787/4*x^6 - 202139/2*x^5 + 56637*x^4 + 18295*x^3 - 20819/4*x^2 - 1036*x + 154, -1/2*x^21 + 5/2*x^20 + 29/2*x^19 - 329/4*x^18 - 655/4*x^17 + 1138*x^16 + 1711/2*x^15 - 17243/2*x^14 - 5657/4*x^13 + 77977/2*x^12 - 12073/2*x^11 - 107389*x^10 + 141795/4*x^9 + 701705/4*x^8 - 72111*x^7 - 624083/4*x^6 + 64706*x^5 + 245461/4*x^4 - 84901/4*x^3 - 21663/4*x^2 + 9525/4*x - 331/2, -5/4*x^22 + 5/4*x^21 + 183/4*x^20 - 183/4*x^19 - 711*x^18 + 709*x^17 + 24463/4*x^16 - 24227/4*x^15 - 63653/2*x^14 + 124411/4*x^13 + 102978*x^12 - 393003/4*x^11 - 205450*x^10 + 375825/2*x^9 + 973667/4*x^8 - 413467/2*x^7 - 320633/2*x^6 + 478725/4*x^5 + 214213/4*x^4 - 32552*x^3 - 29139/4*x^2 + 11793/4*x + 127/4, 3/4*x^22 - 3/4*x^21 - 55/2*x^20 + 113/4*x^19 + 1703/4*x^18 - 885/2*x^17 - 14507/4*x^16 + 3755*x^15 + 74339/4*x^14 - 75321/4*x^13 - 58913*x^12 + 57049*x^11 + 229351/2*x^10 - 409021/4*x^9 - 264117/2*x^8 + 404771/4*x^7 + 335637/4*x^6 - 191457/4*x^5 - 103609/4*x^4 + 8531*x^3 + 2191*x^2 - 2393/4*x - 13/4, 3/4*x^21 - 2*x^20 - 101/4*x^19 + 281/4*x^18 + 1409/4*x^17 - 4115/4*x^16 - 10533/4*x^15 + 8176*x^14 + 45513/4*x^13 - 153799/4*x^12 - 56917/2*x^11 + 437307/4*x^10 + 38481*x^9 - 367455/2*x^8 - 90495/4*x^7 + 676379/4*x^6 + 1458*x^5 - 285533/4*x^4 + 1783/2*x^3 + 35227/4*x^2 - 2767/4*x - 115, 1/4*x^20 + 3/2*x^19 - 29/4*x^18 - 177/4*x^17 + 355/4*x^16 + 2199/4*x^15 - 2449/4*x^14 - 3716*x^13 + 10755/4*x^12 + 58819/4*x^11 - 7818*x^10 - 136933/4*x^9 + 14325*x^8 + 45130*x^7 - 58153/4*x^6 - 123137/4*x^5 + 12959/2*x^4 + 35287/4*x^3 - 760*x^2 - 1619/4*x - 49/4, -1/4*x^21 + 7/4*x^20 + 9*x^19 - 229/4*x^18 - 527/4*x^17 + 3157/4*x^16 + 2021/2*x^15 - 5946*x^14 - 17379/4*x^13 + 106309/4*x^12 + 41281/4*x^11 - 71780*x^10 - 12078*x^9 + 457715/4*x^8 + 16171/4*x^7 - 199879/2*x^6 + 10043/4*x^5 + 80205/2*x^4 - 3303/4*x^3 - 18423/4*x^2 + 1359/4*x + 115/2, -1/4*x^22 + 7/4*x^21 + 17/2*x^20 - 241/4*x^19 - 469/4*x^18 + 3511/4*x^17 + 833*x^16 - 14091/2*x^15 - 12481/4*x^14 + 136037/4*x^13 + 19771/4*x^12 - 202379/2*x^11 + 3558*x^10 + 731581/4*x^9 - 98429/4*x^8 - 380399/2*x^7 + 126349/4*x^6 + 101671*x^5 - 55139/4*x^4 - 88997/4*x^3 + 7439/4*x^2 + 867*x + 49/2, -1/4*x^22 + 3/4*x^21 + 17/2*x^20 - 25*x^19 - 124*x^18 + 709/2*x^17 + 4091/4*x^16 - 5605/2*x^15 - 5289*x^14 + 54349/4*x^13 + 17932*x^12 - 83481/2*x^11 - 161251/4*x^10 + 161249/2*x^9 + 59136*x^8 - 93209*x^7 - 215017/4*x^6 + 115031/2*x^5 + 26688*x^4 - 58479/4*x^3 - 20545/4*x^2 + 3865/4*x + 909/4, x^22 - 1/4*x^21 - 71/2*x^20 + 43/4*x^19 + 1073/2*x^18 - 186*x^17 - 18023/4*x^16 + 6857/4*x^15 + 23036*x^14 - 18549/2*x^13 - 295499/4*x^12 + 30363*x^11 + 590799/4*x^10 - 237711/4*x^9 - 707937/4*x^8 + 262917/4*x^7 + 233391/2*x^6 - 36164*x^5 - 71125/2*x^4 + 29159/4*x^3 + 6671/2*x^2 - 19/2*x - 357/2, -5/4*x^21 + 5/4*x^20 + 165/4*x^19 - 43*x^18 - 2289/4*x^17 + 2439/4*x^16 + 4353*x^15 - 18523/4*x^14 - 79653/4*x^13 + 82001/4*x^12 + 227095/4*x^11 - 216337/4*x^10 - 406537/4*x^9 + 334701/4*x^8 + 224431/2*x^7 - 142783/2*x^6 - 71719*x^5 + 114563/4*x^4 + 22032*x^3 - 3291*x^2 - 5563/4*x + 121, 2*x^21 - 5/2*x^20 - 68*x^19 + 171/2*x^18 + 3895/4*x^17 - 4887/4*x^16 - 7646*x^15 + 9484*x^14 + 35908*x^13 - 174051/4*x^12 - 206313/2*x^11 + 120035*x^10 + 355625/2*x^9 - 771263/4*x^8 - 691399/4*x^7 + 163735*x^6 + 338425/4*x^5 - 58682*x^4 - 73677/4*x^3 + 22893/4*x^2 + 4935/4*x - 889/4, -5/4*x^22 + 5/4*x^21 + 175/4*x^20 - 43*x^19 - 2597/4*x^18 + 2473/4*x^17 + 5338*x^16 - 19361/4*x^15 - 106757/4*x^14 + 90255/4*x^13 + 335613/4*x^12 - 257967/4*x^11 - 662261/4*x^10 + 449661/4*x^9 + 197541*x^8 - 229569/2*x^7 - 129324*x^6 + 249365/4*x^5 + 71915/2*x^4 - 29271/2*x^3 - 2787/4*x^2 + 1175*x - 241, -5/4*x^22 + 5/4*x^21 + 89/2*x^20 - 85/2*x^19 - 675*x^18 + 2427/4*x^17 + 5704*x^16 - 9461/2*x^15 - 29483*x^14 + 87643/4*x^13 + 385557/4*x^12 - 122563/2*x^11 - 797047/4*x^10 + 99869*x^9 + 1011053/4*x^8 - 337455/4*x^7 - 731753/4*x^6 + 98493/4*x^5 + 63359*x^4 + 8945/2*x^3 - 5533*x^2 - 801*x + 451/2, -5/4*x^21 + 5/4*x^20 + 83/2*x^19 - 77/2*x^18 - 1169/2*x^17 + 1945/4*x^16 + 4575*x^15 - 6513/2*x^14 - 43833/2*x^13 + 49951/4*x^12 + 266747/4*x^11 - 27618*x^10 - 516399/4*x^9 + 67559/2*x^8 + 613937/4*x^7 - 84007/4*x^6 - 407033/4*x^5 + 26791/4*x^4 + 29875*x^3 - 1974*x^2 - 4835/2*x + 302, -5/4*x^20 + 2*x^19 + 37*x^18 - 263/4*x^17 - 438*x^16 + 3517/4*x^15 + 10439/4*x^14 - 24705/4*x^13 - 15761/2*x^12 + 98295/4*x^11 + 17999/2*x^10 - 111573/2*x^9 + 17917/2*x^8 + 277981/4*x^7 - 65011/2*x^6 - 43485*x^5 + 107519/4*x^4 + 46485/4*x^3 - 7222*x^2 - 1871/4*x + 356, -5/4*x^21 + 2*x^20 + 81/2*x^19 - 265/4*x^18 - 542*x^17 + 3619/4*x^16 + 15485/4*x^15 - 26377/4*x^14 - 31807/2*x^13 + 111063/4*x^12 + 37573*x^11 - 136753/2*x^10 - 47239*x^9 + 380439/4*x^8 + 22772*x^7 - 67913*x^6 + 29061/4*x^5 + 81257/4*x^4 - 8546*x^3 - 8491/4*x^2 + 888*x + 31/2, -1/4*x^21 + 3/4*x^20 + 13/2*x^19 - 22*x^18 - 64*x^17 + 1053/4*x^16 + 278*x^15 - 1666*x^14 - 315*x^13 + 24303/4*x^12 - 6375/4*x^11 - 26351/2*x^10 + 24475/4*x^9 + 34435/2*x^8 - 31139/4*x^7 - 54799/4*x^6 + 13639/4*x^5 + 24339/4*x^4 - 266*x^3 - 1171/2*x^2 + 533/2*x - 121/2, -1/4*x^21 + 3/4*x^20 + 13/2*x^19 - 22*x^18 - 64*x^17 + 1053/4*x^16 + 278*x^15 - 1666*x^14 - 315*x^13 + 24303/4*x^12 - 6375/4*x^11 - 26351/2*x^10 + 24475/4*x^9 + 34435/2*x^8 - 31139/4*x^7 - 54799/4*x^6 + 13639/4*x^5 + 24339/4*x^4 - 266*x^3 - 1171/2*x^2 + 533/2*x - 121/2, -3/2*x^20 + 2*x^19 + 181/4*x^18 - 241/4*x^17 - 1129/2*x^16 + 737*x^15 + 15133/4*x^14 - 9423/2*x^13 - 59405/4*x^12 + 67327/4*x^11 + 35081*x^10 - 132179/4*x^9 - 99279/2*x^8 + 31681*x^7 + 40590*x^6 - 35851/4*x^5 - 16742*x^4 - 12893/4*x^3 + 6231/4*x^2 + 1103/2*x - 451/4, -3/2*x^20 + 2*x^19 + 181/4*x^18 - 241/4*x^17 - 1129/2*x^16 + 737*x^15 + 15133/4*x^14 - 9423/2*x^13 - 59405/4*x^12 + 67327/4*x^11 + 35081*x^10 - 132179/4*x^9 - 99279/2*x^8 + 31681*x^7 + 40590*x^6 - 35851/4*x^5 - 16742*x^4 - 12893/4*x^3 + 6231/4*x^2 + 1103/2*x - 451/4, -1/2*x^20 + x^19 + 59/4*x^18 - 31*x^17 - 721/4*x^16 + 799/2*x^15 + 4763/4*x^14 - 2800*x^13 - 9349/2*x^12 + 46933/4*x^11 + 22701/2*x^10 - 121449/4*x^9 - 69125/4*x^8 + 191313/4*x^7 + 16574*x^6 - 42468*x^5 - 10212*x^4 + 34515/2*x^3 + 3845*x^2 - 6313/4*x - 229/2, -1/2*x^20 + x^19 + 59/4*x^18 - 31*x^17 - 721/4*x^16 + 799/2*x^15 + 4763/4*x^14 - 2800*x^13 - 9349/2*x^12 + 46933/4*x^11 + 22701/2*x^10 - 121449/4*x^9 - 69125/4*x^8 + 191313/4*x^7 + 16574*x^6 - 42468*x^5 - 10212*x^4 + 34515/2*x^3 + 3845*x^2 - 6313/4*x - 229/2, x^22 - x^21 - 141/4*x^20 + 71/2*x^19 + 528*x^18 - 529*x^17 - 4392*x^16 + 17257/4*x^15 + 89059/4*x^14 - 84197/4*x^13 - 142145/2*x^12 + 252143/4*x^11 + 570403/4*x^10 - 456529/4*x^9 - 174138*x^8 + 117923*x^7 + 240627/2*x^6 - 61694*x^5 - 159569/4*x^4 + 53897/4*x^3 + 13299/4*x^2 - 5207/4*x + 331/4, x^22 - x^21 - 141/4*x^20 + 71/2*x^19 + 528*x^18 - 529*x^17 - 4392*x^16 + 17257/4*x^15 + 89059/4*x^14 - 84197/4*x^13 - 142145/2*x^12 + 252143/4*x^11 + 570403/4*x^10 - 456529/4*x^9 - 174138*x^8 + 117923*x^7 + 240627/2*x^6 - 61694*x^5 - 159569/4*x^4 + 53897/4*x^3 + 13299/4*x^2 - 5207/4*x + 331/4, -11/4*x^19 + 1/4*x^18 + 84*x^17 - 25/2*x^16 - 4279/4*x^15 + 211*x^14 + 29521/4*x^13 - 6927/4*x^12 - 30012*x^11 + 30995/4*x^10 + 146683/2*x^9 - 19316*x^8 - 210219/2*x^7 + 102955/4*x^6 + 163213/2*x^5 - 64023/4*x^4 - 112205/4*x^3 + 3111*x^2 + 8153/4*x - 483/2, -11/4*x^19 + 1/4*x^18 + 84*x^17 - 25/2*x^16 - 4279/4*x^15 + 211*x^14 + 29521/4*x^13 - 6927/4*x^12 - 30012*x^11 + 30995/4*x^10 + 146683/2*x^9 - 19316*x^8 - 210219/2*x^7 + 102955/4*x^6 + 163213/2*x^5 - 64023/4*x^4 - 112205/4*x^3 + 3111*x^2 + 8153/4*x - 483/2, -7/4*x^19 + 1/4*x^18 + 52*x^17 - 51/4*x^16 - 2523/4*x^15 + 209*x^14 + 8023/2*x^13 - 1596*x^12 - 57147/4*x^11 + 6295*x^10 + 112395/4*x^9 - 51229/4*x^8 - 110555/4*x^7 + 12214*x^6 + 39229/4*x^5 - 8693/2*x^4 + 662*x^3 + 1655/2*x^2 - 266*x - 31/4, -7/4*x^19 + 1/4*x^18 + 52*x^17 - 51/4*x^16 - 2523/4*x^15 + 209*x^14 + 8023/2*x^13 - 1596*x^12 - 57147/4*x^11 + 6295*x^10 + 112395/4*x^9 - 51229/4*x^8 - 110555/4*x^7 + 12214*x^6 + 39229/4*x^5 - 8693/2*x^4 + 662*x^3 + 1655/2*x^2 - 266*x - 31/4, -1/4*x^21 + 1/4*x^20 + 10*x^19 - 37/4*x^18 - 673/4*x^17 + 149*x^16 + 3087/2*x^15 - 1343*x^14 - 8371*x^13 + 14507/2*x^12 + 27231*x^11 - 93927/4*x^10 - 205995/4*x^9 + 43418*x^8 + 103995/2*x^7 - 163929/4*x^6 - 23429*x^5 + 62077/4*x^4 + 3449*x^3 - 7281/4*x^2 - 115*x + 273/4, -1/4*x^21 + 1/4*x^20 + 10*x^19 - 37/4*x^18 - 673/4*x^17 + 149*x^16 + 3087/2*x^15 - 1343*x^14 - 8371*x^13 + 14507/2*x^12 + 27231*x^11 - 93927/4*x^10 - 205995/4*x^9 + 43418*x^8 + 103995/2*x^7 - 163929/4*x^6 - 23429*x^5 + 62077/4*x^4 + 3449*x^3 - 7281/4*x^2 - 115*x + 273/4, -5/4*x^20 + 77/2*x^18 - 17/4*x^17 - 985/2*x^16 + 419/4*x^15 + 3388*x^14 - 4127/4*x^13 - 54259/4*x^12 + 20815/4*x^11 + 63931/2*x^10 - 14370*x^9 - 170651/4*x^8 + 43393/2*x^7 + 57605/2*x^6 - 67401/4*x^5 - 27851/4*x^4 + 22689/4*x^3 - 347*x^2 - 527*x + 241/2, -5/4*x^20 + 77/2*x^18 - 17/4*x^17 - 985/2*x^16 + 419/4*x^15 + 3388*x^14 - 4127/4*x^13 - 54259/4*x^12 + 20815/4*x^11 + 63931/2*x^10 - 14370*x^9 - 170651/4*x^8 + 43393/2*x^7 + 57605/2*x^6 - 67401/4*x^5 - 27851/4*x^4 + 22689/4*x^3 - 347*x^2 - 527*x + 241/2]>
       ]
>;

MOG[433] := 	// J_0(433)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 5,
           Coordinates        := [73, 89, 235, 254, 316, 343, 123*x + 297, 310*x + 297, 143*x + 102, 290*x + 102, 310*x + 47, 123*x + 47, 366*x + 253, 67*x + 253, 371*x + 325, 62*x + 325, 34*x, 399*x, 57*x + 418, 376*x + 418, 418*x + 333, 15*x + 333, 209*x + 33, 224*x + 33, 360*x + 54, 73*x + 54, 193*x + 419, 240*x + 419, 415*x + 178, 18*x + 178, 177*x + 276, 256*x + 276, 279*x + 80, 154*x + 80, 194*x + 397, 239*x + 397]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [0, 0, -2, 2, 0, 0, 0, 0, -1, -1, 1, 1, 0, 0, -1, -1, -1, -1, 1, 1, -1, -1, 1, 1, 0, 0, -1, -1, 0, 0, 1, 1, 1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^3 - 8*x + 4,
           Coordinates        := [x^2, -x^2, 0, -x^2, 2*x, -x^2 + 2*x, x^2, x^2, -x, -x, x, x, -x^2 - 2*x + 2, -x^2 - 2*x + 2, 3*x - 2, 3*x - 2, -x, -x, -x, -x, x, x, x^2 - x, x^2 - x, 2*x - 2, 2*x - 2, -3*x + 2, -3*x + 2, 0, 0, x, x, -x, -x, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^15 + 10*x^14 + 29*x^13 - 22*x^12 - 251*x^11 - 272*x^10 + 583*x^9 + 1252*x^8 - 186*x^7 - 1821*x^6 - 675*x^5 + 899*x^4 + 482*x^3 - 93*x^2 - 27*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x^14 - 10*x^13 - 31*x^12 + 3*x^11 + 196*x^10 + 282*x^9 - 266*x^8 - 856*x^7 - 213*x^6 + 810*x^5 + 541*x^4 - 175*x^3 - 182*x^2 - 10*x, x^14 + 10*x^13 + 31*x^12 - 3*x^11 - 196*x^10 - 282*x^9 + 266*x^8 + 856*x^7 + 213*x^6 - 810*x^5 - 541*x^4 + 175*x^3 + 182*x^2 + 10*x, -x^13 - 9*x^12 - 22*x^11 + 25*x^10 + 171*x^9 + 111*x^8 - 377*x^7 - 479*x^6 + 266*x^5 + 544*x^4 - 3*x^3 - 172*x^2 - 10*x, x^13 + 9*x^12 + 22*x^11 - 25*x^10 - 171*x^9 - 111*x^8 + 377*x^7 + 479*x^6 - 266*x^5 - 544*x^4 + 3*x^3 + 172*x^2 + 10*x, -x^13 - 10*x^12 - 33*x^11 - 15*x^10 + 146*x^9 + 285*x^8 - 22*x^7 - 532*x^6 - 400*x^5 + 180*x^4 + 303*x^3 + 69*x^2 - 17*x - 1, x^13 + 10*x^12 + 33*x^11 + 15*x^10 - 146*x^9 - 285*x^8 + 22*x^7 + 532*x^6 + 400*x^5 - 180*x^4 - 303*x^3 - 69*x^2 + 17*x + 1, -x^12 - 9*x^11 - 25*x^10 + x^9 + 118*x^8 + 152*x^7 - 95*x^6 - 285*x^5 - 81*x^4 + 118*x^3 + 51*x^2 - 11*x - 1, x^12 + 9*x^11 + 25*x^10 - x^9 - 118*x^8 - 152*x^7 + 95*x^6 + 285*x^5 + 81*x^4 - 118*x^3 - 51*x^2 + 11*x + 1, -x^12 - 9*x^11 - 25*x^10 + 2*x^9 + 126*x^8 + 172*x^7 - 92*x^6 - 345*x^5 - 157*x^4 + 126*x^3 + 114*x^2 + 20*x + 1, x^12 + 9*x^11 + 25*x^10 - 2*x^9 - 126*x^8 - 172*x^7 + 92*x^6 + 345*x^5 + 157*x^4 - 126*x^3 - 114*x^2 - 20*x - 1, -x^11 - 9*x^10 - 27*x^9 - 15*x^8 + 79*x^7 + 152*x^6 + 34*x^5 - 143*x^4 - 134*x^3 - 29*x^2 + 5*x, x^11 + 9*x^10 + 27*x^9 + 15*x^8 - 79*x^7 - 152*x^6 - 34*x^5 + 143*x^4 + 134*x^3 + 29*x^2 - 5*x, -x^11 - 8*x^10 - 18*x^9 + 13*x^8 + 102*x^7 + 95*x^6 - 102*x^5 - 211*x^4 - 63*x^3 + 65*x^2 + 38*x + 2, x^11 + 8*x^10 + 18*x^9 - 13*x^8 - 102*x^7 - 95*x^6 + 102*x^5 + 211*x^4 + 63*x^3 - 65*x^2 - 38*x - 2, x^9 + 8*x^8 + 21*x^7 + 11*x^6 - 38*x^5 - 56*x^4 - 3*x^3 + 33*x^2 + 15*x, -x^9 - 8*x^8 - 21*x^7 - 11*x^6 + 38*x^5 + 56*x^4 + 3*x^3 - 33*x^2 - 15*x, -x^10 - 8*x^9 - 20*x^8 - 3*x^7 + 61*x^6 + 80*x^5 - 8*x^4 - 79*x^3 - 52*x^2 - 10*x, x^10 + 8*x^9 + 20*x^8 + 3*x^7 - 61*x^6 - 80*x^5 + 8*x^4 + 79*x^3 + 52*x^2 + 10*x, -x^10 - 8*x^9 - 19*x^8 + 3*x^7 + 68*x^6 + 62*x^5 - 45*x^4 - 68*x^3 + 6*x^2 + 21*x + 1, x^10 + 8*x^9 + 19*x^8 - 3*x^7 - 68*x^6 - 62*x^5 + 45*x^4 + 68*x^3 - 6*x^2 - 21*x - 1, -x^10 - 7*x^9 - 11*x^8 + 25*x^7 + 85*x^6 + 32*x^5 - 117*x^4 - 124*x^3 - 11*x^2 + 20*x + 1, x^10 + 7*x^9 + 11*x^8 - 25*x^7 - 85*x^6 - 32*x^5 + 117*x^4 + 124*x^3 + 11*x^2 - 20*x - 1, x^8 + 8*x^7 + 23*x^6 + 24*x^5 - 11*x^4 - 46*x^3 - 37*x^2 - 10*x, -x^8 - 8*x^7 - 23*x^6 - 24*x^5 + 11*x^4 + 46*x^3 + 37*x^2 + 10*x, -x^8 - 8*x^7 - 22*x^6 - 17*x^5 + 30*x^4 + 72*x^3 + 56*x^2 + 17*x + 1, x^8 + 8*x^7 + 22*x^6 + 17*x^5 - 30*x^4 - 72*x^3 - 56*x^2 - 17*x - 1, x^7 + 7*x^6 + 16*x^5 + 8*x^4 - 19*x^3 - 27*x^2 - 10*x, -x^7 - 7*x^6 - 16*x^5 - 8*x^4 + 19*x^3 + 27*x^2 + 10*x, x^7 + 6*x^6 + 11*x^5 + 2*x^4 - 15*x^3 - 16*x^2 - 5*x, -x^7 - 6*x^6 - 11*x^5 - 2*x^4 + 15*x^3 + 16*x^2 + 5*x]>,
         rec<Eigen |
           DefiningPolynomial := x^16 - 7*x^15 - 5*x^14 + 129*x^13 - 125*x^12 - 929*x^11 + 1471*x^10 + 3333*x^9 - 6394*x^8 - 6443*x^7 + 13118*x^6 + 7162*x^5 - 12217*x^4 - 4691*x^3 + 3598*x^2 + 1114*x - 3,
           Coordinates        := [-1/2*x^15 + 2*x^14 + 17/2*x^13 - 35*x^12 - 145/2*x^11 + 266*x^10 + 809/2*x^9 - 1129*x^8 - 1407*x^7 + 5307/2*x^6 + 5515/2*x^5 - 5619/2*x^4 - 2799*x^3 + 1351/2*x^2 + 1873/2*x + 325/2, -3/2*x^15 + 7*x^14 + 47/2*x^13 - 138*x^12 - 247/2*x^11 + 1074*x^10 + 415/2*x^9 - 4180*x^8 + 102*x^7 + 16923/2*x^6 - 201/2*x^5 - 16373/2*x^4 - 857*x^3 + 5047/2*x^2 + 651/2*x - 167/2, x^15 - 7*x^14 - 2*x^13 + 110*x^12 - 139*x^11 - 637*x^10 + 1230*x^9 + 1666*x^8 - 4166*x^7 - 2011*x^6 + 6379*x^5 + 1325*x^4 - 4221*x^3 - 761*x^2 + 868*x + 143, x^15 - 7*x^14 - 2*x^13 + 109*x^12 - 136*x^11 - 622*x^10 + 1190*x^9 + 1556*x^8 - 3930*x^7 - 1582*x^6 + 5666*x^5 + 539*x^4 - 3327*x^3 - 147*x^2 + 602*x + 32, x^14 - 7*x^13 + 96*x^11 - 135*x^10 - 469*x^9 + 948*x^8 + 1029*x^7 - 2550*x^6 - 1221*x^5 + 3054*x^4 + 1035*x^3 - 1411*x^2 - 493*x + 77, x^14 - 7*x^13 + 97*x^11 - 144*x^10 - 462*x^9 + 1069*x^8 + 778*x^7 - 3005*x^6 + 133*x^5 + 3442*x^4 - 1261*x^3 - 1334*x^2 + 662*x + 149, -1/2*x^14 + 3*x^13 + 3/2*x^12 - 75/2*x^11 + 33*x^10 + 165*x^9 - 212*x^8 - 335*x^7 + 855/2*x^6 + 436*x^5 - 721/2*x^4 - 813/2*x^3 + 106*x^2 + 197*x + 41, -1/2*x^14 + 3*x^13 + 3/2*x^12 - 75/2*x^11 + 33*x^10 + 165*x^9 - 212*x^8 - 335*x^7 + 855/2*x^6 + 436*x^5 - 721/2*x^4 - 813/2*x^3 + 106*x^2 + 197*x + 41, x^14 - 13/2*x^13 - 11/2*x^12 + 105*x^11 - 137/2*x^10 - 1315/2*x^9 + 1395/2*x^8 + 4083/2*x^7 - 4447/2*x^6 - 3378*x^5 + 2724*x^4 + 5805/2*x^3 - 831*x^2 - 872*x - 73, x^14 - 13/2*x^13 - 11/2*x^12 + 105*x^11 - 137/2*x^10 - 1315/2*x^9 + 1395/2*x^8 + 4083/2*x^7 - 4447/2*x^6 - 3378*x^5 + 2724*x^4 + 5805/2*x^3 - 831*x^2 - 872*x - 73, -1/2*x^13 + 3*x^12 + 1/2*x^11 - 65/2*x^10 + 41*x^9 + 193/2*x^8 - 207*x^7 + 6*x^6 + 260*x^5 - 321*x^4 + 5/2*x^3 + 705/2*x^2 - 47/2*x - 179/2, -1/2*x^13 + 3*x^12 + 1/2*x^11 - 65/2*x^10 + 41*x^9 + 193/2*x^8 - 207*x^7 + 6*x^6 + 260*x^5 - 321*x^4 + 5/2*x^3 + 705/2*x^2 - 47/2*x - 179/2, -1/2*x^12 + 5/2*x^11 + 9/2*x^10 - 73/2*x^9 - x^8 + 196*x^7 - 175/2*x^6 - 935/2*x^5 + 481/2*x^4 + 468*x^3 - 303/2*x^2 - 283/2*x + 61/2, -1/2*x^12 + 5/2*x^11 + 9/2*x^10 - 73/2*x^9 - x^8 + 196*x^7 - 175/2*x^6 - 935/2*x^5 + 481/2*x^4 + 468*x^3 - 303/2*x^2 - 283/2*x + 61/2, -1/2*x^12 + 5/2*x^11 + 7/2*x^10 - 32*x^9 + 6*x^8 + 145*x^7 - 80*x^6 - 579/2*x^5 + 245/2*x^4 + 291*x^3 + 22*x^2 - 145*x - 143/2, -1/2*x^12 + 5/2*x^11 + 7/2*x^10 - 32*x^9 + 6*x^8 + 145*x^7 - 80*x^6 - 579/2*x^5 + 245/2*x^4 + 291*x^3 + 22*x^2 - 145*x - 143/2, 3/2*x^11 - 17/2*x^10 - 11/2*x^9 + 201/2*x^8 - 153/2*x^7 - 386*x^6 + 448*x^5 + 1097/2*x^4 - 622*x^3 - 685/2*x^2 + 391/2*x + 59, 3/2*x^11 - 17/2*x^10 - 11/2*x^9 + 201/2*x^8 - 153/2*x^7 - 386*x^6 + 448*x^5 + 1097/2*x^4 - 622*x^3 - 685/2*x^2 + 391/2*x + 59, 1/2*x^11 - 3*x^10 - 3*x^9 + 85/2*x^8 - 18*x^7 - 431/2*x^6 + 152*x^5 + 979/2*x^4 - 543/2*x^3 - 1039/2*x^2 + 97*x + 161, 1/2*x^11 - 3*x^10 - 3*x^9 + 85/2*x^8 - 18*x^7 - 431/2*x^6 + 152*x^5 + 979/2*x^4 - 543/2*x^3 - 1039/2*x^2 + 97*x + 161, x^13 - 6*x^12 - 4*x^11 + 80*x^10 - 121/2*x^9 - 389*x^8 + 925/2*x^7 + 1715/2*x^6 - 1112*x^5 - 900*x^4 + 1993/2*x^3 + 809/2*x^2 - 453/2*x - 16, x^13 - 6*x^12 - 4*x^11 + 80*x^10 - 121/2*x^9 - 389*x^8 + 925/2*x^7 + 1715/2*x^6 - 1112*x^5 - 900*x^4 + 1993/2*x^3 + 809/2*x^2 - 453/2*x - 16, x^12 - 5*x^11 - 15/2*x^10 + 64*x^9 - 2*x^8 - 581/2*x^7 + 191/2*x^6 + 567*x^5 - 97*x^4 - 897/2*x^3 - 74*x^2 - 12*x - 43, x^12 - 5*x^11 - 15/2*x^10 + 64*x^9 - 2*x^8 - 581/2*x^7 + 191/2*x^6 + 567*x^5 - 97*x^4 - 897/2*x^3 - 74*x^2 - 12*x - 43, x^12 - 6*x^11 - 5/2*x^10 + 73*x^9 - 147/2*x^8 - 583/2*x^7 + 440*x^6 + 449*x^5 - 1531/2*x^4 - 362*x^3 + 421*x^2 + 425/2*x + 25/2, x^12 - 6*x^11 - 5/2*x^10 + 73*x^9 - 147/2*x^8 - 583/2*x^7 + 440*x^6 + 449*x^5 - 1531/2*x^4 - 362*x^3 + 421*x^2 + 425/2*x + 25/2, x^12 - 6*x^11 - 7/2*x^10 + 155/2*x^9 - 133/2*x^8 - 685/2*x^7 + 895/2*x^6 + 627*x^5 - 1767/2*x^4 - 539*x^3 + 1189/2*x^2 + 209*x - 179/2, x^12 - 6*x^11 - 7/2*x^10 + 155/2*x^9 - 133/2*x^8 - 685/2*x^7 + 895/2*x^6 + 627*x^5 - 1767/2*x^4 - 539*x^3 + 1189/2*x^2 + 209*x - 179/2, x^13 - 5*x^12 - 12*x^11 + 91*x^10 + 9*x^9 - 1209/2*x^8 + 370*x^7 + 3595/2*x^6 - 1600*x^5 - 4697/2*x^4 + 2114*x^3 + 2363/2*x^2 - 666*x - 106, x^13 - 5*x^12 - 12*x^11 + 91*x^10 + 9*x^9 - 1209/2*x^8 + 370*x^7 + 3595/2*x^6 - 1600*x^5 - 4697/2*x^4 + 2114*x^3 + 2363/2*x^2 - 666*x - 106, x^13 - 7*x^12 + 2*x^11 + 84*x^10 - 141*x^9 - 637/2*x^8 + 808*x^7 + 395*x^6 - 3325/2*x^5 - 145*x^4 + 1405*x^3 + 134*x^2 - 791/2*x - 143/2, x^13 - 7*x^12 + 2*x^11 + 84*x^10 - 141*x^9 - 637/2*x^8 + 808*x^7 + 395*x^6 - 3325/2*x^5 - 145*x^4 + 1405*x^3 + 134*x^2 - 791/2*x - 143/2, x^14 - 6*x^13 - 7*x^12 + 98*x^11 - 53*x^10 - 599*x^9 + 640*x^8 + 3403/2*x^7 - 4189/2*x^6 - 2308*x^5 + 2471*x^4 + 2895/2*x^3 - 1319/2*x^2 - 239*x - 37, x^14 - 6*x^13 - 7*x^12 + 98*x^11 - 53*x^10 - 599*x^9 + 640*x^8 + 3403/2*x^7 - 4189/2*x^6 - 2308*x^5 + 2471*x^4 + 2895/2*x^3 - 1319/2*x^2 - 239*x - 37, x^12 - 3*x^11 - 18*x^10 + 55*x^9 + 119*x^8 - 733/2*x^7 - 363*x^6 + 2143/2*x^5 + 543*x^4 - 2525/2*x^3 - 411*x^2 + 719/2*x + 53, x^12 - 3*x^11 - 18*x^10 + 55*x^9 + 119*x^8 - 733/2*x^7 - 363*x^6 + 2143/2*x^5 + 543*x^4 - 2525/2*x^3 - 411*x^2 + 719/2*x + 53]>
       ]
>;

MOG[439] := 	// J_0(439)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [81, 98, 126, 137, 157, 224, 247, 271, 288, 311, 345, 375, 390, 411, 435, 27*x + 86, 412*x + 86, 27*x + 379, 412*x + 379, 18*x + 166, 421*x + 166, 407*x + 140, 32*x + 140, 168*x + 393, 271*x + 393, 69*x + 278, 370*x + 278, 231*x + 85, 208*x + 85, 232*x + 395, 207*x + 395, 169*x + 344, 270*x + 344, 407*x + 134, 32*x + 134, 156*x + 5, 283*x + 5]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 - x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, 1, -1, 0, 0, 1, -1, x - 1, -x + 1, -x, x, x - 1, -x + 1, -x, x, -x, x, 1, -1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^9 + x^8 - 12*x^7 - 6*x^6 + 49*x^5 - x^4 - 72*x^3 + 30*x^2 + 18*x - 9,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^8 - 2*x^7 + 10*x^6 + 15*x^5 - 35*x^4 - 26*x^3 + 48*x^2 - 9, x^8 + 2*x^7 - 10*x^6 - 15*x^5 + 35*x^4 + 26*x^3 - 48*x^2 + 9, -x^8 - 2*x^7 + 9*x^6 + 14*x^5 - 27*x^4 - 24*x^3 + 30*x^2 + 9*x - 9, x^8 + 2*x^7 - 9*x^6 - 14*x^5 + 27*x^4 + 24*x^3 - 30*x^2 - 9*x + 9, -x^7 - 2*x^6 + 7*x^5 + 10*x^4 - 16*x^3 - 9*x^2 + 9*x, x^7 + 2*x^6 - 7*x^5 - 10*x^4 + 16*x^3 + 9*x^2 - 9*x, x^4 + 3*x^3 - 2*x^2 - 6*x + 3, -x^4 - 3*x^3 + 2*x^2 + 6*x - 3, -x^6 - 2*x^5 + 5*x^4 + 7*x^3 - 8*x^2 - 3*x + 3, x^6 + 2*x^5 - 5*x^4 - 7*x^3 + 8*x^2 + 3*x - 3, -x^6 - 2*x^5 + 6*x^4 + 8*x^3 - 13*x^2 - 6*x + 6, x^6 + 2*x^5 - 6*x^4 - 8*x^3 + 13*x^2 + 6*x - 6, x^4 + x^3 - 3*x^2, -x^4 - x^3 + 3*x^2, x^5 + 2*x^4 - 3*x^3 - 3*x^2 + 3*x, -x^5 - 2*x^4 + 3*x^3 + 3*x^2 - 3*x, -x^5 - 2*x^4 + 3*x^3 + 5*x^2 - 3, x^5 + 2*x^4 - 3*x^3 - 5*x^2 + 3, -x^5 - x^4 + 5*x^3 + x^2 - 6*x + 3, x^5 + x^4 - 5*x^3 - x^2 + 6*x - 3, 2*x^4 + 2*x^3 - 8*x^2 + 3, -2*x^4 - 2*x^3 + 8*x^2 - 3]>,
         rec<Eigen |
           DefiningPolynomial := x^25 - 4*x^24 - 31*x^23 + 138*x^22 + 389*x^21 - 2034*x^20 - 2453*x^19 + 16766*x^18 + 7126*x^17 - 84887*x^16 + 1717*x^15 + 272618*x^14 - 79978*x^13 - 552928*x^12 + 255108*x^11 + 682589*x^10 - 376568*x^9 - 476301*x^8 + 270078*x^7 + 167567*x^6 - 81530*x^5 - 24739*x^4 + 6834*x^3 + 740*x^2 - 187*x + 5,
           Coordinates        := [-x^24 + 4*x^23 + 29*x^22 - 129*x^21 - 339*x^20 + 1767*x^19 + 1991*x^18 - 13453*x^17 - 5506*x^16 + 62486*x^15 + 572*x^14 - 182600*x^13 + 41510*x^12 + 333346*x^11 - 121243*x^10 - 364299*x^9 + 156031*x^8 + 218253*x^7 - 94078*x^6 - 61382*x^5 + 22575*x^4 + 5726*x^3 - 1077*x^2 - 43*x + 4, x^24 - 3*x^23 - 33*x^22 + 103*x^21 + 457*x^20 - 1505*x^19 - 3445*x^18 + 12239*x^17 + 15246*x^16 - 60725*x^15 - 39212*x^14 + 189151*x^13 + 51117*x^12 - 365647*x^11 - 10173*x^10 + 416169*x^9 - 51187*x^8 - 248963*x^7 + 49275*x^6 + 62443*x^5 - 12678*x^4 - 3641*x^3 + 824*x^2 - 43*x + 2, -x^23 + 4*x^22 + 27*x^21 - 121*x^20 - 287*x^19 + 1535*x^18 + 1459*x^17 - 10645*x^16 - 2899*x^15 + 44066*x^14 - 4562*x^13 - 111541*x^12 + 35790*x^11 + 170204*x^10 - 74297*x^9 - 149909*x^8 + 71022*x^7 + 71412*x^6 - 32121*x^5 - 15674*x^4 + 6015*x^3 + 727*x^2 - 210*x + 6, -x^20 + 2*x^19 + 29*x^18 - 55*x^17 - 350*x^16 + 627*x^15 + 2278*x^14 - 3832*x^13 - 8643*x^12 + 13561*x^11 + 19180*x^10 - 27935*x^9 - 23411*x^8 + 31781*x^7 + 13381*x^6 - 17460*x^5 - 2567*x^4 + 3415*x^3 + 146*x^2 - 100*x + 2, -x^22 + 4*x^21 + 27*x^20 - 119*x^19 - 293*x^18 + 1493*x^17 + 1579*x^16 - 10259*x^15 - 3861*x^14 + 41912*x^13 - 546*x^12 - 103195*x^11 + 26126*x^10 + 147684*x^9 - 59503*x^8 - 111561*x^7 + 54308*x^6 + 36500*x^5 - 18525*x^4 - 2970*x^3 + 1229*x^2 - 77*x, x^22 - 4*x^21 - 25*x^20 + 114*x^19 + 239*x^18 - 1352*x^17 - 1003*x^16 + 8668*x^15 + 752*x^14 - 32594*x^13 + 9453*x^12 + 72625*x^11 - 38552*x^10 - 91431*x^9 + 64180*x^8 + 56717*x^7 - 48490*x^6 - 11770*x^5 + 13401*x^4 - 99*x^3 - 886*x^2 + 82*x - 2, -x^22 + 4*x^21 + 25*x^20 - 113*x^19 - 239*x^18 + 1315*x^17 + 1028*x^16 - 8161*x^15 - 1273*x^14 + 29147*x^13 - 5174*x^12 - 59947*x^11 + 20820*x^10 + 66706*x^9 - 25506*x^8 - 35280*x^7 + 7649*x^6 + 9208*x^5 + 1965*x^4 - 2029*x^3 - 362*x^2 + 126*x - 4, -x^23 + 4*x^22 + 27*x^21 - 121*x^20 - 289*x^19 + 1539*x^18 + 1513*x^17 - 10753*x^16 - 3480*x^15 + 45200*x^14 - 1312*x^13 - 117494*x^12 + 25450*x^11 + 186638*x^10 - 54809*x^9 - 172319*x^8 + 48261*x^7 + 83263*x^6 - 15064*x^5 - 16740*x^4 - 159*x^3 + 856*x^2 - 55*x + 1, x^21 - 4*x^20 - 23*x^19 + 102*x^18 + 211*x^17 - 1072*x^16 - 1009*x^15 + 6046*x^14 + 2902*x^13 - 20002*x^12 - 6251*x^11 + 39985*x^10 + 12310*x^9 - 48127*x^8 - 17780*x^7 + 33033*x^6 + 12340*x^5 - 9996*x^4 - 2971*x^3 + 335*x^2 + 84*x - 6, -x^21 + 4*x^20 + 23*x^19 - 107*x^18 - 191*x^17 + 1157*x^16 + 602*x^15 - 6531*x^14 + 367*x^13 + 20747*x^12 - 7028*x^11 - 37203*x^10 + 16332*x^9 + 36026*x^8 - 13192*x^7 - 17982*x^6 + 1733*x^5 + 5096*x^4 + 307*x^3 - 209*x^2 + 4*x - 2, -x^21 + 4*x^20 + 25*x^19 - 113*x^18 - 240*x^17 + 1327*x^16 + 1024*x^15 - 8388*x^14 - 979*x^13 + 30847*x^12 - 7942*x^11 - 66295*x^10 + 32459*x^9 + 78603*x^8 - 50181*x^7 - 44222*x^6 + 32353*x^5 + 8549*x^4 - 6684*x^3 - 392*x^2 + 202*x - 4, 2*x^21 - 6*x^20 - 57*x^19 + 182*x^18 + 648*x^17 - 2253*x^16 - 3772*x^15 + 14864*x^14 + 11766*x^13 - 56908*x^12 - 17501*x^11 + 128043*x^10 + 3275*x^9 - 161992*x^8 + 21366*x^7 + 102331*x^6 - 19773*x^5 - 25267*x^4 + 4326*x^3 + 1142*x^2 - 256*x + 8, x^20 - 2*x^19 - 30*x^18 + 67*x^17 + 346*x^16 - 854*x^15 - 1984*x^14 + 5532*x^13 + 5875*x^12 - 19909*x^11 - 7541*x^10 + 39832*x^9 - 1264*x^8 - 40723*x^7 + 11323*x^6 + 16801*x^5 - 6082*x^4 - 1778*x^3 + 418*x^2 - 30*x + 2, x^19 - x^18 - 31*x^17 + 36*x^16 + 382*x^15 - 472*x^14 - 2456*x^13 + 3076*x^12 + 8951*x^11 - 10958*x^10 - 18499*x^9 + 21333*x^8 + 20069*x^7 - 20654*x^6 - 9331*x^5 + 7470*x^4 + 1388*x^3 - 390*x^2 + 28*x - 2, x^23 - 3*x^22 - 31*x^21 + 97*x^20 + 399*x^19 - 1321*x^18 - 2767*x^17 + 9919*x^16 + 11128*x^15 - 45007*x^14 - 25462*x^13 + 126711*x^12 + 27741*x^11 - 217695*x^10 + 643*x^9 + 214345*x^8 - 28557*x^7 - 105909*x^6 + 18179*x^5 + 20375*x^4 - 2270*x^3 - 721*x^2 + 150*x - 5, x^22 - 3*x^21 - 29*x^20 + 92*x^19 + 339*x^18 - 1160*x^17 - 2059*x^16 + 7859*x^15 + 6875*x^14 - 31220*x^13 - 11688*x^12 + 73976*x^11 + 5408*x^10 - 100912*x^9 + 11315*x^8 + 71527*x^7 - 15548*x^6 - 21034*x^5 + 5204*x^4 + 1460*x^3 - 337*x^2 + 19*x - 1, x^22 - 3*x^21 - 29*x^20 + 92*x^19 + 339*x^18 - 1160*x^17 - 2059*x^16 + 7859*x^15 + 6875*x^14 - 31220*x^13 - 11688*x^12 + 73976*x^11 + 5408*x^10 - 100912*x^9 + 11315*x^8 + 71527*x^7 - 15548*x^6 - 21034*x^5 + 5204*x^4 + 1460*x^3 - 337*x^2 + 19*x - 1, x^20 - 3*x^19 - 21*x^18 + 60*x^17 + 193*x^16 - 481*x^15 - 1077*x^14 + 2008*x^13 + 4173*x^12 - 4832*x^11 - 11260*x^10 + 7397*x^9 + 19174*x^8 - 8357*x^7 - 17456*x^6 + 6798*x^5 + 6352*x^4 - 2393*x^3 - 402*x^2 + 105*x - 3, x^20 - 3*x^19 - 21*x^18 + 60*x^17 + 193*x^16 - 481*x^15 - 1077*x^14 + 2008*x^13 + 4173*x^12 - 4832*x^11 - 11260*x^10 + 7397*x^9 + 19174*x^8 - 8357*x^7 - 17456*x^6 + 6798*x^5 + 6352*x^4 - 2393*x^3 - 402*x^2 + 105*x - 3, -x^20 + 6*x^19 + 14*x^18 - 140*x^17 - x^16 + 1323*x^15 - 1006*x^14 - 6519*x^13 + 7402*x^12 + 17959*x^11 - 24137*x^10 - 27598*x^9 + 39831*x^8 + 22578*x^7 - 31962*x^6 - 9114*x^5 + 10928*x^4 + 1108*x^3 - 787*x^2 + 55*x + 1, -x^20 + 6*x^19 + 14*x^18 - 140*x^17 - x^16 + 1323*x^15 - 1006*x^14 - 6519*x^13 + 7402*x^12 + 17959*x^11 - 24137*x^10 - 27598*x^9 + 39831*x^8 + 22578*x^7 - 31962*x^6 - 9114*x^5 + 10928*x^4 + 1108*x^3 - 787*x^2 + 55*x + 1, -x^20 + 3*x^19 + 24*x^18 - 79*x^17 - 213*x^16 + 815*x^15 + 820*x^14 - 4200*x^13 - 927*x^12 + 11372*x^11 - 2244*x^10 - 15340*x^9 + 6157*x^8 + 8649*x^7 - 2958*x^6 - 2056*x^5 - 829*x^4 + 910*x^3 + 183*x^2 - 64*x + 2, -x^20 + 3*x^19 + 24*x^18 - 79*x^17 - 213*x^16 + 815*x^15 + 820*x^14 - 4200*x^13 - 927*x^12 + 11372*x^11 - 2244*x^10 - 15340*x^9 + 6157*x^8 + 8649*x^7 - 2958*x^6 - 2056*x^5 - 829*x^4 + 910*x^3 + 183*x^2 - 64*x + 2, -x^21 + 4*x^20 + 23*x^19 - 105*x^18 - 201*x^17 + 1133*x^16 + 786*x^15 - 6517*x^14 - 902*x^13 + 21638*x^12 - 2985*x^11 - 41769*x^10 + 10782*x^9 + 44384*x^8 - 11763*x^7 - 22073*x^6 + 3243*x^5 + 2942*x^4 + 1389*x^3 - 28*x^2 - 60*x + 2, -x^21 + 4*x^20 + 23*x^19 - 105*x^18 - 201*x^17 + 1133*x^16 + 786*x^15 - 6517*x^14 - 902*x^13 + 21638*x^12 - 2985*x^11 - 41769*x^10 + 10782*x^9 + 44384*x^8 - 11763*x^7 - 22073*x^6 + 3243*x^5 + 2942*x^4 + 1389*x^3 - 28*x^2 - 60*x + 2, x^20 - 6*x^19 - 14*x^18 + 140*x^17 - 3*x^16 - 1311*x^15 + 1075*x^14 + 6296*x^13 - 7852*x^12 - 16320*x^11 + 25431*x^10 + 21652*x^9 - 40980*x^8 - 11842*x^7 + 30415*x^6 + 887*x^5 - 8186*x^4 + 217*x^3 + 485*x^2 - 44*x + 1, x^20 - 6*x^19 - 14*x^18 + 140*x^17 - 3*x^16 - 1311*x^15 + 1075*x^14 + 6296*x^13 - 7852*x^12 - 16320*x^11 + 25431*x^10 + 21652*x^9 - 40980*x^8 - 11842*x^7 + 30415*x^6 + 887*x^5 - 8186*x^4 + 217*x^3 + 485*x^2 - 44*x + 1, -2*x^19 + 4*x^18 + 52*x^17 - 104*x^16 - 543*x^15 + 1075*x^14 + 2941*x^13 - 5655*x^12 - 8939*x^11 + 16059*x^10 + 15517*x^9 - 23831*x^8 - 15383*x^7 + 16110*x^6 + 8850*x^5 - 3471*x^4 - 2472*x^3 - 263*x^2 + 136*x - 3, -2*x^19 + 4*x^18 + 52*x^17 - 104*x^16 - 543*x^15 + 1075*x^14 + 2941*x^13 - 5655*x^12 - 8939*x^11 + 16059*x^10 + 15517*x^9 - 23831*x^8 - 15383*x^7 + 16110*x^6 + 8850*x^5 - 3471*x^4 - 2472*x^3 - 263*x^2 + 136*x - 3, -x^20 + 3*x^19 + 24*x^18 - 74*x^17 - 238*x^16 + 761*x^15 + 1256*x^14 - 4235*x^13 - 3720*x^12 + 13723*x^11 + 5804*x^10 - 25692*x^9 - 3546*x^8 + 25617*x^7 - 184*x^6 - 11412*x^5 - 715*x^4 + 2348*x^3 + 408*x^2 - 138*x + 5, -x^20 + 3*x^19 + 24*x^18 - 74*x^17 - 238*x^16 + 761*x^15 + 1256*x^14 - 4235*x^13 - 3720*x^12 + 13723*x^11 + 5804*x^10 - 25692*x^9 - 3546*x^8 + 25617*x^7 - 184*x^6 - 11412*x^5 - 715*x^4 + 2348*x^3 + 408*x^2 - 138*x + 5, -x^22 + 4*x^21 + 25*x^20 - 114*x^19 - 239*x^18 + 1350*x^17 + 1013*x^16 - 8643*x^15 - 942*x^14 + 32553*x^13 - 8030*x^12 - 73354*x^11 + 33217*x^10 + 95990*x^9 - 53885*x^8 - 67495*x^7 + 39507*x^6 + 22321*x^5 - 11367*x^4 - 2435*x^3 + 511*x^2 + 22*x - 2, -x^22 + 4*x^21 + 25*x^20 - 114*x^19 - 239*x^18 + 1350*x^17 + 1013*x^16 - 8643*x^15 - 942*x^14 + 32553*x^13 - 8030*x^12 - 73354*x^11 + 33217*x^10 + 95990*x^9 - 53885*x^8 - 67495*x^7 + 39507*x^6 + 22321*x^5 - 11367*x^4 - 2435*x^3 + 511*x^2 + 22*x - 2, -x^20 + 3*x^19 + 24*x^18 - 77*x^17 - 226*x^16 + 803*x^15 + 1046*x^14 - 4396*x^13 - 2357*x^12 + 13626*x^11 + 1702*x^10 - 24008*x^9 + 2291*x^8 + 22844*x^7 - 4302*x^6 - 10265*x^5 + 1828*x^4 + 1299*x^3 + 216*x^2 - 75*x + 1, -x^20 + 3*x^19 + 24*x^18 - 77*x^17 - 226*x^16 + 803*x^15 + 1046*x^14 - 4396*x^13 - 2357*x^12 + 13626*x^11 + 1702*x^10 - 24008*x^9 + 2291*x^8 + 22844*x^7 - 4302*x^6 - 10265*x^5 + 1828*x^4 + 1299*x^3 + 216*x^2 - 75*x + 1, -x^21 + 3*x^20 + 27*x^19 - 84*x^18 - 299*x^17 + 977*x^16 + 1752*x^15 - 6130*x^14 - 5816*x^13 + 22502*x^12 + 10752*x^11 - 48879*x^10 - 9858*x^9 + 60440*x^8 + 3009*x^7 - 38869*x^6 + 454*x^5 + 11363*x^4 - 719*x^3 - 806*x^2 + 113*x - 3, -x^21 + 3*x^20 + 27*x^19 - 84*x^18 - 299*x^17 + 977*x^16 + 1752*x^15 - 6130*x^14 - 5816*x^13 + 22502*x^12 + 10752*x^11 - 48879*x^10 - 9858*x^9 + 60440*x^8 + 3009*x^7 - 38869*x^6 + 454*x^5 + 11363*x^4 - 719*x^3 - 806*x^2 + 113*x - 3]>
       ]
>;

MOG[443] := 	// J_0(443)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 132, 141, 174, 257, 291, 377, 397, 399, 432, 279*x + 2, 164*x + 2, 56*x + 180, 387*x + 180, 113*x + 392, 330*x + 392, 278*x + 143, 165*x + 143, 67*x + 361, 376*x + 361, 246*x + 14, 197*x + 14, 106*x + 2, 337*x + 2, 191*x + 405, 252*x + 405, 62*x + 331, 381*x + 331, 10*x + 402, 433*x + 402, 62*x + 324, 381*x + 324, 229*x, 214*x, 191*x + 111, 252*x + 111, 150*x + 422, 293*x + 422]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, 0, 0, 0, 0, 1, -1, 0, 0, 1, -1, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, 1, -1, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, 1, -1, 0, 0, 1, -1, -1, 1, 0, 0, 0, 0, 1, -1, 0, 0, -1, 1, 0, 0, -1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [0, 0, -2, 2, 2, 2, 0, 0, -2, 0, 2, 2, 1, 1, 1, 1, 0, 0, -1, -1, -1, -1, 0, 0, -2, -2, 1, 1, -2, -2, -1, -1, 0, 0, 1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^12 + 3*x^11 - 13*x^10 - 39*x^9 + 64*x^8 + 181*x^7 - 159*x^6 - 357*x^5 + 226*x^4 + 264*x^3 - 156*x^2 - 20*x + 6,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -2*x^10 - 6*x^9 + 18*x^8 + 54*x^7 - 61*x^6 - 156*x^5 + 110*x^4 + 148*x^3 - 101*x^2 - 8*x + 5, 2*x^10 + 6*x^9 - 18*x^8 - 54*x^7 + 61*x^6 + 156*x^5 - 110*x^4 - 148*x^3 + 101*x^2 + 8*x - 5, -x^11 - 3*x^10 + 9*x^9 + 27*x^8 - 31*x^7 - 79*x^6 + 57*x^5 + 75*x^4 - 56*x^3 - 2*x^2 + 4*x, x^11 + 3*x^10 - 9*x^9 - 27*x^8 + 31*x^7 + 79*x^6 - 57*x^5 - 75*x^4 + 56*x^3 + 2*x^2 - 4*x, -x^11 - 3*x^10 + 9*x^9 + 27*x^8 - 30*x^7 - 77*x^6 + 53*x^5 + 73*x^4 - 45*x^3 - 6*x^2 + x, x^11 + 3*x^10 - 9*x^9 - 27*x^8 + 30*x^7 + 77*x^6 - 53*x^5 - 73*x^4 + 45*x^3 + 6*x^2 - x, -x^10 - 3*x^9 + 7*x^8 + 23*x^7 - 18*x^6 - 59*x^5 + 27*x^4 + 55*x^3 - 26*x^2 - 5*x + 1, x^10 + 3*x^9 - 7*x^8 - 23*x^7 + 18*x^6 + 59*x^5 - 27*x^4 - 55*x^3 + 26*x^2 + 5*x - 1, -x^10 - 3*x^9 + 8*x^8 + 25*x^7 - 23*x^6 - 67*x^5 + 33*x^4 + 59*x^3 - 25*x^2 - 7*x, x^10 + 3*x^9 - 8*x^8 - 25*x^7 + 23*x^6 + 67*x^5 - 33*x^4 - 59*x^3 + 25*x^2 + 7*x, -x^10 - 3*x^9 + 9*x^8 + 27*x^7 - 30*x^6 - 77*x^5 + 53*x^4 + 73*x^3 - 45*x^2 - 6*x + 1, x^10 + 3*x^9 - 9*x^8 - 27*x^7 + 30*x^6 + 77*x^5 - 53*x^4 - 73*x^3 + 45*x^2 + 6*x - 1, -x^10 - 3*x^9 + 7*x^8 + 23*x^7 - 15*x^6 - 51*x^5 + 18*x^4 + 37*x^3 - 9*x^2 - 6*x, x^10 + 3*x^9 - 7*x^8 - 23*x^7 + 15*x^6 + 51*x^5 - 18*x^4 - 37*x^3 + 9*x^2 + 6*x, -x^9 - x^8 + 10*x^7 + 5*x^6 - 36*x^5 - 3*x^4 + 45*x^3 - 11*x^2 - 7*x, x^9 + x^8 - 10*x^7 - 5*x^6 + 36*x^5 + 3*x^4 - 45*x^3 + 11*x^2 + 7*x, -x^9 - 3*x^8 + 3*x^7 + 15*x^6 + 6*x^5 - 17*x^4 - 15*x^3 + 8*x^2 + 4*x, x^9 + 3*x^8 - 3*x^7 - 15*x^6 - 6*x^5 + 17*x^4 + 15*x^3 - 8*x^2 - 4*x, -x^9 - 2*x^8 + 8*x^7 + 12*x^6 - 24*x^5 - 16*x^4 + 31*x^3 - 5*x^2 - 4*x, x^9 + 2*x^8 - 8*x^7 - 12*x^6 + 24*x^5 + 16*x^4 - 31*x^3 + 5*x^2 + 4*x, -x^9 - 2*x^8 + 7*x^7 + 13*x^6 - 15*x^5 - 21*x^4 + 15*x^3 + 8*x^2 - 3*x - 1, x^9 + 2*x^8 - 7*x^7 - 13*x^6 + 15*x^5 + 21*x^4 - 15*x^3 - 8*x^2 + 3*x + 1, -x^9 - 2*x^8 + 8*x^7 + 13*x^6 - 20*x^5 - 15*x^4 + 21*x^3 - 8*x^2 + 2*x + 1, x^9 + 2*x^8 - 8*x^7 - 13*x^6 + 20*x^5 + 15*x^4 - 21*x^3 + 8*x^2 - 2*x - 1, -2*x^8 - 5*x^7 + 11*x^6 + 27*x^5 - 18*x^4 - 33*x^3 + 16*x^2 + 3*x, 2*x^8 + 5*x^7 - 11*x^6 - 27*x^5 + 18*x^4 + 33*x^3 - 16*x^2 - 3*x, -2*x^8 - 3*x^7 + 13*x^6 + 15*x^5 - 24*x^4 - 14*x^3 + 14*x^2 + 2*x - 1, 2*x^8 + 3*x^7 - 13*x^6 - 15*x^5 + 24*x^4 + 14*x^3 - 14*x^2 - 2*x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^22 - x^21 - 35*x^20 + 33*x^19 + 523*x^18 - 456*x^17 - 4360*x^16 + 3428*x^15 + 22226*x^14 - 15227*x^13 - 71363*x^12 + 40569*x^11 + 143034*x^10 - 62774*x^9 - 170342*x^8 + 51992*x^7 + 107186*x^6 - 20952*x^5 - 26926*x^4 + 5536*x^3 + 1736*x^2 - 512*x + 32,
           Coordinates        := [-x^21 + x^20 + 32*x^19 - 30*x^18 - 431*x^17 + 370*x^16 + 3181*x^15 - 2424*x^14 - 14025*x^13 + 9079*x^12 + 37748*x^11 - 19432*x^10 - 60742*x^9 + 22382*x^8 + 54632*x^7 - 12130*x^6 - 23940*x^5 + 2632*x^4 + 4224*x^3 - 344*x^2 - 256*x + 32, x^21 - x^20 - 32*x^19 + 30*x^18 + 429*x^17 - 368*x^16 - 3133*x^15 + 2384*x^14 + 13557*x^13 - 8781*x^12 - 35352*x^11 + 18438*x^10 + 53802*x^9 - 21110*x^8 - 43302*x^7 + 12430*x^6 + 14324*x^5 - 4132*x^4 - 784*x^3 + 636*x^2 - 168*x + 16, -x^19 + x^18 + 28*x^17 - 26*x^16 - 325*x^15 + 274*x^14 + 2029*x^13 - 1506*x^12 - 7391*x^11 + 4601*x^10 + 15936*x^9 - 7594*x^8 - 19716*x^7 + 5798*x^6 + 12940*x^5 - 1064*x^4 - 3958*x^3 - 104*x^2 + 432*x - 48, x^19 - x^18 - 28*x^17 + 28*x^16 + 319*x^15 - 314*x^14 - 1905*x^13 + 1812*x^12 + 6387*x^11 - 5717*x^10 - 11854*x^9 + 9528*x^8 + 10810*x^7 - 7050*x^6 - 2770*x^5 + 1168*x^4 - 1302*x^3 - 136*x^2 + 176*x - 16, x^20 - x^19 - 30*x^18 + 28*x^17 + 373*x^16 - 314*x^15 - 2497*x^14 + 1804*x^13 + 9787*x^12 - 5595*x^11 - 22876*x^10 + 8866*x^9 + 31046*x^8 - 5498*x^7 - 22556*x^6 - 436*x^5 + 7398*x^4 + 396*x^3 - 856*x^2 + 96*x, -3*x^19 + 3*x^18 + 86*x^17 - 80*x^16 - 1017*x^15 + 850*x^14 + 6431*x^13 - 4594*x^12 - 23561*x^11 + 13303*x^10 + 50580*x^9 - 19690*x^8 - 60934*x^7 + 12272*x^6 + 36178*x^5 - 1640*x^4 - 7234*x^3 + 656*x^2 + 368*x - 48, x^19 - x^18 - 28*x^17 + 26*x^16 + 317*x^15 - 266*x^14 - 1865*x^13 + 1374*x^12 + 6089*x^11 - 3855*x^10 - 10902*x^9 + 6084*x^8 + 9936*x^7 - 5816*x^6 - 4156*x^5 + 3360*x^4 + 1230*x^3 - 404*x^2 - 8*x, -3*x^20 + 3*x^19 + 92*x^18 - 86*x^17 - 1179*x^16 + 1004*x^15 + 8201*x^14 - 6148*x^13 - 33615*x^12 + 21137*x^11 + 82292*x^10 - 40392*x^9 - 115710*x^8 + 39862*x^7 + 83246*x^6 - 18320*x^5 - 22702*x^4 + 5192*x^3 + 1480*x^2 - 480*x + 32, 2*x^16 - 48*x^14 + 2*x^13 + 446*x^12 - 22*x^11 - 2020*x^10 + 44*x^9 + 4592*x^8 + 208*x^7 - 4810*x^6 - 734*x^5 + 1772*x^4 + 496*x^3 - 108*x^2 - 88*x + 16, 2*x^17 - 2*x^16 - 48*x^15 + 50*x^14 + 444*x^13 - 468*x^12 - 1998*x^11 + 2064*x^10 + 4548*x^9 - 4384*x^8 - 5018*x^7 + 4076*x^6 + 2506*x^5 - 1276*x^4 - 604*x^3 + 20*x^2 + 104*x - 16, x^18 - x^17 - 26*x^16 + 25*x^15 + 270*x^14 - 236*x^13 - 1445*x^12 + 1054*x^11 + 4294*x^10 - 2236*x^9 - 7101*x^8 + 1830*x^7 + 6063*x^6 + 96*x^5 - 2074*x^4 - 486*x^3 + 160*x^2 + 80*x - 16, x^18 - x^17 - 26*x^16 + 25*x^15 + 270*x^14 - 236*x^13 - 1445*x^12 + 1054*x^11 + 4294*x^10 - 2236*x^9 - 7101*x^8 + 1830*x^7 + 6063*x^6 + 96*x^5 - 2074*x^4 - 486*x^3 + 160*x^2 + 80*x - 16, 2*x^17 - 2*x^16 - 54*x^15 + 51*x^14 + 585*x^13 - 497*x^12 - 3273*x^11 + 2340*x^10 + 10092*x^9 - 5458*x^8 - 16784*x^7 + 5620*x^6 + 13312*x^5 - 1758*x^4 - 3454*x^3 + 376*x^2 + 160*x - 16, 2*x^17 - 2*x^16 - 54*x^15 + 51*x^14 + 585*x^13 - 497*x^12 - 3273*x^11 + 2340*x^10 + 10092*x^9 - 5458*x^8 - 16784*x^7 + 5620*x^6 + 13312*x^5 - 1758*x^4 - 3454*x^3 + 376*x^2 + 160*x - 16, x^19 - x^18 - 30*x^17 + 29*x^16 + 372*x^15 - 337*x^14 - 2474*x^13 + 2019*x^12 + 9565*x^11 - 6640*x^10 - 21741*x^9 + 11672*x^8 + 27865*x^7 - 9600*x^6 - 17892*x^5 + 2548*x^4 + 4218*x^3 - 316*x^2 - 280*x + 32, x^19 - x^18 - 30*x^17 + 29*x^16 + 372*x^15 - 337*x^14 - 2474*x^13 + 2019*x^12 + 9565*x^11 - 6640*x^10 - 21741*x^9 + 11672*x^8 + 27865*x^7 - 9600*x^6 - 17892*x^5 + 2548*x^4 + 4218*x^3 - 316*x^2 - 280*x + 32, 2*x^15 - x^14 - 46*x^13 + 21*x^12 + 416*x^11 - 189*x^10 - 1831*x^9 + 872*x^8 + 3949*x^7 - 1951*x^6 - 3752*x^5 + 1704*x^4 + 1262*x^3 - 424*x^2 - 48*x + 16, 2*x^15 - x^14 - 46*x^13 + 21*x^12 + 416*x^11 - 189*x^10 - 1831*x^9 + 872*x^8 + 3949*x^7 - 1951*x^6 - 3752*x^5 + 1704*x^4 + 1262*x^3 - 424*x^2 - 48*x + 16, x^18 - x^17 - 28*x^16 + 24*x^15 + 316*x^14 - 215*x^13 - 1849*x^12 + 870*x^11 + 5987*x^10 - 1391*x^9 - 10555*x^8 - 159*x^7 + 9200*x^6 + 1898*x^5 - 3084*x^4 - 400*x^3 + 424*x^2 - 48*x, x^18 - x^17 - 28*x^16 + 24*x^15 + 316*x^14 - 215*x^13 - 1849*x^12 + 870*x^11 + 5987*x^10 - 1391*x^9 - 10555*x^8 - 159*x^7 + 9200*x^6 + 1898*x^5 - 3084*x^4 - 400*x^3 + 424*x^2 - 48*x, x^20 - x^19 - 32*x^18 + 30*x^17 + 427*x^16 - 365*x^15 - 3086*x^14 + 2321*x^13 + 13112*x^12 - 8268*x^11 - 33178*x^10 + 16399*x^9 + 47997*x^8 - 17032*x^7 - 35153*x^6 + 8628*x^5 + 9372*x^4 - 2648*x^3 - 524*x^2 + 216*x - 16, x^20 - x^19 - 32*x^18 + 30*x^17 + 427*x^16 - 365*x^15 - 3086*x^14 + 2321*x^13 + 13112*x^12 - 8268*x^11 - 33178*x^10 + 16399*x^9 + 47997*x^8 - 17032*x^7 - 35153*x^6 + 8628*x^5 + 9372*x^4 - 2648*x^3 - 524*x^2 + 216*x - 16, x^18 - 29*x^16 + 3*x^15 + 342*x^14 - 66*x^13 - 2102*x^12 + 574*x^11 + 7143*x^10 - 2491*x^9 - 13031*x^8 + 5602*x^7 + 11198*x^6 - 6176*x^5 - 3080*x^4 + 2818*x^3 + 84*x^2 - 264*x + 32, x^18 - 29*x^16 + 3*x^15 + 342*x^14 - 66*x^13 - 2102*x^12 + 574*x^11 + 7143*x^10 - 2491*x^9 - 13031*x^8 + 5602*x^7 + 11198*x^6 - 6176*x^5 - 3080*x^4 + 2818*x^3 + 84*x^2 - 264*x + 32, x^17 + x^16 - 26*x^15 - 24*x^14 + 271*x^13 + 229*x^12 - 1450*x^11 - 1095*x^10 + 4227*x^9 + 2727*x^8 - 6519*x^7 - 3346*x^6 + 4596*x^5 + 1646*x^4 - 1000*x^3 - 4*x^2 + 88*x - 16, x^17 + x^16 - 26*x^15 - 24*x^14 + 271*x^13 + 229*x^12 - 1450*x^11 - 1095*x^10 + 4227*x^9 + 2727*x^8 - 6519*x^7 - 3346*x^6 + 4596*x^5 + 1646*x^4 - 1000*x^3 - 4*x^2 + 88*x - 16, -3*x^17 + 3*x^16 + 79*x^15 - 73*x^14 - 835*x^13 + 684*x^12 + 4534*x^11 - 3076*x^10 - 13447*x^9 + 6680*x^8 + 21352*x^7 - 6026*x^6 - 16204*x^5 + 1374*x^4 + 4030*x^3 - 420*x^2 - 232*x + 32, -3*x^17 + 3*x^16 + 79*x^15 - 73*x^14 - 835*x^13 + 684*x^12 + 4534*x^11 - 3076*x^10 - 13447*x^9 + 6680*x^8 + 21352*x^7 - 6026*x^6 - 16204*x^5 + 1374*x^4 + 4030*x^3 - 420*x^2 - 232*x + 32, -2*x^17 + 53*x^15 - 569*x^13 - 7*x^12 + 3171*x^11 + 124*x^10 - 9745*x^9 - 785*x^8 + 16048*x^7 + 2094*x^6 - 12240*x^5 - 2002*x^4 + 2648*x^3 - 20*x^2 - 152*x + 16, -2*x^17 + 53*x^15 - 569*x^13 - 7*x^12 + 3171*x^11 + 124*x^10 - 9745*x^9 - 785*x^8 + 16048*x^7 + 2094*x^6 - 12240*x^5 - 2002*x^4 + 2648*x^3 - 20*x^2 - 152*x + 16, x^17 + x^16 - 30*x^15 - 25*x^14 + 368*x^13 + 255*x^12 - 2361*x^11 - 1362*x^10 + 8379*x^9 + 4048*x^8 - 15891*x^7 - 6469*x^6 + 14010*x^5 + 4620*x^4 - 3868*x^3 - 464*x^2 + 368*x - 32, x^17 + x^16 - 30*x^15 - 25*x^14 + 368*x^13 + 255*x^12 - 2361*x^11 - 1362*x^10 + 8379*x^9 + 4048*x^8 - 15891*x^7 - 6469*x^6 + 14010*x^5 + 4620*x^4 - 3868*x^3 - 464*x^2 + 368*x - 32, x^18 - 27*x^16 + 296*x^14 + 4*x^13 - 1700*x^12 - 61*x^11 + 5511*x^10 + 331*x^9 - 10118*x^8 - 776*x^7 + 9893*x^6 + 802*x^5 - 4350*x^4 - 266*x^3 + 516*x^2 - 56*x, x^18 - 27*x^16 + 296*x^14 + 4*x^13 - 1700*x^12 - 61*x^11 + 5511*x^10 + 331*x^9 - 10118*x^8 - 776*x^7 + 9893*x^6 + 802*x^5 - 4350*x^4 - 266*x^3 + 516*x^2 - 56*x, -3*x^18 + 3*x^17 + 81*x^16 - 77*x^15 - 885*x^14 + 777*x^13 + 5027*x^12 - 3917*x^11 - 15856*x^10 + 10351*x^9 + 27388*x^8 - 13795*x^7 - 23534*x^6 + 8340*x^5 + 7734*x^4 - 2268*x^3 - 556*x^2 + 216*x - 16, -3*x^18 + 3*x^17 + 81*x^16 - 77*x^15 - 885*x^14 + 777*x^13 + 5027*x^12 - 3917*x^11 - 15856*x^10 + 10351*x^9 + 27388*x^8 - 13795*x^7 - 23534*x^6 + 8340*x^5 + 7734*x^4 - 2268*x^3 - 556*x^2 + 216*x - 16, -2*x^16 + 2*x^15 + 51*x^14 - 47*x^13 - 514*x^12 + 425*x^11 + 2598*x^10 - 1840*x^9 - 6908*x^8 + 3820*x^7 + 9281*x^6 - 3214*x^5 - 5408*x^4 + 586*x^3 + 748*x^2 - 136*x, -2*x^16 + 2*x^15 + 51*x^14 - 47*x^13 - 514*x^12 + 425*x^11 + 2598*x^10 - 1840*x^9 - 6908*x^8 + 3820*x^7 + 9281*x^6 - 3214*x^5 - 5408*x^4 + 586*x^3 + 748*x^2 - 136*x]>
       ]
>;

MOG[449] := 	// J_0(449)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 15, 91, 97, 120, 232, 243, 338, 344, 354, 197*x + 267, 252*x + 267, 102*x + 19, 347*x + 19, 91*x + 52, 358*x + 52, 422*x + 163, 27*x + 163, 100*x + 75, 349*x + 75, 315*x + 371, 134*x + 371, 162*x + 334, 287*x + 334, 129*x + 59, 320*x + 59, 95*x + 367, 354*x + 367, 100*x + 422, 349*x + 422, 203*x + 117, 246*x + 117, 141*x + 63, 308*x + 63, 390*x + 27, 59*x + 27, 35*x + 309, 414*x + 309]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^14 + 3*x^13 - 13*x^12 - 42*x^11 + 59*x^10 + 214*x^9 - 117*x^8 - 503*x^7 + 109*x^6 + 576*x^5 - 50*x^4 - 309*x^3 + 14*x^2 + 62*x - 3,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^13 - 3*x^12 + 11*x^11 + 36*x^10 - 41*x^9 - 155*x^8 + 62*x^7 + 299*x^6 - 38*x^5 - 268*x^4 + 10*x^3 + 104*x^2 - 2*x - 13, x^13 + 3*x^12 - 11*x^11 - 36*x^10 + 41*x^9 + 155*x^8 - 62*x^7 - 299*x^6 + 38*x^5 + 268*x^4 - 10*x^3 - 104*x^2 + 2*x + 13, -x^12 - 3*x^11 + 9*x^10 + 30*x^9 - 26*x^8 - 105*x^7 + 26*x^6 + 162*x^5 + 4*x^4 - 109*x^3 - 16*x^2 + 26*x + 5, x^12 + 3*x^11 - 9*x^10 - 30*x^9 + 26*x^8 + 105*x^7 - 26*x^6 - 162*x^5 - 4*x^4 + 109*x^3 + 16*x^2 - 26*x - 5, -x^12 - 3*x^11 + 9*x^10 + 29*x^9 - 29*x^8 - 99*x^7 + 45*x^6 + 146*x^5 - 44*x^4 - 96*x^3 + 28*x^2 + 23*x - 8, x^12 + 3*x^11 - 9*x^10 - 29*x^9 + 29*x^8 + 99*x^7 - 45*x^6 - 146*x^5 + 44*x^4 + 96*x^3 - 28*x^2 - 23*x + 8, -x^11 - 4*x^10 + 4*x^9 + 31*x^8 + 9*x^7 - 77*x^6 - 44*x^5 + 83*x^4 + 46*x^3 - 41*x^2 - 14*x + 8, x^11 + 4*x^10 - 4*x^9 - 31*x^8 - 9*x^7 + 77*x^6 + 44*x^5 - 83*x^4 - 46*x^3 + 41*x^2 + 14*x - 8, -x^11 - 2*x^10 + 11*x^9 + 19*x^8 - 45*x^7 - 60*x^6 + 86*x^5 + 76*x^4 - 72*x^3 - 37*x^2 + 21*x + 5, x^11 + 2*x^10 - 11*x^9 - 19*x^8 + 45*x^7 + 60*x^6 - 86*x^5 - 76*x^4 + 72*x^3 + 37*x^2 - 21*x - 5, -x^11 - 3*x^10 + 7*x^9 + 23*x^8 - 19*x^7 - 63*x^6 + 26*x^5 + 70*x^4 - 21*x^3 - 31*x^2 + 7*x + 4, x^11 + 3*x^10 - 7*x^9 - 23*x^8 + 19*x^7 + 63*x^6 - 26*x^5 - 70*x^4 + 21*x^3 + 31*x^2 - 7*x - 4, -x^11 - 4*x^10 + 5*x^9 + 33*x^8 + 2*x^7 - 90*x^6 - 32*x^5 + 102*x^4 + 39*x^3 - 50*x^2 - 13*x + 9, x^11 + 4*x^10 - 5*x^9 - 33*x^8 - 2*x^7 + 90*x^6 + 32*x^5 - 102*x^4 - 39*x^3 + 50*x^2 + 13*x - 9, -x^10 - 4*x^9 + 2*x^8 + 26*x^7 + 20*x^6 - 47*x^5 - 60*x^4 + 29*x^3 + 52*x^2 - 5*x - 14, x^10 + 4*x^9 - 2*x^8 - 26*x^7 - 20*x^6 + 47*x^5 + 60*x^4 - 29*x^3 - 52*x^2 + 5*x + 14, -x^10 - 3*x^9 + 4*x^8 + 15*x^7 - 6*x^6 - 23*x^5 + 12*x^4 + 13*x^3 - 16*x^2 - 3*x + 6, x^10 + 3*x^9 - 4*x^8 - 15*x^7 + 6*x^6 + 23*x^5 - 12*x^4 - 13*x^3 + 16*x^2 + 3*x - 6, -x^10 - 3*x^9 + 6*x^8 + 21*x^7 - 13*x^6 - 53*x^5 + 11*x^4 + 52*x^3 - 5*x^2 - 16*x + 2, x^10 + 3*x^9 - 6*x^8 - 21*x^7 + 13*x^6 + 53*x^5 - 11*x^4 - 52*x^3 + 5*x^2 + 16*x - 2, -2*x^9 - 5*x^8 + 11*x^7 + 30*x^6 - 16*x^5 - 54*x^4 + 6*x^3 + 36*x^2 - 8, 2*x^9 + 5*x^8 - 11*x^7 - 30*x^6 + 16*x^5 + 54*x^4 - 6*x^3 - 36*x^2 + 8, -x^9 - 3*x^8 + 2*x^7 + 10*x^6 + 2*x^5 - 3*x^4 - x^3 - 8*x^2 - x + 4, x^9 + 3*x^8 - 2*x^7 - 10*x^6 - 2*x^5 + 3*x^4 + x^3 + 8*x^2 + x - 4, -x^9 - 2*x^8 + 6*x^7 + 10*x^6 - 15*x^5 - 18*x^4 + 16*x^3 + 15*x^2 - 5*x - 4, x^9 + 2*x^8 - 6*x^7 - 10*x^6 + 15*x^5 + 18*x^4 - 16*x^3 - 15*x^2 + 5*x + 4, -2*x^8 - 5*x^7 + 8*x^6 + 20*x^5 - 13*x^4 - 21*x^3 + 15*x^2 + 7*x - 6, 2*x^8 + 5*x^7 - 8*x^6 - 20*x^5 + 13*x^4 + 21*x^3 - 15*x^2 - 7*x + 6]>,
         rec<Eigen |
           DefiningPolynomial := x^23 - 38*x^21 + x^20 + 623*x^19 - 31*x^18 - 5771*x^17 + 398*x^16 + 33229*x^15 - 2753*x^14 - 123306*x^13 + 11230*x^12 + 296022*x^11 - 28009*x^10 - 450008*x^9 + 43215*x^8 + 412760*x^7 - 40559*x^6 - 210040*x^5 + 21311*x^4 + 50781*x^3 - 5664*x^2 - 3789*x + 621,
           Coordinates        := [-x^22 + 35*x^20 - x^19 - 524*x^18 + 28*x^17 + 4385*x^16 - 318*x^15 - 22492*x^14 + 1885*x^13 + 72968*x^12 - 6267*x^11 - 149228*x^10 + 11762*x^9 + 186260*x^8 - 12109*x^7 - 132904*x^6 + 6338*x^5 + 48586*x^4 - 1037*x^3 - 7431*x^2 - 129*x + 306, x^22 - 35*x^20 + x^19 + 524*x^18 - 26*x^17 - 4383*x^16 + 270*x^15 + 22446*x^14 - 1421*x^13 - 72550*x^12 + 3969*x^11 + 147336*x^10 - 5698*x^9 - 181880*x^8 + 4277*x^7 + 128234*x^6 - 2774*x^5 - 47072*x^4 + 1231*x^3 + 7383*x^2 - 141*x - 252, 2*x^18 + 2*x^17 - 58*x^16 - 46*x^15 + 694*x^14 + 426*x^13 - 4434*x^12 - 2094*x^11 + 16334*x^10 + 6148*x^9 - 34986*x^8 - 11458*x^7 + 41914*x^6 + 13038*x^5 - 25618*x^4 - 7450*x^3 + 7032*x^2 + 1578*x - 576, x^21 - 33*x^19 + x^18 + 462*x^17 - 26*x^16 - 3579*x^15 + 276*x^14 + 16772*x^13 - 1551*x^12 - 48784*x^11 + 5025*x^10 + 86844*x^9 - 9624*x^8 - 89778*x^7 + 10821*x^6 + 48646*x^5 - 6814*x^4 - 11494*x^3 + 2001*x^2 + 615*x - 117, -3*x^21 + 99*x^19 - 3*x^18 - 1386*x^17 + 80*x^16 + 10737*x^15 - 868*x^14 - 50338*x^13 + 4963*x^12 + 146794*x^11 - 16247*x^10 - 263748*x^9 + 31106*x^8 + 279856*x^7 - 34221*x^6 - 161454*x^5 + 20274*x^4 + 43350*x^3 - 5793*x^2 - 3483*x + 621, 2*x^19 - 58*x^17 + 2*x^16 + 692*x^15 - 34*x^14 - 4378*x^13 + 170*x^12 + 15780*x^11 + 44*x^10 - 32390*x^9 - 2674*x^8 + 35798*x^7 + 7338*x^6 - 18820*x^5 - 6918*x^4 + 3896*x^3 + 2196*x^2 - 90*x - 108, 2*x^18 - 4*x^17 - 60*x^16 + 110*x^15 + 742*x^14 - 1222*x^13 - 4886*x^12 + 7026*x^11 + 18494*x^10 - 22220*x^9 - 40554*x^8 + 37912*x^7 + 49286*x^6 - 32020*x^5 - 29586*x^4 + 11384*x^3 + 7044*x^2 - 1062*x - 162, -6*x^17 - 4*x^16 + 156*x^15 + 78*x^14 - 1666*x^13 - 552*x^12 + 9388*x^11 + 1590*x^10 - 29760*x^9 - 688*x^8 + 52226*x^7 - 5186*x^6 - 46400*x^5 + 8920*x^4 + 16726*x^3 - 4002*x^2 - 1368*x + 324, -2*x^16 + 32*x^14 - 14*x^13 - 150*x^12 + 244*x^11 - 80*x^10 - 1622*x^9 + 2588*x^8 + 5120*x^7 - 7394*x^6 - 7622*x^5 + 7852*x^4 + 4508*x^3 - 3102*x^2 - 870*x + 288, 2*x^17 + 2*x^16 - 62*x^15 - 46*x^14 + 758*x^13 + 398*x^12 - 4734*x^11 - 1606*x^10 + 16174*x^9 + 2904*x^8 - 29810*x^7 - 1218*x^6 + 27126*x^5 - 2206*x^4 - 9914*x^3 + 1566*x^2 + 828*x - 162, -3*x^20 + 93*x^18 - 2*x^17 - 1209*x^16 + 43*x^15 + 8569*x^14 - 346*x^13 - 36055*x^12 + 1277*x^11 + 91968*x^10 - 2090*x^9 - 139462*x^8 + 1053*x^7 + 118629*x^6 + 630*x^5 - 51204*x^4 - 1341*x^3 + 9405*x^2 + 504*x - 459, -3*x^20 + 93*x^18 - 2*x^17 - 1209*x^16 + 43*x^15 + 8569*x^14 - 346*x^13 - 36055*x^12 + 1277*x^11 + 91968*x^10 - 2090*x^9 - 139462*x^8 + 1053*x^7 + 118629*x^6 + 630*x^5 - 51204*x^4 - 1341*x^3 + 9405*x^2 + 504*x - 459, -3*x^19 + x^18 + 87*x^17 - 36*x^16 - 1044*x^15 + 502*x^14 + 6704*x^13 - 3544*x^12 - 24901*x^11 + 13717*x^10 + 54112*x^9 - 29284*x^8 - 66576*x^7 + 32960*x^6 + 42566*x^5 - 17612*x^4 - 11604*x^3 + 3732*x^2 + 627*x - 180, -3*x^19 + x^18 + 87*x^17 - 36*x^16 - 1044*x^15 + 502*x^14 + 6704*x^13 - 3544*x^12 - 24901*x^11 + 13717*x^10 + 54112*x^9 - 29284*x^8 - 66576*x^7 + 32960*x^6 + 42566*x^5 - 17612*x^4 - 11604*x^3 + 3732*x^2 + 627*x - 180, -3*x^19 + 90*x^17 - x^16 - 1124*x^15 + 20*x^14 + 7579*x^13 - 142*x^12 - 29925*x^11 + 440*x^10 + 70174*x^9 - 769*x^8 - 94651*x^7 + 1891*x^6 + 67684*x^5 - 4003*x^4 - 22341*x^3 + 2565*x^2 + 2397*x - 441, -3*x^19 + 90*x^17 - x^16 - 1124*x^15 + 20*x^14 + 7579*x^13 - 142*x^12 - 29925*x^11 + 440*x^10 + 70174*x^9 - 769*x^8 - 94651*x^7 + 1891*x^6 + 67684*x^5 - 4003*x^4 - 22341*x^3 + 2565*x^2 + 2397*x - 441, x^19 - 3*x^18 - 32*x^17 + 86*x^16 + 420*x^15 - 1016*x^14 - 2929*x^13 + 6385*x^12 + 11767*x^11 - 23016*x^10 - 27661*x^9 + 48067*x^8 + 37060*x^7 - 56560*x^6 - 26513*x^5 + 35163*x^4 + 9328*x^3 - 9645*x^2 - 1281*x + 603, x^19 - 3*x^18 - 32*x^17 + 86*x^16 + 420*x^15 - 1016*x^14 - 2929*x^13 + 6385*x^12 + 11767*x^11 - 23016*x^10 - 27661*x^9 + 48067*x^8 + 37060*x^7 - 56560*x^6 - 26513*x^5 + 35163*x^4 + 9328*x^3 - 9645*x^2 - 1281*x + 603, -3*x^18 - 2*x^17 + 79*x^16 + 39*x^15 - 849*x^14 - 269*x^13 + 4769*x^12 + 673*x^11 - 14840*x^10 + 467*x^9 + 24819*x^8 - 5153*x^7 - 19503*x^6 + 8271*x^5 + 4437*x^4 - 4255*x^3 + 867*x^2 + 597*x - 144, -3*x^18 - 2*x^17 + 79*x^16 + 39*x^15 - 849*x^14 - 269*x^13 + 4769*x^12 + 673*x^11 - 14840*x^10 + 467*x^9 + 24819*x^8 - 5153*x^7 - 19503*x^6 + 8271*x^5 + 4437*x^4 - 4255*x^3 + 867*x^2 + 597*x - 144, -x^18 + 2*x^17 + 31*x^16 - 48*x^15 - 396*x^14 + 458*x^13 + 2702*x^12 - 2194*x^11 - 10662*x^10 + 5403*x^9 + 24518*x^8 - 5906*x^7 - 31266*x^6 + 750*x^5 + 19712*x^4 + 2332*x^3 - 5379*x^2 - 909*x + 405, -x^18 + 2*x^17 + 31*x^16 - 48*x^15 - 396*x^14 + 458*x^13 + 2702*x^12 - 2194*x^11 - 10662*x^10 + 5403*x^9 + 24518*x^8 - 5906*x^7 - 31266*x^6 + 750*x^5 + 19712*x^4 + 2332*x^3 - 5379*x^2 - 909*x + 405, -2*x^18 - x^17 + 54*x^16 + 25*x^15 - 594*x^14 - 254*x^13 + 3428*x^12 + 1357*x^11 - 11132*x^10 - 4082*x^9 + 20293*x^8 + 6744*x^7 - 19679*x^6 - 5383*x^5 + 9151*x^4 + 1574*x^3 - 1629*x^2 - 36*x + 54, -2*x^18 - x^17 + 54*x^16 + 25*x^15 - 594*x^14 - 254*x^13 + 3428*x^12 + 1357*x^11 - 11132*x^10 - 4082*x^9 + 20293*x^8 + 6744*x^7 - 19679*x^6 - 5383*x^5 + 9151*x^4 + 1574*x^3 - 1629*x^2 - 36*x + 54, x^20 - 31*x^18 + 402*x^16 + 3*x^15 - 2837*x^14 - 65*x^13 + 11883*x^12 + 528*x^11 - 30246*x^10 - 1963*x^9 + 46051*x^8 + 3272*x^7 - 39794*x^6 - 2020*x^5 + 17789*x^4 + 385*x^3 - 3384*x^2 + 12*x + 126, x^20 - 31*x^18 + 402*x^16 + 3*x^15 - 2837*x^14 - 65*x^13 + 11883*x^12 + 528*x^11 - 30246*x^10 - 1963*x^9 + 46051*x^8 + 3272*x^7 - 39794*x^6 - 2020*x^5 + 17789*x^4 + 385*x^3 - 3384*x^2 + 12*x + 126, x^19 + x^18 - 29*x^17 - 23*x^16 + 350*x^15 + 202*x^14 - 2281*x^13 - 806*x^12 + 8729*x^11 + 1086*x^10 - 20076*x^9 + 2044*x^8 + 27523*x^7 - 8269*x^6 - 21600*x^5 + 8957*x^4 + 8489*x^3 - 3480*x^2 - 1290*x + 360, x^19 + x^18 - 29*x^17 - 23*x^16 + 350*x^15 + 202*x^14 - 2281*x^13 - 806*x^12 + 8729*x^11 + 1086*x^10 - 20076*x^9 + 2044*x^8 + 27523*x^7 - 8269*x^6 - 21600*x^5 + 8957*x^4 + 8489*x^3 - 3480*x^2 - 1290*x + 360, x^19 + x^18 - 30*x^17 - 24*x^16 + 378*x^15 + 236*x^14 - 2596*x^13 - 1246*x^12 + 10534*x^11 + 3877*x^10 - 25580*x^9 - 7181*x^8 + 35862*x^7 + 7128*x^6 - 26372*x^5 - 2622*x^4 + 8473*x^3 + 6*x^2 - 702*x + 81, x^19 + x^18 - 30*x^17 - 24*x^16 + 378*x^15 + 236*x^14 - 2596*x^13 - 1246*x^12 + 10534*x^11 + 3877*x^10 - 25580*x^9 - 7181*x^8 + 35862*x^7 + 7128*x^6 - 26372*x^5 - 2622*x^4 + 8473*x^3 + 6*x^2 - 702*x + 81, x^19 + 2*x^18 - 28*x^17 - 57*x^16 + 322*x^15 + 675*x^14 - 1960*x^13 - 4306*x^12 + 6771*x^11 + 16028*x^10 - 13132*x^9 - 35171*x^8 + 12924*x^7 + 43719*x^6 - 4344*x^5 - 27964*x^4 - 1218*x^3 + 7656*x^2 + 792*x - 486, x^19 + 2*x^18 - 28*x^17 - 57*x^16 + 322*x^15 + 675*x^14 - 1960*x^13 - 4306*x^12 + 6771*x^11 + 16028*x^10 - 13132*x^9 - 35171*x^8 + 12924*x^7 + 43719*x^6 - 4344*x^5 - 27964*x^4 - 1218*x^3 + 7656*x^2 + 792*x - 486, x^20 - 30*x^18 + 3*x^17 + 376*x^16 - 72*x^15 - 2560*x^14 + 696*x^13 + 10333*x^12 - 3491*x^11 - 25442*x^10 + 9773*x^9 + 38176*x^8 - 15287*x^7 - 34053*x^6 + 12551*x^5 + 16741*x^4 - 4594*x^3 - 3567*x^2 + 477*x + 81, x^20 - 30*x^18 + 3*x^17 + 376*x^16 - 72*x^15 - 2560*x^14 + 696*x^13 + 10333*x^12 - 3491*x^11 - 25442*x^10 + 9773*x^9 + 38176*x^8 - 15287*x^7 - 34053*x^6 + 12551*x^5 + 16741*x^4 - 4594*x^3 - 3567*x^2 + 477*x + 81, x^20 + x^19 - 31*x^18 - 28*x^17 + 405*x^16 + 330*x^15 - 2894*x^14 - 2130*x^13 + 12266*x^12 + 8165*x^11 - 31252*x^10 - 18732*x^9 + 46330*x^8 + 24492*x^7 - 37020*x^6 - 16410*x^5 + 14379*x^4 + 5124*x^3 - 2355*x^2 - 588*x + 171, x^20 + x^19 - 31*x^18 - 28*x^17 + 405*x^16 + 330*x^15 - 2894*x^14 - 2130*x^13 + 12266*x^12 + 8165*x^11 - 31252*x^10 - 18732*x^9 + 46330*x^8 + 24492*x^7 - 37020*x^6 - 16410*x^5 + 14379*x^4 + 5124*x^3 - 2355*x^2 - 588*x + 171, x^21 - 33*x^19 + 2*x^18 + 463*x^17 - 51*x^16 - 3602*x^15 + 528*x^14 + 16992*x^13 - 2855*x^12 - 49951*x^11 + 8643*x^10 + 90642*x^9 - 14657*x^8 - 97374*x^7 + 13482*x^6 + 57161*x^5 - 6633*x^4 - 15952*x^3 + 1761*x^2 + 1461*x - 252, x^21 - 33*x^19 + 2*x^18 + 463*x^17 - 51*x^16 - 3602*x^15 + 528*x^14 + 16992*x^13 - 2855*x^12 - 49951*x^11 + 8643*x^10 + 90642*x^9 - 14657*x^8 - 97374*x^7 + 13482*x^6 + 57161*x^5 - 6633*x^4 - 15952*x^3 + 1761*x^2 + 1461*x - 252]>
       ]
>;

MOG[457] := 	// J_0(457)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 5,
           Coordinates        := [5, 113, 136, 449, 122*x + 258, 335*x + 258, 100*x + 127, 357*x + 127, 136*x + 305, 321*x + 305, 342*x + 220, 115*x + 220, 415*x + 362, 42*x + 362, 367*x + 228, 90*x + 228, 448*x + 195, 9*x + 195, 213*x + 275, 244*x + 275, 248*x + 411, 209*x + 411, 81*x + 213, 376*x + 213, 130*x + 426, 327*x + 426, 325*x + 21, 132*x + 21, 185*x + 326, 272*x + 326, 421*x + 229, 36*x + 229, 368*x + 215, 89*x + 215, 54*x + 260, 403*x + 260, 318*x + 346, 139*x + 346]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 - x - 1,
           Coordinates        := [0, 0, 0, 0, -x, x, -x - 1, x + 1, 0, 0, -1, 1, -x, x, -1, 1, 0, 0, x, -x, -x, x, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x + 1, -x - 1, -x, x, 1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^15 + 10*x^14 + 27*x^13 - 43*x^12 - 324*x^11 - 310*x^10 + 917*x^9 + 1910*x^8 - 330*x^7 - 3170*x^6 - 1281*x^5 + 1917*x^4 + 1110*x^3 - 506*x^2 - 232*x + 79,
           Coordinates        := [0, 0, 0, 0, -x^13 - 10*x^12 - 31*x^11 + 3*x^10 + 195*x^9 + 278*x^8 - 254*x^7 - 775*x^6 - 111*x^5 + 720*x^4 + 274*x^3 - 285*x^2 - 90*x + 51, x^13 + 10*x^12 + 31*x^11 - 3*x^10 - 195*x^9 - 278*x^8 + 254*x^7 + 775*x^6 + 111*x^5 - 720*x^4 - 274*x^3 + 285*x^2 + 90*x - 51, -x^12 - 10*x^11 - 34*x^10 - 25*x^9 + 108*x^8 + 228*x^7 + 4*x^6 - 328*x^5 - 177*x^4 + 154*x^3 + 114*x^2 - 18*x - 12, x^12 + 10*x^11 + 34*x^10 + 25*x^9 - 108*x^8 - 228*x^7 - 4*x^6 + 328*x^5 + 177*x^4 - 154*x^3 - 114*x^2 + 18*x + 12, -x^14 - 10*x^13 - 30*x^12 + 13*x^11 + 229*x^10 + 303*x^9 - 362*x^8 - 1003*x^7 - 115*x^6 + 1048*x^5 + 451*x^4 - 439*x^3 - 204*x^2 + 69*x + 12, x^14 + 10*x^13 + 30*x^12 - 13*x^11 - 229*x^10 - 303*x^9 + 362*x^8 + 1003*x^7 + 115*x^6 - 1048*x^5 - 451*x^4 + 439*x^3 + 204*x^2 - 69*x - 12, 2*x^9 + 19*x^8 + 66*x^7 + 88*x^6 - 16*x^5 - 139*x^4 - 65*x^3 + 60*x^2 + 30*x - 12, -2*x^9 - 19*x^8 - 66*x^7 - 88*x^6 + 16*x^5 + 139*x^4 + 65*x^3 - 60*x^2 - 30*x + 12, -2*x^11 - 19*x^10 - 61*x^9 - 43*x^8 + 163*x^7 + 320*x^6 + 22*x^5 - 330*x^4 - 143*x^3 + 117*x^2 + 45*x - 21, 2*x^11 + 19*x^10 + 61*x^9 + 43*x^8 - 163*x^7 - 320*x^6 - 22*x^5 + 330*x^4 + 143*x^3 - 117*x^2 - 45*x + 21, -x^11 - 9*x^10 - 26*x^9 - 7*x^8 + 95*x^7 + 127*x^6 - 88*x^5 - 236*x^4 - 17*x^3 + 150*x^2 + 33*x - 30, x^11 + 9*x^10 + 26*x^9 + 7*x^8 - 95*x^7 - 127*x^6 + 88*x^5 + 236*x^4 + 17*x^3 - 150*x^2 - 33*x + 30, -x^13 - 10*x^12 - 32*x^11 - 4*x^10 + 190*x^9 + 350*x^8 - 57*x^7 - 742*x^6 - 572*x^5 + 242*x^4 + 413*x^3 + 55*x^2 - 58*x - 8, x^13 + 10*x^12 + 32*x^11 + 4*x^10 - 190*x^9 - 350*x^8 + 57*x^7 + 742*x^6 + 572*x^5 - 242*x^4 - 413*x^3 - 55*x^2 + 58*x + 8, -x^13 - 10*x^12 - 32*x^11 - 6*x^10 + 170*x^9 + 279*x^8 - 134*x^7 - 605*x^6 - 147*x^5 + 516*x^4 + 219*x^3 - 207*x^2 - 72*x + 36, x^13 + 10*x^12 + 32*x^11 + 6*x^10 - 170*x^9 - 279*x^8 + 134*x^7 + 605*x^6 + 147*x^5 - 516*x^4 - 219*x^3 + 207*x^2 + 72*x - 36, x^10 + 11*x^9 + 46*x^8 + 82*x^7 + 19*x^6 - 135*x^5 - 141*x^4 + 39*x^3 + 99*x^2 + 9*x - 18, -x^10 - 11*x^9 - 46*x^8 - 82*x^7 - 19*x^6 + 135*x^5 + 141*x^4 - 39*x^3 - 99*x^2 - 9*x + 18, x^10 + 8*x^9 + 20*x^8 + 6*x^7 - 35*x^6 - 4*x^5 + 76*x^4 + 21*x^3 - 69*x^2 - 21*x + 18, -x^10 - 8*x^9 - 20*x^8 - 6*x^7 + 35*x^6 + 4*x^5 - 76*x^4 - 21*x^3 + 69*x^2 + 21*x - 18, -2*x^10 - 18*x^9 - 54*x^8 - 35*x^7 + 116*x^6 + 185*x^5 - 28*x^4 - 161*x^3 - 21*x^2 + 39*x - 3, 2*x^10 + 18*x^9 + 54*x^8 + 35*x^7 - 116*x^6 - 185*x^5 + 28*x^4 + 161*x^3 + 21*x^2 - 39*x + 3, -x^12 - 9*x^11 - 25*x^10 + 109*x^8 + 127*x^7 - 98*x^6 - 187*x^5 + 62*x^4 + 124*x^3 - 48*x^2 - 42*x + 15, x^12 + 9*x^11 + 25*x^10 - 109*x^8 - 127*x^7 + 98*x^6 + 187*x^5 - 62*x^4 - 124*x^3 + 48*x^2 + 42*x - 15, -x^12 - 9*x^11 - 23*x^10 + 19*x^9 + 171*x^8 + 179*x^7 - 236*x^6 - 506*x^5 - 66*x^4 + 308*x^3 + 105*x^2 - 50*x - 8, x^12 + 9*x^11 + 23*x^10 - 19*x^9 - 171*x^8 - 179*x^7 + 236*x^6 + 506*x^5 + 66*x^4 - 308*x^3 - 105*x^2 + 50*x + 8, -x^12 - 8*x^11 - 16*x^10 + 28*x^9 + 134*x^8 + 82*x^7 - 221*x^6 - 300*x^5 + 28*x^4 + 186*x^3 + 41*x^2 - 27*x - 4, x^12 + 8*x^11 + 16*x^10 - 28*x^9 - 134*x^8 - 82*x^7 + 221*x^6 + 300*x^5 - 28*x^4 - 186*x^3 - 41*x^2 + 27*x + 4, -x^12 - 10*x^11 - 34*x^10 - 24*x^9 + 119*x^8 + 271*x^7 + 66*x^6 - 345*x^5 - 294*x^4 + 108*x^3 + 180*x^2 + 9*x - 27, x^12 + 10*x^11 + 34*x^10 + 24*x^9 - 119*x^8 - 271*x^7 - 66*x^6 + 345*x^5 + 294*x^4 - 108*x^3 - 180*x^2 - 9*x + 27, x^11 + 9*x^10 + 26*x^9 + 9*x^8 - 82*x^7 - 107*x^6 + 60*x^5 + 150*x^4 + 3*x^3 - 72*x^2 - 9*x + 9, -x^11 - 9*x^10 - 26*x^9 - 9*x^8 + 82*x^7 + 107*x^6 - 60*x^5 - 150*x^4 - 3*x^3 + 72*x^2 + 9*x - 9, -x^11 - 9*x^10 - 25*x^9 + x^8 + 118*x^7 + 153*x^6 - 87*x^5 - 258*x^4 - 36*x^3 + 144*x^2 + 36*x - 27, x^11 + 9*x^10 + 25*x^9 - x^8 - 118*x^7 - 153*x^6 + 87*x^5 + 258*x^4 + 36*x^3 - 144*x^2 - 36*x + 27]>,
         rec<Eigen |
           DefiningPolynomial := x^20 - 6*x^19 - 12*x^18 + 130*x^17 - 25*x^16 - 1135*x^15 + 1068*x^14 + 5145*x^13 - 6910*x^12 - 12965*x^11 + 21043*x^10 + 17930*x^9 - 33307*x^8 - 12486*x^7 + 25549*x^6 + 3888*x^5 - 7077*x^4 - 927*x^3 + 255*x^2 + 6*x - 1,
           Coordinates        := [-x^19 + 6*x^18 + 9*x^17 - 112*x^16 + 46*x^15 + 833*x^14 - 886*x^13 - 3184*x^12 + 4486*x^11 + 6735*x^10 - 10943*x^9 - 7951*x^8 + 13688*x^7 + 5227*x^6 - 8051*x^5 - 2085*x^4 + 1652*x^3 + 468*x^2 + x - 2, x^19 - 6*x^18 - 9*x^17 + 114*x^16 - 58*x^15 - 839*x^14 + 1040*x^13 + 3036*x^12 - 5188*x^11 - 5661*x^10 + 12331*x^9 + 5213*x^8 - 14802*x^7 - 2401*x^6 + 8389*x^5 + 1219*x^4 - 1918*x^3 - 432*x^2 + 15*x + 2, -x^18 + 6*x^17 + 7*x^16 - 100*x^15 + 56*x^14 + 659*x^13 - 776*x^12 - 2164*x^11 + 3352*x^10 + 3597*x^9 - 6771*x^8 - 2613*x^7 + 6192*x^6 + 481*x^5 - 1799*x^4 - 141*x^3 + 20*x^2 - 12*x - 1, x^18 - 6*x^17 - 7*x^16 + 104*x^15 - 80*x^14 - 665*x^13 + 1050*x^12 + 1868*x^11 - 4450*x^10 - 1827*x^9 + 8713*x^8 - 1299*x^7 - 7786*x^6 + 3191*x^5 + 2577*x^4 - 1069*x^3 - 356*x^2 + 6*x + 1, -x^17 + 6*x^16 + 5*x^15 - 87*x^14 + 55*x^13 + 510*x^12 - 567*x^11 - 1569*x^10 + 2086*x^9 + 2669*x^8 - 3748*x^7 - 2373*x^6 + 3126*x^5 + 972*x^4 - 816*x^3 - 240*x^2 - x + 1, -x^17 + 6*x^16 + 5*x^15 - 87*x^14 + 55*x^13 + 510*x^12 - 567*x^11 - 1569*x^10 + 2086*x^9 + 2669*x^8 - 3748*x^7 - 2373*x^6 + 3126*x^5 + 972*x^4 - 816*x^3 - 240*x^2 - x + 1, -x^16 + 5*x^15 + 6*x^14 - 57*x^13 + x^12 + 255*x^11 - 19*x^10 - 644*x^9 - 152*x^8 + 1051*x^7 + 520*x^6 - 957*x^5 - 485*x^4 + 266*x^3 + 133*x^2 + 6*x, -x^16 + 5*x^15 + 6*x^14 - 57*x^13 + x^12 + 255*x^11 - 19*x^10 - 644*x^9 - 152*x^8 + 1051*x^7 + 520*x^6 - 957*x^5 - 485*x^4 + 266*x^3 + 133*x^2 + 6*x, -x^16 + 8*x^15 - 7*x^14 - 92*x^13 + 208*x^12 + 340*x^11 - 1247*x^10 - 284*x^9 + 3175*x^8 - 811*x^7 - 3586*x^6 + 1448*x^5 + 1468*x^4 - 365*x^3 - 154*x^2 + 7*x + 1, -x^16 + 8*x^15 - 7*x^14 - 92*x^13 + 208*x^12 + 340*x^11 - 1247*x^10 - 284*x^9 + 3175*x^8 - 811*x^7 - 3586*x^6 + 1448*x^5 + 1468*x^4 - 365*x^3 - 154*x^2 + 7*x + 1, -x^18 + 6*x^17 + 7*x^16 - 101*x^15 + 63*x^14 + 651*x^13 - 824*x^12 - 2033*x^11 + 3374*x^10 + 3191*x^9 - 6424*x^8 - 2323*x^7 + 5653*x^6 + 661*x^5 - 1813*x^4 - 159*x^3 + 118*x^2 + 8*x, -x^18 + 6*x^17 + 7*x^16 - 101*x^15 + 63*x^14 + 651*x^13 - 824*x^12 - 2033*x^11 + 3374*x^10 + 3191*x^9 - 6424*x^8 - 2323*x^7 + 5653*x^6 + 661*x^5 - 1813*x^4 - 159*x^3 + 118*x^2 + 8*x, -2*x^15 + 11*x^14 + 8*x^13 - 131*x^12 + 87*x^11 + 573*x^10 - 635*x^9 - 1161*x^8 + 1499*x^7 + 1099*x^6 - 1391*x^5 - 442*x^4 + 344*x^3 + 98*x^2 - 3*x, -2*x^15 + 11*x^14 + 8*x^13 - 131*x^12 + 87*x^11 + 573*x^10 - 635*x^9 - 1161*x^8 + 1499*x^7 + 1099*x^6 - 1391*x^5 - 442*x^4 + 344*x^3 + 98*x^2 - 3*x, -x^16 + 3*x^15 + 19*x^14 - 62*x^13 - 124*x^12 + 461*x^11 + 352*x^10 - 1603*x^9 - 457*x^8 + 2769*x^7 + 317*x^6 - 2220*x^5 - 264*x^4 + 605*x^3 + 148*x^2 + 4*x - 1, -x^16 + 3*x^15 + 19*x^14 - 62*x^13 - 124*x^12 + 461*x^11 + 352*x^10 - 1603*x^9 - 457*x^8 + 2769*x^7 + 317*x^6 - 2220*x^5 - 264*x^4 + 605*x^3 + 148*x^2 + 4*x - 1, x^16 - 6*x^15 - 2*x^14 + 76*x^13 - 97*x^12 - 320*x^11 + 724*x^10 + 380*x^9 - 1949*x^8 + 587*x^7 + 2084*x^6 - 1429*x^5 - 652*x^4 + 507*x^3 + 130*x^2, x^16 - 6*x^15 - 2*x^14 + 76*x^13 - 97*x^12 - 320*x^11 + 724*x^10 + 380*x^9 - 1949*x^8 + 587*x^7 + 2084*x^6 - 1429*x^5 - 652*x^4 + 507*x^3 + 130*x^2, x^16 - 6*x^15 - 3*x^14 + 77*x^13 - 73*x^12 - 360*x^11 + 561*x^10 + 709*x^9 - 1531*x^8 - 425*x^7 + 1737*x^6 - 229*x^5 - 685*x^4 + 155*x^3 + 117*x^2 + 2*x - 1, x^16 - 6*x^15 - 3*x^14 + 77*x^13 - 73*x^12 - 360*x^11 + 561*x^10 + 709*x^9 - 1531*x^8 - 425*x^7 + 1737*x^6 - 229*x^5 - 685*x^4 + 155*x^3 + 117*x^2 + 2*x - 1, -x^17 + 6*x^16 + 6*x^15 - 95*x^14 + 67*x^13 + 567*x^12 - 748*x^11 - 1608*x^10 + 2729*x^9 + 2250*x^8 - 4532*x^7 - 1509*x^6 + 3325*x^5 + 572*x^4 - 811*x^3 - 183*x^2 + 10*x + 1, -x^17 + 6*x^16 + 6*x^15 - 95*x^14 + 67*x^13 + 567*x^12 - 748*x^11 - 1608*x^10 + 2729*x^9 + 2250*x^8 - 4532*x^7 - 1509*x^6 + 3325*x^5 + 572*x^4 - 811*x^3 - 183*x^2 + 10*x + 1, -x^17 + 5*x^16 + 11*x^15 - 87*x^14 - 5*x^13 + 584*x^12 - 364*x^11 - 1936*x^10 + 1790*x^9 + 3378*x^8 - 3503*x^7 - 3057*x^6 + 2913*x^5 + 1354*x^4 - 723*x^3 - 277*x^2 - 11*x + 1, -x^17 + 5*x^16 + 11*x^15 - 87*x^14 - 5*x^13 + 584*x^12 - 364*x^11 - 1936*x^10 + 1790*x^9 + 3378*x^8 - 3503*x^7 - 3057*x^6 + 2913*x^5 + 1354*x^4 - 723*x^3 - 277*x^2 - 11*x + 1, -x^16 + 5*x^15 + 9*x^14 - 75*x^13 + 436*x^11 - 225*x^10 - 1260*x^9 + 834*x^8 + 1923*x^7 - 1110*x^6 - 1520*x^5 + 414*x^4 + 544*x^3 + 77*x^2 - 8*x - 1, -x^16 + 5*x^15 + 9*x^14 - 75*x^13 + 436*x^11 - 225*x^10 - 1260*x^9 + 834*x^8 + 1923*x^7 - 1110*x^6 - 1520*x^5 + 414*x^4 + 544*x^3 + 77*x^2 - 8*x - 1, x^15 - 7*x^14 + x^13 + 86*x^12 - 118*x^11 - 391*x^10 + 743*x^9 + 817*x^8 - 1875*x^7 - 801*x^6 + 2035*x^5 + 415*x^4 - 712*x^3 - 213*x^2 + 2*x + 1, x^15 - 7*x^14 + x^13 + 86*x^12 - 118*x^11 - 391*x^10 + 743*x^9 + 817*x^8 - 1875*x^7 - 801*x^6 + 2035*x^5 + 415*x^4 - 712*x^3 - 213*x^2 + 2*x + 1, x^17 - 5*x^16 - 11*x^15 + 87*x^14 + 5*x^13 - 584*x^12 + 369*x^11 + 1917*x^10 - 1809*x^9 - 3256*x^8 + 3508*x^7 + 2796*x^6 - 2906*x^5 - 1144*x^4 + 781*x^3 + 219*x^2 - 7*x - 1, x^17 - 5*x^16 - 11*x^15 + 87*x^14 + 5*x^13 - 584*x^12 + 369*x^11 + 1917*x^10 - 1809*x^9 - 3256*x^8 + 3508*x^7 + 2796*x^6 - 2906*x^5 - 1144*x^4 + 781*x^3 + 219*x^2 - 7*x - 1, x^15 - 4*x^14 - 10*x^13 + 56*x^12 + 15*x^11 - 290*x^10 + 144*x^9 + 668*x^8 - 613*x^7 - 639*x^6 + 806*x^5 + 183*x^4 - 286*x^3 - 65*x^2, x^15 - 4*x^14 - 10*x^13 + 56*x^12 + 15*x^11 - 290*x^10 + 144*x^9 + 668*x^8 - 613*x^7 - 639*x^6 + 806*x^5 + 183*x^4 - 286*x^3 - 65*x^2, x^17 - 5*x^16 - 12*x^15 + 91*x^14 + 18*x^13 - 654*x^12 + 339*x^11 + 2347*x^10 - 1990*x^9 - 4417*x^8 + 4423*x^7 + 4158*x^6 - 4168*x^5 - 1728*x^4 + 1194*x^3 + 369*x^2 - 10*x - 2, x^17 - 5*x^16 - 12*x^15 + 91*x^14 + 18*x^13 - 654*x^12 + 339*x^11 + 2347*x^10 - 1990*x^9 - 4417*x^8 + 4423*x^7 + 4158*x^6 - 4168*x^5 - 1728*x^4 + 1194*x^3 + 369*x^2 - 10*x - 2, x^15 - 5*x^14 - 9*x^13 + 76*x^12 - 11*x^11 - 420*x^10 + 319*x^9 + 1058*x^8 - 1109*x^7 - 1218*x^6 + 1431*x^5 + 588*x^4 - 568*x^3 - 185*x^2 + x + 1, x^15 - 5*x^14 - 9*x^13 + 76*x^12 - 11*x^11 - 420*x^10 + 319*x^9 + 1058*x^8 - 1109*x^7 - 1218*x^6 + 1431*x^5 + 588*x^4 - 568*x^3 - 185*x^2 + x + 1, x^18 - 5*x^17 - 13*x^16 + 96*x^15 + 26*x^14 - 722*x^13 + 336*x^12 + 2718*x^11 - 2131*x^10 - 5445*x^9 + 4896*x^8 + 5692*x^7 - 4687*x^6 - 2930*x^5 + 1291*x^4 + 782*x^3 + 58*x^2 - 5*x, x^18 - 5*x^17 - 13*x^16 + 96*x^15 + 26*x^14 - 722*x^13 + 336*x^12 + 2718*x^11 - 2131*x^10 - 5445*x^9 + 4896*x^8 + 5692*x^7 - 4687*x^6 - 2930*x^5 + 1291*x^4 + 782*x^3 + 58*x^2 - 5*x]>
       ]
>;

MOG[461] := 	// J_0(461)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 31, 62, 63, 93, 127, 148, 163, 197, 298, 313, 342, 385, 416, 424, 4*x + 130, 457*x + 130, 30*x + 254, 431*x + 254, 129*x + 224, 332*x + 224, 100*x + 310, 361*x + 310, 448*x + 385, 13*x + 385, 399*x + 302, 62*x + 302, 446*x + 412, 15*x + 412, 130*x + 412, 331*x + 412, 310*x + 98, 151*x + 98, 179*x + 413, 282*x + 413, 113*x + 33, 348*x + 33, 455*x + 76, 6*x + 76]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x, -x, 1, -1, -x, x, 0, 0, -1, 1, -1, 1, 0, 0, -x - 1, x + 1, -x, x, 0, 0, 1, -1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^3 + 2*x^2 - x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^2 - 2*x + 1, x^2 + 2*x - 1, -1, 1, 0, 0, x^2 + x - 1, -x^2 - x + 1, x^2 + 2*x - 1, -x^2 - 2*x + 1, x + 1, -x - 1, 1, -1, -x^2 - 2*x, x^2 + 2*x, 1, -1, -x^2 - 2*x, x^2 + 2*x, x + 1, -x - 1, -x - 2, x + 2]>,
         rec<Eigen |
           DefiningPolynomial := x^7 - 8*x^5 + x^4 + 18*x^3 - 2*x^2 - 12*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^6 - 2*x^5 + 5*x^4 + 9*x^3 - 5*x^2 - 8*x + 1, x^6 + 2*x^5 - 5*x^4 - 9*x^3 + 5*x^2 + 8*x - 1, -x^6 - 2*x^5 + 5*x^4 + 10*x^3 - 5*x^2 - 10*x, x^6 + 2*x^5 - 5*x^4 - 10*x^3 + 5*x^2 + 10*x, -x^6 - x^5 + 5*x^4 + 3*x^3 - 5*x^2 - x + 1, x^6 + x^5 - 5*x^4 - 3*x^3 + 5*x^2 + x - 1, -x^6 - x^5 + 6*x^4 + 4*x^3 - 7*x^2 - 4*x, x^6 + x^5 - 6*x^4 - 4*x^3 + 7*x^2 + 4*x, -x^5 - x^4 + 4*x^3 + 2*x^2 - 3*x, x^5 + x^4 - 4*x^3 - 2*x^2 + 3*x, -x^6 - x^5 + 6*x^4 + 5*x^3 - 8*x^2 - 6*x + 1, x^6 + x^5 - 6*x^4 - 5*x^3 + 8*x^2 + 6*x - 1, -x^4 - x^3 + 2*x^2 + x - 1, x^4 + x^3 - 2*x^2 - x + 1, x^2 - 1, -x^2 + 1, -x^5 + 6*x^3 - x^2 - 7*x + 1, x^5 - 6*x^3 + x^2 + 7*x - 1, -x^3 - x^2 + x, x^3 + x^2 - x, -x^3 + x, x^3 - x, -x^2 - x + 1, x^2 + x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^26 - 3*x^25 - 41*x^24 + 126*x^23 + 726*x^22 - 2303*x^21 - 7266*x^20 + 24054*x^19 + 45144*x^18 - 158550*x^17 - 179824*x^16 + 687620*x^15 + 456511*x^14 - 1985932*x^13 - 703693*x^12 + 3785104*x^11 + 571532*x^10 - 4624305*x^9 - 111938*x^8 + 3430214*x^7 - 156745*x^6 - 1399829*x^5 + 108715*x^4 + 249906*x^3 - 21297*x^2 - 6102*x + 223,
           Coordinates        := [-x^25 + 3*x^24 + 38*x^23 - 117*x^22 - 618*x^21 + 1970*x^20 + 5618*x^19 - 18776*x^18 - 31280*x^17 + 111678*x^16 + 109868*x^15 - 431376*x^14 - 241375*x^13 + 1092906*x^12 + 315980*x^11 - 1794976*x^10 - 218256*x^9 + 1848295*x^8 + 53982*x^7 - 1120455*x^6 + 6805*x^5 + 356080*x^4 - 750*x^3 - 45692*x^2 - 1291*x + 716, x^25 - 3*x^24 - 38*x^23 + 117*x^22 + 620*x^21 - 1974*x^20 - 5688*x^19 + 18916*x^18 + 32306*x^17 - 113732*x^16 - 118054*x^15 + 447820*x^14 + 280071*x^13 - 1171330*x^12 - 426446*x^11 + 2023582*x^10 + 403384*x^9 - 2250841*x^8 - 218532*x^7 + 1528247*x^6 + 45601*x^5 - 569160*x^4 + 15222*x^3 + 91782*x^2 - 7679*x - 2144, 4*x^20 - 10*x^19 - 110*x^18 + 288*x^17 + 1190*x^16 - 3356*x^15 - 6314*x^14 + 20344*x^13 + 16032*x^12 - 68794*x^11 - 10820*x^10 + 129602*x^9 - 32246*x^8 - 128896*x^7 + 71038*x^6 + 59652*x^5 - 51616*x^4 - 8096*x^3 + 12638*x^2 - 1246*x + 204, -3*x^24 + 9*x^23 + 108*x^22 - 333*x^21 - 1648*x^20 + 5278*x^19 + 13864*x^18 - 46872*x^17 - 69956*x^16 + 256244*x^15 + 215136*x^14 - 893026*x^13 - 387713*x^12 + 1990128*x^11 + 353276*x^10 - 2776010*x^9 - 57956*x^8 + 2309759*x^7 - 149940*x^6 - 1043749*x^5 + 107965*x^4 + 204214*x^3 - 22588*x^2 - 5386*x + 223, 4*x^21 - 12*x^20 - 116*x^19 + 366*x^18 + 1358*x^17 - 4612*x^16 - 8190*x^15 + 31172*x^14 + 26658*x^13 - 123044*x^12 - 42788*x^11 + 290394*x^10 + 15572*x^9 - 404702*x^8 + 45874*x^7 + 318232*x^6 - 63290*x^5 - 128988*x^4 + 30692*x^3 + 21852*x^2 - 5262*x - 658, -4*x^20 + 14*x^19 + 108*x^18 - 428*x^17 - 1098*x^16 + 5366*x^15 + 4722*x^14 - 35602*x^13 - 2222*x^12 + 134644*x^11 - 54726*x^10 - 291648*x^9 + 203906*x^8 + 346558*x^7 - 307546*x^6 - 206970*x^5 + 206242*x^4 + 53258*x^3 - 51646*x^2 - 3400*x + 984, 2*x^23 - 6*x^22 - 68*x^21 + 212*x^20 + 966*x^19 - 3182*x^18 - 7406*x^17 + 26488*x^16 + 32866*x^15 - 134038*x^14 - 82726*x^13 + 425682*x^12 + 98772*x^11 - 847940*x^10 + 7916*x^9 + 1032968*x^8 - 158912*x^7 - 730784*x^6 + 167734*x^5 + 272950*x^4 - 70334*x^3 - 43410*x^2 + 10422*x + 1316, 2*x^21 - 10*x^20 - 54*x^19 + 314*x^18 + 560*x^17 - 4118*x^16 - 2628*x^15 + 29392*x^14 + 3626*x^13 - 124936*x^12 + 15878*x^11 + 325986*x^10 - 76320*x^9 - 520198*x^8 + 130200*x^7 + 490692*x^6 - 101736*x^5 - 252370*x^4 + 35100*x^3 + 56464*x^2 - 4116*x - 1728, 2*x^22 - 6*x^21 - 60*x^20 + 188*x^19 + 734*x^18 - 2450*x^17 - 4690*x^16 + 17264*x^15 + 16486*x^14 - 71694*x^13 - 29410*x^12 + 179594*x^11 + 13196*x^10 - 267152*x^9 + 39060*x^8 + 223564*x^7 - 67164*x^6 - 94320*x^5 + 41154*x^4 + 14974*x^3 - 8950*x^2 + 294*x - 102, x^24 - 3*x^23 - 36*x^22 + 111*x^21 + 552*x^20 - 1768*x^19 - 4698*x^18 + 15880*x^17 + 24214*x^16 - 88498*x^15 - 77228*x^14 + 317226*x^13 + 149065*x^12 - 733988*x^11 - 162868*x^10 + 1073344*x^9 + 91378*x^8 - 947619*x^7 - 32552*x^6 + 463399*x^5 + 17995*x^4 - 99740*x^3 - 5754*x^2 + 2936*x - 325, -4*x^19 + 6*x^18 + 120*x^17 - 188*x^16 - 1474*x^15 + 2418*x^14 + 9558*x^13 - 16486*x^12 - 35194*x^11 + 64256*x^10 + 73786*x^9 - 144076*x^8 - 84246*x^7 + 178066*x^6 + 48586*x^5 - 109798*x^4 - 13354*x^3 + 26550*x^2 + 1454*x - 492, -2*x^19 - 2*x^18 + 74*x^17 + 46*x^16 - 1108*x^15 - 416*x^14 + 8784*x^13 + 1854*x^12 - 40240*x^11 - 3986*x^10 + 108288*x^9 + 2708*x^8 - 164764*x^7 + 1500*x^6 + 127432*x^5 + 1750*x^4 - 40478*x^3 - 3496*x^2 + 2526*x + 1066, -6*x^20 + 16*x^19 + 178*x^18 - 480*x^17 - 2174*x^16 + 5952*x^15 + 14146*x^14 - 39500*x^13 - 53166*x^12 + 151856*x^11 + 117978*x^10 - 342084*x^9 - 155554*x^8 + 435488*x^7 + 127054*x^6 - 285172*x^5 - 68044*x^4 + 75552*x^3 + 19108*x^2 - 2396*x - 1312, 2*x^20 - 4*x^19 - 66*x^18 + 128*x^17 + 922*x^16 - 1714*x^15 - 7100*x^14 + 12414*x^13 + 32972*x^12 - 52492*x^11 - 95412*x^10 + 130628*x^9 + 172708*x^8 - 183442*x^7 - 190716*x^6 + 129678*x^5 + 117346*x^4 - 33964*x^3 - 29330*x^2 - 208*x + 210, -6*x^21 + 20*x^20 + 176*x^19 - 620*x^18 - 2092*x^17 + 7982*x^16 + 12848*x^15 - 55384*x^14 - 42606*x^13 + 225068*x^12 + 69472*x^11 - 545784*x^10 - 27634*x^9 + 772960*x^8 - 57888*x^7 - 603320*x^6 + 59884*x^5 + 233376*x^4 - 11360*x^3 - 34252*x^2 - 2586*x + 210, x^22 - 6*x^21 - 22*x^20 + 184*x^19 + 123*x^18 - 2339*x^17 + 745*x^16 + 16010*x^15 - 12883*x^14 - 64281*x^13 + 70407*x^12 + 155054*x^11 - 201153*x^10 - 221939*x^9 + 325199*x^8 + 180246*x^7 - 296214*x^6 - 75317*x^5 + 143735*x^4 + 10682*x^3 - 30290*x^2 + 1194*x + 864, x^22 - 6*x^21 - 22*x^20 + 184*x^19 + 123*x^18 - 2339*x^17 + 745*x^16 + 16010*x^15 - 12883*x^14 - 64281*x^13 + 70407*x^12 + 155054*x^11 - 201153*x^10 - 221939*x^9 + 325199*x^8 + 180246*x^7 - 296214*x^6 - 75317*x^5 + 143735*x^4 + 10682*x^3 - 30290*x^2 + 1194*x + 864, x^23 - 3*x^22 - 34*x^21 + 103*x^20 + 495*x^19 - 1518*x^18 - 4046*x^17 + 12617*x^16 + 20413*x^15 - 65297*x^14 - 65503*x^13 + 218671*x^12 + 131789*x^11 - 475119*x^10 - 156003*x^9 + 651611*x^8 + 92990*x^7 - 532424*x^6 - 13803*x^5 + 234710*x^4 - 10488*x^3 - 44423*x^2 + 3677*x + 1072, x^23 - 3*x^22 - 34*x^21 + 103*x^20 + 495*x^19 - 1518*x^18 - 4046*x^17 + 12617*x^16 + 20413*x^15 - 65297*x^14 - 65503*x^13 + 218671*x^12 + 131789*x^11 - 475119*x^10 - 156003*x^9 + 651611*x^8 + 92990*x^7 - 532424*x^6 - 13803*x^5 + 234710*x^4 - 10488*x^3 - 44423*x^2 + 3677*x + 1072, -3*x^22 + 10*x^21 + 91*x^20 - 318*x^19 - 1135*x^18 + 4231*x^17 + 7511*x^16 - 30668*x^15 - 28376*x^14 + 132284*x^13 + 61319*x^12 - 348820*x^11 - 72806*x^10 + 557522*x^9 + 48833*x^8 - 519404*x^7 - 33585*x^6 + 259274*x^5 + 28342*x^4 - 54902*x^3 - 10847*x^2 + 1303*x + 656, -3*x^22 + 10*x^21 + 91*x^20 - 318*x^19 - 1135*x^18 + 4231*x^17 + 7511*x^16 - 30668*x^15 - 28376*x^14 + 132284*x^13 + 61319*x^12 - 348820*x^11 - 72806*x^10 + 557522*x^9 + 48833*x^8 - 519404*x^7 - 33585*x^6 + 259274*x^5 + 28342*x^4 - 54902*x^3 - 10847*x^2 + 1303*x + 656, x^22 - 2*x^21 - 35*x^20 + 66*x^19 + 529*x^18 - 924*x^17 - 4546*x^16 + 7191*x^15 + 24608*x^14 - 34274*x^13 - 87683*x^12 + 103815*x^11 + 208018*x^10 - 199794*x^9 - 323587*x^8 + 234949*x^7 + 314963*x^6 - 153372*x^5 - 172218*x^4 + 44635*x^3 + 39721*x^2 - 3058*x - 539, x^22 - 2*x^21 - 35*x^20 + 66*x^19 + 529*x^18 - 924*x^17 - 4546*x^16 + 7191*x^15 + 24608*x^14 - 34274*x^13 - 87683*x^12 + 103815*x^11 + 208018*x^10 - 199794*x^9 - 323587*x^8 + 234949*x^7 + 314963*x^6 - 153372*x^5 - 172218*x^4 + 44635*x^3 + 39721*x^2 - 3058*x - 539, -3*x^23 + 9*x^22 + 103*x^21 - 316*x^20 - 1495*x^19 + 4728*x^18 + 11942*x^17 - 39395*x^16 - 57234*x^15 + 200551*x^14 + 168206*x^13 - 644295*x^12 - 297332*x^11 + 1304459*x^10 + 298406*x^9 - 1617563*x^8 - 155943*x^7 + 1158808*x^6 + 43775*x^5 - 432013*x^4 - 10169*x^3 + 65845*x^2 + 2048*x - 1074, -3*x^23 + 9*x^22 + 103*x^21 - 316*x^20 - 1495*x^19 + 4728*x^18 + 11942*x^17 - 39395*x^16 - 57234*x^15 + 200551*x^14 + 168206*x^13 - 644295*x^12 - 297332*x^11 + 1304459*x^10 + 298406*x^9 - 1617563*x^8 - 155943*x^7 + 1158808*x^6 + 43775*x^5 - 432013*x^4 - 10169*x^3 + 65845*x^2 + 2048*x - 1074, x^21 - 2*x^20 - 32*x^19 + 65*x^18 + 424*x^17 - 880*x^16 - 2996*x^15 + 6415*x^14 + 12094*x^13 - 27173*x^12 - 27586*x^11 + 67307*x^10 + 32210*x^9 - 93075*x^8 - 12976*x^7 + 64089*x^6 - 5043*x^5 - 17857*x^4 + 5574*x^3 + 1644*x^2 - 1158*x - 533, x^21 - 2*x^20 - 32*x^19 + 65*x^18 + 424*x^17 - 880*x^16 - 2996*x^15 + 6415*x^14 + 12094*x^13 - 27173*x^12 - 27586*x^11 + 67307*x^10 + 32210*x^9 - 93075*x^8 - 12976*x^7 + 64089*x^6 - 5043*x^5 - 17857*x^4 + 5574*x^3 + 1644*x^2 - 1158*x - 533, -2*x^22 + 7*x^21 + 62*x^20 - 232*x^19 - 787*x^18 + 3246*x^17 + 5211*x^16 - 25025*x^15 - 18554*x^14 + 116447*x^13 + 29062*x^12 - 336849*x^11 + 17936*x^10 + 600925*x^9 - 146820*x^8 - 631547*x^7 + 227300*x^6 + 352462*x^5 - 146476*x^4 - 83467*x^3 + 35483*x^2 + 3009*x - 879, -2*x^22 + 7*x^21 + 62*x^20 - 232*x^19 - 787*x^18 + 3246*x^17 + 5211*x^16 - 25025*x^15 - 18554*x^14 + 116447*x^13 + 29062*x^12 - 336849*x^11 + 17936*x^10 + 600925*x^9 - 146820*x^8 - 631547*x^7 + 227300*x^6 + 352462*x^5 - 146476*x^4 - 83467*x^3 + 35483*x^2 + 3009*x - 879, x^24 - 3*x^23 - 35*x^22 + 109*x^21 + 513*x^20 - 1685*x^19 - 4070*x^18 + 14469*x^17 + 18778*x^16 - 75651*x^15 - 49606*x^14 + 248688*x^13 + 64091*x^12 - 513767*x^11 - 2640*x^10 + 650060*x^9 - 98986*x^8 - 477174*x^7 + 117449*x^6 + 183635*x^5 - 55744*x^4 - 29192*x^3 + 9686*x^2 + 511*x + 51, x^24 - 3*x^23 - 35*x^22 + 109*x^21 + 513*x^20 - 1685*x^19 - 4070*x^18 + 14469*x^17 + 18778*x^16 - 75651*x^15 - 49606*x^14 + 248688*x^13 + 64091*x^12 - 513767*x^11 - 2640*x^10 + 650060*x^9 - 98986*x^8 - 477174*x^7 + 117449*x^6 + 183635*x^5 - 55744*x^4 - 29192*x^3 + 9686*x^2 + 511*x + 51, x^20 + 3*x^19 - 39*x^18 - 84*x^17 + 628*x^16 + 938*x^15 - 5414*x^14 - 5313*x^13 + 27125*x^12 + 15984*x^11 - 80396*x^10 - 23909*x^9 + 137903*x^8 + 12582*x^7 - 129290*x^6 + 5837*x^5 + 60446*x^4 - 9027*x^3 - 11549*x^2 + 2733*x + 329, x^20 + 3*x^19 - 39*x^18 - 84*x^17 + 628*x^16 + 938*x^15 - 5414*x^14 - 5313*x^13 + 27125*x^12 + 15984*x^11 - 80396*x^10 - 23909*x^9 + 137903*x^8 + 12582*x^7 - 129290*x^6 + 5837*x^5 + 60446*x^4 - 9027*x^3 - 11549*x^2 + 2733*x + 329, -2*x^21 + 7*x^20 + 56*x^19 - 217*x^18 - 609*x^17 + 2777*x^16 + 3098*x^15 - 19010*x^14 - 5890*x^13 + 75565*x^12 - 9766*x^11 - 177952*x^10 + 65060*x^9 + 245317*x^8 - 111650*x^7 - 192518*x^6 + 78828*x^5 + 81528*x^4 - 19146*x^3 - 14975*x^2 - 235*x + 246, -2*x^21 + 7*x^20 + 56*x^19 - 217*x^18 - 609*x^17 + 2777*x^16 + 3098*x^15 - 19010*x^14 - 5890*x^13 + 75565*x^12 - 9766*x^11 - 177952*x^10 + 65060*x^9 + 245317*x^8 - 111650*x^7 - 192518*x^6 + 78828*x^5 + 81528*x^4 - 19146*x^3 - 14975*x^2 - 235*x + 246, x^23 - 2*x^22 - 39*x^21 + 77*x^20 + 652*x^19 - 1265*x^18 - 6122*x^17 + 11593*x^16 + 35582*x^15 - 65094*x^14 - 133254*x^13 + 231881*x^12 + 325034*x^11 - 525582*x^10 - 510286*x^9 + 740699*x^8 + 494893*x^7 - 613828*x^6 - 269079*x^5 + 267018*x^4 + 64798*x^3 - 47861*x^2 - 2692*x + 828, x^23 - 2*x^22 - 39*x^21 + 77*x^20 + 652*x^19 - 1265*x^18 - 6122*x^17 + 11593*x^16 + 35582*x^15 - 65094*x^14 - 133254*x^13 + 231881*x^12 + 325034*x^11 - 525582*x^10 - 510286*x^9 + 740699*x^8 + 494893*x^7 - 613828*x^6 - 269079*x^5 + 267018*x^4 + 64798*x^3 - 47861*x^2 - 2692*x + 828, -2*x^20 + x^19 + 70*x^18 - 41*x^17 - 1015*x^16 + 649*x^15 + 7942*x^14 - 5280*x^13 - 36606*x^12 + 24253*x^11 + 101850*x^10 - 63960*x^9 - 168736*x^8 + 92471*x^7 + 159074*x^6 - 63964*x^5 - 78912*x^4 + 15234*x^3 + 15928*x^2 + 637*x - 105, -2*x^20 + x^19 + 70*x^18 - 41*x^17 - 1015*x^16 + 649*x^15 + 7942*x^14 - 5280*x^13 - 36606*x^12 + 24253*x^11 + 101850*x^10 - 63960*x^9 - 168736*x^8 + 92471*x^7 + 159074*x^6 - 63964*x^5 - 78912*x^4 + 15234*x^3 + 15928*x^2 + 637*x - 105]>
       ]
>;

MOG[463] := 	// J_0(463)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [51, 129, 184, 209, 266, 339, 436, 345*x + 385, 118*x + 385, 65*x + 148, 398*x + 148, 393*x + 96, 70*x + 96, 32*x + 266, 431*x + 266, 24*x + 129, 439*x + 129, 88*x + 119, 375*x + 119, 2*x + 277, 461*x + 277, 47*x + 52, 416*x + 52, 411*x + 69, 52*x + 69, 316*x + 440, 147*x + 440, 86*x + 275, 377*x + 275, 258*x + 209, 205*x + 209, 367*x + 97, 96*x + 97, 295*x + 53, 168*x + 53, 245*x + 34, 218*x + 34, 97*x + 187, 366*x + 187]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^16 + 9*x^15 + 17*x^14 - 70*x^13 - 282*x^12 + 7*x^11 + 1223*x^10 + 1073*x^9 - 2045*x^8 - 2946*x^7 + 1137*x^6 + 2847*x^5 + 88*x^4 - 954*x^3 - 47*x^2 + 118*x - 9,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, -x^15 - 9*x^14 - 19*x^13 + 53*x^12 + 249*x^11 + 85*x^10 - 841*x^9 - 996*x^8 + 902*x^7 + 1879*x^6 - 24*x^5 - 1224*x^4 - 304*x^3 + 238*x^2 + 54*x - 11, x^15 + 9*x^14 + 19*x^13 - 53*x^12 - 249*x^11 - 85*x^10 + 841*x^9 + 996*x^8 - 902*x^7 - 1879*x^6 + 24*x^5 + 1224*x^4 + 304*x^3 - 238*x^2 - 54*x + 11, -x^14 - 8*x^13 - 12*x^12 + 57*x^11 + 179*x^10 - 44*x^9 - 626*x^8 - 371*x^7 + 746*x^6 + 695*x^5 - 281*x^4 - 319*x^3 + 52*x^2 + 42*x - 5, x^14 + 8*x^13 + 12*x^12 - 57*x^11 - 179*x^10 + 44*x^9 + 626*x^8 + 371*x^7 - 746*x^6 - 695*x^5 + 281*x^4 + 319*x^3 - 52*x^2 - 42*x + 5, -x^14 - 9*x^13 - 21*x^12 + 35*x^11 + 203*x^10 + 121*x^9 - 517*x^8 - 696*x^7 + 367*x^6 + 928*x^5 + 65*x^4 - 397*x^3 - 45*x^2 + 65*x - 4, x^14 + 9*x^13 + 21*x^12 - 35*x^11 - 203*x^10 - 121*x^9 + 517*x^8 + 696*x^7 - 367*x^6 - 928*x^5 - 65*x^4 + 397*x^3 + 45*x^2 - 65*x + 4, x^12 + 8*x^11 + 15*x^10 - 33*x^9 - 129*x^8 - 19*x^7 + 300*x^6 + 201*x^5 - 252*x^4 - 216*x^3 + 68*x^2 + 49*x - 12, -x^12 - 8*x^11 - 15*x^10 + 33*x^9 + 129*x^8 + 19*x^7 - 300*x^6 - 201*x^5 + 252*x^4 + 216*x^3 - 68*x^2 - 49*x + 12, -x^13 - 8*x^12 - 13*x^11 + 50*x^10 + 171*x^9 - x^8 - 527*x^7 - 438*x^6 + 438*x^5 + 624*x^4 + 37*x^3 - 144*x^2 - 17*x + 6, x^13 + 8*x^12 + 13*x^11 - 50*x^10 - 171*x^9 + x^8 + 527*x^7 + 438*x^6 - 438*x^5 - 624*x^4 - 37*x^3 + 144*x^2 + 17*x - 6, -x^13 - 9*x^12 - 23*x^11 + 18*x^10 + 162*x^9 + 152*x^8 - 254*x^7 - 450*x^6 + 38*x^5 + 359*x^4 + 111*x^3 - 56*x^2 - 21*x - 1, x^13 + 9*x^12 + 23*x^11 - 18*x^10 - 162*x^9 - 152*x^8 + 254*x^7 + 450*x^6 - 38*x^5 - 359*x^4 - 111*x^3 + 56*x^2 + 21*x + 1, -x^13 - 9*x^12 - 23*x^11 + 18*x^10 + 162*x^9 + 148*x^8 - 281*x^7 - 501*x^6 + 51*x^5 + 468*x^4 + 148*x^3 - 117*x^2 - 37*x + 12, x^13 + 9*x^12 + 23*x^11 - 18*x^10 - 162*x^9 - 148*x^8 + 281*x^7 + 501*x^6 - 51*x^5 - 468*x^4 - 148*x^3 + 117*x^2 + 37*x - 12, -x^12 - 7*x^11 - 8*x^10 + 43*x^9 + 99*x^8 - 67*x^7 - 308*x^6 - 71*x^5 + 318*x^4 + 175*x^3 - 69*x^2 - 36*x + 5, x^12 + 7*x^11 + 8*x^10 - 43*x^9 - 99*x^8 + 67*x^7 + 308*x^6 + 71*x^5 - 318*x^4 - 175*x^3 + 69*x^2 + 36*x - 5, -x^12 - 9*x^11 - 25*x^10 + 2*x^9 + 126*x^8 + 177*x^7 - 56*x^6 - 259*x^5 - 103*x^4 + 51*x^3 + 3*x^2 - 10*x + 8, x^12 + 9*x^11 + 25*x^10 - 2*x^9 - 126*x^8 - 177*x^7 + 56*x^6 + 259*x^5 + 103*x^4 - 51*x^3 - 3*x^2 + 10*x - 8, -x^12 - 8*x^11 - 16*x^10 + 29*x^9 + 137*x^8 + 69*x^7 - 273*x^6 - 310*x^5 + 149*x^4 + 290*x^3 + 21*x^2 - 56*x - 4, x^12 + 8*x^11 + 16*x^10 - 29*x^9 - 137*x^8 - 69*x^7 + 273*x^6 + 310*x^5 - 149*x^4 - 290*x^3 - 21*x^2 + 56*x + 4, -x^12 - 9*x^11 - 26*x^10 - 6*x^9 + 107*x^8 + 176*x^7 - 16*x^6 - 259*x^5 - 169*x^4 + 64*x^3 + 76*x^2 - 4*x - 8, x^12 + 9*x^11 + 26*x^10 + 6*x^9 - 107*x^8 - 176*x^7 + 16*x^6 + 259*x^5 + 169*x^4 - 64*x^3 - 76*x^2 + 4*x + 8, -2*x^11 - 15*x^10 - 29*x^9 + 33*x^8 + 152*x^7 + 59*x^6 - 191*x^5 - 131*x^4 + 69*x^3 + 39*x^2 - 14*x - 1, 2*x^11 + 15*x^10 + 29*x^9 - 33*x^8 - 152*x^7 - 59*x^6 + 191*x^5 + 131*x^4 - 69*x^3 - 39*x^2 + 14*x + 1, -x^11 - 7*x^10 - 11*x^9 + 24*x^8 + 78*x^7 + 21*x^6 - 98*x^5 - 63*x^4 + 23*x^3 + 5*x^2 - 7*x + 4, x^11 + 7*x^10 + 11*x^9 - 24*x^8 - 78*x^7 - 21*x^6 + 98*x^5 + 63*x^4 - 23*x^3 - 5*x^2 + 7*x - 4, -x^11 - 9*x^10 - 25*x^9 + x^8 + 120*x^7 + 170*x^6 - 43*x^5 - 245*x^4 - 131*x^3 + 41*x^2 + 36*x - 3, x^11 + 9*x^10 + 25*x^9 - x^8 - 120*x^7 - 170*x^6 + 43*x^5 + 245*x^4 + 131*x^3 - 41*x^2 - 36*x + 3, -x^11 - 5*x^10 + 4*x^9 + 54*x^8 + 50*x^7 - 133*x^6 - 199*x^5 + 80*x^4 + 200*x^3 + 21*x^2 - 39*x - 3, x^11 + 5*x^10 - 4*x^9 - 54*x^8 - 50*x^7 + 133*x^6 + 199*x^5 - 80*x^4 - 200*x^3 - 21*x^2 + 39*x + 3, -x^11 - 9*x^10 - 26*x^9 - 5*x^8 + 113*x^7 + 183*x^6 - 29*x^5 - 273*x^4 - 141*x^3 + 74*x^2 + 43*x - 11, x^11 + 9*x^10 + 26*x^9 + 5*x^8 - 113*x^7 - 183*x^6 + 29*x^5 + 273*x^4 + 141*x^3 - 74*x^2 - 43*x + 11]>,
         rec<Eigen |
           DefiningPolynomial := x^22 - 8*x^21 - x^20 + 161*x^19 - 281*x^18 - 1216*x^17 + 3523*x^16 + 3859*x^15 - 19383*x^14 - 1030*x^13 + 56835*x^12 - 26406*x^11 - 90387*x^10 + 71356*x^9 + 71796*x^8 - 76057*x^7 - 22452*x^6 + 32959*x^5 + 1404*x^4 - 4772*x^3 - 174*x^2 + 237*x + 25,
           Coordinates        := [-x^21 + 8*x^20 - 2*x^19 - 136*x^18 + 261*x^17 + 860*x^16 - 2648*x^15 - 2214*x^14 + 12255*x^13 - 16*x^12 - 30718*x^11 + 12327*x^10 + 43027*x^9 - 26215*x^8 - 32732*x^7 + 22755*x^6 + 12481*x^5 - 8058*x^4 - 2162*x^3 + 769*x^2 + 180*x + 2, x^21 - 7*x^20 - 6*x^19 + 140*x^18 - 141*x^17 - 1113*x^16 + 2028*x^15 + 4364*x^14 - 11333*x^13 - 7933*x^12 + 33172*x^11 + 1605*x^10 - 52752*x^9 + 16594*x^8 + 42351*x^7 - 22975*x^6 - 13718*x^5 + 9887*x^4 + 878*x^3 - 1047*x^2 - 11*x + 24, x^20 - 8*x^19 + 4*x^18 + 120*x^17 - 251*x^16 - 636*x^15 + 2160*x^14 + 1142*x^13 - 8437*x^12 + 1552*x^11 + 17356*x^10 - 9285*x^9 - 19133*x^8 + 14087*x^7 + 10812*x^6 - 9309*x^5 - 2913*x^4 + 2626*x^3 + 370*x^2 - 211*x - 32, x^19 - 8*x^18 + 6*x^17 + 104*x^16 - 237*x^15 - 444*x^14 + 1706*x^13 + 400*x^12 - 5431*x^11 + 2038*x^10 + 8468*x^9 - 5861*x^8 - 6105*x^7 + 5689*x^6 + 1484*x^5 - 2141*x^4 + 113*x^3 + 262*x^2 - 28*x - 9, x^20 - 7*x^19 - 4*x^18 + 124*x^17 - 131*x^16 - 887*x^15 + 1526*x^14 + 3288*x^13 - 7293*x^12 - 6713*x^11 + 18674*x^10 + 7275*x^9 - 26906*x^8 - 3356*x^7 + 20897*x^6 - 45*x^5 - 7500*x^4 + 221*x^3 + 840*x^2 + 9*x - 17, -x^19 + 8*x^18 - 4*x^17 - 120*x^16 + 253*x^15 + 622*x^14 - 2156*x^13 - 966*x^12 + 8119*x^11 - 2266*x^10 - 15194*x^9 + 9957*x^8 + 13311*x^7 - 12123*x^6 - 4146*x^5 + 5175*x^4 + 55*x^3 - 566*x^2 + 8*x + 15, -x^20 + 9*x^19 - 12*x^18 - 116*x^17 + 373*x^16 + 369*x^15 - 2778*x^14 + 1190*x^13 + 9085*x^12 - 10385*x^11 - 12928*x^10 + 25151*x^9 + 3354*x^8 - 25434*x^7 + 7977*x^6 + 9321*x^5 - 5120*x^4 - 621*x^3 + 574*x^2 + 7*x - 15, -x^20 + 8*x^19 - 4*x^18 - 120*x^17 + 251*x^16 + 638*x^15 - 2175*x^14 - 1118*x^13 + 8516*x^12 - 1847*x^11 - 17216*x^10 + 9995*x^9 + 17855*x^8 - 13934*x^7 - 8974*x^6 + 7790*x^5 + 2181*x^4 - 1691*x^3 - 284*x^2 + 116*x + 20, -x^20 + 8*x^19 - 4*x^18 - 120*x^17 + 251*x^16 + 638*x^15 - 2175*x^14 - 1118*x^13 + 8516*x^12 - 1847*x^11 - 17216*x^10 + 9995*x^9 + 17855*x^8 - 13934*x^7 - 8974*x^6 + 7790*x^5 + 2181*x^4 - 1691*x^3 - 284*x^2 + 116*x + 20, -x^19 + 8*x^18 - 4*x^17 - 119*x^16 + 245*x^15 + 632*x^14 - 2081*x^13 - 1179*x^12 + 7947*x^11 - 1149*x^10 - 15530*x^9 + 7388*x^8 + 15268*x^7 - 9393*x^6 - 6902*x^5 + 3997*x^4 + 1345*x^3 - 365*x^2 - 121*x - 8, -x^19 + 8*x^18 - 4*x^17 - 119*x^16 + 245*x^15 + 632*x^14 - 2081*x^13 - 1179*x^12 + 7947*x^11 - 1149*x^10 - 15530*x^9 + 7388*x^8 + 15268*x^7 - 9393*x^6 - 6902*x^5 + 3997*x^4 + 1345*x^3 - 365*x^2 - 121*x - 8, -x^19 + 8*x^18 - 6*x^17 - 103*x^16 + 228*x^15 + 464*x^14 - 1658*x^13 - 652*x^12 + 5555*x^11 - 1183*x^10 - 9642*x^9 + 4893*x^8 + 8490*x^7 - 5572*x^6 - 3398*x^5 + 2370*x^4 + 533*x^3 - 288*x^2 - 39*x + 6, -x^19 + 8*x^18 - 6*x^17 - 103*x^16 + 228*x^15 + 464*x^14 - 1658*x^13 - 652*x^12 + 5555*x^11 - 1183*x^10 - 9642*x^9 + 4893*x^8 + 8490*x^7 - 5572*x^6 - 3398*x^5 + 2370*x^4 + 533*x^3 - 288*x^2 - 39*x + 6, x^18 - 8*x^17 + 7*x^16 + 96*x^15 - 227*x^14 - 371*x^13 + 1503*x^12 + 243*x^11 - 4444*x^10 + 1712*x^9 + 6514*x^8 - 4199*x^7 - 4664*x^6 + 3584*x^5 + 1513*x^4 - 1182*x^3 - 199*x^2 + 101*x + 16, x^18 - 8*x^17 + 7*x^16 + 96*x^15 - 227*x^14 - 371*x^13 + 1503*x^12 + 243*x^11 - 4444*x^10 + 1712*x^9 + 6514*x^8 - 4199*x^7 - 4664*x^6 + 3584*x^5 + 1513*x^4 - 1182*x^3 - 199*x^2 + 101*x + 16, x^19 - 8*x^18 + 5*x^17 + 113*x^16 - 251*x^15 - 538*x^14 + 2020*x^13 + 610*x^12 - 7249*x^11 + 2835*x^10 + 12923*x^9 - 9975*x^8 - 10727*x^7 + 11465*x^6 + 3109*x^5 - 4833*x^4 - 19*x^3 + 528*x^2 - 3*x - 12, x^19 - 8*x^18 + 5*x^17 + 113*x^16 - 251*x^15 - 538*x^14 + 2020*x^13 + 610*x^12 - 7249*x^11 + 2835*x^10 + 12923*x^9 - 9975*x^8 - 10727*x^7 + 11465*x^6 + 3109*x^5 - 4833*x^4 - 19*x^3 + 528*x^2 - 3*x - 12, -x^18 + 8*x^17 - 8*x^16 - 88*x^15 + 217*x^14 + 298*x^13 - 1301*x^12 - 80*x^11 + 3456*x^10 - 1436*x^9 - 4513*x^8 + 2722*x^7 + 3017*x^6 - 1865*x^5 - 1094*x^4 + 533*x^3 + 207*x^2 - 53*x - 13, -x^18 + 8*x^17 - 8*x^16 - 88*x^15 + 217*x^14 + 298*x^13 - 1301*x^12 - 80*x^11 + 3456*x^10 - 1436*x^9 - 4513*x^8 + 2722*x^7 + 3017*x^6 - 1865*x^5 - 1094*x^4 + 533*x^3 + 207*x^2 - 53*x - 13, -x^18 + 9*x^17 - 15*x^16 - 86*x^15 + 300*x^14 + 168*x^13 - 1660*x^12 + 744*x^11 + 4118*x^10 - 3666*x^9 - 4852*x^8 + 5640*x^7 + 2559*x^6 - 3555*x^5 - 554*x^4 + 870*x^3 + 38*x^2 - 57*x - 7, -x^18 + 9*x^17 - 15*x^16 - 86*x^15 + 300*x^14 + 168*x^13 - 1660*x^12 + 744*x^11 + 4118*x^10 - 3666*x^9 - 4852*x^8 + 5640*x^7 + 2559*x^6 - 3555*x^5 - 554*x^4 + 870*x^3 + 38*x^2 - 57*x - 7, x^18 - 7*x^17 - x^16 + 104*x^15 - 138*x^14 - 597*x^13 + 1223*x^12 + 1601*x^11 - 4602*x^10 - 1720*x^9 + 8791*x^8 - 447*x^7 - 8395*x^6 + 2114*x^5 + 3484*x^4 - 1038*x^3 - 478*x^2 + 100*x + 25, x^18 - 7*x^17 - x^16 + 104*x^15 - 138*x^14 - 597*x^13 + 1223*x^12 + 1601*x^11 - 4602*x^10 - 1720*x^9 + 8791*x^8 - 447*x^7 - 8395*x^6 + 2114*x^5 + 3484*x^4 - 1038*x^3 - 478*x^2 + 100*x + 25, -x^17 + 8*x^16 - 10*x^15 - 76*x^14 + 223*x^13 + 144*x^12 - 1156*x^11 + 644*x^10 + 2341*x^9 - 2902*x^8 - 1446*x^7 + 3789*x^6 - 606*x^5 - 1819*x^4 + 678*x^3 + 305*x^2 - 87*x - 22, -x^17 + 8*x^16 - 10*x^15 - 76*x^14 + 223*x^13 + 144*x^12 - 1156*x^11 + 644*x^10 + 2341*x^9 - 2902*x^8 - 1446*x^7 + 3789*x^6 - 606*x^5 - 1819*x^4 + 678*x^3 + 305*x^2 - 87*x - 22, -x^17 + 7*x^16 - x^15 - 90*x^14 + 134*x^13 + 428*x^12 - 943*x^11 - 897*x^10 + 2788*x^9 + 731*x^8 - 4027*x^7 - 82*x^6 + 2910*x^5 - 18*x^4 - 1004*x^3 - 70*x^2 + 113*x + 16, -x^17 + 7*x^16 - x^15 - 90*x^14 + 134*x^13 + 428*x^12 - 943*x^11 - 897*x^10 + 2788*x^9 + 731*x^8 - 4027*x^7 - 82*x^6 + 2910*x^5 - 18*x^4 - 1004*x^3 - 70*x^2 + 113*x + 16, -x^17 + 10*x^16 - 24*x^15 - 69*x^14 + 369*x^13 - 107*x^12 - 1680*x^11 + 1961*x^10 + 3078*x^9 - 5767*x^8 - 1732*x^7 + 6681*x^6 - 740*x^5 - 3013*x^4 + 687*x^3 + 430*x^2 - 69*x - 22, -x^17 + 10*x^16 - 24*x^15 - 69*x^14 + 369*x^13 - 107*x^12 - 1680*x^11 + 1961*x^10 + 3078*x^9 - 5767*x^8 - 1732*x^7 + 6681*x^6 - 740*x^5 - 3013*x^4 + 687*x^3 + 430*x^2 - 69*x - 22, x^17 - 8*x^16 + 9*x^15 + 79*x^14 - 200*x^13 - 232*x^12 + 1046*x^11 + 47*x^10 - 2412*x^9 + 737*x^8 + 2779*x^7 - 956*x^6 - 1739*x^5 + 311*x^4 + 579*x^3 + 50*x^2 - 72*x - 13, x^17 - 8*x^16 + 9*x^15 + 79*x^14 - 200*x^13 - 232*x^12 + 1046*x^11 + 47*x^10 - 2412*x^9 + 737*x^8 + 2779*x^7 - 956*x^6 - 1739*x^5 + 311*x^4 + 579*x^3 + 50*x^2 - 72*x - 13, -x^16 + 6*x^15 + 2*x^14 - 72*x^13 + 79*x^12 + 302*x^11 - 552*x^10 - 460*x^9 + 1421*x^8 - 60*x^7 - 1566*x^6 + 657*x^5 + 708*x^4 - 403*x^3 - 128*x^2 + 49*x + 11, -x^16 + 6*x^15 + 2*x^14 - 72*x^13 + 79*x^12 + 302*x^11 - 552*x^10 - 460*x^9 + 1421*x^8 - 60*x^7 - 1566*x^6 + 657*x^5 + 708*x^4 - 403*x^3 - 128*x^2 + 49*x + 11, -x^16 + 6*x^15 + 4*x^14 - 82*x^13 + 66*x^12 + 422*x^11 - 563*x^10 - 1006*x^9 + 1646*x^8 + 1127*x^7 - 2057*x^6 - 611*x^5 + 1064*x^4 + 175*x^3 - 166*x^2 - 18*x + 2, -x^16 + 6*x^15 + 4*x^14 - 82*x^13 + 66*x^12 + 422*x^11 - 563*x^10 - 1006*x^9 + 1646*x^8 + 1127*x^7 - 2057*x^6 - 611*x^5 + 1064*x^4 + 175*x^3 - 166*x^2 - 18*x + 2, -x^15 + 7*x^14 - 4*x^13 - 70*x^12 + 126*x^11 + 229*x^10 - 621*x^9 - 245*x^8 + 1223*x^7 - 25*x^6 - 1063*x^5 + 108*x^4 + 401*x^3 - 24*x^2 - 44*x - 3, -x^15 + 7*x^14 - 4*x^13 - 70*x^12 + 126*x^11 + 229*x^10 - 621*x^9 - 245*x^8 + 1223*x^7 - 25*x^6 - 1063*x^5 + 108*x^4 + 401*x^3 - 24*x^2 - 44*x - 3, -x^16 + 8*x^15 - 10*x^14 - 75*x^13 + 212*x^12 + 171*x^11 - 1087*x^10 + 311*x^9 + 2383*x^8 - 1738*x^7 - 2343*x^6 + 2281*x^5 + 930*x^4 - 1019*x^3 - 157*x^2 + 107*x + 20, -x^16 + 8*x^15 - 10*x^14 - 75*x^13 + 212*x^12 + 171*x^11 - 1087*x^10 + 311*x^9 + 2383*x^8 - 1738*x^7 - 2343*x^6 + 2281*x^5 + 930*x^4 - 1019*x^3 - 157*x^2 + 107*x + 20]>
       ]
>;

MOG[467] := 	// J_0(467)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 35, 73, 170, 171, 265, 272, 291, 295, 320, 327, 341, 361, 431, 43*x + 73, 424*x + 73, 401*x + 409, 66*x + 409, 268*x + 116, 199*x + 116, 213*x + 254, 254*x + 254, 56*x + 363, 411*x + 363, 237*x + 174, 230*x + 174, 305*x + 153, 162*x + 153, 336*x + 318, 131*x + 318, 155*x + 367, 312*x + 367, 176*x + 62, 291*x + 62, 92*x + 301, 375*x + 301, 279*x + 461, 188*x + 461, 342*x + 345, 125*x + 345]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, -1, 1, 1, -1, 0, 0, 1, -1, 2, -2, -1, 1, 1, -1, -2, 2, 1, -1, -1, 1, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^12 + 5*x^11 - 3*x^10 - 46*x^9 - 28*x^8 + 144*x^7 + 140*x^6 - 182*x^5 - 197*x^4 + 102*x^3 + 104*x^2 - 22*x - 17,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x^11 + 4*x^10 - 5*x^9 - 33*x^8 - 3*x^7 + 88*x^6 + 38*x^5 - 85*x^4 - 33*x^3 + 33*x^2 + 5*x - 3, -x^11 - 4*x^10 + 5*x^9 + 33*x^8 + 3*x^7 - 88*x^6 - 38*x^5 + 85*x^4 + 33*x^3 - 33*x^2 - 5*x + 3, -x^11 - 3*x^10 + 9*x^9 + 29*x^8 - 27*x^7 - 97*x^6 + 30*x^5 + 134*x^4 - 12*x^3 - 76*x^2 + 2*x + 14, x^11 + 3*x^10 - 9*x^9 - 29*x^8 + 27*x^7 + 97*x^6 - 30*x^5 - 134*x^4 + 12*x^3 + 76*x^2 - 2*x - 14, x^10 + 4*x^9 - 4*x^8 - 29*x^7 - 5*x^6 + 67*x^5 + 30*x^4 - 57*x^3 - 23*x^2 + 17*x + 3, -x^10 - 4*x^9 + 4*x^8 + 29*x^7 + 5*x^6 - 67*x^5 - 30*x^4 + 57*x^3 + 23*x^2 - 17*x - 3, -x^10 - 3*x^9 + 7*x^8 + 23*x^7 - 15*x^6 - 56*x^5 + 10*x^4 + 47*x^3 - 3*x^2 - 11*x, x^10 + 3*x^9 - 7*x^8 - 23*x^7 + 15*x^6 + 56*x^5 - 10*x^4 - 47*x^3 + 3*x^2 + 11*x, x^9 + 4*x^8 - 2*x^7 - 21*x^6 - 8*x^5 + 28*x^4 + 10*x^3 - 16*x^2 - 2*x + 3, -x^9 - 4*x^8 + 2*x^7 + 21*x^6 + 8*x^5 - 28*x^4 - 10*x^3 + 16*x^2 + 2*x - 3, -x^9 - 3*x^8 + 7*x^7 + 23*x^6 - 15*x^5 - 56*x^4 + 10*x^3 + 47*x^2 - 3*x - 11, x^9 + 3*x^8 - 7*x^7 - 23*x^6 + 15*x^5 + 56*x^4 - 10*x^3 - 47*x^2 + 3*x + 11, -x^9 - 3*x^8 + 5*x^7 + 18*x^6 - 5*x^5 - 31*x^4 - x^3 + 18*x^2 + x - 3, x^9 + 3*x^8 - 5*x^7 - 18*x^6 + 5*x^5 + 31*x^4 + x^3 - 18*x^2 - x + 3, x^8 + 3*x^7 - 4*x^6 - 15*x^5 + 2*x^4 + 18*x^3 - 3*x^2 - 8*x + 3, -x^8 - 3*x^7 + 4*x^6 + 15*x^5 - 2*x^4 - 18*x^3 + 3*x^2 + 8*x - 3, x^8 + 5*x^7 + x^6 - 24*x^5 - 22*x^4 + 23*x^3 + 24*x^2 - 6*x - 6, -x^8 - 5*x^7 - x^6 + 24*x^5 + 22*x^4 - 23*x^3 - 24*x^2 + 6*x + 6, -x^8 - 3*x^7 + 3*x^6 + 14*x^5 + 5*x^4 - 14*x^3 - 10*x^2 + 4*x + 3, x^8 + 3*x^7 - 3*x^6 - 14*x^5 - 5*x^4 + 14*x^3 + 10*x^2 - 4*x - 3, -x^8 - 2*x^7 + 7*x^6 + 11*x^5 - 16*x^4 - 15*x^3 + 14*x^2 + 4*x - 3, x^8 + 2*x^7 - 7*x^6 - 11*x^5 + 16*x^4 + 15*x^3 - 14*x^2 - 4*x + 3, x^7 + 2*x^6 - 5*x^5 - 8*x^4 + 5*x^3 + 5*x^2 - 3*x, -x^7 - 2*x^6 + 5*x^5 + 8*x^4 - 5*x^3 - 5*x^2 + 3*x, x^6 + 2*x^5 - 5*x^4 - 8*x^3 + 5*x^2 + 5*x - 3, -x^6 - 2*x^5 + 5*x^4 + 8*x^3 - 5*x^2 - 5*x + 3]>,
         rec<Eigen |
           DefiningPolynomial := x^26 - 5*x^25 - 30*x^24 + 181*x^23 + 338*x^22 - 2813*x^21 - 1420*x^20 + 24571*x^19 - 4052*x^18 - 132574*x^17 + 73889*x^16 + 457016*x^15 - 370842*x^14 - 1004824*x^13 + 992642*x^12 + 1361654*x^11 - 1526411*x^10 - 1049992*x^9 + 1309411*x^8 + 383566*x^7 - 569750*x^6 - 29300*x^5 + 105328*x^4 - 5888*x^3 - 6944*x^2 + 448*x + 128,
           Coordinates        := [-x^25 + 5*x^24 + 27*x^23 - 166*x^22 - 263*x^21 + 2347*x^20 + 759*x^19 - 18446*x^18 + 5533*x^17 + 88212*x^16 - 59166*x^15 - 263886*x^14 + 242886*x^13 + 488068*x^12 - 543100*x^11 - 528854*x^10 + 688137*x^9 + 294080*x^8 - 472410*x^7 - 52080*x^6 + 157742*x^5 - 13620*x^4 - 20672*x^3 + 4064*x^2 + 544*x - 128, x^25 - 5*x^24 - 27*x^23 + 166*x^22 + 263*x^21 - 2349*x^20 - 747*x^19 + 18478*x^18 - 5841*x^17 - 88220*x^16 + 62260*x^15 + 261188*x^14 - 258348*x^13 - 466968*x^12 + 583232*x^11 + 458356*x^10 - 738293*x^9 - 180218*x^8 + 493968*x^7 - 30508*x^6 - 154380*x^5 + 35832*x^4 + 17120*x^3 - 5888*x^2 - 128*x + 128, -6*x^20 + 32*x^19 + 94*x^18 - 738*x^17 - 252*x^16 + 6876*x^15 - 3656*x^14 - 33036*x^13 + 32514*x^12 + 86200*x^11 - 110792*x^10 - 116972*x^9 + 180788*x^8 + 71166*x^7 - 133346*x^6 - 15496*x^5 + 38320*x^4 + 720*x^3 - 4384*x^2 + 128*x + 128, -3*x^23 + 17*x^22 + 59*x^21 - 480*x^20 - 257*x^19 + 5639*x^18 - 2563*x^17 - 35760*x^16 + 34753*x^15 + 132572*x^14 - 175428*x^13 - 289112*x^12 + 473902*x^11 + 347894*x^10 - 719292*x^9 - 180560*x^8 + 587503*x^7 - 20878*x^6 - 226850*x^5 + 52056*x^4 + 29688*x^3 - 10400*x^2 - 320*x + 256, 2*x^20 - 16*x^19 - 2*x^18 + 314*x^17 - 532*x^16 - 2278*x^15 + 6396*x^14 + 6574*x^13 - 32848*x^12 + 1358*x^11 + 85164*x^10 - 51200*x^9 - 105856*x^8 + 107808*x^7 + 44780*x^6 - 76968*x^5 + 5120*x^4 + 15312*x^3 - 3088*x^2 - 608*x + 128, -6*x^21 + 30*x^20 + 116*x^19 - 756*x^18 - 700*x^17 + 7878*x^16 - 186*x^15 - 43924*x^14 + 20612*x^13 + 141428*x^12 - 99904*x^11 - 263844*x^10 + 219364*x^9 + 268746*x^8 - 238494*x^7 - 126122*x^6 + 116942*x^5 + 14404*x^4 - 20408*x^3 + 1072*x^2 + 832*x - 64, x^24 - 5*x^23 - 25*x^22 + 156*x^21 + 217*x^20 - 2053*x^19 - 411*x^18 + 14810*x^17 - 5717*x^16 - 63620*x^15 + 46530*x^14 + 165024*x^13 - 158444*x^12 - 248422*x^11 + 282292*x^10 + 191406*x^9 - 257063*x^8 - 46820*x^7 + 101488*x^6 - 14956*x^5 - 9404*x^4 + 3192*x^3 - 560*x^2 + 256*x - 64, 2*x^19 - 14*x^18 - 4*x^17 + 228*x^16 - 328*x^15 - 1296*x^14 + 3122*x^13 + 2646*x^12 - 11310*x^11 + 890*x^10 + 17432*x^9 - 7866*x^8 - 9160*x^7 + 2904*x^6 + 2302*x^5 + 2740*x^4 - 2256*x^3 - 448*x^2 + 480*x - 64, -3*x^24 + 15*x^23 + 75*x^22 - 466*x^21 - 661*x^20 + 6125*x^19 + 1481*x^18 - 44362*x^17 + 14723*x^16 + 193130*x^15 - 127956*x^14 - 516756*x^13 + 449542*x^12 + 832800*x^11 - 838274*x^10 - 755912*x^9 + 837001*x^8 + 331486*x^7 - 412008*x^6 - 42920*x^5 + 84656*x^4 - 1824*x^3 - 6400*x^2 + 320*x + 128, x^24 - 5*x^23 - 25*x^22 + 150*x^21 + 249*x^20 - 1945*x^19 - 1233*x^18 + 14434*x^17 + 2761*x^16 - 68190*x^15 + 1702*x^14 + 213716*x^13 - 30704*x^12 - 442608*x^11 + 98326*x^10 + 577338*x^9 - 162941*x^8 - 429716*x^7 + 141604*x^6 + 154650*x^5 - 59404*x^4 - 19136*x^3 + 8544*x^2 + 192*x - 192, 2*x^18 - 12*x^17 - 16*x^16 + 212*x^15 - 116*x^14 - 1412*x^13 + 1710*x^12 + 4356*x^11 - 6954*x^10 - 6064*x^9 + 11368*x^8 + 3502*x^7 - 5658*x^6 - 2754*x^5 - 452*x^4 + 2288*x^3 + 32*x^2 - 416*x + 64, x^24 - 5*x^23 - 25*x^22 + 158*x^21 + 207*x^20 - 2095*x^19 - 145*x^18 + 15110*x^17 - 8673*x^16 - 64018*x^15 + 64262*x^14 + 159116*x^13 - 220262*x^12 - 212268*x^11 + 407500*x^10 + 101030*x^9 - 395439*x^8 + 62462*x^7 + 172278*x^6 - 74562*x^5 - 19400*x^4 + 15944*x^3 - 1168*x^2 - 768*x + 128, -6*x^19 + 20*x^18 + 134*x^17 - 470*x^16 - 1192*x^15 + 4492*x^14 + 5328*x^13 - 22380*x^12 - 12246*x^11 + 61708*x^10 + 12624*x^9 - 91724*x^8 - 2660*x^7 + 65846*x^6 - 1654*x^5 - 18804*x^4 + 712*x^3 + 2144*x^2 - 96*x - 64, -3*x^23 + 15*x^22 + 69*x^21 - 436*x^20 - 539*x^19 + 5337*x^18 + 687*x^17 - 35746*x^16 + 14789*x^15 + 142330*x^14 - 103688*x^13 - 342292*x^12 + 317124*x^11 + 482756*x^10 - 508118*x^9 - 370194*x^8 + 417719*x^7 + 134198*x^6 - 161720*x^5 - 13020*x^4 + 25928*x^3 - 1472*x^2 - 1184*x + 128, x^20 - 7*x^19 - 4*x^18 + 126*x^17 - 148*x^16 - 860*x^15 + 1677*x^14 + 2735*x^13 - 7365*x^12 - 3911*x^11 + 15670*x^10 + 2131*x^9 - 15948*x^8 - 2050*x^7 + 6809*x^6 + 4124*x^5 - 676*x^4 - 2512*x^3 + 208*x^2 + 384*x - 64, x^20 - 7*x^19 - 4*x^18 + 126*x^17 - 148*x^16 - 860*x^15 + 1677*x^14 + 2735*x^13 - 7365*x^12 - 3911*x^11 + 15670*x^10 + 2131*x^9 - 15948*x^8 - 2050*x^7 + 6809*x^6 + 4124*x^5 - 676*x^4 - 2512*x^3 + 208*x^2 + 384*x - 64, -2*x^20 + 11*x^19 + 30*x^18 - 247*x^17 - 75*x^16 + 2245*x^15 - 1084*x^14 - 10581*x^13 + 9021*x^12 + 27498*x^11 - 28555*x^10 - 38938*x^9 + 42306*x^8 + 29162*x^7 - 26969*x^6 - 13286*x^5 + 6252*x^4 + 4368*x^3 - 1056*x^2 - 544*x + 128, -2*x^20 + 11*x^19 + 30*x^18 - 247*x^17 - 75*x^16 + 2245*x^15 - 1084*x^14 - 10581*x^13 + 9021*x^12 + 27498*x^11 - 28555*x^10 - 38938*x^9 + 42306*x^8 + 29162*x^7 - 26969*x^6 - 13286*x^5 + 6252*x^4 + 4368*x^3 - 1056*x^2 - 544*x + 128, x^21 - 5*x^20 - 17*x^19 + 110*x^18 + 103*x^17 - 1013*x^16 - 240*x^15 + 5115*x^14 + 94*x^13 - 15578*x^12 - 518*x^11 + 29796*x^10 + 5558*x^9 - 36490*x^8 - 13193*x^7 + 28189*x^6 + 10308*x^5 - 11504*x^4 - 1904*x^3 + 1888*x^2 - 64, x^21 - 5*x^20 - 17*x^19 + 110*x^18 + 103*x^17 - 1013*x^16 - 240*x^15 + 5115*x^14 + 94*x^13 - 15578*x^12 - 518*x^11 + 29796*x^10 + 5558*x^9 - 36490*x^8 - 13193*x^7 + 28189*x^6 + 10308*x^5 - 11504*x^4 - 1904*x^3 + 1888*x^2 - 64, -2*x^21 + 12*x^20 + 26*x^19 - 273*x^18 + 46*x^17 + 2468*x^16 - 2469*x^15 - 11174*x^14 + 16867*x^13 + 25842*x^12 - 52142*x^11 - 26053*x^10 + 79113*x^9 + 2804*x^8 - 54081*x^7 + 6874*x^6 + 15414*x^5 - 1208*x^4 - 2912*x^3 + 304*x^2 + 288*x - 64, -2*x^21 + 12*x^20 + 26*x^19 - 273*x^18 + 46*x^17 + 2468*x^16 - 2469*x^15 - 11174*x^14 + 16867*x^13 + 25842*x^12 - 52142*x^11 - 26053*x^10 + 79113*x^9 + 2804*x^8 - 54081*x^7 + 6874*x^6 + 15414*x^5 - 1208*x^4 - 2912*x^3 + 304*x^2 + 288*x - 64, x^22 - 5*x^21 - 20*x^20 + 133*x^19 + 109*x^18 - 1453*x^17 + 440*x^16 + 8253*x^15 - 7979*x^14 - 24887*x^13 + 39695*x^12 + 32349*x^11 - 95276*x^10 + 12579*x^9 + 108611*x^8 - 77569*x^7 - 41281*x^6 + 61340*x^5 - 6348*x^4 - 10912*x^3 + 2880*x^2 + 160*x - 64, x^22 - 5*x^21 - 20*x^20 + 133*x^19 + 109*x^18 - 1453*x^17 + 440*x^16 + 8253*x^15 - 7979*x^14 - 24887*x^13 + 39695*x^12 + 32349*x^11 - 95276*x^10 + 12579*x^9 + 108611*x^8 - 77569*x^7 - 41281*x^6 + 61340*x^5 - 6348*x^4 - 10912*x^3 + 2880*x^2 + 160*x - 64, -3*x^22 + 15*x^21 + 61*x^20 - 394*x^19 - 397*x^18 + 4308*x^17 + 33*x^16 - 25400*x^15 + 12134*x^14 + 87232*x^13 - 66209*x^12 - 175022*x^11 + 165078*x^10 + 192859*x^9 - 209641*x^8 - 98644*x^7 + 125144*x^6 + 14950*x^5 - 29364*x^4 + 176*x^3 + 2608*x^2 - 96*x - 64, -3*x^22 + 15*x^21 + 61*x^20 - 394*x^19 - 397*x^18 + 4308*x^17 + 33*x^16 - 25400*x^15 + 12134*x^14 + 87232*x^13 - 66209*x^12 - 175022*x^11 + 165078*x^10 + 192859*x^9 - 209641*x^8 - 98644*x^7 + 125144*x^6 + 14950*x^5 - 29364*x^4 + 176*x^3 + 2608*x^2 - 96*x - 64, x^22 - 3*x^21 - 33*x^20 + 110*x^19 + 413*x^18 - 1593*x^17 - 2427*x^16 + 11981*x^15 + 5817*x^14 - 50809*x^13 + 5046*x^12 + 121471*x^11 - 57410*x^10 - 151117*x^9 + 113254*x^8 + 76356*x^7 - 82761*x^6 - 2872*x^5 + 20200*x^4 - 4240*x^3 - 1264*x^2 + 576*x - 64, x^22 - 3*x^21 - 33*x^20 + 110*x^19 + 413*x^18 - 1593*x^17 - 2427*x^16 + 11981*x^15 + 5817*x^14 - 50809*x^13 + 5046*x^12 + 121471*x^11 - 57410*x^10 - 151117*x^9 + 113254*x^8 + 76356*x^7 - 82761*x^6 - 2872*x^5 + 20200*x^4 - 4240*x^3 - 1264*x^2 + 576*x - 64, 2*x^21 - 10*x^20 - 42*x^19 + 271*x^18 + 275*x^17 - 3034*x^16 + 126*x^15 + 18080*x^14 - 10351*x^13 - 61346*x^12 + 55712*x^11 + 116258*x^10 - 137562*x^9 - 107778*x^8 + 168152*x^7 + 25375*x^6 - 89144*x^5 + 16912*x^4 + 13624*x^3 - 4800*x^2 - 96*x + 128, 2*x^21 - 10*x^20 - 42*x^19 + 271*x^18 + 275*x^17 - 3034*x^16 + 126*x^15 + 18080*x^14 - 10351*x^13 - 61346*x^12 + 55712*x^11 + 116258*x^10 - 137562*x^9 - 107778*x^8 + 168152*x^7 + 25375*x^6 - 89144*x^5 + 16912*x^4 + 13624*x^3 - 4800*x^2 - 96*x + 128, x^23 - 5*x^22 - 23*x^21 + 148*x^20 + 168*x^19 - 1834*x^18 + 62*x^17 + 12300*x^16 - 7865*x^15 - 48082*x^14 + 49952*x^13 + 109273*x^12 - 150470*x^11 - 133475*x^10 + 240615*x^9 + 66699*x^8 - 196240*x^7 + 7776*x^6 + 72488*x^5 - 16320*x^4 - 8840*x^3 + 3072*x^2 + 32*x - 64, x^23 - 5*x^22 - 23*x^21 + 148*x^20 + 168*x^19 - 1834*x^18 + 62*x^17 + 12300*x^16 - 7865*x^15 - 48082*x^14 + 49952*x^13 + 109273*x^12 - 150470*x^11 - 133475*x^10 + 240615*x^9 + 66699*x^8 - 196240*x^7 + 7776*x^6 + 72488*x^5 - 16320*x^4 - 8840*x^3 + 3072*x^2 + 32*x - 64, x^22 - 3*x^21 - 29*x^20 + 86*x^19 + 364*x^18 - 1057*x^17 - 2588*x^16 + 7285*x^15 + 11401*x^14 - 30864*x^13 - 31721*x^12 + 82598*x^11 + 53599*x^10 - 137286*x^9 - 47788*x^8 + 132165*x^7 + 12281*x^6 - 62704*x^5 + 6912*x^4 + 10792*x^3 - 2288*x^2 - 480*x + 128, x^22 - 3*x^21 - 29*x^20 + 86*x^19 + 364*x^18 - 1057*x^17 - 2588*x^16 + 7285*x^15 + 11401*x^14 - 30864*x^13 - 31721*x^12 + 82598*x^11 + 53599*x^10 - 137286*x^9 - 47788*x^8 + 132165*x^7 + 12281*x^6 - 62704*x^5 + 6912*x^4 + 10792*x^3 - 2288*x^2 - 480*x + 128, x^23 - 4*x^22 - 28*x^21 + 127*x^20 + 301*x^19 - 1684*x^18 - 1416*x^17 + 12101*x^16 + 1001*x^15 - 51036*x^14 + 19043*x^13 + 127350*x^12 - 87866*x^11 - 178663*x^10 + 171427*x^9 + 121340*x^8 - 160845*x^7 - 22027*x^6 + 67490*x^5 - 9944*x^4 - 9144*x^3 + 2560*x^2 + 128*x - 64, x^23 - 4*x^22 - 28*x^21 + 127*x^20 + 301*x^19 - 1684*x^18 - 1416*x^17 + 12101*x^16 + 1001*x^15 - 51036*x^14 + 19043*x^13 + 127350*x^12 - 87866*x^11 - 178663*x^10 + 171427*x^9 + 121340*x^8 - 160845*x^7 - 22027*x^6 + 67490*x^5 - 9944*x^4 - 9144*x^3 + 2560*x^2 + 128*x - 64, x^22 - 7*x^21 - 12*x^20 + 180*x^19 - 105*x^18 - 1856*x^17 + 2720*x^16 + 9701*x^15 - 20452*x^14 - 26108*x^13 + 77363*x^12 + 28197*x^11 - 158544*x^10 + 17205*x^9 + 167319*x^8 - 65208*x^7 - 73238*x^6 + 44716*x^5 + 3060*x^4 - 7512*x^3 + 1824*x^2 + 64*x - 64, x^22 - 7*x^21 - 12*x^20 + 180*x^19 - 105*x^18 - 1856*x^17 + 2720*x^16 + 9701*x^15 - 20452*x^14 - 26108*x^13 + 77363*x^12 + 28197*x^11 - 158544*x^10 + 17205*x^9 + 167319*x^8 - 65208*x^7 - 73238*x^6 + 44716*x^5 + 3060*x^4 - 7512*x^3 + 1824*x^2 + 64*x - 64, x^23 - 8*x^22 - 7*x^21 + 202*x^20 - 243*x^19 - 2022*x^18 + 4301*x^17 + 10015*x^16 - 30279*x^15 - 23736*x^14 + 113822*x^13 + 12180*x^12 - 242453*x^11 + 59491*x^10 + 287676*x^9 - 124749*x^8 - 176182*x^7 + 92579*x^6 + 47488*x^5 - 27484*x^4 - 4288*x^3 + 3040*x^2 - 32*x - 64, x^23 - 8*x^22 - 7*x^21 + 202*x^20 - 243*x^19 - 2022*x^18 + 4301*x^17 + 10015*x^16 - 30279*x^15 - 23736*x^14 + 113822*x^13 + 12180*x^12 - 242453*x^11 + 59491*x^10 + 287676*x^9 - 124749*x^8 - 176182*x^7 + 92579*x^6 + 47488*x^5 - 27484*x^4 - 4288*x^3 + 3040*x^2 - 32*x - 64]>
       ]
>;

MOG[479] := 	// J_0(479)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 7, 24, 37, 70, 96, 98, 103, 117, 128, 266, 272, 283, 291, 311, 336, 352, 360, 365, 376, 391, 398, 438, 447, 457, 460*x + 268, 19*x + 268, 365*x + 418, 114*x + 418, 465*x + 106, 14*x + 106, 102*x + 365, 377*x + 365, 16*x + 55, 463*x + 55, 125*x + 125, 354*x + 125, 19*x + 57, 460*x + 57, 217*x + 68, 262*x + 68]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^8 + 2*x^7 - 6*x^6 - 11*x^5 + 10*x^4 + 17*x^3 - 4*x^2 - 7*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^7 - 2*x^6 + 5*x^5 + 9*x^4 - 6*x^3 - 9*x^2 + 2*x + 1, x^7 + 2*x^6 - 5*x^5 - 9*x^4 + 6*x^3 + 9*x^2 - 2*x - 1, -x^6 - 2*x^5 + 4*x^4 + 8*x^3 - 2*x^2 - 6*x - 1, x^6 + 2*x^5 - 4*x^4 - 8*x^3 + 2*x^2 + 6*x + 1, x^2 + x, -x^2 - x, -x^5 - x^4 + 4*x^3 + 3*x^2 - 3*x - 1, x^5 + x^4 - 4*x^3 - 3*x^2 + 3*x + 1, x + 1, -x - 1, x^3 + x^2 - x - 1, -x^3 - x^2 + x + 1, -x^4 - x^3 + 2*x^2 + 2*x, x^4 + x^3 - 2*x^2 - 2*x, x^3 - 2*x, -x^3 + 2*x]>,
         rec<Eigen |
           DefiningPolynomial := x^32 - 3*x^31 - 49*x^30 + 150*x^29 + 1068*x^28 - 3349*x^27 - 13663*x^26 + 44102*x^25 + 114017*x^24 - 381227*x^23 - 652363*x^22 + 2278423*x^21 + 2617329*x^20 - 9659993*x^19 - 7391907*x^18 + 29333039*x^17 + 14485613*x^16 - 63589225*x^15 - 18892591*x^14 + 96842403*x^13 + 14744217*x^12 - 100301909*x^11 - 4507611*x^10 + 66698107*x^9 - 2210691*x^8 - 25684834*x^7 + 2153748*x^6 + 4689118*x^5 - 470371*x^4 - 268239*x^3 + 38414*x^2 - 242*x - 7,
           Coordinates        := [-x^31 + 3*x^30 + 46*x^29 - 141*x^28 - 936*x^27 + 2944*x^26 + 11107*x^25 - 36041*x^24 - 85338*x^23 + 287642*x^22 + 445746*x^21 - 1574573*x^20 - 1616850*x^19 + 6057633*x^18 + 4083125*x^17 - 16506754*x^16 - 7063935*x^15 + 31681552*x^14 + 8002380*x^13 - 41992992*x^12 - 5274525*x^11 + 36987010*x^10 + 1191738*x^9 - 20204102*x^8 + 742012*x^7 + 6018158*x^6 - 496207*x^5 - 747304*x^4 + 62657*x^3 + 24594*x^2 - 1895*x - 20, x^31 - 3*x^30 - 46*x^29 + 141*x^28 + 936*x^27 - 2942*x^26 - 11109*x^25 + 35953*x^24 + 85439*x^23 - 286003*x^22 - 447794*x^21 + 1557573*x^20 + 1639219*x^19 - 5949017*x^18 - 4230155*x^17 + 16060572*x^16 + 7675093*x^15 - 30490404*x^14 - 9638694*x^13 + 39964843*x^12 + 8083020*x^11 - 34919280*x^10 - 4195220*x^9 + 19144050*x^8 + 1138575*x^7 - 5918758*x^6 - 103546*x^5 + 839862*x^4 - 2259*x^3 - 39756*x^2 + 3949*x, -3*x^28 + 9*x^27 + 122*x^26 - 376*x^25 - 2153*x^24 + 6862*x^23 + 21643*x^22 - 71963*x^21 - 136812*x^20 + 480211*x^19 + 566593*x^18 - 2134013*x^17 - 1552604*x^16 + 6425557*x^15 + 2769590*x^14 - 13077176*x^13 - 3047956*x^12 + 17602024*x^11 + 1785053*x^10 - 14943337*x^9 - 254029*x^8 + 7302233*x^7 - 215462*x^6 - 1705674*x^5 + 60372*x^4 + 123490*x^3 + 667*x^2 - 3102*x + 27, x^29 - 3*x^28 - 42*x^27 + 129*x^26 + 774*x^25 - 2447*x^24 - 8244*x^23 + 27017*x^22 + 56262*x^21 - 192957*x^20 - 257540*x^19 + 937120*x^18 + 802406*x^17 - 3165641*x^16 - 1679579*x^15 + 7470322*x^14 + 2229598*x^13 - 12164596*x^12 - 1539628*x^11 + 13234273*x^10 - 62468*x^9 - 9029583*x^8 + 954162*x^7 + 3415056*x^6 - 603884*x^5 - 544431*x^4 + 109629*x^3 + 18814*x^2 - 4939*x - 22, x^27 - 3*x^26 - 42*x^25 + 129*x^24 + 756*x^23 - 2378*x^22 - 7713*x^21 + 24806*x^20 + 49780*x^19 - 162745*x^18 - 215186*x^17 + 705854*x^16 + 643271*x^15 - 2068976*x^14 - 1345362*x^13 + 4108566*x^12 + 1936697*x^11 - 5439094*x^10 - 1795405*x^9 + 4619589*x^8 + 887394*x^7 - 2339929*x^6 - 79310*x^5 + 604521*x^4 - 79373*x^3 - 44684*x^2 + 7235*x - 2, -3*x^28 + 11*x^27 + 111*x^26 - 438*x^25 - 1734*x^24 + 7592*x^23 + 14722*x^22 - 75357*x^21 - 71569*x^20 + 474419*x^19 + 177342*x^18 - 1983748*x^17 - 9901*x^16 + 5609158*x^15 - 1379903*x^14 - 10703217*x^13 + 4542415*x^12 + 13479980*x^11 - 7487206*x^10 - 10659870*x^9 + 6969908*x^8 + 4798463*x^7 - 3490667*x^6 - 1006053*x^5 + 781374*x^4 + 61392*x^3 - 50777*x^2 + 3510*x + 46, 2*x^28 - 6*x^27 - 78*x^26 + 239*x^25 + 1326*x^24 - 4171*x^23 - 12931*x^22 + 42039*x^21 + 80123*x^20 - 271713*x^19 - 330018*x^18 + 1183101*x^17 + 916882*x^16 - 3549148*x^15 - 1696475*x^14 + 7370279*x^13 + 1969586*x^12 - 10474536*x^11 - 1145920*x^10 + 9860028*x^9 - 164626*x^8 - 5727083*x^7 + 701932*x^6 + 1746411*x^5 - 356509*x^4 - 170567*x^3 + 32656*x^2 - 942*x - 70, x^27 - x^26 - 48*x^25 + 62*x^24 + 959*x^23 - 1435*x^22 - 10563*x^21 + 17476*x^20 + 71106*x^19 - 127377*x^18 - 304757*x^17 + 588225*x^16 + 834364*x^15 - 1755960*x^14 - 1403797*x^13 + 3360362*x^12 + 1270058*x^11 - 3948690*x^10 - 285697*x^9 + 2547433*x^8 - 426344*x^7 - 621822*x^6 + 258925*x^5 - 86236*x^4 + 1997*x^3 + 24276*x^2 - 2352*x + 24, x^28 - 6*x^27 - 31*x^26 + 239*x^25 + 337*x^24 - 4134*x^23 - 709*x^22 + 40800*x^21 - 17811*x^20 - 253980*x^19 + 201142*x^18 + 1040819*x^17 - 1063198*x^16 - 2843189*x^15 + 3358699*x^14 + 5117032*x^13 - 6671807*x^12 - 5819839*x^11 + 8259500*x^10 + 3789026*x^9 - 6018637*x^8 - 1064477*x^7 + 2259315*x^6 - 37416*x^5 - 325563*x^4 + 30645*x^3 + 20473*x^2 - 1594*x - 56, -3*x^27 + 10*x^26 + 107*x^25 - 369*x^24 - 1639*x^23 + 5894*x^22 + 14144*x^21 - 53586*x^20 - 75798*x^19 + 306806*x^18 + 261661*x^17 - 1155533*x^16 - 579938*x^15 + 2899856*x^14 + 777855*x^13 - 4790519*x^12 - 493029*x^11 + 4990534*x^10 - 119987*x^9 - 2966199*x^8 + 398890*x^7 + 764947*x^6 - 195191*x^5 + 10840*x^4 + 8495*x^3 - 12999*x^2 + 1181*x - 12, x^28 - 3*x^27 - 38*x^26 + 113*x^25 + 630*x^24 - 1827*x^23 - 6040*x^22 + 16551*x^21 + 37632*x^20 - 91687*x^19 - 163580*x^18 + 315030*x^17 + 523512*x^16 - 627251*x^15 - 1279523*x^14 + 481344*x^13 + 2398094*x^12 + 732890*x^11 - 3316150*x^10 - 2231343*x^9 + 3140070*x^8 + 2239985*x^7 - 1823944*x^6 - 936526*x^5 + 526380*x^4 + 104093*x^3 - 29589*x^2 - 578*x - 11, -3*x^29 + 9*x^28 + 126*x^27 - 386*x^26 - 2317*x^25 + 7278*x^24 + 24555*x^23 - 79477*x^22 - 166192*x^21 + 557595*x^20 + 752419*x^19 - 2635951*x^18 - 2319548*x^17 + 8564269*x^16 + 4852006*x^15 - 19136578*x^14 - 6691742*x^13 + 28894212*x^12 + 5624881*x^11 - 28280989*x^10 - 2218807*x^9 + 16519713*x^8 - 272476*x^7 - 4829566*x^6 + 504016*x^5 + 430836*x^4 - 75933*x^3 - 4042*x^2 + 393*x + 68, -3*x^28 + 9*x^27 + 120*x^26 - 363*x^25 - 2103*x^24 + 6394*x^23 + 21328*x^22 - 64729*x^21 - 139561*x^20 + 417278*x^19 + 623291*x^18 - 1794217*x^17 - 1962189*x^16 + 5239848*x^15 + 4424408*x^14 - 10376329*x^13 - 7129286*x^12 + 13648883*x^11 + 7977993*x^10 - 11408218*x^9 - 5797248*x^8 + 5585119*x^7 + 2410017*x^6 - 1368330*x^5 - 449179*x^4 + 112251*x^3 + 19543*x^2 - 3256*x - 39, -3*x^27 + 8*x^26 + 119*x^25 - 319*x^24 - 2053*x^23 + 5539*x^22 + 20261*x^21 - 55096*x^20 - 126665*x^19 + 347754*x^18 + 525096*x^17 - 1458652*x^16 - 1468553*x^15 + 4140605*x^14 + 2760702*x^13 - 7942515*x^12 - 3400100*x^11 + 10079880*x^10 + 2592674*x^9 - 8067196*x^8 - 1097288*x^7 + 3701175*x^6 + 210508*x^5 - 795545*x^4 - 14171*x^3 + 47221*x^2 - 3556*x - 46, x^29 - 3*x^28 - 42*x^27 + 128*x^26 + 777*x^25 - 2406*x^24 - 8364*x^23 + 26274*x^22 + 58374*x^21 - 185134*x^20 - 279039*x^19 + 884228*x^18 + 942195*x^17 - 2925796*x^16 - 2284449*x^15 + 6728756*x^14 + 3990935*x^13 - 10603196*x^12 - 4956837*x^11 + 11040278*x^10 + 4215350*x^9 - 7076835*x^8 - 2287889*x^7 + 2442492*x^6 + 714948*x^5 - 354564*x^4 - 114973*x^3 + 23092*x^2 + 1057*x + 22, 2*x^27 - 3*x^26 - 82*x^25 + 109*x^24 + 1497*x^23 - 1715*x^22 - 16081*x^21 + 15395*x^20 + 112994*x^19 - 87613*x^18 - 545008*x^17 + 333336*x^16 + 1838443*x^15 - 876341*x^14 - 4328776*x^13 + 1637706*x^12 + 6967654*x^11 - 2236824*x^10 - 7331434*x^9 + 2242897*x^8 + 4625704*x^7 - 1527723*x^6 - 1447613*x^5 + 557723*x^4 + 114978*x^3 - 53592*x^2 + 3340*x + 46, -3*x^30 + 9*x^29 + 132*x^28 - 405*x^27 - 2556*x^26 + 8061*x^25 + 28679*x^24 - 93585*x^23 - 206617*x^22 + 703850*x^21 + 1000479*x^20 - 3602360*x^19 - 3308782*x^18 + 12826285*x^17 + 7421678*x^16 - 31907673*x^15 - 10890211*x^14 + 54849411*x^13 + 9469692*x^12 - 63314899*x^11 - 3315873*x^10 + 46494005*x^9 - 1468679*x^8 - 19666676*x^7 + 1657541*x^6 + 3941814*x^5 - 407714*x^4 - 243645*x^3 + 36519*x^2 - 262*x - 7, x^28 - 3*x^27 - 40*x^26 + 125*x^25 + 684*x^24 - 2256*x^23 - 6529*x^22 + 23204*x^21 + 37986*x^20 - 150675*x^19 - 136654*x^18 + 646998*x^17 + 282463*x^16 - 1871562*x^15 - 201944*x^14 + 3645386*x^13 - 519561*x^12 - 4695668*x^11 + 1667127*x^10 + 3846489*x^9 - 2143570*x^8 - 1862561*x^7 + 1415212*x^6 + 453305*x^5 - 424269*x^4 - 26146*x^3 + 32253*x^2 - 1594*x - 56, x^27 - 6*x^26 - 33*x^25 + 243*x^24 + 409*x^23 - 4256*x^22 - 1893*x^21 + 42402*x^20 - 6017*x^19 - 266050*x^18 + 122610*x^17 + 1099675*x^16 - 702390*x^15 - 3040603*x^14 + 2215281*x^13 + 5580212*x^12 - 4215549*x^11 - 6563265*x^10 + 4796968*x^9 + 4562126*x^8 - 2987673*x^7 - 1541845*x^6 + 764793*x^5 + 113800*x^4 + 19333*x^3 + 12107*x^2 - 4545*x - 2, 2*x^28 - 9*x^27 - 69*x^26 + 353*x^25 + 970*x^24 - 6014*x^23 - 6836*x^22 + 58476*x^21 + 20847*x^20 - 358677*x^19 + 31407*x^18 + 1448056*x^17 - 521858*x^16 - 3892385*x^15 + 2074240*x^14 + 6866717*x^13 - 4404855*x^12 - 7569827*x^11 + 5366406*x^10 + 4609646*x^9 - 3493062*x^8 - 1000072*x^7 + 874691*x^6 - 216533*x^5 + 85051*x^4 + 53084*x^3 - 20930*x^2 + 1873*x + 100, x^30 - 3*x^29 - 44*x^28 + 135*x^27 + 852*x^26 - 2685*x^25 - 9558*x^24 + 31100*x^23 + 68831*x^22 - 232712*x^21 - 333158*x^20 + 1179482*x^19 + 1102640*x^18 - 4127669*x^17 - 2485554*x^16 + 9969135*x^15 + 3711065*x^14 - 16291326*x^13 - 3418161*x^12 + 17197051*x^11 + 1586555*x^10 - 10644729*x^9 - 42338*x^8 + 3037632*x^7 - 195152*x^6 - 61210*x^5 + 7518*x^4 - 59133*x^3 - 7603*x^2 + 2150*x + 67, -3*x^29 + 9*x^28 + 126*x^27 - 385*x^26 - 2325*x^25 + 7260*x^24 + 24842*x^23 - 79599*x^22 - 170567*x^21 + 563764*x^20 + 789349*x^19 - 2710663*x^18 - 2508149*x^17 + 9048320*x^16 + 5449588*x^15 - 21058667*x^14 - 7845706*x^13 + 33769865*x^12 + 6882821*x^11 - 36186036*x^10 - 2825086*x^9 + 24425917*x^8 - 296019*x^7 - 9283094*x^6 + 576891*x^5 + 1567431*x^4 - 75519*x^3 - 70002*x^2 + 5285*x - 8, -3*x^28 + 10*x^27 + 117*x^26 - 407*x^25 - 1971*x^24 + 7246*x^23 + 18782*x^22 - 74292*x^21 - 111248*x^20 + 486198*x^19 + 422641*x^18 - 2128003*x^17 - 1017068*x^16 + 6345538*x^15 + 1428879*x^14 - 12878023*x^13 - 796855*x^12 + 17431886*x^11 - 687987*x^10 - 15030955*x^9 + 1450232*x^8 + 7534877*x^7 - 938063*x^6 - 1805304*x^5 + 271409*x^4 + 116113*x^3 - 36793*x^2 + 3432*x - 20, -5*x^26 + 19*x^25 + 166*x^24 - 676*x^23 - 2319*x^22 + 10353*x^21 + 17725*x^20 - 89696*x^19 - 80490*x^18 + 486235*x^17 + 218565*x^16 - 1722841*x^15 - 325512*x^14 + 4043752*x^13 + 151913*x^12 - 6220676*x^11 + 284000*x^10 + 6032378*x^9 - 525671*x^8 - 3384965*x^7 + 371436*x^6 + 908072*x^5 - 131457*x^4 - 64556*x^3 + 18987*x^2 - 1722*x + 10, x^28 - x^27 - 44*x^26 + 40*x^25 + 857*x^24 - 692*x^23 - 9748*x^22 + 6778*x^21 + 71930*x^20 - 41274*x^19 - 361587*x^18 + 161054*x^17 + 1264303*x^16 - 397190*x^15 - 3078829*x^14 + 571098*x^13 + 5133131*x^12 - 336934*x^11 - 5630705*x^10 - 221132*x^9 + 3773086*x^8 + 469337*x^7 - 1349215*x^6 - 255938*x^5 + 203072*x^4 + 51580*x^3 - 11813*x^2 - 534*x - 11, x^29 - 3*x^28 - 40*x^27 + 121*x^26 + 704*x^25 - 2140*x^24 - 7214*x^23 + 21877*x^22 + 48102*x^21 - 143554*x^20 - 221506*x^19 + 635357*x^18 + 730945*x^17 - 1941242*x^16 - 1767459*x^15 + 4123310*x^14 + 3149181*x^13 - 6056121*x^12 - 4056787*x^11 + 6048426*x^10 + 3583404*x^9 - 3984990*x^8 - 1961886*x^7 + 1637067*x^6 + 545552*x^5 - 364145*x^4 - 41161*x^3 + 26325*x^2 - 1705*x - 23, x^29 - 3*x^28 - 40*x^27 + 121*x^26 + 704*x^25 - 2140*x^24 - 7214*x^23 + 21877*x^22 + 48102*x^21 - 143554*x^20 - 221506*x^19 + 635357*x^18 + 730945*x^17 - 1941242*x^16 - 1767459*x^15 + 4123310*x^14 + 3149181*x^13 - 6056121*x^12 - 4056787*x^11 + 6048426*x^10 + 3583404*x^9 - 3984990*x^8 - 1961886*x^7 + 1637067*x^6 + 545552*x^5 - 364145*x^4 - 41161*x^3 + 26325*x^2 - 1705*x - 23, x^30 - 3*x^29 - 44*x^28 + 136*x^27 + 851*x^26 - 2732*x^25 - 9510*x^24 + 32062*x^23 + 67869*x^22 - 244069*x^21 - 322476*x^20 + 1265747*x^19 + 1029556*x^18 - 4572399*x^17 - 2162483*x^16 + 11564843*x^15 + 2771416*x^14 - 20293117*x^13 - 1621518*x^12 + 24092789*x^11 - 637082*x^10 - 18454664*x^9 + 1695802*x^8 + 8364222*x^7 - 1031071*x^6 - 1894023*x^5 + 230297*x^4 + 143808*x^3 - 13431*x^2 - 954*x - 30, x^30 - 3*x^29 - 44*x^28 + 136*x^27 + 851*x^26 - 2732*x^25 - 9510*x^24 + 32062*x^23 + 67869*x^22 - 244069*x^21 - 322476*x^20 + 1265747*x^19 + 1029556*x^18 - 4572399*x^17 - 2162483*x^16 + 11564843*x^15 + 2771416*x^14 - 20293117*x^13 - 1621518*x^12 + 24092789*x^11 - 637082*x^10 - 18454664*x^9 + 1695802*x^8 + 8364222*x^7 - 1031071*x^6 - 1894023*x^5 + 230297*x^4 + 143808*x^3 - 13431*x^2 - 954*x - 30, -3*x^27 + 11*x^26 + 111*x^25 - 433*x^24 - 1757*x^23 + 7435*x^22 + 15503*x^21 - 73243*x^20 - 83029*x^19 + 458223*x^18 + 272980*x^17 - 1904236*x^16 - 512590*x^15 + 5341169*x^14 + 358210*x^13 - 10060491*x^12 + 547586*x^11 + 12388909*x^10 - 1486081*x^9 - 9420399*x^8 + 1353018*x^7 + 3957382*x^6 - 513035*x^5 - 727590*x^4 + 47531*x^3 + 33373*x^2 - 2662*x + 4, -3*x^27 + 11*x^26 + 111*x^25 - 433*x^24 - 1757*x^23 + 7435*x^22 + 15503*x^21 - 73243*x^20 - 83029*x^19 + 458223*x^18 + 272980*x^17 - 1904236*x^16 - 512590*x^15 + 5341169*x^14 + 358210*x^13 - 10060491*x^12 + 547586*x^11 + 12388909*x^10 - 1486081*x^9 - 9420399*x^8 + 1353018*x^7 + 3957382*x^6 - 513035*x^5 - 727590*x^4 + 47531*x^3 + 33373*x^2 - 2662*x + 4, x^29 - 2*x^28 - 45*x^27 + 89*x^26 + 895*x^25 - 1751*x^24 - 10356*x^23 + 20057*x^22 + 77216*x^21 - 148272*x^20 - 388157*x^19 + 741261*x^18 + 1336727*x^17 - 2554487*x^16 - 3136218*x^15 + 6073977*x^14 + 4867995*x^13 - 9815933*x^12 - 4663315*x^11 + 10416190*x^10 + 2307618*x^9 - 6794838*x^8 - 207760*x^7 + 2387668*x^6 - 211709*x^5 - 331909*x^4 + 29989*x^3 + 12477*x^2 - 2274*x + 23, x^29 - 2*x^28 - 45*x^27 + 89*x^26 + 895*x^25 - 1751*x^24 - 10356*x^23 + 20057*x^22 + 77216*x^21 - 148272*x^20 - 388157*x^19 + 741261*x^18 + 1336727*x^17 - 2554487*x^16 - 3136218*x^15 + 6073977*x^14 + 4867995*x^13 - 9815933*x^12 - 4663315*x^11 + 10416190*x^10 + 2307618*x^9 - 6794838*x^8 - 207760*x^7 + 2387668*x^6 - 211709*x^5 - 331909*x^4 + 29989*x^3 + 12477*x^2 - 2274*x + 23, -x^26 + 2*x^25 + 36*x^24 - 61*x^23 - 592*x^22 + 801*x^21 + 5897*x^20 - 6035*x^19 - 39266*x^18 + 29428*x^17 + 180404*x^16 - 98707*x^15 - 571709*x^14 + 231590*x^13 + 1228129*x^12 - 371713*x^11 - 1731266*x^10 + 386550*x^9 + 1515482*x^8 - 238684*x^7 - 747261*x^6 + 75608*x^5 + 172448*x^4 - 9269*x^3 - 12509*x^2 + 796*x + 28, -x^26 + 2*x^25 + 36*x^24 - 61*x^23 - 592*x^22 + 801*x^21 + 5897*x^20 - 6035*x^19 - 39266*x^18 + 29428*x^17 + 180404*x^16 - 98707*x^15 - 571709*x^14 + 231590*x^13 + 1228129*x^12 - 371713*x^11 - 1731266*x^10 + 386550*x^9 + 1515482*x^8 - 238684*x^7 - 747261*x^6 + 75608*x^5 + 172448*x^4 - 9269*x^3 - 12509*x^2 + 796*x + 28, 2*x^27 - 8*x^26 - 72*x^25 + 310*x^24 + 1102*x^23 - 5233*x^22 - 9315*x^21 + 50635*x^20 + 46980*x^19 - 311045*x^18 - 139447*x^17 + 1269195*x^16 + 200028*x^15 - 3494489*x^14 + 84248*x^13 + 6448743*x^12 - 888261*x^11 - 7732808*x^10 + 1601269*x^9 + 5634784*x^8 - 1389053*x^7 - 2175791*x^6 + 565132*x^5 + 324262*x^4 - 69609*x^3 - 9696*x^2 + 2464*x + 11, 2*x^27 - 8*x^26 - 72*x^25 + 310*x^24 + 1102*x^23 - 5233*x^22 - 9315*x^21 + 50635*x^20 + 46980*x^19 - 311045*x^18 - 139447*x^17 + 1269195*x^16 + 200028*x^15 - 3494489*x^14 + 84248*x^13 + 6448743*x^12 - 888261*x^11 - 7732808*x^10 + 1601269*x^9 + 5634784*x^8 - 1389053*x^7 - 2175791*x^6 + 565132*x^5 + 324262*x^4 - 69609*x^3 - 9696*x^2 + 2464*x + 11, x^28 - 2*x^27 - 45*x^26 + 86*x^25 + 905*x^24 - 1649*x^23 - 10710*x^22 + 18581*x^21 + 82591*x^20 - 136329*x^19 - 434090*x^18 + 681185*x^17 + 1580752*x^16 - 2354648*x^15 - 3977398*x^14 + 5609189*x^13 + 6774136*x^12 - 9013284*x^11 - 7471490*x^10 + 9352208*x^9 + 4891276*x^8 - 5768794*x^7 - 1568306*x^6 + 1773823*x^5 + 131601*x^4 - 161320*x^3 - 1320*x^2 + 3251*x + 7, x^28 - 2*x^27 - 45*x^26 + 86*x^25 + 905*x^24 - 1649*x^23 - 10710*x^22 + 18581*x^21 + 82591*x^20 - 136329*x^19 - 434090*x^18 + 681185*x^17 + 1580752*x^16 - 2354648*x^15 - 3977398*x^14 + 5609189*x^13 + 6774136*x^12 - 9013284*x^11 - 7471490*x^10 + 9352208*x^9 + 4891276*x^8 - 5768794*x^7 - 1568306*x^6 + 1773823*x^5 + 131601*x^4 - 161320*x^3 - 1320*x^2 + 3251*x + 7, -2*x^27 + 5*x^26 + 82*x^25 - 208*x^24 - 1456*x^23 + 3757*x^22 + 14690*x^21 - 38692*x^20 - 92913*x^19 + 250969*x^18 + 383472*x^17 - 1069356*x^16 - 1041208*x^15 + 3029701*x^14 + 1821893*x^13 - 5646094*x^12 - 1919914*x^11 + 6668826*x^10 + 982389*x^9 - 4608740*x^8 + 28507*x^7 + 1561946*x^6 - 221822*x^5 - 153673*x^4 + 38300*x^3 + 470*x^2 - 183*x - 34, -2*x^27 + 5*x^26 + 82*x^25 - 208*x^24 - 1456*x^23 + 3757*x^22 + 14690*x^21 - 38692*x^20 - 92913*x^19 + 250969*x^18 + 383472*x^17 - 1069356*x^16 - 1041208*x^15 + 3029701*x^14 + 1821893*x^13 - 5646094*x^12 - 1919914*x^11 + 6668826*x^10 + 982389*x^9 - 4608740*x^8 + 28507*x^7 + 1561946*x^6 - 221822*x^5 - 153673*x^4 + 38300*x^3 + 470*x^2 - 183*x - 34]>
       ]
>;

MOG[487] := 	// J_0(487)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [43, 143, 166, 191, 208, 214, 267, 18*x + 153, 469*x + 153, 309*x + 395, 178*x + 395, 170*x + 420, 317*x + 420, 294*x + 96, 193*x + 96, 172*x + 260, 315*x + 260, 374*x + 118, 113*x + 118, 79*x + 463, 408*x + 463, 292*x + 474, 195*x + 474, 158*x + 328, 329*x + 328, 139*x + 317, 348*x + 317, 285*x + 8, 202*x + 8, 140*x + 369, 347*x + 369, 385*x + 119, 102*x + 119, 428*x + 148, 59*x + 148, 95*x + 163, 392*x + 163, 2*x + 155, 485*x + 155, 463*x + 183, 24*x + 183]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + x - 3,
           Coordinates        := [-2, 2, -2, -2, 0, 2, 2, 1, 1, 1, 1, 1, 1, 0, 0, x, x, -x - 2, -x - 2, -x - 1, -x - 1, x, x, x, x, -x - 2, -x - 2, x + 1, x + 1, -x - 2, -x - 2, -x, -x, x + 2, x + 2, 2, 2, 0, 0, -1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^2 - 3*x - 1,
           Coordinates        := [-1, -1, -1, -1, 2, -1, 1, 1/2, 1/2, 1/2, 1/2, 1/2, 1/2, -1, -1, -1/2*x + 1, -1/2*x + 1, 1/2*x, 1/2*x, 1/2*x - 3/2, 1/2*x - 3/2, -1/2*x + 1, -1/2*x + 1, 1/2*x, 1/2*x, -1/2*x + 1, -1/2*x + 1, 1/2*x - 3/2, 1/2*x - 3/2, -1/2*x + 1, -1/2*x + 1, -1/2*x + 1, -1/2*x + 1, -1/2*x + 1, -1/2*x + 1, -1, -1, x - 2, x - 2, 1/2, 1/2]>,
         rec<Eigen |
           DefiningPolynomial := x^3 - 5*x + 3,
           Coordinates        := [x^2 - 3*x + 2, -2*x^2 + 3*x + 1, -x^2 + 2*x - 1, x^2 - x - 1, 2*x - 3, x^2 - 2*x + 1, -x + 1, x - 1, x - 1, x^2 - 3*x + 2, x^2 - 3*x + 2, -x + 2, -x + 2, -x^2 + 2*x, -x^2 + 2*x, x - 2, x - 2, -x^2 + 3*x - 2, -x^2 + 3*x - 2, 0, 0, -x^2 + x + 1, -x^2 + x + 1, -x + 1, -x + 1, x^2 - 2*x + 1, x^2 - 2*x + 1, x^2 - 2*x, x^2 - 2*x, -x + 1, -x + 1, -1, -1, x - 1, x - 1, x - 2, x - 2, 0, 0, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^16 - 7*x^15 - 5*x^14 + 131*x^13 - 132*x^12 - 977*x^11 + 1666*x^10 + 3671*x^9 - 8191*x^8 - 7212*x^7 + 20571*x^6 + 6937*x^5 - 27100*x^4 - 2748*x^3 + 17207*x^2 + 360*x - 3825,
           Coordinates        := [-x^15 + 5*x^14 + 19*x^13 - 136*x^12 - 22*x^11 + 1218*x^10 - 1143*x^9 - 4682*x^8 + 7562*x^7 + 7170*x^6 - 18705*x^5 - 629*x^4 + 18928*x^3 - 6515*x^2 - 6571*x + 3480, 2*x^15 - 15*x^14 - x^13 + 251*x^12 - 394*x^11 - 1536*x^10 + 3810*x^9 + 3865*x^8 - 15142*x^7 - 1722*x^6 + 28626*x^5 - 8073*x^4 - 24013*x^3 + 11008*x^2 + 6461*x - 3405, -3*x^15 + 27*x^14 - 36*x^13 - 336*x^12 + 1029*x^11 + 1161*x^10 - 7244*x^9 + 1317*x^8 + 23010*x^7 - 16488*x^6 - 35519*x^5 + 35945*x^4 + 24551*x^3 - 29755*x^2 - 5311*x + 7305, 5*x^15 - 38*x^14 + 12*x^13 + 553*x^12 - 1028*x^11 - 2848*x^10 + 8435*x^9 + 5227*x^8 - 29830*x^7 + 3284*x^6 + 51555*x^5 - 22862*x^4 - 41359*x^3 + 24787*x^2 + 12014*x - 7995, -x^15 + 2*x^14 + 32*x^13 - 69*x^12 - 394*x^11 + 898*x^10 + 2423*x^9 - 5811*x^8 - 7910*x^7 + 20076*x^6 + 13201*x^5 - 36044*x^4 - 9801*x^3 + 29383*x^2 + 2690*x - 7725, -3*x^15 + 20*x^14 + 11*x^13 - 321*x^12 + 337*x^11 + 1973*x^10 - 3420*x^9 - 5608*x^8 + 13212*x^7 + 6526*x^6 - 23603*x^5 - 228*x^4 + 17508*x^3 - 2971*x^2 - 3484*x + 420, x^15 - 9*x^14 + 13*x^13 + 108*x^12 - 360*x^11 - 308*x^10 + 2519*x^9 - 1054*x^8 - 7928*x^7 + 7870*x^6 + 11953*x^5 - 16629*x^4 - 7784*x^3 + 14019*x^2 + 1471*x - 3480, 5*x^14 - 33*x^13 - 16*x^12 + 504*x^11 - 528*x^10 - 2942*x^9 + 4904*x^8 + 8167*x^7 - 17406*x^6 - 11014*x^5 + 29098*x^4 + 6988*x^3 - 22133*x^2 - 2242*x + 5910, 5*x^14 - 33*x^13 - 16*x^12 + 504*x^11 - 528*x^10 - 2942*x^9 + 4904*x^8 + 8167*x^7 - 17406*x^6 - 11014*x^5 + 29098*x^4 + 6988*x^3 - 22133*x^2 - 2242*x + 5910, 2*x^14 - 15*x^13 + 3*x^12 + 220*x^11 - 370*x^10 - 1167*x^9 + 2961*x^8 + 2570*x^7 - 9843*x^6 - 1621*x^5 + 15408*x^4 - 1212*x^3 - 10719*x^2 + 1223*x + 2085, 2*x^14 - 15*x^13 + 3*x^12 + 220*x^11 - 370*x^10 - 1167*x^9 + 2961*x^8 + 2570*x^7 - 9843*x^6 - 1621*x^5 + 15408*x^4 - 1212*x^3 - 10719*x^2 + 1223*x + 2085, 5*x^13 - 33*x^12 - 4*x^11 + 434*x^10 - 589*x^9 - 1964*x^8 + 4257*x^7 + 3108*x^6 - 11443*x^5 + 752*x^4 + 12238*x^3 - 4896*x^2 - 3862*x + 2085, 5*x^13 - 33*x^12 - 4*x^11 + 434*x^10 - 589*x^9 - 1964*x^8 + 4257*x^7 + 3108*x^6 - 11443*x^5 + 752*x^4 + 12238*x^3 - 4896*x^2 - 3862*x + 2085, -3*x^14 + 20*x^13 + 5*x^12 - 282*x^11 + 340*x^10 + 1491*x^9 - 2775*x^8 - 3600*x^7 + 9017*x^6 + 3691*x^5 - 13874*x^4 - 707*x^3 + 9377*x^2 - 595*x - 1875, -3*x^14 + 20*x^13 + 5*x^12 - 282*x^11 + 340*x^10 + 1491*x^9 - 2775*x^8 - 3600*x^7 + 9017*x^6 + 3691*x^5 - 13874*x^4 - 707*x^3 + 9377*x^2 - 595*x - 1875, 2*x^13 - 13*x^12 - 3*x^11 + 178*x^10 - 238*x^9 - 839*x^8 + 1861*x^7 + 1367*x^6 - 5422*x^5 + 486*x^4 + 6558*x^3 - 2752*x^2 - 2773*x + 1500, 2*x^13 - 13*x^12 - 3*x^11 + 178*x^10 - 238*x^9 - 839*x^8 + 1861*x^7 + 1367*x^6 - 5422*x^5 + 486*x^4 + 6558*x^3 - 2752*x^2 - 2773*x + 1500, 2*x^13 - 18*x^12 + 27*x^11 + 191*x^10 - 611*x^9 - 456*x^8 + 3438*x^7 - 1266*x^6 - 7796*x^5 + 6375*x^4 + 6736*x^3 - 7033*x^2 - 1603*x + 1905, 2*x^13 - 18*x^12 + 27*x^11 + 191*x^10 - 611*x^9 - 456*x^8 + 3438*x^7 - 1266*x^6 - 7796*x^5 + 6375*x^4 + 6736*x^3 - 7033*x^2 - 1603*x + 1905, 7*x^12 - 39*x^11 - 46*x^10 + 566*x^9 - 261*x^8 - 3064*x^7 + 3054*x^6 + 7529*x^5 - 9336*x^4 - 8098*x^3 + 10698*x^2 + 3050*x - 3585, 7*x^12 - 39*x^11 - 46*x^10 + 566*x^9 - 261*x^8 - 3064*x^7 + 3054*x^6 + 7529*x^5 - 9336*x^4 - 8098*x^3 + 10698*x^2 + 3050*x - 3585, 5*x^12 - 31*x^11 - 15*x^10 + 412*x^9 - 386*x^8 - 1995*x^7 + 2909*x^6 + 4237*x^5 - 7524*x^4 - 3786*x^3 + 7573*x^2 + 1277*x - 2325, 5*x^12 - 31*x^11 - 15*x^10 + 412*x^9 - 386*x^8 - 1995*x^7 + 2909*x^6 + 4237*x^5 - 7524*x^4 - 3786*x^3 + 7573*x^2 + 1277*x - 2325, -3*x^13 + 17*x^12 + 19*x^11 - 246*x^10 + 114*x^9 + 1346*x^8 - 1278*x^7 - 3455*x^6 + 3839*x^5 + 4240*x^4 - 4376*x^3 - 2345*x^2 + 1502*x + 375, -3*x^13 + 17*x^12 + 19*x^11 - 246*x^10 + 114*x^9 + 1346*x^8 - 1278*x^7 - 3455*x^6 + 3839*x^5 + 4240*x^4 - 4376*x^3 - 2345*x^2 + 1502*x + 375, -3*x^13 + 22*x^12 - 16*x^11 - 236*x^10 + 531*x^9 + 662*x^8 - 2917*x^7 + 620*x^6 + 5890*x^5 - 4719*x^4 - 3755*x^3 + 4721*x^2 + 107*x - 795, -3*x^13 + 22*x^12 - 16*x^11 - 236*x^10 + 531*x^9 + 662*x^8 - 2917*x^7 + 620*x^6 + 5890*x^5 - 4719*x^4 - 3755*x^3 + 4721*x^2 + 107*x - 795, 2*x^12 - 13*x^11 - 5*x^10 + 180*x^9 - 185*x^8 - 919*x^7 + 1427*x^6 + 2106*x^5 - 3953*x^4 - 2066*x^3 + 4395*x^2 + 575*x - 1290, 2*x^12 - 13*x^11 - 5*x^10 + 180*x^9 - 185*x^8 - 919*x^7 + 1427*x^6 + 2106*x^5 - 3953*x^4 - 2066*x^3 + 4395*x^2 + 575*x - 1290, 2*x^11 - 17*x^10 + 23*x^9 + 154*x^8 - 429*x^7 - 298*x^6 + 1813*x^5 - 585*x^4 - 2599*x^3 + 1778*x^2 + 962*x - 795, 2*x^11 - 17*x^10 + 23*x^9 + 154*x^8 - 429*x^7 - 298*x^6 + 1813*x^5 - 585*x^4 - 2599*x^3 + 1778*x^2 + 962*x - 795, -3*x^12 + 17*x^11 + 20*x^10 - 259*x^9 + 151*x^8 + 1423*x^7 - 1723*x^6 - 3290*x^5 + 5258*x^4 + 2738*x^3 - 5530*x^2 - 532*x + 1500, -3*x^12 + 17*x^11 + 20*x^10 - 259*x^9 + 151*x^8 + 1423*x^7 - 1723*x^6 - 3290*x^5 + 5258*x^4 + 2738*x^3 - 5530*x^2 - 532*x + 1500, -3*x^12 + 19*x^11 - 218*x^9 + 314*x^8 + 782*x^7 - 1861*x^6 - 614*x^5 + 3744*x^4 - 1308*x^3 - 2237*x^2 + 1403*x - 30, -3*x^12 + 19*x^11 - 218*x^9 + 314*x^8 + 782*x^7 - 1861*x^6 - 614*x^5 + 3744*x^4 - 1308*x^3 - 2237*x^2 + 1403*x - 30, -x^11 + 4*x^10 + 14*x^9 - 77*x^8 - 16*x^7 + 463*x^6 - 394*x^5 - 917*x^4 + 1445*x^3 + 35*x^2 - 964*x + 420, -x^11 + 4*x^10 + 14*x^9 - 77*x^8 - 16*x^7 + 463*x^6 - 394*x^5 - 917*x^4 + 1445*x^3 + 35*x^2 - 964*x + 420, -3*x^11 + 18*x^10 + x^9 - 194*x^8 + 274*x^7 + 627*x^6 - 1532*x^5 - 333*x^4 + 2826*x^3 - 1081*x^2 - 1540*x + 825, -3*x^11 + 18*x^10 + x^9 - 194*x^8 + 274*x^7 + 627*x^6 - 1532*x^5 - 333*x^4 + 2826*x^3 - 1081*x^2 - 1540*x + 825, -x^10 + 2*x^9 + 18*x^8 - 41*x^7 - 98*x^6 + 267*x^5 + 140*x^4 - 637*x^3 + 171*x^2 + 377*x - 210, -x^10 + 2*x^9 + 18*x^8 - 41*x^7 - 98*x^6 + 267*x^5 + 140*x^4 - 637*x^3 + 171*x^2 + 377*x - 210]>,
         rec<Eigen |
           DefiningPolynomial := x^17 + 8*x^16 + 7*x^15 - 97*x^14 - 239*x^13 + 327*x^12 + 1500*x^11 + 70*x^10 - 3964*x^9 - 2280*x^8 + 4849*x^7 + 4192*x^6 - 2492*x^5 - 2765*x^4 + 364*x^3 + 588*x^2 - 16,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, -x^16 - 7*x^15 - x^14 + 91*x^13 + 145*x^12 - 394*x^11 - 964*x^10 + 635*x^9 + 2570*x^8 - 89*x^7 - 3187*x^6 - 660*x^5 + 1739*x^4 + 463*x^3 - 322*x^2 - 52*x + 8, x^16 + 7*x^15 + x^14 - 91*x^13 - 145*x^12 + 394*x^11 + 964*x^10 - 635*x^9 - 2570*x^8 + 89*x^7 + 3187*x^6 + 660*x^5 - 1739*x^4 - 463*x^3 + 322*x^2 + 52*x - 8, x^12 + 4*x^11 - 12*x^10 - 65*x^9 + 3*x^8 + 269*x^7 + 138*x^6 - 436*x^5 - 298*x^4 + 251*x^3 + 178*x^2 - 20*x - 8, -x^12 - 4*x^11 + 12*x^10 + 65*x^9 - 3*x^8 - 269*x^7 - 138*x^6 + 436*x^5 + 298*x^4 - 251*x^3 - 178*x^2 + 20*x + 8, -x^15 - 7*x^14 - 3*x^13 + 78*x^12 + 142*x^11 - 259*x^10 - 759*x^9 + 201*x^8 + 1573*x^7 + 345*x^6 - 1413*x^5 - 563*x^4 + 505*x^3 + 214*x^2 - 44*x - 8, x^15 + 7*x^14 + 3*x^13 - 78*x^12 - 142*x^11 + 259*x^10 + 759*x^9 - 201*x^8 - 1573*x^7 - 345*x^6 + 1413*x^5 + 563*x^4 - 505*x^3 - 214*x^2 + 44*x + 8, -2*x^10 - 14*x^9 - 23*x^8 + 38*x^7 + 125*x^6 + 20*x^5 - 155*x^4 - 81*x^3 + 40*x^2 + 32*x + 8, 2*x^10 + 14*x^9 + 23*x^8 - 38*x^7 - 125*x^6 - 20*x^5 + 155*x^4 + 81*x^3 - 40*x^2 - 32*x - 8, x^13 + 5*x^12 - 6*x^11 - 61*x^10 - 28*x^9 + 238*x^8 + 221*x^7 - 371*x^6 - 424*x^5 + 205*x^4 + 269*x^3 - 22*x^2 - 32*x + 8, -x^13 - 5*x^12 + 6*x^11 + 61*x^10 + 28*x^9 - 238*x^8 - 221*x^7 + 371*x^6 + 424*x^5 - 205*x^4 - 269*x^3 + 22*x^2 + 32*x - 8, -x^12 - 6*x^11 - 4*x^10 + 31*x^9 + 31*x^8 - 83*x^7 - 65*x^6 + 126*x^5 + 46*x^4 - 91*x^3 + 2*x^2 + 24*x - 8, x^12 + 6*x^11 + 4*x^10 - 31*x^9 - 31*x^8 + 83*x^7 + 65*x^6 - 126*x^5 - 46*x^4 + 91*x^3 - 2*x^2 - 24*x + 8, -x^14 - 6*x^13 + 2*x^12 + 71*x^11 + 77*x^10 - 275*x^9 - 456*x^8 + 419*x^7 + 933*x^6 - 217*x^5 - 772*x^4 + 4*x^3 + 232*x^2 + 4*x - 16, x^14 + 6*x^13 - 2*x^12 - 71*x^11 - 77*x^10 + 275*x^9 + 456*x^8 - 419*x^7 - 933*x^6 + 217*x^5 + 772*x^4 - 4*x^3 - 232*x^2 - 4*x + 16, -x^14 - 7*x^13 - 5*x^12 + 64*x^11 + 128*x^10 - 159*x^9 - 541*x^8 + 15*x^7 + 841*x^6 + 314*x^5 - 462*x^4 - 253*x^3 + 46*x^2 + 40*x + 8, x^14 + 7*x^13 + 5*x^12 - 64*x^11 - 128*x^10 + 159*x^9 + 541*x^8 - 15*x^7 - 841*x^6 - 314*x^5 + 462*x^4 + 253*x^3 - 46*x^2 - 40*x - 8, -x^11 - 7*x^10 - 11*x^9 + 24*x^8 + 80*x^7 + 27*x^6 - 112*x^5 - 118*x^4 + 7*x^3 + 68*x^2 + 28*x, x^11 + 7*x^10 + 11*x^9 - 24*x^8 - 80*x^7 - 27*x^6 + 112*x^5 + 118*x^4 - 7*x^3 - 68*x^2 - 28*x, -x^11 - 7*x^10 - 12*x^9 + 14*x^8 + 45*x^7 - 7*x^6 - 43*x^5 + 37*x^4 + 33*x^3 - 36*x^2 - 20*x, x^11 + 7*x^10 + 12*x^9 - 14*x^8 - 45*x^7 + 7*x^6 + 43*x^5 - 37*x^4 - 33*x^3 + 36*x^2 + 20*x, -x^13 - 7*x^12 - 7*x^11 + 50*x^10 + 108*x^9 - 100*x^8 - 379*x^7 - 5*x^6 + 525*x^5 + 170*x^4 - 282*x^3 - 118*x^2 + 32*x + 8, x^13 + 7*x^12 + 7*x^11 - 50*x^10 - 108*x^9 + 100*x^8 + 379*x^7 + 5*x^6 - 525*x^5 - 170*x^4 + 282*x^3 + 118*x^2 - 32*x - 8, -x^13 - 7*x^12 - 7*x^11 + 50*x^10 + 110*x^9 - 86*x^8 - 353*x^7 - 26*x^6 + 426*x^5 + 140*x^4 - 177*x^3 - 56*x^2 + 20*x, x^13 + 7*x^12 + 7*x^11 - 50*x^10 - 110*x^9 + 86*x^8 + 353*x^7 + 26*x^6 - 426*x^5 - 140*x^4 + 177*x^3 + 56*x^2 - 20*x, -x^12 - 8*x^11 - 16*x^10 + 27*x^9 + 127*x^8 + 69*x^7 - 210*x^6 - 250*x^5 + 44*x^4 + 156*x^3 + 56*x^2 - 4*x - 8, x^12 + 8*x^11 + 16*x^10 - 27*x^9 - 127*x^8 - 69*x^7 + 210*x^6 + 250*x^5 - 44*x^4 - 156*x^3 - 56*x^2 + 4*x + 8, -x^11 - 6*x^10 - 3*x^9 + 37*x^8 + 38*x^7 - 103*x^6 - 109*x^5 + 142*x^4 + 136*x^3 - 62*x^2 - 56*x, x^11 + 6*x^10 + 3*x^9 - 37*x^8 - 38*x^7 + 103*x^6 + 109*x^5 - 142*x^4 - 136*x^3 + 62*x^2 + 56*x, -x^12 - 8*x^11 - 16*x^10 + 28*x^9 + 131*x^8 + 63*x^7 - 251*x^6 - 270*x^5 + 134*x^4 + 226*x^3 - 16*x^2 - 56*x, x^12 + 8*x^11 + 16*x^10 - 28*x^9 - 131*x^8 - 63*x^7 + 251*x^6 + 270*x^5 - 134*x^4 - 226*x^3 + 16*x^2 + 56*x, -x^12 - 6*x^11 - 2*x^10 + 46*x^9 + 61*x^8 - 110*x^7 - 205*x^6 + 76*x^5 + 241*x^4 + 41*x^3 - 82*x^2 - 36*x, x^12 + 6*x^11 + 2*x^10 - 46*x^9 - 61*x^8 + 110*x^7 + 205*x^6 - 76*x^5 - 241*x^4 - 41*x^3 + 82*x^2 + 36*x, -x^11 - 6*x^10 - 4*x^9 + 36*x^8 + 59*x^7 - 55*x^6 - 141*x^5 + 12*x^4 + 110*x^3 + 6*x^2 - 28*x, x^11 + 6*x^10 + 4*x^9 - 36*x^8 - 59*x^7 + 55*x^6 + 141*x^5 - 12*x^4 - 110*x^3 - 6*x^2 + 28*x]>
       ]
>;

MOG[491] := 	// J_0(491)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 4, 71, 129, 158, 162, 222, 243, 255, 257, 261, 266, 337, 374, 429, 444, 481, 489, 153*x + 291, 338*x + 291, 412*x + 147, 79*x + 147, 414*x + 4, 77*x + 4, 392*x + 310, 99*x + 310, 386*x + 451, 105*x + 451, 478*x + 147, 13*x + 147, 465*x + 123, 26*x + 123, 258*x + 347, 233*x + 347, 170*x + 237, 321*x + 237, 230*x, 261*x, 312*x + 106, 179*x + 106, 115*x + 367, 376*x + 367]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 - x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x + 1, x - 1, 0, 0, -1, 1, x - 1, -x + 1, -1, 1, x, -x, 0, 0, -x + 1, x - 1, 1, -1, 1, -1, 0, 0, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^10 + 3*x^9 - 7*x^8 - 25*x^7 + 10*x^6 + 60*x^5 + 3*x^4 - 45*x^3 - 2*x^2 + 7*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^8 - 3*x^7 + 4*x^6 + 17*x^5 + 3*x^4 - 17*x^3 - 5*x^2 + 2*x, x^8 + 3*x^7 - 4*x^6 - 17*x^5 - 3*x^4 + 17*x^3 + 5*x^2 - 2*x, -x^9 - 3*x^8 + 5*x^7 + 20*x^6 - 31*x^4 - 8*x^3 + 13*x^2 + 2*x - 1, x^9 + 3*x^8 - 5*x^7 - 20*x^6 + 31*x^4 + 8*x^3 - 13*x^2 - 2*x + 1, -x^7 - 3*x^6 + 3*x^5 + 14*x^4 + 3*x^3 - 11*x^2 - 2*x + 1, x^7 + 3*x^6 - 3*x^5 - 14*x^4 - 3*x^3 + 11*x^2 + 2*x - 1, -x^8 - 2*x^7 + 6*x^6 + 12*x^5 - 8*x^4 - 15*x^3 + 5*x^2 + 4*x - 1, x^8 + 2*x^7 - 6*x^6 - 12*x^5 + 8*x^4 + 15*x^3 - 5*x^2 - 4*x + 1, -x^6 - 3*x^5 + 6*x^3 + 3*x^2 - x, x^6 + 3*x^5 - 6*x^3 - 3*x^2 + x, -x^7 - 2*x^6 + 4*x^5 + 8*x^4 - 2*x^3 - 4*x^2 + x, x^7 + 2*x^6 - 4*x^5 - 8*x^4 + 2*x^3 + 4*x^2 - x, -2*x^5 - 5*x^4 + 4*x^2 - x, 2*x^5 + 5*x^4 - 4*x^2 + x, -x^5 - 3*x^4 + 6*x^2 + 3*x - 1, x^5 + 3*x^4 - 6*x^2 - 3*x + 1, -x^6 - 2*x^5 + 2*x^4 + 3*x^3 - 2*x^2, x^6 + 2*x^5 - 2*x^4 - 3*x^3 + 2*x^2, -x^6 - 2*x^5 + 4*x^4 + 8*x^3 - 2*x^2 - 4*x + 1, x^6 + 2*x^5 - 4*x^4 - 8*x^3 + 2*x^2 + 4*x - 1, -2*x^4 - 5*x^3 - 2*x^2 + x, 2*x^4 + 5*x^3 + 2*x^2 - x, -2*x^3 - 3*x^2 + x, 2*x^3 + 3*x^2 - x]>,
         rec<Eigen |
           DefiningPolynomial := x^29 - 49*x^27 + x^26 + 1068*x^25 - 39*x^24 - 13655*x^23 + 658*x^22 + 113723*x^21 - 6306*x^20 - 647801*x^19 + 37953*x^18 + 2578721*x^17 - 150115*x^16 - 7201417*x^15 + 398246*x^14 + 13959112*x^13 - 711934*x^12 - 18310154*x^11 + 839798*x^10 + 15574775*x^9 - 585854*x^8 - 8065060*x^7 + 132680*x^6 + 2339280*x^5 + 83968*x^4 - 350400*x^3 - 36608*x^2 + 20992*x + 3584,
           Coordinates        := [-x^28 + 46*x^26 - x^25 - 936*x^24 + 36*x^23 + 11099*x^22 - 552*x^21 - 85060*x^20 + 4696*x^19 + 441683*x^18 - 24157*x^17 - 1584506*x^16 + 76448*x^15 + 3932057*x^14 - 142466*x^13 - 6655039*x^12 + 127800*x^11 + 7453035*x^10 + 19656*x^9 - 5252758*x^8 - 162076*x^7 + 2155972*x^6 + 153048*x^5 - 455968*x^4 - 60064*x^3 + 38400*x^2 + 7680*x, x^28 - 46*x^26 + x^25 + 936*x^24 - 36*x^23 - 11097*x^22 + 552*x^21 + 84990*x^20 - 4700*x^19 - 440629*x^18 + 24275*x^17 + 1575566*x^16 - 77846*x^15 - 3885163*x^14 + 150970*x^13 + 6498337*x^12 - 155870*x^11 - 7123045*x^10 + 28738*x^9 + 4836446*x^8 + 124860*x^7 - 1872456*x^6 - 143040*x^5 + 369216*x^4 + 52032*x^3 - 28032*x^2 - 5632*x, 2*x^24 + 2*x^23 - 82*x^22 - 74*x^21 + 1452*x^20 + 1158*x^19 - 14556*x^18 - 9984*x^17 + 90978*x^16 + 51624*x^15 - 367978*x^14 - 162202*x^13 + 967840*x^12 + 293844*x^11 - 1621052*x^10 - 250260*x^9 + 1645720*x^8 - 1028*x^7 - 924716*x^6 + 120416*x^5 + 244240*x^4 - 40960*x^3 - 31168*x^2 + 4096*x + 1792, 4*x^23 - 4*x^22 - 148*x^21 + 136*x^20 + 2354*x^19 - 1932*x^18 - 21070*x^17 + 14844*x^16 + 116686*x^15 - 66578*x^14 - 414074*x^13 + 174682*x^12 + 942970*x^11 - 250746*x^10 - 1342420*x^9 + 156686*x^8 + 1129242*x^7 + 7824*x^6 - 513152*x^5 - 49008*x^4 + 109216*x^3 + 17984*x^2 - 8320*x - 1792, -6*x^24 + 232*x^22 - 8*x^21 - 3878*x^20 + 248*x^19 + 36738*x^18 - 3242*x^17 - 217314*x^16 + 23334*x^15 + 833712*x^14 - 101398*x^13 - 2086846*x^12 + 274704*x^11 + 3342870*x^10 - 461288*x^9 - 3269540*x^8 + 454242*x^7 + 1793304*x^6 - 221064*x^5 - 480160*x^4 + 29088*x^3 + 55616*x^2 + 256*x - 1792, x^27 - 44*x^25 + x^24 + 852*x^23 - 38*x^22 - 9555*x^21 + 636*x^20 + 68716*x^19 - 6190*x^18 - 331355*x^17 + 38843*x^16 + 1087762*x^15 - 163786*x^14 - 2416863*x^13 + 465752*x^12 + 3541429*x^11 - 866374*x^10 - 3254131*x^9 + 980328*x^8 + 1722108*x^7 - 586132*x^6 - 461576*x^5 + 144144*x^4 + 64128*x^3 - 13184*x^2 - 4352*x, 2*x^21 + 2*x^20 - 84*x^19 - 60*x^18 + 1394*x^17 + 750*x^16 - 12076*x^15 - 5154*x^14 + 59806*x^13 + 21544*x^12 - 172402*x^11 - 56502*x^10 + 279046*x^9 + 90528*x^8 - 228326*x^7 - 81324*x^6 + 74696*x^5 + 36368*x^4 - 5280*x^3 - 5248*x^2 - 768*x, 2*x^23 - 74*x^21 - 2*x^20 + 1182*x^19 + 36*x^18 - 10686*x^17 - 122*x^16 + 60216*x^15 - 1538*x^14 - 219518*x^13 + 15696*x^12 + 520480*x^11 - 58550*x^10 - 787394*x^9 + 102088*x^8 + 725984*x^7 - 75096*x^6 - 375448*x^5 + 10336*x^4 + 97152*x^3 + 8192*x^2 - 9600*x - 1792, 2*x^23 + 2*x^22 - 72*x^21 - 66*x^20 + 1110*x^19 + 922*x^18 - 9574*x^17 - 7112*x^16 + 50664*x^15 + 33192*x^14 - 169770*x^13 - 96906*x^12 + 358986*x^11 + 178080*x^10 - 462348*x^9 - 204984*x^8 + 334194*x^7 + 145768*x^6 - 112616*x^5 - 57632*x^4 + 10624*x^3 + 8896*x^2 + 1152*x, x^27 - 44*x^25 + x^24 + 852*x^23 - 30*x^22 - 9555*x^21 + 342*x^20 + 68746*x^19 - 1570*x^18 - 332209*x^17 - 1651*x^16 + 1097754*x^15 + 52770*x^14 - 2478943*x^13 - 260450*x^12 + 3762575*x^11 + 644146*x^10 - 3710285*x^9 - 877138*x^8 + 2247004*x^7 + 638892*x^6 - 761848*x^5 - 229520*x^4 + 118912*x^3 + 37312*x^2 - 5632*x - 1792, 2*x^24 - 74*x^22 + 6*x^21 + 1176*x^20 - 188*x^19 - 10496*x^18 + 2462*x^17 + 57776*x^16 - 17472*x^15 - 202962*x^14 + 72864*x^13 + 455892*x^12 - 180906*x^11 - 640428*x^10 + 257364*x^9 + 539178*x^8 - 188426*x^7 - 258384*x^6 + 54984*x^5 + 68256*x^4 - 1728*x^3 - 7744*x^2 - 1152*x, -4*x^23 + 2*x^22 + 150*x^21 - 80*x^20 - 2424*x^19 + 1322*x^18 + 22122*x^17 - 11832*x^16 - 125586*x^15 + 62882*x^14 + 460580*x^13 - 203794*x^12 - 1097462*x^11 + 396146*x^10 + 1665316*x^9 - 432502*x^8 - 1533292*x^7 + 224888*x^6 + 787264*x^5 - 25952*x^4 - 199552*x^3 - 17152*x^2 + 19200*x + 3584, -3*x^26 + 126*x^24 + x^23 - 2314*x^22 - 50*x^21 + 24427*x^20 + 990*x^19 - 163878*x^18 - 10428*x^17 + 729379*x^16 + 64937*x^15 - 2182036*x^14 - 248236*x^13 + 4351351*x^12 + 581690*x^11 - 5620301*x^10 - 808918*x^9 + 4462025*x^8 + 633142*x^7 - 2002112*x^6 - 275016*x^5 + 440016*x^4 + 72320*x^3 - 37376*x^2 - 7936*x, -3*x^26 + 126*x^24 - 3*x^23 - 2320*x^22 + 96*x^21 + 24635*x^20 - 1282*x^19 - 166956*x^18 + 9232*x^17 + 754779*x^16 - 38501*x^15 - 2310062*x^14 + 91500*x^13 + 4756647*x^12 - 105636*x^11 - 6416787*x^10 + 2020*x^9 + 5387161*x^8 + 138814*x^7 - 2582492*x^6 - 160224*x^5 + 615888*x^4 + 78944*x^3 - 56832*x^2 - 11520*x, 2*x^24 - 74*x^22 - 6*x^21 + 1178*x^20 + 204*x^19 - 10566*x^18 - 2910*x^17 + 58716*x^16 + 22614*x^15 - 209210*x^14 - 103916*x^13 + 477392*x^12 + 286254*x^11 - 674390*x^10 - 456004*x^9 + 544928*x^8 + 381556*x^7 - 212800*x^6 - 139056*x^5 + 24416*x^4 + 18752*x^3 + 896*x^2 - 256*x, 2*x^25 - 80*x^23 - 2*x^22 + 1400*x^21 + 70*x^20 - 14102*x^19 - 1014*x^18 + 90472*x^17 + 7892*x^16 - 386112*x^15 - 35800*x^14 + 1110984*x^13 + 95876*x^12 - 2137840*x^11 - 146708*x^10 + 2674742*x^9 + 122782*x^8 - 2068026*x^7 - 71784*x^6 + 913016*x^5 + 57424*x^4 - 205472*x^3 - 26432*x^2 + 17920*x + 3584, -3*x^27 + 132*x^25 - 3*x^24 - 2556*x^23 + 106*x^22 + 28663*x^21 - 1610*x^20 - 206118*x^19 + 13796*x^18 + 994215*x^17 - 73667*x^16 - 3269360*x^15 + 255780*x^14 + 7304073*x^13 - 584134*x^12 - 10857119*x^11 + 859454*x^10 + 10322017*x^9 - 747930*x^8 - 5909088*x^7 + 285728*x^6 + 1883312*x^5 + 23904*x^4 - 312000*x^3 - 28928*x^2 + 20992*x + 3584, x^27 - 44*x^25 + x^24 + 854*x^23 - 38*x^22 - 9623*x^21 + 628*x^20 + 69710*x^19 - 5918*x^18 - 339591*x^17 + 35077*x^16 + 1130738*x^15 - 136260*x^14 - 2564969*x^13 + 350762*x^12 + 3883105*x^11 - 588832*x^10 - 3773913*x^9 + 607524*x^8 + 2223492*x^7 - 328480*x^6 - 746640*x^5 + 53440*x^4 + 139328*x^3 + 6848*x^2 - 11008*x - 1792, x^25 - 39*x^23 + x^22 + 660*x^21 - 28*x^20 - 6358*x^19 + 309*x^18 + 38462*x^17 - 1624*x^16 - 152145*x^15 + 3240*x^14 + 397716*x^13 + 6453*x^12 - 679200*x^11 - 49398*x^10 + 731937*x^9 + 110771*x^8 - 463386*x^7 - 118276*x^6 + 146744*x^5 + 56768*x^4 - 14496*x^3 - 9472*x^2 - 1152*x, x^25 - 39*x^23 + x^22 + 660*x^21 - 28*x^20 - 6358*x^19 + 309*x^18 + 38462*x^17 - 1624*x^16 - 152145*x^15 + 3240*x^14 + 397716*x^13 + 6453*x^12 - 679200*x^11 - 49398*x^10 + 731937*x^9 + 110771*x^8 - 463386*x^7 - 118276*x^6 + 146744*x^5 + 56768*x^4 - 14496*x^3 - 9472*x^2 - 1152*x, x^26 - 42*x^24 + 3*x^23 + 771*x^22 - 105*x^21 - 8122*x^20 + 1565*x^19 + 54210*x^18 - 12963*x^17 - 238906*x^16 + 65308*x^15 + 703110*x^14 - 205710*x^13 - 1367881*x^12 + 400008*x^11 + 1706380*x^10 - 452938*x^9 - 1294721*x^8 + 257016*x^7 + 555304*x^6 - 43240*x^5 - 125152*x^4 - 7360*x^3 + 11200*x^2 + 1920*x, x^26 - 42*x^24 + 3*x^23 + 771*x^22 - 105*x^21 - 8122*x^20 + 1565*x^19 + 54210*x^18 - 12963*x^17 - 238906*x^16 + 65308*x^15 + 703110*x^14 - 205710*x^13 - 1367881*x^12 + 400008*x^11 + 1706380*x^10 - 452938*x^9 - 1294721*x^8 + 257016*x^7 + 555304*x^6 - 43240*x^5 - 125152*x^4 - 7360*x^3 + 11200*x^2 + 1920*x, x^24 - 2*x^23 - 37*x^22 + 71*x^21 + 588*x^20 - 1068*x^19 - 5252*x^18 + 8877*x^17 + 28985*x^16 - 44596*x^15 - 102432*x^14 + 139299*x^13 + 232789*x^12 - 268500*x^11 - 334015*x^10 + 306345*x^9 + 292157*x^8 - 186866*x^7 - 150176*x^6 + 45024*x^5 + 42400*x^4 - 384*x^3 - 4608*x^2 - 768*x, x^24 - 2*x^23 - 37*x^22 + 71*x^21 + 588*x^20 - 1068*x^19 - 5252*x^18 + 8877*x^17 + 28985*x^16 - 44596*x^15 - 102432*x^14 + 139299*x^13 + 232789*x^12 - 268500*x^11 - 334015*x^10 + 306345*x^9 + 292157*x^8 - 186866*x^7 - 150176*x^6 + 45024*x^5 + 42400*x^4 - 384*x^3 - 4608*x^2 - 768*x, x^25 + 2*x^24 - 42*x^23 - 76*x^22 + 773*x^21 + 1251*x^20 - 8178*x^19 - 11702*x^18 + 54841*x^17 + 68583*x^16 - 242499*x^15 - 261720*x^14 + 713346*x^13 + 654005*x^12 - 1376995*x^11 - 1047686*x^10 + 1683627*x^9 + 1023383*x^8 - 1228314*x^7 - 563856*x^6 + 489952*x^5 + 165392*x^4 - 93216*x^3 - 25920*x^2 + 6784*x + 1792, x^25 + 2*x^24 - 42*x^23 - 76*x^22 + 773*x^21 + 1251*x^20 - 8178*x^19 - 11702*x^18 + 54841*x^17 + 68583*x^16 - 242499*x^15 - 261720*x^14 + 713346*x^13 + 654005*x^12 - 1376995*x^11 - 1047686*x^10 + 1683627*x^9 + 1023383*x^8 - 1228314*x^7 - 563856*x^6 + 489952*x^5 + 165392*x^4 - 93216*x^3 - 25920*x^2 + 6784*x + 1792, -2*x^24 - 2*x^23 + 74*x^22 + 76*x^21 - 1176*x^20 - 1248*x^19 + 10500*x^18 + 11593*x^17 - 57816*x^16 - 66973*x^15 + 202637*x^14 + 249147*x^13 - 449635*x^12 - 597785*x^11 + 606489*x^10 + 902640*x^9 - 454323*x^8 - 816032*x^7 + 155476*x^6 + 408808*x^5 - 8144*x^4 - 99328*x^3 - 9280*x^2 + 9472*x + 1792, -2*x^24 - 2*x^23 + 74*x^22 + 76*x^21 - 1176*x^20 - 1248*x^19 + 10500*x^18 + 11593*x^17 - 57816*x^16 - 66973*x^15 + 202637*x^14 + 249147*x^13 - 449635*x^12 - 597785*x^11 + 606489*x^10 + 902640*x^9 - 454323*x^8 - 816032*x^7 + 155476*x^6 + 408808*x^5 - 8144*x^4 - 99328*x^3 - 9280*x^2 + 9472*x + 1792, x^25 - 2*x^24 - 37*x^23 + 78*x^22 + 583*x^21 - 1307*x^20 - 5089*x^19 + 12333*x^18 + 26705*x^17 - 72176*x^16 - 84529*x^15 + 271956*x^14 + 146369*x^13 - 663119*x^12 - 70699*x^11 + 1024933*x^10 - 207306*x^9 - 956976*x^8 + 407442*x^7 + 498504*x^6 - 281320*x^5 - 133456*x^4 + 74656*x^3 + 21504*x^2 - 6912*x - 1792, x^25 - 2*x^24 - 37*x^23 + 78*x^22 + 583*x^21 - 1307*x^20 - 5089*x^19 + 12333*x^18 + 26705*x^17 - 72176*x^16 - 84529*x^15 + 271956*x^14 + 146369*x^13 - 663119*x^12 - 70699*x^11 + 1024933*x^10 - 207306*x^9 - 956976*x^8 + 407442*x^7 + 498504*x^6 - 281320*x^5 - 133456*x^4 + 74656*x^3 + 21504*x^2 - 6912*x - 1792, x^25 - 3*x^24 - 42*x^23 + 118*x^22 + 767*x^21 - 2000*x^20 - 8013*x^19 + 19127*x^18 + 53025*x^17 - 113541*x^16 - 232416*x^15 + 433719*x^14 + 684779*x^13 - 1069823*x^12 - 1345177*x^11 + 1665372*x^10 + 1706760*x^9 - 1551561*x^8 - 1320956*x^7 + 781960*x^6 + 580544*x^5 - 169248*x^4 - 136480*x^3 + 5376*x^2 + 13056*x + 1792, x^25 - 3*x^24 - 42*x^23 + 118*x^22 + 767*x^21 - 2000*x^20 - 8013*x^19 + 19127*x^18 + 53025*x^17 - 113541*x^16 - 232416*x^15 + 433719*x^14 + 684779*x^13 - 1069823*x^12 - 1345177*x^11 + 1665372*x^10 + 1706760*x^9 - 1551561*x^8 - 1320956*x^7 + 781960*x^6 + 580544*x^5 - 169248*x^4 - 136480*x^3 + 5376*x^2 + 13056*x + 1792, -3*x^25 + 118*x^23 - 5*x^22 - 2014*x^21 + 164*x^20 + 19581*x^19 - 2282*x^18 - 119718*x^17 + 17583*x^16 + 479649*x^15 - 82140*x^14 - 1273713*x^13 + 239249*x^12 + 2220166*x^11 - 428717*x^10 - 2467428*x^9 + 443372*x^8 + 1663298*x^7 - 222976*x^6 - 633712*x^5 + 27520*x^4 + 127584*x^3 + 8704*x^2 - 10496*x - 1792, -3*x^25 + 118*x^23 - 5*x^22 - 2014*x^21 + 164*x^20 + 19581*x^19 - 2282*x^18 - 119718*x^17 + 17583*x^16 + 479649*x^15 - 82140*x^14 - 1273713*x^13 + 239249*x^12 + 2220166*x^11 - 428717*x^10 - 2467428*x^9 + 443372*x^8 + 1663298*x^7 - 222976*x^6 - 633712*x^5 + 27520*x^4 + 127584*x^3 + 8704*x^2 - 10496*x - 1792, -3*x^25 + 2*x^24 + 121*x^23 - 78*x^22 - 2118*x^21 + 1300*x^20 + 21120*x^19 - 12112*x^18 - 132418*x^17 + 69302*x^16 + 543662*x^15 - 252008*x^14 - 1476361*x^13 + 582912*x^12 + 2618409*x^11 - 834186*x^10 - 2929996*x^9 + 690536*x^8 + 1953488*x^7 - 280372*x^6 - 721648*x^5 + 24208*x^4 + 137312*x^3 + 10496*x^2 - 10496*x - 1792, -3*x^25 + 2*x^24 + 121*x^23 - 78*x^22 - 2118*x^21 + 1300*x^20 + 21120*x^19 - 12112*x^18 - 132418*x^17 + 69302*x^16 + 543662*x^15 - 252008*x^14 - 1476361*x^13 + 582912*x^12 + 2618409*x^11 - 834186*x^10 - 2929996*x^9 + 690536*x^8 + 1953488*x^7 - 280372*x^6 - 721648*x^5 + 24208*x^4 + 137312*x^3 + 10496*x^2 - 10496*x - 1792, x^26 - 41*x^24 - x^23 + 737*x^22 + 38*x^21 - 7640*x^20 - 609*x^19 + 50519*x^18 + 5401*x^17 - 222414*x^16 - 29207*x^15 + 660097*x^14 + 99896*x^13 - 1307616*x^12 - 216481*x^11 + 1674566*x^10 + 289393*x^9 - 1306477*x^8 - 226670*x^7 + 562908*x^6 + 98240*x^5 - 114944*x^4 - 22592*x^3 + 8512*x^2 + 1920*x, x^26 - 41*x^24 - x^23 + 737*x^22 + 38*x^21 - 7640*x^20 - 609*x^19 + 50519*x^18 + 5401*x^17 - 222414*x^16 - 29207*x^15 + 660097*x^14 + 99896*x^13 - 1307616*x^12 - 216481*x^11 + 1674566*x^10 + 289393*x^9 - 1306477*x^8 - 226670*x^7 + 562908*x^6 + 98240*x^5 - 114944*x^4 - 22592*x^3 + 8512*x^2 + 1920*x, x^26 - 42*x^24 - x^23 + 771*x^22 + 42*x^21 - 8137*x^20 - 745*x^19 + 54637*x^18 + 7284*x^17 - 243902*x^16 - 42970*x^15 + 734150*x^14 + 157391*x^13 - 1478454*x^12 - 355252*x^11 + 1934457*x^10 + 475795*x^9 - 1557169*x^8 - 355496*x^7 + 705440*x^6 + 143592*x^5 - 152544*x^4 - 32608*x^3 + 11840*x^2 + 2816*x, x^26 - 42*x^24 - x^23 + 771*x^22 + 42*x^21 - 8137*x^20 - 745*x^19 + 54637*x^18 + 7284*x^17 - 243902*x^16 - 42970*x^15 + 734150*x^14 + 157391*x^13 - 1478454*x^12 - 355252*x^11 + 1934457*x^10 + 475795*x^9 - 1557169*x^8 - 355496*x^7 + 705440*x^6 + 143592*x^5 - 152544*x^4 - 32608*x^3 + 11840*x^2 + 2816*x, x^25 + x^24 - 39*x^23 - 38*x^22 + 651*x^21 + 619*x^20 - 6066*x^19 - 5653*x^18 + 34428*x^17 + 31728*x^16 - 121196*x^15 - 112542*x^14 + 253630*x^13 + 248819*x^12 - 261795*x^11 - 323203*x^10 - 9798*x^9 + 215737*x^8 + 304288*x^7 - 52236*x^6 - 271512*x^5 - 7504*x^4 + 84192*x^3 + 10624*x^2 - 8704*x - 1792, x^25 + x^24 - 39*x^23 - 38*x^22 + 651*x^21 + 619*x^20 - 6066*x^19 - 5653*x^18 + 34428*x^17 + 31728*x^16 - 121196*x^15 - 112542*x^14 + 253630*x^13 + 248819*x^12 - 261795*x^11 - 323203*x^10 - 9798*x^9 + 215737*x^8 + 304288*x^7 - 52236*x^6 - 271512*x^5 - 7504*x^4 + 84192*x^3 + 10624*x^2 - 8704*x - 1792]>
       ]
>;

MOG[499] := 	// J_0(499)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [72, 111, 124, 231, 421, 481, 373*x + 218, 126*x + 218, 402*x + 84, 97*x + 84, 414*x + 345, 85*x + 345, 325*x + 421, 174*x + 421, 364*x + 440, 135*x + 440, 227*x + 300, 272*x + 300, 52*x + 374, 447*x + 374, 484*x + 118, 15*x + 118, 344*x + 55, 155*x + 55, 7*x + 10, 492*x + 10, 98*x + 222, 401*x + 222, 117*x + 111, 382*x + 111, 372*x + 357, 127*x + 357, 80*x + 316, 419*x + 316, 497*x + 282, 2*x + 282, 477*x + 382, 22*x + 382, 372*x + 174, 127*x + 174, 493*x + 463, 6*x + 463]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 2*x + 3, -2*x - 3, x + 2, -x - 2, 0, 0, 0, 0, -x - 2, x + 2, -x - 1, x + 1, -x - 2, x + 2, 0, 0, -x - 1, x + 1, x + 1, -x - 1, -x - 2, x + 2, -x - 1, x + 1, 1, -1, x + 1, -x - 1, 0, 0, x + 2, -x - 2, -x - 1, x + 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^16 + 5*x^15 - 11*x^14 - 85*x^13 + 9*x^12 + 548*x^11 + 293*x^10 - 1718*x^9 - 1408*x^8 + 2735*x^7 + 2662*x^6 - 2058*x^5 - 2241*x^4 + 585*x^3 + 738*x^2 - 54*x - 81,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x^14 - 5*x^13 + 7*x^12 + 66*x^11 + 20*x^10 - 308*x^9 - 254*x^8 + 630*x^7 + 676*x^6 - 538*x^5 - 683*x^4 + 138*x^3 + 240*x^2 - 9*x - 27, x^14 + 5*x^13 - 7*x^12 - 66*x^11 - 20*x^10 + 308*x^9 + 254*x^8 - 630*x^7 - 676*x^6 + 538*x^5 + 683*x^4 - 138*x^3 - 240*x^2 + 9*x + 27, -x^13 - 4*x^12 + 10*x^11 + 53*x^10 - 20*x^9 - 245*x^8 - 58*x^7 + 487*x^6 + 238*x^5 - 386*x^4 - 231*x^3 + 72*x^2 + 45*x, x^13 + 4*x^12 - 10*x^11 - 53*x^10 + 20*x^9 + 245*x^8 + 58*x^7 - 487*x^6 - 238*x^5 + 386*x^4 + 231*x^3 - 72*x^2 - 45*x, -x^15 - 5*x^14 + 8*x^13 + 70*x^12 + 10*x^11 - 361*x^10 - 234*x^9 + 875*x^8 + 734*x^7 - 1025*x^6 - 921*x^5 + 524*x^4 + 471*x^3 - 81*x^2 - 72*x, x^15 + 5*x^14 - 8*x^13 - 70*x^12 - 10*x^11 + 361*x^10 + 234*x^9 - 875*x^8 - 734*x^7 + 1025*x^6 + 921*x^5 - 524*x^4 - 471*x^3 + 81*x^2 + 72*x, -x^12 - 3*x^11 + 13*x^10 + 43*x^9 - 49*x^8 - 201*x^7 + 49*x^6 + 390*x^5 + 66*x^4 - 297*x^3 - 123*x^2 + 54*x + 27, x^12 + 3*x^11 - 13*x^10 - 43*x^9 + 49*x^8 + 201*x^7 - 49*x^6 - 390*x^5 - 66*x^4 + 297*x^3 + 123*x^2 - 54*x - 27, -x^14 - 5*x^13 + 6*x^12 + 61*x^11 + 22*x^10 - 266*x^9 - 218*x^8 + 530*x^7 + 530*x^6 - 500*x^5 - 528*x^4 + 201*x^3 + 210*x^2 - 27*x - 27, x^14 + 5*x^13 - 6*x^12 - 61*x^11 - 22*x^10 + 266*x^9 + 218*x^8 - 530*x^7 - 530*x^6 + 500*x^5 + 528*x^4 - 201*x^3 - 210*x^2 + 27*x + 27, -x^14 - 5*x^13 + 6*x^12 + 60*x^11 + 17*x^10 - 269*x^9 - 202*x^8 + 550*x^7 + 535*x^6 - 496*x^5 - 559*x^4 + 165*x^3 + 216*x^2 - 18*x - 27, x^14 + 5*x^13 - 6*x^12 - 60*x^11 - 17*x^10 + 269*x^9 + 202*x^8 - 550*x^7 - 535*x^6 + 496*x^5 + 559*x^4 - 165*x^3 - 216*x^2 + 18*x + 27, 3*x^10 + 14*x^9 - 5*x^8 - 94*x^7 - 48*x^6 + 218*x^5 + 155*x^4 - 189*x^3 - 141*x^2 + 36*x + 27, -3*x^10 - 14*x^9 + 5*x^8 + 94*x^7 + 48*x^6 - 218*x^5 - 155*x^4 + 189*x^3 + 141*x^2 - 36*x - 27, -x^13 - 5*x^12 + 4*x^11 + 51*x^10 + 27*x^9 - 178*x^8 - 162*x^7 + 259*x^6 + 268*x^5 - 152*x^4 - 162*x^3 + 24*x^2 + 27*x, x^13 + 5*x^12 - 4*x^11 - 51*x^10 - 27*x^9 + 178*x^8 + 162*x^7 - 259*x^6 - 268*x^5 + 152*x^4 + 162*x^3 - 24*x^2 - 27*x, -x^13 - 4*x^12 + 8*x^11 + 44*x^10 - 11*x^9 - 167*x^8 - 42*x^7 + 266*x^6 + 125*x^5 - 171*x^4 - 99*x^3 + 30*x^2 + 18*x, x^13 + 4*x^12 - 8*x^11 - 44*x^10 + 11*x^9 + 167*x^8 + 42*x^7 - 266*x^6 - 125*x^5 + 171*x^4 + 99*x^3 - 30*x^2 - 18*x, -x^13 - 5*x^12 + 3*x^11 + 44*x^10 + 20*x^9 - 139*x^8 - 97*x^7 + 188*x^6 + 133*x^5 - 99*x^4 - 63*x^3 + 15*x^2 + 9*x, x^13 + 5*x^12 - 3*x^11 - 44*x^10 - 20*x^9 + 139*x^8 + 97*x^7 - 188*x^6 - 133*x^5 + 99*x^4 + 63*x^3 - 15*x^2 - 9*x, -x^13 - 5*x^12 + 4*x^11 + 48*x^10 + 12*x^9 - 186*x^8 - 102*x^7 + 341*x^6 + 229*x^5 - 260*x^4 - 192*x^3 + 48*x^2 + 36*x, x^13 + 5*x^12 - 4*x^11 - 48*x^10 - 12*x^9 + 186*x^8 + 102*x^7 - 341*x^6 - 229*x^5 + 260*x^4 + 192*x^3 - 48*x^2 - 36*x, x^12 + 6*x^11 + x^10 - 48*x^9 - 45*x^8 + 153*x^7 + 169*x^6 - 235*x^5 - 255*x^4 + 156*x^3 + 159*x^2 - 27*x - 27, -x^12 - 6*x^11 - x^10 + 48*x^9 + 45*x^8 - 153*x^7 - 169*x^6 + 235*x^5 + 255*x^4 - 156*x^3 - 159*x^2 + 27*x + 27, -x^12 - 5*x^11 + 3*x^10 + 47*x^9 + 28*x^8 - 161*x^7 - 154*x^6 + 244*x^5 + 259*x^4 - 156*x^3 - 162*x^2 + 27*x + 27, x^12 + 5*x^11 - 3*x^10 - 47*x^9 - 28*x^8 + 161*x^7 + 154*x^6 - 244*x^5 - 259*x^4 + 156*x^3 + 162*x^2 - 27*x - 27, -x^12 - 5*x^11 + 2*x^10 + 41*x^9 + 28*x^8 - 110*x^7 - 108*x^6 + 104*x^5 + 107*x^4 - 21*x^3 - 21*x^2, x^12 + 5*x^11 - 2*x^10 - 41*x^9 - 28*x^8 + 110*x^7 + 108*x^6 - 104*x^5 - 107*x^4 + 21*x^3 + 21*x^2, -2*x^12 - 9*x^11 + 11*x^10 + 88*x^9 + 9*x^8 - 306*x^7 - 139*x^6 + 454*x^5 + 258*x^4 - 270*x^3 - 162*x^2 + 45*x + 27, 2*x^12 + 9*x^11 - 11*x^10 - 88*x^9 - 9*x^8 + 306*x^7 + 139*x^6 - 454*x^5 - 258*x^4 + 270*x^3 + 162*x^2 - 45*x - 27, -x^12 - 7*x^11 - 8*x^10 + 42*x^9 + 96*x^8 - 56*x^7 - 263*x^6 - 57*x^5 + 238*x^4 + 120*x^3 - 45*x^2 - 27*x, x^12 + 7*x^11 + 8*x^10 - 42*x^9 - 96*x^8 + 56*x^7 + 263*x^6 + 57*x^5 - 238*x^4 - 120*x^3 + 45*x^2 + 27*x, -x^12 - 6*x^11 - 4*x^10 + 35*x^9 + 55*x^8 - 56*x^7 - 137*x^6 + x^5 + 112*x^4 + 39*x^3 - 21*x^2 - 9*x, x^12 + 6*x^11 + 4*x^10 - 35*x^9 - 55*x^8 + 56*x^7 + 137*x^6 - x^5 - 112*x^4 - 39*x^3 + 21*x^2 + 9*x, -x^11 - 5*x^10 + x^9 + 34*x^8 + 21*x^7 - 77*x^6 - 60*x^5 + 61*x^4 + 51*x^3 - 12*x^2 - 9*x, x^11 + 5*x^10 - x^9 - 34*x^8 - 21*x^7 + 77*x^6 + 60*x^5 - 61*x^4 - 51*x^3 + 12*x^2 + 9*x]>,
         rec<Eigen |
           DefiningPolynomial := x^23 - 4*x^22 - 26*x^21 + 117*x^20 + 268*x^19 - 1447*x^18 - 1325*x^17 + 9859*x^16 + 2497*x^15 - 40388*x^14 + 4836*x^13 + 101760*x^12 - 34790*x^11 - 154579*x^10 + 72287*x^9 + 132753*x^8 - 68227*x^7 - 57242*x^6 + 26996*x^5 + 11011*x^4 - 4109*x^3 - 660*x^2 + 172*x - 8,
           Coordinates        := [-x^22 + 4*x^21 + 22*x^20 - 103*x^19 - 178*x^18 + 1101*x^17 + 533*x^16 - 6331*x^15 + 827*x^14 + 21182*x^13 - 10568*x^12 - 41480*x^11 + 31304*x^10 + 44937*x^9 - 43699*x^8 - 22877*x^7 + 28855*x^6 + 3132*x^5 - 7582*x^4 + 343*x^3 + 631*x^2 - 52*x, x^22 - 4*x^21 - 23*x^20 + 105*x^19 + 205*x^18 - 1156*x^17 - 828*x^16 + 6941*x^15 + 861*x^14 - 24721*x^13 + 5109*x^12 + 53123*x^11 - 21365*x^10 - 66832*x^9 + 34416*x^8 + 45199*x^7 - 25693*x^6 - 13869*x^5 + 7911*x^4 + 1534*x^3 - 844*x^2 + 10*x + 4, x^20 - 4*x^19 - 19*x^18 + 91*x^17 + 127*x^16 - 850*x^15 - 252*x^14 + 4215*x^13 - 1033*x^12 - 11891*x^11 + 6799*x^10 + 18691*x^9 - 15051*x^8 - 14280*x^7 + 14654*x^6 + 3173*x^5 - 4927*x^4 + 173*x^3 + 511*x^2 - 88*x + 4, -x^21 + 3*x^20 + 25*x^19 - 78*x^18 - 256*x^17 + 845*x^16 + 1378*x^15 - 4953*x^14 - 4126*x^13 + 17056*x^12 + 6488*x^11 - 34992*x^10 - 3688*x^9 + 41249*x^8 - 2450*x^7 - 25327*x^6 + 3528*x^5 + 6660*x^4 - 922*x^3 - 579*x^2 + 52*x, x^21 - 4*x^20 - 21*x^19 + 97*x^18 + 167*x^17 - 976*x^16 - 572*x^15 + 5295*x^14 + 285*x^13 - 16823*x^12 + 3889*x^11 + 31743*x^10 - 12247*x^9 - 34290*x^8 + 15718*x^7 + 19243*x^6 - 9159*x^5 - 4707*x^4 + 2365*x^3 + 316*x^2 - 228*x + 16, x^20 - 4*x^19 - 19*x^18 + 89*x^17 + 129*x^16 - 796*x^15 - 324*x^14 + 3683*x^13 - 187*x^12 - 9489*x^11 + 2319*x^10 + 13851*x^9 - 3647*x^8 - 11676*x^7 + 1880*x^6 + 5989*x^5 - 619*x^4 - 1391*x^3 + 105*x^2 + 94*x - 8, -x^21 + 4*x^20 + 20*x^19 - 95*x^18 - 140*x^17 + 919*x^16 + 284*x^15 - 4650*x^14 + 1260*x^13 + 13084*x^12 - 8231*x^11 - 19829*x^10 + 17982*x^9 + 13689*x^8 - 17236*x^7 - 1728*x^6 + 6179*x^5 - 983*x^4 - 817*x^3 + 223*x^2 + 34*x - 4, -x^21 + 4*x^20 + 20*x^19 - 95*x^18 - 140*x^17 + 919*x^16 + 284*x^15 - 4650*x^14 + 1260*x^13 + 13084*x^12 - 8231*x^11 - 19829*x^10 + 17982*x^9 + 13689*x^8 - 17236*x^7 - 1728*x^6 + 6179*x^5 - 983*x^4 - 817*x^3 + 223*x^2 + 34*x - 4, -x^20 + 4*x^19 + 20*x^18 - 96*x^17 - 140*x^16 + 944*x^15 + 282*x^14 - 4902*x^13 + 1292*x^12 + 14402*x^11 - 8418*x^10 - 23666*x^9 + 18481*x^8 + 19857*x^7 - 17843*x^6 - 6770*x^5 + 6432*x^4 + 739*x^3 - 741*x^2 + 8*x + 4, -x^20 + 4*x^19 + 20*x^18 - 96*x^17 - 140*x^16 + 944*x^15 + 282*x^14 - 4902*x^13 + 1292*x^12 + 14402*x^11 - 8418*x^10 - 23666*x^9 + 18481*x^8 + 19857*x^7 - 17843*x^6 - 6770*x^5 + 6432*x^4 + 739*x^3 - 741*x^2 + 8*x + 4, -x^20 + 4*x^19 + 18*x^18 - 86*x^17 - 109*x^16 + 737*x^15 + 151*x^14 - 3196*x^13 + 1045*x^12 + 7249*x^11 - 4904*x^10 - 7582*x^9 + 7982*x^8 + 1292*x^7 - 4833*x^6 + 2655*x^5 + 333*x^4 - 859*x^3 + 144*x^2 + 40*x - 4, -x^20 + 4*x^19 + 18*x^18 - 86*x^17 - 109*x^16 + 737*x^15 + 151*x^14 - 3196*x^13 + 1045*x^12 + 7249*x^11 - 4904*x^10 - 7582*x^9 + 7982*x^8 + 1292*x^7 - 4833*x^6 + 2655*x^5 + 333*x^4 - 859*x^3 + 144*x^2 + 40*x - 4, x^20 - 4*x^19 - 21*x^18 + 96*x^17 + 165*x^16 - 946*x^15 - 534*x^14 + 4934*x^13 + 26*x^12 - 14589*x^11 + 4581*x^10 + 24165*x^9 - 12313*x^8 - 20464*x^7 + 12801*x^6 + 7023*x^5 - 4710*x^4 - 663*x^3 + 526*x^2 - 38*x, x^20 - 4*x^19 - 21*x^18 + 96*x^17 + 165*x^16 - 946*x^15 - 534*x^14 + 4934*x^13 + 26*x^12 - 14589*x^11 + 4581*x^10 + 24165*x^9 - 12313*x^8 - 20464*x^7 + 12801*x^6 + 7023*x^5 - 4710*x^4 - 663*x^3 + 526*x^2 - 38*x, -x^19 + 4*x^18 + 18*x^17 - 85*x^16 - 114*x^15 + 727*x^14 + 238*x^13 - 3215*x^12 + 480*x^11 + 7809*x^10 - 3218*x^9 - 10059*x^8 + 5753*x^7 + 5838*x^6 - 4049*x^5 - 849*x^4 + 867*x^3 - 34*x^2 - 50*x + 4, -x^19 + 4*x^18 + 18*x^17 - 85*x^16 - 114*x^15 + 727*x^14 + 238*x^13 - 3215*x^12 + 480*x^11 + 7809*x^10 - 3218*x^9 - 10059*x^8 + 5753*x^7 + 5838*x^6 - 4049*x^5 - 849*x^4 + 867*x^3 - 34*x^2 - 50*x + 4, -x^19 + 5*x^18 + 13*x^17 - 97*x^16 - 19*x^15 + 727*x^14 - 453*x^13 - 2620*x^12 + 2847*x^11 + 4438*x^10 - 6782*x^9 - 2338*x^8 + 6650*x^7 - 1455*x^6 - 1797*x^5 + 973*x^4 + 94*x^3 - 149*x^2 + 12*x, -x^19 + 5*x^18 + 13*x^17 - 97*x^16 - 19*x^15 + 727*x^14 - 453*x^13 - 2620*x^12 + 2847*x^11 + 4438*x^10 - 6782*x^9 - 2338*x^8 + 6650*x^7 - 1455*x^6 - 1797*x^5 + 973*x^4 + 94*x^3 - 149*x^2 + 12*x, x^21 - 4*x^20 - 21*x^19 + 97*x^18 + 165*x^17 - 971*x^16 - 532*x^15 + 5186*x^14 - 6*x^13 - 15907*x^12 + 4768*x^11 + 28002*x^10 - 12812*x^9 - 26632*x^8 + 13408*x^7 + 12065*x^6 - 4963*x^5 - 2385*x^4 + 450*x^3 + 177*x^2 + 30*x - 4, x^21 - 4*x^20 - 21*x^19 + 97*x^18 + 165*x^17 - 971*x^16 - 532*x^15 + 5186*x^14 - 6*x^13 - 15907*x^12 + 4768*x^11 + 28002*x^10 - 12812*x^9 - 26632*x^8 + 13408*x^7 + 12065*x^6 - 4963*x^5 - 2385*x^4 + 450*x^3 + 177*x^2 + 30*x - 4, x^17 - 4*x^16 - 14*x^15 + 73*x^14 + 46*x^13 - 502*x^12 + 171*x^11 + 1602*x^10 - 1424*x^9 - 2258*x^8 + 3269*x^7 + 673*x^6 - 2826*x^5 + 991*x^4 + 473*x^3 - 283*x^2 + 20*x, x^17 - 4*x^16 - 14*x^15 + 73*x^14 + 46*x^13 - 502*x^12 + 171*x^11 + 1602*x^10 - 1424*x^9 - 2258*x^8 + 3269*x^7 + 673*x^6 - 2826*x^5 + 991*x^4 + 473*x^3 - 283*x^2 + 20*x, -x^16 + 4*x^15 + 14*x^14 - 65*x^13 - 63*x^12 + 389*x^11 + 84*x^10 - 1053*x^9 + 29*x^8 + 1277*x^7 + 111*x^6 - 678*x^5 - 457*x^4 + 352*x^3 + 89*x^2 - 56*x + 4, -x^16 + 4*x^15 + 14*x^14 - 65*x^13 - 63*x^12 + 389*x^11 + 84*x^10 - 1053*x^9 + 29*x^8 + 1277*x^7 + 111*x^6 - 678*x^5 - 457*x^4 + 352*x^3 + 89*x^2 - 56*x + 4, x^17 - 4*x^16 - 14*x^15 + 74*x^14 + 49*x^13 - 535*x^12 + 154*x^11 + 1897*x^10 - 1491*x^9 - 3301*x^8 + 3772*x^7 + 2279*x^6 - 3653*x^5 - 54*x^4 + 928*x^3 - 84*x^2 - 46*x + 4, x^17 - 4*x^16 - 14*x^15 + 74*x^14 + 49*x^13 - 535*x^12 + 154*x^11 + 1897*x^10 - 1491*x^9 - 3301*x^8 + 3772*x^7 + 2279*x^6 - 3653*x^5 - 54*x^4 + 928*x^3 - 84*x^2 - 46*x + 4, x^19 - 5*x^18 - 12*x^17 + 94*x^16 + 4*x^15 - 678*x^14 + 527*x^13 + 2337*x^12 - 2965*x^11 - 3775*x^10 + 6735*x^9 + 1969*x^8 - 6519*x^7 + 757*x^6 + 1971*x^5 - 185*x^4 - 218*x^3 - 48*x^2 + 6*x, x^19 - 5*x^18 - 12*x^17 + 94*x^16 + 4*x^15 - 678*x^14 + 527*x^13 + 2337*x^12 - 2965*x^11 - 3775*x^10 + 6735*x^9 + 1969*x^8 - 6519*x^7 + 757*x^6 + 1971*x^5 - 185*x^4 - 218*x^3 - 48*x^2 + 6*x, x^20 - 4*x^19 - 19*x^18 + 89*x^17 + 131*x^16 - 809*x^15 - 333*x^14 + 3880*x^13 - 367*x^12 - 10532*x^11 + 3972*x^10 + 16035*x^9 - 8695*x^8 - 12670*x^7 + 7929*x^6 + 4461*x^5 - 2751*x^4 - 694*x^3 + 348*x^2 + 24*x - 4, x^20 - 4*x^19 - 19*x^18 + 89*x^17 + 131*x^16 - 809*x^15 - 333*x^14 + 3880*x^13 - 367*x^12 - 10532*x^11 + 3972*x^10 + 16035*x^9 - 8695*x^8 - 12670*x^7 + 7929*x^6 + 4461*x^5 - 2751*x^4 - 694*x^3 + 348*x^2 + 24*x - 4, x^19 - 3*x^18 - 22*x^17 + 68*x^16 + 195*x^15 - 628*x^14 - 888*x^13 + 3038*x^12 + 2169*x^11 - 8192*x^10 - 2618*x^9 + 11993*x^8 + 1040*x^7 - 8361*x^6 + 241*x^5 + 1876*x^4 + 116*x^3 - 105*x^2 - 40*x + 4, x^19 - 3*x^18 - 22*x^17 + 68*x^16 + 195*x^15 - 628*x^14 - 888*x^13 + 3038*x^12 + 2169*x^11 - 8192*x^10 - 2618*x^9 + 11993*x^8 + 1040*x^7 - 8361*x^6 + 241*x^5 + 1876*x^4 + 116*x^3 - 105*x^2 - 40*x + 4, 3*x^16 - 8*x^15 - 53*x^14 + 148*x^13 + 348*x^12 - 1047*x^11 - 1041*x^10 + 3578*x^9 + 1335*x^8 - 6120*x^7 - 303*x^6 + 4799*x^5 - 554*x^4 - 1266*x^3 + 159*x^2 + 90*x - 8, 3*x^16 - 8*x^15 - 53*x^14 + 148*x^13 + 348*x^12 - 1047*x^11 - 1041*x^10 + 3578*x^9 + 1335*x^8 - 6120*x^7 - 303*x^6 + 4799*x^5 - 554*x^4 - 1266*x^3 + 159*x^2 + 90*x - 8, x^19 - 4*x^18 - 19*x^17 + 90*x^16 + 124*x^15 - 806*x^14 - 236*x^13 + 3667*x^12 - 785*x^11 - 8946*x^10 + 4300*x^9 + 11307*x^8 - 6919*x^7 - 6627*x^6 + 4270*x^5 + 1658*x^4 - 1130*x^3 - 111*x^2 + 110*x - 8, x^19 - 4*x^18 - 19*x^17 + 90*x^16 + 124*x^15 - 806*x^14 - 236*x^13 + 3667*x^12 - 785*x^11 - 8946*x^10 + 4300*x^9 + 11307*x^8 - 6919*x^7 - 6627*x^6 + 4270*x^5 + 1658*x^4 - 1130*x^3 - 111*x^2 + 110*x - 8, 2*x^17 - 7*x^16 - 31*x^15 + 128*x^14 + 154*x^13 - 893*x^12 - 165*x^11 + 3017*x^10 - 819*x^9 - 5197*x^8 + 2548*x^7 + 4429*x^6 - 2527*x^5 - 1703*x^4 + 952*x^3 + 214*x^2 - 118*x + 8, 2*x^17 - 7*x^16 - 31*x^15 + 128*x^14 + 154*x^13 - 893*x^12 - 165*x^11 + 3017*x^10 - 819*x^9 - 5197*x^8 + 2548*x^7 + 4429*x^6 - 2527*x^5 - 1703*x^4 + 952*x^3 + 214*x^2 - 118*x + 8, 2*x^18 - 8*x^17 - 30*x^16 + 150*x^15 + 133*x^14 - 1090*x^13 + 22*x^12 + 3910*x^11 - 1675*x^10 - 7284*x^9 + 4514*x^8 + 6777*x^7 - 4503*x^6 - 2849*x^5 + 1560*x^4 + 552*x^3 - 193*x^2 - 36*x + 4, 2*x^18 - 8*x^17 - 30*x^16 + 150*x^15 + 133*x^14 - 1090*x^13 + 22*x^12 + 3910*x^11 - 1675*x^10 - 7284*x^9 + 4514*x^8 + 6777*x^7 - 4503*x^6 - 2849*x^5 + 1560*x^4 + 552*x^3 - 193*x^2 - 36*x + 4, x^19 - 3*x^18 - 20*x^17 + 63*x^16 + 160*x^15 - 540*x^14 - 659*x^13 + 2466*x^12 + 1455*x^11 - 6526*x^10 - 1402*x^9 + 10005*x^8 - 532*x^7 - 8035*x^6 + 2116*x^5 + 2440*x^4 - 927*x^3 - 202*x^2 + 116*x - 8, x^19 - 3*x^18 - 20*x^17 + 63*x^16 + 160*x^15 - 540*x^14 - 659*x^13 + 2466*x^12 + 1455*x^11 - 6526*x^10 - 1402*x^9 + 10005*x^8 - 532*x^7 - 8035*x^6 + 2116*x^5 + 2440*x^4 - 927*x^3 - 202*x^2 + 116*x - 8]>
       ]
>;

MOG[503] := 	// J_0(503)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 8, 19, 68, 113, 146, 179, 192, 219, 257, 258, 283, 290, 353, 408, 430, 432, 447, 455, 467, 483, 114*x + 393, 389*x + 393, 452*x + 401, 51*x + 401, 8*x + 141, 495*x + 141, 165*x + 15, 338*x + 15, 413*x + 311, 90*x + 311, 238*x + 292, 265*x + 292, 174*x + 98, 329*x + 98, 80*x + 95, 423*x + 95, 478*x + 466, 25*x + 466, 362*x + 149, 141*x + 149, 133*x + 66, 370*x + 66]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, -1, 1, -1, -2, 2, 0, 0, -1, 1, -1, 1, -1, 1, -1, 1, -1, 1, 0, 0, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x - 3,
           Coordinates        := [1, -1, -1, -1, -1, 1, 1, 1, 0, 1, -1, 0, 2, -1, 0, -1, 0, 1, -2, 0, -1, 0, 0, 1, 1, 1, 1, 0, 0, 1, 1, -1, -1, 0, 0, -1, -1, 0, 0, -1, -1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [1, -1, -1, 3, -1, -1, -1, -3, 0, -3, -1, 0, 0, 1, 2, -1, -2, -3, -2, 2, 3, 1, 1, 2, 2, -1, -1, 0, 0, 0, 0, 0, 0, 1, 1, -2, -2, 1, 1, 1, 1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 - 5*x + 3,
           Coordinates        := [x - 1, x - 2, -1, -x + 1, -x^2 + x + 2, -1, x^2 - x, -x^2 + 2, -1, x^2 - 2, x - 1, -x + 1, 1, 0, x, -x + 1, -x^2 + 2, 0, x^2 + x - 2, x - 1, -x + 2, -x + 1, -x + 1, x - 1, x - 1, 0, 0, 1, 1, -x + 1, -x + 1, 0, 0, -1, -1, 0, 0, -1, -1, 0, 0, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^10 + 4*x^9 - 4*x^8 - 31*x^7 - 13*x^6 + 66*x^5 + 56*x^4 - 37*x^3 - 46*x^2 - 8*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x^9 + 3*x^8 - 7*x^7 - 25*x^6 + 9*x^5 + 61*x^4 + 12*x^3 - 45*x^2 - 19*x, -x^9 - 3*x^8 + 7*x^7 + 25*x^6 - 9*x^5 - 61*x^4 - 12*x^3 + 45*x^2 + 19*x, -x^9 - 3*x^8 + 6*x^7 + 22*x^6 - 5*x^5 - 44*x^4 - 8*x^3 + 27*x^2 + 8*x - 1, x^9 + 3*x^8 - 6*x^7 - 22*x^6 + 5*x^5 + 44*x^4 + 8*x^3 - 27*x^2 - 8*x + 1, 2*x^4 + 3*x^3 - 3*x^2 - 4*x, -2*x^4 - 3*x^3 + 3*x^2 + 4*x, -x^8 - 2*x^7 + 7*x^6 + 13*x^5 - 13*x^4 - 22*x^3 + 7*x^2 + 10*x + 1, x^8 + 2*x^7 - 7*x^6 - 13*x^5 + 13*x^4 + 22*x^3 - 7*x^2 - 10*x - 1, -x^5 - 2*x^4 + 3*x^3 + 5*x^2 - 3*x - 3, x^5 + 2*x^4 - 3*x^3 - 5*x^2 + 3*x + 3, x^5 + x^4 - 2*x^3 - 2*x^2 + 1, -x^5 - x^4 + 2*x^3 + 2*x^2 - 1, x^5 + 2*x^4 - x^3 - 2*x^2 - 1, -x^5 - 2*x^4 + x^3 + 2*x^2 + 1, -x^7 - 2*x^6 + 5*x^5 + 9*x^4 - 7*x^3 - 10*x^2 + 3*x + 2, x^7 + 2*x^6 - 5*x^5 - 9*x^4 + 7*x^3 + 10*x^2 - 3*x - 2, -x^6 - 2*x^5 + 3*x^4 + 5*x^3 - 3*x^2 - 3*x, x^6 + 2*x^5 - 3*x^4 - 5*x^3 + 3*x^2 + 3*x, x^6 + 2*x^5 - 3*x^4 - 7*x^3 + x^2 + 5*x + 1, -x^6 - 2*x^5 + 3*x^4 + 7*x^3 - x^2 - 5*x - 1, x^5 + x^4 - 4*x^3 - 3*x^2 + 4*x + 1, -x^5 - x^4 + 4*x^3 + 3*x^2 - 4*x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^26 - 4*x^25 - 36*x^24 + 154*x^23 + 554*x^22 - 2577*x^21 - 4772*x^20 + 24652*x^19 + 25321*x^18 - 149131*x^17 - 86017*x^16 + 595540*x^15 + 189834*x^14 - 1589003*x^13 - 278156*x^12 + 2799707*x^11 + 297701*x^10 - 3137915*x^9 - 283355*x^8 + 2081504*x^7 + 236065*x^6 - 725019*x^5 - 120174*x^4 + 115872*x^3 + 24760*x^2 - 6437*x - 1583,
           Coordinates        := [-1/2*x^25 + 2*x^24 + 37/2*x^23 - 163/2*x^22 - 555/2*x^21 + 1405*x^20 + 2154*x^19 - 13510*x^18 - 8821*x^17 + 160547/2*x^16 + 13770*x^15 - 615783/2*x^14 + 65241/2*x^13 + 771665*x^12 - 201368*x^11 - 2496569/2*x^10 + 830985/2*x^9 + 2507199/2*x^8 - 861039/2*x^7 - 726338*x^6 + 446055/2*x^5 + 218728*x^4 - 50722*x^3 - 33360*x^2 + 7421/2*x + 1928, 2*x^25 - 21/2*x^24 - 115/2*x^23 + 735/2*x^22 + 1271/2*x^21 - 11149/2*x^20 - 5849/2*x^19 + 96309/2*x^18 - 1695*x^17 - 523385/2*x^16 + 85614*x^15 + 932433*x^14 - 442508*x^13 - 2201122*x^12 + 1163417*x^11 + 3398082*x^10 - 3494199/2*x^9 - 6612285/2*x^8 + 1478054*x^7 + 1897865*x^6 - 649286*x^5 - 585314*x^4 + 127512*x^3 + 88823*x^2 - 16357/2*x - 4884, -3*x^25 + 14*x^24 + 183/2*x^23 - 983/2*x^22 - 2259/2*x^21 + 14935/2*x^20 + 13901/2*x^19 - 129025/2*x^18 - 37327/2*x^17 + 350114*x^16 - 37021/2*x^15 - 1244394*x^14 + 292975*x^13 + 2928649*x^12 - 924851*x^11 - 4507991*x^10 + 1445479*x^9 + 8742947/2*x^8 - 2313681/2*x^7 - 2481991*x^6 + 401994*x^5 + 723611*x^4 - 31801*x^3 - 88621*x^2 - 2495*x + 5835/2, 1/2*x^25 - 55/2*x^23 + 39/2*x^22 + 1185/2*x^21 - 616*x^20 - 6916*x^19 + 8336*x^18 + 49525*x^17 - 126455/2*x^16 - 230015*x^15 + 589361/2*x^14 + 1413491/2*x^13 - 868474*x^12 - 1428050*x^11 + 3202293/2*x^10 + 3679133/2*x^9 - 3509025/2*x^8 - 2845433/2*x^7 + 1019515*x^6 + 1213023/2*x^5 - 244942*x^4 - 135696*x^3 + 14832*x^2 + 23551/2*x + 1040, 3/2*x^23 - 13/2*x^22 - 35*x^21 + 351/2*x^20 + 302*x^19 - 3833/2*x^18 - 2161/2*x^17 + 21501/2*x^16 + 1227/2*x^15 - 31595*x^14 + 8401/2*x^13 + 37696*x^12 + 5030*x^11 + 62827/2*x^10 - 71575*x^9 - 140242*x^8 + 309129/2*x^7 + 274735/2*x^6 - 261211/2*x^5 - 46294*x^4 + 81489/2*x^3 + 19933/2*x^2 - 7489/2*x - 900, x^25 - 2*x^24 - 39*x^23 + 74*x^22 + 666*x^21 - 2359/2*x^20 - 6566*x^19 + 10625*x^18 + 41458*x^17 - 59606*x^16 - 351159/2*x^15 + 216070*x^14 + 1013691/2*x^13 - 1014107/2*x^12 - 1981799/2*x^11 + 1494169/2*x^10 + 1274088*x^9 - 1278445/2*x^8 - 2031949/2*x^7 + 526485/2*x^6 + 454598*x^5 - 22251*x^4 - 98353*x^3 - 20085/2*x^2 + 15103/2*x + 1457, 1/2*x^24 - 9/2*x^23 - 1/2*x^22 + 233/2*x^21 - 232*x^20 - 1184*x^19 + 7679/2*x^18 + 5708*x^17 - 58477/2*x^16 - 20243/2*x^15 + 255075/2*x^14 - 45673/2*x^13 - 340446*x^12 + 151569*x^11 + 564343*x^10 - 315358*x^9 - 572197*x^8 + 314414*x^7 + 341060*x^6 - 287563/2*x^5 - 110809*x^4 + 24576*x^3 + 32181/2*x^2 - 2581/2*x - 1583/2, 1/2*x^24 - 53/2*x^22 + 39/2*x^21 + 1085/2*x^20 - 577*x^19 - 5980*x^18 + 7299*x^17 + 40326*x^16 - 103443/2*x^15 - 176098*x^14 + 450607/2*x^13 + 1015621/2*x^12 - 621405*x^11 - 959551*x^10 + 2150007/2*x^9 + 2295257/2*x^8 - 2225055/2*x^7 - 1625459/2*x^6 + 621467*x^5 + 618997/2*x^4 - 152352*x^3 - 59678*x^2 + 13211*x + 9251/2, -6*x^21 + 22*x^20 + 163*x^19 - 635*x^18 - 1829*x^17 + 7681*x^16 + 11025*x^15 - 50749*x^14 - 38900*x^13 + 199646*x^12 + 82533*x^11 - 476813*x^10 - 106596*x^9 + 672893*x^8 + 89918*x^7 - 517346*x^6 - 60981*x^5 + 182808*x^4 + 32474*x^3 - 21775*x^2 - 4884*x + 135, -9/2*x^22 + 26*x^21 + 84*x^20 - 716*x^19 - 305*x^18 + 16403/2*x^17 - 4172*x^16 - 101847/2*x^15 + 99905/2*x^14 + 374087/2*x^13 - 475231/2*x^12 - 416439*x^11 + 1217819/2*x^10 + 1112189/2*x^9 - 1739685/2*x^8 - 433962*x^7 + 646939*x^6 + 200378*x^5 - 412089/2*x^4 - 119321/2*x^3 + 21735*x^2 + 7426*x + 281, 3/2*x^23 - 2*x^22 - 66*x^21 + 109*x^20 + 1151*x^19 - 4199/2*x^18 - 10728*x^17 + 41089/2*x^16 + 119675/2*x^15 - 232433/2*x^14 - 419365/2*x^13 + 398534*x^12 + 936175/2*x^11 - 1655963/2*x^10 - 1313375/2*x^9 + 993152*x^8 + 553458*x^7 - 607038*x^6 - 515339/2*x^5 + 278673/2*x^4 + 60485*x^3 - 7133*x^2 - 5138*x - 557, -6*x^22 + 28*x^21 + 141*x^20 - 798*x^19 - 1194*x^18 + 9510*x^17 + 3344*x^16 - 61774*x^15 + 11849*x^14 + 238546*x^13 - 117113*x^12 - 559346*x^11 + 370217*x^10 + 779489*x^9 - 582975*x^8 - 607264*x^7 + 456365*x^6 + 243789*x^5 - 150334*x^4 - 54249*x^3 + 16891*x^2 + 5019*x - 135, -6*x^20 + 33*x^19 + 106*x^18 - 832*x^17 - 433*x^16 + 8568*x^15 - 2710*x^14 - 47068*x^13 + 31312*x^12 + 150909*x^11 - 117694*x^10 - 290265*x^9 + 209499*x^8 + 330695*x^7 - 167268*x^6 - 208237*x^5 + 37933*x^4 + 59450*x^3 + 3192*x^2 - 5277*x - 905, 1/2*x^24 - 51/2*x^22 + 35/2*x^21 + 502*x^20 - 977/2*x^19 - 5310*x^18 + 5734*x^17 + 34360*x^16 - 36982*x^15 - 289013/2*x^14 + 143232*x^13 + 808679/2*x^12 - 340719*x^11 - 747815*x^10 + 486541*x^9 + 877475*x^8 - 773527/2*x^7 - 1193313/2*x^6 + 290773/2*x^5 + 400413/2*x^4 - 18264*x^3 - 59499/2*x^2 - 774*x + 1050, -6*x^21 + 29*x^20 + 130*x^19 - 790*x^18 - 949*x^17 + 8938*x^16 + 1324*x^15 - 54794*x^14 + 18794*x^13 + 198668*x^12 - 119539*x^11 - 435252*x^10 + 319500*x^9 + 562633*x^8 - 439733*x^7 - 398722*x^6 + 302939*x^5 + 138506*x^4 - 90714*x^3 - 28665*x^2 + 9780*x + 2926, 3/2*x^22 - 13/2*x^21 - 31*x^20 + 325/2*x^19 + 193*x^18 - 3133/2*x^17 + 405/2*x^16 + 13675/2*x^15 - 16417/2*x^14 - 7726*x^13 + 88225/2*x^12 - 49332*x^11 - 118136*x^10 + 449199/2*x^9 + 180936*x^8 - 390734*x^7 - 327427/2*x^6 + 607831/2*x^5 + 170461/2*x^4 - 85401*x^3 - 45423/2*x^2 + 15199/2*x + 4245/2, -6*x^23 + 28*x^22 + 159*x^21 - 871*x^20 - 1650*x^19 + 11570*x^18 + 7951*x^17 - 86074*x^16 - 11525*x^15 + 394838*x^14 - 58107*x^13 - 1157306*x^12 + 324690*x^11 + 2168367*x^10 - 689283*x^9 - 2515683*x^8 + 716262*x^7 + 1677203*x^6 - 331311*x^5 - 558371*x^4 + 42657*x^3 + 77234*x^2 - 147*x - 3196, 1/2*x^23 - 49/2*x^21 + 37/2*x^20 + 455*x^19 - 1005/2*x^18 - 4437*x^17 + 5701*x^16 + 25671*x^15 - 35232*x^14 - 185447/2*x^13 + 129221*x^12 + 424295/2*x^11 - 286624*x^10 - 305404*x^9 + 374597*x^8 + 272602*x^7 - 534181/2*x^6 - 297271/2*x^5 + 174683/2*x^4 + 90923/2*x^3 - 8473*x^2 - 11175/2*x - 483, x^21 - 5*x^20 - 25*x^19 + 139*x^18 + 260*x^17 - 1587*x^16 - 1588*x^15 + 9655*x^14 + 7190*x^13 - 33738*x^12 - 26815*x^11 + 66977*x^10 + 73409*x^9 - 66257*x^8 - 122153*x^7 + 13842*x^6 + 102954*x^5 + 21687*x^4 - 33866*x^3 - 10303*x^2 + 3184*x + 1040, x^22 - 49*x^20 + 34*x^19 + 911*x^18 - 898*x^17 - 8939*x^16 + 9919*x^15 + 52329*x^14 - 59722*x^13 - 191745*x^12 + 213331*x^11 + 441684*x^10 - 459166*x^9 - 618529*x^8 + 575728*x^7 + 487834*x^6 - 384206*x^5 - 194059*x^4 + 114277*x^3 + 42152*x^2 - 11924*x - 3966, x^24 - 2*x^23 - 36*x^22 + 131/2*x^21 + 565*x^20 - 895*x^19 - 5113*x^18 + 6609*x^17 + 59299/2*x^16 - 28311*x^15 - 230257/2*x^14 + 136517/2*x^13 + 602727/2*x^12 - 141647/2*x^11 - 517782*x^10 - 98967/2*x^9 + 1091651/2*x^8 + 427375/2*x^7 - 307952*x^6 - 206428*x^5 + 66323*x^4 + 141583/2*x^3 + 5753/2*x^2 - 7209*x - 1331, -3*x^24 + 14*x^23 + 165/2*x^22 - 899/2*x^21 - 1791/2*x^20 + 6184*x^19 + 9145/2*x^18 - 47792*x^17 - 14869/2*x^16 + 228306*x^15 - 34978*x^14 - 697926*x^13 + 441803/2*x^12 + 2727713/2*x^11 - 529750*x^10 - 1647586*x^9 + 1299237/2*x^8 + 2284467/2*x^7 - 393838*x^6 - 401080*x^5 + 192991/2*x^4 + 131483/2*x^3 - 8519*x^2 - 8215/2*x + 135/2, -3*x^24 + 14*x^23 + 165/2*x^22 - 899/2*x^21 - 1791/2*x^20 + 6184*x^19 + 9145/2*x^18 - 47792*x^17 - 14869/2*x^16 + 228306*x^15 - 34978*x^14 - 697926*x^13 + 441803/2*x^12 + 2727713/2*x^11 - 529750*x^10 - 1647586*x^9 + 1299237/2*x^8 + 2284467/2*x^7 - 393838*x^6 - 401080*x^5 + 192991/2*x^4 + 131483/2*x^3 - 8519*x^2 - 8215/2*x + 135/2, -3*x^23 + 14*x^22 + 75*x^21 - 825/2*x^20 - 728*x^19 + 10301/2*x^18 + 3278*x^17 - 35734*x^16 - 9885/2*x^15 + 151630*x^14 - 27933/2*x^13 - 814973/2*x^12 + 70411*x^11 + 692038*x^10 - 213155/2*x^9 - 713557*x^8 + 93481/2*x^7 + 403708*x^6 + 51625/2*x^5 - 198997/2*x^4 - 19375*x^3 + 14559/2*x^2 + 5419/2*x + 557/2, -3*x^23 + 14*x^22 + 75*x^21 - 825/2*x^20 - 728*x^19 + 10301/2*x^18 + 3278*x^17 - 35734*x^16 - 9885/2*x^15 + 151630*x^14 - 27933/2*x^13 - 814973/2*x^12 + 70411*x^11 + 692038*x^10 - 213155/2*x^9 - 713557*x^8 + 93481/2*x^7 + 403708*x^6 + 51625/2*x^5 - 198997/2*x^4 - 19375*x^3 + 14559/2*x^2 + 5419/2*x + 557/2, 2*x^20 - 12*x^19 - 21*x^18 + 258*x^17 - 185*x^16 - 2017*x^15 + 3863*x^14 + 6259*x^13 - 47759/2*x^12 + 1845/2*x^11 + 144987/2*x^10 - 110001/2*x^9 - 115969*x^8 + 272465/2*x^7 + 190485/2*x^6 - 132503*x^5 - 39528*x^4 + 46953*x^3 + 11694*x^2 - 10685/2*x - 1463, 2*x^20 - 12*x^19 - 21*x^18 + 258*x^17 - 185*x^16 - 2017*x^15 + 3863*x^14 + 6259*x^13 - 47759/2*x^12 + 1845/2*x^11 + 144987/2*x^10 - 110001/2*x^9 - 115969*x^8 + 272465/2*x^7 + 190485/2*x^6 - 132503*x^5 - 39528*x^4 + 46953*x^3 + 11694*x^2 - 10685/2*x - 1463, -3*x^22 + 11*x^21 + 167/2*x^20 - 635/2*x^19 - 1979/2*x^18 + 7713/2*x^17 + 6664*x^16 - 51505/2*x^15 - 28941*x^14 + 103396*x^13 + 87125*x^12 - 510759/2*x^11 - 185737*x^10 + 755869/2*x^9 + 533929/2*x^8 - 609127/2*x^7 - 454577/2*x^6 + 202407/2*x^5 + 90174*x^4 + 2397/2*x^3 - 21013/2*x^2 - 3040*x - 697/2, -3*x^22 + 11*x^21 + 167/2*x^20 - 635/2*x^19 - 1979/2*x^18 + 7713/2*x^17 + 6664*x^16 - 51505/2*x^15 - 28941*x^14 + 103396*x^13 + 87125*x^12 - 510759/2*x^11 - 185737*x^10 + 755869/2*x^9 + 533929/2*x^8 - 609127/2*x^7 - 454577/2*x^6 + 202407/2*x^5 + 90174*x^4 + 2397/2*x^3 - 21013/2*x^2 - 3040*x - 697/2, 1/2*x^23 - 25*x^21 + 39/2*x^20 + 468*x^19 - 1037/2*x^18 - 9199/2*x^17 + 5753*x^16 + 53917/2*x^15 - 69377/2*x^14 - 198935/2*x^13 + 247069/2*x^12 + 468499/2*x^11 - 526143/2*x^10 - 345969*x^9 + 641985/2*x^8 + 609987/2*x^7 - 199024*x^6 - 297013/2*x^5 + 46295*x^4 + 38009*x^3 - 1621/2*x^2 - 3575*x - 520, 1/2*x^23 - 25*x^21 + 39/2*x^20 + 468*x^19 - 1037/2*x^18 - 9199/2*x^17 + 5753*x^16 + 53917/2*x^15 - 69377/2*x^14 - 198935/2*x^13 + 247069/2*x^12 + 468499/2*x^11 - 526143/2*x^10 - 345969*x^9 + 641985/2*x^8 + 609987/2*x^7 - 199024*x^6 - 297013/2*x^5 + 46295*x^4 + 38009*x^3 - 1621/2*x^2 - 3575*x - 520, 1/2*x^20 + 1/2*x^19 - 23*x^18 + 11/2*x^17 + 745/2*x^16 - 294*x^15 - 5931/2*x^14 + 6465/2*x^13 + 26249/2*x^12 - 33665/2*x^11 - 67799/2*x^10 + 96081/2*x^9 + 103959/2*x^8 - 152627/2*x^7 - 48509*x^6 + 60791*x^5 + 57147/2*x^4 - 16028*x^3 - 7351*x^2 + 1761/2*x + 455, 1/2*x^20 + 1/2*x^19 - 23*x^18 + 11/2*x^17 + 745/2*x^16 - 294*x^15 - 5931/2*x^14 + 6465/2*x^13 + 26249/2*x^12 - 33665/2*x^11 - 67799/2*x^10 + 96081/2*x^9 + 103959/2*x^8 - 152627/2*x^7 - 48509*x^6 + 60791*x^5 + 57147/2*x^4 - 16028*x^3 - 7351*x^2 + 1761/2*x + 455, 2*x^21 - 13/2*x^20 - 109/2*x^19 + 175*x^18 + 1283/2*x^17 - 3913/2*x^16 - 4411*x^15 + 23869/2*x^14 + 19956*x^13 - 43514*x^12 - 61583*x^11 + 96593*x^10 + 252511/2*x^9 - 125246*x^8 - 159139*x^7 + 83274*x^6 + 107918*x^5 - 39107/2*x^4 - 31728*x^3 - 2367/2*x^2 + 5867/2*x + 450, 2*x^21 - 13/2*x^20 - 109/2*x^19 + 175*x^18 + 1283/2*x^17 - 3913/2*x^16 - 4411*x^15 + 23869/2*x^14 + 19956*x^13 - 43514*x^12 - 61583*x^11 + 96593*x^10 + 252511/2*x^9 - 125246*x^8 - 159139*x^7 + 83274*x^6 + 107918*x^5 - 39107/2*x^4 - 31728*x^3 - 2367/2*x^2 + 5867/2*x + 450, -5/2*x^21 + 23/2*x^20 + 56*x^19 - 609/2*x^18 - 941/2*x^17 + 6635/2*x^16 + 1754*x^15 - 19293*x^14 - 4609/2*x^13 + 64982*x^12 - 1537/2*x^11 - 256733/2*x^10 - 8785/2*x^9 + 142029*x^8 + 61069/2*x^7 - 75216*x^6 - 36842*x^5 + 10523*x^4 + 7670*x^3 + 187*x^2 - 18*x + 70, -5/2*x^21 + 23/2*x^20 + 56*x^19 - 609/2*x^18 - 941/2*x^17 + 6635/2*x^16 + 1754*x^15 - 19293*x^14 - 4609/2*x^13 + 64982*x^12 - 1537/2*x^11 - 256733/2*x^10 - 8785/2*x^9 + 142029*x^8 + 61069/2*x^7 - 75216*x^6 - 36842*x^5 + 10523*x^4 + 7670*x^3 + 187*x^2 - 18*x + 70, 1/2*x^22 - 51/2*x^20 + 49/2*x^19 + 939/2*x^18 - 648*x^17 - 8857/2*x^16 + 7114*x^15 + 48603/2*x^14 - 42047*x^13 - 81816*x^12 + 290005/2*x^11 + 171898*x^10 - 294845*x^9 - 224106*x^8 + 675551/2*x^7 + 176389*x^6 - 190966*x^5 - 154861/2*x^4 + 74529/2*x^3 + 13951*x^2 - 1807*x - 1319/2, 1/2*x^22 - 51/2*x^20 + 49/2*x^19 + 939/2*x^18 - 648*x^17 - 8857/2*x^16 + 7114*x^15 + 48603/2*x^14 - 42047*x^13 - 81816*x^12 + 290005/2*x^11 + 171898*x^10 - 294845*x^9 - 224106*x^8 + 675551/2*x^7 + 176389*x^6 - 190966*x^5 - 154861/2*x^4 + 74529/2*x^3 + 13951*x^2 - 1807*x - 1319/2, 1/2*x^21 - 2*x^20 - 23/2*x^19 + 99/2*x^18 + 109*x^17 - 963/2*x^16 - 1309/2*x^15 + 2335*x^14 + 3633*x^13 - 12155/2*x^12 - 35979/2*x^11 + 18893/2*x^10 + 117879/2*x^9 - 12324*x^8 - 108428*x^7 + 28115/2*x^6 + 200571/2*x^5 - 10147/2*x^4 - 38276*x^3 - 6925/2*x^2 + 4917*x + 1008, 1/2*x^21 - 2*x^20 - 23/2*x^19 + 99/2*x^18 + 109*x^17 - 963/2*x^16 - 1309/2*x^15 + 2335*x^14 + 3633*x^13 - 12155/2*x^12 - 35979/2*x^11 + 18893/2*x^10 + 117879/2*x^9 - 12324*x^8 - 108428*x^7 + 28115/2*x^6 + 200571/2*x^5 - 10147/2*x^4 - 38276*x^3 - 6925/2*x^2 + 4917*x + 1008, 1/2*x^22 + 1/2*x^21 - 47/2*x^20 - 7*x^19 + 873/2*x^18 - 33/2*x^17 - 8689/2*x^16 + 875*x^15 + 51783/2*x^14 - 14011/2*x^13 - 96096*x^12 + 54095/2*x^11 + 442411/2*x^10 - 55972*x^9 - 604873/2*x^8 + 119673/2*x^7 + 448021/2*x^6 - 58045/2*x^5 - 154745/2*x^4 + 9791/2*x^3 + 12081*x^2 + 291/2*x - 525, 1/2*x^22 + 1/2*x^21 - 47/2*x^20 - 7*x^19 + 873/2*x^18 - 33/2*x^17 - 8689/2*x^16 + 875*x^15 + 51783/2*x^14 - 14011/2*x^13 - 96096*x^12 + 54095/2*x^11 + 442411/2*x^10 - 55972*x^9 - 604873/2*x^8 + 119673/2*x^7 + 448021/2*x^6 - 58045/2*x^5 - 154745/2*x^4 + 9791/2*x^3 + 12081*x^2 + 291/2*x - 525]>
       ]
>;

MOG[509] := 	// J_0(509)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 8, 23, 30, 46, 138, 151, 183, 188, 191, 278, 329, 365, 415, 508, 8*x + 66, 501*x + 66, 21*x + 497, 488*x + 497, 329*x + 479, 180*x + 479, 307*x + 347, 202*x + 347, 369*x + 405, 140*x + 405, 349*x + 258, 160*x + 258, 32*x + 49, 477*x + 49, 426*x + 26, 83*x + 26, 455*x + 121, 54*x + 121, 37*x + 479, 472*x + 479, 331*x + 462, 178*x + 462, 400*x + 417, 109*x + 417, 202*x + 53, 307*x + 53, 209*x + 229, 300*x + 229]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^14 + 3*x^13 - 11*x^12 - 36*x^11 + 43*x^10 + 161*x^9 - 70*x^8 - 337*x^7 + 29*x^6 + 336*x^5 + 40*x^4 - 139*x^3 - 36*x^2 + 12*x + 3,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^13 - 3*x^12 + 9*x^11 + 30*x^10 - 28*x^9 - 110*x^8 + 33*x^7 + 185*x^6 + 3*x^5 - 143*x^4 - 34*x^3 + 39*x^2 + 18*x + 2, x^13 + 3*x^12 - 9*x^11 - 30*x^10 + 28*x^9 + 110*x^8 - 33*x^7 - 185*x^6 - 3*x^5 + 143*x^4 + 34*x^3 - 39*x^2 - 18*x - 2, -x^12 - 3*x^11 + 8*x^10 + 27*x^9 - 21*x^8 - 85*x^7 + 20*x^6 + 115*x^5 + 2*x^4 - 64*x^3 - 11*x^2 + 10*x + 2, x^12 + 3*x^11 - 8*x^10 - 27*x^9 + 21*x^8 + 85*x^7 - 20*x^6 - 115*x^5 - 2*x^4 + 64*x^3 + 11*x^2 - 10*x - 2, -x^12 - 3*x^11 + 7*x^10 + 24*x^9 - 16*x^8 - 67*x^7 + 12*x^6 + 78*x^5 + 4*x^4 - 36*x^3 - 7*x^2 + 4*x + 1, x^12 + 3*x^11 - 7*x^10 - 24*x^9 + 16*x^8 + 67*x^7 - 12*x^6 - 78*x^5 - 4*x^4 + 36*x^3 + 7*x^2 - 4*x - 1, -x^11 - 3*x^10 + 7*x^9 + 25*x^8 - 13*x^7 - 70*x^6 - x^5 + 79*x^4 + 23*x^3 - 29*x^2 - 16*x - 2, x^11 + 3*x^10 - 7*x^9 - 25*x^8 + 13*x^7 + 70*x^6 + x^5 - 79*x^4 - 23*x^3 + 29*x^2 + 16*x + 2, -x^11 - 3*x^10 + 6*x^9 + 21*x^8 - 12*x^7 - 52*x^6 + 7*x^5 + 53*x^4 + 5*x^3 - 19*x^2 - 5*x, x^11 + 3*x^10 - 6*x^9 - 21*x^8 + 12*x^7 + 52*x^6 - 7*x^5 - 53*x^4 - 5*x^3 + 19*x^2 + 5*x, -x^11 - 3*x^10 + 6*x^9 + 22*x^8 - 9*x^7 - 55*x^6 - 6*x^5 + 54*x^4 + 22*x^3 - 16*x^2 - 12*x - 2, x^11 + 3*x^10 - 6*x^9 - 22*x^8 + 9*x^7 + 55*x^6 + 6*x^5 - 54*x^4 - 22*x^3 + 16*x^2 + 12*x + 2, -x^10 - 2*x^9 + 8*x^8 + 15*x^7 - 21*x^6 - 36*x^5 + 21*x^4 + 35*x^3 - 5*x^2 - 12*x - 2, x^10 + 2*x^9 - 8*x^8 - 15*x^7 + 21*x^6 + 36*x^5 - 21*x^4 - 35*x^3 + 5*x^2 + 12*x + 2, -x^10 - 3*x^9 + 4*x^8 + 15*x^7 - 5*x^6 - 25*x^5 + x^4 + 17*x^3 + 2*x^2 - 4*x - 1, x^10 + 3*x^9 - 4*x^8 - 15*x^7 + 5*x^6 + 25*x^5 - x^4 - 17*x^3 - 2*x^2 + 4*x + 1, -x^10 - 2*x^9 + 7*x^8 + 12*x^7 - 18*x^6 - 24*x^5 + 18*x^4 + 20*x^3 - 5*x^2 - 6*x - 1, x^10 + 2*x^9 - 7*x^8 - 12*x^7 + 18*x^6 + 24*x^5 - 18*x^4 - 20*x^3 + 5*x^2 + 6*x + 1, -x^9 - 2*x^8 + 7*x^7 + 13*x^6 - 14*x^5 - 23*x^4 + 7*x^3 + 12*x^2 + 2*x, x^9 + 2*x^8 - 7*x^7 - 13*x^6 + 14*x^5 + 23*x^4 - 7*x^3 - 12*x^2 - 2*x, -x^9 - 4*x^8 + x^7 + 18*x^6 + 8*x^5 - 25*x^4 - 15*x^3 + 10*x^2 + 7*x + 1, x^9 + 4*x^8 - x^7 - 18*x^6 - 8*x^5 + 25*x^4 + 15*x^3 - 10*x^2 - 7*x - 1, -x^9 - 2*x^8 + 6*x^7 + 9*x^6 - 14*x^5 - 11*x^4 + 12*x^3 + 5*x^2 - 3*x - 1, x^9 + 2*x^8 - 6*x^7 - 9*x^6 + 14*x^5 + 11*x^4 - 12*x^3 - 5*x^2 + 3*x + 1, -x^9 - 3*x^8 + 3*x^7 + 13*x^6 - 16*x^4 - 7*x^3 + 5*x^2 + 5*x + 1, x^9 + 3*x^8 - 3*x^7 - 13*x^6 + 16*x^4 + 7*x^3 - 5*x^2 - 5*x - 1, -x^8 - 2*x^7 + 7*x^6 + 13*x^5 - 14*x^4 - 23*x^3 + 7*x^2 + 12*x + 2, x^8 + 2*x^7 - 7*x^6 - 13*x^5 + 14*x^4 + 23*x^3 - 7*x^2 - 12*x - 2]>,
         rec<Eigen |
           DefiningPolynomial := x^28 - 3*x^27 - 44*x^26 + 135*x^25 + 847*x^24 - 2674*x^23 - 9369*x^22 + 30699*x^21 + 65714*x^20 - 226429*x^19 - 303558*x^18 + 1123948*x^17 + 922806*x^16 - 3822074*x^15 - 1752519*x^14 + 8879314*x^13 + 1675588*x^12 - 13751763*x^11 + 382971*x^10 + 13397267*x^9 - 2958134*x^8 - 7169500*x^7 + 3056380*x^6 + 1305763*x^5 - 1072947*x^4 + 245723*x^3 - 24485*x^2 + 1114*x - 19,
           Coordinates        := [-x^27 + 3*x^26 + 41*x^25 - 126*x^24 - 728*x^23 + 2308*x^22 + 7335*x^21 - 24235*x^20 - 46123*x^19 + 161334*x^18 + 187017*x^17 - 711224*x^16 - 483669*x^15 + 2105392*x^14 + 736152*x^13 - 4149190*x^12 - 446704*x^11 + 5260289*x^10 - 429755*x^9 - 3972936*x^8 + 963705*x^7 + 1493272*x^6 - 595951*x^5 - 141595*x^4 + 99216*x^3 - 16166*x^2 + 1017*x - 22, x^27 - 3*x^26 - 41*x^25 + 126*x^24 + 726*x^23 - 2300*x^22 - 7271*x^21 + 23953*x^20 + 45285*x^19 - 157098*x^18 - 181329*x^17 + 675772*x^16 + 463437*x^15 - 1923898*x^14 - 709586*x^13 + 3562096*x^12 + 506596*x^11 - 4066743*x^10 + 127805*x^9 + 2518354*x^8 - 447199*x^7 - 557022*x^6 + 168657*x^5 - 68509*x^4 + 45106*x^3 - 9320*x^2 + 677*x - 16, 2*x^24 - 6*x^23 - 68*x^22 + 206*x^21 + 980*x^20 - 2988*x^19 - 7866*x^18 + 23912*x^17 + 39056*x^16 - 115830*x^15 - 126798*x^14 + 350992*x^13 + 278300*x^12 - 664090*x^11 - 416568*x^10 + 758304*x^9 + 407964*x^8 - 487684*x^7 - 224906*x^6 + 164850*x^5 + 40564*x^4 - 33626*x^3 + 7406*x^2 - 568*x + 14, 2*x^25 - 6*x^24 - 72*x^23 + 222*x^22 + 1096*x^21 - 3506*x^20 - 9178*x^19 + 30894*x^18 + 45992*x^17 - 166708*x^16 - 139634*x^15 + 568882*x^14 + 241540*x^13 - 1221276*x^12 - 174712*x^11 + 1574998*x^10 - 102224*x^9 - 1075190*x^8 + 254678*x^7 + 248264*x^6 - 100592*x^5 + 43862*x^4 - 24490*x^3 + 4804*x^2 - 342*x + 8, -3*x^26 + 9*x^25 + 119*x^24 - 366*x^23 - 2034*x^22 + 6464*x^21 + 19591*x^20 - 65095*x^19 - 116541*x^18 + 412724*x^17 + 439137*x^16 - 1716682*x^15 - 1016367*x^14 + 4730124*x^13 + 1228884*x^12 - 8491474*x^11 - 46784*x^10 + 9424331*x^9 - 1994429*x^8 - 5676228*x^7 + 2460429*x^6 + 1164168*x^5 - 973731*x^4 + 229557*x^3 - 23468*x^2 + 1092*x - 19, 2*x^22 - 4*x^21 - 70*x^20 + 138*x^19 + 1032*x^18 - 1994*x^17 - 8350*x^16 + 15684*x^15 + 40508*x^14 - 73128*x^13 - 120830*x^12 + 206600*x^11 + 217466*x^10 - 347324*x^9 - 217188*x^8 + 325852*x^7 + 92054*x^6 - 146340*x^5 + 2800*x^4 + 19022*x^3 - 5110*x^2 + 406*x - 10, 2*x^21 - 4*x^20 - 70*x^19 + 150*x^18 + 1002*x^17 - 2316*x^16 - 7526*x^15 + 19114*x^14 + 31456*x^13 - 91654*x^12 - 69776*x^11 + 260414*x^10 + 58674*x^9 - 427818*x^8 + 56034*x^7 + 367550*x^6 - 148606*x^5 - 114150*x^4 + 83386*x^3 - 15996*x^2 + 1120*x - 26, 2*x^21 - 4*x^20 - 66*x^19 + 138*x^18 + 890*x^17 - 1968*x^16 - 6304*x^15 + 15138*x^14 + 24852*x^13 - 68854*x^12 - 50862*x^11 + 190638*x^10 + 29162*x^9 - 314654*x^8 + 79372*x^7 + 280374*x^6 - 151850*x^5 - 93022*x^4 + 76260*x^3 - 15376*x^2 + 1104*x - 26, 4*x^19 - 4*x^18 - 116*x^17 + 122*x^16 + 1352*x^15 - 1482*x^14 - 8104*x^13 + 9208*x^12 + 26536*x^11 - 31446*x^10 - 45996*x^9 + 59176*x^8 + 33960*x^7 - 55862*x^6 + 3840*x^5 + 17152*x^4 - 14236*x^3 + 3258*x^2 - 248*x + 6, 4*x^20 - 12*x^19 - 108*x^18 + 354*x^17 + 1108*x^16 - 4186*x^15 - 5140*x^14 + 25416*x^13 + 8120*x^12 - 84518*x^11 + 16896*x^10 + 151168*x^9 - 84392*x^8 - 123782*x^7 + 115564*x^6 + 9472*x^5 - 48540*x^4 + 31730*x^3 - 6764*x^2 + 502*x - 12, 2*x^22 - 8*x^21 - 58*x^20 + 248*x^19 + 700*x^18 - 3226*x^17 - 4654*x^16 + 23064*x^15 + 19202*x^14 - 99716*x^13 - 52368*x^12 + 268940*x^11 + 94200*x^10 - 445008*x^9 - 99798*x^8 + 420720*x^7 + 40464*x^6 - 192308*x^5 + 12310*x^4 + 26164*x^3 - 5384*x^2 + 362*x - 8, x^26 - 3*x^25 - 37*x^24 + 114*x^23 + 582*x^22 - 1856*x^21 - 5079*x^20 + 16941*x^19 + 26929*x^18 - 95310*x^17 - 89345*x^16 + 342356*x^15 + 184169*x^14 - 786134*x^13 - 226506*x^12 + 1119544*x^11 + 157172*x^10 - 916747*x^9 - 76643*x^8 + 367974*x^7 + 62157*x^6 - 60494*x^5 - 32527*x^4 + 19215*x^3 - 3874*x^2 + 288*x - 7, -4*x^23 + 8*x^22 + 146*x^21 - 282*x^20 - 2286*x^19 + 4236*x^18 + 20104*x^17 - 35488*x^16 - 109098*x^15 + 182394*x^14 + 376792*x^13 - 596276*x^12 - 818230*x^11 + 1242706*x^10 + 1043448*x^9 - 1600468*x^8 - 629874*x^7 + 1162430*x^6 + 5574*x^5 - 354642*x^4 + 121124*x^3 - 14142*x^2 + 688*x - 12, 2*x^23 - 4*x^22 - 78*x^21 + 150*x^20 + 1320*x^19 - 2436*x^18 - 12660*x^17 + 22378*x^16 + 75334*x^15 - 127242*x^14 - 286068*x^13 + 460298*x^12 + 686072*x^11 - 1049822*x^10 - 984186*x^9 + 1445242*x^8 + 722612*x^7 - 1083074*x^6 - 126426*x^5 + 330744*x^4 - 86748*x^3 + 8114*x^2 - 310*x + 4, 2*x^22 - 4*x^21 - 70*x^20 + 138*x^19 + 1028*x^18 - 1982*x^17 - 8238*x^16 + 15336*x^15 + 39286*x^14 - 69152*x^13 - 114226*x^12 + 183800*x^11 + 198552*x^10 - 277548*x^9 - 187676*x^8 + 212688*x^7 + 68716*x^6 - 59164*x^5 + 6044*x^4 - 2106*x^3 + 2016*x^2 - 214*x + 6, -2*x^24 + 6*x^23 + 69*x^22 - 214*x^21 - 1002*x^20 + 3261*x^19 + 7934*x^18 - 27796*x^17 - 36805*x^16 + 145746*x^15 + 97199*x^14 - 486534*x^13 - 110977*x^12 + 1030468*x^11 - 99629*x^10 - 1321958*x^9 + 485297*x^8 + 896152*x^7 - 578428*x^6 - 180108*x^5 + 237883*x^4 - 67633*x^3 + 7415*x^2 - 350*x + 6, -2*x^24 + 6*x^23 + 69*x^22 - 214*x^21 - 1002*x^20 + 3261*x^19 + 7934*x^18 - 27796*x^17 - 36805*x^16 + 145746*x^15 + 97199*x^14 - 486534*x^13 - 110977*x^12 + 1030468*x^11 - 99629*x^10 - 1321958*x^9 + 485297*x^8 + 896152*x^7 - 578428*x^6 - 180108*x^5 + 237883*x^4 - 67633*x^3 + 7415*x^2 - 350*x + 6, -2*x^25 + 6*x^24 + 75*x^23 - 230*x^22 - 1207*x^21 + 3805*x^20 + 10914*x^19 - 35639*x^18 - 60957*x^17 + 208495*x^16 + 217320*x^15 - 793026*x^14 - 489786*x^13 + 1978048*x^12 + 646664*x^11 - 3178268*x^10 - 352582*x^9 + 3121290*x^8 - 215343*x^7 - 1657824*x^6 + 407061*x^5 + 327171*x^4 - 160558*x^3 + 24795*x^2 - 1535*x + 33, -2*x^25 + 6*x^24 + 75*x^23 - 230*x^22 - 1207*x^21 + 3805*x^20 + 10914*x^19 - 35639*x^18 - 60957*x^17 + 208495*x^16 + 217320*x^15 - 793026*x^14 - 489786*x^13 + 1978048*x^12 + 646664*x^11 - 3178268*x^10 - 352582*x^9 + 3121290*x^8 - 215343*x^7 - 1657824*x^6 + 407061*x^5 + 327171*x^4 - 160558*x^3 + 24795*x^2 - 1535*x + 33, -2*x^23 + 8*x^22 + 59*x^21 - 262*x^20 - 694*x^19 + 3607*x^18 + 4048*x^17 - 27261*x^16 - 11023*x^15 + 124098*x^14 + 2017*x^13 - 351304*x^12 + 71937*x^11 + 613604*x^10 - 205569*x^9 - 624670*x^8 + 266789*x^7 + 315286*x^6 - 174752*x^5 - 40162*x^4 + 46849*x^3 - 11003*x^2 + 853*x - 21, -2*x^23 + 8*x^22 + 59*x^21 - 262*x^20 - 694*x^19 + 3607*x^18 + 4048*x^17 - 27261*x^16 - 11023*x^15 + 124098*x^14 + 2017*x^13 - 351304*x^12 + 71937*x^11 + 613604*x^10 - 205569*x^9 - 624670*x^8 + 266789*x^7 + 315286*x^6 - 174752*x^5 - 40162*x^4 + 46849*x^3 - 11003*x^2 + 853*x - 21, x^26 - 3*x^25 - 42*x^24 + 130*x^23 + 758*x^22 - 2445*x^21 - 7675*x^20 + 26195*x^19 + 47650*x^18 - 176433*x^17 - 185012*x^16 + 777910*x^15 + 429382*x^14 - 2265542*x^13 - 471243*x^12 + 4282738*x^11 - 206169*x^10 - 4981083*x^9 + 1293789*x^8 + 3122252*x^7 - 1474940*x^6 - 656889*x^5 + 575290*x^4 - 137129*x^3 + 14518*x^2 - 709*x + 13, x^26 - 3*x^25 - 42*x^24 + 130*x^23 + 758*x^22 - 2445*x^21 - 7675*x^20 + 26195*x^19 + 47650*x^18 - 176433*x^17 - 185012*x^16 + 777910*x^15 + 429382*x^14 - 2265542*x^13 - 471243*x^12 + 4282738*x^11 - 206169*x^10 - 4981083*x^9 + 1293789*x^8 + 3122252*x^7 - 1474940*x^6 - 656889*x^5 + 575290*x^4 - 137129*x^3 + 14518*x^2 - 709*x + 13, -2*x^22 + 10*x^21 + 49*x^20 - 310*x^19 - 395*x^18 + 4003*x^17 + 343*x^16 - 28066*x^15 + 13763*x^14 + 116850*x^13 - 95679*x^12 - 295936*x^11 + 302407*x^10 + 442194*x^9 - 512261*x^8 - 341074*x^7 + 445383*x^6 + 69368*x^5 - 152290*x^4 + 40682*x^3 - 3876*x^2 + 151*x - 2, -2*x^22 + 10*x^21 + 49*x^20 - 310*x^19 - 395*x^18 + 4003*x^17 + 343*x^16 - 28066*x^15 + 13763*x^14 + 116850*x^13 - 95679*x^12 - 295936*x^11 + 302407*x^10 + 442194*x^9 - 512261*x^8 - 341074*x^7 + 445383*x^6 + 69368*x^5 - 152290*x^4 + 40682*x^3 - 3876*x^2 + 151*x - 2, 2*x^23 - 8*x^22 - 58*x^21 + 259*x^20 + 656*x^19 - 3491*x^18 - 3468*x^17 + 25439*x^16 + 6418*x^15 - 108945*x^14 + 18380*x^13 + 278593*x^12 - 120928*x^11 - 408347*x^10 + 255094*x^9 + 293753*x^8 - 239792*x^7 - 41707*x^6 + 70578*x^5 - 38744*x^4 + 15948*x^3 - 2686*x^2 + 178*x - 4, 2*x^23 - 8*x^22 - 58*x^21 + 259*x^20 + 656*x^19 - 3491*x^18 - 3468*x^17 + 25439*x^16 + 6418*x^15 - 108945*x^14 + 18380*x^13 + 278593*x^12 - 120928*x^11 - 408347*x^10 + 255094*x^9 + 293753*x^8 - 239792*x^7 - 41707*x^6 + 70578*x^5 - 38744*x^4 + 15948*x^3 - 2686*x^2 + 178*x - 4, x^25 - 2*x^24 - 43*x^23 + 85*x^22 + 803*x^21 - 1563*x^20 - 8549*x^19 + 16304*x^18 + 57274*x^17 - 106357*x^16 - 251375*x^15 + 451382*x^14 + 728129*x^13 - 1257406*x^12 - 1359429*x^11 + 2263928*x^10 + 1518566*x^9 - 2517392*x^8 - 812398*x^7 + 1557957*x^6 - 428*x^5 - 395791*x^4 + 129970*x^3 - 16184*x^2 + 871*x - 17, x^25 - 2*x^24 - 43*x^23 + 85*x^22 + 803*x^21 - 1563*x^20 - 8549*x^19 + 16304*x^18 + 57274*x^17 - 106357*x^16 - 251375*x^15 + 451382*x^14 + 728129*x^13 - 1257406*x^12 - 1359429*x^11 + 2263928*x^10 + 1518566*x^9 - 2517392*x^8 - 812398*x^7 + 1557957*x^6 - 428*x^5 - 395791*x^4 + 129970*x^3 - 16184*x^2 + 871*x - 17, -2*x^21 + 10*x^20 + 51*x^19 - 304*x^18 - 479*x^17 + 3849*x^16 + 1722*x^15 - 26450*x^14 + 2020*x^13 + 107736*x^12 - 38470*x^11 - 265610*x^10 + 138316*x^9 + 383394*x^8 - 242126*x^7 - 286382*x^6 + 214770*x^5 + 68534*x^4 - 76889*x^3 + 16538*x^2 - 1217*x + 29, -2*x^21 + 10*x^20 + 51*x^19 - 304*x^18 - 479*x^17 + 3849*x^16 + 1722*x^15 - 26450*x^14 + 2020*x^13 + 107736*x^12 - 38470*x^11 - 265610*x^10 + 138316*x^9 + 383394*x^8 - 242126*x^7 - 286382*x^6 + 214770*x^5 + 68534*x^4 - 76889*x^3 + 16538*x^2 - 1217*x + 29, 2*x^22 - 6*x^21 - 62*x^20 + 191*x^19 + 791*x^18 - 2521*x^17 - 5377*x^16 + 17908*x^15 + 21080*x^14 - 74416*x^13 - 47924*x^12 + 183806*x^11 + 58058*x^10 - 258982*x^9 - 23086*x^8 + 179188*x^7 - 19802*x^6 - 28842*x^5 + 15546*x^4 - 15909*x^3 + 3775*x^2 - 289*x + 7, 2*x^22 - 6*x^21 - 62*x^20 + 191*x^19 + 791*x^18 - 2521*x^17 - 5377*x^16 + 17908*x^15 + 21080*x^14 - 74416*x^13 - 47924*x^12 + 183806*x^11 + 58058*x^10 - 258982*x^9 - 23086*x^8 + 179188*x^7 - 19802*x^6 - 28842*x^5 + 15546*x^4 - 15909*x^3 + 3775*x^2 - 289*x + 7, x^24 - 2*x^23 - 40*x^22 + 79*x^21 + 689*x^20 - 1342*x^19 - 6680*x^18 + 12802*x^17 + 39994*x^16 - 75153*x^15 - 152635*x^14 + 280007*x^13 + 369220*x^12 - 659381*x^11 - 539193*x^10 + 945125*x^9 + 411205*x^8 - 751897*x^7 - 83445*x^6 + 261526*x^5 - 49529*x^4 - 9025*x^3 + 2537*x^2 - 179*x + 4, x^24 - 2*x^23 - 40*x^22 + 79*x^21 + 689*x^20 - 1342*x^19 - 6680*x^18 + 12802*x^17 + 39994*x^16 - 75153*x^15 - 152635*x^14 + 280007*x^13 + 369220*x^12 - 659381*x^11 - 539193*x^10 + 945125*x^9 + 411205*x^8 - 751897*x^7 - 83445*x^6 + 261526*x^5 - 49529*x^4 - 9025*x^3 + 2537*x^2 - 179*x + 4, 2*x^20 - 71*x^18 + 13*x^17 + 1023*x^16 - 273*x^15 - 7828*x^14 + 2137*x^13 + 34984*x^12 - 7981*x^11 - 94152*x^10 + 16335*x^9 + 148280*x^8 - 22739*x^7 - 121952*x^6 + 26659*x^5 + 36730*x^4 - 17199*x^3 + 3107*x^2 - 216*x + 5, 2*x^20 - 71*x^18 + 13*x^17 + 1023*x^16 - 273*x^15 - 7828*x^14 + 2137*x^13 + 34984*x^12 - 7981*x^11 - 94152*x^10 + 16335*x^9 + 148280*x^8 - 22739*x^7 - 121952*x^6 + 26659*x^5 + 36730*x^4 - 17199*x^3 + 3107*x^2 - 216*x + 5, 6*x^19 - 13*x^18 - 167*x^17 + 356*x^16 + 1889*x^15 - 3915*x^14 - 11251*x^13 + 22225*x^12 + 38307*x^11 - 69939*x^10 - 75135*x^9 + 121855*x^8 + 77431*x^7 - 108661*x^6 - 27493*x^5 + 38671*x^4 - 6945*x^3 - 448*x^2 + 94*x - 3, 6*x^19 - 13*x^18 - 167*x^17 + 356*x^16 + 1889*x^15 - 3915*x^14 - 11251*x^13 + 22225*x^12 + 38307*x^11 - 69939*x^10 - 75135*x^9 + 121855*x^8 + 77431*x^7 - 108661*x^6 - 27493*x^5 + 38671*x^4 - 6945*x^3 - 448*x^2 + 94*x - 3, 2*x^21 - 6*x^20 - 56*x^19 + 179*x^18 + 612*x^17 - 2154*x^16 - 3246*x^15 + 13449*x^14 + 8112*x^13 - 46863*x^12 - 4820*x^11 + 91307*x^10 - 19198*x^9 - 91479*x^8 + 40802*x^7 + 32667*x^6 - 26190*x^5 + 7289*x^4 + 3736*x^3 - 1378*x^2 + 118*x - 3, 2*x^21 - 6*x^20 - 56*x^19 + 179*x^18 + 612*x^17 - 2154*x^16 - 3246*x^15 + 13449*x^14 + 8112*x^13 - 46863*x^12 - 4820*x^11 + 91307*x^10 - 19198*x^9 - 91479*x^8 + 40802*x^7 + 32667*x^6 - 26190*x^5 + 7289*x^4 + 3736*x^3 - 1378*x^2 + 118*x - 3, x^23 - 2*x^22 - 36*x^21 + 71*x^20 + 549*x^19 - 1066*x^18 - 4620*x^17 + 8826*x^16 + 23406*x^15 - 44133*x^14 - 72841*x^13 + 137727*x^12 + 134164*x^11 - 268981*x^10 - 123175*x^9 + 320253*x^8 + 6341*x^7 - 213357*x^6 + 77325*x^5 + 56022*x^4 - 40685*x^3 + 7891*x^2 - 557*x + 13, x^23 - 2*x^22 - 36*x^21 + 71*x^20 + 549*x^19 - 1066*x^18 - 4620*x^17 + 8826*x^16 + 23406*x^15 - 44133*x^14 - 72841*x^13 + 137727*x^12 + 134164*x^11 - 268981*x^10 - 123175*x^9 + 320253*x^8 + 6341*x^7 - 213357*x^6 + 77325*x^5 + 56022*x^4 - 40685*x^3 + 7891*x^2 - 557*x + 13]>
       ]
>;

MOG[521] := 	// J_0(521)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 29, 104, 148, 150, 204, 232, 272, 306, 337, 339, 381, 437, 443, 468, 471, 22*x + 374, 499*x + 374, 340*x + 310, 181*x + 310, 52*x + 118, 469*x + 118, 265*x + 421, 256*x + 421, 520*x + 507, x + 507, 185*x + 351, 336*x + 351, 215*x + 54, 306*x + 54, 422*x + 120, 99*x + 120, 406*x + 214, 115*x + 214, 421*x + 443, 100*x + 443, 305*x + 108, 216*x + 108, 5*x + 144, 516*x + 144, 14*x + 4, 507*x + 4, 498*x + 112, 23*x + 112]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^14 + 2*x^13 - 13*x^12 - 25*x^11 + 63*x^10 + 115*x^9 - 142*x^8 - 242*x^7 + 151*x^6 + 238*x^5 - 65*x^4 - 104*x^3 + 2*x^2 + 17*x + 3,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^13 - 2*x^12 + 11*x^11 + 21*x^10 - 43*x^9 - 77*x^8 + 73*x^7 + 121*x^6 - 52*x^5 - 82*x^4 + 11*x^3 + 21*x^2 + x - 1, x^13 + 2*x^12 - 11*x^11 - 21*x^10 + 43*x^9 + 77*x^8 - 73*x^7 - 121*x^6 + 52*x^5 + 82*x^4 - 11*x^3 - 21*x^2 - x + 1, -x^12 - 2*x^11 + 10*x^10 + 19*x^9 - 35*x^8 - 62*x^7 + 51*x^6 + 85*x^5 - 26*x^4 - 49*x^3 + 10*x + 2, x^12 + 2*x^11 - 10*x^10 - 19*x^9 + 35*x^8 + 62*x^7 - 51*x^6 - 85*x^5 + 26*x^4 + 49*x^3 - 10*x - 2, -x^12 - 2*x^11 + 10*x^10 + 19*x^9 - 34*x^8 - 59*x^7 + 48*x^6 + 71*x^5 - 28*x^4 - 34*x^3 + 3*x^2 + 6*x + 1, x^12 + 2*x^11 - 10*x^10 - 19*x^9 + 34*x^8 + 59*x^7 - 48*x^6 - 71*x^5 + 28*x^4 + 34*x^3 - 3*x^2 - 6*x - 1, -x^11 - 2*x^10 + 8*x^9 + 15*x^8 - 22*x^7 - 36*x^6 + 26*x^5 + 33*x^4 - 11*x^3 - 11*x^2 + x + 1, x^11 + 2*x^10 - 8*x^9 - 15*x^8 + 22*x^7 + 36*x^6 - 26*x^5 - 33*x^4 + 11*x^3 + 11*x^2 - x - 1, -x^11 - 2*x^10 + 9*x^9 + 18*x^8 - 25*x^7 - 50*x^6 + 24*x^5 + 48*x^4 - 8*x^3 - 15*x^2 + 1, x^11 + 2*x^10 - 9*x^9 - 18*x^8 + 25*x^7 + 50*x^6 - 24*x^5 - 48*x^4 + 8*x^3 + 15*x^2 - 1, -x^10 - 2*x^9 + 6*x^8 + 12*x^7 - 9*x^6 - 19*x^5 + 3*x^4 + 9*x^3 - x, x^10 + 2*x^9 - 6*x^8 - 12*x^7 + 9*x^6 + 19*x^5 - 3*x^4 - 9*x^3 + x, -x^10 - 2*x^9 + 7*x^8 + 14*x^7 - 16*x^6 - 33*x^5 + 12*x^4 + 29*x^3 + x^2 - 8*x - 2, x^10 + 2*x^9 - 7*x^8 - 14*x^7 + 16*x^6 + 33*x^5 - 12*x^4 - 29*x^3 - x^2 + 8*x + 2, -x^10 - x^9 + 9*x^8 + 9*x^7 - 24*x^6 - 23*x^5 + 20*x^4 + 19*x^3 - 3*x^2 - 5*x - 1, x^10 + x^9 - 9*x^8 - 9*x^7 + 24*x^6 + 23*x^5 - 20*x^4 - 19*x^3 + 3*x^2 + 5*x + 1, x^7 + x^6 - 5*x^5 - 2*x^4 + 9*x^3 + 2*x^2 - 3*x - 1, -x^7 - x^6 + 5*x^5 + 2*x^4 - 9*x^3 - 2*x^2 + 3*x + 1, -x^9 - x^8 + 7*x^7 + 5*x^6 - 14*x^5 - 5*x^4 + 8*x^3 + x^2 - x, x^9 + x^8 - 7*x^7 - 5*x^6 + 14*x^5 + 5*x^4 - 8*x^3 - x^2 + x, -x^9 - 2*x^8 + 6*x^7 + 12*x^6 - 9*x^5 - 19*x^4 + 3*x^3 + 9*x^2 - 1, x^9 + 2*x^8 - 6*x^7 - 12*x^6 + 9*x^5 + 19*x^4 - 3*x^3 - 9*x^2 + 1, -x^9 - x^8 + 6*x^7 + 3*x^6 - 14*x^5 - 4*x^4 + 12*x^3 + 3*x^2 - 3*x - 1, x^9 + x^8 - 6*x^7 - 3*x^6 + 14*x^5 + 4*x^4 - 12*x^3 - 3*x^2 + 3*x + 1, -x^8 - x^7 + 5*x^6 + 2*x^5 - 9*x^4 - 2*x^3 + 3*x^2 + x, x^8 + x^7 - 5*x^6 - 2*x^5 + 9*x^4 + 2*x^3 - 3*x^2 - x, -x^9 + 10*x^7 + 3*x^6 - 27*x^5 - 9*x^4 + 24*x^3 + 7*x^2 - 6*x - 2, x^9 - 10*x^7 - 3*x^6 + 27*x^5 + 9*x^4 - 24*x^3 - 7*x^2 + 6*x + 2]>,
         rec<Eigen |
           DefiningPolynomial := x^29 - x^28 - 50*x^27 + 49*x^26 + 1112*x^25 - 1061*x^24 - 14511*x^23 + 13387*x^22 + 123412*x^21 - 109286*x^20 - 718385*x^19 + 606113*x^18 + 2924033*x^17 - 2333576*x^16 - 8348401*x^15 + 6263323*x^14 + 16508066*x^13 - 11605772*x^12 - 21923563*x^11 + 14498124*x^10 + 18478199*x^9 - 11710480*x^8 - 8913548*x^7 + 5683110*x^6 + 1973213*x^5 - 1428489*x^4 - 75206*x^3 + 126742*x^2 - 12580*x - 647,
           Coordinates        := [-x^28 + x^27 + 47*x^26 - 46*x^25 - 977*x^24 + 929*x^23 + 11840*x^22 - 10854*x^21 - 92832*x^20 + 81408*x^19 + 494025*x^18 - 411373*x^17 - 1820586*x^16 + 1430819*x^15 + 4652145*x^14 - 3440616*x^13 - 8115255*x^12 + 5667202*x^11 + 9322338*x^10 - 6241864*x^9 - 6584743*x^8 + 4384888*x^7 + 2485387*x^6 - 1781490*x^5 - 328392*x^4 + 326081*x^3 - 26326*x^2 - 6877*x + 514, x^28 - x^27 - 47*x^26 + 48*x^25 + 977*x^24 - 1011*x^23 - 11842*x^22 + 12322*x^21 + 92900*x^20 - 96496*x^19 - 494959*x^18 + 509835*x^17 + 1827110*x^16 - 1856809*x^15 - 4674899*x^14 + 4678908*x^13 + 8135467*x^12 - 8064720*x^11 - 9196752*x^10 + 9236526*x^9 + 6112103*x^8 - 6641832*x^7 - 1813983*x^6 + 2668802*x^5 - 79088*x^4 - 438811*x^3 + 108738*x^2 - 617*x - 1502, -2*x^23 + 2*x^22 + 78*x^21 - 76*x^20 - 1310*x^19 + 1234*x^18 + 12420*x^17 - 11206*x^16 - 73268*x^15 + 62700*x^14 + 279566*x^13 - 225044*x^12 - 694258*x^11 + 524130*x^10 + 1097796*x^9 - 784906*x^8 - 1041494*x^7 + 731934*x^6 + 515760*x^5 - 392180*x^4 - 81284*x^3 + 93600*x^2 - 15412*x + 324, 4*x^23 - 2*x^22 - 156*x^21 + 84*x^20 + 2614*x^19 - 1484*x^18 - 24626*x^17 + 14488*x^16 + 143296*x^15 - 86256*x^14 - 532318*x^13 + 325734*x^12 + 1257746*x^11 - 785358*x^10 - 1815840*x^9 + 1183328*x^8 + 1451632*x^7 - 1049690*x^6 - 496338*x^5 + 474506*x^4 + 356*x^3 - 70010*x^2 + 17598*x - 1372, 2*x^23 - 80*x^21 - 6*x^20 + 1396*x^19 + 192*x^18 - 13946*x^17 - 2496*x^16 + 87800*x^15 + 16984*x^14 - 360698*x^13 - 64398*x^12 + 967148*x^11 + 129312*x^10 - 1644738*x^9 - 93862*x^8 + 1665638*x^7 - 97336*x^6 - 890998*x^5 + 201316*x^4 + 188512*x^3 - 82720*x^2 + 7260*x + 310, -6*x^24 + 8*x^23 + 234*x^22 - 302*x^21 - 3944*x^20 + 4878*x^19 + 37706*x^18 - 44178*x^17 - 225588*x^16 + 247076*x^15 + 878608*x^14 - 886258*x^13 - 2243608*x^12 + 2052300*x^11 + 3682608*x^10 - 3016714*x^9 - 3681882*x^8 + 2701364*x^7 + 1997214*x^6 - 1361648*x^5 - 440544*x^4 + 321926*x^3 + 2542*x^2 - 16148*x + 1268, -6*x^22 + 12*x^21 + 190*x^20 - 388*x^19 - 2490*x^18 + 5242*x^17 + 17456*x^16 - 38644*x^15 - 70204*x^14 + 170436*x^13 + 157714*x^12 - 463512*x^11 - 157532*x^10 + 770620*x^9 - 56242*x^8 - 742668*x^7 + 282474*x^6 + 355600*x^5 - 231408*x^4 - 40612*x^3 + 60590*x^2 - 14550*x + 994, x^27 + x^26 - 45*x^25 - 42*x^24 + 893*x^23 + 775*x^22 - 10292*x^21 - 8262*x^20 + 76376*x^19 + 56256*x^18 - 382447*x^17 - 255059*x^16 + 1316992*x^15 + 777175*x^14 - 3120549*x^13 - 1562190*x^12 + 5011087*x^11 + 1957454*x^10 - 5281844*x^9 - 1327162*x^8 + 3457779*x^7 + 273726*x^6 - 1266531*x^5 + 135740*x^4 + 192392*x^3 - 54027*x^2 + 684*x + 751, 2*x^24 - 2*x^23 - 76*x^22 + 76*x^21 + 1230*x^20 - 1232*x^19 - 11050*x^18 + 11192*x^17 + 60082*x^16 - 63092*x^15 - 201102*x^14 + 231484*x^13 + 396152*x^12 - 564750*x^11 - 378460*x^10 + 915666*x^9 - 19060*x^8 - 948798*x^7 + 365798*x^6 + 552972*x^5 - 277210*x^4 - 128142*x^3 + 71770*x^2 + 1922*x - 2316, -3*x^27 + 3*x^26 + 135*x^25 - 132*x^24 - 2671*x^23 + 2533*x^22 + 30580*x^21 - 27878*x^20 - 224360*x^19 + 194740*x^18 + 1103447*x^17 - 902757*x^16 - 3696256*x^15 + 2822707*x^14 + 8392811*x^13 - 5938570*x^12 - 12601225*x^11 + 8256260*x^10 + 11893456*x^9 - 7325592*x^8 - 6428161*x^7 + 3901620*x^6 + 1644821*x^5 - 1102408*x^4 - 101532*x^3 + 119865*x^2 - 12066*x - 647, 2*x^23 - 2*x^22 - 78*x^21 + 74*x^20 + 1318*x^19 - 1186*x^18 - 12642*x^17 + 10814*x^16 + 75744*x^15 - 61932*x^14 - 293888*x^13 + 232058*x^12 + 740468*x^11 - 574668*x^10 - 1179712*x^9 + 926678*x^8 + 1109126*x^7 - 927346*x^6 - 514994*x^5 + 514156*x^4 + 42686*x^3 - 117682*x^2 + 29410*x - 1988, 2*x^24 - 8*x^23 - 72*x^22 + 304*x^21 + 1090*x^20 - 4954*x^19 - 8996*x^18 + 45350*x^17 + 43640*x^16 - 256606*x^15 - 122828*x^14 + 930202*x^13 + 169454*x^12 - 2164498*x^11 + 16788*x^10 + 3145706*x^9 - 428864*x^8 - 2675418*x^7 + 637980*x^6 + 1165454*x^5 - 408216*x^4 - 189332*x^3 + 95240*x^2 - 4136*x - 1618, -6*x^23 + 8*x^22 + 218*x^21 - 280*x^20 - 3398*x^19 + 4158*x^18 + 29788*x^17 - 34328*x^16 - 161656*x^15 + 173524*x^14 + 562394*x^13 - 557480*x^12 - 1252504*x^11 + 1143732*x^10 + 1723222*x^9 - 1465724*x^8 - 1345914*x^7 + 1108020*x^6 + 493388*x^5 - 433024*x^4 - 42090*x^3 + 62526*x^2 - 6002*x - 620, -4*x^24 + 4*x^23 + 158*x^22 - 150*x^21 - 2698*x^20 + 2408*x^19 + 26122*x^18 - 21702*x^17 - 158034*x^16 + 121122*x^15 + 620406*x^14 - 436006*x^13 - 1587706*x^12 + 1023904*x^11 + 2587528*x^10 - 1554888*x^9 - 2535460*x^8 + 1483006*x^7 + 1330856*x^6 - 829616*x^5 - 284240*x^4 + 224116*x^3 - 3182*x^2 - 14758*x + 1774, 2*x^23 - 80*x^21 + 8*x^20 + 1366*x^19 - 244*x^18 - 12992*x^17 + 3034*x^16 + 75406*x^15 - 19858*x^14 - 275360*x^13 + 73700*x^12 + 629086*x^11 - 155006*x^10 - 863844*x^9 + 171672*x^8 + 653736*x^7 - 75902*x^6 - 236120*x^5 - 14444*x^4 + 47796*x^3 + 19490*x^2 - 14772*x + 1774, 2*x^22 - 14*x^21 - 54*x^20 + 454*x^19 + 542*x^18 - 6166*x^17 - 2158*x^16 + 45726*x^15 - 1544*x^14 - 202340*x^13 + 46984*x^12 + 547486*x^11 - 186556*x^10 - 889732*x^9 + 361528*x^8 + 814194*x^7 - 376210*x^6 - 362398*x^5 + 196206*x^4 + 51340*x^3 - 38538*x^2 + 3498*x + 310, -3*x^26 + 3*x^25 + 130*x^24 - 127*x^23 - 2470*x^22 + 2342*x^21 + 27068*x^20 - 24742*x^19 - 189314*x^18 + 165681*x^17 + 882751*x^16 - 734875*x^15 - 2781812*x^14 + 2191639*x^13 + 5872270*x^12 - 4372673*x^11 - 8036779*x^10 + 5700000*x^9 + 6663034*x^8 - 4626522*x^7 - 2905670*x^6 + 2121031*x^5 + 441822*x^4 - 429189*x^3 + 33456*x^2 + 9992*x - 771, -3*x^26 + 3*x^25 + 130*x^24 - 127*x^23 - 2470*x^22 + 2342*x^21 + 27068*x^20 - 24742*x^19 - 189314*x^18 + 165681*x^17 + 882751*x^16 - 734875*x^15 - 2781812*x^14 + 2191639*x^13 + 5872270*x^12 - 4372673*x^11 - 8036779*x^10 + 5700000*x^9 + 6663034*x^8 - 4626522*x^7 - 2905670*x^6 + 2121031*x^5 + 441822*x^4 - 429189*x^3 + 33456*x^2 + 9992*x - 771, -2*x^25 + 2*x^24 + 80*x^23 - 76*x^22 - 1388*x^21 + 1242*x^20 + 13716*x^19 - 11468*x^18 - 85227*x^17 + 66164*x^16 + 346837*x^15 - 249353*x^14 - 933636*x^13 + 624474*x^12 + 1640893*x^11 - 1039509*x^10 - 1816628*x^9 + 1133956*x^8 + 1186175*x^7 - 780775*x^6 - 400000*x^5 + 308148*x^4 + 39051*x^3 - 54179*x^2 + 8593*x - 162, -2*x^25 + 2*x^24 + 80*x^23 - 76*x^22 - 1388*x^21 + 1242*x^20 + 13716*x^19 - 11468*x^18 - 85227*x^17 + 66164*x^16 + 346837*x^15 - 249353*x^14 - 933636*x^13 + 624474*x^12 + 1640893*x^11 - 1039509*x^10 - 1816628*x^9 + 1133956*x^8 + 1186175*x^7 - 780775*x^6 - 400000*x^5 + 308148*x^4 + 39051*x^3 - 54179*x^2 + 8593*x - 162, -3*x^25 + 3*x^24 + 121*x^23 - 115*x^22 - 2124*x^21 + 1894*x^20 + 21330*x^19 - 17591*x^18 - 135469*x^17 + 101718*x^16 + 567607*x^15 - 381715*x^14 - 1586905*x^13 + 941423*x^12 + 2923553*x^11 - 1516751*x^10 - 3413794*x^9 + 1565114*x^8 + 2336316*x^7 - 999814*x^6 - 802999*x^5 + 365071*x^4 + 95937*x^3 - 55694*x^2 + 2702*x + 809, -3*x^25 + 3*x^24 + 121*x^23 - 115*x^22 - 2124*x^21 + 1894*x^20 + 21330*x^19 - 17591*x^18 - 135469*x^17 + 101718*x^16 + 567607*x^15 - 381715*x^14 - 1586905*x^13 + 941423*x^12 + 2923553*x^11 - 1516751*x^10 - 3413794*x^9 + 1565114*x^8 + 2336316*x^7 - 999814*x^6 - 802999*x^5 + 365071*x^4 + 95937*x^3 - 55694*x^2 + 2702*x + 809, x^26 - x^25 - 46*x^24 + 47*x^23 + 924*x^22 - 950*x^21 - 10654*x^20 + 10866*x^19 + 77965*x^18 - 77815*x^17 - 377880*x^16 + 364400*x^15 + 1227770*x^14 - 1131159*x^13 - 2643671*x^12 + 2309260*x^11 + 3632623*x^10 - 3011156*x^9 - 2941399*x^8 + 2362741*x^7 + 1174814*x^6 - 983267*x^5 - 118531*x^4 + 150894*x^3 - 21681*x^2 + 4604*x - 1003, x^26 - x^25 - 46*x^24 + 47*x^23 + 924*x^22 - 950*x^21 - 10654*x^20 + 10866*x^19 + 77965*x^18 - 77815*x^17 - 377880*x^16 + 364400*x^15 + 1227770*x^14 - 1131159*x^13 - 2643671*x^12 + 2309260*x^11 + 3632623*x^10 - 3011156*x^9 - 2941399*x^8 + 2362741*x^7 + 1174814*x^6 - 983267*x^5 - 118531*x^4 + 150894*x^3 - 21681*x^2 + 4604*x - 1003, -3*x^24 + 4*x^23 + 112*x^22 - 146*x^21 - 1794*x^20 + 2273*x^19 + 16139*x^18 - 19785*x^17 - 89556*x^16 + 106084*x^15 + 316299*x^14 - 363958*x^13 - 705109*x^12 + 803622*x^11 + 940377*x^10 - 1118172*x^9 - 644836*x^8 + 925344*x^7 + 105457*x^6 - 394312*x^5 + 94659*x^4 + 51569*x^3 - 33296*x^2 + 6965*x - 497, -3*x^24 + 4*x^23 + 112*x^22 - 146*x^21 - 1794*x^20 + 2273*x^19 + 16139*x^18 - 19785*x^17 - 89556*x^16 + 106084*x^15 + 316299*x^14 - 363958*x^13 - 705109*x^12 + 803622*x^11 + 940377*x^10 - 1118172*x^9 - 644836*x^8 + 925344*x^7 + 105457*x^6 - 394312*x^5 + 94659*x^4 + 51569*x^3 - 33296*x^2 + 6965*x - 497, x^25 - x^24 - 44*x^23 + 46*x^22 + 844*x^21 - 902*x^20 - 9276*x^19 + 9920*x^18 + 64585*x^17 - 67677*x^16 - 297322*x^15 + 298989*x^14 + 915990*x^13 - 866835*x^12 - 1866132*x^11 + 1637879*x^10 + 2417355*x^9 - 1969120*x^8 - 1832254*x^7 + 1441525*x^6 + 674354*x^5 - 584223*x^4 - 56508*x^3 + 95449*x^2 - 14793*x + 214, x^25 - x^24 - 44*x^23 + 46*x^22 + 844*x^21 - 902*x^20 - 9276*x^19 + 9920*x^18 + 64585*x^17 - 67677*x^16 - 297322*x^15 + 298989*x^14 + 915990*x^13 - 866835*x^12 - 1866132*x^11 + 1637879*x^10 + 2417355*x^9 - 1969120*x^8 - 1832254*x^7 + 1441525*x^6 + 674354*x^5 - 584223*x^4 - 56508*x^3 + 95449*x^2 - 14793*x + 214, x^27 - x^26 - 45*x^25 + 46*x^24 + 888*x^23 - 920*x^22 - 10110*x^21 + 10526*x^20 + 73525*x^19 - 76267*x^18 - 357238*x^17 + 365913*x^16 + 1178255*x^15 - 1180795*x^14 - 2626025*x^13 + 2551621*x^12 + 3857862*x^11 - 3609526*x^10 - 3542126*x^9 + 3197905*x^8 + 1820893*x^7 - 1644017*x^6 - 392885*x^5 + 426969*x^4 - 4224*x^3 - 36666*x^2 + 5197*x - 52, x^27 - x^26 - 45*x^25 + 46*x^24 + 888*x^23 - 920*x^22 - 10110*x^21 + 10526*x^20 + 73525*x^19 - 76267*x^18 - 357238*x^17 + 365913*x^16 + 1178255*x^15 - 1180795*x^14 - 2626025*x^13 + 2551621*x^12 + 3857862*x^11 - 3609526*x^10 - 3542126*x^9 + 3197905*x^8 + 1820893*x^7 - 1644017*x^6 - 392885*x^5 + 426969*x^4 - 4224*x^3 - 36666*x^2 + 5197*x - 52, x^24 - 3*x^23 - 39*x^22 + 112*x^21 + 659*x^20 - 1793*x^19 - 6352*x^18 + 16125*x^17 + 38694*x^16 - 89652*x^15 - 155767*x^14 + 319402*x^13 + 419679*x^12 - 730672*x^11 - 745153*x^10 + 1045736*x^9 + 825954*x^8 - 884945*x^7 - 502518*x^6 + 404270*x^5 + 119522*x^4 - 87143*x^3 + 133*x^2 + 2803*x - 189, x^24 - 3*x^23 - 39*x^22 + 112*x^21 + 659*x^20 - 1793*x^19 - 6352*x^18 + 16125*x^17 + 38694*x^16 - 89652*x^15 - 155767*x^14 + 319402*x^13 + 419679*x^12 - 730672*x^11 - 745153*x^10 + 1045736*x^9 + 825954*x^8 - 884945*x^7 - 502518*x^6 + 404270*x^5 + 119522*x^4 - 87143*x^3 + 133*x^2 + 2803*x - 189, x^24 - x^23 - 40*x^22 + 37*x^21 + 694*x^20 - 587*x^19 - 6851*x^18 + 5248*x^17 + 42383*x^16 - 29211*x^15 - 170420*x^14 + 105481*x^13 + 446724*x^12 - 249887*x^11 - 744866*x^10 + 384991*x^9 + 746983*x^8 - 375536*x^7 - 407548*x^6 + 218718*x^5 + 101478*x^4 - 65258*x^3 - 6115*x^2 + 7541*x - 887, x^24 - x^23 - 40*x^22 + 37*x^21 + 694*x^20 - 587*x^19 - 6851*x^18 + 5248*x^17 + 42383*x^16 - 29211*x^15 - 170420*x^14 + 105481*x^13 + 446724*x^12 - 249887*x^11 - 744866*x^10 + 384991*x^9 + 746983*x^8 - 375536*x^7 - 407548*x^6 + 218718*x^5 + 101478*x^4 - 65258*x^3 - 6115*x^2 + 7541*x - 887, x^24 - 40*x^22 + 4*x^21 + 692*x^20 - 126*x^19 - 6788*x^18 + 1648*x^17 + 41607*x^16 - 11582*x^15 - 165608*x^14 + 47125*x^13 + 430797*x^12 - 110304*x^11 - 718690*x^10 + 133831*x^9 + 735346*x^8 - 50446*x^7 - 431068*x^6 - 39233*x^5 + 138783*x^4 + 29066*x^3 - 27086*x^2 - 1647*x + 1158, x^24 - 40*x^22 + 4*x^21 + 692*x^20 - 126*x^19 - 6788*x^18 + 1648*x^17 + 41607*x^16 - 11582*x^15 - 165608*x^14 + 47125*x^13 + 430797*x^12 - 110304*x^11 - 718690*x^10 + 133831*x^9 + 735346*x^8 - 50446*x^7 - 431068*x^6 - 39233*x^5 + 138783*x^4 + 29066*x^3 - 27086*x^2 - 1647*x + 1158, x^24 - x^23 - 40*x^22 + 44*x^21 + 686*x^20 - 820*x^19 - 6592*x^18 + 8490*x^17 + 38951*x^16 - 53829*x^15 - 146172*x^14 + 217199*x^13 + 346742*x^12 - 561077*x^11 - 496578*x^10 + 908205*x^9 + 373799*x^8 - 870770*x^7 - 69392*x^6 + 438277*x^5 - 76760*x^4 - 84511*x^3 + 33974*x^2 - 2743*x - 155, x^24 - x^23 - 40*x^22 + 44*x^21 + 686*x^20 - 820*x^19 - 6592*x^18 + 8490*x^17 + 38951*x^16 - 53829*x^15 - 146172*x^14 + 217199*x^13 + 346742*x^12 - 561077*x^11 - 496578*x^10 + 908205*x^9 + 373799*x^8 - 870770*x^7 - 69392*x^6 + 438277*x^5 - 76760*x^4 - 84511*x^3 + 33974*x^2 - 2743*x - 155, x^26 - x^25 - 43*x^24 + 44*x^23 + 808*x^22 - 846*x^21 - 8721*x^20 + 9363*x^19 + 59756*x^18 - 66107*x^17 - 270975*x^16 + 311614*x^15 + 821104*x^14 - 996128*x^13 - 1633934*x^12 + 2145934*x^11 + 2022003*x^10 - 3027465*x^9 - 1349811*x^8 + 2635074*x^7 + 246284*x^6 - 1258566*x^5 + 193395*x^4 + 251251*x^3 - 81860*x^2 - 4039*x + 2505, x^26 - x^25 - 43*x^24 + 44*x^23 + 808*x^22 - 846*x^21 - 8721*x^20 + 9363*x^19 + 59756*x^18 - 66107*x^17 - 270975*x^16 + 311614*x^15 + 821104*x^14 - 996128*x^13 - 1633934*x^12 + 2145934*x^11 + 2022003*x^10 - 3027465*x^9 - 1349811*x^8 + 2635074*x^7 + 246284*x^6 - 1258566*x^5 + 193395*x^4 + 251251*x^3 - 81860*x^2 - 4039*x + 2505, x^25 - x^24 - 40*x^23 + 35*x^22 + 696*x^21 - 505*x^20 - 6937*x^19 + 3822*x^18 + 43909*x^17 - 15509*x^16 - 184952*x^15 + 25797*x^14 + 527856*x^13 + 39555*x^12 - 1017756*x^11 - 268451*x^10 + 1293925*x^9 + 503232*x^8 - 1031692*x^7 - 415880*x^6 + 476716*x^5 + 125606*x^4 - 113343*x^3 - 3339*x^2 + 7265*x - 634, x^25 - x^24 - 40*x^23 + 35*x^22 + 696*x^21 - 505*x^20 - 6937*x^19 + 3822*x^18 + 43909*x^17 - 15509*x^16 - 184952*x^15 + 25797*x^14 + 527856*x^13 + 39555*x^12 - 1017756*x^11 - 268451*x^10 + 1293925*x^9 + 503232*x^8 - 1031692*x^7 - 415880*x^6 + 476716*x^5 + 125606*x^4 - 113343*x^3 - 3339*x^2 + 7265*x - 634, x^25 - x^24 - 40*x^23 + 39*x^22 + 693*x^21 - 658*x^20 - 6832*x^19 + 6338*x^18 + 42354*x^17 - 38790*x^16 - 172199*x^15 + 158870*x^14 + 464235*x^13 - 445242*x^12 - 818103*x^11 + 850512*x^10 + 898390*x^9 - 1066063*x^8 - 542917*x^7 + 801331*x^6 + 109564*x^5 - 301324*x^4 + 35707*x^3 + 35966*x^2 - 9957*x + 686, x^25 - x^24 - 40*x^23 + 39*x^22 + 693*x^21 - 658*x^20 - 6832*x^19 + 6338*x^18 + 42354*x^17 - 38790*x^16 - 172199*x^15 + 158870*x^14 + 464235*x^13 - 445242*x^12 - 818103*x^11 + 850512*x^10 + 898390*x^9 - 1066063*x^8 - 542917*x^7 + 801331*x^6 + 109564*x^5 - 301324*x^4 + 35707*x^3 + 35966*x^2 - 9957*x + 686]>
       ]
>;

MOG[523] := 	// J_0(523)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [88, 123, 159, 180, 181, 183, 286, 369, 462, 473, 512*x + 508, 11*x + 508, 289*x + 61, 234*x + 61, 196*x + 421, 327*x + 421, 94*x + 458, 429*x + 458, 8*x + 403, 515*x + 403, 371*x + 428, 152*x + 428, 113*x + 316, 410*x + 316, 8*x + 60, 515*x + 60, 7*x + 259, 516*x + 259, 123*x + 44, 400*x + 44, 231*x + 166, 292*x + 166, 31*x + 361, 492*x + 361, 168*x + 376, 355*x + 376, 400*x + 341, 123*x + 341, 335*x + 104, 188*x + 104, 419*x + 99, 104*x + 99, 321*x + 498, 202*x + 498]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + 3*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x - 2, x + 2, x + 1, -x - 1, 0, 0, -x, x, 1, -1, x + 3, -x - 3, -1, 1, -1, 1, x + 2, -x - 2, 1, -1, -x - 1, x + 1, -x - 1, x + 1, -x - 2, x + 2, x + 2, -x - 2, x + 1, -x - 1, -x - 3, x + 3, 1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^15 + 6*x^14 - 2*x^13 - 71*x^12 - 72*x^11 + 308*x^10 + 492*x^9 - 587*x^8 - 1283*x^7 + 418*x^6 + 1526*x^5 + 33*x^4 - 774*x^3 - 85*x^2 + 141*x + 8,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^13 - 6*x^12 - 2*x^11 + 48*x^10 + 66*x^9 - 131*x^8 - 260*x^7 + 130*x^6 + 391*x^5 - 22*x^4 - 227*x^3 + 2*x^2 + 45*x - 8, x^13 + 6*x^12 + 2*x^11 - 48*x^10 - 66*x^9 + 131*x^8 + 260*x^7 - 130*x^6 - 391*x^5 + 22*x^4 + 227*x^3 - 2*x^2 - 45*x + 8, -x^12 - 6*x^11 - 4*x^10 + 38*x^9 + 65*x^8 - 70*x^7 - 200*x^6 + 8*x^5 + 228*x^4 + 71*x^3 - 82*x^2 - 30*x + 4, x^12 + 6*x^11 + 4*x^10 - 38*x^9 - 65*x^8 + 70*x^7 + 200*x^6 - 8*x^5 - 228*x^4 - 71*x^3 + 82*x^2 + 30*x - 4, -x^14 - 6*x^13 - x^12 + 54*x^11 + 70*x^10 - 169*x^9 - 325*x^8 + 200*x^7 + 591*x^6 - 30*x^5 - 455*x^4 - 69*x^3 + 127*x^2 + 22*x - 4, x^14 + 6*x^13 + x^12 - 54*x^11 - 70*x^10 + 169*x^9 + 325*x^8 - 200*x^7 - 591*x^6 + 30*x^5 + 455*x^4 + 69*x^3 - 127*x^2 - 22*x + 4, -x^11 - 4*x^10 + 4*x^9 + 30*x^8 + 5*x^7 - 80*x^6 - 40*x^5 + 88*x^4 + 52*x^3 - 33*x^2 - 16*x + 2, x^11 + 4*x^10 - 4*x^9 - 30*x^8 - 5*x^7 + 80*x^6 + 40*x^5 - 88*x^4 - 52*x^3 + 33*x^2 + 16*x - 2, -x^11 - 6*x^10 - 5*x^9 + 31*x^8 + 55*x^7 - 42*x^6 - 123*x^5 + 5*x^4 + 93*x^3 + x^2 - 25*x + 6, x^11 + 6*x^10 + 5*x^9 - 31*x^8 - 55*x^7 + 42*x^6 + 123*x^5 - 5*x^4 - 93*x^3 - x^2 + 25*x - 6, -x^13 - 5*x^12 + 3*x^11 + 47*x^10 + 29*x^9 - 162*x^8 - 171*x^7 + 245*x^6 + 332*x^5 - 145*x^4 - 261*x^3 + 12*x^2 + 67*x + 6, x^13 + 5*x^12 - 3*x^11 - 47*x^10 - 29*x^9 + 162*x^8 + 171*x^7 - 245*x^6 - 332*x^5 + 145*x^4 + 261*x^3 - 12*x^2 - 67*x - 6, -x^13 - 6*x^12 - 3*x^11 + 44*x^10 + 72*x^9 - 94*x^8 - 261*x^7 + 13*x^6 + 348*x^5 + 131*x^4 - 159*x^3 - 77*x^2 + 25*x + 10, x^13 + 6*x^12 + 3*x^11 - 44*x^10 - 72*x^9 + 94*x^8 + 261*x^7 - 13*x^6 - 348*x^5 - 131*x^4 + 159*x^3 + 77*x^2 - 25*x - 10, -x^10 - 7*x^9 - 10*x^8 + 28*x^7 + 77*x^6 - 3*x^5 - 135*x^4 - 70*x^3 + 57*x^2 + 36*x - 4, x^10 + 7*x^9 + 10*x^8 - 28*x^7 - 77*x^6 + 3*x^5 + 135*x^4 + 70*x^3 - 57*x^2 - 36*x + 4, -x^12 - 4*x^11 + 6*x^10 + 36*x^9 - 8*x^8 - 126*x^7 - 14*x^6 + 217*x^5 + 49*x^4 - 180*x^3 - 48*x^2 + 51*x + 10, x^12 + 4*x^11 - 6*x^10 - 36*x^9 + 8*x^8 + 126*x^7 + 14*x^6 - 217*x^5 - 49*x^4 + 180*x^3 + 48*x^2 - 51*x - 10, -x^12 - 5*x^11 + x^10 + 37*x^9 + 31*x^8 - 89*x^7 - 113*x^6 + 68*x^5 + 125*x^4 + 8*x^3 - 28*x^2 - 8*x - 4, x^12 + 5*x^11 - x^10 - 37*x^9 - 31*x^8 + 89*x^7 + 113*x^6 - 68*x^5 - 125*x^4 - 8*x^3 + 28*x^2 + 8*x + 4, -x^12 - 5*x^11 + x^10 + 38*x^9 + 33*x^8 - 98*x^7 - 130*x^6 + 93*x^5 + 171*x^4 - 16*x^3 - 74*x^2 - 4*x + 8, x^12 + 5*x^11 - x^10 - 38*x^9 - 33*x^8 + 98*x^7 + 130*x^6 - 93*x^5 - 171*x^4 + 16*x^3 + 74*x^2 + 4*x - 8, -x^10 - 5*x^9 - 3*x^8 + 22*x^7 + 39*x^6 - 12*x^5 - 75*x^4 - 36*x^3 + 35*x^2 + 21*x - 6, x^10 + 5*x^9 + 3*x^8 - 22*x^7 - 39*x^6 + 12*x^5 + 75*x^4 + 36*x^3 - 35*x^2 - 21*x + 6, -x^11 - 5*x^10 - x^9 + 28*x^8 + 31*x^7 - 42*x^6 - 66*x^5 + 14*x^4 + 33*x^3 - 9*x^2 - 6*x + 4, x^11 + 5*x^10 + x^9 - 28*x^8 - 31*x^7 + 42*x^6 + 66*x^5 - 14*x^4 - 33*x^3 + 9*x^2 + 6*x - 4, -x^11 - 6*x^10 - 4*x^9 + 36*x^8 + 59*x^7 - 58*x^6 - 155*x^5 + 2*x^4 + 139*x^3 + 41*x^2 - 37*x - 14, x^11 + 6*x^10 + 4*x^9 - 36*x^8 - 59*x^7 + 58*x^6 + 155*x^5 - 2*x^4 - 139*x^3 - 41*x^2 + 37*x + 14, -x^11 - 5*x^10 - x^9 + 29*x^8 + 33*x^7 - 50*x^6 - 84*x^5 + 24*x^4 + 69*x^3 - x^2 - 21*x - 2, x^11 + 5*x^10 + x^9 - 29*x^8 - 33*x^7 + 50*x^6 + 84*x^5 - 24*x^4 - 69*x^3 + x^2 + 21*x + 2, -x^10 - 4*x^9 + 3*x^8 + 25*x^7 + 6*x^6 - 48*x^5 - 18*x^4 + 32*x^3 + x^2 - 10*x + 4, x^10 + 4*x^9 - 3*x^8 - 25*x^7 - 6*x^6 + 48*x^5 + 18*x^4 - 32*x^3 - x^2 + 10*x - 4, -x^10 - 4*x^9 + 3*x^8 + 26*x^7 + 7*x^6 - 57*x^5 - 27*x^4 + 51*x^3 + 18*x^2 - 19*x - 2, x^10 + 4*x^9 - 3*x^8 - 26*x^7 - 7*x^6 + 57*x^5 + 27*x^4 - 51*x^3 - 18*x^2 + 19*x + 2]>,
         rec<Eigen |
           DefiningPolynomial := x^26 - 9*x^25 - x^24 + 231*x^23 - 464*x^22 - 2306*x^21 + 7763*x^20 + 10298*x^19 - 60057*x^18 - 8015*x^17 + 266789*x^16 - 125796*x^15 - 723565*x^14 + 622138*x^13 + 1202991*x^12 - 1407289*x^11 - 1178824*x^10 + 1766306*x^9 + 617378*x^8 - 1241966*x^7 - 135947*x^6 + 462396*x^5 + 400*x^4 - 78680*x^3 + 2576*x^2 + 4032*x - 384,
           Coordinates        := [-x^25 + 9*x^24 - 2*x^23 - 204*x^22 + 454*x^21 + 1730*x^20 - 6423*x^19 - 5796*x^18 + 42498*x^17 - 4747*x^16 - 158795*x^15 + 102211*x^14 + 351512*x^13 - 351699*x^12 - 455277*x^11 + 596136*x^10 + 322533*x^9 - 543248*x^8 - 107171*x^7 + 255824*x^6 + 11520*x^5 - 54702*x^4 - 248*x^3 + 4072*x^2 - 128*x - 64, x^25 - 9*x^24 + 2*x^23 + 206*x^22 - 472*x^21 - 1714*x^20 + 6727*x^19 + 4950*x^18 - 44106*x^17 + 13035*x^16 + 159313*x^15 - 139463*x^14 - 327076*x^13 + 440123*x^12 + 360933*x^11 - 710360*x^10 - 167873*x^9 + 626762*x^8 - 15387*x^7 - 300640*x^6 + 34702*x^5 + 76316*x^4 - 7176*x^3 - 9240*x^2 + 128*x + 320, -4*x^18 + 32*x^17 - 24*x^16 - 416*x^15 + 948*x^14 + 1760*x^13 - 6702*x^12 - 1758*x^11 + 20864*x^10 - 5930*x^9 - 32328*x^8 + 15368*x^7 + 25714*x^6 - 10828*x^5 - 11852*x^4 + 2532*x^3 + 2736*x^2 + 32*x - 128, x^23 - 9*x^22 + 6*x^21 + 170*x^20 - 442*x^19 - 1088*x^18 + 5017*x^17 + 1412*x^16 - 26406*x^15 + 15057*x^14 + 74113*x^13 - 81103*x^12 - 110300*x^11 + 176163*x^10 + 75657*x^9 - 190114*x^8 - 11267*x^7 + 100492*x^6 - 6039*x^5 - 24578*x^4 + 1100*x^3 + 2280*x^2 - 32*x - 64, -x^23 + 9*x^22 - 6*x^21 - 166*x^20 + 408*x^19 + 1116*x^18 - 4509*x^17 - 2734*x^16 + 24162*x^15 - 4111*x^14 - 74553*x^13 + 42219*x^12 + 138994*x^11 - 111599*x^10 - 154807*x^9 + 147604*x^8 + 97415*x^7 - 101222*x^6 - 32115*x^5 + 33458*x^4 + 4696*x^3 - 4256*x^2 - 128*x + 128, x^24 - 9*x^23 + 4*x^22 + 190*x^21 - 476*x^20 - 1374*x^19 + 6149*x^18 + 2216*x^17 - 36232*x^16 + 22377*x^15 + 112535*x^14 - 142773*x^13 - 177162*x^12 + 367849*x^11 + 91129*x^10 - 485356*x^9 + 96595*x^8 + 328914*x^7 - 145527*x^6 - 108980*x^5 + 65472*x^4 + 16376*x^3 - 11328*x^2 - 1088*x + 512, x^23 - 7*x^22 - 10*x^21 + 170*x^20 - 136*x^19 - 1646*x^18 + 2857*x^17 + 7930*x^16 - 20372*x^15 - 18367*x^14 + 75801*x^13 + 8829*x^12 - 159504*x^11 + 48841*x^10 + 188811*x^9 - 107734*x^8 - 118873*x^7 + 91168*x^6 + 36809*x^5 - 35362*x^4 - 5252*x^3 + 5872*x^2 + 416*x - 256, -4*x^19 + 36*x^18 - 56*x^17 - 392*x^16 + 1364*x^15 + 812*x^14 - 8462*x^13 + 4944*x^12 + 22622*x^11 - 26794*x^10 - 26398*x^9 + 47696*x^8 + 10346*x^7 - 36542*x^6 - 1024*x^5 + 14384*x^4 + 204*x^3 - 2704*x^2 - 160*x + 128, -x^24 + 9*x^23 - 4*x^22 - 186*x^21 + 442*x^20 + 1394*x^19 - 5571*x^18 - 3608*x^17 + 32978*x^16 - 8645*x^15 - 108675*x^14 + 81465*x^13 + 207108*x^12 - 223591*x^11 - 225371*x^10 + 304168*x^9 + 138303*x^8 - 215758*x^7 - 54517*x^6 + 78206*x^5 + 16680*x^4 - 12088*x^3 - 3184*x^2 + 320*x + 128, -x^23 + 9*x^22 - 6*x^21 - 170*x^20 + 444*x^19 + 1072*x^18 - 5011*x^17 - 1164*x^16 + 25958*x^15 - 16635*x^14 - 69851*x^13 + 85889*x^12 + 90912*x^11 - 180369*x^10 - 29423*x^9 + 179886*x^8 - 44761*x^7 - 76396*x^6 + 37275*x^5 + 9156*x^4 - 7632*x^3 + 504*x^2 + 384*x - 64, -2*x^20 + 18*x^19 - 24*x^18 - 228*x^17 + 706*x^16 + 822*x^15 - 5179*x^14 + 712*x^13 + 18013*x^12 - 11639*x^11 - 34063*x^10 + 29778*x^9 + 37501*x^8 - 33639*x^7 - 26226*x^6 + 18020*x^5 + 11954*x^4 - 3884*x^3 - 2816*x^2 + 32*x + 128, -2*x^20 + 18*x^19 - 24*x^18 - 228*x^17 + 706*x^16 + 822*x^15 - 5179*x^14 + 712*x^13 + 18013*x^12 - 11639*x^11 - 34063*x^10 + 29778*x^9 + 37501*x^8 - 33639*x^7 - 26226*x^6 + 18020*x^5 + 11954*x^4 - 3884*x^3 - 2816*x^2 + 32*x + 128, -x^21 + 10*x^20 - 20*x^19 - 113*x^18 + 503*x^17 + 88*x^16 - 3441*x^15 + 3699*x^14 + 9661*x^13 - 19654*x^12 - 7869*x^11 + 41053*x^10 - 13258*x^9 - 36405*x^8 + 27997*x^7 + 9104*x^6 - 16078*x^5 + 2644*x^4 + 3880*x^3 - 1488*x^2 - 448*x + 128, -x^21 + 10*x^20 - 20*x^19 - 113*x^18 + 503*x^17 + 88*x^16 - 3441*x^15 + 3699*x^14 + 9661*x^13 - 19654*x^12 - 7869*x^11 + 41053*x^10 - 13258*x^9 - 36405*x^8 + 27997*x^7 + 9104*x^6 - 16078*x^5 + 2644*x^4 + 3880*x^3 - 1488*x^2 - 448*x + 128, -x^21 + 8*x^20 - 151*x^18 + 259*x^17 + 1126*x^16 - 3102*x^15 - 3799*x^14 + 16814*x^13 + 3071*x^12 - 48816*x^11 + 15519*x^10 + 77157*x^9 - 44930*x^8 - 64569*x^7 + 45458*x^6 + 29056*x^5 - 20912*x^4 - 6900*x^3 + 4224*x^2 + 736*x - 256, -x^21 + 8*x^20 - 151*x^18 + 259*x^17 + 1126*x^16 - 3102*x^15 - 3799*x^14 + 16814*x^13 + 3071*x^12 - 48816*x^11 + 15519*x^10 + 77157*x^9 - 44930*x^8 - 64569*x^7 + 45458*x^6 + 29056*x^5 - 20912*x^4 - 6900*x^3 + 4224*x^2 + 736*x - 256, -x^20 + 8*x^19 - 4*x^18 - 121*x^17 + 261*x^16 + 610*x^15 - 2221*x^14 - 743*x^13 + 8175*x^12 - 3304*x^11 - 14477*x^10 + 12099*x^9 + 10940*x^8 - 14525*x^7 - 1053*x^6 + 6998*x^5 - 2082*x^4 - 1520*x^3 + 840*x^2 + 192*x - 64, -x^20 + 8*x^19 - 4*x^18 - 121*x^17 + 261*x^16 + 610*x^15 - 2221*x^14 - 743*x^13 + 8175*x^12 - 3304*x^11 - 14477*x^10 + 12099*x^9 + 10940*x^8 - 14525*x^7 - 1053*x^6 + 6998*x^5 - 2082*x^4 - 1520*x^3 + 840*x^2 + 192*x - 64, -x^22 + 10*x^21 - 17*x^20 - 139*x^19 + 531*x^18 + 437*x^17 - 4408*x^16 + 2267*x^15 + 17061*x^14 - 19623*x^13 - 34057*x^12 + 55996*x^11 + 35282*x^10 - 78282*x^9 - 20444*x^8 + 57268*x^7 + 11201*x^6 - 22374*x^5 - 5992*x^4 + 3916*x^3 + 1528*x^2 - 96*x - 64, -x^22 + 10*x^21 - 17*x^20 - 139*x^19 + 531*x^18 + 437*x^17 - 4408*x^16 + 2267*x^15 + 17061*x^14 - 19623*x^13 - 34057*x^12 + 55996*x^11 + 35282*x^10 - 78282*x^9 - 20444*x^8 + 57268*x^7 + 11201*x^6 - 22374*x^5 - 5992*x^4 + 3916*x^3 + 1528*x^2 - 96*x - 64, -x^18 + 8*x^17 - 8*x^16 - 82*x^15 + 173*x^14 + 335*x^13 - 852*x^12 - 1198*x^11 + 2582*x^10 + 3937*x^9 - 7133*x^8 - 6066*x^7 + 12353*x^6 + 2002*x^5 - 8396*x^4 + 564*x^3 + 1880*x^2 - 32*x - 64, -x^18 + 8*x^17 - 8*x^16 - 82*x^15 + 173*x^14 + 335*x^13 - 852*x^12 - 1198*x^11 + 2582*x^10 + 3937*x^9 - 7133*x^8 - 6066*x^7 + 12353*x^6 + 2002*x^5 - 8396*x^4 + 564*x^3 + 1880*x^2 - 32*x - 64, -x^22 + 8*x^21 + 2*x^20 - 169*x^19 + 284*x^18 + 1346*x^17 - 3800*x^16 - 4539*x^15 + 21820*x^14 + 2024*x^13 - 65977*x^12 + 28356*x^11 + 108638*x^10 - 78645*x^9 - 94937*x^8 + 85163*x^7 + 42929*x^6 - 40934*x^5 - 10458*x^4 + 7544*x^3 + 1672*x^2 - 256*x - 64, -x^22 + 8*x^21 + 2*x^20 - 169*x^19 + 284*x^18 + 1346*x^17 - 3800*x^16 - 4539*x^15 + 21820*x^14 + 2024*x^13 - 65977*x^12 + 28356*x^11 + 108638*x^10 - 78645*x^9 - 94937*x^8 + 85163*x^7 + 42929*x^6 - 40934*x^5 - 10458*x^4 + 7544*x^3 + 1672*x^2 - 256*x - 64, x^22 - 10*x^21 + 17*x^20 + 143*x^19 - 566*x^18 - 402*x^17 + 4913*x^16 - 3660*x^15 - 19211*x^14 + 30835*x^13 + 33431*x^12 - 95843*x^11 - 7736*x^10 + 147621*x^9 - 53931*x^8 - 114211*x^7 + 69744*x^6 + 42201*x^5 - 32186*x^4 - 7048*x^3 + 5648*x^2 + 512*x - 256, x^22 - 10*x^21 + 17*x^20 + 143*x^19 - 566*x^18 - 402*x^17 + 4913*x^16 - 3660*x^15 - 19211*x^14 + 30835*x^13 + 33431*x^12 - 95843*x^11 - 7736*x^10 + 147621*x^9 - 53931*x^8 - 114211*x^7 + 69744*x^6 + 42201*x^5 - 32186*x^4 - 7048*x^3 + 5648*x^2 + 512*x - 256, x^21 - 8*x^20 - x^19 + 160*x^18 - 275*x^17 - 1200*x^16 + 3357*x^15 + 3961*x^14 - 18001*x^13 - 3417*x^12 + 52596*x^11 - 14164*x^10 - 88227*x^9 + 45997*x^8 + 82988*x^7 - 55809*x^6 - 39454*x^5 + 29872*x^4 + 8216*x^3 - 6136*x^2 - 768*x + 320, x^21 - 8*x^20 - x^19 + 160*x^18 - 275*x^17 - 1200*x^16 + 3357*x^15 + 3961*x^14 - 18001*x^13 - 3417*x^12 + 52596*x^11 - 14164*x^10 - 88227*x^9 + 45997*x^8 + 82988*x^7 - 55809*x^6 - 39454*x^5 + 29872*x^4 + 8216*x^3 - 6136*x^2 - 768*x + 320, -x^23 + 8*x^22 + 4*x^21 - 183*x^20 + 268*x^19 + 1653*x^18 - 4057*x^17 - 7288*x^16 + 26420*x^15 + 14411*x^14 - 95458*x^13 + 1053*x^12 + 205379*x^11 - 60046*x^10 - 266868*x^9 + 113932*x^8 + 204947*x^7 - 95082*x^6 - 87108*x^5 + 36702*x^4 + 17980*x^3 - 5736*x^2 - 1248*x + 320, -x^23 + 8*x^22 + 4*x^21 - 183*x^20 + 268*x^19 + 1653*x^18 - 4057*x^17 - 7288*x^16 + 26420*x^15 + 14411*x^14 - 95458*x^13 + 1053*x^12 + 205379*x^11 - 60046*x^10 - 266868*x^9 + 113932*x^8 + 204947*x^7 - 95082*x^6 - 87108*x^5 + 36702*x^4 + 17980*x^3 - 5736*x^2 - 1248*x + 320, -x^21 + 6*x^20 + 16*x^19 - 156*x^18 - 2*x^17 + 1623*x^16 - 1498*x^15 - 8588*x^14 + 12667*x^13 + 24232*x^12 - 47925*x^11 - 34118*x^10 + 94774*x^9 + 16161*x^8 - 97449*x^7 + 8690*x^6 + 47594*x^5 - 8246*x^4 - 9408*x^3 + 1256*x^2 + 448*x - 64, -x^21 + 6*x^20 + 16*x^19 - 156*x^18 - 2*x^17 + 1623*x^16 - 1498*x^15 - 8588*x^14 + 12667*x^13 + 24232*x^12 - 47925*x^11 - 34118*x^10 + 94774*x^9 + 16161*x^8 - 97449*x^7 + 8690*x^6 + 47594*x^5 - 8246*x^4 - 9408*x^3 + 1256*x^2 + 448*x - 64, x^21 - 10*x^20 + 15*x^19 + 155*x^18 - 541*x^17 - 664*x^16 + 4928*x^15 - 1283*x^14 - 21059*x^13 + 19317*x^12 + 46568*x^11 - 63824*x^10 - 51306*x^9 + 96347*x^8 + 23743*x^7 - 69492*x^6 - 3773*x^5 + 23522*x^4 + 632*x^3 - 3296*x^2 - 128*x + 128, x^21 - 10*x^20 + 15*x^19 + 155*x^18 - 541*x^17 - 664*x^16 + 4928*x^15 - 1283*x^14 - 21059*x^13 + 19317*x^12 + 46568*x^11 - 63824*x^10 - 51306*x^9 + 96347*x^8 + 23743*x^7 - 69492*x^6 - 3773*x^5 + 23522*x^4 + 632*x^3 - 3296*x^2 - 128*x + 128, x^22 - 9*x^21 + 7*x^20 + 161*x^19 - 434*x^18 - 933*x^17 + 4565*x^16 + 686*x^15 - 22135*x^14 + 14249*x^13 + 56865*x^12 - 65562*x^11 - 76645*x^10 + 130287*x^9 + 44124*x^8 - 132731*x^7 + 4002*x^6 + 67324*x^5 - 13260*x^4 - 14916*x^3 + 3488*x^2 + 1120*x - 256, x^22 - 9*x^21 + 7*x^20 + 161*x^19 - 434*x^18 - 933*x^17 + 4565*x^16 + 686*x^15 - 22135*x^14 + 14249*x^13 + 56865*x^12 - 65562*x^11 - 76645*x^10 + 130287*x^9 + 44124*x^8 - 132731*x^7 + 4002*x^6 + 67324*x^5 - 13260*x^4 - 14916*x^3 + 3488*x^2 + 1120*x - 256, -x^24 + 9*x^23 - 3*x^22 - 195*x^21 + 449*x^20 + 1554*x^19 - 5994*x^18 - 4577*x^17 + 37508*x^16 - 7470*x^15 - 131689*x^14 + 94487*x^13 + 270303*x^12 - 293781*x^11 - 315460*x^10 + 459445*x^9 + 185952*x^8 - 385192*x^7 - 34955*x^6 + 164744*x^5 - 8264*x^4 - 31260*x^3 + 2816*x^2 + 1824*x - 256, -x^24 + 9*x^23 - 3*x^22 - 195*x^21 + 449*x^20 + 1554*x^19 - 5994*x^18 - 4577*x^17 + 37508*x^16 - 7470*x^15 - 131689*x^14 + 94487*x^13 + 270303*x^12 - 293781*x^11 - 315460*x^10 + 459445*x^9 + 185952*x^8 - 385192*x^7 - 34955*x^6 + 164744*x^5 - 8264*x^4 - 31260*x^3 + 2816*x^2 + 1824*x - 256, -x^21 + 8*x^20 - 3*x^19 - 130*x^18 + 279*x^17 + 679*x^16 - 2551*x^15 - 565*x^14 + 9541*x^13 - 6180*x^12 - 14549*x^11 + 20254*x^10 + 32*x^9 - 18673*x^8 + 20976*x^7 - 4025*x^6 - 14906*x^5 + 9296*x^4 + 3120*x^3 - 2480*x^2 - 256*x + 128, -x^21 + 8*x^20 - 3*x^19 - 130*x^18 + 279*x^17 + 679*x^16 - 2551*x^15 - 565*x^14 + 9541*x^13 - 6180*x^12 - 14549*x^11 + 20254*x^10 + 32*x^9 - 18673*x^8 + 20976*x^7 - 4025*x^6 - 14906*x^5 + 9296*x^4 + 3120*x^3 - 2480*x^2 - 256*x + 128, x^24 - 8*x^23 - 6*x^22 + 201*x^21 - 280*x^20 - 1987*x^19 + 4901*x^18 + 9417*x^17 - 35622*x^16 - 18022*x^15 + 141977*x^14 - 19621*x^13 - 332448*x^12 + 164540*x^11 + 459911*x^10 - 327094*x^9 - 364680*x^8 + 306206*x^7 + 158088*x^6 - 138550*x^5 - 36524*x^4 + 26532*x^3 + 4440*x^2 - 1312*x - 64, x^24 - 8*x^23 - 6*x^22 + 201*x^21 - 280*x^20 - 1987*x^19 + 4901*x^18 + 9417*x^17 - 35622*x^16 - 18022*x^15 + 141977*x^14 - 19621*x^13 - 332448*x^12 + 164540*x^11 + 459911*x^10 - 327094*x^9 - 364680*x^8 + 306206*x^7 + 158088*x^6 - 138550*x^5 - 36524*x^4 + 26532*x^3 + 4440*x^2 - 1312*x - 64, -x^22 + 8*x^21 + x^20 - 161*x^19 + 280*x^18 + 1222*x^17 - 3510*x^16 - 3995*x^15 + 19412*x^14 + 2212*x^13 - 58098*x^12 + 21611*x^11 + 97974*x^10 - 62141*x^9 - 91532*x^8 + 69681*x^7 + 45896*x^6 - 34525*x^5 - 12156*x^4 + 6296*x^3 + 1784*x^2 - 192*x - 64, -x^22 + 8*x^21 + x^20 - 161*x^19 + 280*x^18 + 1222*x^17 - 3510*x^16 - 3995*x^15 + 19412*x^14 + 2212*x^13 - 58098*x^12 + 21611*x^11 + 97974*x^10 - 62141*x^9 - 91532*x^8 + 69681*x^7 + 45896*x^6 - 34525*x^5 - 12156*x^4 + 6296*x^3 + 1784*x^2 - 192*x - 64]>
       ]
>;

MOG[541] := 	// J_0(541)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [149, 233, 309, 426, 540, 187*x + 110, 354*x + 110, 371*x + 85, 170*x + 85, 12*x + 22, 529*x + 22, 319*x + 486, 222*x + 486, 121*x + 38, 420*x + 38, 517*x + 114, 24*x + 114, 362*x + 478, 179*x + 478, 25*x + 480, 516*x + 480, 5*x + 39, 536*x + 39, 246*x + 457, 295*x + 457, 28*x + 254, 513*x + 254, 448*x + 464, 93*x + 464, 30*x + 369, 511*x + 369, 298*x + 76, 243*x + 76, 254*x + 435, 287*x + 435, 163*x + 505, 378*x + 505, 169*x + 284, 372*x + 284, 341*x + 313, 200*x + 313, 467*x + 329, 74*x + 329, 136*x + 25, 405*x + 25]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^20 + 5*x^19 - 15*x^18 - 105*x^17 + 53*x^16 + 888*x^15 + 248*x^14 - 3950*x^13 - 2525*x^12 + 10014*x^11 + 8292*x^10 - 14513*x^9 - 13426*x^8 + 11322*x^7 + 10779*x^6 - 4166*x^5 - 3649*x^4 + 669*x^3 + 389*x^2 - 45*x - 9,
           Coordinates        := [0, 0, 0, 0, 0, -x^19 - 5*x^18 + 13*x^17 + 95*x^16 - 31*x^15 - 718*x^14 - 274*x^13 + 2812*x^12 + 1964*x^11 - 6173*x^10 - 5270*x^9 + 7617*x^8 + 6984*x^7 - 5005*x^6 - 4518*x^5 + 1568*x^4 + 1227*x^3 - 199*x^2 - 93*x + 12, x^19 + 5*x^18 - 13*x^17 - 95*x^16 + 31*x^15 + 718*x^14 + 274*x^13 - 2812*x^12 - 1964*x^11 + 6173*x^10 + 5270*x^9 - 7617*x^8 - 6984*x^7 + 5005*x^6 + 4518*x^5 - 1568*x^4 - 1227*x^3 + 199*x^2 + 93*x - 12, -x^18 - 5*x^17 + 11*x^16 + 85*x^15 - 14*x^14 - 574*x^13 - 276*x^12 + 1973*x^11 + 1531*x^10 - 3656*x^9 - 3380*x^8 + 3542*x^7 + 3471*x^6 - 1632*x^5 - 1488*x^4 + 361*x^3 + 222*x^2 - 27*x - 9, x^18 + 5*x^17 - 11*x^16 - 85*x^15 + 14*x^14 + 574*x^13 + 276*x^12 - 1973*x^11 - 1531*x^10 + 3656*x^9 + 3380*x^8 - 3542*x^7 - 3471*x^6 + 1632*x^5 + 1488*x^4 - 361*x^3 - 222*x^2 + 27*x + 9, -x^18 - 5*x^17 + 11*x^16 + 85*x^15 - 12*x^14 - 564*x^13 - 285*x^12 + 1868*x^11 + 1491*x^10 - 3240*x^9 - 3062*x^8 + 2775*x^7 + 2790*x^6 - 966*x^5 - 934*x^4 + 109*x^3 + 74*x^2 - 6*x, x^18 + 5*x^17 - 11*x^16 - 85*x^15 + 12*x^14 + 564*x^13 + 285*x^12 - 1868*x^11 - 1491*x^10 + 3240*x^9 + 3062*x^8 - 2775*x^7 - 2790*x^6 + 966*x^5 + 934*x^4 - 109*x^3 - 74*x^2 + 6*x, -x^17 - 5*x^16 + 8*x^15 + 69*x^14 - 387*x^12 - 193*x^11 + 1124*x^10 + 822*x^9 - 1759*x^8 - 1546*x^7 + 1366*x^6 + 1392*x^5 - 400*x^4 - 483*x^3 + 42*x^2 + 40*x - 3, x^17 + 5*x^16 - 8*x^15 - 69*x^14 + 387*x^12 + 193*x^11 - 1124*x^10 - 822*x^9 + 1759*x^8 + 1546*x^7 - 1366*x^6 - 1392*x^5 + 400*x^4 + 483*x^3 - 42*x^2 - 40*x + 3, -x^17 - 5*x^16 + 9*x^15 + 75*x^14 - 2*x^13 - 452*x^12 - 240*x^11 + 1393*x^10 + 1068*x^9 - 2316*x^8 - 1967*x^7 + 2007*x^6 + 1638*x^5 - 807*x^4 - 522*x^3 + 130*x^2 + 44*x - 9, x^17 + 5*x^16 - 9*x^15 - 75*x^14 + 2*x^13 + 452*x^12 + 240*x^11 - 1393*x^10 - 1068*x^9 + 2316*x^8 + 1967*x^7 - 2007*x^6 - 1638*x^5 + 807*x^4 + 522*x^3 - 130*x^2 - 44*x + 9, -x^17 - 5*x^16 + 8*x^15 + 69*x^14 + x^13 - 380*x^12 - 188*x^11 + 1065*x^10 + 717*x^9 - 1602*x^8 - 1132*x^7 + 1264*x^6 + 794*x^5 - 493*x^4 - 219*x^3 + 84*x^2 + 19*x - 6, x^17 + 5*x^16 - 8*x^15 - 69*x^14 - x^13 + 380*x^12 + 188*x^11 - 1065*x^10 - 717*x^9 + 1602*x^8 + 1132*x^7 - 1264*x^6 - 794*x^5 + 493*x^4 + 219*x^3 - 84*x^2 - 19*x + 6, -x^17 - 5*x^16 + 11*x^15 + 85*x^14 - 12*x^13 - 564*x^12 - 285*x^11 + 1868*x^10 + 1491*x^9 - 3240*x^8 - 3062*x^7 + 2775*x^6 + 2790*x^5 - 966*x^4 - 934*x^3 + 109*x^2 + 74*x - 6, x^17 + 5*x^16 - 11*x^15 - 85*x^14 + 12*x^13 + 564*x^12 + 285*x^11 - 1868*x^10 - 1491*x^9 + 3240*x^8 + 3062*x^7 - 2775*x^6 - 2790*x^5 + 966*x^4 + 934*x^3 - 109*x^2 - 74*x + 6, -2*x^16 - 10*x^15 + 13*x^14 + 123*x^13 + 17*x^12 - 597*x^11 - 328*x^10 + 1452*x^9 + 992*x^8 - 1845*x^7 - 1269*x^6 + 1156*x^5 + 710*x^4 - 301*x^3 - 153*x^2 + 20*x + 9, 2*x^16 + 10*x^15 - 13*x^14 - 123*x^13 - 17*x^12 + 597*x^11 + 328*x^10 - 1452*x^9 - 992*x^8 + 1845*x^7 + 1269*x^6 - 1156*x^5 - 710*x^4 + 301*x^3 + 153*x^2 - 20*x - 9, -x^16 - 6*x^15 + x^14 + 64*x^13 + 66*x^12 - 252*x^11 - 381*x^10 + 445*x^9 + 842*x^8 - 331*x^7 - 810*x^6 + 76*x^5 + 295*x^4 - 18*x^3 - 29*x^2 + 4*x, x^16 + 6*x^15 - x^14 - 64*x^13 - 66*x^12 + 252*x^11 + 381*x^10 - 445*x^9 - 842*x^8 + 331*x^7 + 810*x^6 - 76*x^5 - 295*x^4 + 18*x^3 + 29*x^2 - 4*x, -x^16 - 5*x^15 + 6*x^14 + 62*x^13 + 22*x^12 - 298*x^11 - 276*x^10 + 684*x^9 + 892*x^8 - 735*x^7 - 1275*x^6 + 292*x^5 + 804*x^4 - 16*x^3 - 205*x^2 - 6*x + 15, x^16 + 5*x^15 - 6*x^14 - 62*x^13 - 22*x^12 + 298*x^11 + 276*x^10 - 684*x^9 - 892*x^8 + 735*x^7 + 1275*x^6 - 292*x^5 - 804*x^4 + 16*x^3 + 205*x^2 + 6*x - 15, -x^16 - 5*x^15 + 6*x^14 + 60*x^13 + 14*x^12 - 282*x^11 - 187*x^10 + 656*x^9 + 521*x^8 - 800*x^7 - 558*x^6 + 533*x^5 + 162*x^4 - 215*x^3 + 27*x^2 + 24*x - 6, x^16 + 5*x^15 - 6*x^14 - 60*x^13 - 14*x^12 + 282*x^11 + 187*x^10 - 656*x^9 - 521*x^8 + 800*x^7 + 558*x^6 - 533*x^5 - 162*x^4 + 215*x^3 - 27*x^2 - 24*x + 6, -x^16 - 6*x^15 + 61*x^13 + 80*x^12 - 206*x^11 - 446*x^10 + 186*x^9 + 938*x^8 + 334*x^7 - 727*x^6 - 683*x^5 + 5*x^4 + 276*x^3 + 98*x^2 - 20*x - 9, x^16 + 6*x^15 - 61*x^13 - 80*x^12 + 206*x^11 + 446*x^10 - 186*x^9 - 938*x^8 - 334*x^7 + 727*x^6 + 683*x^5 - 5*x^4 - 276*x^3 - 98*x^2 + 20*x + 9, -3*x^15 - 15*x^14 + 16*x^13 + 170*x^12 + 53*x^11 - 737*x^10 - 547*x^9 + 1516*x^8 + 1409*x^7 - 1474*x^6 - 1476*x^5 + 592*x^4 + 549*x^3 - 106*x^2 - 50*x + 9, 3*x^15 + 15*x^14 - 16*x^13 - 170*x^12 - 53*x^11 + 737*x^10 + 547*x^9 - 1516*x^8 - 1409*x^7 + 1474*x^6 + 1476*x^5 - 592*x^4 - 549*x^3 + 106*x^2 + 50*x - 9, -x^15 - 5*x^14 + 5*x^13 + 55*x^12 + 18*x^11 - 233*x^10 - 166*x^9 + 490*x^8 + 402*x^7 - 563*x^6 - 414*x^5 + 377*x^4 + 178*x^3 - 136*x^2 - 20*x + 12, x^15 + 5*x^14 - 5*x^13 - 55*x^12 - 18*x^11 + 233*x^10 + 166*x^9 - 490*x^8 - 402*x^7 + 563*x^6 + 414*x^5 - 377*x^4 - 178*x^3 + 136*x^2 + 20*x - 12, -x^15 - 4*x^14 + 9*x^13 + 46*x^12 - 30*x^11 - 211*x^10 + 48*x^9 + 487*x^8 - 44*x^7 - 578*x^6 + 31*x^5 + 317*x^4 - 18*x^3 - 61*x^2 + 3*x + 3, x^15 + 4*x^14 - 9*x^13 - 46*x^12 + 30*x^11 + 211*x^10 - 48*x^9 - 487*x^8 + 44*x^7 + 578*x^6 - 31*x^5 - 317*x^4 + 18*x^3 + 61*x^2 - 3*x - 3, -2*x^15 - 9*x^14 + 15*x^13 + 108*x^12 - 6*x^11 - 498*x^10 - 224*x^9 + 1094*x^8 + 736*x^7 - 1137*x^6 - 865*x^5 + 474*x^4 + 335*x^3 - 75*x^2 - 32*x + 6, 2*x^15 + 9*x^14 - 15*x^13 - 108*x^12 + 6*x^11 + 498*x^10 + 224*x^9 - 1094*x^8 - 736*x^7 + 1137*x^6 + 865*x^5 - 474*x^4 - 335*x^3 + 75*x^2 + 32*x - 6, -3*x^14 - 13*x^13 + 22*x^12 + 142*x^11 - 32*x^10 - 592*x^9 - 104*x^8 + 1171*x^7 + 351*x^6 - 1097*x^5 - 323*x^4 + 410*x^3 + 76*x^2 - 35*x - 3, 3*x^14 + 13*x^13 - 22*x^12 - 142*x^11 + 32*x^10 + 592*x^9 + 104*x^8 - 1171*x^7 - 351*x^6 + 1097*x^5 + 323*x^4 - 410*x^3 - 76*x^2 + 35*x + 3, -x^14 - 4*x^13 + 7*x^12 + 37*x^11 - 18*x^10 - 121*x^9 + 50*x^8 + 170*x^7 - 167*x^6 - 113*x^5 + 260*x^4 + 60*x^3 - 127*x^2 - 12*x + 12, x^14 + 4*x^13 - 7*x^12 - 37*x^11 + 18*x^10 + 121*x^9 - 50*x^8 - 170*x^7 + 167*x^6 + 113*x^5 - 260*x^4 - 60*x^3 + 127*x^2 + 12*x - 12, -x^14 - 7*x^13 - 6*x^12 + 57*x^11 + 113*x^10 - 149*x^9 - 449*x^8 + 113*x^7 + 728*x^6 + 56*x^5 - 505*x^4 - 63*x^3 + 147*x^2 + 12*x - 12, x^14 + 7*x^13 + 6*x^12 - 57*x^11 - 113*x^10 + 149*x^9 + 449*x^8 - 113*x^7 - 728*x^6 - 56*x^5 + 505*x^4 + 63*x^3 - 147*x^2 - 12*x + 12, 2*x^13 + 11*x^12 - x^11 - 94*x^10 - 95*x^9 + 270*x^8 + 399*x^7 - 283*x^6 - 561*x^5 + 57*x^4 + 245*x^3 + 3*x^2 - 20*x, -2*x^13 - 11*x^12 + x^11 + 94*x^10 + 95*x^9 - 270*x^8 - 399*x^7 + 283*x^6 + 561*x^5 - 57*x^4 - 245*x^3 - 3*x^2 + 20*x]>,
         rec<Eigen |
           DefiningPolynomial := x^24 - 3*x^23 - 31*x^22 + 97*x^21 + 402*x^20 - 1333*x^19 - 2825*x^18 + 10187*x^17 + 11576*x^16 - 47520*x^15 - 27272*x^14 + 139733*x^13 + 31933*x^12 - 258608*x^11 - 4817*x^10 + 293651*x^9 - 26127*x^8 - 196645*x^7 + 21140*x^6 + 74903*x^5 - 4562*x^4 - 14861*x^3 - 379*x^2 + 1179*x + 153,
           Coordinates        := [-x^23 + 3*x^22 + 28*x^21 - 88*x^20 - 322*x^19 + 1079*x^18 + 1963*x^17 - 7220*x^16 - 6771*x^15 + 28820*x^14 + 12789*x^13 - 70435*x^12 - 10698*x^11 + 104413*x^10 - 1065*x^9 - 90908*x^8 + 6468*x^7 + 44629*x^6 - 2222*x^5 - 11524*x^4 - 354*x^3 + 1227*x^2 + 167*x, x^23 - 3*x^22 - 28*x^21 + 88*x^20 + 322*x^19 - 1081*x^18 - 1957*x^17 + 7252*x^16 + 6675*x^15 - 29030*x^14 - 12173*x^13 + 71147*x^12 + 8676*x^11 - 105621*x^10 + 4625*x^9 + 91484*x^8 - 9640*x^7 - 43777*x^6 + 3434*x^5 + 10620*x^4 + 130*x^3 - 1011*x^2 - 139*x, -x^22 + 3*x^21 + 28*x^20 - 88*x^19 - 322*x^18 + 1079*x^17 + 1967*x^16 - 7236*x^15 - 6811*x^14 + 29034*x^13 + 12879*x^12 - 71487*x^11 - 10472*x^10 + 106701*x^9 - 2117*x^8 - 92968*x^7 + 7532*x^6 + 45131*x^5 - 2582*x^4 - 11270*x^3 - 292*x^2 + 1121*x + 153, 2*x^18 - 4*x^17 - 38*x^16 + 72*x^15 + 278*x^14 - 476*x^13 - 1004*x^12 + 1368*x^11 + 2012*x^10 - 1368*x^9 - 2796*x^8 - 522*x^7 + 3182*x^6 + 1034*x^5 - 1592*x^4 - 444*x^3 + 232*x^2 + 56*x, x^22 - 3*x^21 - 28*x^20 + 88*x^19 + 322*x^18 - 1081*x^17 - 1953*x^16 + 7236*x^15 + 6635*x^14 - 28816*x^13 - 12083*x^12 + 70095*x^11 + 8902*x^10 - 103333*x^9 + 3573*x^8 + 89424*x^7 - 8576*x^6 - 43275*x^5 + 3074*x^4 + 10874*x^3 + 192*x^2 - 1117*x - 153, x^19 - 3*x^18 - 17*x^17 + 55*x^16 + 103*x^15 - 377*x^14 - 264*x^13 + 1186*x^12 + 322*x^11 - 1690*x^10 - 714*x^9 + 1137*x^8 + 1852*x^7 - 1074*x^6 - 1313*x^5 + 574*x^4 + 338*x^3 - 88*x^2 - 28*x, x^19 - 3*x^18 - 17*x^17 + 55*x^16 + 103*x^15 - 377*x^14 - 264*x^13 + 1186*x^12 + 322*x^11 - 1690*x^10 - 714*x^9 + 1137*x^8 + 1852*x^7 - 1074*x^6 - 1313*x^5 + 574*x^4 + 338*x^3 - 88*x^2 - 28*x, x^20 - 3*x^19 - 21*x^18 + 65*x^17 + 175*x^16 - 556*x^15 - 763*x^14 + 2406*x^13 + 2009*x^12 - 5594*x^11 - 3770*x^10 + 6903*x^9 + 5572*x^8 - 4347*x^7 - 5359*x^6 + 1269*x^5 + 2391*x^4 + 13*x^3 - 353*x^2 - 52*x, x^20 - 3*x^19 - 21*x^18 + 65*x^17 + 175*x^16 - 556*x^15 - 763*x^14 + 2406*x^13 + 2009*x^12 - 5594*x^11 - 3770*x^10 + 6903*x^9 + 5572*x^8 - 4347*x^7 - 5359*x^6 + 1269*x^5 + 2391*x^4 + 13*x^3 - 353*x^2 - 52*x, 2*x^18 - 6*x^17 - 34*x^16 + 107*x^15 + 221*x^14 - 744*x^13 - 683*x^12 + 2536*x^11 + 1044*x^10 - 4398*x^9 - 924*x^8 + 3795*x^7 + 864*x^6 - 1729*x^5 - 461*x^4 + 343*x^3 + 93*x^2 - 4*x, 2*x^18 - 6*x^17 - 34*x^16 + 107*x^15 + 221*x^14 - 744*x^13 - 683*x^12 + 2536*x^11 + 1044*x^10 - 4398*x^9 - 924*x^8 + 3795*x^7 + 864*x^6 - 1729*x^5 - 461*x^4 + 343*x^3 + 93*x^2 - 4*x, 2*x^19 - 7*x^18 - 40*x^17 + 155*x^16 + 299*x^15 - 1367*x^14 - 991*x^13 + 6171*x^12 + 1043*x^11 - 15155*x^10 + 1749*x^9 + 19801*x^8 - 4614*x^7 - 12748*x^6 + 2362*x^5 + 4061*x^4 - 141*x^3 - 529*x^2 - 73*x, 2*x^19 - 7*x^18 - 40*x^17 + 155*x^16 + 299*x^15 - 1367*x^14 - 991*x^13 + 6171*x^12 + 1043*x^11 - 15155*x^10 + 1749*x^9 + 19801*x^8 - 4614*x^7 - 12748*x^6 + 2362*x^5 + 4061*x^4 - 141*x^3 - 529*x^2 - 73*x, x^21 - 3*x^20 - 24*x^19 + 75*x^18 + 232*x^17 - 766*x^16 - 1165*x^15 + 4150*x^14 + 3264*x^13 - 12951*x^12 - 5135*x^11 + 23748*x^10 + 4537*x^9 - 25285*x^8 - 2597*x^7 + 15091*x^6 + 1342*x^5 - 4622*x^4 - 550*x^3 + 565*x^2 + 101*x, x^21 - 3*x^20 - 24*x^19 + 75*x^18 + 232*x^17 - 766*x^16 - 1165*x^15 + 4150*x^14 + 3264*x^13 - 12951*x^12 - 5135*x^11 + 23748*x^10 + 4537*x^9 - 25285*x^8 - 2597*x^7 + 15091*x^6 + 1342*x^5 - 4622*x^4 - 550*x^3 + 565*x^2 + 101*x, x^19 - 3*x^18 - 19*x^17 + 60*x^16 + 138*x^15 - 474*x^14 - 464*x^13 + 1876*x^12 + 609*x^11 - 3852*x^10 + 316*x^9 + 3688*x^8 - 1520*x^7 - 906*x^6 + 1032*x^5 - 358*x^4 - 276*x^3 + 137*x^2 + 35*x, x^19 - 3*x^18 - 19*x^17 + 60*x^16 + 138*x^15 - 474*x^14 - 464*x^13 + 1876*x^12 + 609*x^11 - 3852*x^10 + 316*x^9 + 3688*x^8 - 1520*x^7 - 906*x^6 + 1032*x^5 - 358*x^4 - 276*x^3 + 137*x^2 + 35*x, 2*x^17 - 8*x^16 - 20*x^15 + 107*x^14 + 45*x^13 - 526*x^12 + 113*x^11 + 1144*x^10 - 526*x^9 - 1030*x^8 + 532*x^7 + 251*x^6 - 180*x^5 + 127*x^4 + 31*x^3 - 53*x^2 - 7*x, 2*x^17 - 8*x^16 - 20*x^15 + 107*x^14 + 45*x^13 - 526*x^12 + 113*x^11 + 1144*x^10 - 526*x^9 - 1030*x^8 + 532*x^7 + 251*x^6 - 180*x^5 + 127*x^4 + 31*x^3 - 53*x^2 - 7*x, x^20 - 3*x^19 - 22*x^18 + 69*x^17 + 192*x^16 - 644*x^15 - 841*x^14 + 3154*x^13 + 1867*x^12 - 8703*x^11 - 1619*x^10 + 13449*x^9 - 640*x^8 - 10988*x^7 + 1538*x^6 + 4528*x^5 - 573*x^4 - 807*x^3 + 27*x^2 + 23*x, x^20 - 3*x^19 - 22*x^18 + 69*x^17 + 192*x^16 - 644*x^15 - 841*x^14 + 3154*x^13 + 1867*x^12 - 8703*x^11 - 1619*x^10 + 13449*x^9 - 640*x^8 - 10988*x^7 + 1538*x^6 + 4528*x^5 - 573*x^4 - 807*x^3 + 27*x^2 + 23*x, -x^19 + 3*x^18 + 21*x^17 - 68*x^16 - 167*x^15 + 613*x^14 + 611*x^13 - 2833*x^12 - 858*x^11 + 7138*x^10 - 551*x^9 - 9546*x^8 + 2587*x^7 + 6183*x^6 - 1736*x^5 - 1959*x^4 + 265*x^3 + 253*x^2 + 29*x, -x^19 + 3*x^18 + 21*x^17 - 68*x^16 - 167*x^15 + 613*x^14 + 611*x^13 - 2833*x^12 - 858*x^11 + 7138*x^10 - 551*x^9 - 9546*x^8 + 2587*x^7 + 6183*x^6 - 1736*x^5 - 1959*x^4 + 265*x^3 + 253*x^2 + 29*x, x^20 - 4*x^19 - 20*x^18 + 96*x^17 + 134*x^16 - 921*x^15 - 205*x^14 + 4528*x^13 - 1557*x^12 - 12104*x^11 + 8037*x^10 + 17229*x^9 - 14626*x^8 - 12284*x^7 + 11266*x^6 + 4613*x^5 - 3750*x^4 - 936*x^3 + 430*x^2 + 83*x, x^20 - 4*x^19 - 20*x^18 + 96*x^17 + 134*x^16 - 921*x^15 - 205*x^14 + 4528*x^13 - 1557*x^12 - 12104*x^11 + 8037*x^10 + 17229*x^9 - 14626*x^8 - 12284*x^7 + 11266*x^6 + 4613*x^5 - 3750*x^4 - 936*x^3 + 430*x^2 + 83*x, x^22 - 3*x^21 - 26*x^20 + 82*x^19 + 273*x^18 - 927*x^17 - 1474*x^16 + 5627*x^15 + 4232*x^14 - 19885*x^13 - 5587*x^12 + 41446*x^11 + 270*x^10 - 49417*x^9 + 6457*x^8 + 31722*x^7 - 4565*x^6 - 10504*x^5 + 809*x^4 + 1488*x^3 + 24*x^2 - 31*x, x^22 - 3*x^21 - 26*x^20 + 82*x^19 + 273*x^18 - 927*x^17 - 1474*x^16 + 5627*x^15 + 4232*x^14 - 19885*x^13 - 5587*x^12 + 41446*x^11 + 270*x^10 - 49417*x^9 + 6457*x^8 + 31722*x^7 - 4565*x^6 - 10504*x^5 + 809*x^4 + 1488*x^3 + 24*x^2 - 31*x, x^18 - 3*x^17 - 20*x^16 + 63*x^15 + 156*x^14 - 534*x^13 - 575*x^12 + 2315*x^11 + 891*x^10 - 5363*x^9 + 44*x^8 + 6287*x^7 - 1370*x^6 - 3157*x^5 + 758*x^4 + 601*x^3 - 85*x^2 - 19*x, x^18 - 3*x^17 - 20*x^16 + 63*x^15 + 156*x^14 - 534*x^13 - 575*x^12 + 2315*x^11 + 891*x^10 - 5363*x^9 + 44*x^8 + 6287*x^7 - 1370*x^6 - 3157*x^5 + 758*x^4 + 601*x^3 - 85*x^2 - 19*x, x^21 - 3*x^20 - 25*x^19 + 79*x^18 + 251*x^17 - 859*x^16 - 1278*x^15 + 4995*x^14 + 3322*x^13 - 16750*x^12 - 3271*x^11 + 32456*x^10 - 2705*x^9 - 34477*x^8 + 7672*x^7 + 18182*x^6 - 3967*x^5 - 4510*x^4 + 444*x^3 + 415*x^2 + 38*x, x^21 - 3*x^20 - 25*x^19 + 79*x^18 + 251*x^17 - 859*x^16 - 1278*x^15 + 4995*x^14 + 3322*x^13 - 16750*x^12 - 3271*x^11 + 32456*x^10 - 2705*x^9 - 34477*x^8 + 7672*x^7 + 18182*x^6 - 3967*x^5 - 4510*x^4 + 444*x^3 + 415*x^2 + 38*x, -x^20 + x^19 + 27*x^18 - 25*x^17 - 302*x^16 + 251*x^15 + 1822*x^14 - 1308*x^13 - 6454*x^12 + 3780*x^11 + 13713*x^10 - 5932*x^9 - 17258*x^8 + 4510*x^7 + 12382*x^6 - 1164*x^5 - 4554*x^4 - 207*x^3 + 643*x^2 + 92*x, -x^20 + x^19 + 27*x^18 - 25*x^17 - 302*x^16 + 251*x^15 + 1822*x^14 - 1308*x^13 - 6454*x^12 + 3780*x^11 + 13713*x^10 - 5932*x^9 - 17258*x^8 + 4510*x^7 + 12382*x^6 - 1164*x^5 - 4554*x^4 - 207*x^3 + 643*x^2 + 92*x, -x^20 + 3*x^19 + 24*x^18 - 76*x^17 - 226*x^16 + 775*x^15 + 1051*x^14 - 4099*x^13 - 2425*x^12 + 12032*x^11 + 2130*x^10 - 19442*x^9 + 856*x^8 + 16300*x^7 - 2044*x^6 - 6554*x^5 + 768*x^4 + 1054*x^3 - 73*x^2 - 37*x, -x^20 + 3*x^19 + 24*x^18 - 76*x^17 - 226*x^16 + 775*x^15 + 1051*x^14 - 4099*x^13 - 2425*x^12 + 12032*x^11 + 2130*x^10 - 19442*x^9 + 856*x^8 + 16300*x^7 - 2044*x^6 - 6554*x^5 + 768*x^4 + 1054*x^3 - 73*x^2 - 37*x, x^19 - 3*x^18 - 22*x^17 + 71*x^16 + 185*x^15 - 673*x^14 - 722*x^13 + 3272*x^12 + 1140*x^11 - 8649*x^10 + 279*x^9 + 12145*x^8 - 2437*x^7 - 8434*x^6 + 1462*x^5 + 2918*x^4 - 74*x^3 - 409*x^2 - 64*x, x^19 - 3*x^18 - 22*x^17 + 71*x^16 + 185*x^15 - 673*x^14 - 722*x^13 + 3272*x^12 + 1140*x^11 - 8649*x^10 + 279*x^9 + 12145*x^8 - 2437*x^7 - 8434*x^6 + 1462*x^5 + 2918*x^4 - 74*x^3 - 409*x^2 - 64*x, -x^17 + 4*x^16 + 12*x^15 - 69*x^14 - 19*x^13 + 449*x^12 - 287*x^11 - 1356*x^10 + 1491*x^9 + 1855*x^8 - 2552*x^7 - 940*x^6 + 1466*x^5 + 208*x^4 - 266*x^3 - 13*x^2 + 8*x, -x^17 + 4*x^16 + 12*x^15 - 69*x^14 - 19*x^13 + 449*x^12 - 287*x^11 - 1356*x^10 + 1491*x^9 + 1855*x^8 - 2552*x^7 - 940*x^6 + 1466*x^5 + 208*x^4 - 266*x^3 - 13*x^2 + 8*x, -x^21 + 2*x^20 + 27*x^19 - 55*x^18 - 298*x^17 + 621*x^16 + 1738*x^15 - 3743*x^14 - 5757*x^13 + 13067*x^12 + 10791*x^11 - 26783*x^10 - 10775*x^9 + 31314*x^8 + 5285*x^7 - 19729*x^6 - 1654*x^5 + 6306*x^4 + 585*x^3 - 804*x^2 - 121*x, -x^21 + 2*x^20 + 27*x^19 - 55*x^18 - 298*x^17 + 621*x^16 + 1738*x^15 - 3743*x^14 - 5757*x^13 + 13067*x^12 + 10791*x^11 - 26783*x^10 - 10775*x^9 + 31314*x^8 + 5285*x^7 - 19729*x^6 - 1654*x^5 + 6306*x^4 + 585*x^3 - 804*x^2 - 121*x, -x^21 + 3*x^20 + 25*x^19 - 80*x^18 - 246*x^17 + 867*x^16 + 1197*x^15 - 4945*x^14 - 2854*x^13 + 16014*x^12 + 2202*x^11 - 29609*x^10 + 3069*x^9 + 30070*x^8 - 6060*x^7 - 15776*x^6 + 2709*x^5 + 4036*x^4 - 191*x^3 - 394*x^2 - 46*x, -x^21 + 3*x^20 + 25*x^19 - 80*x^18 - 246*x^17 + 867*x^16 + 1197*x^15 - 4945*x^14 - 2854*x^13 + 16014*x^12 + 2202*x^11 - 29609*x^10 + 3069*x^9 + 30070*x^8 - 6060*x^7 - 15776*x^6 + 2709*x^5 + 4036*x^4 - 191*x^3 - 394*x^2 - 46*x, -x^22 + 3*x^21 + 26*x^20 - 83*x^19 - 270*x^18 + 944*x^17 + 1419*x^16 - 5732*x^15 - 3836*x^14 + 20132*x^13 + 4178*x^12 - 41354*x^11 + 2295*x^10 + 48021*x^9 - 8771*x^8 - 29524*x^7 + 5693*x^6 + 9124*x^5 - 1167*x^4 - 1182*x^3 + 40*x^2 + 29*x, -x^22 + 3*x^21 + 26*x^20 - 83*x^19 - 270*x^18 + 944*x^17 + 1419*x^16 - 5732*x^15 - 3836*x^14 + 20132*x^13 + 4178*x^12 - 41354*x^11 + 2295*x^10 + 48021*x^9 - 8771*x^8 - 29524*x^7 + 5693*x^6 + 9124*x^5 - 1167*x^4 - 1182*x^3 + 40*x^2 + 29*x]>
       ]
>;

MOG[547] := 	// J_0(547)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [52, 87, 167, 248, 310, 321, 330*x + 318, 217*x + 318, 149*x + 327, 398*x + 327, 396*x + 387, 151*x + 387, 120*x + 462, 427*x + 462, 205*x + 63, 342*x + 63, 67*x + 453, 480*x + 453, 178*x + 438, 369*x + 438, 368*x + 476, 179*x + 476, 280*x + 384, 267*x + 384, 77*x + 28, 470*x + 28, 464*x + 31, 83*x + 31, 139*x + 279, 408*x + 279, 262*x + 495, 285*x + 495, 384*x + 105, 163*x + 105, 38*x + 215, 509*x + 215, 290*x + 478, 257*x + 478, 396*x + 160, 151*x + 160, 330*x + 477, 217*x + 477, 32*x + 38, 515*x + 38, 274*x + 486, 273*x + 486]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + 2*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, x + 2, -x - 2, -x - 2, x + 2, 1, -1, 0, 0, -1, 1, -1, 1, -1, 1, x + 3, -x - 3, 1, -1, 1, -1, -x - 1, x + 1, 0, 0, -x - 1, x + 1, x + 1, -x - 1, x + 2, -x - 2, -1, 1, -1, 1, -x - 1, x + 1, 1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^18 + 4*x^17 - 18*x^16 - 84*x^15 + 116*x^14 + 708*x^13 - 282*x^12 - 3104*x^11 - 137*x^10 + 7703*x^9 + 2068*x^8 - 11068*x^7 - 4274*x^6 + 9021*x^5 + 4048*x^4 - 3834*x^3 - 1851*x^2 + 654*x + 328,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x^17 - 4*x^16 + 16*x^15 + 76*x^14 - 87*x^13 - 568*x^12 + 143*x^11 + 2144*x^10 + 305*x^9 - 4383*x^8 - 1443*x^7 + 4853*x^6 + 1969*x^5 - 2744*x^4 - 1135*x^3 + 657*x^2 + 234*x - 30, x^17 + 4*x^16 - 16*x^15 - 76*x^14 + 87*x^13 + 568*x^12 - 143*x^11 - 2144*x^10 - 305*x^9 + 4383*x^8 + 1443*x^7 - 4853*x^6 - 1969*x^5 + 2744*x^4 + 1135*x^3 - 657*x^2 - 234*x + 30, -x^16 - 4*x^15 + 15*x^14 + 72*x^13 - 75*x^12 - 508*x^11 + 100*x^10 + 1804*x^9 + 325*x^8 - 3443*x^7 - 1263*x^6 + 3510*x^5 + 1606*x^4 - 1777*x^3 - 886*x^2 + 347*x + 178, x^16 + 4*x^15 - 15*x^14 - 72*x^13 + 75*x^12 + 508*x^11 - 100*x^10 - 1804*x^9 - 325*x^8 + 3443*x^7 + 1263*x^6 - 3510*x^5 - 1606*x^4 + 1777*x^3 + 886*x^2 - 347*x - 178, -x^16 - 4*x^15 + 14*x^14 + 68*x^13 - 64*x^12 - 452*x^11 + 68*x^10 + 1516*x^9 + 300*x^8 - 2772*x^7 - 1042*x^6 + 2767*x^5 + 1307*x^4 - 1400*x^3 - 731*x^2 + 277*x + 150, x^16 + 4*x^15 - 14*x^14 - 68*x^13 + 64*x^12 + 452*x^11 - 68*x^10 - 1516*x^9 - 300*x^8 + 2772*x^7 + 1042*x^6 - 2767*x^5 - 1307*x^4 + 1400*x^3 + 731*x^2 - 277*x - 150, -x^15 - 4*x^14 + 12*x^13 + 60*x^12 - 43*x^11 - 340*x^10 + 20*x^9 + 940*x^8 + 180*x^7 - 1343*x^6 - 363*x^5 + 967*x^4 + 249*x^3 - 310*x^2 - 56*x + 30, x^15 + 4*x^14 - 12*x^13 - 60*x^12 + 43*x^11 + 340*x^10 - 20*x^9 - 940*x^8 - 180*x^7 + 1343*x^6 + 363*x^5 - 967*x^4 - 249*x^3 + 310*x^2 + 56*x - 30, -x^15 - 4*x^14 + 11*x^13 + 56*x^12 - 33*x^11 - 289*x^10 - 6*x^9 + 705*x^8 + 157*x^7 - 878*x^6 - 226*x^5 + 560*x^4 + 120*x^3 - 171*x^2 - 21*x + 20, x^15 + 4*x^14 - 11*x^13 - 56*x^12 + 33*x^11 + 289*x^10 + 6*x^9 - 705*x^8 - 157*x^7 + 878*x^6 + 226*x^5 - 560*x^4 - 120*x^3 + 171*x^2 + 21*x - 20, -x^15 - 4*x^14 + 12*x^13 + 60*x^12 - 42*x^11 - 339*x^10 + x^9 + 906*x^8 + 244*x^7 - 1208*x^6 - 436*x^5 + 784*x^4 + 284*x^3 - 209*x^2 - 63*x + 10, x^15 + 4*x^14 - 12*x^13 - 60*x^12 + 42*x^11 + 339*x^10 - x^9 - 906*x^8 - 244*x^7 + 1208*x^6 + 436*x^5 - 784*x^4 - 284*x^3 + 209*x^2 + 63*x - 10, -2*x^14 - 8*x^13 + 21*x^12 + 110*x^11 - 52*x^10 - 555*x^9 - 91*x^8 + 1317*x^7 + 556*x^6 - 1555*x^5 - 822*x^4 + 874*x^3 + 494*x^2 - 183*x - 104, 2*x^14 + 8*x^13 - 21*x^12 - 110*x^11 + 52*x^10 + 555*x^9 + 91*x^8 - 1317*x^7 - 556*x^6 + 1555*x^5 + 822*x^4 - 874*x^3 - 494*x^2 + 183*x + 104, -x^14 - 4*x^13 + 11*x^12 + 58*x^11 - 28*x^10 - 309*x^9 - 54*x^8 + 783*x^7 + 344*x^6 - 988*x^5 - 535*x^4 + 593*x^3 + 336*x^2 - 134*x - 74, x^14 + 4*x^13 - 11*x^12 - 58*x^11 + 28*x^10 + 309*x^9 + 54*x^8 - 783*x^7 - 344*x^6 + 988*x^5 + 535*x^4 - 593*x^3 - 336*x^2 + 134*x + 74, -x^14 - 4*x^13 + 10*x^12 + 53*x^11 - 22*x^10 - 256*x^9 - 52*x^8 + 577*x^7 + 260*x^6 - 652*x^5 - 365*x^4 + 355*x^3 + 216*x^2 - 74*x - 46, x^14 + 4*x^13 - 10*x^12 - 53*x^11 + 22*x^10 + 256*x^9 + 52*x^8 - 577*x^7 - 260*x^6 + 652*x^5 + 365*x^4 - 355*x^3 - 216*x^2 + 74*x + 46, -x^14 - 4*x^13 + 12*x^12 + 60*x^11 - 41*x^10 - 338*x^9 - 13*x^8 + 891*x^7 + 300*x^6 - 1156*x^5 - 532*x^4 + 712*x^3 + 359*x^2 - 165*x - 84, x^14 + 4*x^13 - 12*x^12 - 60*x^11 + 41*x^10 + 338*x^9 + 13*x^8 - 891*x^7 - 300*x^6 + 1156*x^5 + 532*x^4 - 712*x^3 - 359*x^2 + 165*x + 84, -x^14 - 4*x^13 + 10*x^12 + 53*x^11 - 26*x^10 - 272*x^9 - 43*x^8 + 673*x^7 + 306*x^6 - 827*x^5 - 491*x^4 + 479*x^3 + 309*x^2 - 102*x - 66, x^14 + 4*x^13 - 10*x^12 - 53*x^11 + 26*x^10 + 272*x^9 + 43*x^8 - 673*x^7 - 306*x^6 + 827*x^5 + 491*x^4 - 479*x^3 - 309*x^2 + 102*x + 66, -2*x^13 - 6*x^12 + 24*x^11 + 74*x^10 - 105*x^9 - 328*x^8 + 219*x^7 + 666*x^6 - 233*x^5 - 653*x^4 + 125*x^3 + 298*x^2 - 27*x - 50, 2*x^13 + 6*x^12 - 24*x^11 - 74*x^10 + 105*x^9 + 328*x^8 - 219*x^7 - 666*x^6 + 233*x^5 + 653*x^4 - 125*x^3 - 298*x^2 + 27*x + 50, -x^13 - 2*x^12 + 16*x^11 + 32*x^10 - 88*x^9 - 172*x^8 + 220*x^7 + 407*x^6 - 268*x^5 - 446*x^4 + 162*x^3 + 220*x^2 - 39*x - 40, x^13 + 2*x^12 - 16*x^11 - 32*x^10 + 88*x^9 + 172*x^8 - 220*x^7 - 407*x^6 + 268*x^5 + 446*x^4 - 162*x^3 - 220*x^2 + 39*x + 40, -x^11 - x^10 + 14*x^9 + 15*x^8 - 56*x^7 - 52*x^6 + 96*x^5 + 72*x^4 - 75*x^3 - 44*x^2 + 21*x + 10, x^11 + x^10 - 14*x^9 - 15*x^8 + 56*x^7 + 52*x^6 - 96*x^5 - 72*x^4 + 75*x^3 + 44*x^2 - 21*x - 10, -x^13 - 3*x^12 + 11*x^11 + 33*x^10 - 46*x^9 - 128*x^8 + 103*x^7 + 226*x^6 - 139*x^5 - 205*x^4 + 96*x^3 + 97*x^2 - 25*x - 20, x^13 + 3*x^12 - 11*x^11 - 33*x^10 + 46*x^9 + 128*x^8 - 103*x^7 - 226*x^6 + 139*x^5 + 205*x^4 - 96*x^3 - 97*x^2 + 25*x + 20, -x^13 - 4*x^12 + 6*x^11 + 39*x^10 + 5*x^9 - 131*x^8 - 94*x^7 + 176*x^6 + 219*x^5 - 54*x^4 - 186*x^3 - 48*x^2 + 52*x + 24, x^13 + 4*x^12 - 6*x^11 - 39*x^10 - 5*x^9 + 131*x^8 + 94*x^7 - 176*x^6 - 219*x^5 + 54*x^4 + 186*x^3 + 48*x^2 - 52*x - 24, -x^13 - 3*x^12 + 10*x^11 + 28*x^10 - 49*x^9 - 102*x^8 + 156*x^7 + 205*x^6 - 274*x^5 - 251*x^4 + 211*x^3 + 155*x^2 - 55*x - 34, x^13 + 3*x^12 - 10*x^11 - 28*x^10 + 49*x^9 + 102*x^8 - 156*x^7 - 205*x^6 + 274*x^5 + 251*x^4 - 211*x^3 - 155*x^2 + 55*x + 34, -3*x^12 - 12*x^11 + 21*x^10 + 122*x^9 - 18*x^8 - 432*x^7 - 123*x^6 + 669*x^5 + 294*x^4 - 451*x^3 - 223*x^2 + 106*x + 54, 3*x^12 + 12*x^11 - 21*x^10 - 122*x^9 + 18*x^8 + 432*x^7 + 123*x^6 - 669*x^5 - 294*x^4 + 451*x^3 + 223*x^2 - 106*x - 54, -2*x^12 - 9*x^11 + 9*x^10 + 82*x^9 + 27*x^8 - 248*x^7 - 173*x^6 + 308*x^5 + 256*x^4 - 162*x^3 - 144*x^2 + 29*x + 26, 2*x^12 + 9*x^11 - 9*x^10 - 82*x^9 - 27*x^8 + 248*x^7 + 173*x^6 - 308*x^5 - 256*x^4 + 162*x^3 + 144*x^2 - 29*x - 26, -x^12 - 2*x^11 + 10*x^10 + 19*x^9 - 33*x^8 - 65*x^7 + 36*x^6 + 104*x^5 + 11*x^4 - 76*x^3 - 34*x^2 + 20*x + 12, x^12 + 2*x^11 - 10*x^10 - 19*x^9 + 33*x^8 + 65*x^7 - 36*x^6 - 104*x^5 - 11*x^4 + 76*x^3 + 34*x^2 - 20*x - 12]>,
         rec<Eigen |
           DefiningPolynomial := x^25 - 4*x^24 - 30*x^23 + 134*x^22 + 365*x^21 - 1926*x^20 - 2226*x^19 + 15560*x^18 + 6033*x^17 - 77601*x^16 + 4782*x^15 + 246402*x^14 - 87059*x^13 - 493902*x^12 + 275826*x^11 + 594258*x^10 - 427359*x^9 - 378617*x^8 + 334926*x^7 + 87006*x^6 - 111411*x^5 + 8810*x^4 + 6600*x^3 - 872*x^2 - 68*x + 8,
           Coordinates        := [-x^24 + 4*x^23 + 27*x^22 - 122*x^21 - 286*x^20 + 1572*x^19 + 1400*x^18 - 11144*x^17 - 1897*x^16 + 47287*x^15 - 12423*x^14 - 121845*x^13 + 68494*x^12 + 182807*x^11 - 147868*x^10 - 139111*x^9 + 153523*x^8 + 30840*x^7 - 66343*x^6 + 10524*x^5 + 5736*x^4 - 1282*x^3 - 18*x^2 + 20*x - 4, x^24 - 3*x^23 - 31*x^22 + 97*x^21 + 402*x^20 - 1334*x^19 - 2820*x^18 + 10208*x^17 + 11429*x^16 - 47612*x^15 - 25638*x^14 + 139014*x^13 + 22851*x^12 - 250183*x^11 + 22317*x^10 + 260991*x^9 - 68554*x^8 - 137387*x^7 + 51457*x^6 + 26259*x^5 - 11794*x^4 - 84*x^3 + 426*x^2 - 20*x - 4, -x^22 + 4*x^21 + 23*x^20 - 106*x^19 - 198*x^18 + 1166*x^17 + 676*x^16 - 6876*x^15 + 467*x^14 + 23337*x^13 - 11043*x^12 - 45109*x^11 + 35530*x^10 + 44919*x^9 - 51428*x^8 - 15921*x^7 + 34151*x^6 - 3418*x^5 - 8891*x^4 + 3002*x^3 - 74*x^2 - 76*x + 8, -x^23 + 4*x^22 + 25*x^21 - 114*x^20 - 240*x^19 + 1360*x^18 + 1004*x^17 - 8814*x^16 - 539*x^15 + 33579*x^14 - 11625*x^13 - 75549*x^12 + 47626*x^11 + 94213*x^10 - 82366*x^9 - 52913*x^8 + 64525*x^7 + 2556*x^6 - 16541*x^5 + 4744*x^4 - 1236*x^3 + 392*x^2 - 44*x, -x^22 + 4*x^21 + 23*x^20 - 106*x^19 - 198*x^18 + 1164*x^17 + 682*x^16 - 6832*x^15 + 331*x^14 + 22959*x^13 - 9825*x^12 - 43485*x^11 + 29972*x^10 + 41279*x^9 - 37570*x^8 - 12363*x^7 + 15651*x^6 - 2362*x^5 + 1919*x^4 - 1328*x^3 + 48*x^2 + 56*x - 4, 2*x^23 - 6*x^22 - 60*x^21 + 190*x^20 + 740*x^19 - 2532*x^18 - 4812*x^17 + 18560*x^16 + 17192*x^15 - 81750*x^14 - 29104*x^13 + 220868*x^12 - 3326*x^11 - 355584*x^10 + 97814*x^9 + 309784*x^8 - 146082*x^7 - 112204*x^6 + 73358*x^5 + 2900*x^4 - 6090*x^3 + 426*x^2 + 84*x - 4, x^22 - 2*x^21 - 32*x^20 + 68*x^19 + 414*x^18 - 928*x^17 - 2833*x^16 + 6737*x^15 + 11086*x^14 - 28580*x^13 - 24514*x^12 + 72391*x^11 + 26590*x^10 - 106099*x^9 - 4487*x^8 + 81285*x^7 - 14778*x^6 - 24809*x^5 + 8749*x^4 + 297*x^3 - 384*x^2 + 18*x + 4, x^22 - 2*x^21 - 32*x^20 + 68*x^19 + 414*x^18 - 928*x^17 - 2833*x^16 + 6737*x^15 + 11086*x^14 - 28580*x^13 - 24514*x^12 + 72391*x^11 + 26590*x^10 - 106099*x^9 - 4487*x^8 + 81285*x^7 - 14778*x^6 - 24809*x^5 + 8749*x^4 + 297*x^3 - 384*x^2 + 18*x + 4, -x^23 + 4*x^22 + 27*x^21 - 120*x^20 - 293*x^19 + 1528*x^18 + 1566*x^17 - 10750*x^16 - 3551*x^15 + 45489*x^14 - 3470*x^13 - 117773*x^12 + 40166*x^11 + 180467*x^10 - 95735*x^9 - 147432*x^8 + 102029*x^7 + 47487*x^6 - 44567*x^5 + 1392*x^4 + 3909*x^3 - 622*x^2 - 14*x + 4, -x^23 + 4*x^22 + 27*x^21 - 120*x^20 - 293*x^19 + 1528*x^18 + 1566*x^17 - 10750*x^16 - 3551*x^15 + 45489*x^14 - 3470*x^13 - 117773*x^12 + 40166*x^11 + 180467*x^10 - 95735*x^9 - 147432*x^8 + 102029*x^7 + 47487*x^6 - 44567*x^5 + 1392*x^4 + 3909*x^3 - 622*x^2 - 14*x + 4, x^21 - 2*x^20 - 33*x^19 + 76*x^18 + 413*x^17 - 1073*x^16 - 2555*x^15 + 7681*x^14 + 8060*x^13 - 30704*x^12 - 10250*x^11 + 69018*x^10 - 6566*x^9 - 81067*x^8 + 29275*x^7 + 39908*x^6 - 20042*x^5 - 3995*x^4 + 1797*x^3 + 214*x^2 - 66*x, x^21 - 2*x^20 - 33*x^19 + 76*x^18 + 413*x^17 - 1073*x^16 - 2555*x^15 + 7681*x^14 + 8060*x^13 - 30704*x^12 - 10250*x^11 + 69018*x^10 - 6566*x^9 - 81067*x^8 + 29275*x^7 + 39908*x^6 - 20042*x^5 - 3995*x^4 + 1797*x^3 + 214*x^2 - 66*x, -x^22 + 4*x^21 + 25*x^20 - 112*x^19 - 248*x^18 + 1322*x^17 + 1179*x^16 - 8535*x^15 - 2133*x^14 + 32652*x^13 - 3814*x^12 - 74731*x^11 + 25543*x^10 + 97778*x^9 - 47007*x^8 - 64638*x^7 + 36554*x^6 + 15677*x^5 - 10576*x^4 + 363*x^3 + 388*x^2 - 34*x, -x^22 + 4*x^21 + 25*x^20 - 112*x^19 - 248*x^18 + 1322*x^17 + 1179*x^16 - 8535*x^15 - 2133*x^14 + 32652*x^13 - 3814*x^12 - 74731*x^11 + 25543*x^10 + 97778*x^9 - 47007*x^8 - 64638*x^7 + 36554*x^6 + 15677*x^5 - 10576*x^4 + 363*x^3 + 388*x^2 - 34*x, -x^20 + 6*x^19 + 11*x^18 - 124*x^17 + 37*x^16 + 1018*x^15 - 1099*x^14 - 4144*x^13 + 6613*x^12 + 8273*x^11 - 18333*x^10 - 5750*x^9 + 24436*x^8 - 3488*x^7 - 13437*x^6 + 4773*x^5 + 2307*x^4 - 1096*x^3 - 4*x^2 + 44*x - 4, -x^20 + 6*x^19 + 11*x^18 - 124*x^17 + 37*x^16 + 1018*x^15 - 1099*x^14 - 4144*x^13 + 6613*x^12 + 8273*x^11 - 18333*x^10 - 5750*x^9 + 24436*x^8 - 3488*x^7 - 13437*x^6 + 4773*x^5 + 2307*x^4 - 1096*x^3 - 4*x^2 + 44*x - 4, 2*x^19 - 12*x^18 - 21*x^17 + 241*x^16 - 74*x^15 - 1927*x^14 + 2020*x^13 + 7651*x^12 - 11646*x^11 - 14823*x^10 + 30782*x^9 + 9326*x^8 - 37889*x^7 + 8173*x^6 + 16041*x^5 - 9259*x^4 + 1013*x^3 + 322*x^2 - 62*x, 2*x^19 - 12*x^18 - 21*x^17 + 241*x^16 - 74*x^15 - 1927*x^14 + 2020*x^13 + 7651*x^12 - 11646*x^11 - 14823*x^10 + 30782*x^9 + 9326*x^8 - 37889*x^7 + 8173*x^6 + 16041*x^5 - 9259*x^4 + 1013*x^3 + 322*x^2 - 62*x, -x^21 + 4*x^20 + 23*x^19 - 103*x^18 - 212*x^17 + 1122*x^16 + 953*x^15 - 6704*x^14 - 1738*x^13 + 23757*x^12 - 2035*x^11 - 50121*x^10 + 15533*x^9 + 59083*x^8 - 27525*x^7 - 32148*x^6 + 18524*x^5 + 3770*x^4 - 2382*x^3 + 64*x^2 + 36*x, -x^21 + 4*x^20 + 23*x^19 - 103*x^18 - 212*x^17 + 1122*x^16 + 953*x^15 - 6704*x^14 - 1738*x^13 + 23757*x^12 - 2035*x^11 - 50121*x^10 + 15533*x^9 + 59083*x^8 - 27525*x^7 - 32148*x^6 + 18524*x^5 + 3770*x^4 - 2382*x^3 + 64*x^2 + 36*x, -x^21 + 4*x^20 + 22*x^19 - 103*x^18 - 175*x^17 + 1093*x^16 + 465*x^15 - 6133*x^14 + 1394*x^13 + 19285*x^12 - 12588*x^11 - 32568*x^10 + 33195*x^9 + 23711*x^8 - 37950*x^7 + 338*x^6 + 15467*x^5 - 4799*x^4 - 1139*x^3 + 524*x^2 - 22*x - 4, -x^21 + 4*x^20 + 22*x^19 - 103*x^18 - 175*x^17 + 1093*x^16 + 465*x^15 - 6133*x^14 + 1394*x^13 + 19285*x^12 - 12588*x^11 - 32568*x^10 + 33195*x^9 + 23711*x^8 - 37950*x^7 + 338*x^6 + 15467*x^5 - 4799*x^4 - 1139*x^3 + 524*x^2 - 22*x - 4, -x^21 + 4*x^20 + 21*x^19 - 97*x^18 - 164*x^17 + 969*x^16 + 503*x^15 - 5121*x^14 + 291*x^13 + 15220*x^12 - 6048*x^11 - 24647*x^10 + 15469*x^9 + 18496*x^8 - 15187*x^7 - 2987*x^6 + 3825*x^5 - 871*x^4 + 581*x^3 - 234*x^2 + 26*x, -x^21 + 4*x^20 + 21*x^19 - 97*x^18 - 164*x^17 + 969*x^16 + 503*x^15 - 5121*x^14 + 291*x^13 + 15220*x^12 - 6048*x^11 - 24647*x^10 + 15469*x^9 + 18496*x^8 - 15187*x^7 - 2987*x^6 + 3825*x^5 - 871*x^4 + 581*x^3 - 234*x^2 + 26*x, -x^21 + 4*x^20 + 21*x^19 - 98*x^18 - 161*x^17 + 991*x^16 + 435*x^15 - 5310*x^14 + 900*x^13 + 16032*x^12 - 8827*x^11 - 26467*x^10 + 22398*x^9 + 20275*x^8 - 24437*x^7 - 2459*x^6 + 9230*x^5 - 3036*x^4 + 642*x^3 - 168*x^2 + 20*x, -x^21 + 4*x^20 + 21*x^19 - 98*x^18 - 161*x^17 + 991*x^16 + 435*x^15 - 5310*x^14 + 900*x^13 + 16032*x^12 - 8827*x^11 - 26467*x^10 + 22398*x^9 + 20275*x^8 - 24437*x^7 - 2459*x^6 + 9230*x^5 - 3036*x^4 + 642*x^3 - 168*x^2 + 20*x, x^18 - 11*x^17 + 8*x^16 + 193*x^15 - 351*x^14 - 1309*x^13 + 3026*x^12 + 4254*x^11 - 11769*x^10 - 6506*x^9 + 22903*x^8 + 3335*x^7 - 21408*x^6 + 1553*x^5 + 8044*x^4 - 2117*x^3 - 108*x^2 + 46*x, x^18 - 11*x^17 + 8*x^16 + 193*x^15 - 351*x^14 - 1309*x^13 + 3026*x^12 + 4254*x^11 - 11769*x^10 - 6506*x^9 + 22903*x^8 + 3335*x^7 - 21408*x^6 + 1553*x^5 + 8044*x^4 - 2117*x^3 - 108*x^2 + 46*x, -x^20 + 3*x^19 + 25*x^18 - 76*x^17 - 263*x^16 + 813*x^15 + 1494*x^14 - 4751*x^13 - 4834*x^12 + 16337*x^11 + 8323*x^10 - 32945*x^9 - 4954*x^8 + 35978*x^7 - 4593*x^6 - 16680*x^5 + 5887*x^4 + 797*x^3 - 348*x^2 - 10*x + 4, -x^20 + 3*x^19 + 25*x^18 - 76*x^17 - 263*x^16 + 813*x^15 + 1494*x^14 - 4751*x^13 - 4834*x^12 + 16337*x^11 + 8323*x^10 - 32945*x^9 - 4954*x^8 + 35978*x^7 - 4593*x^6 - 16680*x^5 + 5887*x^4 + 797*x^3 - 348*x^2 - 10*x + 4, -x^20 + 3*x^19 + 24*x^18 - 77*x^17 - 226*x^16 + 806*x^15 + 1031*x^14 - 4420*x^13 - 2121*x^12 + 13499*x^11 + 403*x^10 - 22281*x^9 + 5250*x^8 + 17183*x^7 - 6493*x^6 - 3761*x^5 + 1455*x^4 + 14*x^3 - 60*x^2 + 24*x - 4, -x^20 + 3*x^19 + 24*x^18 - 77*x^17 - 226*x^16 + 806*x^15 + 1031*x^14 - 4420*x^13 - 2121*x^12 + 13499*x^11 + 403*x^10 - 22281*x^9 + 5250*x^8 + 17183*x^7 - 6493*x^6 - 3761*x^5 + 1455*x^4 + 14*x^3 - 60*x^2 + 24*x - 4, -2*x^20 + 6*x^19 + 49*x^18 - 152*x^17 - 488*x^16 + 1596*x^15 + 2496*x^14 - 8947*x^13 - 6653*x^12 + 28664*x^11 + 7249*x^10 - 51786*x^9 + 3807*x^8 + 47793*x^7 - 14594*x^6 - 16715*x^5 + 7982*x^4 + 147*x^3 - 350*x^2 + 6*x + 4, -2*x^20 + 6*x^19 + 49*x^18 - 152*x^17 - 488*x^16 + 1596*x^15 + 2496*x^14 - 8947*x^13 - 6653*x^12 + 28664*x^11 + 7249*x^10 - 51786*x^9 + 3807*x^8 + 47793*x^7 - 14594*x^6 - 16715*x^5 + 7982*x^4 + 147*x^3 - 350*x^2 + 6*x + 4, -x^20 + 3*x^19 + 23*x^18 - 73*x^17 - 210*x^16 + 737*x^15 + 923*x^14 - 3973*x^13 - 1618*x^12 + 12189*x^11 - 1728*x^10 - 20673*x^9 + 11805*x^8 + 16422*x^7 - 16889*x^6 - 2226*x^5 + 7165*x^4 - 2140*x^3 + 104*x^2 + 32*x - 4, -x^20 + 3*x^19 + 23*x^18 - 73*x^17 - 210*x^16 + 737*x^15 + 923*x^14 - 3973*x^13 - 1618*x^12 + 12189*x^11 - 1728*x^10 - 20673*x^9 + 11805*x^8 + 16422*x^7 - 16889*x^6 - 2226*x^5 + 7165*x^4 - 2140*x^3 + 104*x^2 + 32*x - 4, -x^18 + 3*x^17 + 13*x^16 - 37*x^15 - 64*x^14 + 101*x^13 + 268*x^12 + 385*x^11 - 1567*x^10 - 2215*x^9 + 5787*x^8 + 2207*x^7 - 9014*x^6 + 2254*x^5 + 3784*x^4 - 2186*x^3 + 164*x^2 + 68*x - 8, -x^18 + 3*x^17 + 13*x^16 - 37*x^15 - 64*x^14 + 101*x^13 + 268*x^12 + 385*x^11 - 1567*x^10 - 2215*x^9 + 5787*x^8 + 2207*x^7 - 9014*x^6 + 2254*x^5 + 3784*x^4 - 2186*x^3 + 164*x^2 + 68*x - 8, -x^19 + 2*x^18 + 26*x^17 - 61*x^16 - 240*x^15 + 682*x^14 + 905*x^13 - 3665*x^12 - 508*x^11 + 9884*x^10 - 5664*x^9 - 11778*x^8 + 14274*x^7 + 2394*x^6 - 10251*x^5 + 3358*x^4 + 1065*x^3 - 440*x^2 - 6*x + 8, -x^19 + 2*x^18 + 26*x^17 - 61*x^16 - 240*x^15 + 682*x^14 + 905*x^13 - 3665*x^12 - 508*x^11 + 9884*x^10 - 5664*x^9 - 11778*x^8 + 14274*x^7 + 2394*x^6 - 10251*x^5 + 3358*x^4 + 1065*x^3 - 440*x^2 - 6*x + 8, -x^19 + 2*x^18 + 25*x^17 - 46*x^16 - 272*x^15 + 459*x^14 + 1655*x^13 - 2586*x^12 - 5979*x^11 + 8853*x^10 + 12458*x^9 - 18151*x^8 - 13046*x^7 + 20061*x^6 + 4043*x^5 - 8860*x^4 + 1237*x^3 + 274*x^2 - 22*x - 4, -x^19 + 2*x^18 + 25*x^17 - 46*x^16 - 272*x^15 + 459*x^14 + 1655*x^13 - 2586*x^12 - 5979*x^11 + 8853*x^10 + 12458*x^9 - 18151*x^8 - 13046*x^7 + 20061*x^6 + 4043*x^5 - 8860*x^4 + 1237*x^3 + 274*x^2 - 22*x - 4, -x^19 + x^18 + 27*x^17 - 22*x^16 - 317*x^15 + 225*x^14 + 2064*x^13 - 1413*x^12 - 7869*x^11 + 5702*x^10 + 17009*x^9 - 13879*x^8 - 18124*x^7 + 17650*x^6 + 5566*x^5 - 8434*x^4 + 1663*x^3 + 162*x^2 - 62*x + 4, -x^19 + x^18 + 27*x^17 - 22*x^16 - 317*x^15 + 225*x^14 + 2064*x^13 - 1413*x^12 - 7869*x^11 + 5702*x^10 + 17009*x^9 - 13879*x^8 - 18124*x^7 + 17650*x^6 + 5566*x^5 - 8434*x^4 + 1663*x^3 + 162*x^2 - 62*x + 4, -x^17 + x^16 + 15*x^15 - 7*x^14 - 78*x^13 - 55*x^12 + 158*x^11 + 701*x^10 - 165*x^9 - 2545*x^8 + 697*x^7 + 3601*x^6 - 1812*x^5 - 1370*x^4 + 1044*x^3 - 98*x^2 - 32*x + 4, -x^17 + x^16 + 15*x^15 - 7*x^14 - 78*x^13 - 55*x^12 + 158*x^11 + 701*x^10 - 165*x^9 - 2545*x^8 + 697*x^7 + 3601*x^6 - 1812*x^5 - 1370*x^4 + 1044*x^3 - 98*x^2 - 32*x + 4]>
       ]
>;

MOG[557] := 	// J_0(557)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 95, 110, 202, 204, 449, 511, 528, 534, 70*x + 29, 487*x + 29, 252*x + 454, 305*x + 454, 465*x + 61, 92*x + 61, 514*x + 1, 43*x + 1, 304*x + 543, 253*x + 543, 244*x + 85, 313*x + 85, 33*x + 540, 524*x + 540, 115*x + 230, 442*x + 230, 33*x + 171, 524*x + 171, 257*x + 371, 300*x + 371, 380*x + 156, 177*x + 156, 133*x + 393, 424*x + 393, 139*x + 442, 418*x + 442, 414*x + 537, 143*x + 537, 464*x + 527, 93*x + 527, 67*x + 220, 490*x + 220, 34*x + 120, 523*x + 120, 34*x + 362, 523*x + 362, 53*x + 374, 504*x + 374]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 1, -1, 1, -1, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, -1, 1, 0, 0, -1, 1, 0, 0, 0, 0, -1, 1, 0, 0, -1, 1, 0, 0, 0, 0, 0, 0, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x - 2,
           Coordinates        := [-1/2, 1/2, 1/2, 1/2, 0, -1/2, -1/2, -1, -1/2, 1/4, 1/4, 0, 0, 0, 0, 0, 0, -1/4, -1/4, -1/4, -1/4, 0, 0, -1/4, -1/4, 1/4, 1/4, -3/4, -3/4, 1/4, 1/4, -1/4, -1/4, -3/4, -3/4, 3/4, 3/4, 1/2, 1/2, 3/4, 3/4, -1/4, -1/4, 1, 1, -1/4, -1/4]>,
         rec<Eigen |
           DefiningPolynomial := x^18 + 6*x^17 - 6*x^16 - 98*x^15 - 83*x^14 + 588*x^13 + 978*x^12 - 1507*x^11 - 3913*x^10 + 1062*x^9 + 7268*x^8 + 2007*x^7 - 6225*x^6 - 3695*x^5 + 2078*x^4 + 1980*x^3 - 23*x^2 - 339*x - 72,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, x^17 + 5*x^16 - 10*x^15 - 84*x^14 - 13*x^13 + 526*x^12 + 482*x^11 - 1513*x^10 - 2135*x^9 + 1925*x^8 + 3982*x^7 - 632*x^6 - 3385*x^5 - 518*x^4 + 1269*x^3 + 371*x^2 - 174*x - 63, -x^17 - 5*x^16 + 10*x^15 + 84*x^14 + 13*x^13 - 526*x^12 - 482*x^11 + 1513*x^10 + 2135*x^9 - 1925*x^8 - 3982*x^7 + 632*x^6 + 3385*x^5 + 518*x^4 - 1269*x^3 - 371*x^2 + 174*x + 63, -x^17 - 5*x^16 + 9*x^15 + 78*x^14 + 13*x^13 - 465*x^12 - 403*x^11 + 1308*x^10 + 1724*x^9 - 1671*x^8 - 3156*x^7 + 583*x^6 + 2603*x^5 + 417*x^4 - 879*x^3 - 278*x^2 + 93*x + 36, x^17 + 5*x^16 - 9*x^15 - 78*x^14 - 13*x^13 + 465*x^12 + 403*x^11 - 1308*x^10 - 1724*x^9 + 1671*x^8 + 3156*x^7 - 583*x^6 - 2603*x^5 - 417*x^4 + 879*x^3 + 278*x^2 - 93*x - 36, x^16 + 5*x^15 - 8*x^14 - 75*x^13 - 31*x^12 + 397*x^11 + 470*x^10 - 861*x^9 - 1615*x^8 + 517*x^7 + 2257*x^6 + 574*x^5 - 1226*x^4 - 730*x^3 + 127*x^2 + 183*x + 36, -x^16 - 5*x^15 + 8*x^14 + 75*x^13 + 31*x^12 - 397*x^11 - 470*x^10 + 861*x^9 + 1615*x^8 - 517*x^7 - 2257*x^6 - 574*x^5 + 1226*x^4 + 730*x^3 - 127*x^2 - 183*x - 36, -x^16 - 5*x^15 + 7*x^14 + 68*x^13 + 24*x^12 - 345*x^11 - 345*x^10 + 796*x^9 + 1193*x^8 - 711*x^7 - 1775*x^6 - 134*x^5 + 1050*x^4 + 430*x^3 - 156*x^2 - 120*x - 18, x^16 + 5*x^15 - 7*x^14 - 68*x^13 - 24*x^12 + 345*x^11 + 345*x^10 - 796*x^9 - 1193*x^8 + 711*x^7 + 1775*x^6 + 134*x^5 - 1050*x^4 - 430*x^3 + 156*x^2 + 120*x + 18, -x^16 - 5*x^15 + 7*x^14 + 68*x^13 + 25*x^12 - 336*x^11 - 331*x^10 + 730*x^9 + 994*x^8 - 681*x^7 - 1215*x^6 + 241*x^5 + 667*x^4 + 3*x^3 - 145*x^2 - 9*x + 9, x^16 + 5*x^15 - 7*x^14 - 68*x^13 - 25*x^12 + 336*x^11 + 331*x^10 - 730*x^9 - 994*x^8 + 681*x^7 + 1215*x^6 - 241*x^5 - 667*x^4 - 3*x^3 + 145*x^2 + 9*x - 9, x^15 + 4*x^14 - 11*x^13 - 59*x^12 + 23*x^11 + 315*x^10 + 115*x^9 - 753*x^8 - 554*x^7 + 810*x^6 + 815*x^5 - 341*x^4 - 507*x^3 - 10*x^2 + 111*x + 27, -x^15 - 4*x^14 + 11*x^13 + 59*x^12 - 23*x^11 - 315*x^10 - 115*x^9 + 753*x^8 + 554*x^7 - 810*x^6 - 815*x^5 + 341*x^4 + 507*x^3 + 10*x^2 - 111*x - 27, x^15 + 5*x^14 - 7*x^13 - 70*x^12 - 35*x^11 + 337*x^10 + 405*x^9 - 655*x^8 - 1171*x^7 + 396*x^6 + 1344*x^5 + 129*x^4 - 635*x^3 - 178*x^2 + 99*x + 36, -x^15 - 5*x^14 + 7*x^13 + 70*x^12 + 35*x^11 - 337*x^10 - 405*x^9 + 655*x^8 + 1171*x^7 - 396*x^6 - 1344*x^5 - 129*x^4 + 635*x^3 + 178*x^2 - 99*x - 36, -x^15 - 5*x^14 + 6*x^13 + 62*x^12 + 25*x^11 - 279*x^10 - 262*x^9 + 574*x^8 + 732*x^7 - 522*x^6 - 899*x^5 + 116*x^4 + 475*x^3 + 64*x^2 - 93*x - 27, x^15 + 5*x^14 - 6*x^13 - 62*x^12 - 25*x^11 + 279*x^10 + 262*x^9 - 574*x^8 - 732*x^7 + 522*x^6 + 899*x^5 - 116*x^4 - 475*x^3 - 64*x^2 + 93*x + 27, -x^15 - 5*x^14 + 5*x^13 + 58*x^12 + 33*x^11 - 233*x^10 - 269*x^9 + 386*x^8 + 649*x^7 - 195*x^6 - 654*x^5 - 103*x^4 + 248*x^3 + 94*x^2 - 18*x - 9, x^15 + 5*x^14 - 5*x^13 - 58*x^12 - 33*x^11 + 233*x^10 + 269*x^9 - 386*x^8 - 649*x^7 + 195*x^6 + 654*x^5 + 103*x^4 - 248*x^3 - 94*x^2 + 18*x + 9, -x^15 - 5*x^14 + 7*x^13 + 68*x^12 + 25*x^11 - 338*x^10 - 339*x^9 + 737*x^8 + 1053*x^7 - 658*x^6 - 1356*x^5 + 120*x^4 + 776*x^3 + 143*x^2 - 144*x - 45, x^15 + 5*x^14 - 7*x^13 - 68*x^12 - 25*x^11 + 338*x^10 + 339*x^9 - 737*x^8 - 1053*x^7 + 658*x^6 + 1356*x^5 - 120*x^4 - 776*x^3 - 143*x^2 + 144*x + 45, -x^15 - 5*x^14 + 5*x^13 + 61*x^12 + 47*x^11 - 240*x^10 - 391*x^9 + 253*x^8 + 888*x^7 + 316*x^6 - 580*x^5 - 534*x^4 - 42*x^3 + 126*x^2 + 60*x + 9, x^15 + 5*x^14 - 5*x^13 - 61*x^12 - 47*x^11 + 240*x^10 + 391*x^9 - 253*x^8 - 888*x^7 - 316*x^6 + 580*x^5 + 534*x^4 + 42*x^3 - 126*x^2 - 60*x - 9, x^14 + 5*x^13 - 5*x^12 - 59*x^11 - 40*x^10 + 223*x^9 + 308*x^8 - 261*x^7 - 632*x^6 - 100*x^5 + 378*x^4 + 213*x^3 - 26*x^2 - 45*x - 9, -x^14 - 5*x^13 + 5*x^12 + 59*x^11 + 40*x^10 - 223*x^9 - 308*x^8 + 261*x^7 + 632*x^6 + 100*x^5 - 378*x^4 - 213*x^3 + 26*x^2 + 45*x + 9, -2*x^11 - 8*x^10 + 7*x^9 + 59*x^8 + 23*x^7 - 141*x^6 - 121*x^5 + 109*x^4 + 140*x^3 + x^2 - 36*x - 9, 2*x^11 + 8*x^10 - 7*x^9 - 59*x^8 - 23*x^7 + 141*x^6 + 121*x^5 - 109*x^4 - 140*x^3 - x^2 + 36*x + 9, x^14 + 5*x^13 - 4*x^12 - 58*x^11 - 57*x^10 + 199*x^9 + 385*x^8 - 144*x^7 - 772*x^6 - 324*x^5 + 482*x^4 + 412*x^3 - 29*x^2 - 111*x - 27, -x^14 - 5*x^13 + 4*x^12 + 58*x^11 + 57*x^10 - 199*x^9 - 385*x^8 + 144*x^7 + 772*x^6 + 324*x^5 - 482*x^4 - 412*x^3 + 29*x^2 + 111*x + 27, -x^14 - 6*x^13 + x^12 + 66*x^11 + 83*x^10 - 222*x^9 - 461*x^8 + 189*x^7 + 876*x^6 + 250*x^5 - 575*x^4 - 366*x^3 + 63*x^2 + 93*x + 18, x^14 + 6*x^13 - x^12 - 66*x^11 - 83*x^10 + 222*x^9 + 461*x^8 - 189*x^7 - 876*x^6 - 250*x^5 + 575*x^4 + 366*x^3 - 63*x^2 - 93*x - 18, -x^14 - 4*x^13 + 9*x^12 + 49*x^11 - 16*x^10 - 217*x^9 - 52*x^8 + 438*x^7 + 211*x^6 - 406*x^5 - 248*x^4 + 145*x^3 + 103*x^2 - 9*x - 9, x^14 + 4*x^13 - 9*x^12 - 49*x^11 + 16*x^10 + 217*x^9 + 52*x^8 - 438*x^7 - 211*x^6 + 406*x^5 + 248*x^4 - 145*x^3 - 103*x^2 + 9*x + 9, -x^14 - 6*x^13 + 63*x^11 + 92*x^10 - 193*x^9 - 492*x^8 + 78*x^7 + 910*x^6 + 437*x^5 - 554*x^4 - 481*x^3 + 35*x^2 + 120*x + 27, x^14 + 6*x^13 - 63*x^11 - 92*x^10 + 193*x^9 + 492*x^8 - 78*x^7 - 910*x^6 - 437*x^5 + 554*x^4 + 481*x^3 - 35*x^2 - 120*x - 27, -x^14 - 3*x^13 + 13*x^12 + 44*x^11 - 55*x^10 - 242*x^9 + 50*x^8 + 588*x^7 + 156*x^6 - 612*x^5 - 292*x^4 + 240*x^3 + 130*x^2 - 33*x - 18, x^14 + 3*x^13 - 13*x^12 - 44*x^11 + 55*x^10 + 242*x^9 - 50*x^8 - 588*x^7 - 156*x^6 + 612*x^5 + 292*x^4 - 240*x^3 - 130*x^2 + 33*x + 18, -x^14 - 4*x^13 + 9*x^12 + 52*x^11 - 5*x^10 - 235*x^9 - 156*x^8 + 409*x^7 + 479*x^6 - 163*x^5 - 417*x^4 - 117*x^3 + 75*x^2 + 51*x + 9, x^14 + 4*x^13 - 9*x^12 - 52*x^11 + 5*x^10 + 235*x^9 + 156*x^8 - 409*x^7 - 479*x^6 + 163*x^5 + 417*x^4 + 117*x^3 - 75*x^2 - 51*x - 9]>,
         rec<Eigen |
           DefiningPolynomial := x^26 - x^25 - 40*x^24 + 36*x^23 + 701*x^22 - 557*x^21 - 7078*x^20 + 4855*x^19 + 45533*x^18 - 26248*x^17 - 194780*x^16 + 91281*x^15 + 561051*x^14 - 204613*x^13 - 1077249*x^12 + 286983*x^11 + 1332859*x^10 - 233167*x^9 - 994145*x^8 + 90493*x^7 + 396290*x^6 - 6446*x^5 - 68301*x^4 - 2616*x^3 + 3093*x^2 + 320*x + 1,
           Coordinates        := [-2*x^21 + 2*x^20 + 60*x^19 - 50*x^18 - 764*x^17 + 510*x^16 + 5374*x^15 - 2736*x^14 - 22758*x^13 + 8304*x^12 + 59284*x^11 - 14276*x^10 - 93068*x^9 + 13152*x^8 + 82426*x^7 - 5856*x^6 - 36020*x^5 + 1394*x^4 + 6224*x^3 - 322*x^2 - 252*x - 10, -x^25 + x^24 + 37*x^23 - 33*x^22 - 596*x^21 + 464*x^20 + 5490*x^19 - 3637*x^18 - 31937*x^17 + 17461*x^16 + 122281*x^15 - 53118*x^14 - 311596*x^13 + 102283*x^12 + 522649*x^11 - 120440*x^10 - 558152*x^9 + 79629*x^8 + 356387*x^7 - 24160*x^6 - 121437*x^5 + 1706*x^4 + 17352*x^3 + 80*x^2 - 501*x - 12, x^25 - x^24 - 37*x^23 + 35*x^22 + 594*x^21 - 526*x^20 - 5436*x^19 + 4455*x^18 + 31323*x^17 - 23439*x^16 - 118443*x^15 + 79528*x^14 + 297118*x^13 - 174619*x^12 - 488505*x^11 + 241690*x^10 + 507696*x^9 - 197621*x^8 - 311205*x^7 + 83438*x^6 + 99349*x^5 - 13258*x^4 - 12954*x^3 - 86*x^2 + 339*x + 20, -2*x^19 + 2*x^18 + 50*x^17 - 42*x^16 - 514*x^15 + 362*x^14 + 2794*x^13 - 1686*x^12 - 8636*x^11 + 4710*x^10 + 15318*x^9 - 8120*x^8 - 15140*x^7 + 8206*x^6 + 7872*x^5 - 4222*x^4 - 1960*x^3 + 1044*x^2 + 250*x + 2, -x^24 + x^23 + 35*x^22 - 31*x^21 - 528*x^20 + 404*x^19 + 4494*x^18 - 2875*x^17 - 23713*x^16 + 12115*x^15 + 80205*x^14 - 30440*x^13 - 173468*x^12 + 42495*x^11 + 231257*x^10 - 23806*x^9 - 173812*x^8 - 10395*x^7 + 59287*x^6 + 17102*x^5 - 3247*x^4 - 3808*x^3 - 946*x^2 - 106*x - 3, 2*x^19 - 6*x^18 - 48*x^17 + 152*x^16 + 464*x^15 - 1578*x^14 - 2308*x^13 + 8646*x^12 + 6218*x^11 - 26786*x^10 - 8526*x^9 + 46482*x^8 + 4242*x^7 - 41574*x^6 + 1196*x^5 + 15604*x^4 - 770*x^3 - 1808*x^2 - 86*x + 20, x^24 - x^23 - 35*x^22 + 33*x^21 + 528*x^20 - 464*x^19 - 4508*x^18 + 3645*x^17 + 24035*x^16 - 17581*x^15 - 83243*x^14 + 53674*x^13 + 188642*x^12 - 102511*x^11 - 274459*x^10 + 115338*x^9 + 244056*x^8 - 65283*x^7 - 120835*x^6 + 10210*x^5 + 28287*x^4 + 2436*x^3 - 2220*x^2 - 488*x - 25, -2*x^22 + 2*x^21 + 60*x^20 - 50*x^19 - 764*x^18 + 510*x^17 + 5374*x^16 - 2736*x^15 - 22758*x^14 + 8304*x^13 + 59284*x^12 - 14276*x^11 - 93068*x^10 + 13152*x^9 + 82426*x^8 - 5856*x^7 - 36020*x^6 + 1394*x^5 + 6224*x^4 - 322*x^3 - 252*x^2 - 10*x, 2*x^20 - 4*x^19 - 52*x^18 + 96*x^17 + 566*x^16 - 940*x^15 - 3346*x^14 + 4834*x^13 + 11632*x^12 - 14012*x^11 - 23952*x^10 + 22886*x^9 + 27736*x^8 - 20122*x^7 - 15724*x^6 + 9158*x^5 + 3218*x^4 - 2506*x^3 - 298*x^2 + 162*x + 26, -x^20 + 2*x^19 + 24*x^18 - 46*x^17 - 236*x^16 + 438*x^15 + 1216*x^14 - 2240*x^13 - 3475*x^12 + 6673*x^11 + 5304*x^10 - 11719*x^9 - 3510*x^8 + 11673*x^7 - 167*x^6 - 6047*x^5 + 1131*x^4 + 1502*x^3 - 397*x^2 - 124*x - 1, -x^20 + 2*x^19 + 24*x^18 - 46*x^17 - 236*x^16 + 438*x^15 + 1216*x^14 - 2240*x^13 - 3475*x^12 + 6673*x^11 + 5304*x^10 - 11719*x^9 - 3510*x^8 + 11673*x^7 - 167*x^6 - 6047*x^5 + 1131*x^4 + 1502*x^3 - 397*x^2 - 124*x - 1, x^21 - 35*x^19 + 5*x^18 + 500*x^17 - 101*x^16 - 3832*x^15 + 814*x^14 + 17270*x^13 - 3341*x^12 - 46926*x^11 + 7302*x^10 + 75441*x^9 - 7664*x^8 - 67010*x^7 + 1690*x^6 + 28331*x^5 + 2641*x^4 - 4317*x^3 - 1107*x^2 + 41*x + 17, x^21 - 35*x^19 + 5*x^18 + 500*x^17 - 101*x^16 - 3832*x^15 + 814*x^14 + 17270*x^13 - 3341*x^12 - 46926*x^11 + 7302*x^10 + 75441*x^9 - 7664*x^8 - 67010*x^7 + 1690*x^6 + 28331*x^5 + 2641*x^4 - 4317*x^3 - 1107*x^2 + 41*x + 17, -2*x^21 + 2*x^20 + 61*x^19 - 53*x^18 - 786*x^17 + 581*x^16 + 5562*x^15 - 3416*x^14 - 23539*x^13 + 11700*x^12 + 60866*x^11 - 23731*x^10 - 94269*x^9 + 27457*x^8 + 81983*x^7 - 15943*x^6 - 35072*x^5 + 3083*x^4 + 5880*x^3 - 61*x^2 - 292*x - 19, -2*x^21 + 2*x^20 + 61*x^19 - 53*x^18 - 786*x^17 + 581*x^16 + 5562*x^15 - 3416*x^14 - 23539*x^13 + 11700*x^12 + 60866*x^11 - 23731*x^10 - 94269*x^9 + 27457*x^8 + 81983*x^7 - 15943*x^6 - 35072*x^5 + 3083*x^4 + 5880*x^3 - 61*x^2 - 292*x - 19, x^21 - 2*x^20 - 27*x^19 + 46*x^18 + 313*x^17 - 421*x^16 - 2032*x^15 + 1912*x^14 + 8047*x^13 - 4178*x^12 - 19758*x^11 + 2158*x^10 + 29058*x^9 + 7898*x^8 - 23027*x^7 - 14621*x^6 + 7275*x^5 + 8165*x^4 + 164*x^3 - 1139*x^2 - 182*x - 2, x^21 - 2*x^20 - 27*x^19 + 46*x^18 + 313*x^17 - 421*x^16 - 2032*x^15 + 1912*x^14 + 8047*x^13 - 4178*x^12 - 19758*x^11 + 2158*x^10 + 29058*x^9 + 7898*x^8 - 23027*x^7 - 14621*x^6 + 7275*x^5 + 8165*x^4 + 164*x^3 - 1139*x^2 - 182*x - 2, x^22 - x^21 - 32*x^20 + 30*x^19 + 430*x^18 - 368*x^17 - 3175*x^16 + 2408*x^15 + 14142*x^14 - 9148*x^13 - 39273*x^12 + 20387*x^11 + 67979*x^10 - 25003*x^9 - 71398*x^8 + 13044*x^7 + 43119*x^6 + 1413*x^5 - 13613*x^4 - 2773*x^3 + 1577*x^2 + 323*x + 3, x^22 - x^21 - 32*x^20 + 30*x^19 + 430*x^18 - 368*x^17 - 3175*x^16 + 2408*x^15 + 14142*x^14 - 9148*x^13 - 39273*x^12 + 20387*x^11 + 67979*x^10 - 25003*x^9 - 71398*x^8 + 13044*x^7 + 43119*x^6 + 1413*x^5 - 13613*x^4 - 2773*x^3 + 1577*x^2 + 323*x + 3, -x^22 + 32*x^20 + 4*x^19 - 433*x^18 - 105*x^17 + 3221*x^16 + 1129*x^15 - 14347*x^14 - 6424*x^13 + 39101*x^12 + 20907*x^11 - 63923*x^10 - 39337*x^9 + 58564*x^8 + 41009*x^7 - 25558*x^6 - 20870*x^5 + 3153*x^4 + 3479*x^3 + 210*x^2 + 56*x + 13, -x^22 + 32*x^20 + 4*x^19 - 433*x^18 - 105*x^17 + 3221*x^16 + 1129*x^15 - 14347*x^14 - 6424*x^13 + 39101*x^12 + 20907*x^11 - 63923*x^10 - 39337*x^9 + 58564*x^8 + 41009*x^7 - 25558*x^6 - 20870*x^5 + 3153*x^4 + 3479*x^3 + 210*x^2 + 56*x + 13, -x^22 + 2*x^21 + 30*x^20 - 59*x^19 - 377*x^18 + 732*x^17 + 2577*x^16 - 4983*x^15 - 10408*x^14 + 20364*x^13 + 25240*x^12 - 51311*x^11 - 35650*x^10 + 78513*x^9 + 26929*x^8 - 68625*x^7 - 9347*x^6 + 30000*x^5 + 1596*x^4 - 5042*x^3 - 105*x^2 + 49*x - 12, -x^22 + 2*x^21 + 30*x^20 - 59*x^19 - 377*x^18 + 732*x^17 + 2577*x^16 - 4983*x^15 - 10408*x^14 + 20364*x^13 + 25240*x^12 - 51311*x^11 - 35650*x^10 + 78513*x^9 + 26929*x^8 - 68625*x^7 - 9347*x^6 + 30000*x^5 + 1596*x^4 - 5042*x^3 - 105*x^2 + 49*x - 12, -x^23 + x^22 + 33*x^21 - 28*x^20 - 472*x^19 + 330*x^18 + 3833*x^17 - 2133*x^16 - 19440*x^15 + 8256*x^14 + 63779*x^13 - 19594*x^12 - 135460*x^11 + 27990*x^10 + 180815*x^9 - 22656*x^8 - 141649*x^7 + 9481*x^6 + 57142*x^5 - 2252*x^4 - 9462*x^3 + 478*x^2 + 378*x + 15, -x^23 + x^22 + 33*x^21 - 28*x^20 - 472*x^19 + 330*x^18 + 3833*x^17 - 2133*x^16 - 19440*x^15 + 8256*x^14 + 63779*x^13 - 19594*x^12 - 135460*x^11 + 27990*x^10 + 180815*x^9 - 22656*x^8 - 141649*x^7 + 9481*x^6 + 57142*x^5 - 2252*x^4 - 9462*x^3 + 478*x^2 + 378*x + 15, x^23 - 36*x^21 + x^20 + 553*x^19 - 22*x^18 - 4754*x^17 + 202*x^16 + 25184*x^15 - 1023*x^14 - 85227*x^13 + 3177*x^12 + 184544*x^11 - 6234*x^10 - 248358*x^9 + 7293*x^8 + 194038*x^7 - 3896*x^6 - 77308*x^5 - 225*x^4 + 12640*x^3 + 447*x^2 - 421*x - 32, x^23 - 36*x^21 + x^20 + 553*x^19 - 22*x^18 - 4754*x^17 + 202*x^16 + 25184*x^15 - 1023*x^14 - 85227*x^13 + 3177*x^12 + 184544*x^11 - 6234*x^10 - 248358*x^9 + 7293*x^8 + 194038*x^7 - 3896*x^6 - 77308*x^5 - 225*x^4 + 12640*x^3 + 447*x^2 - 421*x - 32, x^23 - x^22 - 33*x^21 + 31*x^20 + 464*x^19 - 405*x^18 - 3644*x^17 + 2929*x^16 + 17600*x^15 - 12927*x^14 - 54238*x^13 + 36054*x^12 + 107023*x^11 - 63176*x^10 - 131820*x^9 + 66169*x^8 + 95185*x^7 - 36614*x^6 - 35531*x^5 + 7847*x^4 + 5367*x^3 - 201*x^2 - 182*x - 10, x^23 - x^22 - 33*x^21 + 31*x^20 + 464*x^19 - 405*x^18 - 3644*x^17 + 2929*x^16 + 17600*x^15 - 12927*x^14 - 54238*x^13 + 36054*x^12 + 107023*x^11 - 63176*x^10 - 131820*x^9 + 66169*x^8 + 95185*x^7 - 36614*x^6 - 35531*x^5 + 7847*x^4 + 5367*x^3 - 201*x^2 - 182*x - 10, -x^20 + x^19 + 32*x^18 - 31*x^17 - 420*x^16 + 374*x^15 + 2965*x^14 - 2305*x^13 - 12326*x^12 + 7882*x^11 + 30871*x^10 - 15019*x^9 - 45461*x^8 + 14944*x^7 + 36337*x^6 - 6413*x^5 - 13261*x^4 + 527*x^3 + 1631*x^2 + 144*x - 7, -x^20 + x^19 + 32*x^18 - 31*x^17 - 420*x^16 + 374*x^15 + 2965*x^14 - 2305*x^13 - 12326*x^12 + 7882*x^11 + 30871*x^10 - 15019*x^9 - 45461*x^8 + 14944*x^7 + 36337*x^6 - 6413*x^5 - 13261*x^4 + 527*x^3 + 1631*x^2 + 144*x - 7, -x^23 + x^22 + 34*x^21 - 30*x^20 - 498*x^19 + 381*x^18 + 4112*x^17 - 2673*x^16 - 21038*x^15 + 11339*x^14 + 69064*x^13 - 29894*x^12 - 145696*x^11 + 48317*x^10 + 192170*x^9 - 45012*x^8 - 148550*x^7 + 20631*x^6 + 59095*x^5 - 2757*x^4 - 9149*x^3 - 93*x^2 + 249*x + 6, -x^23 + x^22 + 34*x^21 - 30*x^20 - 498*x^19 + 381*x^18 + 4112*x^17 - 2673*x^16 - 21038*x^15 + 11339*x^14 + 69064*x^13 - 29894*x^12 - 145696*x^11 + 48317*x^10 + 192170*x^9 - 45012*x^8 - 148550*x^7 + 20631*x^6 + 59095*x^5 - 2757*x^4 - 9149*x^3 - 93*x^2 + 249*x + 6, x^22 - x^21 - 32*x^20 + 29*x^19 + 434*x^18 - 348*x^17 - 3260*x^16 + 2246*x^15 + 14863*x^14 - 8472*x^13 - 42346*x^12 + 18948*x^11 + 74660*x^10 - 24166*x^9 - 77473*x^8 + 15625*x^7 + 42185*x^6 - 3776*x^5 - 9307*x^4 + 136*x^3 + 461*x^2 + 155*x + 22, x^22 - x^21 - 32*x^20 + 29*x^19 + 434*x^18 - 348*x^17 - 3260*x^16 + 2246*x^15 + 14863*x^14 - 8472*x^13 - 42346*x^12 + 18948*x^11 + 74660*x^10 - 24166*x^9 - 77473*x^8 + 15625*x^7 + 42185*x^6 - 3776*x^5 - 9307*x^4 + 136*x^3 + 461*x^2 + 155*x + 22, -x^23 + x^22 + 33*x^21 - 29*x^20 - 467*x^19 + 351*x^18 + 3711*x^17 - 2304*x^16 - 18216*x^15 + 8917*x^14 + 57251*x^13 - 20665*x^12 - 115464*x^11 + 27584*x^10 + 145364*x^9 - 18609*x^8 - 106955*x^7 + 3758*x^6 + 40444*x^5 + 1182*x^4 - 6121*x^3 - 351*x^2 + 125*x - 3, -x^23 + x^22 + 33*x^21 - 29*x^20 - 467*x^19 + 351*x^18 + 3711*x^17 - 2304*x^16 - 18216*x^15 + 8917*x^14 + 57251*x^13 - 20665*x^12 - 115464*x^11 + 27584*x^10 + 145364*x^9 - 18609*x^8 - 106955*x^7 + 3758*x^6 + 40444*x^5 + 1182*x^4 - 6121*x^3 - 351*x^2 + 125*x - 3, -x^24 + x^23 + 35*x^22 - 31*x^21 - 530*x^20 + 407*x^19 + 4551*x^18 - 2956*x^17 - 24393*x^16 + 13024*x^15 + 84625*x^14 - 35945*x^13 - 190566*x^12 + 62024*x^11 + 271725*x^10 - 64866*x^9 - 231973*x^8 + 38364*x^7 + 107783*x^6 - 10921*x^5 - 23851*x^4 + 636*x^3 + 1769*x^2 + 207*x + 2, -x^24 + x^23 + 35*x^22 - 31*x^21 - 530*x^20 + 407*x^19 + 4551*x^18 - 2956*x^17 - 24393*x^16 + 13024*x^15 + 84625*x^14 - 35945*x^13 - 190566*x^12 + 62024*x^11 + 271725*x^10 - 64866*x^9 - 231973*x^8 + 38364*x^7 + 107783*x^6 - 10921*x^5 - 23851*x^4 + 636*x^3 + 1769*x^2 + 207*x + 2, x^24 - 36*x^22 - x^21 + 557*x^20 + 32*x^19 - 4851*x^18 - 418*x^17 + 26151*x^16 + 2914*x^15 - 90345*x^14 - 11840*x^13 + 200051*x^12 + 28609*x^11 - 275352*x^10 - 39896*x^9 + 219442*x^8 + 29114*x^7 - 88053*x^6 - 8511*x^5 + 13530*x^4 + 47*x^3 - 267*x^2 + 94*x + 12, x^24 - 36*x^22 - x^21 + 557*x^20 + 32*x^19 - 4851*x^18 - 418*x^17 + 26151*x^16 + 2914*x^15 - 90345*x^14 - 11840*x^13 + 200051*x^12 + 28609*x^11 - 275352*x^10 - 39896*x^9 + 219442*x^8 + 29114*x^7 - 88053*x^6 - 8511*x^5 + 13530*x^4 + 47*x^3 - 267*x^2 + 94*x + 12, x^21 - 2*x^20 - 27*x^19 + 51*x^18 + 307*x^17 - 546*x^16 - 1905*x^15 + 3206*x^14 + 6970*x^13 - 11329*x^12 - 15085*x^11 + 24836*x^10 + 18131*x^9 - 33302*x^8 - 9983*x^7 + 25366*x^6 + 1011*x^5 - 9055*x^4 + 236*x^3 + 985*x^2 + 56*x - 10, x^21 - 2*x^20 - 27*x^19 + 51*x^18 + 307*x^17 - 546*x^16 - 1905*x^15 + 3206*x^14 + 6970*x^13 - 11329*x^12 - 15085*x^11 + 24836*x^10 + 18131*x^9 - 33302*x^8 - 9983*x^7 + 25366*x^6 + 1011*x^5 - 9055*x^4 + 236*x^3 + 985*x^2 + 56*x - 10, -x^22 + 33*x^20 + 3*x^19 - 463*x^18 - 80*x^17 + 3600*x^16 + 876*x^15 - 16966*x^14 - 5084*x^13 + 49862*x^12 + 16871*x^11 - 90711*x^10 - 32256*x^9 + 98089*x^8 + 34019*x^7 - 57992*x^6 - 17897*x^5 + 16134*x^4 + 4055*x^3 - 1539*x^2 - 259*x + 10, -x^22 + 33*x^20 + 3*x^19 - 463*x^18 - 80*x^17 + 3600*x^16 + 876*x^15 - 16966*x^14 - 5084*x^13 + 49862*x^12 + 16871*x^11 - 90711*x^10 - 32256*x^9 + 98089*x^8 + 34019*x^7 - 57992*x^6 - 17897*x^5 + 16134*x^4 + 4055*x^3 - 1539*x^2 - 259*x + 10, -x^19 + 2*x^18 + 28*x^17 - 51*x^16 - 319*x^15 + 519*x^14 + 1906*x^13 - 2707*x^12 - 6387*x^11 + 7713*x^10 + 11798*x^9 - 11747*x^8 - 10726*x^7 + 8460*x^6 + 3223*x^5 - 1994*x^4 + 349*x^3 + 106*x^2 - 71*x - 13, -x^19 + 2*x^18 + 28*x^17 - 51*x^16 - 319*x^15 + 519*x^14 + 1906*x^13 - 2707*x^12 - 6387*x^11 + 7713*x^10 + 11798*x^9 - 11747*x^8 - 10726*x^7 + 8460*x^6 + 3223*x^5 - 1994*x^4 + 349*x^3 + 106*x^2 - 71*x - 13]>
       ]
>;

MOG[563] := 	// J_0(563)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 3, 18, 38, 39, 131, 233, 277, 298, 300, 366, 432, 449, 455, 462, 502, 515, 525, 387*x + 359, 176*x + 359, 515*x + 201, 48*x + 201, 448*x + 453, 115*x + 453, 508*x + 415, 55*x + 415, 344*x + 192, 219*x + 192, 328*x + 279, 235*x + 279, 206*x + 309, 357*x + 309, 75*x + 560, 488*x + 560, 289*x + 440, 274*x + 440, 416*x + 425, 147*x + 425, 368*x + 542, 195*x + 542, 452*x + 130, 111*x + 130, 336*x + 248, 227*x + 248, 33*x + 179, 530*x + 179, 431*x + 186, 132*x + 186]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [0, 0, 2, 0, 0, -2, 2, -2, 0, 0, 0, -2, 0, 2, 0, -2, 0, 2, 0, 0, -1, -1, 1, 1, 1, 1, -1, -1, 0, 0, 0, 0, -1, -1, 1, 1, 0, 0, -1, -1, -1, -1, 0, 0, 1, 1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 - x^2 - 3*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, 1, -1, -x + 2, x - 2, -1, 1, x - 1, -x + 1, -x^2 + 2*x - 1, x^2 - 2*x + 1, -x + 2, x - 2, -1, 1, x^2 - x - 2, -x^2 + x + 2, 1, -1, -x + 2, x - 2, -x^2 + 2*x - 1, x^2 - 2*x + 1, -1, 1, -x + 2, x - 2]>,
         rec<Eigen |
           DefiningPolynomial := x^3 + x^2 - 5*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^2 + x + 4, x^2 - x - 4, x^2 - 2, -x^2 + 2, x^2 - x - 3, -x^2 + x + 3, 2*x - 1, -2*x + 1, -1, 1, -x^2 + x + 2, x^2 - x - 2, x^2 - x - 2, -x^2 + x + 2, -x^2 + 4, x^2 - 4, -1, 1, -x + 1, x - 1, x^2 - x - 3, -x^2 + x + 3, -x, x, -x^2 + 3, x^2 - 3, -1, 1, -x, x]>,
         rec<Eigen |
           DefiningPolynomial := x^9 + 2*x^8 - 8*x^7 - 15*x^6 + 18*x^5 + 31*x^4 - 15*x^3 - 22*x^2 + 4*x + 5,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^8 - 3*x^7 + 3*x^6 + 13*x^5 - 17*x^3 - 6*x^2 + 6*x + 3, x^8 + 3*x^7 - 3*x^6 - 13*x^5 + 17*x^3 + 6*x^2 - 6*x - 3, -x^7 - 3*x^6 + 2*x^5 + 9*x^4 - x^3 - 8*x^2 + 2, x^7 + 3*x^6 - 2*x^5 - 9*x^4 + x^3 + 8*x^2 - 2, -x^8 - 4*x^7 + x^6 + 16*x^5 + 5*x^4 - 20*x^3 - 8*x^2 + 7*x + 3, x^8 + 4*x^7 - x^6 - 16*x^5 - 5*x^4 + 20*x^3 + 8*x^2 - 7*x - 3, -x^6 - 4*x^5 - x^4 + 9*x^3 + 6*x^2 - 4*x - 3, x^6 + 4*x^5 + x^4 - 9*x^3 - 6*x^2 + 4*x + 3, -x^8 - 3*x^7 + 2*x^6 + 11*x^5 + 2*x^4 - 12*x^3 - 5*x^2 + 4*x + 2, x^8 + 3*x^7 - 2*x^6 - 11*x^5 - 2*x^4 + 12*x^3 + 5*x^2 - 4*x - 2, -x^7 - 4*x^6 - x^5 + 9*x^4 + 6*x^3 - 4*x^2 - 3*x, x^7 + 4*x^6 + x^5 - 9*x^4 - 6*x^3 + 4*x^2 + 3*x, -x^6 - 3*x^5 + 7*x^3 + 4*x^2 - 3*x - 2, x^6 + 3*x^5 - 7*x^3 - 4*x^2 + 3*x + 2, -x^7 - 3*x^6 + x^5 + 8*x^4 + 2*x^3 - 5*x^2 - x + 1, x^7 + 3*x^6 - x^5 - 8*x^4 - 2*x^3 + 5*x^2 + x - 1, -x^7 - 2*x^6 + 3*x^5 + 6*x^4 - 2*x^3 - 5*x^2 + 1, x^7 + 2*x^6 - 3*x^5 - 6*x^4 + 2*x^3 + 5*x^2 - 1, -x^6 - 4*x^5 - x^4 + 9*x^3 + 6*x^2 - 4*x - 3, x^6 + 4*x^5 + x^4 - 9*x^3 - 6*x^2 + 4*x + 3, -x^6 - 3*x^5 + 2*x^4 + 7*x^3 - x^2 - 3*x, x^6 + 3*x^5 - 2*x^4 - 7*x^3 + x^2 + 3*x, -x^6 - 2*x^5 + 2*x^4 + 5*x^3 - 3*x - 1, x^6 + 2*x^5 - 2*x^4 - 5*x^3 + 3*x + 1, -x^5 - x^4 + 2*x^3 + 2*x^2 - x - 1, x^5 + x^4 - 2*x^3 - 2*x^2 + x + 1, -x^3 - x^2 + x + 1, x^3 + x^2 - x - 1, -x^4 - x^3 + x^2 + x, x^4 + x^3 - x^2 - x]>,
         rec<Eigen |
           DefiningPolynomial := x^31 - 5*x^30 - 40*x^29 + 233*x^28 + 650*x^27 - 4804*x^26 - 5046*x^25 + 57710*x^24 + 10034*x^23 - 447489*x^22 + 163153*x^21 + 2342476*x^20 - 1745428*x^19 - 8396607*x^18 + 8854751*x^17 + 20387988*x^16 - 27682203*x^15 - 32062270*x^14 + 56150683*x^13 + 28712111*x^12 - 73374682*x^11 - 7360185*x^10 + 58781075*x^9 - 10788006*x^8 - 25769684*x^7 + 10398304*x^6 + 4640992*x^5 - 3106816*x^4 + 10432*x^3 + 288640*x^2 - 60160*x + 3584,
           Coordinates        := [-x^30 + 5*x^29 + 37*x^28 - 218*x^27 - 545*x^26 + 4180*x^25 + 3609*x^24 - 46356*x^23 - 1715*x^22 + 328791*x^21 - 155696*x^20 - 1555513*x^19 + 1305480*x^18 + 4956188*x^17 - 5678491*x^16 - 10432616*x^15 + 15282048*x^14 + 13608232*x^13 - 26240313*x^12 - 9014577*x^11 + 28116933*x^10 - 89324*x^9 - 17573226*x^8 + 4124752*x^7 + 5603672*x^6 - 2246600*x^5 - 700432*x^4 + 420128*x^3 + 2240*x^2 - 22528*x + 2304, x^30 - 3*x^29 - 45*x^28 + 140*x^27 + 887*x^26 - 2896*x^25 - 10033*x^24 + 35000*x^23 + 71481*x^22 - 274243*x^21 - 329204*x^20 + 1461545*x^19 + 948236*x^18 - 5405864*x^17 - 1420373*x^16 + 13901230*x^15 - 289982*x^14 - 24491866*x^13 + 5845061*x^12 + 28573483*x^11 - 11891399*x^10 - 20685968*x^9 + 11993138*x^8 + 8130450*x^7 - 6403192*x^6 - 1133168*x^5 + 1639792*x^4 - 155744*x^3 - 144512*x^2 + 40960*x - 3072, x^28 - 3*x^27 - 41*x^26 + 130*x^25 + 721*x^24 - 2472*x^23 - 7025*x^22 + 27062*x^21 + 40397*x^20 - 188075*x^19 - 128952*x^18 + 862819*x^17 + 127070*x^16 - 2631430*x^15 + 640889*x^14 + 5232378*x^13 - 2912206*x^12 - 6425146*x^11 + 5498849*x^10 + 4275435*x^9 - 5483439*x^8 - 917378*x^7 + 2804424*x^6 - 414984*x^5 - 626416*x^4 + 208352*x^3 + 40256*x^2 - 23424*x + 2048, -6*x^24 + 20*x^23 + 202*x^22 - 720*x^21 - 2818*x^20 + 11110*x^19 + 20614*x^18 - 95800*x^17 - 79550*x^16 + 504310*x^15 + 110966*x^14 - 1662516*x^13 + 305230*x^12 + 3385486*x^11 - 1609730*x^10 - 4026412*x^9 + 2895200*x^8 + 2433610*x^7 - 2462252*x^6 - 445312*x^5 + 911568*x^4 - 119552*x^3 - 104448*x^2 + 32768*x - 2304, -4*x^22 + 16*x^21 + 106*x^20 - 500*x^19 - 1024*x^18 + 6510*x^17 + 3374*x^16 - 45630*x^15 + 11892*x^14 + 185000*x^13 - 140630*x^12 - 429380*x^11 + 502708*x^10 + 509986*x^9 - 869538*x^8 - 178714*x^7 + 705852*x^6 - 140424*x^5 - 204976*x^4 + 80480*x^3 + 13824*x^2 - 10240*x + 1280, 2*x^25 - 12*x^24 - 44*x^23 + 384*x^22 + 210*x^21 - 5182*x^20 + 2682*x^19 + 38294*x^18 - 41400*x^17 - 168148*x^16 + 245656*x^15 + 445296*x^14 - 787866*x^13 - 696286*x^12 + 1420914*x^11 + 649546*x^10 - 1367250*x^9 - 514076*x^8 + 645704*x^7 + 518584*x^6 - 227712*x^5 - 312480*x^4 + 132544*x^3 + 41984*x^2 - 25088*x + 2560, -4*x^23 + 10*x^22 + 140*x^21 - 348*x^20 - 2122*x^19 + 5304*x^18 + 18030*x^17 - 46206*x^16 - 92308*x^15 + 250494*x^14 + 282760*x^13 - 862060*x^12 - 470570*x^11 + 1850168*x^10 + 263270*x^9 - 2348034*x^8 + 324660*x^7 + 1585680*x^6 - 522624*x^5 - 462880*x^4 + 213376*x^3 + 36608*x^2 - 26368*x + 2560, 2*x^24 - 4*x^23 - 78*x^22 + 164*x^21 + 1288*x^20 - 2888*x^19 - 11598*x^18 + 28308*x^17 + 61068*x^16 - 168516*x^15 - 184490*x^14 + 626288*x^13 + 266624*x^12 - 1438140*x^11 + 38014*x^10 + 1935336*x^9 - 685262*x^8 - 1340924*x^7 + 837840*x^6 + 335928*x^5 - 339680*x^4 + 5024*x^3 + 44160*x^2 - 7680*x - 256, 2*x^26 - 12*x^25 - 44*x^24 + 388*x^23 + 182*x^22 - 5242*x^21 + 3462*x^20 + 38142*x^19 - 50572*x^18 - 158944*x^17 + 305060*x^16 + 358432*x^15 - 1016902*x^14 - 274334*x^13 + 1937486*x^12 - 558858*x^11 - 1938854*x^10 + 1535244*x^9 + 644644*x^8 - 1384416*x^7 + 404016*x^6 + 463312*x^5 - 349680*x^4 + 4768*x^3 + 55424*x^2 - 14336*x + 768, -4*x^24 + 12*x^23 + 146*x^22 - 478*x^21 - 2138*x^20 + 7874*x^19 + 15966*x^18 - 70502*x^17 - 61042*x^16 + 377322*x^15 + 75562*x^14 - 1243042*x^13 + 287430*x^12 + 2480770*x^11 - 1357894*x^10 - 2784034*x^9 + 2316842*x^8 + 1409966*x^7 - 1790612*x^6 - 44624*x^5 + 526992*x^4 - 118208*x^3 - 43840*x^2 + 19200*x - 1792, -4*x^23 + 20*x^22 + 90*x^21 - 606*x^20 - 524*x^19 + 7534*x^18 - 3136*x^17 - 49004*x^16 + 57522*x^15 + 173108*x^14 - 325630*x^13 - 288750*x^12 + 932088*x^11 + 7278*x^10 - 1379524*x^9 + 690824*x^8 + 884566*x^7 - 846276*x^6 - 64552*x^5 + 285456*x^4 - 66656*x^3 - 24064*x^2 + 11520*x - 1280, x^28 - 3*x^27 - 41*x^26 + 122*x^25 + 759*x^24 - 2244*x^23 - 8327*x^22 + 24658*x^21 + 59381*x^20 - 179199*x^19 - 282680*x^18 + 897033*x^17 + 883064*x^16 - 3119432*x^15 - 1672797*x^14 + 7430738*x^13 + 1403462*x^12 - 11691322*x^11 + 976549*x^10 + 11342713*x^9 - 3404107*x^8 - 5938160*x^7 + 2863904*x^6 + 1219640*x^5 - 856832*x^4 - 11264*x^3 + 79424*x^2 - 14976*x + 1024, -6*x^23 + 16*x^22 + 208*x^21 - 592*x^20 - 2918*x^19 + 9014*x^18 + 21286*x^17 - 73826*x^16 - 85300*x^15 + 356284*x^14 + 174168*x^13 - 1042424*x^12 - 97178*x^11 + 1834986*x^10 - 256958*x^9 - 1885278*x^8 + 492994*x^7 + 1101788*x^6 - 353496*x^5 - 358512*x^4 + 151136*x^3 + 33920*x^2 - 22528*x + 2560, -3*x^28 + 15*x^27 + 99*x^26 - 594*x^25 - 1251*x^24 + 10220*x^23 + 6197*x^22 - 100254*x^21 + 15191*x^20 + 618097*x^19 - 385108*x^18 - 2485737*x^17 + 2408656*x^16 + 6527244*x^15 - 8337989*x^14 - 10777874*x^13 + 17728200*x^12 + 9938352*x^11 - 23271259*x^10 - 2882277*x^9 + 17972071*x^8 - 2836536*x^7 - 7294324*x^6 + 2559216*x^5 + 1222064*x^4 - 643488*x^3 - 33920*x^2 + 48896*x - 5120, x^29 - 3*x^28 - 43*x^27 + 134*x^26 + 805*x^25 - 2644*x^24 - 8553*x^23 + 30284*x^22 + 56129*x^21 - 222523*x^20 - 229426*x^19 + 1094271*x^18 + 536604*x^17 - 3646012*x^16 - 410239*x^15 + 8150368*x^14 - 1321890*x^13 - 11828750*x^12 + 4336317*x^11 + 10457015*x^10 - 5416001*x^9 - 5067820*x^8 + 3105592*x^7 + 1274912*x^6 - 734864*x^5 - 328512*x^4 + 156544*x^3 + 41344*x^2 - 24832*x + 2560, -3*x^28 + 15*x^27 + 99*x^26 - 592*x^25 - 1257*x^24 + 10150*x^23 + 6405*x^22 - 99156*x^21 + 11949*x^20 + 608023*x^19 - 355072*x^18 - 2427455*x^17 + 2226662*x^16 + 6316566*x^15 - 7597785*x^14 - 10349288*x^13 + 15734990*x^12 + 9655870*x^11 - 19871691*x^10 - 3513005*x^9 + 14581595*x^8 - 1386016*x^7 - 5576132*x^6 + 1493896*x^5 + 891904*x^4 - 350784*x^3 - 30656*x^2 + 22272*x - 1792, -3*x^29 + 15*x^28 + 105*x^27 - 624*x^26 - 1437*x^25 + 11354*x^24 + 8319*x^23 - 118698*x^22 + 7457*x^21 + 786963*x^20 - 439948*x^19 - 3440419*x^18 + 3176260*x^17 + 9955372*x^16 - 12400155*x^15 - 18454038*x^14 + 29910370*x^13 + 19697534*x^12 - 45257749*x^11 - 7449509*x^10 + 41207849*x^9 - 6663254*x^8 - 20166012*x^7 + 8151704*x^6 + 3940560*x^5 - 2686688*x^4 + 12672*x^3 + 266112*x^2 - 57856*x + 3584, 4*x^24 - 16*x^23 - 118*x^22 + 538*x^21 + 1358*x^20 - 7722*x^19 - 6794*x^18 + 61298*x^17 + 1638*x^16 - 290458*x^15 + 153474*x^14 + 821090*x^13 - 804002*x^12 - 1272366*x^11 + 1929498*x^10 + 734714*x^9 - 2315782*x^8 + 493034*x^7 + 1158884*x^6 - 731168*x^5 - 44768*x^4 + 155424*x^3 - 36672*x^2 - 2304*x + 1024, -2*x^24 + 10*x^23 + 49*x^22 - 319*x^21 - 368*x^20 + 4267*x^19 - 544*x^18 - 31012*x^17 + 25387*x^16 + 132184*x^15 - 174707*x^14 - 329375*x^13 + 606674*x^12 + 433019*x^11 - 1192470*x^10 - 164574*x^9 + 1311821*x^8 - 244424*x^7 - 738128*x^6 + 283152*x^5 + 171648*x^4 - 92512*x^3 - 8064*x^2 + 9600*x - 1280, -2*x^24 + 10*x^23 + 49*x^22 - 319*x^21 - 368*x^20 + 4267*x^19 - 544*x^18 - 31012*x^17 + 25387*x^16 + 132184*x^15 - 174707*x^14 - 329375*x^13 + 606674*x^12 + 433019*x^11 - 1192470*x^10 - 164574*x^9 + 1311821*x^8 - 244424*x^7 - 738128*x^6 + 283152*x^5 + 171648*x^4 - 92512*x^3 - 8064*x^2 + 9600*x - 1280, -3*x^24 + 10*x^23 + 99*x^22 - 366*x^21 - 1285*x^20 + 5568*x^19 + 7991*x^18 - 45928*x^17 - 19547*x^16 + 224296*x^15 - 38163*x^14 - 662592*x^13 + 382441*x^12 + 1152778*x^11 - 1053563*x^10 - 1074274*x^9 + 1420514*x^8 + 388564*x^7 - 969588*x^6 + 82056*x^5 + 307008*x^4 - 89728*x^3 - 29568*x^2 + 14464*x - 1280, -3*x^24 + 10*x^23 + 99*x^22 - 366*x^21 - 1285*x^20 + 5568*x^19 + 7991*x^18 - 45928*x^17 - 19547*x^16 + 224296*x^15 - 38163*x^14 - 662592*x^13 + 382441*x^12 + 1152778*x^11 - 1053563*x^10 - 1074274*x^9 + 1420514*x^8 + 388564*x^7 - 969588*x^6 + 82056*x^5 + 307008*x^4 - 89728*x^3 - 29568*x^2 + 14464*x - 1280, -2*x^25 + 13*x^24 + 43*x^23 - 438*x^22 - 92*x^21 + 6158*x^20 - 5588*x^19 - 46537*x^18 + 74451*x^17 + 200735*x^16 - 456525*x^15 - 464320*x^14 + 1594896*x^13 + 339328*x^12 - 3277336*x^11 + 881711*x^10 + 3765619*x^9 - 2355762*x^8 - 2011258*x^7 + 2099016*x^6 + 154144*x^5 - 684976*x^4 + 148320*x^3 + 63232*x^2 - 27264*x + 2560, -2*x^25 + 13*x^24 + 43*x^23 - 438*x^22 - 92*x^21 + 6158*x^20 - 5588*x^19 - 46537*x^18 + 74451*x^17 + 200735*x^16 - 456525*x^15 - 464320*x^14 + 1594896*x^13 + 339328*x^12 - 3277336*x^11 + 881711*x^10 + 3765619*x^9 - 2355762*x^8 - 2011258*x^7 + 2099016*x^6 + 154144*x^5 - 684976*x^4 + 148320*x^3 + 63232*x^2 - 27264*x + 2560, -3*x^25 + 12*x^24 + 95*x^23 - 431*x^22 - 1174*x^21 + 6528*x^20 + 6642*x^19 - 54398*x^18 - 9821*x^17 + 272735*x^16 - 85047*x^15 - 844169*x^14 + 537648*x^13 + 1588528*x^12 - 1389404*x^11 - 1716790*x^10 + 1842046*x^9 + 962021*x^8 - 1218158*x^7 - 281604*x^6 + 377352*x^5 + 97136*x^4 - 88192*x^3 - 11392*x^2 + 11648*x - 1280, -3*x^25 + 12*x^24 + 95*x^23 - 431*x^22 - 1174*x^21 + 6528*x^20 + 6642*x^19 - 54398*x^18 - 9821*x^17 + 272735*x^16 - 85047*x^15 - 844169*x^14 + 537648*x^13 + 1588528*x^12 - 1389404*x^11 - 1716790*x^10 + 1842046*x^9 + 962021*x^8 - 1218158*x^7 - 281604*x^6 + 377352*x^5 + 97136*x^4 - 88192*x^3 - 11392*x^2 + 11648*x - 1280, -3*x^26 + 15*x^25 + 88*x^24 - 545*x^23 - 911*x^22 + 8449*x^21 + 2164*x^20 - 72916*x^19 + 35084*x^18 + 382508*x^17 - 373115*x^16 - 1243375*x^15 + 1746655*x^14 + 2404121*x^13 - 4675680*x^12 - 2304398*x^11 + 7399867*x^10 - 24693*x^9 - 6580713*x^8 + 2120426*x^7 + 2797524*x^6 - 1597320*x^5 - 323168*x^4 + 338336*x^3 - 24768*x^2 - 15744*x + 2048, -3*x^26 + 15*x^25 + 88*x^24 - 545*x^23 - 911*x^22 + 8449*x^21 + 2164*x^20 - 72916*x^19 + 35084*x^18 + 382508*x^17 - 373115*x^16 - 1243375*x^15 + 1746655*x^14 + 2404121*x^13 - 4675680*x^12 - 2304398*x^11 + 7399867*x^10 - 24693*x^9 - 6580713*x^8 + 2120426*x^7 + 2797524*x^6 - 1597320*x^5 - 323168*x^4 + 338336*x^3 - 24768*x^2 - 15744*x + 2048, x^26 - 2*x^25 - 43*x^24 + 97*x^23 + 770*x^22 - 1972*x^21 - 7384*x^20 + 22112*x^19 + 39911*x^18 - 150761*x^17 - 108797*x^16 + 646871*x^15 + 22948*x^14 - 1735418*x^13 + 791670*x^12 + 2753090*x^11 - 2441778*x^10 - 2166495*x^9 + 3257634*x^8 + 223014*x^7 - 1905252*x^6 + 629192*x^5 + 299840*x^4 - 182592*x^3 + 5568*x^2 + 8704*x - 768, x^26 - 2*x^25 - 43*x^24 + 97*x^23 + 770*x^22 - 1972*x^21 - 7384*x^20 + 22112*x^19 + 39911*x^18 - 150761*x^17 - 108797*x^16 + 646871*x^15 + 22948*x^14 - 1735418*x^13 + 791670*x^12 + 2753090*x^11 - 2441778*x^10 - 2166495*x^9 + 3257634*x^8 + 223014*x^7 - 1905252*x^6 + 629192*x^5 + 299840*x^4 - 182592*x^3 + 5568*x^2 + 8704*x - 768, -3*x^26 + 12*x^25 + 102*x^24 - 453*x^23 - 1419*x^22 + 7372*x^21 + 10065*x^20 - 67840*x^19 - 33778*x^18 + 389165*x^17 - 4458*x^16 - 1445787*x^15 + 500249*x^14 + 3494162*x^13 - 2059275*x^12 - 5350338*x^11 + 4253503*x^10 + 4820329*x^9 - 4955514*x^8 - 2080134*x^7 + 3137552*x^6 + 59704*x^5 - 922192*x^4 + 196544*x^3 + 85056*x^2 - 34944*x + 3072, -3*x^26 + 12*x^25 + 102*x^24 - 453*x^23 - 1419*x^22 + 7372*x^21 + 10065*x^20 - 67840*x^19 - 33778*x^18 + 389165*x^17 - 4458*x^16 - 1445787*x^15 + 500249*x^14 + 3494162*x^13 - 2059275*x^12 - 5350338*x^11 + 4253503*x^10 + 4820329*x^9 - 4955514*x^8 - 2080134*x^7 + 3137552*x^6 + 59704*x^5 - 922192*x^4 + 196544*x^3 + 85056*x^2 - 34944*x + 3072, -3*x^27 + 15*x^26 + 93*x^25 - 567*x^24 - 1061*x^23 + 9222*x^22 + 3867*x^21 - 84433*x^20 + 27420*x^19 + 477341*x^18 - 383802*x^17 - 1714064*x^16 + 2031083*x^15 + 3838082*x^14 - 6091085*x^13 - 4879591*x^12 + 10993245*x^11 + 2283616*x^10 - 11617889*x^9 + 1913359*x^8 + 6435844*x^7 - 2796244*x^6 - 1359248*x^5 + 1021600*x^4 - 23296*x^3 - 108608*x^2 + 26368*x - 1792, -3*x^27 + 15*x^26 + 93*x^25 - 567*x^24 - 1061*x^23 + 9222*x^22 + 3867*x^21 - 84433*x^20 + 27420*x^19 + 477341*x^18 - 383802*x^17 - 1714064*x^16 + 2031083*x^15 + 3838082*x^14 - 6091085*x^13 - 4879591*x^12 + 10993245*x^11 + 2283616*x^10 - 11617889*x^9 + 1913359*x^8 + 6435844*x^7 - 2796244*x^6 - 1359248*x^5 + 1021600*x^4 - 23296*x^3 - 108608*x^2 + 26368*x - 1792, -3*x^25 + 9*x^24 + 107*x^23 - 335*x^22 - 1611*x^21 + 5359*x^20 + 13252*x^19 - 48296*x^18 - 63764*x^17 + 269954*x^16 + 172097*x^15 - 969641*x^14 - 179491*x^13 + 2235865*x^12 - 316042*x^11 - 3190020*x^10 + 1271557*x^9 + 2562829*x^8 - 1627062*x^7 - 900092*x^6 + 881936*x^5 + 1712*x^4 - 149792*x^3 + 29632*x^2 + 2944*x - 768, -3*x^25 + 9*x^24 + 107*x^23 - 335*x^22 - 1611*x^21 + 5359*x^20 + 13252*x^19 - 48296*x^18 - 63764*x^17 + 269954*x^16 + 172097*x^15 - 969641*x^14 - 179491*x^13 + 2235865*x^12 - 316042*x^11 - 3190020*x^10 + 1271557*x^9 + 2562829*x^8 - 1627062*x^7 - 900092*x^6 + 881936*x^5 + 1712*x^4 - 149792*x^3 + 29632*x^2 + 2944*x - 768, x^25 - 2*x^24 - 37*x^23 + 77*x^22 + 574*x^21 - 1270*x^20 - 4738*x^19 + 11502*x^18 + 21519*x^17 - 61155*x^16 - 46091*x^15 + 187897*x^14 - 8068*x^13 - 288040*x^12 + 254292*x^11 + 42584*x^10 - 474266*x^9 + 503555*x^8 + 256590*x^7 - 624876*x^6 + 91472*x^5 + 233952*x^4 - 84608*x^3 - 22144*x^2 + 13056*x - 1280, x^25 - 2*x^24 - 37*x^23 + 77*x^22 + 574*x^21 - 1270*x^20 - 4738*x^19 + 11502*x^18 + 21519*x^17 - 61155*x^16 - 46091*x^15 + 187897*x^14 - 8068*x^13 - 288040*x^12 + 254292*x^11 + 42584*x^10 - 474266*x^9 + 503555*x^8 + 256590*x^7 - 624876*x^6 + 91472*x^5 + 233952*x^4 - 84608*x^3 - 22144*x^2 + 13056*x - 1280, x^27 - 2*x^26 - 42*x^25 + 86*x^24 + 764*x^23 - 1611*x^22 - 7866*x^21 + 17224*x^20 + 50237*x^19 - 115726*x^18 - 204767*x^17 + 507291*x^16 + 525564*x^15 - 1458995*x^14 - 795158*x^13 + 2701802*x^12 + 581266*x^11 - 3090790*x^10 - 33719*x^9 + 2075221*x^8 - 150584*x^7 - 844948*x^6 + 54224*x^5 + 268432*x^4 - 58144*x^3 - 32384*x^2 + 13440*x - 1280, x^27 - 2*x^26 - 42*x^25 + 86*x^24 + 764*x^23 - 1611*x^22 - 7866*x^21 + 17224*x^20 + 50237*x^19 - 115726*x^18 - 204767*x^17 + 507291*x^16 + 525564*x^15 - 1458995*x^14 - 795158*x^13 + 2701802*x^12 + 581266*x^11 - 3090790*x^10 - 33719*x^9 + 2075221*x^8 - 150584*x^7 - 844948*x^6 + 54224*x^5 + 268432*x^4 - 58144*x^3 - 32384*x^2 + 13440*x - 1280, -3*x^25 + 10*x^24 + 103*x^23 - 365*x^22 - 1479*x^21 + 5729*x^20 + 11368*x^19 - 50552*x^18 - 48790*x^17 + 275258*x^16 + 101637*x^15 - 956505*x^14 + 11235*x^13 + 2123773*x^12 - 569580*x^11 - 2938290*x^10 + 1315965*x^9 + 2390822*x^8 - 1393456*x^7 - 1015496*x^6 + 717096*x^5 + 171664*x^4 - 158912*x^3 - 1920*x^2 + 12032*x - 1280, -3*x^25 + 10*x^24 + 103*x^23 - 365*x^22 - 1479*x^21 + 5729*x^20 + 11368*x^19 - 50552*x^18 - 48790*x^17 + 275258*x^16 + 101637*x^15 - 956505*x^14 + 11235*x^13 + 2123773*x^12 - 569580*x^11 - 2938290*x^10 + 1315965*x^9 + 2390822*x^8 - 1393456*x^7 - 1015496*x^6 + 717096*x^5 + 171664*x^4 - 158912*x^3 - 1920*x^2 + 12032*x - 1280, -3*x^26 + 13*x^25 + 100*x^24 - 492*x^23 - 1346*x^22 + 8060*x^21 + 8827*x^20 - 74914*x^19 - 21108*x^18 + 434822*x^17 - 88767*x^16 - 1632912*x^15 + 869910*x^14 + 3965780*x^13 - 3110675*x^12 - 6007734*x^11 + 6115715*x^10 + 5145677*x^9 - 6851485*x^8 - 1822044*x^7 + 4079440*x^6 - 264960*x^5 - 1072192*x^4 + 267424*x^3 + 86848*x^2 - 36992*x + 3072, -3*x^26 + 13*x^25 + 100*x^24 - 492*x^23 - 1346*x^22 + 8060*x^21 + 8827*x^20 - 74914*x^19 - 21108*x^18 + 434822*x^17 - 88767*x^16 - 1632912*x^15 + 869910*x^14 + 3965780*x^13 - 3110675*x^12 - 6007734*x^11 + 6115715*x^10 + 5145677*x^9 - 6851485*x^8 - 1822044*x^7 + 4079440*x^6 - 264960*x^5 - 1072192*x^4 + 267424*x^3 + 86848*x^2 - 36992*x + 3072, x^27 - 6*x^26 - 23*x^25 + 200*x^24 + 113*x^23 - 2813*x^22 + 1626*x^21 + 21662*x^20 - 26627*x^19 - 98619*x^18 + 173230*x^17 + 263290*x^16 - 631279*x^15 - 359815*x^14 + 1362676*x^13 + 68714*x^12 - 1679884*x^11 + 442849*x^10 + 1005947*x^9 - 435170*x^8 - 120844*x^7 - 27636*x^6 - 60984*x^5 + 158624*x^4 - 38560*x^3 - 28160*x^2 + 12928*x - 1280, x^27 - 6*x^26 - 23*x^25 + 200*x^24 + 113*x^23 - 2813*x^22 + 1626*x^21 + 21662*x^20 - 26627*x^19 - 98619*x^18 + 173230*x^17 + 263290*x^16 - 631279*x^15 - 359815*x^14 + 1362676*x^13 + 68714*x^12 - 1679884*x^11 + 442849*x^10 + 1005947*x^9 - 435170*x^8 - 120844*x^7 - 27636*x^6 - 60984*x^5 + 158624*x^4 - 38560*x^3 - 28160*x^2 + 12928*x - 1280, -3*x^27 + 16*x^26 + 90*x^25 - 602*x^24 - 957*x^23 + 9771*x^22 + 2246*x^21 - 89470*x^20 + 42438*x^19 + 506482*x^18 - 474799*x^17 - 1819403*x^16 + 2401185*x^15 + 4052375*x^14 - 7087690*x^13 - 5020832*x^12 + 12693029*x^11 + 1968252*x^10 - 13313127*x^9 + 2638619*x^8 + 7294940*x^7 - 3328904*x^6 - 1524328*x^5 + 1167952*x^4 - 21664*x^3 - 121920*x^2 + 28032*x - 1792, -3*x^27 + 16*x^26 + 90*x^25 - 602*x^24 - 957*x^23 + 9771*x^22 + 2246*x^21 - 89470*x^20 + 42438*x^19 + 506482*x^18 - 474799*x^17 - 1819403*x^16 + 2401185*x^15 + 4052375*x^14 - 7087690*x^13 - 5020832*x^12 + 12693029*x^11 + 1968252*x^10 - 13313127*x^9 + 2638619*x^8 + 7294940*x^7 - 3328904*x^6 - 1524328*x^5 + 1167952*x^4 - 21664*x^3 - 121920*x^2 + 28032*x - 1792]>
       ]
>;

MOG[569] := 	// J_0(569)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 2, 24, 59, 76, 123, 124, 212, 213, 234, 333, 395, 409, 443, 507, 514, 47*x + 244, 522*x + 244, 131*x + 152, 438*x + 152, 96*x + 249, 473*x + 249, 186*x + 304, 383*x + 304, 474*x + 424, 95*x + 424, 31*x + 425, 538*x + 425, 247*x + 528, 322*x + 528, 66*x + 385, 503*x + 385, 324*x + 88, 245*x + 88, 41*x + 69, 528*x + 69, 527*x + 65, 42*x + 65, 82*x + 366, 487*x + 366, 92*x + 486, 477*x + 486, 381*x + 459, 188*x + 459, 351*x + 120, 218*x + 120, 189*x + 31, 380*x + 31]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^16 + 3*x^15 - 13*x^14 - 43*x^13 + 60*x^12 + 236*x^11 - 110*x^10 - 630*x^9 + 22*x^8 + 846*x^7 + 159*x^6 - 522*x^5 - 144*x^4 + 113*x^3 + 23*x^2 - 7*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^15 - 3*x^14 + 11*x^13 + 37*x^12 - 41*x^11 - 170*x^10 + 54*x^9 + 366*x^8 + 13*x^7 - 372*x^6 - 74*x^5 + 152*x^4 + 34*x^3 - 16*x^2 - 3*x, x^15 + 3*x^14 - 11*x^13 - 37*x^12 + 41*x^11 + 170*x^10 - 54*x^9 - 366*x^8 - 13*x^7 + 372*x^6 + 74*x^5 - 152*x^4 - 34*x^3 + 16*x^2 + 3*x, -x^14 - 3*x^13 + 10*x^12 + 35*x^11 - 30*x^10 - 148*x^9 + 12*x^8 + 280*x^7 + 78*x^6 - 225*x^5 - 102*x^4 + 52*x^3 + 21*x^2 - 4*x - 1, x^14 + 3*x^13 - 10*x^12 - 35*x^11 + 30*x^10 + 148*x^9 - 12*x^8 - 280*x^7 - 78*x^6 + 225*x^5 + 102*x^4 - 52*x^3 - 21*x^2 + 4*x + 1, -x^14 - 3*x^13 + 9*x^12 + 31*x^11 - 26*x^10 - 116*x^9 + 23*x^8 + 194*x^7 + 7*x^6 - 145*x^5 - 8*x^4 + 45*x^3 - x^2 - 3*x, x^14 + 3*x^13 - 9*x^12 - 31*x^11 + 26*x^10 + 116*x^9 - 23*x^8 - 194*x^7 - 7*x^6 + 145*x^5 + 8*x^4 - 45*x^3 + x^2 + 3*x, -x^13 - 2*x^12 + 11*x^11 + 22*x^10 - 42*x^9 - 86*x^8 + 65*x^7 + 147*x^6 - 28*x^5 - 100*x^4 - 13*x^3 + 12*x^2 + 2*x, x^13 + 2*x^12 - 11*x^11 - 22*x^10 + 42*x^9 + 86*x^8 - 65*x^7 - 147*x^6 + 28*x^5 + 100*x^4 + 13*x^3 - 12*x^2 - 2*x, -x^13 - 3*x^12 + 7*x^11 + 26*x^10 - 12*x^9 - 80*x^8 - 12*x^7 + 103*x^6 + 44*x^5 - 49*x^4 - 25*x^3 + 7*x^2 + 3*x, x^13 + 3*x^12 - 7*x^11 - 26*x^10 + 12*x^9 + 80*x^8 + 12*x^7 - 103*x^6 - 44*x^5 + 49*x^4 + 25*x^3 - 7*x^2 - 3*x, -x^13 - 3*x^12 + 8*x^11 + 28*x^10 - 19*x^9 - 92*x^8 + 6*x^7 + 124*x^6 + 22*x^5 - 58*x^4 - 10*x^3 + 6*x^2, x^13 + 3*x^12 - 8*x^11 - 28*x^10 + 19*x^9 + 92*x^8 - 6*x^7 - 124*x^6 - 22*x^5 + 58*x^4 + 10*x^3 - 6*x^2, -x^12 - 2*x^11 + 10*x^10 + 20*x^9 - 33*x^8 - 68*x^7 + 41*x^6 + 97*x^5 - 11*x^4 - 53*x^3 - 7*x^2 + 6*x + 1, x^12 + 2*x^11 - 10*x^10 - 20*x^9 + 33*x^8 + 68*x^7 - 41*x^6 - 97*x^5 + 11*x^4 + 53*x^3 + 7*x^2 - 6*x - 1, -x^12 - 2*x^11 + 9*x^10 + 17*x^9 - 29*x^8 - 51*x^7 + 39*x^6 + 64*x^5 - 20*x^4 - 29*x^3 + 4*x^2 + 3*x, x^12 + 2*x^11 - 9*x^10 - 17*x^9 + 29*x^8 + 51*x^7 - 39*x^6 - 64*x^5 + 20*x^4 + 29*x^3 - 4*x^2 - 3*x, -x^12 - 3*x^11 + 5*x^10 + 19*x^9 - 6*x^8 - 40*x^7 - 2*x^6 + 32*x^5 + 3*x^4 - 9*x^3, x^12 + 3*x^11 - 5*x^10 - 19*x^9 + 6*x^8 + 40*x^7 + 2*x^6 - 32*x^5 - 3*x^4 + 9*x^3, -x^12 - 3*x^11 + 7*x^10 + 24*x^9 - 17*x^8 - 70*x^7 + 15*x^6 + 87*x^5 - 2*x^4 - 39*x^3 + x^2 + 3*x, x^12 + 3*x^11 - 7*x^10 - 24*x^9 + 17*x^8 + 70*x^7 - 15*x^6 - 87*x^5 + 2*x^4 + 39*x^3 - x^2 - 3*x, -x^11 - 4*x^10 + x^9 + 21*x^8 + 16*x^7 - 31*x^6 - 39*x^5 + 8*x^4 + 22*x^3 + 2*x^2 - 3*x, x^11 + 4*x^10 - x^9 - 21*x^8 - 16*x^7 + 31*x^6 + 39*x^5 - 8*x^4 - 22*x^3 - 2*x^2 + 3*x, -x^11 - 2*x^10 + 9*x^9 + 18*x^8 - 24*x^7 - 50*x^6 + 17*x^5 + 47*x^4 + 6*x^3 - 6*x^2 - x, x^11 + 2*x^10 - 9*x^9 - 18*x^8 + 24*x^7 + 50*x^6 - 17*x^5 - 47*x^4 - 6*x^3 + 6*x^2 + x, -x^11 - 3*x^10 + 5*x^9 + 19*x^8 - 6*x^7 - 40*x^6 - 2*x^5 + 32*x^4 + 3*x^3 - 9*x^2, x^11 + 3*x^10 - 5*x^9 - 19*x^8 + 6*x^7 + 40*x^6 + 2*x^5 - 32*x^4 - 3*x^3 + 9*x^2, -x^11 - 4*x^10 + 2*x^9 + 22*x^8 + 9*x^7 - 37*x^6 - 24*x^5 + 19*x^4 + 11*x^3 - 3*x^2, x^11 + 4*x^10 - 2*x^9 - 22*x^8 - 9*x^7 + 37*x^6 + 24*x^5 - 19*x^4 - 11*x^3 + 3*x^2, -x^10 - 2*x^9 + 9*x^8 + 18*x^7 - 24*x^6 - 50*x^5 + 17*x^4 + 47*x^3 + 6*x^2 - 6*x - 1, x^10 + 2*x^9 - 9*x^8 - 18*x^7 + 24*x^6 + 50*x^5 - 17*x^4 - 47*x^3 - 6*x^2 + 6*x + 1, -x^10 - 3*x^9 + 5*x^8 + 17*x^7 - 8*x^6 - 29*x^5 + 5*x^4 + 14*x^3 - 3*x^2, x^10 + 3*x^9 - 5*x^8 - 17*x^7 + 8*x^6 + 29*x^5 - 5*x^4 - 14*x^3 + 3*x^2]>,
         rec<Eigen |
           DefiningPolynomial := x^31 - 53*x^29 + 1260*x^27 + 4*x^26 - 17750*x^25 - 160*x^24 + 164884*x^23 + 2756*x^22 - 1063367*x^21 - 26739*x^20 + 4881497*x^19 + 160306*x^18 - 16085855*x^17 - 611602*x^16 + 37872670*x^15 + 1464757*x^14 - 62581486*x^13 - 2043005*x^12 + 70114271*x^11 + 1238201*x^10 - 50129555*x^9 + 450969*x^8 + 20481249*x^7 - 1061301*x^6 - 3789930*x^5 + 449436*x^4 + 156552*x^3 - 18419*x^2 - 1828*x + 173,
           Coordinates        := [-x^30 + 50*x^28 - 1116*x^26 - 4*x^25 + 14680*x^24 + 150*x^23 - 126548*x^22 - 2410*x^21 + 752045*x^20 + 21715*x^19 - 3155576*x^18 - 120631*x^17 + 9416299*x^16 + 427717*x^15 - 19861215*x^14 - 967772*x^13 + 29043267*x^12 + 1351151*x^11 - 28403366*x^10 - 1060774*x^9 + 17464509*x^8 + 337321*x^7 - 6039316*x^6 + 72758*x^5 + 926418*x^4 - 60742*x^3 - 29822*x^2 + 1201*x + 268, x^30 - 50*x^28 + 2*x^27 + 1116*x^26 - 82*x^25 - 14682*x^24 + 1470*x^23 + 126640*x^22 - 15170*x^21 - 753817*x^20 + 99869*x^19 + 3174436*x^18 - 439221*x^17 - 9539049*x^16 + 1313455*x^15 + 20370395*x^14 - 2666842*x^13 - 30401487*x^12 + 3615831*x^11 + 30693894*x^10 - 3190462*x^9 - 19792163*x^8 + 1806231*x^7 + 7324252*x^6 - 675684*x^5 - 1223754*x^4 + 154054*x^3 + 36754*x^2 - 3643*x - 246, -10*x^24 - 2*x^23 + 378*x^22 + 80*x^21 - 6150*x^20 - 1422*x^19 + 56444*x^18 + 14488*x^17 - 321752*x^16 - 91476*x^15 + 1181702*x^14 + 364830*x^13 - 2805684*x^12 - 906732*x^11 + 4202758*x^10 + 1343006*x^9 - 3747702*x^8 - 1078842*x^7 + 1769536*x^6 + 373978*x^5 - 343870*x^4 - 17622*x^3 + 18398*x^2 + 162*x - 272, -4*x^25 + 4*x^24 + 156*x^23 - 152*x^22 - 2638*x^21 + 2474*x^20 + 25436*x^19 - 22638*x^18 - 154742*x^17 + 128554*x^16 + 620678*x^15 - 471706*x^14 - 1665144*x^13 + 1127164*x^12 + 2965070*x^11 - 1719890*x^10 - 3395796*x^9 + 1591604*x^8 + 2335542*x^7 - 813806*x^6 - 833578*x^5 + 200274*x^4 + 104286*x^3 - 22080*x^2 - 1250*x + 262, x^29 - 48*x^27 + 4*x^26 + 1024*x^25 - 164*x^24 - 12802*x^23 + 2942*x^22 + 104128*x^21 - 30396*x^20 - 578347*x^19 + 200375*x^18 + 2239190*x^17 - 882201*x^16 - 6054843*x^15 + 2638479*x^14 + 11262773*x^13 - 5342652*x^12 - 13899985*x^11 + 7154925*x^10 + 10604552*x^9 - 6021366*x^8 - 4301135*x^7 + 2874743*x^6 + 558330*x^5 - 614416*x^4 + 78776*x^3 + 19796*x^2 - 3086*x - 133, 2*x^24 - 2*x^23 - 78*x^22 + 74*x^21 + 1300*x^20 - 1178*x^19 - 12138*x^18 + 10594*x^17 + 69940*x^16 - 59432*x^15 - 258362*x^14 + 216404*x^13 + 616250*x^12 - 513522*x^11 - 934180*x^10 + 769730*x^9 + 863210*x^8 - 671850*x^7 - 442692*x^6 + 287502*x^5 + 97206*x^4 - 39136*x^3 + 346*x^2 + 1520*x - 228, 2*x^25 - 2*x^24 - 76*x^23 + 80*x^22 + 1240*x^21 - 1380*x^20 - 11386*x^19 + 13476*x^18 + 64816*x^17 - 82124*x^16 - 237556*x^15 + 323970*x^14 + 563336*x^13 - 827648*x^12 - 842978*x^11 + 1324832*x^10 + 738240*x^9 - 1230572*x^8 - 298884*x^7 + 570466*x^6 - 7588*x^5 - 96976*x^4 + 32928*x^3 + 7112*x^2 - 1390*x - 146, 2*x^25 + 2*x^24 - 82*x^23 - 70*x^22 + 1460*x^21 + 1056*x^20 - 14834*x^19 - 9028*x^18 + 95082*x^17 + 48366*x^16 - 401446*x^15 - 169566*x^14 + 1132000*x^13 + 395310*x^12 - 2115290*x^11 - 613686*x^10 + 2538926*x^9 + 628116*x^8 - 1830792*x^7 - 404044*x^6 + 694108*x^5 + 135754*x^4 - 103348*x^3 - 9622*x^2 + 2614*x + 292, -6*x^26 + 258*x^24 - 4864*x^22 - 18*x^21 + 52884*x^20 + 546*x^19 - 366916*x^18 - 6828*x^17 + 1697220*x^16 + 45536*x^15 - 5308330*x^14 - 174592*x^13 + 11141808*x^12 + 384106*x^11 - 15238642*x^10 - 444954*x^9 + 12794468*x^8 + 185460*x^7 - 5879546*x^6 + 81038*x^5 + 1150584*x^4 - 75360*x^3 - 41888*x^2 + 1418*x + 474, 2*x^24 - 4*x^23 - 84*x^22 + 136*x^21 + 1508*x^20 - 1926*x^19 - 15172*x^18 + 14646*x^17 + 94144*x^16 - 63922*x^15 - 373094*x^14 + 155556*x^13 + 944258*x^12 - 169750*x^11 - 1481270*x^10 - 46704*x^9 + 1349452*x^8 + 290542*x^7 - 633262*x^6 - 226460*x^5 + 123410*x^4 + 44452*x^3 - 9118*x^2 - 726*x + 58, 2*x^24 + 2*x^23 - 74*x^22 - 62*x^21 + 1168*x^20 + 804*x^19 - 10334*x^18 - 5660*x^17 + 56742*x^16 + 23330*x^15 - 202570*x^14 - 55898*x^13 + 478984*x^12 + 70254*x^11 - 746542*x^10 - 29474*x^9 + 739102*x^8 - 15772*x^7 - 424268*x^6 + 6424*x^5 + 115944*x^4 + 5990*x^3 - 8148*x^2 + 254*x + 58, 4*x^23 + 4*x^22 - 146*x^21 - 126*x^20 + 2250*x^19 + 1684*x^18 - 19170*x^17 - 12518*x^16 + 99438*x^15 + 56834*x^14 - 326508*x^13 - 162528*x^12 + 684374*x^11 + 292106*x^10 - 899912*x^9 - 321944*x^8 + 703262*x^7 + 205234*x^6 - 289082*x^5 - 64882*x^4 + 47600*x^3 + 4938*x^2 - 1278*x - 146, 2*x^25 + 2*x^24 - 82*x^23 - 76*x^22 + 1450*x^21 + 1254*x^20 - 14494*x^19 - 11758*x^18 + 90244*x^17 + 68672*x^16 - 364044*x^15 - 256818*x^14 + 961476*x^13 + 606764*x^12 - 1650016*x^11 - 853690*x^10 + 1804198*x^9 + 610886*x^8 - 1220442*x^7 - 97730*x^6 + 485114*x^5 - 97130*x^4 - 95882*x^3 + 28840*x^2 + 1644*x - 688, 2*x^22 - 2*x^21 - 86*x^20 + 76*x^19 + 1498*x^18 - 1198*x^17 - 14046*x^16 + 10174*x^15 + 78632*x^14 - 50732*x^13 - 273594*x^12 + 151598*x^11 + 593172*x^10 - 262996*x^9 - 774942*x^8 + 236778*x^7 + 559454*x^6 - 77730*x^5 - 184288*x^4 - 7042*x^3 + 15018*x^2 - 654*x - 116, -2*x^25 + 4*x^24 + 76*x^23 - 152*x^22 - 1230*x^21 + 2490*x^20 + 11042*x^19 - 23098*x^18 - 59818*x^17 + 134090*x^16 + 197550*x^15 - 508036*x^14 - 370640*x^13 + 1268166*x^12 + 271068*x^11 - 2044754*x^10 + 291108*x^9 + 2006468*x^8 - 766630*x^7 - 1047664*x^6 + 575874*x^5 + 196292*x^4 - 150802*x^3 + 16408*x^2 + 2596*x - 406, -3*x^29 + 144*x^27 - 3070*x^25 - 10*x^24 + 38336*x^23 + 346*x^22 - 311322*x^21 - 5024*x^20 + 1725921*x^19 + 39675*x^18 - 6669556*x^17 - 183885*x^16 + 18011455*x^15 + 496985*x^14 - 33538219*x^13 - 691854*x^12 + 41710905*x^11 + 177427*x^10 - 32665046*x^9 + 788290*x^8 + 14441933*x^7 - 988543*x^6 - 2863512*x^5 + 388694*x^4 + 126730*x^3 - 17218*x^2 - 1560*x + 173, -3*x^28 + 139*x^26 + x^25 - 2852*x^24 - 52*x^23 + 34161*x^22 + 1103*x^21 - 265107*x^20 - 12735*x^19 + 1398586*x^18 + 89004*x^17 - 5118721*x^16 - 393083*x^15 + 13022713*x^14 + 1105731*x^13 - 22709448*x^12 - 1938013*x^11 + 26272526*x^10 + 1985306*x^9 - 18975797*x^8 - 1000253*x^7 + 7627218*x^6 + 85210*x^5 - 1326262*x^4 + 82504*x^3 + 43953*x^2 - 1715*x - 402, -3*x^28 + 139*x^26 + x^25 - 2852*x^24 - 52*x^23 + 34161*x^22 + 1103*x^21 - 265107*x^20 - 12735*x^19 + 1398586*x^18 + 89004*x^17 - 5118721*x^16 - 393083*x^15 + 13022713*x^14 + 1105731*x^13 - 22709448*x^12 - 1938013*x^11 + 26272526*x^10 + 1985306*x^9 - 18975797*x^8 - 1000253*x^7 + 7627218*x^6 + 85210*x^5 - 1326262*x^4 + 82504*x^3 + 43953*x^2 - 1715*x - 402, -3*x^27 + 130*x^25 - 2*x^24 - 2470*x^23 + 67*x^22 + 27057*x^21 - 972*x^20 - 188979*x^19 + 8135*x^18 + 878519*x^17 - 44277*x^16 - 2752940*x^15 + 166722*x^14 + 5756224*x^13 - 442030*x^12 - 7754855*x^11 + 799900*x^10 + 6251680*x^9 - 910504*x^8 - 2556458*x^7 + 564351*x^6 + 287355*x^5 - 135826*x^4 + 54457*x^3 - 7495*x^2 - 1061*x + 203, -3*x^27 + 130*x^25 - 2*x^24 - 2470*x^23 + 67*x^22 + 27057*x^21 - 972*x^20 - 188979*x^19 + 8135*x^18 + 878519*x^17 - 44277*x^16 - 2752940*x^15 + 166722*x^14 + 5756224*x^13 - 442030*x^12 - 7754855*x^11 + 799900*x^10 + 6251680*x^9 - 910504*x^8 - 2556458*x^7 + 564351*x^6 + 287355*x^5 - 135826*x^4 + 54457*x^3 - 7495*x^2 - 1061*x + 203, -2*x^27 + x^26 + 88*x^25 - 40*x^24 - 1705*x^23 + 690*x^22 + 19158*x^21 - 6739*x^20 - 138356*x^19 + 41194*x^18 + 672316*x^17 - 164921*x^16 - 2235802*x^15 + 442024*x^14 + 5072547*x^13 - 804129*x^12 - 7683524*x^11 + 1007979*x^10 + 7437569*x^9 - 878039*x^8 - 4258257*x^7 + 509402*x^6 + 1249895*x^5 - 170364*x^4 - 137234*x^3 + 22998*x^2 + 2219*x - 376, -2*x^27 + x^26 + 88*x^25 - 40*x^24 - 1705*x^23 + 690*x^22 + 19158*x^21 - 6739*x^20 - 138356*x^19 + 41194*x^18 + 672316*x^17 - 164921*x^16 - 2235802*x^15 + 442024*x^14 + 5072547*x^13 - 804129*x^12 - 7683524*x^11 + 1007979*x^10 + 7437569*x^9 - 878039*x^8 - 4258257*x^7 + 509402*x^6 + 1249895*x^5 - 170364*x^4 - 137234*x^3 + 22998*x^2 + 2219*x - 376, -3*x^26 - 3*x^25 + 124*x^24 + 119*x^23 - 2240*x^22 - 2057*x^21 + 23244*x^20 + 20324*x^19 - 153151*x^18 - 126453*x^17 + 668561*x^16 + 514269*x^15 - 1958159*x^14 - 1373169*x^13 + 3812785*x^12 + 2353807*x^11 - 4782204*x^10 - 2450856*x^9 + 3624871*x^8 + 1379144*x^7 - 1460317*x^6 - 302074*x^5 + 230135*x^4 - 14639*x^3 - 3126*x^2 + 500*x - 72, -3*x^26 - 3*x^25 + 124*x^24 + 119*x^23 - 2240*x^22 - 2057*x^21 + 23244*x^20 + 20324*x^19 - 153151*x^18 - 126453*x^17 + 668561*x^16 + 514269*x^15 - 1958159*x^14 - 1373169*x^13 + 3812785*x^12 + 2353807*x^11 - 4782204*x^10 - 2450856*x^9 + 3624871*x^8 + 1379144*x^7 - 1460317*x^6 - 302074*x^5 + 230135*x^4 - 14639*x^3 - 3126*x^2 + 500*x - 72, x^28 + x^27 - 49*x^26 - 43*x^25 + 1064*x^24 + 817*x^23 - 13495*x^22 - 9039*x^21 + 110958*x^20 + 64537*x^19 - 620677*x^18 - 310958*x^17 + 2411704*x^16 + 1025222*x^15 - 6526743*x^14 - 2291027*x^13 + 12140547*x^12 + 3352571*x^11 - 15035680*x^10 - 2987644*x^9 + 11675918*x^8 + 1377137*x^7 - 5075766*x^6 - 168722*x^5 + 964950*x^4 - 57277*x^3 - 31910*x^2 + 1289*x + 266, x^28 + x^27 - 49*x^26 - 43*x^25 + 1064*x^24 + 817*x^23 - 13495*x^22 - 9039*x^21 + 110958*x^20 + 64537*x^19 - 620677*x^18 - 310958*x^17 + 2411704*x^16 + 1025222*x^15 - 6526743*x^14 - 2291027*x^13 + 12140547*x^12 + 3352571*x^11 - 15035680*x^10 - 2987644*x^9 + 11675918*x^8 + 1377137*x^7 - 5075766*x^6 - 168722*x^5 + 964950*x^4 - 57277*x^3 - 31910*x^2 + 1289*x + 266, -2*x^26 + 2*x^25 + 83*x^24 - 75*x^23 - 1508*x^22 + 1197*x^21 + 15793*x^20 - 10608*x^19 - 105593*x^18 + 57033*x^17 + 471215*x^16 - 190115*x^15 - 1423423*x^14 + 381167*x^13 + 2885377*x^12 - 406579*x^11 - 3799277*x^10 + 124299*x^9 + 3041622*x^8 + 132518*x^7 - 1301557*x^6 - 86852*x^5 + 224078*x^4 - 2229*x^3 - 9824*x^2 + 50*x + 136, -2*x^26 + 2*x^25 + 83*x^24 - 75*x^23 - 1508*x^22 + 1197*x^21 + 15793*x^20 - 10608*x^19 - 105593*x^18 + 57033*x^17 + 471215*x^16 - 190115*x^15 - 1423423*x^14 + 381167*x^13 + 2885377*x^12 - 406579*x^11 - 3799277*x^10 + 124299*x^9 + 3041622*x^8 + 132518*x^7 - 1301557*x^6 - 86852*x^5 + 224078*x^4 - 2229*x^3 - 9824*x^2 + 50*x + 136, -3*x^25 - 3*x^24 + 111*x^23 + 116*x^22 - 1756*x^21 - 1948*x^20 + 15504*x^19 + 18563*x^18 - 83505*x^17 - 110015*x^16 + 280512*x^15 + 418268*x^14 - 570270*x^13 - 1016948*x^12 + 618844*x^11 + 1531448*x^10 - 175953*x^9 - 1335223*x^8 - 283003*x^7 + 593892*x^6 + 244854*x^5 - 108948*x^4 - 42944*x^3 + 11121*x^2 + 489*x - 131, -3*x^25 - 3*x^24 + 111*x^23 + 116*x^22 - 1756*x^21 - 1948*x^20 + 15504*x^19 + 18563*x^18 - 83505*x^17 - 110015*x^16 + 280512*x^15 + 418268*x^14 - 570270*x^13 - 1016948*x^12 + 618844*x^11 + 1531448*x^10 - 175953*x^9 - 1335223*x^8 - 283003*x^7 + 593892*x^6 + 244854*x^5 - 108948*x^4 - 42944*x^3 + 11121*x^2 + 489*x - 131, x^29 + x^28 - 48*x^27 - 45*x^26 + 1022*x^25 + 897*x^24 - 12721*x^23 - 10434*x^22 + 102711*x^21 + 78502*x^20 - 564357*x^19 - 399951*x^18 + 2153808*x^17 + 1403629*x^16 - 5723716*x^15 - 3385039*x^14 + 10458613*x^13 + 5500744*x^12 - 12760196*x^11 - 5791794*x^10 + 9866420*x^9 + 3688314*x^8 - 4427931*x^7 - 1244563*x^6 + 1003923*x^5 + 159517*x^4 - 99287*x^3 - 2510*x^2 + 2334*x - 20, x^29 + x^28 - 48*x^27 - 45*x^26 + 1022*x^25 + 897*x^24 - 12721*x^23 - 10434*x^22 + 102711*x^21 + 78502*x^20 - 564357*x^19 - 399951*x^18 + 2153808*x^17 + 1403629*x^16 - 5723716*x^15 - 3385039*x^14 + 10458613*x^13 + 5500744*x^12 - 12760196*x^11 - 5791794*x^10 + 9866420*x^9 + 3688314*x^8 - 4427931*x^7 - 1244563*x^6 + 1003923*x^5 + 159517*x^4 - 99287*x^3 - 2510*x^2 + 2334*x - 20, x^27 + x^26 - 46*x^25 - 40*x^24 + 931*x^23 + 705*x^22 - 10911*x^21 - 7226*x^20 + 82036*x^19 + 47799*x^18 - 414420*x^17 - 213486*x^16 + 1432775*x^15 + 651988*x^14 - 3390613*x^13 - 1344044*x^12 + 5408040*x^11 + 1796171*x^10 - 5628071*x^9 - 1433138*x^8 + 3610422*x^7 + 566439*x^6 - 1288868*x^5 - 46430*x^4 + 204611*x^3 - 19199*x^2 - 4287*x + 396, x^27 + x^26 - 46*x^25 - 40*x^24 + 931*x^23 + 705*x^22 - 10911*x^21 - 7226*x^20 + 82036*x^19 + 47799*x^18 - 414420*x^17 - 213486*x^16 + 1432775*x^15 + 651988*x^14 - 3390613*x^13 - 1344044*x^12 + 5408040*x^11 + 1796171*x^10 - 5628071*x^9 - 1433138*x^8 + 3610422*x^7 + 566439*x^6 - 1288868*x^5 - 46430*x^4 + 204611*x^3 - 19199*x^2 - 4287*x + 396, x^26 - x^25 - 39*x^24 + 41*x^23 + 659*x^22 - 727*x^21 - 6343*x^20 + 7327*x^19 + 38477*x^18 - 46359*x^17 - 153748*x^16 + 191701*x^15 + 410849*x^14 - 522026*x^13 - 729614*x^12 + 919177*x^11 + 836210*x^10 - 1000151*x^9 - 581047*x^8 + 621158*x^7 + 217552*x^6 - 192239*x^5 - 32139*x^4 + 23124*x^3 - 868*x^2 - 833*x + 114, x^26 - x^25 - 39*x^24 + 41*x^23 + 659*x^22 - 727*x^21 - 6343*x^20 + 7327*x^19 + 38477*x^18 - 46359*x^17 - 153748*x^16 + 191701*x^15 + 410849*x^14 - 522026*x^13 - 729614*x^12 + 919177*x^11 + 836210*x^10 - 1000151*x^9 - 581047*x^8 + 621158*x^7 + 217552*x^6 - 192239*x^5 - 32139*x^4 + 23124*x^3 - 868*x^2 - 833*x + 114, 2*x^26 + 2*x^25 - 91*x^24 - 76*x^23 + 1817*x^22 + 1254*x^21 - 20921*x^20 - 11822*x^19 + 153549*x^18 + 70459*x^17 - 749835*x^16 - 276786*x^15 + 2468845*x^14 + 721379*x^13 - 5435370*x^12 - 1214430*x^11 + 7764875*x^10 + 1225711*x^9 - 6780549*x^8 - 616562*x^7 + 3227710*x^6 + 57627*x^5 - 650693*x^4 + 45884*x^3 + 22242*x^2 - 912*x - 237, 2*x^26 + 2*x^25 - 91*x^24 - 76*x^23 + 1817*x^22 + 1254*x^21 - 20921*x^20 - 11822*x^19 + 153549*x^18 + 70459*x^17 - 749835*x^16 - 276786*x^15 + 2468845*x^14 + 721379*x^13 - 5435370*x^12 - 1214430*x^11 + 7764875*x^10 + 1225711*x^9 - 6780549*x^8 - 616562*x^7 + 3227710*x^6 + 57627*x^5 - 650693*x^4 + 45884*x^3 + 22242*x^2 - 912*x - 237, -3*x^24 - x^23 + 106*x^22 + 29*x^21 - 1590*x^20 - 339*x^19 + 13202*x^18 + 1950*x^17 - 66297*x^16 - 4525*x^15 + 206187*x^14 - 8609*x^13 - 388257*x^12 + 84373*x^11 + 403493*x^10 - 227373*x^9 - 160172*x^8 + 293590*x^7 - 64365*x^6 - 180852*x^5 + 70791*x^4 + 43382*x^3 - 14783*x^2 - 793*x + 344, -3*x^24 - x^23 + 106*x^22 + 29*x^21 - 1590*x^20 - 339*x^19 + 13202*x^18 + 1950*x^17 - 66297*x^16 - 4525*x^15 + 206187*x^14 - 8609*x^13 - 388257*x^12 + 84373*x^11 + 403493*x^10 - 227373*x^9 - 160172*x^8 + 293590*x^7 - 64365*x^6 - 180852*x^5 + 70791*x^4 + 43382*x^3 - 14783*x^2 - 793*x + 344, x^26 + x^25 - 42*x^24 - 36*x^23 + 767*x^22 + 559*x^21 - 8001*x^20 - 4916*x^19 + 52708*x^18 + 27013*x^17 - 229094*x^16 - 96448*x^15 + 667285*x^14 + 225604*x^13 - 1297137*x^12 - 341970*x^11 + 1642734*x^10 + 328795*x^9 - 1284947*x^8 - 194136*x^7 + 559188*x^6 + 64665*x^5 - 109646*x^4 - 7806*x^3 + 5381*x^2 + 19*x - 29, x^26 + x^25 - 42*x^24 - 36*x^23 + 767*x^22 + 559*x^21 - 8001*x^20 - 4916*x^19 + 52708*x^18 + 27013*x^17 - 229094*x^16 - 96448*x^15 + 667285*x^14 + 225604*x^13 - 1297137*x^12 - 341970*x^11 + 1642734*x^10 + 328795*x^9 - 1284947*x^8 - 194136*x^7 + 559188*x^6 + 64665*x^5 - 109646*x^4 - 7806*x^3 + 5381*x^2 + 19*x - 29, x^27 + x^26 - 43*x^25 - 40*x^24 + 810*x^23 + 701*x^22 - 8780*x^21 - 7086*x^20 + 60471*x^19 + 45758*x^18 - 275597*x^17 - 197390*x^16 + 838520*x^15 + 577427*x^14 - 1674117*x^13 - 1138552*x^12 + 2085767*x^11 + 1474294*x^10 - 1443586*x^9 - 1189892*x^8 + 383918*x^7 + 538852*x^6 + 62301*x^5 - 103978*x^4 - 31567*x^3 + 1879*x^2 + 1454*x + 10, x^27 + x^26 - 43*x^25 - 40*x^24 + 810*x^23 + 701*x^22 - 8780*x^21 - 7086*x^20 + 60471*x^19 + 45758*x^18 - 275597*x^17 - 197390*x^16 + 838520*x^15 + 577427*x^14 - 1674117*x^13 - 1138552*x^12 + 2085767*x^11 + 1474294*x^10 - 1443586*x^9 - 1189892*x^8 + 383918*x^7 + 538852*x^6 + 62301*x^5 - 103978*x^4 - 31567*x^3 + 1879*x^2 + 1454*x + 10, -x^23 - 3*x^22 + 30*x^21 + 101*x^20 - 376*x^19 - 1441*x^18 + 2562*x^17 + 11346*x^16 - 10403*x^15 - 53783*x^14 + 26457*x^13 + 157063*x^12 - 45601*x^11 - 277551*x^10 + 62485*x^9 + 279361*x^8 - 71904*x^7 - 141482*x^6 + 52397*x^5 + 28920*x^4 - 16291*x^3 - 2796*x^2 + 581*x + 73, -x^23 - 3*x^22 + 30*x^21 + 101*x^20 - 376*x^19 - 1441*x^18 + 2562*x^17 + 11346*x^16 - 10403*x^15 - 53783*x^14 + 26457*x^13 + 157063*x^12 - 45601*x^11 - 277551*x^10 + 62485*x^9 + 279361*x^8 - 71904*x^7 - 141482*x^6 + 52397*x^5 + 28920*x^4 - 16291*x^3 - 2796*x^2 + 581*x + 73, x^28 + x^27 - 46*x^26 - 41*x^25 + 940*x^24 + 736*x^23 - 11256*x^22 - 7613*x^21 + 87735*x^20 + 50253*x^19 - 467623*x^18 - 221490*x^17 + 1742103*x^16 + 662512*x^15 - 4553811*x^14 - 1337905*x^13 + 8250751*x^12 + 1769547*x^11 - 10044671*x^10 - 1415452*x^9 + 7745514*x^8 + 534256*x^7 - 3382961*x^6 + 30634*x^5 + 651265*x^4 - 67129*x^3 - 19920*x^2 + 1755*x + 123, x^28 + x^27 - 46*x^26 - 41*x^25 + 940*x^24 + 736*x^23 - 11256*x^22 - 7613*x^21 + 87735*x^20 + 50253*x^19 - 467623*x^18 - 221490*x^17 + 1742103*x^16 + 662512*x^15 - 4553811*x^14 - 1337905*x^13 + 8250751*x^12 + 1769547*x^11 - 10044671*x^10 - 1415452*x^9 + 7745514*x^8 + 534256*x^7 - 3382961*x^6 + 30634*x^5 + 651265*x^4 - 67129*x^3 - 19920*x^2 + 1755*x + 123]>
       ]
>;

MOG[571] := 	// J_0(571)
   rec<SupersingularModule | 
       MonodromyWeights   := [2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [15, 132, 283, 350, 404, 410, 417, 520, 521, 544, 310*x + 132, 261*x + 132, 66*x + 490, 505*x + 490, 209*x + 335, 362*x + 335, 468*x + 320, 103*x + 320, 525*x + 494, 46*x + 494, 538*x + 29, 33*x + 29, 61*x + 273, 510*x + 273, 297*x + 408, 274*x + 408, 189*x + 565, 382*x + 565, 315*x + 554, 256*x + 554, 350*x + 126, 221*x + 126, 380*x + 513, 191*x + 513, 382*x + 410, 189*x + 410, 19*x + 429, 552*x + 429, 329*x + 465, 242*x + 465, 341*x + 58, 230*x + 58, 314*x + 556, 257*x + 556, 321*x + 552, 250*x + 552, 364*x + 460, 207*x + 460]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x,
           Coordinates        := [0, -2, 0, 0, -2, -2, -2, 2, 4, -2, 0, 0, 0, 0, 0, 0, 3, 3, -3, -3, 2, 2, -2, -2, 1, 1, -1, -1, 1, 1, -1, -1, 1, 1, 1, 1, -2, -2, -1, -1, 0, 0, 1, 1, 1, 1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x + 2,
           Coordinates        := [0, -2, 0, 0, -2, 2, -2, 2, 0, 2, 0, 0, 0, 0, 0, 0, -1, -1, 1, 1, 0, 0, 0, 0, 1, 1, 1, 1, -1, -1, -1, -1, 1, 1, -1, -1, 0, 0, -1, -1, 0, 0, -1, -1, 1, 1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^2 - 5,
           Coordinates        := [0, 1/2*x - 1/2, 0, -1/2*x + 5/2, -1/2*x - 1/2, 1/2*x - 1/2, -1/2*x - 1/2, -1/2*x + 1/2, 1/2*x - 3/2, -1/2*x - 1/2, 0, 0, 0, 0, 0, 0, 1/2*x - 1/2, 1/2*x - 1/2, -1/2*x + 1/2, -1/2*x + 1/2, -1/2*x + 1/2, -1/2*x + 1/2, 1/2*x - 1/2, 1/2*x - 1/2, -1/2*x + 3/2, -1/2*x + 3/2, 1, 1, -1, -1, 1/2*x - 3/2, 1/2*x - 3/2, -1, -1, -1/2*x + 3/2, -1/2*x + 3/2, 1/2*x - 1/2, 1/2*x - 1/2, 1, 1, 0, 0, -1/2*x + 3/2, -1/2*x + 3/2, x - 1, x - 1, -1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^2 - 2*x + 1,
           Coordinates        := [-2*x - 2, -x - 5, 0, -x - 1, -x - 2, x - 1, -x - 2, -x - 3, x + 4, -x, 2*x + 2, 2*x + 2, 2*x + 2, 2*x + 2, 0, 0, -x - 3, -x - 3, x + 3, x + 3, -x - 1, -x - 1, -x - 1, -x - 1, -x - 2, -x - 2, -2*x - 3, -2*x - 3, 1, 1, -x, -x, -1, -1, x + 2, x + 2, x + 1, x + 1, 1, 1, 2*x + 2, 2*x + 2, x + 2, x + 2, 2, 2, -1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 + 2*x^2 - 2*x - 2,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x, x, -x^2 - x, x^2 + x, x, -x, x^2 - 1, -x^2 + 1, -x - 1, x + 1, 0, 0, x^2 + x, -x^2 - x, 2*x + 1, -2*x - 1, -x^2 + 1, x^2 - 1, -1, 1, 1, -1, -x - 1, x + 1, x + 1, -x - 1, x^2 + x, -x^2 - x, -2*x - 1, 2*x + 1, -x^2 - x, x^2 + x, x + 1, -x - 1, -1, 1, 1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^4 - 2*x^3 - 4*x^2 + 6*x + 2,
           Coordinates        := [-2, 2*x - 2, -2*x + 2, 2, -2*x + 2, 0, 0, 2*x^2 - 2*x - 2, -2, -2, -x^2 + x + 2, -x^2 + x + 2, x - 2, x - 2, -x^3 + x^2 + 3*x, -x^3 + x^2 + 3*x, x^2 - 2*x - 1, x^2 - 2*x - 1, x^2 - x - 1, x^2 - x - 1, -x^3 + x^2 + 4*x - 2, -x^3 + x^2 + 4*x - 2, -x^2 + x + 2, -x^2 + x + 2, x^3 - 2*x^2 - 2*x + 3, x^3 - 2*x^2 - 2*x + 3, -1, -1, x^3 - x^2 - 2*x + 1, x^3 - x^2 - 2*x + 1, 1, 1, -x^2 + x + 1, -x^2 + x + 1, -x + 1, -x + 1, x^2 - x - 2, x^2 - x - 2, -1, -1, -x, -x, x - 1, x - 1, 1, 1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^6 + x^5 - 10*x^4 - 11*x^3 + 22*x^2 + 25*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^5 - 4*x^4 - x^3 + 14*x^2 + 21*x + 10, x^5 + 4*x^4 + x^3 - 14*x^2 - 21*x - 10, -x^5 - 4*x^4 - x^3 + 10*x^2 + 9*x + 2, x^5 + 4*x^4 + x^3 - 10*x^2 - 9*x - 2, -2*x^5 - 7*x^4 + 4*x^3 + 33*x^2 + 26*x - 1, 2*x^5 + 7*x^4 - 4*x^3 - 33*x^2 - 26*x + 1, -x^5 - 4*x^4 - x^3 + 10*x^2 + 5*x - 6, x^5 + 4*x^4 + x^3 - 10*x^2 - 5*x + 6, -x^5 - 3*x^4 + x^3 + 7*x^2 + x - 3, x^5 + 3*x^4 - x^3 - 7*x^2 - x + 3, -2*x^5 - 6*x^4 + 6*x^3 + 28*x^2 + 12*x - 8, 2*x^5 + 6*x^4 - 6*x^3 - 28*x^2 - 12*x + 8, -2*x^5 - 6*x^4 + 6*x^3 + 28*x^2 + 16*x, 2*x^5 + 6*x^4 - 6*x^3 - 28*x^2 - 16*x, -2*x^4 - 8*x^3 - 4*x^2 + 14*x + 12, 2*x^4 + 8*x^3 + 4*x^2 - 14*x - 12, -2*x^5 - 5*x^4 + 8*x^3 + 21*x^2 - 4*x - 13, 2*x^5 + 5*x^4 - 8*x^3 - 21*x^2 + 4*x + 13, -x^4 - 2*x^3 + 3*x^2 + 4*x - 3, x^4 + 2*x^3 - 3*x^2 - 4*x + 3, -x^5 - 4*x^4 - x^3 + 10*x^2 + 9*x + 2, x^5 + 4*x^4 + x^3 - 10*x^2 - 9*x - 2, -x^5 - 3*x^4 + 3*x^3 + 13*x^2 + 7*x + 1, x^5 + 3*x^4 - 3*x^3 - 13*x^2 - 7*x - 1, -2*x^4 - 6*x^3 + 6*x^2 + 28*x + 16, 2*x^4 + 6*x^3 - 6*x^2 - 28*x - 16, -2*x^3 - 6*x^2 - 2*x + 4, 2*x^3 + 6*x^2 + 2*x - 4, -2*x^4 - 6*x^3 + 2*x^2 + 16*x + 8, 2*x^4 + 6*x^3 - 2*x^2 - 16*x - 8, -x^4 - 4*x^3 + x^2 + 14*x + 9, x^4 + 4*x^3 - x^2 - 14*x - 9, -4*x^2 - 12*x - 8, 4*x^2 + 12*x + 8, -2*x^3 - 6*x^2 - 2*x + 4, 2*x^3 + 6*x^2 + 2*x - 4, -4*x - 8, 4*x + 8]>,
         rec<Eigen |
           DefiningPolynomial := x^10 + x^9 - 10*x^8 - 7*x^7 + 34*x^6 + 16*x^5 - 47*x^4 - 13*x^3 + 24*x^2 + 2*x - 2,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^9 + 10*x^7 - 3*x^6 - 30*x^5 + 14*x^4 + 30*x^3 - 15*x^2 - 7*x + 2, x^9 - 10*x^7 + 3*x^6 + 30*x^5 - 14*x^4 - 30*x^3 + 15*x^2 + 7*x - 2, x^9 - 10*x^7 + 3*x^6 + 31*x^5 - 12*x^4 - 33*x^3 + 12*x^2 + 9*x - 2, -x^9 + 10*x^7 - 3*x^6 - 31*x^5 + 12*x^4 + 33*x^3 - 12*x^2 - 9*x + 2, x^6 - x^5 - 5*x^4 + 5*x^3 + 5*x^2 - 5*x, -x^6 + x^5 + 5*x^4 - 5*x^3 - 5*x^2 + 5*x, -x^7 - x^6 + 7*x^5 + 4*x^4 - 13*x^3 - 3*x^2 + 7*x - 1, x^7 + x^6 - 7*x^5 - 4*x^4 + 13*x^3 + 3*x^2 - 7*x + 1, x^7 + x^6 - 5*x^5 - 4*x^4 + 8*x^3 + 3*x^2 - 4*x + 1, -x^7 - x^6 + 5*x^5 + 4*x^4 - 8*x^3 - 3*x^2 + 4*x - 1, x^9 + x^8 - 8*x^7 - 5*x^6 + 21*x^5 + 6*x^4 - 22*x^3 + 8*x - 2, -x^9 - x^8 + 8*x^7 + 5*x^6 - 21*x^5 - 6*x^4 + 22*x^3 - 8*x + 2, -x^8 - x^7 + 7*x^6 + 4*x^5 - 15*x^4 - 3*x^3 + 10*x^2 - x, x^8 + x^7 - 7*x^6 - 4*x^5 + 15*x^4 + 3*x^3 - 10*x^2 + x, x^7 - 6*x^5 + x^4 + 10*x^3 - 2*x^2 - 5*x + 1, -x^7 + 6*x^5 - x^4 - 10*x^3 + 2*x^2 + 5*x - 1, -x^9 - x^8 + 8*x^7 + 4*x^6 - 21*x^5 - 2*x^4 + 20*x^3 - 3*x^2 - 5*x + 1, x^9 + x^8 - 8*x^7 - 4*x^6 + 21*x^5 + 2*x^4 - 20*x^3 + 3*x^2 + 5*x - 1, -x^9 + 10*x^7 - 2*x^6 - 31*x^5 + 10*x^4 + 33*x^3 - 12*x^2 - 9*x + 3, x^9 - 10*x^7 + 2*x^6 + 31*x^5 - 10*x^4 - 33*x^3 + 12*x^2 + 9*x - 3, x^8 + x^7 - 6*x^6 - 4*x^5 + 10*x^4 + 3*x^3 - 4*x^2 + x - 1, -x^8 - x^7 + 6*x^6 + 4*x^5 - 10*x^4 - 3*x^3 + 4*x^2 - x + 1, x^8 + x^7 - 8*x^6 - 5*x^5 + 20*x^4 + 5*x^3 - 17*x^2 + 3, -x^8 - x^7 + 8*x^6 + 5*x^5 - 20*x^4 - 5*x^3 + 17*x^2 - 3, -x^7 - x^6 + 7*x^5 + 4*x^4 - 15*x^3 - 3*x^2 + 10*x - 1, x^7 + x^6 - 7*x^5 - 4*x^4 + 15*x^3 + 3*x^2 - 10*x + 1, x^6 - 2*x^5 - 4*x^4 + 8*x^3 + 2*x^2 - 7*x + 2, -x^6 + 2*x^5 + 4*x^4 - 8*x^3 - 2*x^2 + 7*x - 2, -x^8 - x^7 + 7*x^6 + 3*x^5 - 16*x^4 + 12*x^2 - 3*x - 1, x^8 + x^7 - 7*x^6 - 3*x^5 + 16*x^4 - 12*x^2 + 3*x + 1, -x^5 - x^4 + 5*x^3 - 5*x + 2, x^5 + x^4 - 5*x^3 + 5*x - 2, -x^6 + 3*x^4 - 3*x^2 + 1, x^6 - 3*x^4 + 3*x^2 - 1, -x^7 - x^6 + 6*x^5 + 3*x^4 - 13*x^3 + 9*x - 3, x^7 + x^6 - 6*x^5 - 3*x^4 + 13*x^3 - 9*x + 3, -x^5 + x^4 + 2*x^3 - 2*x^2 - x + 1, x^5 - x^4 - 2*x^3 + 2*x^2 + x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^18 - 29*x^16 - 2*x^15 + 344*x^14 + 53*x^13 - 2152*x^12 - 547*x^11 + 7628*x^10 + 2794*x^9 - 15277*x^8 - 7417*x^7 + 16118*x^6 + 9851*x^5 - 7336*x^4 - 5644*x^3 + 544*x^2 + 848*x + 96,
           Coordinates        := [-4*x^16 - 4*x^15 + 96*x^14 + 96*x^13 - 904*x^12 - 912*x^11 + 4224*x^10 + 4368*x^9 - 10166*x^8 - 11114*x^7 + 11606*x^6 + 14378*x^5 - 4130*x^4 - 7714*x^3 - 1148*x^2 + 576*x + 96, 2*x^16 - 46*x^14 - 4*x^13 + 414*x^12 + 72*x^11 - 1812*x^10 - 514*x^9 + 3830*x^8 + 1726*x^7 - 3042*x^6 - 2354*x^5 - 570*x^4 + 468*x^3 + 1152*x^2 + 592*x + 64, -4*x^17 + 100*x^15 - 1000*x^13 - 8*x^12 + 5136*x^11 + 144*x^10 - 14534*x^9 - 948*x^8 + 22720*x^7 + 2772*x^6 - 18508*x^5 - 3584*x^4 + 6566*x^3 + 1724*x^2 - 480*x - 96, x^17 - 25*x^15 - 2*x^14 + 246*x^13 + 47*x^12 - 1182*x^11 - 431*x^10 + 2728*x^9 + 1826*x^8 - 2133*x^7 - 3319*x^6 - 1506*x^5 + 1791*x^4 + 2194*x^3 + 248*x^2 - 176*x, 4*x^17 - 106*x^15 - 8*x^14 + 1134*x^13 + 188*x^12 - 6272*x^11 - 1706*x^10 + 19030*x^9 + 7496*x^8 - 30770*x^7 - 16332*x^6 + 23036*x^5 + 16114*x^4 - 4520*x^3 - 5260*x^2 - 1120*x - 80, x^17 - 23*x^15 - 2*x^14 + 210*x^13 + 33*x^12 - 968*x^11 - 211*x^10 + 2396*x^9 + 678*x^8 - 3253*x^7 - 1285*x^6 + 2508*x^5 + 1767*x^4 - 680*x^3 - 1288*x^2 - 592*x - 80, -3*x^17 + 83*x^15 - 922*x^13 - 19*x^12 + 5284*x^11 + 343*x^10 - 16710*x^9 - 2270*x^8 + 28913*x^7 + 6749*x^6 - 25198*x^5 - 8949*x^4 + 8394*x^3 + 4140*x^2 + 136*x - 32, 2*x^15 - 42*x^13 - 8*x^12 + 338*x^11 + 128*x^10 - 1294*x^9 - 778*x^8 + 2344*x^7 + 2250*x^6 - 1572*x^5 - 3090*x^4 - 362*x^3 + 1632*x^2 + 832*x + 80, x^17 - 23*x^15 - 2*x^14 + 210*x^13 + 27*x^12 - 960*x^11 - 87*x^10 + 2260*x^9 - 258*x^8 - 2503*x^7 + 1957*x^6 + 1190*x^5 - 3505*x^4 - 1082*x^3 + 1904*x^2 + 1048*x + 112, 2*x^16 - 46*x^14 - 10*x^13 + 422*x^12 + 196*x^11 - 1948*x^10 - 1450*x^9 + 4580*x^8 + 4968*x^7 - 4360*x^6 - 7626*x^5 - 972*x^4 + 3660*x^3 + 2792*x^2 + 784*x + 64, -4*x^16 + 92*x^14 + 6*x^13 - 832*x^12 - 110*x^11 + 3765*x^10 + 746*x^9 - 9028*x^8 - 2334*x^7 + 11376*x^6 + 3532*x^5 - 7259*x^4 - 2712*x^3 + 1996*x^2 + 1072*x + 96, -4*x^16 + 92*x^14 + 6*x^13 - 832*x^12 - 110*x^11 + 3765*x^10 + 746*x^9 - 9028*x^8 - 2334*x^7 + 11376*x^6 + 3532*x^5 - 7259*x^4 - 2712*x^3 + 1996*x^2 + 1072*x + 96, -4*x^15 + 84*x^13 + 15*x^12 - 680*x^11 - 262*x^10 + 2659*x^9 + 1644*x^8 - 5087*x^7 - 4455*x^6 + 4011*x^5 + 4984*x^4 - 324*x^3 - 1876*x^2 - 640*x - 48, -4*x^15 + 84*x^13 + 15*x^12 - 680*x^11 - 262*x^10 + 2659*x^9 + 1644*x^8 - 5087*x^7 - 4455*x^6 + 4011*x^5 + 4984*x^4 - 324*x^3 - 1876*x^2 - 640*x - 48, -4*x^15 + 6*x^14 + 84*x^13 - 117*x^12 - 691*x^11 + 864*x^10 + 2847*x^9 - 3030*x^8 - 6257*x^7 + 5215*x^6 + 7238*x^5 - 4112*x^4 - 4246*x^3 + 1224*x^2 + 1216*x + 144, -4*x^15 + 6*x^14 + 84*x^13 - 117*x^12 - 691*x^11 + 864*x^10 + 2847*x^9 - 3030*x^8 - 6257*x^7 + 5215*x^6 + 7238*x^5 - 4112*x^4 - 4246*x^3 + 1224*x^2 + 1216*x + 144, -4*x^14 + 3*x^13 + 78*x^12 - 45*x^11 - 587*x^10 + 215*x^9 + 2158*x^8 - 250*x^7 - 4012*x^6 - 592*x^5 + 3367*x^4 + 1216*x^3 - 908*x^2 - 512*x - 48, -4*x^14 + 3*x^13 + 78*x^12 - 45*x^11 - 587*x^10 + 215*x^9 + 2158*x^8 - 250*x^7 - 4012*x^6 - 592*x^5 + 3367*x^4 + 1216*x^3 - 908*x^2 - 512*x - 48, -4*x^14 + 6*x^13 + 74*x^12 - 107*x^11 - 519*x^10 + 683*x^9 + 1783*x^8 - 1871*x^7 - 3353*x^6 + 2044*x^5 + 3568*x^4 - 380*x^3 - 1728*x^2 - 608*x - 48, -4*x^14 + 6*x^13 + 74*x^12 - 107*x^11 - 519*x^10 + 683*x^9 + 1783*x^8 - 1871*x^7 - 3353*x^6 + 2044*x^5 + 3568*x^4 - 380*x^3 - 1728*x^2 - 608*x - 48, 4*x^15 - 4*x^14 - 88*x^13 + 69*x^12 + 756*x^11 - 415*x^10 - 3217*x^9 + 988*x^8 + 7077*x^7 - 601*x^6 - 7559*x^5 - 669*x^4 + 3318*x^3 + 596*x^2 - 392*x - 64, 4*x^15 - 4*x^14 - 88*x^13 + 69*x^12 + 756*x^11 - 415*x^10 - 3217*x^9 + 988*x^8 + 7077*x^7 - 601*x^6 - 7559*x^5 - 669*x^4 + 3318*x^3 + 596*x^2 - 392*x - 64, 2*x^15 - 4*x^14 - 35*x^13 + 72*x^12 + 218*x^11 - 503*x^10 - 559*x^9 + 1783*x^8 + 472*x^7 - 3537*x^6 - 85*x^5 + 3682*x^4 + 618*x^3 - 1376*x^2 - 536*x - 32, 2*x^15 - 4*x^14 - 35*x^13 + 72*x^12 + 218*x^11 - 503*x^10 - 559*x^9 + 1783*x^8 + 472*x^7 - 3537*x^6 - 85*x^5 + 3682*x^4 + 618*x^3 - 1376*x^2 - 536*x - 32, -2*x^13 - 10*x^12 + 37*x^11 + 190*x^10 - 238*x^9 - 1299*x^8 + 558*x^7 + 3879*x^6 + 47*x^5 - 4885*x^4 - 1510*x^3 + 1980*x^2 + 1080*x + 112, -2*x^13 - 10*x^12 + 37*x^11 + 190*x^10 - 238*x^9 - 1299*x^8 + 558*x^7 + 3879*x^6 + 47*x^5 - 4885*x^4 - 1510*x^3 + 1980*x^2 + 1080*x + 112, 3*x^14 - 4*x^13 - 50*x^12 + 56*x^11 + 287*x^10 - 263*x^9 - 595*x^8 + 517*x^7 - 16*x^6 - 691*x^5 + 1117*x^4 + 926*x^3 - 616*x^2 - 488*x - 64, 3*x^14 - 4*x^13 - 50*x^12 + 56*x^11 + 287*x^10 - 263*x^9 - 595*x^8 + 517*x^7 - 16*x^6 - 691*x^5 + 1117*x^4 + 926*x^3 - 616*x^2 - 488*x - 64, 2*x^14 - 2*x^13 - 38*x^12 + 28*x^11 + 259*x^10 - 132*x^9 - 743*x^8 + 262*x^7 + 735*x^6 - 368*x^5 + 104*x^4 + 582*x^3 - 160*x^2 - 256*x - 32, 2*x^14 - 2*x^13 - 38*x^12 + 28*x^11 + 259*x^10 - 132*x^9 - 743*x^8 + 262*x^7 + 735*x^6 - 368*x^5 + 104*x^4 + 582*x^3 - 160*x^2 - 256*x - 32, 4*x^14 - 8*x^13 - 84*x^12 + 133*x^11 + 686*x^10 - 744*x^9 - 2772*x^8 + 1472*x^7 + 5764*x^6 - 75*x^5 - 5468*x^4 - 1986*x^3 + 1428*x^2 + 848*x + 80, 4*x^14 - 8*x^13 - 84*x^12 + 133*x^11 + 686*x^10 - 744*x^9 - 2772*x^8 + 1472*x^7 + 5764*x^6 - 75*x^5 - 5468*x^4 - 1986*x^3 + 1428*x^2 + 848*x + 80, 4*x^16 - 98*x^14 - 7*x^13 + 957*x^12 + 143*x^11 - 4767*x^10 - 1115*x^9 + 12879*x^8 + 4184*x^7 - 18538*x^6 - 7832*x^5 + 12898*x^4 + 6828*x^3 - 3044*x^2 - 2128*x - 224, 4*x^16 - 98*x^14 - 7*x^13 + 957*x^12 + 143*x^11 - 4767*x^10 - 1115*x^9 + 12879*x^8 + 4184*x^7 - 18538*x^6 - 7832*x^5 + 12898*x^4 + 6828*x^3 - 3044*x^2 - 2128*x - 224, 2*x^16 - 44*x^14 - 8*x^13 + 385*x^12 + 132*x^11 - 1710*x^10 - 801*x^9 + 4097*x^8 + 2203*x^7 - 5284*x^6 - 2865*x^5 + 3613*x^4 + 1944*x^3 - 1144*x^2 - 760*x - 80, 2*x^16 - 44*x^14 - 8*x^13 + 385*x^12 + 132*x^11 - 1710*x^10 - 801*x^9 + 4097*x^8 + 2203*x^7 - 5284*x^6 - 2865*x^5 + 3613*x^4 + 1944*x^3 - 1144*x^2 - 760*x - 80, -2*x^14 - 5*x^13 + 43*x^12 + 102*x^11 - 337*x^10 - 770*x^9 + 1172*x^8 + 2657*x^7 - 1705*x^6 - 4218*x^5 + 591*x^4 + 2750*x^3 + 560*x^2 - 224*x - 32, -2*x^14 - 5*x^13 + 43*x^12 + 102*x^11 - 337*x^10 - 770*x^9 + 1172*x^8 + 2657*x^7 - 1705*x^6 - 4218*x^5 + 591*x^4 + 2750*x^3 + 560*x^2 - 224*x - 32, x^15 + 4*x^14 - 18*x^13 - 94*x^12 + 114*x^11 + 827*x^10 - 251*x^9 - 3424*x^8 - 238*x^7 + 6858*x^6 + 1794*x^5 - 6123*x^4 - 2450*x^3 + 1796*x^2 + 984*x + 80, x^15 + 4*x^14 - 18*x^13 - 94*x^12 + 114*x^11 + 827*x^10 - 251*x^9 - 3424*x^8 - 238*x^7 + 6858*x^6 + 1794*x^5 - 6123*x^4 - 2450*x^3 + 1796*x^2 + 984*x + 80, 4*x^15 + 5*x^14 - 89*x^13 - 114*x^12 + 749*x^11 + 1006*x^10 - 2934*x^9 - 4300*x^8 + 5155*x^7 + 9101*x^6 - 2579*x^5 - 8617*x^4 - 1842*x^3 + 2536*x^2 + 1288*x + 144, 4*x^15 + 5*x^14 - 89*x^13 - 114*x^12 + 749*x^11 + 1006*x^10 - 2934*x^9 - 4300*x^8 + 5155*x^7 + 9101*x^6 - 2579*x^5 - 8617*x^4 - 1842*x^3 + 2536*x^2 + 1288*x + 144, -2*x^15 - 3*x^14 + 50*x^13 + 69*x^12 - 476*x^11 - 623*x^10 + 2180*x^9 + 2784*x^8 - 4920*x^7 - 6392*x^6 + 4762*x^5 + 7044*x^4 - 680*x^3 - 2764*x^2 - 888*x - 80, -2*x^15 - 3*x^14 + 50*x^13 + 69*x^12 - 476*x^11 - 623*x^10 + 2180*x^9 + 2784*x^8 - 4920*x^7 - 6392*x^6 + 4762*x^5 + 7044*x^4 - 680*x^3 - 2764*x^2 - 888*x - 80, x^16 - 26*x^14 - x^13 + 278*x^12 + 22*x^11 - 1544*x^10 - 227*x^9 + 4657*x^8 + 1186*x^7 - 7291*x^6 - 2853*x^5 + 5050*x^4 + 2712*x^3 - 936*x^2 - 720*x - 80, x^16 - 26*x^14 - x^13 + 278*x^12 + 22*x^11 - 1544*x^10 - 227*x^9 + 4657*x^8 + 1186*x^7 - 7291*x^6 - 2853*x^5 + 5050*x^4 + 2712*x^3 - 936*x^2 - 720*x - 80, -3*x^16 - 3*x^15 + 78*x^14 + 75*x^13 - 797*x^12 - 747*x^11 + 4061*x^10 + 3781*x^9 - 10749*x^8 - 10235*x^7 + 13758*x^6 + 14115*x^5 - 6321*x^4 - 8226*x^3 - 512*x^2 + 864*x + 112, -3*x^16 - 3*x^15 + 78*x^14 + 75*x^13 - 797*x^12 - 747*x^11 + 4061*x^10 + 3781*x^9 - 10749*x^8 - 10235*x^7 + 13758*x^6 + 14115*x^5 - 6321*x^4 - 8226*x^3 - 512*x^2 + 864*x + 112]>
   ]
>;

MOG[577] := 	// J_0(577)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 5,
           Coordinates        := [26, 87, 126, 431, 526*x + 55, 51*x + 55, 538*x + 332, 39*x + 332, 500*x + 482, 77*x + 482, 413*x + 439, 164*x + 439, 509*x + 50, 68*x + 50, 385*x + 189, 192*x + 189, 450*x + 392, 127*x + 392, 410*x + 289, 167*x + 289, 133*x + 535, 444*x + 535, 238*x + 77, 339*x + 77, 10*x + 554, 567*x + 554, 264*x + 558, 313*x + 558, 23*x + 287, 554*x + 287, 460*x + 332, 117*x + 332, 107*x + 545, 470*x + 545, 288*x + 90, 289*x + 90, 376*x + 281, 201*x + 281, 177*x + 328, 400*x + 328, 205*x + 83, 372*x + 83, 86*x + 564, 491*x + 564, 439*x + 185, 138*x + 185, 362*x + 489, 215*x + 489]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2,
           Coordinates        := [1, 1, -2, x + 1, -1/2, -1/2, 1, 1, 1, 1, -1/2, -1/2, -1/2, -1/2, -1/2*x - 2, -1/2*x - 2, 1/2*x + 1, 1/2*x + 1, -x - 2, -x - 2, -1/2*x - 1/2, -1/2*x - 1/2, 1/2*x + 1, 1/2*x + 1, -1/2*x - 1/2, -1/2*x - 1/2, 1/2*x + 1, 1/2*x + 1, -1/2*x - 1/2, -1/2*x - 1/2, 1/2*x + 1, 1/2*x + 1, 1, 1, 1, 1, -1/2, -1/2, -1/2*x - 1/2, -1/2*x - 1/2, x + 1, x + 1, 1/2*x - 1/2, 1/2*x - 1/2, -1/2, -1/2, -1/2*x - 1/2, -1/2*x - 1/2]>,
         rec<Eigen |
           DefiningPolynomial := x^2 - 3*x + 1,
           Coordinates        := [2*x - 4, 2, 2*x - 4, 0, x - 2, x - 2, -x + 3, -x + 3, 0, 0, 0, 0, -x + 2, -x + 2, 0, 0, x - 3, x - 3, -x + 1, -x + 1, x - 2, x - 2, -x + 2, -x + 2, -x + 2, -x + 2, -x, -x, -1, -1, 0, 0, x - 1, x - 1, -1, -1, -x + 2, -x + 2, x - 1, x - 1, 0, 0, 2, 2, -1, -1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 - x^2 - 4*x + 3,
           Coordinates        := [2*x - 2, 2*x^2 + 2*x - 2, 2*x - 2, 0, -2*x + 1, -2*x + 1, -x^2 - x + 1, -x^2 - x + 1, -x^2 + 1, -x^2 + 1, -x^2 + 1, -x^2 + 1, -x + 1, -x + 1, -x^2 - 3*x + 3, -x^2 - 3*x + 3, x^2 + x - 1, x^2 + x - 1, x - 1, x - 1, -x^2 + x, -x^2 + x, -2*x^2 - 2*x + 2, -2*x^2 - 2*x + 2, 2*x^2 + 2*x - 3, 2*x^2 + 2*x - 3, x^2 + x - 1, x^2 + x - 1, -x, -x, x^2 - 1, x^2 - 1, -x + 1, -x + 1, -x^2 - x + 1, -x^2 - x + 1, x^2 + 2*x - 2, x^2 + 2*x - 2, x^2 - x, x^2 - x, 0, 0, x - 1, x - 1, 1, 1, x, x]>,
         rec<Eigen |
           DefiningPolynomial := x^18 - 8*x^17 + 2*x^16 + 136*x^15 - 265*x^14 - 830*x^13 + 2626*x^12 + 1878*x^11 - 11525*x^10 + 1214*x^9 + 26264*x^8 - 13076*x^7 - 31167*x^6 + 21957*x^5 + 17488*x^4 - 13889*x^3 - 3523*x^2 + 2770*x - 117,
           Coordinates        := [x^17 - 8*x^16 + 5*x^15 + 110*x^14 - 230*x^13 - 546*x^12 + 1780*x^11 + 1016*x^10 - 6281*x^9 + 334*x^8 + 11519*x^7 - 3624*x^6 - 10918*x^5 + 4325*x^4 + 4716*x^3 - 1712*x^2 - 565*x + 174, -x^16 + 6*x^15 + 5*x^14 - 88*x^13 + 66*x^12 + 482*x^11 - 628*x^10 - 1248*x^9 + 1995*x^8 + 1648*x^7 - 2823*x^6 - 1244*x^5 + 1758*x^4 + 635*x^3 - 440*x^2 - 108*x + 57, -x^17 + 8*x^16 - 7*x^15 - 98*x^14 + 242*x^13 + 350*x^12 - 1592*x^11 + 8*x^10 + 4491*x^9 - 2342*x^8 - 6119*x^7 + 4402*x^6 + 4246*x^5 - 2881*x^4 - 1710*x^3 + 772*x^2 + 273*x - 114, x^16 - 10*x^15 + 21*x^14 + 92*x^13 - 392*x^12 - 120*x^11 + 2236*x^10 - 1336*x^9 - 5959*x^8 + 5960*x^7 + 7957*x^6 - 9632*x^5 - 5158*x^4 + 6369*x^3 + 1526*x^2 - 1388*x + 9, -2*x^16 + 16*x^15 - 14*x^14 - 196*x^13 + 484*x^12 + 702*x^11 - 3203*x^10 + 60*x^9 + 9075*x^8 - 5161*x^7 - 12049*x^6 + 10160*x^5 + 7010*x^4 - 6876*x^3 - 1405*x^2 + 1382*x - 87, -2*x^16 + 16*x^15 - 14*x^14 - 196*x^13 + 484*x^12 + 702*x^11 - 3203*x^10 + 60*x^9 + 9075*x^8 - 5161*x^7 - 12049*x^6 + 10160*x^5 + 7010*x^4 - 6876*x^3 - 1405*x^2 + 1382*x - 87, x^16 - 9*x^15 + 12*x^14 + 110*x^13 - 333*x^12 - 367*x^11 + 2244*x^10 - 370*x^9 - 6780*x^8 + 4485*x^7 + 10039*x^6 - 9069*x^5 - 6911*x^4 + 6845*x^3 + 1732*x^2 - 1518*x + 57, x^16 - 9*x^15 + 12*x^14 + 110*x^13 - 333*x^12 - 367*x^11 + 2244*x^10 - 370*x^9 - 6780*x^8 + 4485*x^7 + 10039*x^6 - 9069*x^5 - 6911*x^4 + 6845*x^3 + 1732*x^2 - 1518*x + 57, -x^17 + 7*x^16 + 2*x^15 - 110*x^14 + 132*x^13 + 685*x^12 - 1244*x^11 - 2192*x^10 + 4954*x^9 + 3961*x^8 - 10415*x^7 - 4281*x^6 + 11833*x^5 + 2916*x^4 - 6540*x^3 - 1122*x^2 + 1158*x + 57, -x^17 + 7*x^16 + 2*x^15 - 110*x^14 + 132*x^13 + 685*x^12 - 1244*x^11 - 2192*x^10 + 4954*x^9 + 3961*x^8 - 10415*x^7 - 4281*x^6 + 11833*x^5 + 2916*x^4 - 6540*x^3 - 1122*x^2 + 1158*x + 57, x^17 - 8*x^16 + 5*x^15 + 112*x^14 - 247*x^13 - 518*x^12 + 1909*x^11 + 589*x^10 - 6470*x^9 + 2190*x^8 + 10715*x^7 - 7059*x^6 - 8002*x^5 + 6746*x^4 + 1763*x^3 - 1845*x^2 + 193*x + 30, x^17 - 8*x^16 + 5*x^15 + 112*x^14 - 247*x^13 - 518*x^12 + 1909*x^11 + 589*x^10 - 6470*x^9 + 2190*x^8 + 10715*x^7 - 7059*x^6 - 8002*x^5 + 6746*x^4 + 1763*x^3 - 1845*x^2 + 193*x + 30, -x^16 + 8*x^15 - 9*x^14 - 81*x^13 + 213*x^12 + 228*x^11 - 1176*x^10 + 161*x^9 + 2813*x^8 - 1781*x^7 - 3004*x^6 + 2880*x^5 + 1022*x^4 - 1595*x^3 + 162*x^2 + 287*x - 87, -x^16 + 8*x^15 - 9*x^14 - 81*x^13 + 213*x^12 + 228*x^11 - 1176*x^10 + 161*x^9 + 2813*x^8 - 1781*x^7 - 3004*x^6 + 2880*x^5 + 1022*x^4 - 1595*x^3 + 162*x^2 + 287*x - 87, x^16 - 8*x^15 + 7*x^14 + 97*x^13 - 236*x^12 - 350*x^11 + 1538*x^10 + 38*x^9 - 4321*x^8 + 2284*x^7 + 5673*x^6 - 4702*x^5 - 3065*x^4 + 3347*x^3 + 324*x^2 - 787*x + 144, x^16 - 8*x^15 + 7*x^14 + 97*x^13 - 236*x^12 - 350*x^11 + 1538*x^10 + 38*x^9 - 4321*x^8 + 2284*x^7 + 5673*x^6 - 4702*x^5 - 3065*x^4 + 3347*x^3 + 324*x^2 - 787*x + 144, x^16 - 7*x^15 - x^14 + 105*x^13 - 148*x^12 - 572*x^11 + 1273*x^10 + 1308*x^9 - 4448*x^8 - 752*x^7 + 7453*x^6 - 1440*x^5 - 5749*x^4 + 1852*x^3 + 1660*x^2 - 435*x - 84, x^16 - 7*x^15 - x^14 + 105*x^13 - 148*x^12 - 572*x^11 + 1273*x^10 + 1308*x^9 - 4448*x^8 - 752*x^7 + 7453*x^6 - 1440*x^5 - 5749*x^4 + 1852*x^3 + 1660*x^2 - 435*x - 84, -x^15 + 8*x^14 - 11*x^13 - 65*x^12 + 188*x^11 + 117*x^10 - 805*x^9 + 217*x^8 + 1451*x^7 - 796*x^6 - 1179*x^5 + 647*x^4 + 333*x^3 - 117*x^2 + 143*x - 66, -x^15 + 8*x^14 - 11*x^13 - 65*x^12 + 188*x^11 + 117*x^10 - 805*x^9 + 217*x^8 + 1451*x^7 - 796*x^6 - 1179*x^5 + 647*x^4 + 333*x^3 - 117*x^2 + 143*x - 66, x^15 - 8*x^14 + 10*x^13 + 78*x^12 - 238*x^11 - 121*x^10 + 1230*x^9 - 869*x^8 - 2351*x^7 + 3417*x^6 + 1079*x^5 - 4024*x^4 + 1150*x^3 + 1278*x^2 - 670*x + 54, x^15 - 8*x^14 + 10*x^13 + 78*x^12 - 238*x^11 - 121*x^10 + 1230*x^9 - 869*x^8 - 2351*x^7 + 3417*x^6 + 1079*x^5 - 4024*x^4 + 1150*x^3 + 1278*x^2 - 670*x + 54, x^15 - 7*x^14 + x^13 + 90*x^12 - 133*x^11 - 430*x^10 + 919*x^9 + 963*x^8 - 2691*x^7 - 1060*x^6 + 3858*x^5 + 625*x^4 - 2589*x^3 - 220*x^2 + 621*x - 84, x^15 - 7*x^14 + x^13 + 90*x^12 - 133*x^11 - 430*x^10 + 919*x^9 + 963*x^8 - 2691*x^7 - 1060*x^6 + 3858*x^5 + 625*x^4 - 2589*x^3 - 220*x^2 + 621*x - 84, x^15 - 6*x^14 - 6*x^13 + 94*x^12 - 64*x^11 - 554*x^10 + 714*x^9 + 1506*x^8 - 2510*x^7 - 1834*x^6 + 3693*x^5 + 855*x^4 - 1955*x^3 - 250*x^2 + 158*x + 54, x^15 - 6*x^14 - 6*x^13 + 94*x^12 - 64*x^11 - 554*x^10 + 714*x^9 + 1506*x^8 - 2510*x^7 - 1834*x^6 + 3693*x^5 + 855*x^4 - 1955*x^3 - 250*x^2 + 158*x + 54, -x^14 + 6*x^13 + x^12 - 63*x^11 + 62*x^10 + 241*x^9 - 323*x^8 - 429*x^7 + 593*x^6 + 390*x^5 - 399*x^4 - 151*x^3 + 31*x^2 - 55*x + 33, -x^14 + 6*x^13 + x^12 - 63*x^11 + 62*x^10 + 241*x^9 - 323*x^8 - 429*x^7 + 593*x^6 + 390*x^5 - 399*x^4 - 151*x^3 + 31*x^2 - 55*x + 33, -x^14 + 10*x^13 - 26*x^12 - 48*x^11 + 309*x^10 - 185*x^9 - 1039*x^8 + 1414*x^7 + 1232*x^6 - 2623*x^5 - 290*x^4 + 1629*x^3 - 50*x^2 - 298*x + 54, -x^14 + 10*x^13 - 26*x^12 - 48*x^11 + 309*x^10 - 185*x^9 - 1039*x^8 + 1414*x^7 + 1232*x^6 - 2623*x^5 - 290*x^4 + 1629*x^3 - 50*x^2 - 298*x + 54, x^14 - 6*x^13 - x^12 + 67*x^11 - 89*x^10 - 215*x^9 + 499*x^8 + 62*x^7 - 861*x^6 + 630*x^5 + 311*x^4 - 774*x^3 + 229*x^2 + 255*x - 84, x^14 - 6*x^13 - x^12 + 67*x^11 - 89*x^10 - 215*x^9 + 499*x^8 + 62*x^7 - 861*x^6 + 630*x^5 + 311*x^4 - 774*x^3 + 229*x^2 + 255*x - 84, 2*x^14 - 13*x^13 - x^12 + 162*x^11 - 219*x^10 - 692*x^9 + 1471*x^8 + 1071*x^7 - 3733*x^6 + 48*x^5 + 3904*x^4 - 1295*x^3 - 1223*x^2 + 586*x - 60, 2*x^14 - 13*x^13 - x^12 + 162*x^11 - 219*x^10 - 692*x^9 + 1471*x^8 + 1071*x^7 - 3733*x^6 + 48*x^5 + 3904*x^4 - 1295*x^3 - 1223*x^2 + 586*x - 60, x^14 - 8*x^13 + 13*x^12 + 53*x^11 - 189*x^10 + 6*x^9 + 667*x^8 - 653*x^7 - 755*x^6 + 1469*x^5 - 149*x^4 - 978*x^3 + 517*x^2 + 82*x - 60, x^14 - 8*x^13 + 13*x^12 + 53*x^11 - 189*x^10 + 6*x^9 + 667*x^8 - 653*x^7 - 755*x^6 + 1469*x^5 - 149*x^4 - 978*x^3 + 517*x^2 + 82*x - 60, x^14 - 5*x^13 - 10*x^12 + 82*x^11 - 5*x^10 - 516*x^9 + 432*x^8 + 1428*x^7 - 1926*x^6 - 1398*x^5 + 2939*x^4 - 147*x^3 - 1252*x^2 + 331*x + 30, x^14 - 5*x^13 - 10*x^12 + 82*x^11 - 5*x^10 - 516*x^9 + 432*x^8 + 1428*x^7 - 1926*x^6 - 1398*x^5 + 2939*x^4 - 147*x^3 - 1252*x^2 + 331*x + 30, x^16 - 8*x^15 + 7*x^14 + 96*x^13 - 227*x^12 - 371*x^11 + 1504*x^10 + 228*x^9 - 4393*x^8 + 1746*x^7 + 6146*x^6 - 4000*x^5 - 3807*x^4 + 2904*x^3 + 716*x^2 - 604*x + 54, x^16 - 8*x^15 + 7*x^14 + 96*x^13 - 227*x^12 - 371*x^11 + 1504*x^10 + 228*x^9 - 4393*x^8 + 1746*x^7 + 6146*x^6 - 4000*x^5 - 3807*x^4 + 2904*x^3 + 716*x^2 - 604*x + 54, x^14 - 7*x^13 + 4*x^12 + 68*x^11 - 113*x^10 - 240*x^9 + 530*x^8 + 434*x^7 - 1072*x^6 - 580*x^5 + 1131*x^4 + 595*x^3 - 698*x^2 - 171*x + 126, x^14 - 7*x^13 + 4*x^12 + 68*x^11 - 113*x^10 - 240*x^9 + 530*x^8 + 434*x^7 - 1072*x^6 - 580*x^5 + 1131*x^4 + 595*x^3 - 698*x^2 - 171*x + 126, x^15 - 7*x^14 + 2*x^13 + 85*x^12 - 143*x^11 - 352*x^10 + 933*x^9 + 469*x^8 - 2453*x^7 + 364*x^6 + 2777*x^5 - 1175*x^4 - 1078*x^3 + 531*x^2 + 24*x + 6, x^15 - 7*x^14 + 2*x^13 + 85*x^12 - 143*x^11 - 352*x^10 + 933*x^9 + 469*x^8 - 2453*x^7 + 364*x^6 + 2777*x^5 - 1175*x^4 - 1078*x^3 + 531*x^2 + 24*x + 6, 2*x^13 - 11*x^12 - 8*x^11 + 127*x^10 - 67*x^9 - 577*x^8 + 522*x^7 + 1297*x^6 - 1384*x^5 - 1313*x^4 + 1477*x^3 + 352*x^2 - 383*x + 30, 2*x^13 - 11*x^12 - 8*x^11 + 127*x^10 - 67*x^9 - 577*x^8 + 522*x^7 + 1297*x^6 - 1384*x^5 - 1313*x^4 + 1477*x^3 + 352*x^2 - 383*x + 30, x^15 - 7*x^14 + x^13 + 90*x^12 - 133*x^11 - 436*x^10 + 955*x^9 + 943*x^8 - 2920*x^7 - 740*x^6 + 4334*x^5 - 246*x^4 - 2922*x^3 + 577*x^2 + 595*x - 180, x^15 - 7*x^14 + x^13 + 90*x^12 - 133*x^11 - 436*x^10 + 955*x^9 + 943*x^8 - 2920*x^7 - 740*x^6 + 4334*x^5 - 246*x^4 - 2922*x^3 + 577*x^2 + 595*x - 180]>,
         rec<Eigen |
           DefiningPolynomial := x^22 + 13*x^21 + 52*x^20 - 26*x^19 - 717*x^18 - 1318*x^17 + 2675*x^16 + 10732*x^15 + 933*x^14 - 35021*x^13 - 30176*x^12 + 54896*x^11 + 82861*x^10 - 34515*x^9 - 103516*x^8 - 9063*x^7 + 63170*x^6 + 22635*x^5 - 15588*x^4 - 9056*x^3 + 257*x^2 + 732*x + 80,
           Coordinates        := [0, 0, 0, 0, -x^21 - 13*x^20 - 54*x^19 + 2*x^18 + 631*x^17 + 1384*x^16 - 1568*x^15 - 9040*x^14 - 4782*x^13 + 22503*x^12 + 30512*x^11 - 20502*x^10 - 58445*x^9 - 7753*x^8 + 49313*x^7 + 26263*x^6 - 15166*x^5 - 14846*x^4 - 999*x^3 + 1981*x^2 + 565*x + 36, x^21 + 13*x^20 + 54*x^19 - 2*x^18 - 631*x^17 - 1384*x^16 + 1568*x^15 + 9040*x^14 + 4782*x^13 - 22503*x^12 - 30512*x^11 + 20502*x^10 + 58445*x^9 + 7753*x^8 - 49313*x^7 - 26263*x^6 + 15166*x^5 + 14846*x^4 + 999*x^3 - 1981*x^2 - 565*x - 36, -x^20 - 12*x^19 - 43*x^18 + 33*x^17 + 553*x^16 + 841*x^15 - 1938*x^14 - 6239*x^13 + 315*x^12 + 17303*x^11 + 11729*x^10 - 21875*x^9 - 26531*x^8 + 10192*x^7 + 24032*x^6 + 2403*x^5 - 8860*x^4 - 3020*x^3 + 751*x^2 + 396*x + 24, x^20 + 12*x^19 + 43*x^18 - 33*x^17 - 553*x^16 - 841*x^15 + 1938*x^14 + 6239*x^13 - 315*x^12 - 17303*x^11 - 11729*x^10 + 21875*x^9 + 26531*x^8 - 10192*x^7 - 24032*x^6 - 2403*x^5 + 8860*x^4 + 3020*x^3 - 751*x^2 - 396*x - 24, -x^20 - 12*x^19 - 43*x^18 + 33*x^17 + 554*x^16 + 851*x^15 - 1911*x^14 - 6279*x^13 + 21*x^12 + 17091*x^11 + 12687*x^10 - 20393*x^9 - 27672*x^8 + 7008*x^7 + 23972*x^6 + 5386*x^5 - 7727*x^4 - 4055*x^3 + 71*x^2 + 372*x + 56, x^20 + 12*x^19 + 43*x^18 - 33*x^17 - 554*x^16 - 851*x^15 + 1911*x^14 + 6279*x^13 - 21*x^12 - 17091*x^11 - 12687*x^10 + 20393*x^9 + 27672*x^8 - 7008*x^7 - 23972*x^6 - 5386*x^5 + 7727*x^4 + 4055*x^3 - 71*x^2 - 372*x - 56, -x^19 - 12*x^18 - 45*x^17 + 10*x^16 + 471*x^15 + 863*x^14 - 1142*x^13 - 4885*x^12 - 1480*x^11 + 10356*x^10 + 10039*x^9 - 8586*x^8 - 15089*x^7 + 172*x^6 + 8709*x^5 + 2966*x^4 - 1270*x^3 - 834*x^2 - 145*x - 12, x^19 + 12*x^18 + 45*x^17 - 10*x^16 - 471*x^15 - 863*x^14 + 1142*x^13 + 4885*x^12 + 1480*x^11 - 10356*x^10 - 10039*x^9 + 8586*x^8 + 15089*x^7 - 172*x^6 - 8709*x^5 - 2966*x^4 + 1270*x^3 + 834*x^2 + 145*x + 12, -x^19 - 12*x^18 - 44*x^17 + 21*x^16 + 508*x^15 + 850*x^14 - 1476*x^13 - 5391*x^12 - 734*x^11 + 12796*x^10 + 10380*x^9 - 12911*x^8 - 18333*x^7 + 3095*x^6 + 12825*x^5 + 3064*x^4 - 2985*x^3 - 1538*x^2 - 137*x + 20, x^19 + 12*x^18 + 44*x^17 - 21*x^16 - 508*x^15 - 850*x^14 + 1476*x^13 + 5391*x^12 + 734*x^11 - 12796*x^10 - 10380*x^9 + 12911*x^8 + 18333*x^7 - 3095*x^6 - 12825*x^5 - 3064*x^4 + 2985*x^3 + 1538*x^2 + 137*x - 20, -x^18 - 12*x^17 - 47*x^16 - 13*x^15 + 386*x^14 + 851*x^13 - 471*x^12 - 3561*x^11 - 2371*x^10 + 5240*x^9 + 7401*x^8 - 1663*x^7 - 7317*x^6 - 2301*x^5 + 2238*x^4 + 1446*x^3 + 153*x^2 - 2*x + 12, x^18 + 12*x^17 + 47*x^16 + 13*x^15 - 386*x^14 - 851*x^13 + 471*x^12 + 3561*x^11 + 2371*x^10 - 5240*x^9 - 7401*x^8 + 1663*x^7 + 7317*x^6 + 2301*x^5 - 2238*x^4 - 1446*x^3 - 153*x^2 + 2*x - 12, -x^18 - 11*x^17 - 35*x^16 + 35*x^15 + 410*x^14 + 503*x^13 - 1324*x^12 - 3386*x^11 + 681*x^10 + 8049*x^9 + 4041*x^8 - 8357*x^7 - 8006*x^6 + 2864*x^5 + 5352*x^4 + 740*x^3 - 1049*x^2 - 406*x - 36, x^18 + 11*x^17 + 35*x^16 - 35*x^15 - 410*x^14 - 503*x^13 + 1324*x^12 + 3386*x^11 - 681*x^10 - 8049*x^9 - 4041*x^8 + 8357*x^7 + 8006*x^6 - 2864*x^5 - 5352*x^4 - 740*x^3 + 1049*x^2 + 406*x + 36, -x^18 - 12*x^17 - 46*x^16 - x^15 + 435*x^14 + 888*x^13 - 755*x^12 - 4295*x^11 - 2307*x^10 + 7482*x^9 + 9339*x^8 - 3913*x^7 - 11147*x^6 - 2322*x^5 + 4742*x^4 + 2517*x^3 - 208*x^2 - 352*x - 56, x^18 + 12*x^17 + 46*x^16 + x^15 - 435*x^14 - 888*x^13 + 755*x^12 + 4295*x^11 + 2307*x^10 - 7482*x^9 - 9339*x^8 + 3913*x^7 + 11147*x^6 + 2322*x^5 - 4742*x^4 - 2517*x^3 + 208*x^2 + 352*x + 56, -x^17 - 12*x^16 - 49*x^15 - 36*x^14 + 299*x^13 + 817*x^12 + 123*x^11 - 2243*x^10 - 2697*x^9 + 1186*x^8 + 4232*x^7 + 1944*x^6 - 1540*x^5 - 1854*x^4 - 509*x^3 + 133*x^2 + 83*x + 8, x^17 + 12*x^16 + 49*x^15 + 36*x^14 - 299*x^13 - 817*x^12 - 123*x^11 + 2243*x^10 + 2697*x^9 - 1186*x^8 - 4232*x^7 - 1944*x^6 + 1540*x^5 + 1854*x^4 + 509*x^3 - 133*x^2 - 83*x - 8, -x^17 - 11*x^16 - 36*x^15 + 24*x^14 + 372*x^13 + 507*x^12 - 1014*x^11 - 2873*x^10 + 59*x^9 + 5737*x^8 + 3540*x^7 - 4417*x^6 - 4931*x^5 + 334*x^4 + 1932*x^3 + 699*x^2 + 74*x + 4, x^17 + 11*x^16 + 36*x^15 - 24*x^14 - 372*x^13 - 507*x^12 + 1014*x^11 + 2873*x^10 - 59*x^9 - 5737*x^8 - 3540*x^7 + 4417*x^6 + 4931*x^5 - 334*x^4 - 1932*x^3 - 699*x^2 - 74*x - 4, -x^17 - 10*x^16 - 26*x^15 + 50*x^14 + 321*x^13 + 175*x^12 - 1225*x^11 - 1626*x^10 + 2051*x^9 + 4270*x^8 - 1274*x^7 - 5314*x^6 - 493*x^5 + 3126*x^4 + 961*x^3 - 621*x^2 - 297*x - 24, x^17 + 10*x^16 + 26*x^15 - 50*x^14 - 321*x^13 - 175*x^12 + 1225*x^11 + 1626*x^10 - 2051*x^9 - 4270*x^8 + 1274*x^7 + 5314*x^6 + 493*x^5 - 3126*x^4 - 961*x^3 + 621*x^2 + 297*x + 24, -x^17 - 10*x^16 - 26*x^15 + 51*x^14 + 333*x^13 + 222*x^12 - 1199*x^11 - 1897*x^10 + 1487*x^9 + 4508*x^8 + 323*x^7 - 4559*x^6 - 2029*x^5 + 1736*x^4 + 1270*x^3 - 23*x^2 - 162*x - 28, x^17 + 10*x^16 + 26*x^15 - 51*x^14 - 333*x^13 - 222*x^12 + 1199*x^11 + 1897*x^10 - 1487*x^9 - 4508*x^8 - 323*x^7 + 4559*x^6 + 2029*x^5 - 1736*x^4 - 1270*x^3 + 23*x^2 + 162*x + 28, -x^17 - 12*x^16 - 47*x^15 - 13*x^14 + 388*x^13 + 874*x^12 - 374*x^11 - 3417*x^10 - 2528*x^9 + 4490*x^8 + 6863*x^7 - 858*x^6 - 6054*x^5 - 2283*x^4 + 1507*x^3 + 1209*x^2 + 243*x + 8, x^17 + 12*x^16 + 47*x^15 + 13*x^14 - 388*x^13 - 874*x^12 + 374*x^11 + 3417*x^10 + 2528*x^9 - 4490*x^8 - 6863*x^7 + 858*x^6 + 6054*x^5 + 2283*x^4 - 1507*x^3 - 1209*x^2 - 243*x - 8, -x^16 - 12*x^15 - 48*x^14 - 27*x^13 + 319*x^12 + 772*x^11 - 114*x^10 - 2385*x^9 - 2040*x^8 + 2181*x^7 + 3820*x^6 + 323*x^5 - 2094*x^4 - 1025*x^3 + 116*x^2 + 148*x + 20, x^16 + 12*x^15 + 48*x^14 + 27*x^13 - 319*x^12 - 772*x^11 + 114*x^10 + 2385*x^9 + 2040*x^8 - 2181*x^7 - 3820*x^6 - 323*x^5 + 2094*x^4 + 1025*x^3 - 116*x^2 - 148*x - 20, -x^16 - 11*x^15 - 39*x^14 - 7*x^13 + 275*x^12 + 546*x^11 - 212*x^10 - 1669*x^9 - 1129*x^8 + 1426*x^7 + 1957*x^6 + 124*x^5 - 653*x^4 - 288*x^3 - 186*x^2 - 138*x - 32, x^16 + 11*x^15 + 39*x^14 + 7*x^13 - 275*x^12 - 546*x^11 + 212*x^10 + 1669*x^9 + 1129*x^8 - 1426*x^7 - 1957*x^6 - 124*x^5 + 653*x^4 + 288*x^3 + 186*x^2 + 138*x + 32, x^15 + 10*x^14 + 28*x^13 - 36*x^12 - 326*x^11 - 443*x^10 + 556*x^9 + 1876*x^8 + 786*x^7 - 2031*x^6 - 2296*x^5 + 28*x^4 + 1185*x^3 + 620*x^2 + 80*x - 8, -x^15 - 10*x^14 - 28*x^13 + 36*x^12 + 326*x^11 + 443*x^10 - 556*x^9 - 1876*x^8 - 786*x^7 + 2031*x^6 + 2296*x^5 - 28*x^4 - 1185*x^3 - 620*x^2 - 80*x + 8, -x^16 - 11*x^15 - 39*x^14 - 7*x^13 + 274*x^12 + 535*x^11 - 256*x^10 - 1728*x^9 - 1045*x^8 + 1769*x^7 + 2199*x^6 - 231*x^5 - 1265*x^4 - 400*x^3 + 131*x^2 + 85*x + 12, x^16 + 11*x^15 + 39*x^14 + 7*x^13 - 274*x^12 - 535*x^11 + 256*x^10 + 1728*x^9 + 1045*x^8 - 1769*x^7 - 2199*x^6 + 231*x^5 + 1265*x^4 + 400*x^3 - 131*x^2 - 85*x - 12, -2*x^14 - 20*x^13 - 60*x^12 + 27*x^11 + 473*x^10 + 679*x^9 - 609*x^8 - 2138*x^7 - 809*x^6 + 1800*x^5 + 1601*x^4 - 134*x^3 - 524*x^2 - 155*x - 8, 2*x^14 + 20*x^13 + 60*x^12 - 27*x^11 - 473*x^10 - 679*x^9 + 609*x^8 + 2138*x^7 + 809*x^6 - 1800*x^5 - 1601*x^4 + 134*x^3 + 524*x^2 + 155*x + 8, -x^16 - 11*x^15 - 37*x^14 + 14*x^13 + 345*x^12 + 552*x^11 - 664*x^10 - 2436*x^9 - 600*x^8 + 3841*x^7 + 3062*x^6 - 2257*x^5 - 3207*x^4 - 123*x^3 + 1071*x^2 + 440*x + 48, x^16 + 11*x^15 + 37*x^14 - 14*x^13 - 345*x^12 - 552*x^11 + 664*x^10 + 2436*x^9 + 600*x^8 - 3841*x^7 - 3062*x^6 + 2257*x^5 + 3207*x^4 + 123*x^3 - 1071*x^2 - 440*x - 48, -x^15 - 10*x^14 - 31*x^13 + 4*x^12 + 211*x^11 + 362*x^10 - 101*x^9 - 889*x^8 - 849*x^7 + 137*x^6 + 1011*x^5 + 913*x^4 + 35*x^3 - 457*x^2 - 253*x - 40, x^15 + 10*x^14 + 31*x^13 - 4*x^12 - 211*x^11 - 362*x^10 + 101*x^9 + 889*x^8 + 849*x^7 - 137*x^6 - 1011*x^5 - 913*x^4 - 35*x^3 + 457*x^2 + 253*x + 40, -x^15 - 9*x^14 - 20*x^13 + 41*x^12 + 197*x^11 + 12*x^10 - 711*x^9 - 461*x^8 + 1292*x^7 + 1263*x^6 - 1095*x^5 - 1432*x^4 + 195*x^3 + 590*x^2 + 161*x + 4, x^15 + 9*x^14 + 20*x^13 - 41*x^12 - 197*x^11 - 12*x^10 + 711*x^9 + 461*x^8 - 1292*x^7 - 1263*x^6 + 1095*x^5 + 1432*x^4 - 195*x^3 - 590*x^2 - 161*x - 4, -x^15 - 10*x^14 - 29*x^13 + 23*x^12 + 262*x^11 + 317*x^10 - 508*x^9 - 1249*x^8 + 40*x^7 + 1663*x^6 + 590*x^5 - 1047*x^4 - 559*x^3 + 302*x^2 + 245*x + 40, x^15 + 10*x^14 + 29*x^13 - 23*x^12 - 262*x^11 - 317*x^10 + 508*x^9 + 1249*x^8 - 40*x^7 - 1663*x^6 - 590*x^5 + 1047*x^4 + 559*x^3 - 302*x^2 - 245*x - 40]>
       ]
>;

MOG[587] := 	// J_0(587)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 27, 38, 147, 198, 258, 373, 379, 386, 399, 453, 475, 554, 583, 381*x + 383, 206*x + 383, 450*x + 292, 137*x + 292, 358*x + 257, 229*x + 257, 291*x + 313, 296*x + 313, 493*x + 514, 94*x + 514, 17*x + 208, 570*x + 208, 175*x + 399, 412*x + 399, 215*x + 372, 372*x + 372, 316*x + 32, 271*x + 32, 509*x + 127, 78*x + 127, 17*x + 200, 570*x + 200, 202*x + 29, 385*x + 29, 331*x + 395, 256*x + 395, 70*x + 278, 517*x + 278, 270*x + 532, 317*x + 532, 399*x + 252, 188*x + 252, 514*x + 579, 73*x + 579, 335*x + 149, 252*x + 149]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^5 + 3*x^4 - 3*x^3 - 11*x^2 + 2*x + 9,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, -1, -1, 1, x + 1, -x - 1, 0, 0, -x - 1, x + 1, x^3 + 3*x^2 - x - 5, -x^3 - 3*x^2 + x + 5, -x^3 - 2*x^2 + 2*x + 4, x^3 + 2*x^2 - 2*x - 4, 0, 0, 1, -1, -1, 1, -x^2 - x + 2, x^2 + x - 2, x^4 + 3*x^3 - x^2 - 6*x - 1, -x^4 - 3*x^3 + x^2 + 6*x + 1, -x^2 - x + 1, x^2 + x - 1, -x^4 - 2*x^3 + 3*x^2 + 4*x - 2, x^4 + 2*x^3 - 3*x^2 - 4*x + 2, x + 1, -x - 1, -x^3 - 2*x^2 + 2*x + 3, x^3 + 2*x^2 - 2*x - 3, x^3 + 2*x^2 - 2*x - 4, -x^3 - 2*x^2 + 2*x + 4, x^2 - 3, -x^2 + 3]>,
         rec<Eigen |
           DefiningPolynomial := x^13 + 3*x^12 - 11*x^11 - 36*x^10 + 37*x^9 + 146*x^8 - 32*x^7 - 233*x^6 - 22*x^5 + 141*x^4 + 30*x^3 - 21*x^2 - 3*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^12 - 4*x^11 + 6*x^10 + 37*x^9 + x^8 - 111*x^7 - 52*x^6 + 121*x^5 + 78*x^4 - 38*x^3 - 27*x^2 + 2*x + 2, x^12 + 4*x^11 - 6*x^10 - 37*x^9 - x^8 + 111*x^7 + 52*x^6 - 121*x^5 - 78*x^4 + 38*x^3 + 27*x^2 - 2*x - 2, -x^12 - 4*x^11 + 5*x^10 + 34*x^9 + 6*x^8 - 90*x^7 - 48*x^6 + 89*x^5 + 57*x^4 - 27*x^3 - 16*x^2 + 2*x + 1, x^12 + 4*x^11 - 5*x^10 - 34*x^9 - 6*x^8 + 90*x^7 + 48*x^6 - 89*x^5 - 57*x^4 + 27*x^3 + 16*x^2 - 2*x - 1, -x^11 - 4*x^10 + 4*x^9 + 29*x^8 + 6*x^7 - 64*x^6 - 33*x^5 + 46*x^4 + 30*x^3 - 3*x^2 - 3*x, x^11 + 4*x^10 - 4*x^9 - 29*x^8 - 6*x^7 + 64*x^6 + 33*x^5 - 46*x^4 - 30*x^3 + 3*x^2 + 3*x, -x^11 - 4*x^10 + 3*x^9 + 27*x^8 + 14*x^7 - 43*x^6 - 32*x^5 + 18*x^4 + 12*x^3 - 2*x^2 - x, x^11 + 4*x^10 - 3*x^9 - 27*x^8 - 14*x^7 + 43*x^6 + 32*x^5 - 18*x^4 - 12*x^3 + 2*x^2 + x, -x^11 - 4*x^10 + 3*x^9 + 28*x^8 + 17*x^7 - 49*x^6 - 54*x^5 + 18*x^4 + 40*x^3 + 10*x^2 - 3*x - 1, x^11 + 4*x^10 - 3*x^9 - 28*x^8 - 17*x^7 + 49*x^6 + 54*x^5 - 18*x^4 - 40*x^3 - 10*x^2 + 3*x + 1, -x^10 - 4*x^9 + 3*x^8 + 25*x^7 + 8*x^6 - 43*x^5 - 22*x^4 + 23*x^3 + 11*x^2 - 2*x - 1, x^10 + 4*x^9 - 3*x^8 - 25*x^7 - 8*x^6 + 43*x^5 + 22*x^4 - 23*x^3 - 11*x^2 + 2*x + 1, -x^10 - 4*x^9 + 2*x^8 + 22*x^7 + 11*x^6 - 32*x^5 - 26*x^4 + 12*x^3 + 13*x^2 - 1, x^10 + 4*x^9 - 2*x^8 - 22*x^7 - 11*x^6 + 32*x^5 + 26*x^4 - 12*x^3 - 13*x^2 + 1, -x^10 - 4*x^9 + 3*x^8 + 27*x^7 + 14*x^6 - 43*x^5 - 32*x^4 + 18*x^3 + 12*x^2 - 2*x - 1, x^10 + 4*x^9 - 3*x^8 - 27*x^7 - 14*x^6 + 43*x^5 + 32*x^4 - 18*x^3 - 12*x^2 + 2*x + 1, -x^10 - 3*x^9 + 5*x^8 + 20*x^7 + 2*x^6 - 28*x^5 - 13*x^4 + 7*x^3 + 3*x^2, x^10 + 3*x^9 - 5*x^8 - 20*x^7 - 2*x^6 + 28*x^5 + 13*x^4 - 7*x^3 - 3*x^2, -x^10 - 3*x^9 + 6*x^8 + 22*x^7 - 5*x^6 - 44*x^5 - 10*x^4 + 28*x^3 + 12*x^2 - 2*x - 1, x^10 + 3*x^9 - 6*x^8 - 22*x^7 + 5*x^6 + 44*x^5 + 10*x^4 - 28*x^3 - 12*x^2 + 2*x + 1, -x^10 - 3*x^9 + 5*x^8 + 19*x^7 - x^6 - 27*x^5 - 7*x^4 + 9*x^3 + x^2 - x, x^10 + 3*x^9 - 5*x^8 - 19*x^7 + x^6 + 27*x^5 + 7*x^4 - 9*x^3 - x^2 + x, -x^9 - 4*x^8 + 2*x^7 + 21*x^6 + 11*x^5 - 23*x^4 - 19*x^3 + x^2 + 2*x, x^9 + 4*x^8 - 2*x^7 - 21*x^6 - 11*x^5 + 23*x^4 + 19*x^3 - x^2 - 2*x, -x^9 - 3*x^8 + 3*x^7 + 11*x^6 - 4*x^5 - 11*x^4 + 2*x^3 + 2*x^2, x^9 + 3*x^8 - 3*x^7 - 11*x^6 + 4*x^5 + 11*x^4 - 2*x^3 - 2*x^2, -x^9 - 4*x^8 + 2*x^7 + 21*x^6 + 11*x^5 - 23*x^4 - 19*x^3 + x^2 + 2*x, x^9 + 4*x^8 - 2*x^7 - 21*x^6 - 11*x^5 + 23*x^4 + 19*x^3 - x^2 - 2*x, -x^9 - 2*x^8 + 8*x^7 + 17*x^6 - 9*x^5 - 24*x^4 - 2*x^3 + 5*x^2 + x, x^9 + 2*x^8 - 8*x^7 - 17*x^6 + 9*x^5 + 24*x^4 + 2*x^3 - 5*x^2 - x, -x^9 - 4*x^8 + x^7 + 21*x^6 + 20*x^5 - 16*x^4 - 30*x^3 - 10*x^2 + 2*x + 1, x^9 + 4*x^8 - x^7 - 21*x^6 - 20*x^5 + 16*x^4 + 30*x^3 + 10*x^2 - 2*x - 1, -x^8 - 4*x^7 + 3*x^6 + 20*x^5 + 3*x^4 - 22*x^3 - 9*x^2 + 2*x + 1, x^8 + 4*x^7 - 3*x^6 - 20*x^5 - 3*x^4 + 22*x^3 + 9*x^2 - 2*x - 1, -x^8 - 3*x^7 + 2*x^6 + 12*x^5 + 4*x^4 - 12*x^3 - 8*x^2 + x + 1, x^8 + 3*x^7 - 2*x^6 - 12*x^5 - 4*x^4 + 12*x^3 + 8*x^2 - x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^31 - 6*x^30 - 32*x^29 + 251*x^28 + 351*x^27 - 4616*x^26 - 325*x^25 + 49109*x^24 - 30233*x^23 - 334486*x^22 + 353972*x^21 + 1522925*x^20 - 2131423*x^19 - 4689049*x^18 + 8056051*x^17 + 9613950*x^16 - 20122858*x^15 - 12435554*x^14 + 33409695*x^13 + 8703458*x^12 - 36081141*x^11 - 1266619*x^10 + 24223815*x^9 - 2264825*x^8 - 9506257*x^7 + 1294446*x^6 + 2092064*x^5 - 240856*x^4 - 233280*x^3 + 12384*x^2 + 9536*x + 256,
           Coordinates        := [-x^30 + 6*x^29 + 29*x^28 - 233*x^27 - 270*x^26 + 3953*x^25 - 333*x^24 - 38516*x^23 + 28144*x^22 + 238170*x^21 - 274902*x^20 - 973963*x^19 + 1451819*x^18 + 2656522*x^17 - 4835594*x^16 - 4734618*x^15 + 10583870*x^14 + 5166644*x^13 - 15238565*x^12 - 2846400*x^11 + 14076848*x^10 + 78831*x^9 - 7945885*x^8 + 654070*x^7 + 2559648*x^6 - 212082*x^5 - 439216*x^4 + 7528*x^3 + 31872*x^2 + 2528*x - 128, x^30 - 6*x^29 - 29*x^28 + 233*x^27 + 270*x^26 - 3951*x^25 + 319*x^24 + 38494*x^23 - 27788*x^22 - 238442*x^21 + 271290*x^20 + 980319*x^19 - 1433627*x^18 - 2705642*x^17 + 4793322*x^16 + 4935528*x^15 - 10584944*x^14 - 5642666*x^13 + 15489919*x^12 + 3498316*x^11 - 14703038*x^10 - 554477*x^9 + 8672871*x^8 - 515096*x^7 - 2997262*x^6 + 220870*x^5 + 571256*x^4 - 14584*x^3 - 49632*x^2 - 2592*x + 640, x^28 - 6*x^27 - 25*x^26 + 211*x^25 + 156*x^24 - 3147*x^23 + 1411*x^22 + 25926*x^21 - 28802*x^20 - 128286*x^19 + 208486*x^18 + 384283*x^17 - 846621*x^16 - 642062*x^15 + 2099136*x^14 + 364944*x^13 - 3188738*x^12 + 596916*x^11 + 2818051*x^10 - 1223536*x^9 - 1259584*x^8 + 797891*x^7 + 178941*x^6 - 173110*x^5 + 22004*x^4 - 424*x^3 - 7184*x^2 + 2720*x + 512, 2*x^25 - 8*x^24 - 58*x^23 + 262*x^22 + 670*x^21 - 3670*x^20 - 3690*x^19 + 28798*x^18 + 6688*x^17 - 138960*x^16 + 32852*x^15 + 424964*x^14 - 238802*x^13 - 815892*x^12 + 669996*x^11 + 934544*x^10 - 1002486*x^9 - 567376*x^8 + 804098*x^7 + 140258*x^6 - 317062*x^5 - 11536*x^4 + 59368*x^3 + 1376*x^2 - 4128*x - 256, -3*x^28 + 18*x^27 + 75*x^26 - 627*x^25 - 520*x^24 + 9403*x^23 - 2821*x^22 - 79626*x^21 + 70798*x^20 + 419508*x^19 - 536260*x^18 - 1427253*x^17 + 2272619*x^16 + 3145534*x^15 - 5995924*x^14 - 4367720*x^13 + 10070616*x^12 + 3563166*x^11 - 10585219*x^10 - 1486156*x^9 + 6627644*x^8 + 297959*x^7 - 2283849*x^6 - 138270*x^5 + 395972*x^4 + 64168*x^3 - 22800*x^2 - 8800*x - 1024, 2*x^27 - 12*x^26 - 46*x^25 + 396*x^24 + 252*x^23 - 5570*x^22 + 2554*x^21 + 43662*x^20 - 45824*x^19 - 208926*x^18 + 307508*x^17 + 626390*x^16 - 1171058*x^15 - 1152894*x^14 + 2751612*x^13 + 1189948*x^12 - 4039558*x^11 - 483088*x^10 + 3625794*x^9 - 171874*x^8 - 1908624*x^7 + 197776*x^6 + 564996*x^5 - 42408*x^4 - 84704*x^3 - 1120*x^2 + 4416*x + 512, 2*x^25 - 10*x^24 - 48*x^23 + 298*x^22 + 426*x^21 - 3814*x^20 - 1394*x^19 + 27792*x^18 - 3424*x^17 - 128170*x^16 + 49476*x^15 + 389642*x^14 - 211030*x^13 - 779504*x^12 + 497988*x^11 + 986140*x^10 - 684458*x^9 - 728688*x^8 + 506948*x^7 + 284554*x^6 - 165494*x^5 - 63416*x^4 + 18456*x^3 + 7744*x^2 + 224*x - 256, x^28 - 6*x^27 - 31*x^26 + 245*x^25 + 302*x^24 - 4259*x^23 + 325*x^22 + 41482*x^21 - 30818*x^20 - 250142*x^19 + 292534*x^18 + 971437*x^17 - 1457889*x^16 - 2439844*x^15 + 4443244*x^14 + 3847378*x^13 - 8572908*x^12 - 3499156*x^11 + 10365171*x^10 + 1422772*x^9 - 7534344*x^8 + 77709*x^7 + 3083305*x^6 - 180672*x^5 - 667596*x^4 + 28576*x^3 + 63664*x^2 + 128*x - 1152, 2*x^26 - 12*x^25 - 42*x^24 + 378*x^23 + 146*x^22 - 5010*x^21 + 3650*x^20 + 36178*x^19 - 50908*x^18 - 152336*x^17 + 310772*x^16 + 359260*x^15 - 1088730*x^14 - 338288*x^13 + 2301780*x^12 - 405448*x^11 - 2871574*x^10 + 1437596*x^9 + 1938850*x^8 - 1467938*x^7 - 597578*x^6 + 622588*x^5 + 82440*x^4 - 117360*x^3 - 6880*x^2 + 8000*x + 512, x^29 - 6*x^28 - 27*x^27 + 221*x^26 + 214*x^25 - 3495*x^24 + 777*x^23 + 31088*x^22 - 26052*x^21 - 171034*x^20 + 211670*x^19 + 601891*x^18 - 932607*x^17 - 1349922*x^16 + 2488812*x^15 + 1853622*x^14 - 4042564*x^13 - 1430344*x^12 + 3728273*x^11 + 596076*x^10 - 1519816*x^9 - 355241*x^8 - 121057*x^7 + 360504*x^6 + 264984*x^5 - 132912*x^4 - 74336*x^3 + 13568*x^2 + 6848*x + 256, 2*x^25 - 12*x^24 - 36*x^23 + 332*x^22 + 90*x^21 - 3804*x^20 + 2418*x^19 + 23722*x^18 - 26016*x^17 - 89222*x^16 + 124392*x^15 + 211898*x^14 - 347562*x^13 - 317222*x^12 + 615148*x^11 + 266314*x^10 - 690914*x^9 - 52200*x^8 + 443786*x^7 - 88774*x^6 - 123420*x^5 + 46856*x^4 + 12064*x^3 - 8544*x^2 + 64*x + 640, -3*x^28 + 18*x^27 + 77*x^26 - 639*x^25 - 570*x^24 + 9829*x^23 - 2541*x^22 - 85922*x^21 + 74304*x^20 + 469854*x^19 - 598740*x^18 - 1662981*x^17 + 2695175*x^16 + 3789410*x^15 - 7584556*x^14 - 5275154*x^13 + 13640786*x^12 + 3788246*x^11 - 15367395*x^10 - 361092*x^9 + 10263402*x^8 - 1177805*x^7 - 3742247*x^6 + 541188*x^5 + 720268*x^4 - 71840*x^3 - 63408*x^2 + 1472*x + 1408, 2*x^24 - 10*x^23 - 46*x^22 + 286*x^21 + 376*x^20 - 3428*x^19 - 1010*x^18 + 22712*x^17 - 3304*x^16 - 92526*x^15 + 31866*x^14 + 243764*x^13 - 103798*x^12 - 421020*x^11 + 194128*x^10 + 460442*x^9 - 230472*x^8 - 282672*x^7 + 161114*x^6 + 72340*x^5 - 51080*x^4 - 4224*x^3 + 7840*x^2 - 704*x - 640, -3*x^29 + 18*x^28 + 81*x^27 - 663*x^26 - 658*x^25 + 10593*x^24 - 2089*x^23 - 96316*x^22 + 79070*x^21 + 548962*x^20 - 679604*x^19 - 2032527*x^18 + 3220457*x^17 + 4879332*x^16 - 9538988*x^15 - 7268910*x^14 + 18171130*x^13 + 5857058*x^12 - 22004293*x^11 - 1187788*x^10 + 16277930*x^9 - 1610755*x^8 - 6946609*x^7 + 1082364*x^6 + 1652848*x^5 - 233328*x^4 - 201408*x^3 + 14912*x^2 + 9408*x + 256, x^26 - 6*x^25 - 20*x^24 + 176*x^23 + 91*x^22 - 2188*x^21 + 833*x^20 + 15289*x^19 - 11998*x^18 - 67323*x^17 + 65500*x^16 + 198475*x^15 - 205647*x^14 - 402375*x^13 + 411372*x^12 + 554177*x^11 - 539585*x^10 - 486542*x^9 + 452365*x^8 + 238285*x^7 - 222824*x^6 - 48912*x^5 + 57112*x^4 - 48*x^3 - 7808*x^2 + 1024*x + 640, x^26 - 6*x^25 - 20*x^24 + 176*x^23 + 91*x^22 - 2188*x^21 + 833*x^20 + 15289*x^19 - 11998*x^18 - 67323*x^17 + 65500*x^16 + 198475*x^15 - 205647*x^14 - 402375*x^13 + 411372*x^12 + 554177*x^11 - 539585*x^10 - 486542*x^9 + 452365*x^8 + 238285*x^7 - 222824*x^6 - 48912*x^5 + 57112*x^4 - 48*x^3 - 7808*x^2 + 1024*x + 640, -2*x^24 + 9*x^23 + 52*x^22 - 281*x^21 - 479*x^20 + 3615*x^19 + 1424*x^18 - 25122*x^17 + 5914*x^16 + 103283*x^15 - 61652*x^14 - 257391*x^13 + 212768*x^12 + 381940*x^11 - 373176*x^10 - 322754*x^9 + 338239*x^8 + 158505*x^7 - 146904*x^6 - 63796*x^5 + 32160*x^4 + 18768*x^3 - 2080*x^2 - 2624*x - 384, -2*x^24 + 9*x^23 + 52*x^22 - 281*x^21 - 479*x^20 + 3615*x^19 + 1424*x^18 - 25122*x^17 + 5914*x^16 + 103283*x^15 - 61652*x^14 - 257391*x^13 + 212768*x^12 + 381940*x^11 - 373176*x^10 - 322754*x^9 + 338239*x^8 + 158505*x^7 - 146904*x^6 - 63796*x^5 + 32160*x^4 + 18768*x^3 - 2080*x^2 - 2624*x - 384, x^27 - 6*x^26 - 22*x^25 + 190*x^24 + 118*x^23 - 2572*x^22 + 1024*x^21 + 19572*x^20 - 18031*x^19 - 92469*x^18 + 116638*x^17 + 281783*x^16 - 433322*x^15 - 552621*x^14 + 1016325*x^13 + 658631*x^12 - 1536673*x^11 - 379680*x^10 + 1466033*x^9 - 47754*x^8 - 825115*x^7 + 186766*x^6 + 244328*x^5 - 79064*x^4 - 38640*x^3 + 11648*x^2 + 3200*x - 256, x^27 - 6*x^26 - 22*x^25 + 190*x^24 + 118*x^23 - 2572*x^22 + 1024*x^21 + 19572*x^20 - 18031*x^19 - 92469*x^18 + 116638*x^17 + 281783*x^16 - 433322*x^15 - 552621*x^14 + 1016325*x^13 + 658631*x^12 - 1536673*x^11 - 379680*x^10 + 1466033*x^9 - 47754*x^8 - 825115*x^7 + 186766*x^6 + 244328*x^5 - 79064*x^4 - 38640*x^3 + 11648*x^2 + 3200*x - 256, -2*x^26 + 12*x^25 + 42*x^24 - 373*x^23 - 167*x^22 + 4886*x^21 - 3054*x^20 - 34939*x^19 + 43565*x^18 + 146583*x^17 - 260070*x^16 - 352688*x^15 + 876140*x^14 + 393370*x^13 - 1749429*x^12 + 124258*x^11 + 1994960*x^10 - 845205*x^9 - 1126877*x^8 + 829508*x^7 + 192652*x^6 - 279772*x^5 + 16328*x^4 + 36544*x^3 - 4256*x^2 - 1728*x - 256, -2*x^26 + 12*x^25 + 42*x^24 - 373*x^23 - 167*x^22 + 4886*x^21 - 3054*x^20 - 34939*x^19 + 43565*x^18 + 146583*x^17 - 260070*x^16 - 352688*x^15 + 876140*x^14 + 393370*x^13 - 1749429*x^12 + 124258*x^11 + 1994960*x^10 - 845205*x^9 - 1126877*x^8 + 829508*x^7 + 192652*x^6 - 279772*x^5 + 16328*x^4 + 36544*x^3 - 4256*x^2 - 1728*x - 256, x^26 - 8*x^25 - 13*x^24 + 249*x^23 - 205*x^22 - 3177*x^21 + 5836*x^20 + 21074*x^19 - 56689*x^18 - 73346*x^17 + 297853*x^16 + 92561*x^15 - 927884*x^14 + 221773*x^13 + 1719997*x^12 - 1051611*x^11 - 1778129*x^10 + 1669986*x^9 + 833017*x^8 - 1214697*x^7 - 33624*x^6 + 360844*x^5 - 54672*x^4 - 38576*x^3 + 9440*x^2 + 320*x - 384, x^26 - 8*x^25 - 13*x^24 + 249*x^23 - 205*x^22 - 3177*x^21 + 5836*x^20 + 21074*x^19 - 56689*x^18 - 73346*x^17 + 297853*x^16 + 92561*x^15 - 927884*x^14 + 221773*x^13 + 1719997*x^12 - 1051611*x^11 - 1778129*x^10 + 1669986*x^9 + 833017*x^8 - 1214697*x^7 - 33624*x^6 + 360844*x^5 - 54672*x^4 - 38576*x^3 + 9440*x^2 + 320*x - 384, x^28 - 6*x^27 - 24*x^26 + 204*x^25 + 147*x^24 - 2974*x^23 + 1204*x^22 + 24336*x^21 - 24737*x^20 - 122552*x^19 + 179208*x^18 + 389363*x^17 - 740915*x^16 - 756077*x^15 + 1920171*x^14 + 764118*x^13 - 3170669*x^12 - 38820*x^11 + 3248684*x^10 - 804735*x^9 - 1923737*x^8 + 832857*x^7 + 581287*x^6 - 332498*x^5 - 83572*x^4 + 58120*x^3 + 5648*x^2 - 3744*x - 256, x^28 - 6*x^27 - 24*x^26 + 204*x^25 + 147*x^24 - 2974*x^23 + 1204*x^22 + 24336*x^21 - 24737*x^20 - 122552*x^19 + 179208*x^18 + 389363*x^17 - 740915*x^16 - 756077*x^15 + 1920171*x^14 + 764118*x^13 - 3170669*x^12 - 38820*x^11 + 3248684*x^10 - 804735*x^9 - 1923737*x^8 + 832857*x^7 + 581287*x^6 - 332498*x^5 - 83572*x^4 + 58120*x^3 + 5648*x^2 - 3744*x - 256, x^26 - 8*x^25 - 9*x^24 + 226*x^23 - 271*x^22 - 2576*x^21 + 5873*x^20 + 14794*x^19 - 50572*x^18 - 40257*x^17 + 242093*x^16 + 4981*x^15 - 698199*x^14 + 296888*x^13 + 1222624*x^12 - 895037*x^11 - 1243066*x^10 + 1243523*x^9 + 646257*x^8 - 884376*x^7 - 114135*x^6 + 302346*x^5 - 12180*x^4 - 46424*x^3 + 5360*x^2 + 2464*x - 384, x^26 - 8*x^25 - 9*x^24 + 226*x^23 - 271*x^22 - 2576*x^21 + 5873*x^20 + 14794*x^19 - 50572*x^18 - 40257*x^17 + 242093*x^16 + 4981*x^15 - 698199*x^14 + 296888*x^13 + 1222624*x^12 - 895037*x^11 - 1243066*x^10 + 1243523*x^9 + 646257*x^8 - 884376*x^7 - 114135*x^6 + 302346*x^5 - 12180*x^4 - 46424*x^3 + 5360*x^2 + 2464*x - 384, -2*x^27 + 12*x^26 + 44*x^25 - 382*x^24 - 226*x^23 + 5197*x^22 - 2383*x^21 - 39554*x^20 + 40432*x^19 + 184773*x^18 - 262641*x^17 - 544961*x^16 + 977216*x^15 + 996878*x^14 - 2265172*x^13 - 1034406*x^12 + 3318449*x^11 + 413348*x^10 - 3007264*x^9 + 216475*x^8 + 1602181*x^7 - 270588*x^6 - 466290*x^5 + 80744*x^4 + 69000*x^3 - 6720*x^2 - 4000*x - 128, -2*x^27 + 12*x^26 + 44*x^25 - 382*x^24 - 226*x^23 + 5197*x^22 - 2383*x^21 - 39554*x^20 + 40432*x^19 + 184773*x^18 - 262641*x^17 - 544961*x^16 + 977216*x^15 + 996878*x^14 - 2265172*x^13 - 1034406*x^12 + 3318449*x^11 + 413348*x^10 - 3007264*x^9 + 216475*x^8 + 1602181*x^7 - 270588*x^6 - 466290*x^5 + 80744*x^4 + 69000*x^3 - 6720*x^2 - 4000*x - 128, -2*x^25 + 11*x^24 + 50*x^23 - 363*x^22 - 390*x^21 + 5094*x^20 - 482*x^19 - 39614*x^18 + 27693*x^17 + 186359*x^16 - 204359*x^15 - 541856*x^14 + 773134*x^13 + 945896*x^12 - 1705429*x^11 - 885377*x^10 + 2203141*x^9 + 274794*x^8 - 1568034*x^7 + 137720*x^6 + 546414*x^5 - 76360*x^4 - 92024*x^3 + 7072*x^2 + 6368*x + 512, -2*x^25 + 11*x^24 + 50*x^23 - 363*x^22 - 390*x^21 + 5094*x^20 - 482*x^19 - 39614*x^18 + 27693*x^17 + 186359*x^16 - 204359*x^15 - 541856*x^14 + 773134*x^13 + 945896*x^12 - 1705429*x^11 - 885377*x^10 + 2203141*x^9 + 274794*x^8 - 1568034*x^7 + 137720*x^6 + 546414*x^5 - 76360*x^4 - 92024*x^3 + 7072*x^2 + 6368*x + 512, x^27 - 5*x^26 - 29*x^25 + 174*x^24 + 317*x^23 - 2581*x^22 - 1375*x^21 + 21374*x^20 - 1592*x^19 - 108804*x^18 + 42993*x^17 + 353930*x^16 - 194838*x^15 - 744339*x^14 + 426913*x^13 + 1013630*x^12 - 455111*x^11 - 909806*x^10 + 130116*x^9 + 576566*x^8 + 149999*x^7 - 266807*x^6 - 121490*x^5 + 66244*x^4 + 33576*x^3 - 5424*x^2 - 3168*x - 128, x^27 - 5*x^26 - 29*x^25 + 174*x^24 + 317*x^23 - 2581*x^22 - 1375*x^21 + 21374*x^20 - 1592*x^19 - 108804*x^18 + 42993*x^17 + 353930*x^16 - 194838*x^15 - 744339*x^14 + 426913*x^13 + 1013630*x^12 - 455111*x^11 - 909806*x^10 + 130116*x^9 + 576566*x^8 + 149999*x^7 - 266807*x^6 - 121490*x^5 + 66244*x^4 + 33576*x^3 - 5424*x^2 - 3168*x - 128, -3*x^26 + 16*x^25 + 77*x^24 - 531*x^23 - 648*x^22 + 7492*x^21 + 179*x^20 - 58712*x^19 + 34034*x^18 + 279982*x^17 - 267283*x^16 - 836329*x^15 + 1027764*x^14 + 1550475*x^13 - 2278009*x^12 - 1704958*x^11 + 2952968*x^10 + 1025655*x^9 - 2129502*x^8 - 342128*x^7 + 774555*x^6 + 130614*x^5 - 136980*x^4 - 42904*x^3 + 7824*x^2 + 5408*x + 512, -3*x^26 + 16*x^25 + 77*x^24 - 531*x^23 - 648*x^22 + 7492*x^21 + 179*x^20 - 58712*x^19 + 34034*x^18 + 279982*x^17 - 267283*x^16 - 836329*x^15 + 1027764*x^14 + 1550475*x^13 - 2278009*x^12 - 1704958*x^11 + 2952968*x^10 + 1025655*x^9 - 2129502*x^8 - 342128*x^7 + 774555*x^6 + 130614*x^5 - 136980*x^4 - 42904*x^3 + 7824*x^2 + 5408*x + 512, x^29 - 6*x^28 - 27*x^27 + 222*x^26 + 215*x^25 - 3560*x^24 + 834*x^23 + 32478*x^22 - 28315*x^21 - 185786*x^20 + 243063*x^19 + 690758*x^18 - 1165061*x^17 - 1664250*x^16 + 3524551*x^15 + 2469633*x^14 - 6938606*x^13 - 1887399*x^12 + 8824915*x^11 + 58033*x^10 - 7015564*x^9 + 1052485*x^8 + 3315026*x^7 - 717040*x^6 - 892896*x^5 + 179592*x^4 + 128992*x^3 - 14272*x^2 - 7872*x - 256, x^29 - 6*x^28 - 27*x^27 + 222*x^26 + 215*x^25 - 3560*x^24 + 834*x^23 + 32478*x^22 - 28315*x^21 - 185786*x^20 + 243063*x^19 + 690758*x^18 - 1165061*x^17 - 1664250*x^16 + 3524551*x^15 + 2469633*x^14 - 6938606*x^13 - 1887399*x^12 + 8824915*x^11 + 58033*x^10 - 7015564*x^9 + 1052485*x^8 + 3315026*x^7 - 717040*x^6 - 892896*x^5 + 179592*x^4 + 128992*x^3 - 14272*x^2 - 7872*x - 256, x^26 - 3*x^25 - 41*x^24 + 138*x^23 + 663*x^22 - 2558*x^21 - 5473*x^20 + 25618*x^19 + 23905*x^18 - 154917*x^17 - 42998*x^16 + 593733*x^15 - 68394*x^14 - 1464000*x^13 + 529402*x^12 + 2300999*x^11 - 1183905*x^10 - 2234634*x^9 + 1330140*x^8 + 1277128*x^7 - 765276*x^6 - 412912*x^5 + 202328*x^4 + 77120*x^3 - 18944*x^2 - 6848*x - 256, x^26 - 3*x^25 - 41*x^24 + 138*x^23 + 663*x^22 - 2558*x^21 - 5473*x^20 + 25618*x^19 + 23905*x^18 - 154917*x^17 - 42998*x^16 + 593733*x^15 - 68394*x^14 - 1464000*x^13 + 529402*x^12 + 2300999*x^11 - 1183905*x^10 - 2234634*x^9 + 1330140*x^8 + 1277128*x^7 - 765276*x^6 - 412912*x^5 + 202328*x^4 + 77120*x^3 - 18944*x^2 - 6848*x - 256, -3*x^26 + 16*x^25 + 77*x^24 - 527*x^23 - 667*x^22 + 7407*x^21 + 695*x^20 - 58159*x^19 + 28307*x^18 + 280372*x^17 - 233804*x^16 - 858610*x^15 + 917903*x^14 + 1670299*x^13 - 2083070*x^12 - 2007392*x^11 + 2807108*x^10 + 1414858*x^9 - 2166762*x^8 - 566148*x^7 + 880856*x^6 + 156404*x^5 - 169688*x^4 - 33120*x^3 + 9760*x^2 + 3264*x + 512, -3*x^26 + 16*x^25 + 77*x^24 - 527*x^23 - 667*x^22 + 7407*x^21 + 695*x^20 - 58159*x^19 + 28307*x^18 + 280372*x^17 - 233804*x^16 - 858610*x^15 + 917903*x^14 + 1670299*x^13 - 2083070*x^12 - 2007392*x^11 + 2807108*x^10 + 1414858*x^9 - 2166762*x^8 - 566148*x^7 + 880856*x^6 + 156404*x^5 - 169688*x^4 - 33120*x^3 + 9760*x^2 + 3264*x + 512, x^25 - 3*x^24 - 40*x^23 + 140*x^22 + 598*x^21 - 2522*x^20 - 4193*x^19 + 23742*x^18 + 12083*x^17 - 130648*x^16 + 15191*x^15 + 438850*x^14 - 220608*x^13 - 901896*x^12 + 695794*x^11 + 1093558*x^10 - 1083142*x^9 - 715951*x^8 + 876246*x^7 + 216042*x^6 - 343002*x^5 - 31992*x^4 + 62552*x^3 + 3552*x^2 - 4128*x - 256, x^25 - 3*x^24 - 40*x^23 + 140*x^22 + 598*x^21 - 2522*x^20 - 4193*x^19 + 23742*x^18 + 12083*x^17 - 130648*x^16 + 15191*x^15 + 438850*x^14 - 220608*x^13 - 901896*x^12 + 695794*x^11 + 1093558*x^10 - 1083142*x^9 - 715951*x^8 + 876246*x^7 + 216042*x^6 - 343002*x^5 - 31992*x^4 + 62552*x^3 + 3552*x^2 - 4128*x - 256, -3*x^27 + 18*x^26 + 69*x^25 - 595*x^24 - 366*x^23 + 8345*x^22 - 4136*x^21 - 64727*x^20 + 71672*x^19 + 302637*x^18 - 473919*x^17 - 866899*x^16 + 1771532*x^15 + 1450595*x^14 - 4050257*x^13 - 1146946*x^12 + 5709537*x^11 - 149184*x^10 - 4825143*x^9 + 954357*x^8 + 2331380*x^7 - 610317*x^6 - 628438*x^5 + 148748*x^4 + 89304*x^3 - 11856*x^2 - 5216*x - 128, -3*x^27 + 18*x^26 + 69*x^25 - 595*x^24 - 366*x^23 + 8345*x^22 - 4136*x^21 - 64727*x^20 + 71672*x^19 + 302637*x^18 - 473919*x^17 - 866899*x^16 + 1771532*x^15 + 1450595*x^14 - 4050257*x^13 - 1146946*x^12 + 5709537*x^11 - 149184*x^10 - 4825143*x^9 + 954357*x^8 + 2331380*x^7 - 610317*x^6 - 628438*x^5 + 148748*x^4 + 89304*x^3 - 11856*x^2 - 5216*x - 128, x^28 - 5*x^27 - 31*x^26 + 187*x^25 + 368*x^24 - 3042*x^23 - 1731*x^22 + 28320*x^21 - 3490*x^20 - 167009*x^19 + 89358*x^18 + 652029*x^17 - 527856*x^16 - 1709818*x^15 + 1726167*x^14 + 2991149*x^13 - 3494335*x^12 - 3401463*x^11 + 4438790*x^10 + 2411697*x^9 - 3434108*x^8 - 1034801*x^7 + 1523079*x^6 + 291220*x^5 - 358692*x^4 - 57808*x^3 + 36112*x^2 + 6080*x - 384, x^28 - 5*x^27 - 31*x^26 + 187*x^25 + 368*x^24 - 3042*x^23 - 1731*x^22 + 28320*x^21 - 3490*x^20 - 167009*x^19 + 89358*x^18 + 652029*x^17 - 527856*x^16 - 1709818*x^15 + 1726167*x^14 + 2991149*x^13 - 3494335*x^12 - 3401463*x^11 + 4438790*x^10 + 2411697*x^9 - 3434108*x^8 - 1034801*x^7 + 1523079*x^6 + 291220*x^5 - 358692*x^4 - 57808*x^3 + 36112*x^2 + 6080*x - 384, x^27 - 4*x^26 - 34*x^25 + 150*x^24 + 477*x^23 - 2427*x^22 - 3495*x^21 + 22267*x^20 + 13304*x^19 - 128087*x^18 - 14824*x^17 + 482288*x^16 - 88566*x^15 - 1204651*x^14 + 453122*x^13 + 1980271*x^12 - 984662*x^11 - 2085126*x^10 + 1169759*x^9 + 1346822*x^8 - 757146*x^7 - 514819*x^6 + 242984*x^5 + 121292*x^4 - 35072*x^3 - 15760*x^2 + 1408*x + 640, x^27 - 4*x^26 - 34*x^25 + 150*x^24 + 477*x^23 - 2427*x^22 - 3495*x^21 + 22267*x^20 + 13304*x^19 - 128087*x^18 - 14824*x^17 + 482288*x^16 - 88566*x^15 - 1204651*x^14 + 453122*x^13 + 1980271*x^12 - 984662*x^11 - 2085126*x^10 + 1169759*x^9 + 1346822*x^8 - 757146*x^7 - 514819*x^6 + 242984*x^5 + 121292*x^4 - 35072*x^3 - 15760*x^2 + 1408*x + 640]>
       ]
>;

MOG[593] := 	// J_0(593)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 37, 51, 86, 146, 177, 183, 362, 431, 440, 446, 502, 307*x + 490, 286*x + 490, 435*x + 352, 158*x + 352, 161*x + 41, 432*x + 41, 221*x + 534, 372*x + 534, 291*x + 385, 302*x + 385, 155*x + 315, 438*x + 315, 439*x + 413, 154*x + 413, 47*x + 317, 546*x + 317, 183*x + 40, 410*x + 40, 274*x + 516, 319*x + 516, 266*x + 455, 327*x + 455, 58*x + 502, 535*x + 502, 298*x + 111, 295*x + 111, 259*x + 96, 334*x + 96, 458*x + 84, 135*x + 84, 445*x + 261, 148*x + 261, 6*x + 308, 587*x + 308, 2*x + 105, 591*x + 105, 49*x + 34, 544*x + 34]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, -1, 1, 0, 0, 0, 0, 1, -1, 0, 0, 1, -1, 0, 0, 1, -1, 0, 0, 0, 0, 1, -1, 0, 0, -1, 1, -1, 1, -1, 1, -1, 1, -1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [1, -1, 1, 1, -3, 3, -1, -3, 1, -1, 1, 3, -1, -1, -1, -1, 3, 3, -1, -1, -3, -3, 1, 1, 1, 1, 1, 1, -1, -1, -1, -1, -1, -1, 1, 1, 1, 1, 1, 1, -1, -1, 1, 1, -1, -1, 1, 1, -1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^2 + x - 3,
           Coordinates        := [2*x - 4, -6*x + 6, -2*x + 4, 0, 4*x - 8, 2*x - 4, 0, 2*x - 4, 2*x - 4, -4*x + 2, -4*x + 2, 0, 3*x - 3, 3*x - 3, 0, 0, 3, 3, -3*x + 3, -3*x + 3, x + 1, x + 1, -x + 2, -x + 2, 4*x - 5, 4*x - 5, x - 2, x - 2, -x + 2, -x + 2, x - 2, x - 2, -x + 5, -x + 5, -5*x + 4, -5*x + 4, -3*x + 3, -3*x + 3, 3*x - 3, 3*x - 3, 2*x - 4, 2*x - 4, 2*x - 4, 2*x - 4, -2*x + 1, -2*x + 1, x + 1, x + 1, 3, 3]>,
         rec<Eigen |
           DefiningPolynomial := x^18 + 6*x^17 - 5*x^16 - 90*x^15 - 73*x^14 + 513*x^13 + 762*x^12 - 1357*x^11 - 2824*x^10 + 1537*x^9 + 5041*x^8 - 155*x^7 - 4451*x^6 - 1013*x^5 + 1717*x^4 + 621*x^3 - 169*x^2 - 67*x - 5,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x^17 + 5*x^16 - 9*x^15 - 76*x^14 - 4*x^13 + 452*x^12 + 301*x^11 - 1322*x^10 - 1298*x^9 + 1950*x^8 + 2375*x^7 - 1290*x^6 - 2020*x^5 + 173*x^4 + 682*x^3 + 107*x^2 - 35*x - 6, -x^17 - 5*x^16 + 9*x^15 + 76*x^14 + 4*x^13 - 452*x^12 - 301*x^11 + 1322*x^10 + 1298*x^9 - 1950*x^8 - 2375*x^7 + 1290*x^6 + 2020*x^5 - 173*x^4 - 682*x^3 - 107*x^2 + 35*x + 6, -x^17 - 5*x^16 + 9*x^15 + 76*x^14 + 5*x^13 - 446*x^12 - 299*x^11 + 1273*x^10 + 1224*x^9 - 1835*x^8 - 2094*x^7 + 1254*x^6 + 1656*x^5 - 301*x^4 - 545*x^3 - 17*x^2 + 48*x + 6, x^17 + 5*x^16 - 9*x^15 - 76*x^14 - 5*x^13 + 446*x^12 + 299*x^11 - 1273*x^10 - 1224*x^9 + 1835*x^8 + 2094*x^7 - 1254*x^6 - 1656*x^5 + 301*x^4 + 545*x^3 + 17*x^2 - 48*x - 6, x^16 + 5*x^15 - 7*x^14 - 66*x^13 - 15*x^12 + 334*x^11 + 253*x^10 - 811*x^9 - 831*x^8 + 959*x^7 + 1177*x^6 - 470*x^5 - 734*x^4 + 31*x^3 + 151*x^2 + 13*x - 1, -x^16 - 5*x^15 + 7*x^14 + 66*x^13 + 15*x^12 - 334*x^11 - 253*x^10 + 811*x^9 + 831*x^8 - 959*x^7 - 1177*x^6 + 470*x^5 + 734*x^4 - 31*x^3 - 151*x^2 - 13*x + 1, -x^16 - 5*x^15 + 8*x^14 + 71*x^13 + 11*x^12 - 385*x^11 - 278*x^10 + 1000*x^9 + 997*x^8 - 1276*x^7 - 1505*x^6 + 706*x^5 + 999*x^4 - 78*x^3 - 228*x^2 - 26*x + 1, x^16 + 5*x^15 - 8*x^14 - 71*x^13 - 11*x^12 + 385*x^11 + 278*x^10 - 1000*x^9 - 997*x^8 + 1276*x^7 + 1505*x^6 - 706*x^5 - 999*x^4 + 78*x^3 + 228*x^2 + 26*x - 1, x^15 + 5*x^14 - 5*x^13 - 56*x^12 - 24*x^11 + 225*x^10 + 193*x^9 - 399*x^8 - 395*x^7 + 332*x^6 + 299*x^5 - 140*x^4 - 69*x^3 + 40*x^2 + 7*x, -x^15 - 5*x^14 + 5*x^13 + 56*x^12 + 24*x^11 - 225*x^10 - 193*x^9 + 399*x^8 + 395*x^7 - 332*x^6 - 299*x^5 + 140*x^4 + 69*x^3 - 40*x^2 - 7*x, x^15 + 5*x^14 - 6*x^13 - 62*x^12 - 24*x^11 + 286*x^10 + 274*x^9 - 592*x^8 - 803*x^7 + 488*x^6 + 987*x^5 - 2*x^4 - 462*x^3 - 134*x^2 + 27*x + 6, -x^15 - 5*x^14 + 6*x^13 + 62*x^12 + 24*x^11 - 286*x^10 - 274*x^9 + 592*x^8 + 803*x^7 - 488*x^6 - 987*x^5 + 2*x^4 + 462*x^3 + 134*x^2 - 27*x - 6, -x^15 - 5*x^14 + 6*x^13 + 61*x^12 + 21*x^11 - 273*x^10 - 227*x^9 + 559*x^8 + 589*x^7 - 548*x^6 - 657*x^5 + 223*x^4 + 317*x^3 - 9*x^2 - 47*x - 6, x^15 + 5*x^14 - 6*x^13 - 61*x^12 - 21*x^11 + 273*x^10 + 227*x^9 - 559*x^8 - 589*x^7 + 548*x^6 + 657*x^5 - 223*x^4 - 317*x^3 + 9*x^2 + 47*x + 6, x^14 + 5*x^13 - 4*x^12 - 53*x^11 - 36*x^10 + 187*x^9 + 243*x^8 - 228*x^7 - 483*x^6 - 2*x^5 + 366*x^4 + 149*x^3 - 75*x^2 - 53*x - 6, -x^14 - 5*x^13 + 4*x^12 + 53*x^11 + 36*x^10 - 187*x^9 - 243*x^8 + 228*x^7 + 483*x^6 + 2*x^5 - 366*x^4 - 149*x^3 + 75*x^2 + 53*x + 6, x^14 + 5*x^13 - 5*x^12 - 56*x^11 - 24*x^10 + 225*x^9 + 193*x^8 - 399*x^7 - 395*x^6 + 332*x^5 + 299*x^4 - 140*x^3 - 69*x^2 + 40*x + 7, -x^14 - 5*x^13 + 5*x^12 + 56*x^11 + 24*x^10 - 225*x^9 - 193*x^8 + 399*x^7 + 395*x^6 - 332*x^5 - 299*x^4 + 140*x^3 + 69*x^2 - 40*x - 7, x^14 + 4*x^13 - 9*x^12 - 48*x^11 + 21*x^10 + 219*x^9 + 28*x^8 - 471*x^7 - 190*x^6 + 468*x^5 + 272*x^4 - 165*x^3 - 124*x^2 - 7*x + 1, -x^14 - 4*x^13 + 9*x^12 + 48*x^11 - 21*x^10 - 219*x^9 - 28*x^8 + 471*x^7 + 190*x^6 - 468*x^5 - 272*x^4 + 165*x^3 + 124*x^2 + 7*x - 1, -x^14 - 4*x^13 + 9*x^12 + 47*x^11 - 23*x^10 - 204*x^9 + 6*x^8 + 412*x^7 + 31*x^6 - 418*x^5 - 27*x^4 + 212*x^3 + 13*x^2 - 46*x - 7, x^14 + 4*x^13 - 9*x^12 - 47*x^11 + 23*x^10 + 204*x^9 - 6*x^8 - 412*x^7 - 31*x^6 + 418*x^5 + 27*x^4 - 212*x^3 - 13*x^2 + 46*x + 7, -x^14 - 6*x^13 + x^12 + 65*x^11 + 74*x^10 - 237*x^9 - 414*x^8 + 316*x^7 + 817*x^6 - 65*x^5 - 655*x^4 - 143*x^3 + 168*x^2 + 66*x + 6, x^14 + 6*x^13 - x^12 - 65*x^11 - 74*x^10 + 237*x^9 + 414*x^8 - 316*x^7 - 817*x^6 + 65*x^5 + 655*x^4 + 143*x^3 - 168*x^2 - 66*x - 6, x^13 + 5*x^12 - 3*x^11 - 46*x^10 - 27*x^9 + 149*x^8 + 142*x^7 - 210*x^6 - 247*x^5 + 109*x^4 + 173*x^3 + 3*x^2 - 33*x - 5, -x^13 - 5*x^12 + 3*x^11 + 46*x^10 + 27*x^9 - 149*x^8 - 142*x^7 + 210*x^6 + 247*x^5 - 109*x^4 - 173*x^3 - 3*x^2 + 33*x + 5, -x^13 - 5*x^12 + 3*x^11 + 46*x^10 + 29*x^9 - 141*x^8 - 146*x^7 + 161*x^6 + 212*x^5 - 38*x^4 - 92*x^3 - 24*x^2 - 6*x - 1, x^13 + 5*x^12 - 3*x^11 - 46*x^10 - 29*x^9 + 141*x^8 + 146*x^7 - 161*x^6 - 212*x^5 + 38*x^4 + 92*x^3 + 24*x^2 + 6*x + 1, x^12 + 5*x^11 - 2*x^10 - 41*x^9 - 27*x^8 + 115*x^7 + 104*x^6 - 147*x^5 - 137*x^4 + 76*x^3 + 67*x^2 - 4*x - 2, -x^12 - 5*x^11 + 2*x^10 + 41*x^9 + 27*x^8 - 115*x^7 - 104*x^6 + 147*x^5 + 137*x^4 - 76*x^3 - 67*x^2 + 4*x + 2, -x^11 - 4*x^10 + 4*x^9 + 29*x^8 + 8*x^7 - 57*x^6 - 35*x^5 + 19*x^4 + 13*x^3 + 20*x^2 + 20*x + 3, x^11 + 4*x^10 - 4*x^9 - 29*x^8 - 8*x^7 + 57*x^6 + 35*x^5 - 19*x^4 - 13*x^3 - 20*x^2 - 20*x - 3, -x^12 - 4*x^11 + 6*x^10 + 36*x^9 - 3*x^8 - 109*x^7 - 29*x^6 + 133*x^5 + 44*x^4 - 63*x^3 - 16*x^2 + 12*x + 2, x^12 + 4*x^11 - 6*x^10 - 36*x^9 + 3*x^8 + 109*x^7 + 29*x^6 - 133*x^5 - 44*x^4 + 63*x^3 + 16*x^2 - 12*x - 2, x^11 + 5*x^10 - 34*x^8 - 38*x^7 + 63*x^6 + 110*x^5 - 33*x^4 - 106*x^3 - 7*x^2 + 31*x + 5, -x^11 - 5*x^10 + 34*x^8 + 38*x^7 - 63*x^6 - 110*x^5 + 33*x^4 + 106*x^3 + 7*x^2 - 31*x - 5, -2*x^10 - 7*x^9 + 11*x^8 + 52*x^7 - 6*x^6 - 114*x^5 - 31*x^4 + 83*x^3 + 36*x^2 - 9*x - 2, 2*x^10 + 7*x^9 - 11*x^8 - 52*x^7 + 6*x^6 + 114*x^5 + 31*x^4 - 83*x^3 - 36*x^2 + 9*x + 2]>,
         rec<Eigen |
           DefiningPolynomial := x^27 - 6*x^26 - 27*x^25 + 223*x^24 + 202*x^23 - 3540*x^22 + 1168*x^21 + 31305*x^20 - 31392*x^19 - 168192*x^18 + 251531*x^17 + 557742*x^16 - 1110745*x^15 - 1082936*x^14 + 2980971*x^13 + 955846*x^12 - 4886233*x^11 + 371289*x^10 + 4628707*x^9 - 1560432*x^8 - 2181895*x^7 + 1126402*x^6 + 342467*x^5 - 211917*x^4 - 24514*x^3 + 13047*x^2 + 863*x - 191,
           Coordinates        := [2*x^26 - 12*x^25 - 48*x^24 + 410*x^23 + 272*x^22 - 5922*x^21 + 2868*x^20 + 47284*x^19 - 52822*x^18 - 228358*x^17 + 364970*x^16 + 679678*x^15 - 1437932*x^14 - 1179814*x^13 + 3513312*x^12 + 883016*x^11 - 5339522*x^10 + 554634*x^9 + 4758442*x^8 - 1625530*x^7 - 2111800*x^6 + 1051362*x^5 + 291412*x^4 - 150738*x^3 - 21414*x^2 + 5062*x + 292, 6*x^25 - 36*x^24 - 132*x^23 + 1158*x^22 + 532*x^21 - 15326*x^20 + 9962*x^19 + 108026*x^18 - 138092*x^17 - 435806*x^16 + 783558*x^15 + 986058*x^14 - 2448630*x^13 - 1028676*x^12 + 4432944*x^11 - 187944*x^10 - 4498972*x^9 + 1495334*x^8 + 2251990*x^7 - 1201442*x^6 - 393522*x^5 + 273096*x^4 + 27614*x^3 - 21032*x^2 - 1434*x + 382, 8*x^26 - 47*x^25 - 198*x^24 + 1618*x^23 + 1281*x^22 - 23576*x^21 + 8885*x^20 + 189820*x^19 - 191144*x^18 - 922734*x^17 + 1349428*x^16 + 2761583*x^15 - 5279660*x^14 - 4875390*x^13 + 12548892*x^12 + 4155859*x^11 - 18229400*x^10 + 423806*x^9 + 15412575*x^8 - 3805449*x^7 - 6685209*x^6 + 2518576*x^5 + 1130617*x^4 - 413271*x^3 - 97492*x^2 + 18053*x + 3721, -11*x^26 + 66*x^25 + 264*x^24 - 2255*x^23 - 1518*x^22 + 32707*x^21 - 15598*x^20 - 262638*x^19 + 292718*x^18 + 1272444*x^17 - 2038497*x^16 - 3765216*x^15 + 8028970*x^14 + 6354686*x^13 - 19375117*x^12 - 4211996*x^11 + 28630308*x^10 - 3988519*x^9 - 24373371*x^8 + 9295809*x^7 + 10121006*x^6 - 5660749*x^5 - 1228565*x^4 + 870312*x^3 + 62111*x^2 - 34523*x - 2060, x^26 + 2*x^25 - 72*x^24 + 29*x^23 + 1680*x^22 - 2235*x^21 - 19074*x^20 + 36622*x^19 + 119128*x^18 - 295776*x^17 - 411465*x^16 + 1368020*x^15 + 659946*x^14 - 3758392*x^13 + 156703*x^12 + 5964600*x^11 - 2288268*x^10 - 4818653*x^9 + 3132701*x^8 + 1105811*x^7 - 1211920*x^6 + 525445*x^5 - 279905*x^4 - 48826*x^3 + 67513*x^2 + 1225*x - 2408, -22*x^24 + 132*x^23 + 456*x^22 - 4074*x^21 - 1592*x^20 + 52166*x^19 - 35438*x^18 - 358176*x^17 + 463378*x^16 + 1414546*x^15 - 2560968*x^14 - 3136138*x^13 + 7855132*x^12 + 3155980*x^11 - 13947090*x^10 + 807020*x^9 + 13687192*x^8 - 4772966*x^7 - 6269660*x^6 + 3467076*x^5 + 726364*x^4 - 535106*x^3 - 27428*x^2 + 18356*x + 604, -10*x^21 + 42*x^20 + 226*x^19 - 1126*x^18 - 1892*x^17 + 12682*x^16 + 5780*x^15 - 77676*x^14 + 12006*x^13 + 278362*x^12 - 146004*x^11 - 580548*x^10 + 455522*x^9 + 651290*x^8 - 661474*x^7 - 308596*x^6 + 427446*x^5 + 7200*x^4 - 83160*x^3 + 4202*x^2 + 4664*x + 296, 6*x^21 - 306*x^19 + 470*x^18 + 4690*x^17 - 10364*x^16 - 32388*x^15 + 91510*x^14 + 108106*x^13 - 415946*x^12 - 138044*x^11 + 1040062*x^10 - 118586*x^9 - 1407626*x^8 + 512330*x^7 + 936914*x^6 - 452686*x^5 - 253610*x^4 + 104984*x^3 + 43524*x^2 - 9498*x - 2902, -11*x^25 + 66*x^24 + 242*x^23 - 2121*x^22 - 1062*x^21 + 28523*x^20 - 17106*x^19 - 208064*x^18 + 253932*x^17 + 888326*x^16 - 1526399*x^15 - 2201742*x^14 + 5114354*x^13 + 2768318*x^12 - 10100047*x^11 - 477130*x^10 + 11457902*x^9 - 2937381*x^8 - 6715815*x^7 + 3052861*x^6 + 1564846*x^5 - 921053*x^4 - 107403*x^3 + 84852*x^2 + 1527*x - 1951, -6*x^23 + 38*x^22 + 96*x^21 - 1028*x^20 + 50*x^19 + 11428*x^18 - 11034*x^17 - 67074*x^16 + 101858*x^15 + 219730*x^14 - 446078*x^13 - 378012*x^12 + 1071118*x^11 + 234230*x^10 - 1397312*x^9 + 158596*x^8 + 894364*x^7 - 209736*x^6 - 247362*x^5 + 4616*x^4 + 72712*x^3 - 5786*x^2 - 5302*x + 150, 16*x^22 - 78*x^21 - 372*x^20 + 2360*x^19 + 2392*x^18 - 28566*x^17 + 7200*x^16 + 177382*x^15 - 166524*x^14 - 595546*x^13 + 885642*x^12 + 1001366*x^11 - 2275108*x^10 - 466176*x^9 + 2965542*x^8 - 817802*x^7 - 1705202*x^6 + 991356*x^5 + 234464*x^4 - 212058*x^3 - 17398*x^2 + 14946*x + 2036, -10*x^22 + 62*x^21 + 142*x^20 - 1578*x^19 + 360*x^18 + 16466*x^17 - 19584*x^16 - 89236*x^15 + 167358*x^14 + 254350*x^13 - 702728*x^12 - 288540*x^11 + 1616618*x^10 - 259754*x^9 - 1964054*x^8 + 1014352*x^7 + 1044638*x^6 - 847692*x^5 - 97560*x^4 + 170522*x^3 - 3740*x^2 - 9032*x - 592, 6*x^24 - 36*x^23 - 142*x^22 + 1220*x^21 + 679*x^20 - 16913*x^19 + 10187*x^18 + 124634*x^17 - 155676*x^16 - 526488*x^15 + 932583*x^14 + 1255383*x^13 - 3053496*x^12 - 1418496*x^11 + 5759797*x^10 - 84284*x^9 - 6011668*x^8 + 1837574*x^7 + 2970939*x^6 - 1440495*x^5 - 423311*x^4 + 215591*x^3 + 31404*x^2 - 7402*x - 438, 6*x^24 - 36*x^23 - 142*x^22 + 1220*x^21 + 679*x^20 - 16913*x^19 + 10187*x^18 + 124634*x^17 - 155676*x^16 - 526488*x^15 + 932583*x^14 + 1255383*x^13 - 3053496*x^12 - 1418496*x^11 + 5759797*x^10 - 84284*x^9 - 6011668*x^8 + 1837574*x^7 + 2970939*x^6 - 1440495*x^5 - 423311*x^4 + 215591*x^3 + 31404*x^2 - 7402*x - 438, -5*x^23 + 31*x^22 + 76*x^21 - 810*x^20 + 67*x^19 + 8796*x^18 - 8846*x^17 - 50959*x^16 + 80789*x^15 + 166013*x^14 - 357367*x^13 - 283451*x^12 + 881311*x^11 + 160397*x^10 - 1209788*x^9 + 181531*x^8 + 853056*x^7 - 269548*x^6 - 262503*x^5 + 81661*x^4 + 39710*x^3 - 6617*x^2 - 2628*x - 148, -5*x^23 + 31*x^22 + 76*x^21 - 810*x^20 + 67*x^19 + 8796*x^18 - 8846*x^17 - 50959*x^16 + 80789*x^15 + 166013*x^14 - 357367*x^13 - 283451*x^12 + 881311*x^11 + 160397*x^10 - 1209788*x^9 + 181531*x^8 + 853056*x^7 - 269548*x^6 - 262503*x^5 + 81661*x^4 + 39710*x^3 - 6617*x^2 - 2628*x - 148, -5*x^23 + 31*x^22 + 71*x^21 - 777*x^20 + 158*x^19 + 7812*x^18 - 8738*x^17 - 39723*x^16 + 68236*x^15 + 103312*x^14 - 247499*x^13 - 106369*x^12 + 445542*x^11 - 56737*x^10 - 302908*x^9 + 160709*x^8 - 134107*x^7 + 30495*x^6 + 232714*x^5 - 139166*x^4 - 35920*x^3 + 20247*x^2 + 3624*x - 234, -5*x^23 + 31*x^22 + 71*x^21 - 777*x^20 + 158*x^19 + 7812*x^18 - 8738*x^17 - 39723*x^16 + 68236*x^15 + 103312*x^14 - 247499*x^13 - 106369*x^12 + 445542*x^11 - 56737*x^10 - 302908*x^9 + 160709*x^8 - 134107*x^7 + 30495*x^6 + 232714*x^5 - 139166*x^4 - 35920*x^3 + 20247*x^2 + 3624*x - 234, -11*x^24 + 67*x^23 + 228*x^22 - 2092*x^21 - 754*x^20 + 27287*x^19 - 19393*x^18 - 192059*x^17 + 256049*x^16 + 781737*x^15 - 1457308*x^14 - 1793184*x^13 + 4637535*x^12 + 1867433*x^11 - 8586203*x^10 + 525569*x^9 + 8828778*x^8 - 3121474*x^7 - 4278080*x^6 + 2369848*x^5 + 560581*x^4 - 392730*x^3 - 30292*x^2 + 16286*x + 1030, -11*x^24 + 67*x^23 + 228*x^22 - 2092*x^21 - 754*x^20 + 27287*x^19 - 19393*x^18 - 192059*x^17 + 256049*x^16 + 781737*x^15 - 1457308*x^14 - 1793184*x^13 + 4637535*x^12 + 1867433*x^11 - 8586203*x^10 + 525569*x^9 + 8828778*x^8 - 3121474*x^7 - 4278080*x^6 + 2369848*x^5 + 560581*x^4 - 392730*x^3 - 30292*x^2 + 16286*x + 1030, -11*x^24 + 67*x^23 + 218*x^22 - 2036*x^21 - 554*x^20 + 25670*x^19 - 20074*x^18 - 173458*x^17 + 243706*x^16 + 672736*x^15 - 1317397*x^14 - 1451552*x^13 + 4010881*x^12 + 1342411*x^11 - 7140966*x^10 + 715718*x^9 + 7104167*x^8 - 2684437*x^7 - 3364483*x^6 + 1923812*x^5 + 452131*x^4 - 323135*x^3 - 31730*x^2 + 16092*x + 1456, -11*x^24 + 67*x^23 + 218*x^22 - 2036*x^21 - 554*x^20 + 25670*x^19 - 20074*x^18 - 173458*x^17 + 243706*x^16 + 672736*x^15 - 1317397*x^14 - 1451552*x^13 + 4010881*x^12 + 1342411*x^11 - 7140966*x^10 + 715718*x^9 + 7104167*x^8 - 2684437*x^7 - 3364483*x^6 + 1923812*x^5 + 452131*x^4 - 323135*x^3 - 31730*x^2 + 16092*x + 1456, -5*x^22 + 39*x^21 + 33*x^20 - 945*x^19 + 1149*x^18 + 9101*x^17 - 19794*x^16 - 42936*x^15 + 137315*x^14 + 89800*x^13 - 511843*x^12 + 19348*x^11 + 1078261*x^10 - 470725*x^9 - 1226606*x^8 + 877358*x^7 + 626258*x^6 - 622483*x^5 - 64740*x^4 + 127791*x^3 + 3950*x^2 - 8924*x - 1018, -5*x^22 + 39*x^21 + 33*x^20 - 945*x^19 + 1149*x^18 + 9101*x^17 - 19794*x^16 - 42936*x^15 + 137315*x^14 + 89800*x^13 - 511843*x^12 + 19348*x^11 + 1078261*x^10 - 470725*x^9 - 1226606*x^8 + 877358*x^7 + 626258*x^6 - 622483*x^5 - 64740*x^4 + 127791*x^3 + 3950*x^2 - 8924*x - 1018, x^24 - 9*x^23 - 2*x^22 + 232*x^21 - 426*x^20 - 2354*x^19 + 7209*x^18 + 10963*x^17 - 55630*x^16 - 11698*x^15 + 242545*x^14 - 119452*x^13 - 617434*x^12 + 632533*x^11 + 842302*x^10 - 1419336*x^9 - 365624*x^8 + 1584679*x^7 - 413465*x^6 - 741762*x^5 + 446662*x^4 + 37401*x^3 - 61949*x^2 + 2131*x + 2099, x^24 - 9*x^23 - 2*x^22 + 232*x^21 - 426*x^20 - 2354*x^19 + 7209*x^18 + 10963*x^17 - 55630*x^16 - 11698*x^15 + 242545*x^14 - 119452*x^13 - 617434*x^12 + 632533*x^11 + 842302*x^10 - 1419336*x^9 - 365624*x^8 + 1584679*x^7 - 413465*x^6 - 741762*x^5 + 446662*x^4 + 37401*x^3 - 61949*x^2 + 2131*x + 2099, x^24 - 8*x^23 - 11*x^22 + 219*x^21 - 150*x^20 - 2488*x^19 + 3532*x^18 + 15238*x^17 - 28351*x^16 - 54220*x^15 + 123070*x^14 + 107775*x^13 - 318216*x^12 - 77404*x^11 + 486060*x^10 - 135177*x^9 - 379365*x^8 + 351636*x^7 + 54911*x^6 - 267446*x^5 + 85892*x^4 + 54260*x^3 - 16226*x^2 - 5121*x + 309, x^24 - 8*x^23 - 11*x^22 + 219*x^21 - 150*x^20 - 2488*x^19 + 3532*x^18 + 15238*x^17 - 28351*x^16 - 54220*x^15 + 123070*x^14 + 107775*x^13 - 318216*x^12 - 77404*x^11 + 486060*x^10 - 135177*x^9 - 379365*x^8 + 351636*x^7 + 54911*x^6 - 267446*x^5 + 85892*x^4 + 54260*x^3 - 16226*x^2 - 5121*x + 309, -11*x^25 + 66*x^24 + 231*x^23 - 2056*x^22 - 844*x^21 + 26597*x^20 - 17744*x^19 - 184802*x^18 + 237206*x^17 + 740810*x^16 - 1331413*x^15 - 1677934*x^14 + 4150605*x^13 + 1766996*x^12 - 7509104*x^11 + 286395*x^10 + 7542252*x^9 - 2465781*x^8 - 3582012*x^7 + 1838406*x^6 + 486863*x^5 - 269861*x^4 - 50070*x^3 + 12071*x^2 + 2953*x - 75, -11*x^25 + 66*x^24 + 231*x^23 - 2056*x^22 - 844*x^21 + 26597*x^20 - 17744*x^19 - 184802*x^18 + 237206*x^17 + 740810*x^16 - 1331413*x^15 - 1677934*x^14 + 4150605*x^13 + 1766996*x^12 - 7509104*x^11 + 286395*x^10 + 7542252*x^9 - 2465781*x^8 - 3582012*x^7 + 1838406*x^6 + 486863*x^5 - 269861*x^4 - 50070*x^3 + 12071*x^2 + 2953*x - 75, 8*x^22 - 44*x^21 - 168*x^20 + 1297*x^19 + 819*x^18 - 15746*x^17 + 7151*x^16 + 101467*x^15 - 105022*x^14 - 372450*x^13 + 541663*x^12 + 770763*x^11 - 1454050*x^10 - 805112*x^9 + 2124275*x^8 + 248035*x^7 - 1589892*x^6 + 155232*x^5 + 520567*x^4 - 65114*x^3 - 72695*x^2 + 4856*x + 3136, 8*x^22 - 44*x^21 - 168*x^20 + 1297*x^19 + 819*x^18 - 15746*x^17 + 7151*x^16 + 101467*x^15 - 105022*x^14 - 372450*x^13 + 541663*x^12 + 770763*x^11 - 1454050*x^10 - 805112*x^9 + 2124275*x^8 + 248035*x^7 - 1589892*x^6 + 155232*x^5 + 520567*x^4 - 65114*x^3 - 72695*x^2 + 4856*x + 3136, x^23 - 8*x^22 - x^21 + 184*x^20 - 428*x^19 - 1424*x^18 + 6560*x^17 + 1828*x^16 - 43746*x^15 + 35754*x^14 + 150189*x^13 - 234933*x^12 - 246184*x^11 + 647138*x^10 + 68713*x^9 - 870933*x^8 + 320297*x^7 + 494192*x^6 - 352712*x^5 - 39417*x^4 + 78132*x^3 - 10412*x^2 - 3525*x + 735, x^23 - 8*x^22 - x^21 + 184*x^20 - 428*x^19 - 1424*x^18 + 6560*x^17 + 1828*x^16 - 43746*x^15 + 35754*x^14 + 150189*x^13 - 234933*x^12 - 246184*x^11 + 647138*x^10 + 68713*x^9 - 870933*x^8 + 320297*x^7 + 494192*x^6 - 352712*x^5 - 39417*x^4 + 78132*x^3 - 10412*x^2 - 3525*x + 735, x^25 + 2*x^24 - 70*x^23 + 12*x^22 + 1667*x^21 - 1784*x^20 - 19650*x^19 + 31780*x^18 + 129869*x^17 - 269575*x^16 - 495446*x^15 + 1302102*x^14 + 1025561*x^13 - 3770069*x^12 - 778947*x^11 + 6519729*x^10 - 959906*x^9 - 6373166*x^8 + 2387712*x^7 + 3042126*x^6 - 1570474*x^5 - 483763*x^4 + 252649*x^3 + 42835*x^2 - 10662*x - 1765, x^25 + 2*x^24 - 70*x^23 + 12*x^22 + 1667*x^21 - 1784*x^20 - 19650*x^19 + 31780*x^18 + 129869*x^17 - 269575*x^16 - 495446*x^15 + 1302102*x^14 + 1025561*x^13 - 3770069*x^12 - 778947*x^11 + 6519729*x^10 - 959906*x^9 - 6373166*x^8 + 2387712*x^7 + 3042126*x^6 - 1570474*x^5 - 483763*x^4 + 252649*x^3 + 42835*x^2 - 10662*x - 1765, 8*x^23 - 47*x^22 - 163*x^21 + 1432*x^20 + 467*x^19 - 17714*x^18 + 13796*x^17 + 114110*x^16 - 163553*x^15 - 404743*x^14 + 824313*x^13 + 740943*x^12 - 2244161*x^11 - 429323*x^10 + 3400112*x^9 - 649634*x^8 - 2715285*x^7 + 1118866*x^6 + 987818*x^5 - 520941*x^4 - 135372*x^3 + 73601*x^2 + 7204*x - 2118, 8*x^23 - 47*x^22 - 163*x^21 + 1432*x^20 + 467*x^19 - 17714*x^18 + 13796*x^17 + 114110*x^16 - 163553*x^15 - 404743*x^14 + 824313*x^13 + 740943*x^12 - 2244161*x^11 - 429323*x^10 + 3400112*x^9 - 649634*x^8 - 2715285*x^7 + 1118866*x^6 + 987818*x^5 - 520941*x^4 - 135372*x^3 + 73601*x^2 + 7204*x - 2118, 9*x^22 - 47*x^21 - 186*x^20 + 1358*x^19 + 775*x^18 - 15695*x^17 + 10056*x^16 + 91198*x^15 - 128110*x^14 - 265670*x^13 + 606183*x^12 + 260789*x^11 - 1420727*x^10 + 479690*x^9 + 1556854*x^8 - 1410784*x^7 - 433439*x^6 + 1055057*x^5 - 329113*x^4 - 125945*x^3 + 68836*x^2 + 2129*x - 2834, 9*x^22 - 47*x^21 - 186*x^20 + 1358*x^19 + 775*x^18 - 15695*x^17 + 10056*x^16 + 91198*x^15 - 128110*x^14 - 265670*x^13 + 606183*x^12 + 260789*x^11 - 1420727*x^10 + 479690*x^9 + 1556854*x^8 - 1410784*x^7 - 433439*x^6 + 1055057*x^5 - 329113*x^4 - 125945*x^3 + 68836*x^2 + 2129*x - 2834, 8*x^24 - 47*x^23 - 180*x^22 + 1523*x^21 + 821*x^20 - 20369*x^19 + 12202*x^18 + 145551*x^17 - 180760*x^16 - 597408*x^15 + 1057445*x^14 + 1379063*x^13 - 3392007*x^12 - 1460875*x^11 + 6274889*x^10 - 324212*x^9 - 6396414*x^8 + 2281615*x^7 + 3011149*x^6 - 1731230*x^5 - 326826*x^4 + 264660*x^3 + 11063*x^2 - 9103*x - 302, 8*x^24 - 47*x^23 - 180*x^22 + 1523*x^21 + 821*x^20 - 20369*x^19 + 12202*x^18 + 145551*x^17 - 180760*x^16 - 597408*x^15 + 1057445*x^14 + 1379063*x^13 - 3392007*x^12 - 1460875*x^11 + 6274889*x^10 - 324212*x^9 - 6396414*x^8 + 2281615*x^7 + 3011149*x^6 - 1731230*x^5 - 326826*x^4 + 264660*x^3 + 11063*x^2 - 9103*x - 302, 8*x^23 - 39*x^22 - 189*x^21 + 1180*x^20 + 1349*x^19 - 14518*x^18 + 1255*x^17 + 93873*x^16 - 67068*x^15 - 343528*x^14 + 388768*x^13 + 708656*x^12 - 1068532*x^11 - 753119*x^10 + 1542064*x^9 + 294912*x^8 - 1108766*x^7 + 27221*x^6 + 343575*x^5 + 20776*x^4 - 61191*x^3 - 14289*x^2 + 5767*x + 1451, 8*x^23 - 39*x^22 - 189*x^21 + 1180*x^20 + 1349*x^19 - 14518*x^18 + 1255*x^17 + 93873*x^16 - 67068*x^15 - 343528*x^14 + 388768*x^13 + 708656*x^12 - 1068532*x^11 - 753119*x^10 + 1542064*x^9 + 294912*x^8 - 1108766*x^7 + 27221*x^6 + 343575*x^5 + 20776*x^4 - 61191*x^3 - 14289*x^2 + 5767*x + 1451, 8*x^22 - 22*x^21 - 258*x^20 + 736*x^19 + 3443*x^18 - 10300*x^17 - 24740*x^16 + 79189*x^15 + 103319*x^14 - 368319*x^13 - 245221*x^12 + 1069618*x^11 + 261875*x^10 - 1911971*x^9 + 109783*x^8 + 1961549*x^7 - 558001*x^6 - 964219*x^5 + 434413*x^4 + 126076*x^3 - 61060*x^2 - 6513*x + 1383, 8*x^22 - 22*x^21 - 258*x^20 + 736*x^19 + 3443*x^18 - 10300*x^17 - 24740*x^16 + 79189*x^15 + 103319*x^14 - 368319*x^13 - 245221*x^12 + 1069618*x^11 + 261875*x^10 - 1911971*x^9 + 109783*x^8 + 1961549*x^7 - 558001*x^6 - 964219*x^5 + 434413*x^4 + 126076*x^3 - 61060*x^2 - 6513*x + 1383, 8*x^25 - 47*x^24 - 182*x^23 + 1532*x^22 + 888*x^21 - 20773*x^20 + 11685*x^19 + 151837*x^18 - 183522*x^17 - 644444*x^16 + 1119140*x^15 + 1564076*x^14 - 3770242*x^13 - 1823806*x^12 + 7447932*x^11 - 129119*x^10 - 8399214*x^9 + 2772653*x^8 + 4832070*x^7 - 2640360*x^6 - 1067282*x^5 + 780985*x^4 + 73723*x^3 - 76918*x^2 - 2204*x + 1968, 8*x^25 - 47*x^24 - 182*x^23 + 1532*x^22 + 888*x^21 - 20773*x^20 + 11685*x^19 + 151837*x^18 - 183522*x^17 - 644444*x^16 + 1119140*x^15 + 1564076*x^14 - 3770242*x^13 - 1823806*x^12 + 7447932*x^11 - 129119*x^10 - 8399214*x^9 + 2772653*x^8 + 4832070*x^7 - 2640360*x^6 - 1067282*x^5 + 780985*x^4 + 73723*x^3 - 76918*x^2 - 2204*x + 1968, 8*x^24 - 39*x^23 - 213*x^22 + 1280*x^21 + 1979*x^20 - 17614*x^19 - 4580*x^18 + 132739*x^17 - 49528*x^16 - 600099*x^15 + 451973*x^14 + 1672521*x^13 - 1708953*x^12 - 2824103*x^11 + 3555297*x^10 + 2673059*x^9 - 4184091*x^8 - 1116526*x^7 + 2606778*x^6 - 6361*x^5 - 730068*x^4 + 71693*x^3 + 84225*x^2 - 6982*x - 3419, 8*x^24 - 39*x^23 - 213*x^22 + 1280*x^21 + 1979*x^20 - 17614*x^19 - 4580*x^18 + 132739*x^17 - 49528*x^16 - 600099*x^15 + 451973*x^14 + 1672521*x^13 - 1708953*x^12 - 2824103*x^11 + 3555297*x^10 + 2673059*x^9 - 4184091*x^8 - 1116526*x^7 + 2606778*x^6 - 6361*x^5 - 730068*x^4 + 71693*x^3 + 84225*x^2 - 6982*x - 3419]>
       ]
>;

MOG[599] := 	// J_0(599)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 10, 90, 110, 114, 133, 152, 157, 162, 179, 213, 232, 258, 263, 315, 331, 386, 394, 418, 485, 508, 522, 530, 575, 586, 239*x + 96, 360*x + 96, 538*x + 262, 61*x + 262, 462*x + 112, 137*x + 112, 116*x + 334, 483*x + 334, 580*x + 126, 19*x + 126, 272*x + 398, 327*x + 398, 448*x + 255, 151*x + 255, 147*x + 399, 452*x + 399, 260*x + 88, 339*x + 88, 345*x + 97, 254*x + 97, 468*x + 468, 131*x + 468, 421*x + 170, 178*x + 170, 269*x + 325, 330*x + 325]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 - x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x + 2, x - 2, x - 1, -x + 1, x - 1, -x + 1, 0, 0, 1, -1, x - 1, -x + 1, -x + 1, x - 1, -x + 1, x - 1, 1, -1, 1, -1, 0, 0, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^11 + 3*x^10 - 9*x^9 - 30*x^8 + 24*x^7 + 97*x^6 - 24*x^5 - 130*x^4 + 4*x^3 + 69*x^2 + 5*x - 9,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x^9 + 2*x^8 - 9*x^7 - 17*x^6 + 24*x^5 + 40*x^4 - 25*x^3 - 33*x^2 + 8*x + 8, -x^9 - 2*x^8 + 9*x^7 + 17*x^6 - 24*x^5 - 40*x^4 + 25*x^3 + 33*x^2 - 8*x - 8, x^10 + 2*x^9 - 9*x^8 - 17*x^7 + 24*x^6 + 40*x^5 - 25*x^4 - 33*x^3 + 8*x^2 + 8*x, -x^10 - 2*x^9 + 9*x^8 + 17*x^7 - 24*x^6 - 40*x^5 + 25*x^4 + 33*x^3 - 8*x^2 - 8*x, -x^10 - x^9 + 11*x^8 + 9*x^7 - 40*x^6 - 25*x^5 + 57*x^4 + 29*x^3 - 28*x^2 - 13*x + 1, x^10 + x^9 - 11*x^8 - 9*x^7 + 40*x^6 + 25*x^5 - 57*x^4 - 29*x^3 + 28*x^2 + 13*x - 1, x^6 + x^5 - 4*x^4 - 3*x^3 + 2*x^2 + 3*x + 1, -x^6 - x^5 + 4*x^4 + 3*x^3 - 2*x^2 - 3*x - 1, -x^9 - x^8 + 10*x^7 + 8*x^6 - 32*x^5 - 19*x^4 + 38*x^3 + 20*x^2 - 15*x - 8, x^9 + x^8 - 10*x^7 - 8*x^6 + 32*x^5 + 19*x^4 - 38*x^3 - 20*x^2 + 15*x + 8, 2*x^5 + 2*x^4 - 8*x^3 - 4*x^2 + 6*x + 3, -2*x^5 - 2*x^4 + 8*x^3 + 4*x^2 - 6*x - 3, x^7 + x^6 - 6*x^5 - 5*x^4 + 10*x^3 + 7*x^2 - 5*x - 3, -x^7 - x^6 + 6*x^5 + 5*x^4 - 10*x^3 - 7*x^2 + 5*x + 3, -x^5 - x^4 + 3*x^3 + 2*x^2 - 2*x - 1, x^5 + x^4 - 3*x^3 - 2*x^2 + 2*x + 1, -x^8 - x^7 + 8*x^6 + 6*x^5 - 19*x^4 - 9*x^3 + 13*x^2 + 5*x - 1, x^8 + x^7 - 8*x^6 - 6*x^5 + 19*x^4 + 9*x^3 - 13*x^2 - 5*x + 1, x^6 + x^5 - 4*x^4 - x^3 + 4*x^2 - 1, -x^6 - x^5 + 4*x^4 + x^3 - 4*x^2 + 1, x^6 - 5*x^4 + x^3 + 6*x^2 - x - 2, -x^6 + 5*x^4 - x^3 - 6*x^2 + x + 2, x^7 + x^6 - 7*x^5 - 5*x^4 + 15*x^3 + 8*x^2 - 9*x - 5, -x^7 - x^6 + 7*x^5 + 5*x^4 - 15*x^3 - 8*x^2 + 9*x + 5, -x^5 - 2*x^4 + 3*x^3 + 4*x^2 - 2*x - 2, x^5 + 2*x^4 - 3*x^3 - 4*x^2 + 2*x + 2]>,
         rec<Eigen |
           DefiningPolynomial := x^37 - x^36 - 60*x^35 + 60*x^34 + 1641*x^33 - 1636*x^32 - 27103*x^31 + 26856*x^30 + 301872*x^29 - 296435*x^28 - 2397835*x^27 + 2327508*x^26 + 14006000*x^25 - 13412885*x^24 - 61122433*x^23 + 57706157*x^22 + 200364245*x^21 - 186717791*x^20 - 491544743*x^19 + 454176025*x^18 + 890367021*x^17 - 823898463*x^16 - 1159540663*x^15 + 1095980601*x^14 + 1034139025*x^13 - 1037779758*x^12 - 572612624*x^11 + 663947955*x^10 + 148686207*x^9 - 259675446*x^8 + 11118861*x^7 + 48962840*x^6 - 12479539*x^5 - 1361501*x^4 + 713002*x^3 - 23486*x^2 - 10349*x + 751,
           Coordinates        := [-x^36 + x^35 + 57*x^34 - 57*x^33 - 1476*x^32 + 1471*x^31 + 22993*x^30 - 22761*x^29 - 240508*x^28 + 235737*x^27 + 1785325*x^26 - 1728028*x^25 - 9690264*x^24 + 9244886*x^23 + 39034876*x^22 - 36691300*x^21 - 117178244*x^20 + 108721038*x^19 + 260697313*x^18 - 240094876*x^17 - 423017767*x^16 + 391243948*x^15 + 485597980*x^14 - 461150925*x^13 - 373111502*x^12 + 379765799*x^11 + 171311824*x^10 - 205723658*x^9 - 33022819*x^8 + 65440641*x^7 - 4315161*x^6 - 9437473*x^5 + 2200453*x^4 + 189483*x^3 - 79997*x^2 + 1405*x + 384, x^36 - x^35 - 57*x^34 + 58*x^33 + 1475*x^32 - 1520*x^31 - 22944*x^30 + 23837*x^29 + 239436*x^28 - 249725*x^27 - 1771487*x^26 + 1847780*x^25 + 9572908*x^24 - 9954955*x^23 - 38345869*x^22 + 39673769*x^21 + 114303826*x^20 - 117621123*x^19 - 252093079*x^18 + 258643366*x^17 + 404604186*x^16 - 416933611*x^15 - 457953318*x^14 + 481736418*x^13 + 345268678*x^12 - 383940351*x^11 - 154474575*x^10 + 197615204*x^9 + 29127230*x^8 - 58129315*x^7 + 2730736*x^6 + 7523328*x^5 - 1231891*x^4 - 241244*x^3 + 46534*x^2 + 1566*x - 191, -3*x^35 + 3*x^34 + 165*x^33 - 165*x^32 - 4110*x^31 + 4095*x^30 + 61364*x^29 - 60698*x^28 - 612510*x^27 + 599480*x^26 + 4315736*x^25 - 4167999*x^24 - 22087557*x^23 + 21014857*x^22 + 83186001*x^21 - 77996753*x^20 - 230847430*x^19 + 214081149*x^18 + 467349254*x^17 - 432654515*x^16 - 673942683*x^15 + 634829676*x^14 + 661027523*x^13 - 658013959*x^12 - 401300800*x^11 + 458224297*x^10 + 115663388*x^9 - 194234805*x^8 + 6803700*x^7 + 39525367*x^6 - 10279086*x^5 - 1172018*x^4 + 633005*x^3 - 22081*x^2 - 9965*x + 751, -5*x^31 + 3*x^30 + 237*x^29 - 145*x^28 - 5026*x^27 + 3109*x^26 + 62997*x^25 - 39118*x^24 - 519254*x^23 + 321927*x^22 + 2961576*x^21 - 1827905*x^20 - 11968354*x^19 + 7357263*x^18 + 34473178*x^17 - 21214084*x^16 - 70108679*x^15 + 43688885*x^14 + 97991703*x^13 - 63127165*x^12 - 89233540*x^11 + 61553098*x^10 + 47566492*x^9 - 37520786*x^8 - 11218463*x^7 + 12199339*x^6 - 271977*x^5 - 1416061*x^4 + 261866*x^3 + 18782*x^2 - 6456*x + 190, 2*x^32 - 5*x^31 - 95*x^30 + 245*x^29 + 1994*x^28 - 5342*x^27 - 24319*x^26 + 68414*x^25 + 190373*x^24 - 572133*x^23 - 994091*x^22 + 3285594*x^21 + 3457989*x^20 - 13261800*x^19 - 7567521*x^18 + 37838229*x^17 + 8045354*x^16 - 75578726*x^15 + 5070629*x^14 + 102766513*x^13 - 30728572*x^12 - 89771717*x^11 + 45938845*x^10 + 44365219*x^9 - 33825387*x^8 - 8117232*x^7 + 11662522*x^6 - 1367370*x^5 - 1219609*x^4 + 364441*x^3 + 355*x^2 - 10278*x + 926, -3*x^33 + 3*x^32 + 147*x^31 - 147*x^30 - 3235*x^29 + 3212*x^28 + 42294*x^27 - 41382*x^26 - 366177*x^25 + 350348*x^24 + 2215247*x^23 - 2057029*x^22 - 9626449*x^21 + 8618967*x^20 + 30397422*x^19 - 26133416*x^18 - 69663098*x^17 + 57545901*x^16 + 114204630*x^15 - 91498131*x^14 - 129681909*x^13 + 103248567*x^12 + 95781481*x^11 - 79691381*x^10 - 40206031*x^9 + 38907728*x^8 + 6110198*x^7 - 10025287*x^6 + 974917*x^5 + 793077*x^4 - 165207*x^3 - 8533*x^2 + 3389*x - 95, x^32 - 54*x^30 + 7*x^29 + 1298*x^28 - 310*x^27 - 18363*x^26 + 6072*x^25 + 170319*x^24 - 69503*x^23 - 1091737*x^22 + 517657*x^21 + 4964896*x^20 - 2643692*x^19 - 16173869*x^18 + 9501763*x^17 + 37585860*x^16 - 24253907*x^15 - 61101051*x^14 + 43728684*x^13 + 66547257*x^12 - 54427847*x^11 - 44179841*x^10 + 44450705*x^9 + 13444657*x^8 - 21343198*x^7 + 1346995*x^6 + 4483122*x^5 - 1557082*x^4 + 53295*x^3 + 51440*x^2 - 8152*x + 334, 2*x^31 - 9*x^30 - 84*x^29 + 409*x^28 + 1517*x^27 - 8248*x^26 - 15250*x^25 + 97383*x^24 + 90872*x^23 - 747880*x^22 - 296841*x^21 + 3924295*x^20 + 200292*x^19 - 14374524*x^18 + 2686539*x^17 + 36857788*x^16 - 13277059*x^15 - 65202538*x^14 + 32391799*x^13 + 76700620*x^12 - 47644986*x^11 - 55511190*x^10 + 42783307*x^9 + 20337187*x^8 - 21777626*x^7 - 969115*x^6 + 4955343*x^5 - 1167044*x^4 - 103225*x^3 + 52880*x^2 - 3012*x + 26, -3*x^31 + 2*x^30 + 139*x^29 - 91*x^28 - 2860*x^27 + 1798*x^26 + 34465*x^25 - 20216*x^24 - 270148*x^23 + 142073*x^22 + 1446569*x^21 - 641928*x^20 - 5409074*x^19 + 1820557*x^18 + 14193722*x^17 - 2841521*x^16 - 25934926*x^15 + 792173*x^14 + 32451528*x^13 + 5591318*x^12 - 27389024*x^11 - 10583089*x^10 + 15858173*x^9 + 8182450*x^8 - 6752133*x^7 - 2620905*x^6 + 1952052*x^5 + 141091*x^4 - 204606*x^3 + 10652*x^2 + 6626*x - 656, -3*x^32 + 5*x^31 + 144*x^30 - 240*x^29 - 3099*x^28 + 5154*x^27 + 39527*x^26 - 65488*x^25 - 332680*x^24 + 548554*x^23 + 1945649*x^22 - 3193513*x^21 - 8101760*x^20 + 13266532*x^19 + 24168480*x^18 - 39716712*x^17 - 51111424*x^16 + 85419509*x^15 + 74187370*x^14 - 129868598*x^13 - 68570811*x^12 + 135097769*x^11 + 32532278*x^10 - 90599464*x^9 + 822995*x^8 + 34752374*x^7 - 8159829*x^6 - 5428285*x^5 + 2664152*x^4 - 214094*x^3 - 69827*x^2 + 13423*x - 668, x^35 - 56*x^33 + 2*x^32 + 1423*x^31 - 95*x^30 - 21718*x^29 + 2026*x^28 + 222084*x^27 - 25692*x^26 - 1607022*x^25 + 216338*x^24 + 8470830*x^23 - 1279554*x^22 - 32976819*x^21 + 5484000*x^20 + 95063758*x^19 - 17309399*x^18 - 201430263*x^17 + 40418058*x^16 + 307922195*x^15 - 69266911*x^14 - 328242581*x^13 + 84936603*x^12 + 229883197*x^11 - 70527423*x^10 - 94452575*x^9 + 35296053*x^8 + 17290881*x^7 - 7888490*x^6 - 209650*x^5 - 20379*x^4 + 137472*x^3 - 26*x^2 - 6050*x + 309, -3*x^32 + 5*x^31 + 145*x^30 - 244*x^29 - 3124*x^28 + 5307*x^27 + 39604*x^26 - 67963*x^25 - 328413*x^24 + 570455*x^23 + 1872522*x^22 - 3306663*x^21 - 7505464*x^20 + 13588619*x^19 + 21210983*x^18 - 40001238*x^17 - 41578630*x^16 + 84177911*x^15 + 53965181*x^14 - 124792184*x^13 - 40962479*x^12 + 126295437*x^11 + 9816265*x^10 - 82167349*x^9 + 10431466*x^8 + 30375184*x^7 - 9278172*x^6 - 4542275*x^5 + 2378499*x^4 - 147989*x^3 - 65036*x^2 + 8812*x - 216, -3*x^33 + 3*x^32 + 155*x^31 - 153*x^30 - 3602*x^29 + 3503*x^28 + 49766*x^27 - 47611*x^26 - 455170*x^25 + 428085*x^24 + 2903056*x^23 - 2686294*x^22 - 13241138*x^21 + 12095704*x^20 + 43538966*x^19 - 39561801*x^18 - 102538721*x^17 + 94031836*x^16 + 168980504*x^15 - 160599195*x^14 - 185339008*x^13 + 191939487*x^12 + 120916585*x^11 - 152332079*x^10 - 31800643*x^9 + 72034755*x^8 - 8699547*x^7 - 15296621*x^6 + 6037836*x^5 - 322*x^4 - 318593*x^3 + 24339*x^2 + 6021*x - 481, x^33 - 50*x^31 + 2*x^30 + 1117*x^29 - 84*x^28 - 14707*x^27 + 1547*x^26 + 126697*x^25 - 16441*x^24 - 748836*x^23 + 111489*x^22 + 3090265*x^21 - 501616*x^20 - 8845979*x^19 + 1492138*x^18 + 16884701*x^17 - 2724990*x^16 - 19004680*x^15 + 2005268*x^14 + 6186643*x^13 + 3456146*x^12 + 14129110*x^11 - 11823754*x^10 - 21040478*x^9 + 15197213*x^8 + 10944015*x^7 - 9733387*x^6 - 1134134*x^5 + 2554470*x^4 - 599906*x^3 - 25219*x^2 + 19950*x - 1284, -3*x^33 + 3*x^32 + 153*x^31 - 151*x^30 - 3508*x^29 + 3404*x^28 + 47806*x^27 - 45442*x^26 - 431292*x^25 + 400298*x^24 + 2714803*x^23 - 2454645*x^22 - 12237627*x^21 + 10772558*x^20 + 39881857*x^19 - 34254274*x^18 - 93610581*x^17 + 78974078*x^16 + 155478833*x^15 - 130654986*x^14 - 176180520*x^13 + 151432691*x^12 + 126977006*x^11 - 117523105*x^10 - 49791926*x^9 + 56018121*x^8 + 5591193*x^7 - 13583892*x^6 + 1793817*x^5 + 930529*x^4 - 224871*x^3 - 2195*x^2 + 3436*x - 270, -3*x^34 + 3*x^33 + 159*x^32 - 159*x^31 - 3802*x^30 + 3791*x^29 + 54254*x^28 - 53791*x^27 - 514938*x^26 + 506427*x^25 + 3429274*x^24 - 3339616*x^23 - 16469698*x^22 + 15873918*x^21 + 57707236*x^20 - 55128491*x^19 - 147426607*x^18 + 140265074*x^17 + 271199952*x^16 - 259648601*x^15 - 349483346*x^14 + 343575495*x^13 + 299507995*x^12 - 314641781*x^11 - 153407209*x^10 + 188369113*x^9 + 34070819*x^8 - 66181929*x^7 + 3695346*x^6 + 10644854*x^5 - 2447433*x^4 - 241811*x^3 + 89541*x^2 + 63*x - 508, 3*x^32 - 150*x^30 + 2*x^29 + 3373*x^28 - 92*x^27 - 45097*x^26 + 1907*x^25 + 399261*x^24 - 23579*x^23 - 2466602*x^22 + 193677*x^21 + 10913193*x^20 - 1112136*x^19 - 34913645*x^18 + 4568292*x^17 + 80509509*x^16 - 13485330*x^15 - 131689954*x^14 + 28284696*x^13 + 147903937*x^12 - 40925638*x^11 - 107410060*x^10 + 38613084*x^9 + 44631760*x^8 - 21340133*x^7 - 7429233*x^6 + 5405405*x^5 - 432566*x^4 - 182260*x^3 + 21068*x^2 + 2075*x - 216, -3*x^32 + 3*x^31 + 149*x^30 - 143*x^29 - 3324*x^28 + 3042*x^27 + 44042*x^26 - 38166*x^25 - 386058*x^24 + 314516*x^23 + 2359549*x^22 - 1794697*x^21 - 10319915*x^20 + 7285598*x^19 + 32605043*x^18 - 21289758*x^17 - 74142489*x^16 + 44815704*x^15 + 119337645*x^14 - 67350620*x^13 - 131568510*x^12 + 70823239*x^11 + 93799018*x^10 - 50183643*x^9 - 38911092*x^8 + 22222853*x^7 + 7376643*x^6 - 5172050*x^5 - 155937*x^4 + 387605*x^3 - 21069*x^2 - 9145*x + 724, x^34 - 54*x^32 + 2*x^31 + 1321*x^30 - 93*x^29 - 19378*x^28 + 1949*x^27 + 190157*x^26 - 24420*x^25 - 1318416*x^24 + 204571*x^23 + 6648604*x^22 - 1212950*x^21 - 24724068*x^20 + 5247966*x^19 + 67972215*x^18 - 16795045*x^17 - 137100049*x^16 + 39744505*x^15 + 198977648*x^14 - 68557234*x^13 - 200322084*x^12 + 83529731*x^11 + 130549423*x^10 - 67866576*x^9 - 47132402*x^8 + 32949944*x^7 + 4948104*x^6 - 7334057*x^5 + 1389742*x^4 + 103746*x^3 - 52558*x^2 + 4793*x - 118, x^31 + 2*x^30 - 56*x^29 - 81*x^28 + 1370*x^27 + 1416*x^26 - 19375*x^25 - 13944*x^24 + 176353*x^23 + 84241*x^22 - 1086945*x^21 - 314171*x^20 + 4640464*x^19 + 652362*x^18 - 13772019*x^17 - 314833*x^16 + 28012308*x^15 - 1965469*x^14 - 37631089*x^13 + 5243172*x^12 + 30924589*x^11 - 5278639*x^10 - 13081357*x^9 + 980375*x^8 + 1621443*x^7 + 2017170*x^6 - 150971*x^5 - 1085114*x^4 + 389480*x^3 - 1715*x^2 - 13160*x + 1094, -3*x^34 + 3*x^33 + 159*x^32 - 159*x^31 - 3813*x^30 + 3794*x^29 + 54760*x^28 - 53940*x^27 - 525301*x^26 + 509658*x^25 + 3553961*x^24 - 3380185*x^23 - 17448929*x^22 + 16203229*x^21 + 62980066*x^20 - 56953474*x^19 - 167316078*x^18 + 147365039*x^17 + 323910666*x^16 - 279253567*x^15 - 446283071*x^14 + 381863321*x^13 + 418525711*x^12 - 366431319*x^11 - 244864875*x^10 + 234567056*x^9 + 71801338*x^8 - 90614627*x^7 - 1028949*x^6 + 16495547*x^5 - 3520921*x^4 - 348719*x^3 + 140485*x^2 - 3527*x - 644, -6*x^32 + 6*x^31 + 289*x^30 - 291*x^29 - 6233*x^28 + 6279*x^27 + 79562*x^26 - 79655*x^25 - 669357*x^24 + 661578*x^23 + 3911240*x^22 - 3792131*x^21 - 16291322*x^20 + 15410029*x^19 + 48826490*x^18 - 44909569*x^17 - 104853018*x^16 + 93877718*x^15 + 158300581*x^14 - 139307377*x^13 - 161372115*x^12 + 143369969*x^11 + 102329422*x^10 - 97829664*x^9 - 32845570*x^8 + 40294670*x^7 + 1001933*x^6 - 7851235*x^5 + 1677857*x^4 + 170093*x^3 - 68548*x^2 + 1716*x + 322, -3*x^32 + 150*x^30 - 4*x^29 - 3373*x^28 + 173*x^27 + 45088*x^26 - 3352*x^25 - 398950*x^24 + 38516*x^23 + 2461897*x^22 - 292702*x^21 - 10872188*x^20 + 1552124*x^19 + 34686054*x^18 - 5896640*x^17 - 79672130*x^16 + 16182917*x^15 + 129637899*x^14 - 31830325*x^13 - 144650228*x^12 + 43683845*x^11 + 104338289*x^10 - 39627571*x^9 - 43283590*x^8 + 21428860*x^7 + 7486013*x^6 - 5518520*x^5 + 264728*x^4 + 294950*x^3 - 32363*x^2 - 5276*x + 656, -3*x^33 + 3*x^32 + 150*x^31 - 154*x^30 - 3369*x^29 + 3546*x^28 + 44915*x^27 - 48440*x^26 - 395598*x^25 + 437466*x^24 + 2423381*x^23 - 2754599*x^22 - 10579486*x^21 + 12424312*x^20 + 33133930*x^19 - 40582694*x^18 - 73775490*x^17 + 95855047*x^16 + 113454982*x^15 - 161468224*x^14 - 112819903*x^13 + 188334073*x^12 + 60654444*x^11 - 143965860*x^10 - 3656019*x^9 + 64712450*x^8 - 13942847*x^7 - 13004533*x^6 + 5783248*x^5 + 30222*x^4 - 327313*x^3 + 27087*x^2 + 5932*x - 656, x^33 - 52*x^31 + 1223*x^29 + 7*x^28 - 17220*x^27 - 275*x^26 + 161909*x^25 + 4674*x^24 - 1073390*x^23 - 44885*x^22 + 5162486*x^21 + 265582*x^20 - 18245564*x^19 - 977784*x^18 + 47445513*x^17 + 2051437*x^16 - 89939867*x^15 - 1295591*x^14 + 121733854*x^13 - 4863018*x^12 - 113462884*x^11 + 14484601*x^10 + 68360651*x^9 - 17543322*x^8 - 23286792*x^7 + 10287820*x^6 + 2733526*x^5 - 2430345*x^4 + 409876*x^3 + 30038*x^2 - 14018*x + 975, x^32 - 3*x^31 - 43*x^30 + 135*x^29 + 804*x^28 - 2694*x^27 - 8524*x^26 + 31459*x^25 + 55544*x^24 - 238866*x^23 - 219457*x^22 + 1238863*x^21 + 421110*x^20 - 4482725*x^19 + 432991*x^18 + 11332033*x^17 - 5217769*x^16 - 19633806*x^15 + 15799813*x^14 + 22124546*x^13 - 26618152*x^12 - 14061083*x^11 + 26683198*x^10 + 2239507*x^9 - 14980038*x^8 + 2891509*x^7 + 3788124*x^6 - 1559548*x^5 - 122158*x^4 + 128743*x^3 - 6832*x^2 - 3300*x + 328, x^32 - 3*x^31 - 43*x^30 + 135*x^29 + 804*x^28 - 2694*x^27 - 8524*x^26 + 31459*x^25 + 55544*x^24 - 238866*x^23 - 219457*x^22 + 1238863*x^21 + 421110*x^20 - 4482725*x^19 + 432991*x^18 + 11332033*x^17 - 5217769*x^16 - 19633806*x^15 + 15799813*x^14 + 22124546*x^13 - 26618152*x^12 - 14061083*x^11 + 26683198*x^10 + 2239507*x^9 - 14980038*x^8 + 2891509*x^7 + 3788124*x^6 - 1559548*x^5 - 122158*x^4 + 128743*x^3 - 6832*x^2 - 3300*x + 328, x^33 - 50*x^31 + 1128*x^29 - 4*x^28 - 15195*x^27 + 180*x^26 + 136282*x^25 - 3569*x^24 - 858883*x^23 + 41094*x^22 + 3911464*x^21 - 305260*x^20 - 13033833*x^19 + 1538077*x^18 + 31812404*x^17 - 5380170*x^16 - 56342637*x^15 + 13139714*x^14 + 70858647*x^13 - 22190892*x^12 - 60769585*x^11 + 25218419*x^10 + 32836119*x^9 - 18268673*x^8 - 9186624*x^7 + 7569396*x^6 + 350784*x^5 - 1368365*x^4 + 310487*x^3 + 13647*x^2 - 10083*x + 642, x^33 - 50*x^31 + 1128*x^29 - 4*x^28 - 15195*x^27 + 180*x^26 + 136282*x^25 - 3569*x^24 - 858883*x^23 + 41094*x^22 + 3911464*x^21 - 305260*x^20 - 13033833*x^19 + 1538077*x^18 + 31812404*x^17 - 5380170*x^16 - 56342637*x^15 + 13139714*x^14 + 70858647*x^13 - 22190892*x^12 - 60769585*x^11 + 25218419*x^10 + 32836119*x^9 - 18268673*x^8 - 9186624*x^7 + 7569396*x^6 + 350784*x^5 - 1368365*x^4 + 310487*x^3 + 13647*x^2 - 10083*x + 642, x^34 - 54*x^32 + 3*x^31 + 1321*x^30 - 141*x^29 - 19372*x^28 + 2966*x^27 + 189903*x^26 - 36935*x^25 - 1313688*x^24 + 303539*x^23 + 6597523*x^22 - 1737800*x^21 - 24368136*x^20 + 7132938*x^19 + 66293058*x^18 - 21280495*x^17 - 131634377*x^16 + 46258850*x^15 + 186748788*x^14 - 72600134*x^13 - 182055370*x^12 + 80205140*x^11 + 113562981*x^10 - 59121264*x^9 - 38838346*x^8 + 26018020*x^7 + 3991893*x^6 - 5214222*x^5 + 865211*x^4 + 67164*x^3 - 24319*x^2 + 1867*x - 112, x^34 - 54*x^32 + 3*x^31 + 1321*x^30 - 141*x^29 - 19372*x^28 + 2966*x^27 + 189903*x^26 - 36935*x^25 - 1313688*x^24 + 303539*x^23 + 6597523*x^22 - 1737800*x^21 - 24368136*x^20 + 7132938*x^19 + 66293058*x^18 - 21280495*x^17 - 131634377*x^16 + 46258850*x^15 + 186748788*x^14 - 72600134*x^13 - 182055370*x^12 + 80205140*x^11 + 113562981*x^10 - 59121264*x^9 - 38838346*x^8 + 26018020*x^7 + 3991893*x^6 - 5214222*x^5 + 865211*x^4 + 67164*x^3 - 24319*x^2 + 1867*x - 112, -2*x^32 + 3*x^31 + 100*x^30 - 144*x^29 - 2244*x^28 + 3090*x^27 + 29884*x^26 - 39171*x^25 - 263109*x^24 + 326661*x^23 + 1614280*x^22 - 1889107*x^21 - 7084135*x^20 + 7783345*x^19 + 22443943*x^18 - 23116619*x^17 - 51109724*x^16 + 49524703*x^15 + 82072169*x^14 - 75818004*x^13 - 89295705*x^12 + 81154851*x^11 + 60803283*x^10 - 58167179*x^9 - 21385183*x^8 + 25442654*x^7 + 1171245*x^6 - 5322588*x^5 + 1064420*x^4 + 133075*x^3 - 41760*x^2 - 272*x + 254, -2*x^32 + 3*x^31 + 100*x^30 - 144*x^29 - 2244*x^28 + 3090*x^27 + 29884*x^26 - 39171*x^25 - 263109*x^24 + 326661*x^23 + 1614280*x^22 - 1889107*x^21 - 7084135*x^20 + 7783345*x^19 + 22443943*x^18 - 23116619*x^17 - 51109724*x^16 + 49524703*x^15 + 82072169*x^14 - 75818004*x^13 - 89295705*x^12 + 81154851*x^11 + 60803283*x^10 - 58167179*x^9 - 21385183*x^8 + 25442654*x^7 + 1171245*x^6 - 5322588*x^5 + 1064420*x^4 + 133075*x^3 - 41760*x^2 - 272*x + 254, x^35 - x^34 - 55*x^33 + 57*x^32 + 1368*x^31 - 1462*x^30 - 20359*x^29 + 22342*x^28 + 202132*x^27 - 227018*x^26 - 1413035*x^25 + 1620796*x^24 + 7152867*x^23 - 8376417*x^22 - 26541800*x^21 + 31806334*x^20 + 72193953*x^19 - 89111630*x^18 - 142166286*x^17 + 183273397*x^16 + 196832575*x^15 - 272488636*x^14 - 180313883*x^13 + 284451402*x^12 + 94127426*x^11 - 197902664*x^10 - 12553201*x^9 + 83125039*x^8 - 12839503*x^7 - 16775511*x^6 + 5728649*x^5 + 570318*x^4 - 401970*x^3 + 12539*x^2 + 8104*x - 530, x^35 - x^34 - 55*x^33 + 57*x^32 + 1368*x^31 - 1462*x^30 - 20359*x^29 + 22342*x^28 + 202132*x^27 - 227018*x^26 - 1413035*x^25 + 1620796*x^24 + 7152867*x^23 - 8376417*x^22 - 26541800*x^21 + 31806334*x^20 + 72193953*x^19 - 89111630*x^18 - 142166286*x^17 + 183273397*x^16 + 196832575*x^15 - 272488636*x^14 - 180313883*x^13 + 284451402*x^12 + 94127426*x^11 - 197902664*x^10 - 12553201*x^9 + 83125039*x^8 - 12839503*x^7 - 16775511*x^6 + 5728649*x^5 + 570318*x^4 - 401970*x^3 + 12539*x^2 + 8104*x - 530, x^32 - x^31 - 49*x^30 + 50*x^29 + 1079*x^28 - 1112*x^27 - 14124*x^26 + 14547*x^25 + 122513*x^24 - 124728*x^23 - 743059*x^22 + 739266*x^21 + 3239252*x^20 - 3112875*x^19 - 10263351*x^18 + 9423241*x^17 + 23580091*x^16 - 20520048*x^15 - 38621897*x^14 + 31847108*x^13 + 43429600*x^12 - 34522565*x^11 - 31094386*x^10 + 25161627*x^9 + 11922805*x^8 - 11331062*x^7 - 1107289*x^6 + 2451856*x^5 - 489933*x^4 - 36854*x^3 + 19270*x^2 - 1909*x + 59, x^32 - x^31 - 49*x^30 + 50*x^29 + 1079*x^28 - 1112*x^27 - 14124*x^26 + 14547*x^25 + 122513*x^24 - 124728*x^23 - 743059*x^22 + 739266*x^21 + 3239252*x^20 - 3112875*x^19 - 10263351*x^18 + 9423241*x^17 + 23580091*x^16 - 20520048*x^15 - 38621897*x^14 + 31847108*x^13 + 43429600*x^12 - 34522565*x^11 - 31094386*x^10 + 25161627*x^9 + 11922805*x^8 - 11331062*x^7 - 1107289*x^6 + 2451856*x^5 - 489933*x^4 - 36854*x^3 + 19270*x^2 - 1909*x + 59, x^33 - x^32 - 54*x^31 + 58*x^30 + 1308*x^29 - 1492*x^28 - 18770*x^27 + 22564*x^26 + 177514*x^25 - 223937*x^24 - 1164048*x^23 + 1540246*x^22 + 5417737*x^21 - 7551611*x^20 - 17982148*x^19 + 26708533*x^18 + 42005756*x^17 - 68087224*x^16 - 66388287*x^15 + 123403088*x^14 + 64196195*x^13 - 154214236*x^12 - 25590737*x^11 + 125259286*x^10 - 14746167*x^9 - 58514906*x^8 + 21201854*x^7 + 11081322*x^6 - 7425272*x^5 + 623330*x^4 + 313687*x^3 - 43881*x^2 - 3858*x + 422, x^33 - x^32 - 54*x^31 + 58*x^30 + 1308*x^29 - 1492*x^28 - 18770*x^27 + 22564*x^26 + 177514*x^25 - 223937*x^24 - 1164048*x^23 + 1540246*x^22 + 5417737*x^21 - 7551611*x^20 - 17982148*x^19 + 26708533*x^18 + 42005756*x^17 - 68087224*x^16 - 66388287*x^15 + 123403088*x^14 + 64196195*x^13 - 154214236*x^12 - 25590737*x^11 + 125259286*x^10 - 14746167*x^9 - 58514906*x^8 + 21201854*x^7 + 11081322*x^6 - 7425272*x^5 + 623330*x^4 + 313687*x^3 - 43881*x^2 - 3858*x + 422, -2*x^31 + 4*x^30 + 92*x^29 - 181*x^28 - 1882*x^27 + 3638*x^26 + 22617*x^25 - 42891*x^24 - 177627*x^23 + 329974*x^22 + 958856*x^21 - 1743480*x^20 - 3638407*x^19 + 6482258*x^18 + 9734046*x^17 - 17079187*x^16 - 18070594*x^15 + 31652183*x^14 + 22306005*x^13 - 40304726*x^12 - 16588994*x^11 + 33669731*x^10 + 5440417*x^9 - 16897634*x^8 + 892725*x^7 + 4205921*x^6 - 974877*x^5 - 271462*x^4 + 101901*x^3 - 3475*x^2 - 1356*x + 135, -2*x^31 + 4*x^30 + 92*x^29 - 181*x^28 - 1882*x^27 + 3638*x^26 + 22617*x^25 - 42891*x^24 - 177627*x^23 + 329974*x^22 + 958856*x^21 - 1743480*x^20 - 3638407*x^19 + 6482258*x^18 + 9734046*x^17 - 17079187*x^16 - 18070594*x^15 + 31652183*x^14 + 22306005*x^13 - 40304726*x^12 - 16588994*x^11 + 33669731*x^10 + 5440417*x^9 - 16897634*x^8 + 892725*x^7 + 4205921*x^6 - 974877*x^5 - 271462*x^4 + 101901*x^3 - 3475*x^2 - 1356*x + 135, x^34 - x^33 - 53*x^32 + 55*x^31 + 1264*x^30 - 1354*x^29 - 17932*x^28 + 19741*x^27 + 168549*x^26 - 190049*x^25 - 1106353*x^24 + 1274999*x^23 + 5206546*x^22 - 6129635*x^21 - 17741737*x^20 + 21376555*x^19 + 43633735*x^18 - 54089474*x^17 - 76137234*x^16 + 98186125*x^15 + 90890647*x^14 - 124684882*x^13 - 69085882*x^12 + 105832547*x^11 + 28358393*x^10 - 55368901*x^9 - 3128387*x^8 + 15335784*x^7 - 993980*x^6 - 1738788*x^5 - 35290*x^4 + 186619*x^3 - 14111*x^2 - 3963*x + 303, x^34 - x^33 - 53*x^32 + 55*x^31 + 1264*x^30 - 1354*x^29 - 17932*x^28 + 19741*x^27 + 168549*x^26 - 190049*x^25 - 1106353*x^24 + 1274999*x^23 + 5206546*x^22 - 6129635*x^21 - 17741737*x^20 + 21376555*x^19 + 43633735*x^18 - 54089474*x^17 - 76137234*x^16 + 98186125*x^15 + 90890647*x^14 - 124684882*x^13 - 69085882*x^12 + 105832547*x^11 + 28358393*x^10 - 55368901*x^9 - 3128387*x^8 + 15335784*x^7 - 993980*x^6 - 1738788*x^5 - 35290*x^4 + 186619*x^3 - 14111*x^2 - 3963*x + 303, x^32 - 50*x^30 + 1125*x^28 + 6*x^27 - 15062*x^26 - 225*x^25 + 133707*x^24 + 3670*x^23 - 830129*x^22 - 34127*x^21 + 3705678*x^20 + 198868*x^19 - 12042918*x^18 - 748803*x^17 + 28538239*x^16 + 1793267*x^15 - 48929470*x^14 - 2486250*x^13 + 59636158*x^12 + 1213647*x^11 - 50126257*x^10 + 1729333*x^9 + 27597443*x^8 - 3263151*x^7 - 9007209*x^6 + 2099129*x^5 + 1329071*x^4 - 523681*x^3 + 9813*x^2 + 14349*x - 1229, x^32 - 50*x^30 + 1125*x^28 + 6*x^27 - 15062*x^26 - 225*x^25 + 133707*x^24 + 3670*x^23 - 830129*x^22 - 34127*x^21 + 3705678*x^20 + 198868*x^19 - 12042918*x^18 - 748803*x^17 + 28538239*x^16 + 1793267*x^15 - 48929470*x^14 - 2486250*x^13 + 59636158*x^12 + 1213647*x^11 - 50126257*x^10 + 1729333*x^9 + 27597443*x^8 - 3263151*x^7 - 9007209*x^6 + 2099129*x^5 + 1329071*x^4 - 523681*x^3 + 9813*x^2 + 14349*x - 1229, x^32 - 56*x^30 + 6*x^29 + 1406*x^28 - 267*x^27 - 20919*x^26 + 5283*x^25 + 205414*x^24 - 61414*x^23 - 1403089*x^22 + 467131*x^21 + 6843724*x^20 - 2451367*x^19 - 24071922*x^18 + 9118869*x^17 + 60858671*x^16 - 24307740*x^15 - 108766621*x^14 + 46288650*x^13 + 132790850*x^12 - 61728112*x^11 - 103907843*x^10 + 55021174*x^9 + 45715424*x^8 - 29697116*x^7 - 7602537*x^6 + 7684706*x^5 - 715443*x^4 - 363575*x^3 + 52013*x^2 + 4657*x - 557, x^32 - 56*x^30 + 6*x^29 + 1406*x^28 - 267*x^27 - 20919*x^26 + 5283*x^25 + 205414*x^24 - 61414*x^23 - 1403089*x^22 + 467131*x^21 + 6843724*x^20 - 2451367*x^19 - 24071922*x^18 + 9118869*x^17 + 60858671*x^16 - 24307740*x^15 - 108766621*x^14 + 46288650*x^13 + 132790850*x^12 - 61728112*x^11 - 103907843*x^10 + 55021174*x^9 + 45715424*x^8 - 29697116*x^7 - 7602537*x^6 + 7684706*x^5 - 715443*x^4 - 363575*x^3 + 52013*x^2 + 4657*x - 557, x^33 - x^32 - 50*x^31 + 50*x^30 + 1119*x^29 - 1109*x^28 - 14813*x^27 + 14405*x^26 + 129168*x^25 - 121860*x^24 - 782273*x^23 + 706536*x^22 + 3382326*x^21 - 2878168*x^20 - 10578070*x^19 + 8313623*x^18 + 24023296*x^17 - 17000048*x^16 - 39553641*x^15 + 24400666*x^14 + 47031806*x^13 - 24404619*x^12 - 40178296*x^11 + 17274477*x^10 + 24170981*x^9 - 9274349*x^8 - 9356331*x^7 + 3955401*x^6 + 1661333*x^5 - 1007029*x^4 + 74172*x^3 + 27379*x^2 - 3943*x + 108, x^33 - x^32 - 50*x^31 + 50*x^30 + 1119*x^29 - 1109*x^28 - 14813*x^27 + 14405*x^26 + 129168*x^25 - 121860*x^24 - 782273*x^23 + 706536*x^22 + 3382326*x^21 - 2878168*x^20 - 10578070*x^19 + 8313623*x^18 + 24023296*x^17 - 17000048*x^16 - 39553641*x^15 + 24400666*x^14 + 47031806*x^13 - 24404619*x^12 - 40178296*x^11 + 17274477*x^10 + 24170981*x^9 - 9274349*x^8 - 9356331*x^7 + 3955401*x^6 + 1661333*x^5 - 1007029*x^4 + 74172*x^3 + 27379*x^2 - 3943*x + 108, x^31 - x^30 - 44*x^29 + 36*x^28 + 863*x^27 - 506*x^26 - 10008*x^25 + 3017*x^24 + 76872*x^23 + 2396*x^22 - 415914*x^21 - 162216*x^20 + 1648027*x^19 + 1200925*x^18 - 4908298*x^17 - 4786776*x^16 + 11144219*x^15 + 11734981*x^14 - 19242756*x^13 - 17811334*x^12 + 24574604*x^11 + 15549242*x^10 - 21735165*x^9 - 5911607*x^8 + 11680184*x^7 - 748983*x^6 - 2784118*x^5 + 973281*x^4 - 27505*x^3 - 32300*x^2 + 4623*x - 167, x^31 - x^30 - 44*x^29 + 36*x^28 + 863*x^27 - 506*x^26 - 10008*x^25 + 3017*x^24 + 76872*x^23 + 2396*x^22 - 415914*x^21 - 162216*x^20 + 1648027*x^19 + 1200925*x^18 - 4908298*x^17 - 4786776*x^16 + 11144219*x^15 + 11734981*x^14 - 19242756*x^13 - 17811334*x^12 + 24574604*x^11 + 15549242*x^10 - 21735165*x^9 - 5911607*x^8 + 11680184*x^7 - 748983*x^6 - 2784118*x^5 + 973281*x^4 - 27505*x^3 - 32300*x^2 + 4623*x - 167]>
       ]
>;

MOG[601] := 	// J_0(601)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 7,
           Coordinates        := [215, 231, 287, 307, 332, 350, 386, 421, 431, 537, 33*x + 118, 568*x + 118, 47*x + 131, 554*x + 131, 106*x + 13, 495*x + 13, 289*x + 529, 312*x + 529, 353*x + 577, 248*x + 577, 206*x + 318, 395*x + 318, 448*x + 31, 153*x + 31, 41*x + 273, 560*x + 273, 49*x + 587, 552*x + 587, 448*x + 510, 153*x + 510, 350*x + 399, 251*x + 399, 125*x + 321, 476*x + 321, 469*x + 163, 132*x + 163, 307*x + 81, 294*x + 81, 180*x + 105, 421*x + 105, 497*x + 466, 104*x + 466, 258*x + 332, 343*x + 332, 24*x + 388, 577*x + 388, 355*x + 500, 246*x + 500, 294*x + 493, 307*x + 493]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^20 + 5*x^19 - 13*x^18 - 96*x^17 + 29*x^16 + 740*x^15 + 323*x^14 - 2975*x^13 - 2351*x^12 + 6757*x^11 + 6719*x^10 - 8773*x^9 - 9894*x^8 + 6329*x^7 + 7721*x^6 - 2423*x^5 - 3056*x^4 + 471*x^3 + 559*x^2 - 35*x - 37,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^19 - 5*x^18 + 11*x^17 + 86*x^16 - 11*x^15 - 588*x^14 - 318*x^13 + 2060*x^12 + 1784*x^11 - 3952*x^10 - 4218*x^9 + 4069*x^8 + 5041*x^7 - 1988*x^6 - 2986*x^5 + 284*x^4 + 770*x^3 + 50*x^2 - 66*x - 10, x^19 + 5*x^18 - 11*x^17 - 86*x^16 + 11*x^15 + 588*x^14 + 318*x^13 - 2060*x^12 - 1784*x^11 + 3952*x^10 + 4218*x^9 - 4069*x^8 - 5041*x^7 + 1988*x^6 + 2986*x^5 - 284*x^4 - 770*x^3 - 50*x^2 + 66*x + 10, -x^18 - 5*x^17 + 9*x^16 + 76*x^15 + 3*x^14 - 454*x^13 - 280*x^12 + 1378*x^11 + 1199*x^10 - 2301*x^9 - 2249*x^8 + 2157*x^7 + 2117*x^6 - 1124*x^5 - 996*x^4 + 295*x^3 + 210*x^2 - 27*x - 16, x^18 + 5*x^17 - 9*x^16 - 76*x^15 - 3*x^14 + 454*x^13 + 280*x^12 - 1378*x^11 - 1199*x^10 + 2301*x^9 + 2249*x^8 - 2157*x^7 - 2117*x^6 + 1124*x^5 + 996*x^4 - 295*x^3 - 210*x^2 + 27*x + 16, -x^18 - 5*x^17 + 9*x^16 + 76*x^15 + 2*x^14 - 461*x^13 - 287*x^12 + 1427*x^11 + 1302*x^10 - 2403*x^9 - 2604*x^8 + 2184*x^7 + 2618*x^6 - 1015*x^5 - 1290*x^4 + 226*x^3 + 283*x^2 - 18*x - 21, x^18 + 5*x^17 - 9*x^16 - 76*x^15 - 2*x^14 + 461*x^13 + 287*x^12 - 1427*x^11 - 1302*x^10 + 2403*x^9 + 2604*x^8 - 2184*x^7 - 2618*x^6 + 1015*x^5 + 1290*x^4 - 226*x^3 - 283*x^2 + 18*x + 21, -x^17 - 5*x^16 + 6*x^15 + 62*x^14 + 23*x^13 - 289*x^12 - 263*x^11 + 632*x^10 + 778*x^9 - 652*x^8 - 1021*x^7 + 267*x^6 + 618*x^5 - 14*x^4 - 168*x^3 - 16*x^2 + 16*x + 3, x^17 + 5*x^16 - 6*x^15 - 62*x^14 - 23*x^13 + 289*x^12 + 263*x^11 - 632*x^10 - 778*x^9 + 652*x^8 + 1021*x^7 - 267*x^6 - 618*x^5 + 14*x^4 + 168*x^3 + 16*x^2 - 16*x - 3, -x^17 - 5*x^16 + 8*x^15 + 72*x^14 + 15*x^13 - 393*x^12 - 322*x^11 + 1019*x^10 + 1191*x^9 - 1260*x^8 - 1903*x^7 + 597*x^6 + 1372*x^5 + 25*x^4 - 392*x^3 - 61*x^2 + 34*x + 7, x^17 + 5*x^16 - 8*x^15 - 72*x^14 - 15*x^13 + 393*x^12 + 322*x^11 - 1019*x^10 - 1191*x^9 + 1260*x^8 + 1903*x^7 - 597*x^6 - 1372*x^5 - 25*x^4 + 392*x^3 + 61*x^2 - 34*x - 7, -x^17 - 5*x^16 + 7*x^15 + 66*x^14 + 15*x^13 - 336*x^12 - 263*x^11 + 813*x^10 + 898*x^9 - 919*x^8 - 1335*x^7 + 352*x^6 + 902*x^5 + 88*x^4 - 251*x^3 - 72*x^2 + 23*x + 9, x^17 + 5*x^16 - 7*x^15 - 66*x^14 - 15*x^13 + 336*x^12 + 263*x^11 - 813*x^10 - 898*x^9 + 919*x^8 + 1335*x^7 - 352*x^6 - 902*x^5 - 88*x^4 + 251*x^3 + 72*x^2 - 23*x - 9, -x^17 - 5*x^16 + 6*x^15 + 61*x^14 + 16*x^13 - 297*x^12 - 219*x^11 + 736*x^10 + 716*x^9 - 966*x^8 - 1088*x^7 + 621*x^6 + 794*x^5 - 146*x^4 - 236*x^3 + 4*x^2 + 22*x + 1, x^17 + 5*x^16 - 6*x^15 - 61*x^14 - 16*x^13 + 297*x^12 + 219*x^11 - 736*x^10 - 716*x^9 + 966*x^8 + 1088*x^7 - 621*x^6 - 794*x^5 + 146*x^4 + 236*x^3 - 4*x^2 - 22*x - 1, -2*x^16 - 10*x^15 + 10*x^14 + 113*x^13 + 46*x^12 - 486*x^11 - 418*x^10 + 1014*x^9 + 1085*x^8 - 1095*x^7 - 1273*x^6 + 617*x^5 + 703*x^4 - 172*x^3 - 165*x^2 + 17*x + 13, 2*x^16 + 10*x^15 - 10*x^14 - 113*x^13 - 46*x^12 + 486*x^11 + 418*x^10 - 1014*x^9 - 1085*x^8 + 1095*x^7 + 1273*x^6 - 617*x^5 - 703*x^4 + 172*x^3 + 165*x^2 - 17*x - 13, -x^16 - 4*x^15 + 10*x^14 + 52*x^13 - 29*x^12 - 260*x^11 - 3*x^10 + 635*x^9 + 143*x^8 - 795*x^7 - 226*x^6 + 493*x^5 + 125*x^4 - 139*x^3 - 29*x^2 + 13*x + 3, x^16 + 4*x^15 - 10*x^14 - 52*x^13 + 29*x^12 + 260*x^11 + 3*x^10 - 635*x^9 - 143*x^8 + 795*x^7 + 226*x^6 - 493*x^5 - 125*x^4 + 139*x^3 + 29*x^2 - 13*x - 3, -x^16 - 4*x^15 + 12*x^14 + 61*x^13 - 42*x^12 - 359*x^11 - 8*x^10 + 1041*x^9 + 346*x^8 - 1560*x^7 - 745*x^6 + 1149*x^5 + 604*x^4 - 356*x^3 - 176*x^2 + 34*x + 16, x^16 + 4*x^15 - 12*x^14 - 61*x^13 + 42*x^12 + 359*x^11 + 8*x^10 - 1041*x^9 - 346*x^8 + 1560*x^7 + 745*x^6 - 1149*x^5 - 604*x^4 + 356*x^3 + 176*x^2 - 34*x - 16, -x^16 - 5*x^15 + 6*x^14 + 60*x^13 + 13*x^12 - 286*x^11 - 186*x^10 + 685*x^9 + 567*x^8 - 867*x^7 - 783*x^6 + 558*x^5 + 518*x^4 - 163*x^3 - 149*x^2 + 18*x + 14, x^16 + 5*x^15 - 6*x^14 - 60*x^13 - 13*x^12 + 286*x^11 + 186*x^10 - 685*x^9 - 567*x^8 + 867*x^7 + 783*x^6 - 558*x^5 - 518*x^4 + 163*x^3 + 149*x^2 - 18*x - 14, -x^16 - 5*x^15 + 7*x^14 + 65*x^13 + 11*x^12 - 328*x^11 - 218*x^10 + 799*x^9 + 702*x^8 - 965*x^7 - 933*x^6 + 545*x^5 + 521*x^4 - 135*x^3 - 111*x^2 + 9*x + 7, x^16 + 5*x^15 - 7*x^14 - 65*x^13 - 11*x^12 + 328*x^11 + 218*x^10 - 799*x^9 - 702*x^8 + 965*x^7 + 933*x^6 - 545*x^5 - 521*x^4 + 135*x^3 + 111*x^2 - 9*x - 7, -x^16 - 5*x^15 + 4*x^14 + 51*x^13 + 22*x^12 - 205*x^11 - 168*x^10 + 423*x^9 + 431*x^8 - 468*x^7 - 551*x^6 + 252*x^5 + 351*x^4 - 50*x^3 - 96*x^2 + 2*x + 8, x^16 + 5*x^15 - 4*x^14 - 51*x^13 - 22*x^12 + 205*x^11 + 168*x^10 - 423*x^9 - 431*x^8 + 468*x^7 + 551*x^6 - 252*x^5 - 351*x^4 + 50*x^3 + 96*x^2 - 2*x - 8, -2*x^15 - 10*x^14 + 7*x^13 + 100*x^12 + 64*x^11 - 354*x^10 - 409*x^9 + 523*x^8 + 836*x^7 - 271*x^6 - 709*x^5 - 12*x^4 + 239*x^3 + 29*x^2 - 25*x - 4, 2*x^15 + 10*x^14 - 7*x^13 - 100*x^12 - 64*x^11 + 354*x^10 + 409*x^9 - 523*x^8 - 836*x^7 + 271*x^6 + 709*x^5 + 12*x^4 - 239*x^3 - 29*x^2 + 25*x + 4, x^14 + 4*x^13 - 8*x^12 - 45*x^11 + 14*x^10 + 196*x^9 + 46*x^8 - 402*x^7 - 193*x^6 + 381*x^5 + 223*x^4 - 140*x^3 - 81*x^2 + 16*x + 9, -x^14 - 4*x^13 + 8*x^12 + 45*x^11 - 14*x^10 - 196*x^9 - 46*x^8 + 402*x^7 + 193*x^6 - 381*x^5 - 223*x^4 + 140*x^3 + 81*x^2 - 16*x - 9, -x^15 - 6*x^14 - 2*x^13 + 50*x^12 + 77*x^11 - 128*x^10 - 331*x^9 + 52*x^8 + 552*x^7 + 206*x^6 - 384*x^5 - 251*x^4 + 102*x^3 + 90*x^2 - 9*x - 9, x^15 + 6*x^14 + 2*x^13 - 50*x^12 - 77*x^11 + 128*x^10 + 331*x^9 - 52*x^8 - 552*x^7 - 206*x^6 + 384*x^5 + 251*x^4 - 102*x^3 - 90*x^2 + 9*x + 9, -x^15 - 5*x^14 + 3*x^13 + 46*x^12 + 25*x^11 - 159*x^10 - 143*x^9 + 264*x^8 + 288*x^7 - 204*x^6 - 263*x^5 + 48*x^4 + 88*x^3 - 2*x^2 - 8*x, x^15 + 5*x^14 - 3*x^13 - 46*x^12 - 25*x^11 + 159*x^10 + 143*x^9 - 264*x^8 - 288*x^7 + 204*x^6 + 263*x^5 - 48*x^4 - 88*x^3 + 2*x^2 + 8*x, -x^15 - 5*x^14 + 3*x^13 + 46*x^12 + 26*x^11 - 154*x^10 - 142*x^9 + 234*x^8 + 249*x^7 - 165*x^6 - 180*x^5 + 48*x^4 + 52*x^3 - 6*x - 1, x^15 + 5*x^14 - 3*x^13 - 46*x^12 - 26*x^11 + 154*x^10 + 142*x^9 - 234*x^8 - 249*x^7 + 165*x^6 + 180*x^5 - 48*x^4 - 52*x^3 + 6*x + 1, -3*x^14 - 13*x^13 + 18*x^12 + 132*x^11 + 9*x^10 - 491*x^9 - 249*x^8 + 824*x^7 + 564*x^6 - 629*x^5 - 464*x^4 + 201*x^3 + 140*x^2 - 21*x - 13, 3*x^14 + 13*x^13 - 18*x^12 - 132*x^11 - 9*x^10 + 491*x^9 + 249*x^8 - 824*x^7 - 564*x^6 + 629*x^5 + 464*x^4 - 201*x^3 - 140*x^2 + 21*x + 13, -x^14 - 5*x^13 + 3*x^12 + 46*x^11 + 25*x^10 - 159*x^9 - 143*x^8 + 264*x^7 + 288*x^6 - 204*x^5 - 263*x^4 + 48*x^3 + 88*x^2 - 2*x - 8, x^14 + 5*x^13 - 3*x^12 - 46*x^11 - 25*x^10 + 159*x^9 + 143*x^8 - 264*x^7 - 288*x^6 + 204*x^5 + 263*x^4 - 48*x^3 - 88*x^2 + 2*x + 8]>,
         rec<Eigen |
           DefiningPolynomial := x^29 - 4*x^28 - 38*x^27 + 165*x^26 + 615*x^25 - 2989*x^24 - 5473*x^23 + 31324*x^22 + 28379*x^21 - 210530*x^20 - 78230*x^19 + 950533*x^18 + 33512*x^17 - 2935046*x^16 + 540663*x^15 + 6190754*x^14 - 2013983*x^13 - 8764243*x^12 + 3559142*x^11 + 8044078*x^10 - 3474993*x^9 - 4530666*x^8 + 1808832*x^7 + 1438384*x^6 - 432489*x^5 - 218311*x^4 + 30672*x^3 + 10714*x^2 - 498*x - 147,
           Coordinates        := [-x^28 + 4*x^27 + 35*x^26 - 153*x^25 - 518*x^24 + 2562*x^23 + 4165*x^22 - 24724*x^21 - 19014*x^20 + 152286*x^19 + 42048*x^18 - 626191*x^17 + 20092*x^16 + 1746113*x^15 - 402993*x^14 - 3286233*x^13 + 1167172*x^12 + 4077942*x^11 - 1713718*x^10 - 3194510*x^9 + 1362939*x^8 + 1480536*x^7 - 534929*x^6 - 374840*x^5 + 78772*x^4 + 44961*x^3 - 564*x^2 - 889*x - 14, x^28 - 2*x^27 - 41*x^26 + 81*x^25 + 738*x^24 - 1436*x^23 - 7683*x^22 + 14676*x^21 + 51286*x^20 - 95818*x^19 - 229936*x^18 + 418345*x^17 + 704980*x^16 - 1242209*x^15 - 1476875*x^14 + 2500719*x^13 + 2079312*x^12 - 3339964*x^11 - 1905716*x^10 + 2832580*x^9 + 1083439*x^8 - 1412466*x^7 - 356487*x^6 + 360354*x^5 + 60334*x^4 - 34773*x^3 - 4290*x^2 + 697*x + 74, -2*x^25 + 8*x^24 + 58*x^23 - 256*x^22 - 694*x^21 + 3518*x^20 + 4370*x^19 - 27258*x^18 - 14812*x^17 + 131246*x^16 + 20426*x^15 - 407510*x^14 + 29794*x^13 + 818114*x^12 - 168928*x^11 - 1033470*x^10 + 282188*x^9 + 769598*x^8 - 216096*x^7 - 297162*x^6 + 64606*x^5 + 46998*x^4 - 3222*x^3 - 1800*x^2 - 80*x - 2, -x^27 + 4*x^26 + 33*x^25 - 145*x^24 - 454*x^23 + 2282*x^22 + 3313*x^21 - 20490*x^20 - 13006*x^19 + 116012*x^18 + 19130*x^17 - 432165*x^16 + 55620*x^15 + 1072901*x^14 - 341403*x^13 - 1760879*x^12 + 771046*x^11 + 1858878*x^10 - 935858*x^9 - 1200762*x^8 + 621711*x^7 + 437722*x^6 - 204461*x^5 - 80286*x^4 + 25016*x^3 + 7077*x^2 - 574*x - 149, -4*x^21 + 16*x^20 + 98*x^19 - 444*x^18 - 896*x^17 + 4984*x^16 + 3618*x^15 - 29588*x^14 - 4018*x^13 + 101350*x^12 - 16998*x^11 - 204590*x^10 + 64808*x^9 + 239084*x^8 - 86076*x^7 - 154524*x^6 + 48328*x^5 + 51702*x^4 - 9914*x^3 - 7302*x^2 + 78*x + 144, -2*x^25 + 8*x^24 + 56*x^23 - 250*x^22 - 634*x^21 + 3336*x^20 + 3606*x^19 - 24896*x^18 - 9486*x^17 + 114192*x^16 - 1362*x^15 - 332864*x^14 + 81162*x^13 + 615682*x^12 - 228998*x^11 - 699852*x^10 + 291474*x^9 + 454868*x^8 - 170514*x^7 - 144108*x^6 + 31810*x^5 + 11350*x^4 + 2844*x^3 + 2450*x^2 - 44*x - 68, x^27 - 2*x^26 - 39*x^25 + 77*x^24 + 662*x^23 - 1282*x^22 - 6445*x^21 + 12140*x^20 + 39930*x^19 - 72316*x^18 - 165222*x^17 + 282877*x^16 + 466880*x^15 - 736285*x^14 - 908143*x^13 + 1265655*x^12 + 1215070*x^11 - 1400066*x^10 - 1106728*x^9 + 951322*x^8 + 659613*x^7 - 365056*x^6 - 227885*x^5 + 62870*x^4 + 34584*x^3 - 1437*x^2 - 822*x - 1, -2*x^26 + 8*x^25 + 62*x^24 - 274*x^23 - 796*x^22 + 4062*x^21 + 5358*x^20 - 34236*x^19 - 18806*x^18 + 181072*x^17 + 19662*x^16 - 625522*x^15 + 102476*x^14 + 1424110*x^13 - 475614*x^12 - 2107308*x^11 + 905450*x^10 + 1957220*x^9 - 894008*x^8 - 1079770*x^7 + 436096*x^6 + 328660*x^5 - 84650*x^4 - 46066*x^3 + 1870*x^2 + 948*x - 18, -2*x^24 + 8*x^23 + 52*x^22 - 234*x^21 - 530*x^20 + 2874*x^19 + 2524*x^18 - 19278*x^17 - 3904*x^16 + 76698*x^15 - 14464*x^14 - 183142*x^13 + 79740*x^12 + 250726*x^11 - 148866*x^10 - 170344*x^9 + 115156*x^8 + 31602*x^7 - 16600*x^6 + 12054*x^5 - 14004*x^4 - 2508*x^3 + 2506*x^2 + 48*x - 64, -2*x^20 + 80*x^18 - 76*x^17 - 1090*x^16 + 1464*x^15 + 7240*x^14 - 11350*x^13 - 26114*x^12 + 45068*x^11 + 51684*x^10 - 96164*x^9 - 52668*x^8 + 104826*x^7 + 24388*x^6 - 49004*x^5 - 6352*x^4 + 6602*x^3 + 1232*x^2 - 54*x - 14, x^26 - 2*x^25 - 38*x^24 + 77*x^23 + 619*x^22 - 1268*x^21 - 5678*x^20 + 11751*x^19 + 32357*x^18 - 67734*x^17 - 119050*x^16 + 252962*x^15 + 284366*x^14 - 617532*x^13 - 432121*x^12 + 969949*x^11 + 399494*x^10 - 940629*x^9 - 211913*x^8 + 523705*x^7 + 64301*x^6 - 148742*x^5 - 12875*x^4 + 16668*x^3 + 1734*x^2 - 349*x - 37, x^26 - 2*x^25 - 38*x^24 + 77*x^23 + 619*x^22 - 1268*x^21 - 5678*x^20 + 11751*x^19 + 32357*x^18 - 67734*x^17 - 119050*x^16 + 252962*x^15 + 284366*x^14 - 617532*x^13 - 432121*x^12 + 969949*x^11 + 399494*x^10 - 940629*x^9 - 211913*x^8 + 523705*x^7 + 64301*x^6 - 148742*x^5 - 12875*x^4 + 16668*x^3 + 1734*x^2 - 349*x - 37, 2*x^24 - 6*x^23 - 61*x^22 + 185*x^21 + 800*x^20 - 2454*x^19 - 5910*x^18 + 18356*x^17 + 27019*x^16 - 85186*x^15 - 78930*x^14 + 254053*x^13 + 146520*x^12 - 487380*x^11 - 165621*x^10 + 584377*x^9 + 103115*x^8 - 409093*x^7 - 28180*x^6 + 145147*x^5 + 2459*x^4 - 18989*x^3 - 798*x^2 + 414*x + 17, 2*x^24 - 6*x^23 - 61*x^22 + 185*x^21 + 800*x^20 - 2454*x^19 - 5910*x^18 + 18356*x^17 + 27019*x^16 - 85186*x^15 - 78930*x^14 + 254053*x^13 + 146520*x^12 - 487380*x^11 - 165621*x^10 + 584377*x^9 + 103115*x^8 - 409093*x^7 - 28180*x^6 + 145147*x^5 + 2459*x^4 - 18989*x^3 - 798*x^2 + 414*x + 17, x^25 - 2*x^24 - 37*x^23 + 75*x^22 + 582*x^21 - 1189*x^20 - 5119*x^19 + 10492*x^18 + 27816*x^17 - 56934*x^16 - 97328*x^15 + 197683*x^14 + 221969*x^13 - 442226*x^12 - 328196*x^11 + 625058*x^10 + 310438*x^9 - 530732*x^8 - 186219*x^7 + 244494*x^6 + 69863*x^5 - 48661*x^4 - 13861*x^3 + 1886*x^2 + 371*x - 16, x^25 - 2*x^24 - 37*x^23 + 75*x^22 + 582*x^21 - 1189*x^20 - 5119*x^19 + 10492*x^18 + 27816*x^17 - 56934*x^16 - 97328*x^15 + 197683*x^14 + 221969*x^13 - 442226*x^12 - 328196*x^11 + 625058*x^10 + 310438*x^9 - 530732*x^8 - 186219*x^7 + 244494*x^6 + 69863*x^5 - 48661*x^4 - 13861*x^3 + 1886*x^2 + 371*x - 16, 2*x^23 - 8*x^22 - 49*x^21 + 220*x^20 + 476*x^19 - 2542*x^18 - 2260*x^17 + 16100*x^16 + 4714*x^15 - 61108*x^14 + 1375*x^13 + 142804*x^12 - 26038*x^11 - 204047*x^10 + 46870*x^9 + 173434*x^8 - 30478*x^7 - 84388*x^6 + 3924*x^5 + 20764*x^4 + 1476*x^3 - 1315*x^2 - 4*x + 30, 2*x^23 - 8*x^22 - 49*x^21 + 220*x^20 + 476*x^19 - 2542*x^18 - 2260*x^17 + 16100*x^16 + 4714*x^15 - 61108*x^14 + 1375*x^13 + 142804*x^12 - 26038*x^11 - 204047*x^10 + 46870*x^9 + 173434*x^8 - 30478*x^7 - 84388*x^6 + 3924*x^5 + 20764*x^4 + 1476*x^3 - 1315*x^2 - 4*x + 30, -x^26 + 4*x^25 + 32*x^24 - 140*x^23 - 426*x^22 + 2117*x^21 + 3004*x^20 - 18137*x^19 - 11459*x^18 + 97013*x^17 + 17764*x^16 - 336606*x^15 + 30795*x^14 + 762677*x^13 - 198063*x^12 - 1109532*x^11 + 388930*x^10 + 996874*x^9 - 370614*x^8 - 521407*x^7 + 165234*x^6 + 147277*x^5 - 26878*x^4 - 18942*x^3 - 5*x^2 + 370*x + 7, -x^26 + 4*x^25 + 32*x^24 - 140*x^23 - 426*x^22 + 2117*x^21 + 3004*x^20 - 18137*x^19 - 11459*x^18 + 97013*x^17 + 17764*x^16 - 336606*x^15 + 30795*x^14 + 762677*x^13 - 198063*x^12 - 1109532*x^11 + 388930*x^10 + 996874*x^9 - 370614*x^8 - 521407*x^7 + 165234*x^6 + 147277*x^5 - 26878*x^4 - 18942*x^3 - 5*x^2 + 370*x + 7, x^24 - 4*x^23 - 28*x^22 + 124*x^21 + 318*x^20 - 1633*x^19 - 1852*x^18 + 12001*x^17 + 5433*x^16 - 54198*x^15 - 3848*x^14 + 155713*x^13 - 24679*x^12 - 284325*x^11 + 83894*x^10 + 319989*x^9 - 115749*x^8 - 208480*x^7 + 75410*x^6 + 70719*x^5 - 20615*x^4 - 9728*x^3 + 1320*x^2 + 334*x - 5, x^24 - 4*x^23 - 28*x^22 + 124*x^21 + 318*x^20 - 1633*x^19 - 1852*x^18 + 12001*x^17 + 5433*x^16 - 54198*x^15 - 3848*x^14 + 155713*x^13 - 24679*x^12 - 284325*x^11 + 83894*x^10 + 319989*x^9 - 115749*x^8 - 208480*x^7 + 75410*x^6 + 70719*x^5 - 20615*x^4 - 9728*x^3 + 1320*x^2 + 334*x - 5, 2*x^23 - 9*x^22 - 45*x^21 + 241*x^20 + 374*x^19 - 2689*x^18 - 1201*x^17 + 16289*x^16 - 1081*x^15 - 58549*x^14 + 19593*x^13 + 128604*x^12 - 60566*x^11 - 172950*x^10 + 89908*x^9 + 141443*x^8 - 70731*x^7 - 69848*x^6 + 29362*x^5 + 19629*x^4 - 5054*x^3 - 2683*x^2 - x + 42, 2*x^23 - 9*x^22 - 45*x^21 + 241*x^20 + 374*x^19 - 2689*x^18 - 1201*x^17 + 16289*x^16 - 1081*x^15 - 58549*x^14 + 19593*x^13 + 128604*x^12 - 60566*x^11 - 172950*x^10 + 89908*x^9 + 141443*x^8 - 70731*x^7 - 69848*x^6 + 29362*x^5 + 19629*x^4 - 5054*x^3 - 2683*x^2 - x + 42, 4*x^22 - 17*x^21 - 93*x^20 + 453*x^19 + 841*x^18 - 5047*x^17 - 3558*x^16 + 30629*x^15 + 5444*x^14 - 110538*x^13 + 9920*x^12 + 243267*x^11 - 52263*x^10 - 322784*x^9 + 78040*x^8 + 247748*x^7 - 45977*x^6 - 101476*x^5 + 5946*x^4 + 17843*x^3 + 1995*x^2 - 374*x - 51, 4*x^22 - 17*x^21 - 93*x^20 + 453*x^19 + 841*x^18 - 5047*x^17 - 3558*x^16 + 30629*x^15 + 5444*x^14 - 110538*x^13 + 9920*x^12 + 243267*x^11 - 52263*x^10 - 322784*x^9 + 78040*x^8 + 247748*x^7 - 45977*x^6 - 101476*x^5 + 5946*x^4 + 17843*x^3 + 1995*x^2 - 374*x - 51, -2*x^23 + 8*x^22 + 52*x^21 - 231*x^20 - 541*x^19 + 2809*x^18 + 2791*x^17 - 18747*x^16 - 6551*x^15 + 74861*x^14 - 711*x^13 - 182478*x^12 + 40066*x^11 + 264754*x^10 - 88159*x^9 - 211633*x^8 + 76957*x^7 + 78081*x^6 - 22907*x^5 - 6929*x^4 - 169*x^3 - 1201*x^2 - 10*x + 34, -2*x^23 + 8*x^22 + 52*x^21 - 231*x^20 - 541*x^19 + 2809*x^18 + 2791*x^17 - 18747*x^16 - 6551*x^15 + 74861*x^14 - 711*x^13 - 182478*x^12 + 40066*x^11 + 264754*x^10 - 88159*x^9 - 211633*x^8 + 76957*x^7 + 78081*x^6 - 22907*x^5 - 6929*x^4 - 169*x^3 - 1201*x^2 - 10*x + 34, -x^25 + 3*x^24 + 34*x^23 - 104*x^22 - 494*x^21 + 1553*x^20 + 4001*x^19 - 13089*x^18 - 19722*x^17 + 68540*x^16 + 60361*x^15 - 231294*x^14 - 110713*x^13 + 504827*x^12 + 105264*x^11 - 696383*x^10 - 19133*x^9 + 576240*x^8 - 47384*x^7 - 262265*x^6 + 32436*x^5 + 58885*x^4 - 6032*x^3 - 5909*x^2 + 167*x + 132, -x^25 + 3*x^24 + 34*x^23 - 104*x^22 - 494*x^21 + 1553*x^20 + 4001*x^19 - 13089*x^18 - 19722*x^17 + 68540*x^16 + 60361*x^15 - 231294*x^14 - 110713*x^13 + 504827*x^12 + 105264*x^11 - 696383*x^10 - 19133*x^9 + 576240*x^8 - 47384*x^7 - 262265*x^6 + 32436*x^5 + 58885*x^4 - 6032*x^3 - 5909*x^2 + 167*x + 132, -2*x^24 + 9*x^23 + 51*x^22 - 272*x^21 - 494*x^20 + 3489*x^19 + 1997*x^18 - 24913*x^17 + 382*x^16 + 109006*x^15 - 36341*x^14 - 302998*x^13 + 153343*x^12 + 536919*x^11 - 311631*x^10 - 593811*x^9 + 338956*x^8 + 391304*x^7 - 185745*x^6 - 140831*x^5 + 40714*x^4 + 22133*x^3 - 975*x^2 - 475*x + 9, -2*x^24 + 9*x^23 + 51*x^22 - 272*x^21 - 494*x^20 + 3489*x^19 + 1997*x^18 - 24913*x^17 + 382*x^16 + 109006*x^15 - 36341*x^14 - 302998*x^13 + 153343*x^12 + 536919*x^11 - 311631*x^10 - 593811*x^9 + 338956*x^8 + 391304*x^7 - 185745*x^6 - 140831*x^5 + 40714*x^4 + 22133*x^3 - 975*x^2 - 475*x + 9, -2*x^22 + 8*x^21 + 50*x^20 - 222*x^19 - 488*x^18 + 2530*x^17 + 2354*x^16 - 15526*x^15 - 5629*x^14 + 56350*x^13 + 4558*x^12 - 124829*x^11 + 6562*x^10 + 167624*x^9 - 16704*x^8 - 129675*x^7 + 11970*x^6 + 50353*x^5 - 1781*x^4 - 6952*x^3 - 577*x^2 + 99*x + 7, -2*x^22 + 8*x^21 + 50*x^20 - 222*x^19 - 488*x^18 + 2530*x^17 + 2354*x^16 - 15526*x^15 - 5629*x^14 + 56350*x^13 + 4558*x^12 - 124829*x^11 + 6562*x^10 + 167624*x^9 - 16704*x^8 - 129675*x^7 + 11970*x^6 + 50353*x^5 - 1781*x^4 - 6952*x^3 - 577*x^2 + 99*x + 7, -x^25 + 4*x^24 + 28*x^23 - 124*x^22 - 324*x^21 + 1656*x^20 + 1977*x^19 - 12534*x^18 - 6480*x^17 + 59411*x^16 + 8150*x^15 - 183534*x^14 + 17173*x^13 + 371740*x^12 - 88021*x^11 - 482887*x^10 + 153789*x^9 + 381961*x^8 - 131377*x^7 - 169155*x^6 + 51242*x^5 + 37661*x^4 - 6665*x^3 - 3882*x^2 + 45*x + 67, -x^25 + 4*x^24 + 28*x^23 - 124*x^22 - 324*x^21 + 1656*x^20 + 1977*x^19 - 12534*x^18 - 6480*x^17 + 59411*x^16 + 8150*x^15 - 183534*x^14 + 17173*x^13 + 371740*x^12 - 88021*x^11 - 482887*x^10 + 153789*x^9 + 381961*x^8 - 131377*x^7 - 169155*x^6 + 51242*x^5 + 37661*x^4 - 6665*x^3 - 3882*x^2 + 45*x + 67, x^21 - 8*x^20 - 9*x^19 + 184*x^18 - 97*x^17 - 1760*x^16 + 1811*x^15 + 9119*x^14 - 11048*x^13 - 28141*x^12 + 34341*x^11 + 54213*x^10 - 58738*x^9 - 67129*x^8 + 55232*x^7 + 52760*x^6 - 27340*x^5 - 22550*x^4 + 5573*x^3 + 3624*x^2 - 46*x - 72, x^21 - 8*x^20 - 9*x^19 + 184*x^18 - 97*x^17 - 1760*x^16 + 1811*x^15 + 9119*x^14 - 11048*x^13 - 28141*x^12 + 34341*x^11 + 54213*x^10 - 58738*x^9 - 67129*x^8 + 55232*x^7 + 52760*x^6 - 27340*x^5 - 22550*x^4 + 5573*x^3 + 3624*x^2 - 46*x - 72, -x^24 + 2*x^23 + 36*x^22 - 70*x^21 - 556*x^20 + 1047*x^19 + 4826*x^18 - 8751*x^17 - 25943*x^16 + 44951*x^15 + 89786*x^14 - 147137*x^13 - 201500*x^12 + 307885*x^11 + 288320*x^10 - 401501*x^9 - 253010*x^8 + 306526*x^7 + 129467*x^6 - 120828*x^5 - 38039*x^4 + 19065*x^3 + 6081*x^2 - 405*x - 139, -x^24 + 2*x^23 + 36*x^22 - 70*x^21 - 556*x^20 + 1047*x^19 + 4826*x^18 - 8751*x^17 - 25943*x^16 + 44951*x^15 + 89786*x^14 - 147137*x^13 - 201500*x^12 + 307885*x^11 + 288320*x^10 - 401501*x^9 - 253010*x^8 + 306526*x^7 + 129467*x^6 - 120828*x^5 - 38039*x^4 + 19065*x^3 + 6081*x^2 - 405*x - 139, -3*x^23 + 12*x^22 + 76*x^21 - 347*x^20 - 740*x^19 + 4197*x^18 + 3193*x^17 - 27673*x^16 - 2569*x^15 + 108360*x^14 - 32164*x^13 - 256516*x^12 + 141622*x^11 + 355765*x^10 - 263221*x^9 - 262545*x^8 + 238831*x^7 + 80921*x^6 - 94611*x^5 - 4250*x^4 + 11975*x^3 + 5*x^2 - 245*x + 7, -3*x^23 + 12*x^22 + 76*x^21 - 347*x^20 - 740*x^19 + 4197*x^18 + 3193*x^17 - 27673*x^16 - 2569*x^15 + 108360*x^14 - 32164*x^13 - 256516*x^12 + 141622*x^11 + 355765*x^10 - 263221*x^9 - 262545*x^8 + 238831*x^7 + 80921*x^6 - 94611*x^5 - 4250*x^4 + 11975*x^3 + 5*x^2 - 245*x + 7, -x^26 + 4*x^25 + 29*x^24 - 129*x^23 - 343*x^22 + 1785*x^21 + 2068*x^20 - 13885*x^19 - 6005*x^18 + 66735*x^17 + 1271*x^16 - 204781*x^15 + 47813*x^14 + 399412*x^13 - 154369*x^12 - 475289*x^11 + 220170*x^10 + 312606*x^9 - 142835*x^8 - 87855*x^7 + 24205*x^6 - 352*x^5 + 8424*x^4 + 2479*x^3 - 1275*x^2 - 58*x + 32, -x^26 + 4*x^25 + 29*x^24 - 129*x^23 - 343*x^22 + 1785*x^21 + 2068*x^20 - 13885*x^19 - 6005*x^18 + 66735*x^17 + 1271*x^16 - 204781*x^15 + 47813*x^14 + 399412*x^13 - 154369*x^12 - 475289*x^11 + 220170*x^10 + 312606*x^9 - 142835*x^8 - 87855*x^7 + 24205*x^6 - 352*x^5 + 8424*x^4 + 2479*x^3 - 1275*x^2 - 58*x + 32, -x^24 + 3*x^23 + 28*x^22 - 84*x^21 - 332*x^20 + 977*x^19 + 2214*x^18 - 6123*x^17 - 9410*x^16 + 22328*x^15 + 27909*x^14 - 47265*x^13 - 62256*x^12 + 52968*x^11 + 106569*x^10 - 20553*x^9 - 129985*x^8 - 10569*x^7 + 96885*x^6 + 8651*x^5 - 34718*x^4 - 1307*x^3 + 4003*x^2 + 126*x - 74, -x^24 + 3*x^23 + 28*x^22 - 84*x^21 - 332*x^20 + 977*x^19 + 2214*x^18 - 6123*x^17 - 9410*x^16 + 22328*x^15 + 27909*x^14 - 47265*x^13 - 62256*x^12 + 52968*x^11 + 106569*x^10 - 20553*x^9 - 129985*x^8 - 10569*x^7 + 96885*x^6 + 8651*x^5 - 34718*x^4 - 1307*x^3 + 4003*x^2 + 126*x - 74, -3*x^22 + 9*x^21 + 86*x^20 - 269*x^19 - 1018*x^18 + 3363*x^17 + 6459*x^16 - 22974*x^15 - 23732*x^14 + 93747*x^13 + 50535*x^12 - 234122*x^11 - 58159*x^10 + 351819*x^9 + 29860*x^8 - 299814*x^7 - 5751*x^6 + 127930*x^5 + 5979*x^4 - 20821*x^3 - 3273*x^2 + 356*x + 65, -3*x^22 + 9*x^21 + 86*x^20 - 269*x^19 - 1018*x^18 + 3363*x^17 + 6459*x^16 - 22974*x^15 - 23732*x^14 + 93747*x^13 + 50535*x^12 - 234122*x^11 - 58159*x^10 + 351819*x^9 + 29860*x^8 - 299814*x^7 - 5751*x^6 + 127930*x^5 + 5979*x^4 - 20821*x^3 - 3273*x^2 + 356*x + 65, -x^27 + 4*x^26 + 32*x^25 - 141*x^24 - 427*x^23 + 2159*x^22 + 3026*x^21 - 18877*x^20 - 11588*x^19 + 104165*x^18 + 17237*x^17 - 378384*x^16 + 41025*x^15 + 915810*x^14 - 252704*x^13 - 1462711*x^12 + 537189*x^11 + 1495345*x^10 - 588098*x^9 - 924684*x^8 + 326096*x^7 + 312911*x^6 - 74628*x^5 - 46532*x^4 + 2546*x^3 + 1374*x^2 + 31*x + 1, -x^27 + 4*x^26 + 32*x^25 - 141*x^24 - 427*x^23 + 2159*x^22 + 3026*x^21 - 18877*x^20 - 11588*x^19 + 104165*x^18 + 17237*x^17 - 378384*x^16 + 41025*x^15 + 915810*x^14 - 252704*x^13 - 1462711*x^12 + 537189*x^11 + 1495345*x^10 - 588098*x^9 - 924684*x^8 + 326096*x^7 + 312911*x^6 - 74628*x^5 - 46532*x^4 + 2546*x^3 + 1374*x^2 + 31*x + 1]>
       ]
>;

MOG[607] := 	// J_0(607)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [10, 109, 267, 270, 319, 335, 384, 385, 492, 514, 543, 563, 574, 370*x + 592, 237*x + 592, 266*x + 574, 341*x + 574, 202*x + 66, 405*x + 66, 220*x + 348, 387*x + 348, 221*x + 483, 386*x + 483, 74*x + 116, 533*x + 116, 536*x + 561, 71*x + 561, 11*x + 90, 596*x + 90, 128*x + 117, 479*x + 117, 78*x + 247, 529*x + 247, 265*x + 324, 342*x + 324, 310*x + 108, 297*x + 108, 428*x + 472, 179*x + 472, 472*x + 208, 135*x + 208, 258*x + 435, 349*x + 435, 22*x + 544, 585*x + 544, 9*x + 431, 598*x + 431, 327*x + 422, 280*x + 422, 569*x + 76, 38*x + 76]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^5 + 3*x^4 - x^3 - 5*x^2 + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^3 + 2*x, x^3 - 2*x, 0, 0, x^3 - x + 1, -x^3 + x - 1, -x^4 - x^3 + 2*x^2 + x - 1, x^4 + x^3 - 2*x^2 - x + 1, -x^4 - 2*x^3 + 2*x^2 + 3*x - 1, x^4 + 2*x^3 - 2*x^2 - 3*x + 1, x^2 - 1, -x^2 + 1, -x^2 + 1, x^2 - 1, x^4 + x^3 - 2*x^2 - x + 1, -x^4 - x^3 + 2*x^2 + x - 1, x^4 + x^3 - 2*x^2 - 2*x + 1, -x^4 - x^3 + 2*x^2 + 2*x - 1, x^4 + x^3 - 2*x^2 - x, -x^4 - x^3 + 2*x^2 + x, -x^3 - x^2 + x + 1, x^3 + x^2 - x - 1, x^4 + 2*x^3 - x^2 - 2*x, -x^4 - 2*x^3 + x^2 + 2*x, 1, -1, -x^4 - x^3 + x^2 + x, x^4 + x^3 - x^2 - x, x^3 - x, -x^3 + x, x^3 - 2*x, -x^3 + 2*x, 2*x^3 + x^2 - 3*x, -2*x^3 - x^2 + 3*x, x^2 + x - 1, -x^2 - x + 1, x^2 - 1, -x^2 + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^7 + x^6 - 10*x^5 - 9*x^4 + 28*x^3 + 26*x^2 - 19*x - 17,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -2*x^5 - 4*x^4 + 11*x^3 + 21*x^2 - 10*x - 20, 2*x^5 + 4*x^4 - 11*x^3 - 21*x^2 + 10*x + 20, x^5 + 3*x^4 - 5*x^3 - 13*x^2 + x + 7, -x^5 - 3*x^4 + 5*x^3 + 13*x^2 - x - 7, -x^6 - 2*x^5 + 5*x^4 + 11*x^3 - 3*x^2 - 11*x - 2, x^6 + 2*x^5 - 5*x^4 - 11*x^3 + 3*x^2 + 11*x + 2, -x^6 - 2*x^5 + 6*x^4 + 10*x^3 - 7*x^2 - 9*x + 2, x^6 + 2*x^5 - 6*x^4 - 10*x^3 + 7*x^2 + 9*x - 2, -x^5 - x^4 + 5*x^3 + 4*x^2 - 3*x, x^5 + x^4 - 5*x^3 - 4*x^2 + 3*x, x^5 + x^4 - 4*x^3 - 6*x^2 + x + 4, -x^5 - x^4 + 4*x^3 + 6*x^2 - x - 4, x^6 + 2*x^5 - 6*x^4 - 9*x^3 + 7*x^2 + 6*x - 4, -x^6 - 2*x^5 + 6*x^4 + 9*x^3 - 7*x^2 - 6*x + 4, -x^5 + 5*x^3 + x^2 - 5*x - 1, x^5 - 5*x^3 - x^2 + 5*x + 1, -x^5 - 2*x^4 + 4*x^3 + 9*x^2 + x - 3, x^5 + 2*x^4 - 4*x^3 - 9*x^2 - x + 3, -x^6 - x^5 + 7*x^4 + 6*x^3 - 13*x^2 - 8*x + 6, x^6 + x^5 - 7*x^4 - 6*x^3 + 13*x^2 + 8*x - 6, -x^6 - x^5 + 6*x^4 + 5*x^3 - 8*x^2 - 4*x + 3, x^6 + x^5 - 6*x^4 - 5*x^3 + 8*x^2 + 4*x - 3, -x^4 - x^3 + 5*x^2 + 4*x - 3, x^4 + x^3 - 5*x^2 - 4*x + 3, x^5 + 2*x^4 - 5*x^3 - 10*x^2 + 3*x + 8, -x^5 - 2*x^4 + 5*x^3 + 10*x^2 - 3*x - 8, -x^4 - x^3 + 5*x^2 + 4*x - 3, x^4 + x^3 - 5*x^2 - 4*x + 3, -x^4 + 3*x^2 + 2*x + 1, x^4 - 3*x^2 - 2*x - 1, -2*x^5 - 2*x^4 + 11*x^3 + 12*x^2 - 12*x - 13, 2*x^5 + 2*x^4 - 11*x^3 - 12*x^2 + 12*x + 13, 0, 0, x^4 - x^3 - 4*x^2 + 2*x + 4, -x^4 + x^3 + 4*x^2 - 2*x - 4, -2*x^4 + x^3 + 9*x^2 - x - 9, 2*x^4 - x^3 - 9*x^2 + x + 9]>,
         rec<Eigen |
           DefiningPolynomial := x^7 + 4*x^6 - 3*x^5 - 23*x^4 - 3*x^3 + 33*x^2 + 3*x - 5,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x^3 + x^2 - 5*x - 5, -x^3 - x^2 + 5*x + 5, 2*x^6 + 8*x^5 - 4*x^4 - 40*x^3 - 15*x^2 + 40*x + 14, -2*x^6 - 8*x^5 + 4*x^4 + 40*x^3 + 15*x^2 - 40*x - 14, x^6 + 3*x^5 - 4*x^4 - 16*x^3 - x^2 + 18*x + 9, -x^6 - 3*x^5 + 4*x^4 + 16*x^3 + x^2 - 18*x - 9, -x^6 - 3*x^5 + 5*x^4 + 17*x^3 - 4*x^2 - 23*x - 9, x^6 + 3*x^5 - 5*x^4 - 17*x^3 + 4*x^2 + 23*x + 9, x^6 + 4*x^5 - x^4 - 17*x^3 - 10*x^2 + 11*x + 8, -x^6 - 4*x^5 + x^4 + 17*x^3 + 10*x^2 - 11*x - 8, 2*x^5 + 5*x^4 - 11*x^3 - 23*x^2 + 15*x + 13, -2*x^5 - 5*x^4 + 11*x^3 + 23*x^2 - 15*x - 13, x^4 + 2*x^3 - 3*x^2 - 7*x - 3, -x^4 - 2*x^3 + 3*x^2 + 7*x + 3, -x^6 - x^5 + 8*x^4 + 3*x^3 - 19*x^2 + 4*x + 7, x^6 + x^5 - 8*x^4 - 3*x^3 + 19*x^2 - 4*x - 7, x^6 + 3*x^5 - 4*x^4 - 15*x^3 + 13*x + 4, -x^6 - 3*x^5 + 4*x^4 + 15*x^3 - 13*x - 4, -x^5 - 2*x^4 + 7*x^3 + 9*x^2 - 14*x - 4, x^5 + 2*x^4 - 7*x^3 - 9*x^2 + 14*x + 4, x^5 + 2*x^4 - 6*x^3 - 7*x^2 + 12*x + 1, -x^5 - 2*x^4 + 6*x^3 + 7*x^2 - 12*x - 1, x^5 + 4*x^4 - x^3 - 15*x^2 - 7*x + 4, -x^5 - 4*x^4 + x^3 + 15*x^2 + 7*x - 4, -x^6 - 4*x^5 + 2*x^4 + 21*x^3 + 7*x^2 - 25*x - 5, x^6 + 4*x^5 - 2*x^4 - 21*x^3 - 7*x^2 + 25*x + 5, x^5 + 2*x^4 - 6*x^3 - 11*x^2 + 8*x + 12, -x^5 - 2*x^4 + 6*x^3 + 11*x^2 - 8*x - 12, x^5 + x^4 - 8*x^3 - 5*x^2 + 16*x + 2, -x^5 - x^4 + 8*x^3 + 5*x^2 - 16*x - 2, -x^3 - x^2 + 5*x + 5, x^3 + x^2 - 5*x - 5, 2*x^3 + 3*x^2 - 7*x - 8, -2*x^3 - 3*x^2 + 7*x + 8, -x^5 - 3*x^4 + 2*x^3 + 11*x^2 + 5*x - 2, x^5 + 3*x^4 - 2*x^3 - 11*x^2 - 5*x + 2, -x^4 - 2*x^3 + 3*x^2 + 7*x + 3, x^4 + 2*x^3 - 3*x^2 - 7*x - 3]>,
         rec<Eigen |
           DefiningPolynomial := x^31 - 9*x^30 - 8*x^29 + 296*x^28 - 467*x^27 - 3999*x^26 + 11486*x^25 + 27342*x^24 - 123243*x^23 - 81401*x^22 + 774171*x^21 - 131830*x^20 - 3092092*x^19 + 2144835*x^18 + 8005757*x^17 - 8872276*x^16 - 13104011*x^15 + 20286599*x^14 + 12312325*x^13 - 28011039*x^12 - 4459837*x^11 + 23084202*x^10 - 2166278*x^9 - 10691106*x^8 + 2491665*x^7 + 2558001*x^6 - 807767*x^5 - 254593*x^4 + 101683*x^3 + 2648*x^2 - 3099*x + 179,
           Coordinates        := [-x^30 + 9*x^29 + 5*x^28 - 269*x^27 + 479*x^26 + 3222*x^25 - 10072*x^24 - 18380*x^23 + 95099*x^22 + 32057*x^21 - 519447*x^20 + 217185*x^19 + 1753780*x^18 - 1633754*x^17 - 3646985*x^16 + 5140383*x^15 + 4303638*x^14 - 9132050*x^13 - 1975366*x^12 + 9443418*x^11 - 1162076*x^10 - 5425584*x^9 + 1767218*x^8 + 1567329*x^7 - 734832*x^6 - 176291*x^5 + 116206*x^4 - 1280*x^3 - 4581*x^2 + 515*x - 28, x^30 - 8*x^29 - 14*x^28 + 266*x^27 - 228*x^26 - 3700*x^25 + 7290*x^24 + 27496*x^23 - 80788*x^22 - 112068*x^21 + 502398*x^20 + 191089*x^19 - 1955345*x^18 + 346441*x^17 + 4918967*x^16 - 2655922*x^15 - 7950814*x^14 + 6469777*x^13 + 7925216*x^12 - 8474794*x^11 - 4422316*x^10 + 6275036*x^9 + 1054014*x^8 - 2533124*x^7 + 62968*x^6 + 512946*x^5 - 72351*x^4 - 40489*x^3 + 9110*x^2 - 31*x - 42, x^26 - 7*x^25 - 13*x^24 + 191*x^23 - 105*x^22 - 2164*x^21 + 3262*x^20 + 13049*x^19 - 29258*x^18 - 43601*x^17 + 141215*x^16 + 68391*x^15 - 411026*x^14 + 23336*x^13 + 735991*x^12 - 294347*x^11 - 782858*x^10 + 511333*x^9 + 443784*x^8 - 398881*x^7 - 97541*x^6 + 137313*x^5 - 4608*x^4 - 16850*x^3 + 3152*x^2 + 31*x - 17, x^28 - 8*x^27 - 11*x^26 + 243*x^25 - 266*x^24 - 3008*x^23 + 6731*x^22 + 18835*x^21 - 64811*x^20 - 54703*x^19 + 345918*x^18 - 14222*x^17 - 1109702*x^16 + 643820*x^15 + 2128026*x^14 - 2155672*x^13 - 2215540*x^12 + 3454252*x^11 + 805321*x^10 - 2815228*x^9 + 438998*x^8 + 1022426*x^7 - 367639*x^6 - 132511*x^5 + 70860*x^4 + 101*x^3 - 2467*x^2 + 108*x + 8, x^29 - 8*x^28 - 14*x^27 + 268*x^26 - 248*x^25 - 3680*x^24 + 7718*x^23 + 26120*x^22 - 83694*x^21 - 93836*x^20 + 501546*x^19 + 75921*x^18 - 1838719*x^17 + 736751*x^16 + 4213893*x^15 - 3306098*x^14 - 5879486*x^13 + 6607605*x^12 + 4568968*x^11 - 7172144*x^10 - 1514798*x^9 + 4223042*x^8 - 102136*x^7 - 1297546*x^6 + 194746*x^5 + 185254*x^4 - 42959*x^3 - 8253*x^2 + 2718*x - 135, x^29 - 8*x^28 - 13*x^27 + 259*x^26 - 248*x^25 - 3456*x^24 + 7241*x^23 + 24001*x^22 - 76011*x^21 - 85643*x^20 + 444112*x^19 + 81030*x^18 - 1594512*x^17 + 560636*x^16 + 3595226*x^15 - 2559910*x^14 - 4977400*x^13 + 5003424*x^12 + 3943347*x^11 - 5214706*x^10 - 1539946*x^9 + 2880926*x^8 + 206563*x^7 - 810477*x^6 + 27724*x^5 + 101201*x^4 - 9125*x^3 - 3536*x^2 + 370*x - 2, -x^28 + 9*x^27 + 2*x^26 - 241*x^25 + 469*x^24 + 2561*x^23 - 8445*x^22 - 12622*x^21 + 70676*x^20 + 14816*x^19 - 344621*x^18 + 155678*x^17 + 1042795*x^16 - 932320*x^15 - 1961291*x^14 + 2509152*x^13 + 2169744*x^12 - 3830572*x^11 - 1172809*x^10 + 3379977*x^9 + 43944*x^8 - 1638766*x^7 + 229766*x^6 + 395784*x^5 - 88870*x^4 - 35267*x^3 + 10487*x^2 - 417*x - 6, -x^27 + 9*x^26 - x^25 - 216*x^24 + 480*x^23 + 1945*x^22 - 7437*x^21 - 6567*x^20 + 53661*x^19 - 13417*x^18 - 216466*x^17 + 197479*x^16 + 496705*x^15 - 745591*x^14 - 576820*x^13 + 1432399*x^12 + 136770*x^11 - 1482191*x^10 + 358499*x^9 + 796952*x^8 - 324639*x^7 - 229078*x^6 + 112711*x^5 + 33170*x^4 - 17853*x^3 - 1469*x^2 + 1028*x - 62, -x^26 + 9*x^25 - 3*x^24 - 198*x^23 + 466*x^22 + 1623*x^21 - 6573*x^20 - 4657*x^19 + 44409*x^18 - 15111*x^17 - 170070*x^16 + 167791*x^15 + 372123*x^14 - 597919*x^13 - 400500*x^12 + 1116057*x^11 + 25444*x^10 - 1124507*x^9 + 372937*x^8 + 557304*x^7 - 320161*x^6 - 107564*x^5 + 100645*x^4 - 2914*x^3 - 10465*x^2 + 2287*x - 118, -x^26 + 8*x^25 + 7*x^24 - 209*x^23 + 271*x^22 + 2216*x^21 - 5221*x^20 - 11788*x^19 + 41873*x^18 + 28456*x^17 - 188010*x^16 + 9469*x^15 + 506174*x^14 - 239417*x^13 - 816237*x^12 + 616162*x^11 + 752932*x^10 - 729259*x^9 - 370760*x^8 + 426192*x^7 + 101553*x^6 - 127525*x^5 - 14814*x^4 + 18356*x^3 + 503*x^2 - 966*x + 62, -x^27 + 9*x^26 - 2*x^25 - 205*x^24 + 461*x^23 + 1739*x^22 - 6587*x^21 - 5642*x^20 + 43964*x^19 - 7550*x^18 - 164813*x^17 + 119860*x^16 + 360233*x^15 - 405512*x^14 - 441171*x^13 + 670608*x^12 + 262372*x^11 - 556514*x^10 - 56719*x^9 + 188771*x^8 + 29692*x^7 - 3922*x^6 - 28910*x^5 - 8696*x^4 + 8638*x^3 + 747*x^2 - 667*x + 43, x^27 - 9*x^26 + x^25 + 217*x^24 - 487*x^23 - 1954*x^22 + 7590*x^21 + 6525*x^20 - 55356*x^19 + 14915*x^18 + 228417*x^17 - 214039*x^16 - 547808*x^15 + 845388*x^14 + 689319*x^13 - 1766329*x^12 - 194164*x^11 + 2077049*x^10 - 578882*x^9 - 1286449*x^8 + 700221*x^7 + 332395*x^6 - 279234*x^5 - 7634*x^4 + 36852*x^3 - 6273*x^2 - 79*x + 34, -x^29 + 9*x^28 + 4*x^27 - 259*x^26 + 472*x^25 + 2982*x^24 - 9386*x^23 - 16306*x^22 + 84700*x^21 + 27025*x^20 - 442246*x^19 + 176645*x^18 + 1424074*x^17 - 1249659*x^16 - 2818229*x^15 + 3660255*x^14 + 3187735*x^13 - 5933579*x^12 - 1571951*x^11 + 5418682*x^10 - 257836*x^9 - 2624489*x^8 + 524713*x^7 + 628784*x^6 - 172671*x^5 - 59741*x^4 + 19702*x^3 + 305*x^2 - 367*x + 19, -x^25 + 9*x^24 - 7*x^23 - 161*x^22 + 432*x^21 + 955*x^20 - 4626*x^19 - 847*x^18 + 23198*x^17 - 14844*x^16 - 62291*x^15 + 73836*x^14 + 88160*x^13 - 158171*x^12 - 55663*x^11 + 178842*x^10 + 7219*x^9 - 119824*x^8 + 2239*x^7 + 60757*x^6 - 6033*x^5 - 18042*x^4 + 3694*x^3 + 1878*x^2 - 573*x + 31, -x^25 + 9*x^24 - 7*x^23 - 161*x^22 + 432*x^21 + 955*x^20 - 4626*x^19 - 847*x^18 + 23198*x^17 - 14844*x^16 - 62291*x^15 + 73836*x^14 + 88160*x^13 - 158171*x^12 - 55663*x^11 + 178842*x^10 + 7219*x^9 - 119824*x^8 + 2239*x^7 + 60757*x^6 - 6033*x^5 - 18042*x^4 + 3694*x^3 + 1878*x^2 - 573*x + 31, -2*x^26 + 18*x^25 - 4*x^24 - 411*x^23 + 929*x^22 + 3490*x^21 - 13356*x^20 - 11183*x^19 + 89904*x^18 - 17909*x^17 - 341281*x^16 + 263404*x^15 + 760060*x^14 - 919272*x^13 - 953686*x^12 + 1637029*x^11 + 558045*x^10 - 1595603*x^9 - 7126*x^8 + 817422*x^7 - 129338*x^6 - 202240*x^5 + 48754*x^4 + 18007*x^3 - 5577*x^2 + 230*x + 3, -2*x^26 + 18*x^25 - 4*x^24 - 411*x^23 + 929*x^22 + 3490*x^21 - 13356*x^20 - 11183*x^19 + 89904*x^18 - 17909*x^17 - 341281*x^16 + 263404*x^15 + 760060*x^14 - 919272*x^13 - 953686*x^12 + 1637029*x^11 + 558045*x^10 - 1595603*x^9 - 7126*x^8 + 817422*x^7 - 129338*x^6 - 202240*x^5 + 48754*x^4 + 18007*x^3 - 5577*x^2 + 230*x + 3, x^25 - 11*x^24 + 20*x^23 + 193*x^22 - 805*x^21 - 832*x^20 + 8829*x^19 - 4998*x^18 - 46777*x^17 + 66522*x^16 + 128186*x^15 - 298314*x^14 - 145700*x^13 + 698659*x^12 - 94645*x^11 - 891481*x^10 + 445158*x^9 + 567931*x^8 - 446821*x^7 - 130323*x^6 + 169202*x^5 - 7144*x^4 - 21176*x^3 + 4282*x^2 - 82*x - 4, x^25 - 11*x^24 + 20*x^23 + 193*x^22 - 805*x^21 - 832*x^20 + 8829*x^19 - 4998*x^18 - 46777*x^17 + 66522*x^16 + 128186*x^15 - 298314*x^14 - 145700*x^13 + 698659*x^12 - 94645*x^11 - 891481*x^10 + 445158*x^9 + 567931*x^8 - 446821*x^7 - 130323*x^6 + 169202*x^5 - 7144*x^4 - 21176*x^3 + 4282*x^2 - 82*x - 4, -x^25 + 7*x^24 + 17*x^23 - 227*x^22 + 137*x^21 + 2779*x^20 - 5019*x^19 - 16213*x^18 + 47044*x^17 + 41257*x^16 - 222141*x^15 + 14351*x^14 + 585448*x^13 - 353822*x^12 - 842570*x^11 + 873256*x^10 + 559525*x^9 - 938629*x^8 - 49726*x^7 + 444451*x^6 - 79680*x^5 - 89807*x^4 + 25968*x^3 + 5610*x^2 - 2174*x + 122, -x^25 + 7*x^24 + 17*x^23 - 227*x^22 + 137*x^21 + 2779*x^20 - 5019*x^19 - 16213*x^18 + 47044*x^17 + 41257*x^16 - 222141*x^15 + 14351*x^14 + 585448*x^13 - 353822*x^12 - 842570*x^11 + 873256*x^10 + 559525*x^9 - 938629*x^8 - 49726*x^7 + 444451*x^6 - 79680*x^5 - 89807*x^4 + 25968*x^3 + 5610*x^2 - 2174*x + 122, -x^29 + 9*x^28 + 4*x^27 - 259*x^26 + 471*x^25 + 2990*x^24 - 9379*x^23 - 16519*x^22 + 85012*x^21 + 29165*x^20 - 448033*x^19 + 167218*x^18 + 1467349*x^17 - 1241117*x^16 - 2991072*x^15 + 3747147*x^14 + 3574612*x^13 - 6317021*x^12 - 2024981*x^11 + 6119968*x^10 - 70612*x^9 - 3249644*x^8 + 616060*x^7 + 876463*x^6 - 259445*x^5 - 98066*x^4 + 38700*x^3 + 1429*x^2 - 1380*x + 80, -x^29 + 9*x^28 + 4*x^27 - 259*x^26 + 471*x^25 + 2990*x^24 - 9379*x^23 - 16519*x^22 + 85012*x^21 + 29165*x^20 - 448033*x^19 + 167218*x^18 + 1467349*x^17 - 1241117*x^16 - 2991072*x^15 + 3747147*x^14 + 3574612*x^13 - 6317021*x^12 - 2024981*x^11 + 6119968*x^10 - 70612*x^9 - 3249644*x^8 + 616060*x^7 + 876463*x^6 - 259445*x^5 - 98066*x^4 + 38700*x^3 + 1429*x^2 - 1380*x + 80, -x^27 + 8*x^26 + 8*x^25 - 216*x^24 + 259*x^23 + 2397*x^22 - 5308*x^21 - 13826*x^20 + 44658*x^19 + 41092*x^18 - 213748*x^17 - 34175*x^16 + 632994*x^15 - 171750*x^14 - 1176380*x^13 + 650463*x^12 + 1325286*x^11 - 1012460*x^10 - 816710*x^9 + 789624*x^8 + 209415*x^7 - 281818*x^6 - 1658*x^5 + 38173*x^4 - 5275*x^3 - 677*x^2 + 143*x - 10, -x^27 + 8*x^26 + 8*x^25 - 216*x^24 + 259*x^23 + 2397*x^22 - 5308*x^21 - 13826*x^20 + 44658*x^19 + 41092*x^18 - 213748*x^17 - 34175*x^16 + 632994*x^15 - 171750*x^14 - 1176380*x^13 + 650463*x^12 + 1325286*x^11 - 1012460*x^10 - 816710*x^9 + 789624*x^8 + 209415*x^7 - 281818*x^6 - 1658*x^5 + 38173*x^4 - 5275*x^3 - 677*x^2 + 143*x - 10, x^26 - 10*x^25 + 10*x^24 + 209*x^23 - 646*x^22 - 1461*x^21 + 8285*x^20 + 1282*x^19 - 51451*x^18 + 37280*x^17 + 177719*x^16 - 233167*x^15 - 342010*x^14 + 663865*x^13 + 315958*x^12 - 1029613*x^11 - 26629*x^10 + 866303*x^9 - 160973*x^8 - 368445*x^7 + 83500*x^6 + 79322*x^5 - 11470*x^4 - 8940*x^3 + 160*x^2 + 527*x - 33, x^26 - 10*x^25 + 10*x^24 + 209*x^23 - 646*x^22 - 1461*x^21 + 8285*x^20 + 1282*x^19 - 51451*x^18 + 37280*x^17 + 177719*x^16 - 233167*x^15 - 342010*x^14 + 663865*x^13 + 315958*x^12 - 1029613*x^11 - 26629*x^10 + 866303*x^9 - 160973*x^8 - 368445*x^7 + 83500*x^6 + 79322*x^5 - 11470*x^4 - 8940*x^3 + 160*x^2 + 527*x - 33, x^24 - 9*x^23 + 2*x^22 + 197*x^21 - 411*x^20 - 1654*x^19 + 5521*x^18 + 6044*x^17 - 34689*x^16 - 2856*x^15 + 122474*x^14 - 53366*x^13 - 252432*x^12 + 193795*x^11 + 292945*x^10 - 305591*x^9 - 166024*x^8 + 235883*x^7 + 24945*x^6 - 80433*x^5 + 8336*x^4 + 9528*x^3 - 2120*x^2 + 42*x + 2, x^24 - 9*x^23 + 2*x^22 + 197*x^21 - 411*x^20 - 1654*x^19 + 5521*x^18 + 6044*x^17 - 34689*x^16 - 2856*x^15 + 122474*x^14 - 53366*x^13 - 252432*x^12 + 193795*x^11 + 292945*x^10 - 305591*x^9 - 166024*x^8 + 235883*x^7 + 24945*x^6 - 80433*x^5 + 8336*x^4 + 9528*x^3 - 2120*x^2 + 42*x + 2, x^24 - 9*x^23 + 6*x^22 + 168*x^21 - 426*x^20 - 1096*x^19 + 4770*x^18 + 1979*x^17 - 25270*x^16 + 10268*x^15 + 73991*x^14 - 64672*x^13 - 122814*x^12 + 152543*x^11 + 109477*x^10 - 184739*x^9 - 42557*x^8 + 116821*x^7 - 125*x^6 - 35339*x^5 + 3224*x^4 + 4453*x^3 - 455*x^2 - 183*x + 21, x^24 - 9*x^23 + 6*x^22 + 168*x^21 - 426*x^20 - 1096*x^19 + 4770*x^18 + 1979*x^17 - 25270*x^16 + 10268*x^15 + 73991*x^14 - 64672*x^13 - 122814*x^12 + 152543*x^11 + 109477*x^10 - 184739*x^9 - 42557*x^8 + 116821*x^7 - 125*x^6 - 35339*x^5 + 3224*x^4 + 4453*x^3 - 455*x^2 - 183*x + 21, -x^26 + 8*x^25 + 7*x^24 - 211*x^23 + 292*x^22 + 2179*x^21 - 5548*x^20 - 10491*x^19 + 43121*x^18 + 16080*x^17 - 182027*x^16 + 66374*x^15 + 437621*x^14 - 377310*x^13 - 561585*x^12 + 776376*x^11 + 271206*x^10 - 761109*x^9 + 112655*x^8 + 325391*x^7 - 140312*x^6 - 48435*x^5 + 40786*x^4 - 2537*x^3 - 3597*x^2 + 878*x - 52, -x^26 + 8*x^25 + 7*x^24 - 211*x^23 + 292*x^22 + 2179*x^21 - 5548*x^20 - 10491*x^19 + 43121*x^18 + 16080*x^17 - 182027*x^16 + 66374*x^15 + 437621*x^14 - 377310*x^13 - 561585*x^12 + 776376*x^11 + 271206*x^10 - 761109*x^9 + 112655*x^8 + 325391*x^7 - 140312*x^6 - 48435*x^5 + 40786*x^4 - 2537*x^3 - 3597*x^2 + 878*x - 52, -x^28 + 9*x^27 + 2*x^26 - 242*x^25 + 479*x^24 + 2549*x^23 - 8634*x^22 - 12008*x^21 + 71840*x^20 + 7617*x^19 - 344744*x^18 + 197482*x^17 + 1008450*x^16 - 1068148*x^15 - 1764690*x^14 + 2746115*x^13 + 1628509*x^12 - 3974775*x^11 - 362295*x^10 + 3201937*x^9 - 573083*x^8 - 1308655*x^7 + 409498*x^6 + 242071*x^5 - 92202*x^4 - 13409*x^3 + 6397*x^2 - 383*x + 7, -x^28 + 9*x^27 + 2*x^26 - 242*x^25 + 479*x^24 + 2549*x^23 - 8634*x^22 - 12008*x^21 + 71840*x^20 + 7617*x^19 - 344744*x^18 + 197482*x^17 + 1008450*x^16 - 1068148*x^15 - 1764690*x^14 + 2746115*x^13 + 1628509*x^12 - 3974775*x^11 - 362295*x^10 + 3201937*x^9 - 573083*x^8 - 1308655*x^7 + 409498*x^6 + 242071*x^5 - 92202*x^4 - 13409*x^3 + 6397*x^2 - 383*x + 7, x^27 - 10*x^26 + 10*x^25 + 214*x^24 - 688*x^23 - 1453*x^22 + 9116*x^21 - 426*x^20 - 57584*x^19 + 58313*x^18 + 195155*x^17 - 352537*x^16 - 325088*x^15 + 1035664*x^14 + 68914*x^13 - 1678124*x^12 + 651325*x^11 + 1453759*x^10 - 1025997*x^9 - 578075*x^8 + 617789*x^7 + 65889*x^6 - 163846*x^5 + 14696*x^4 + 16118*x^3 - 3196*x^2 - 52*x + 21, x^27 - 10*x^26 + 10*x^25 + 214*x^24 - 688*x^23 - 1453*x^22 + 9116*x^21 - 426*x^20 - 57584*x^19 + 58313*x^18 + 195155*x^17 - 352537*x^16 - 325088*x^15 + 1035664*x^14 + 68914*x^13 - 1678124*x^12 + 651325*x^11 + 1453759*x^10 - 1025997*x^9 - 578075*x^8 + 617789*x^7 + 65889*x^6 - 163846*x^5 + 14696*x^4 + 16118*x^3 - 3196*x^2 - 52*x + 21, x^27 - 8*x^26 - 9*x^25 + 224*x^24 - 255*x^23 - 2583*x^22 + 5600*x^21 + 15470*x^20 - 49097*x^19 - 47626*x^18 + 242405*x^17 + 41592*x^16 - 733600*x^15 + 202119*x^14 + 1380930*x^13 - 774586*x^12 - 1569013*x^11 + 1199739*x^10 + 989472*x^9 - 929250*x^8 - 287101*x^7 + 338983*x^6 + 21568*x^5 - 50550*x^4 + 3329*x^3 + 1822*x^2 - 181*x + 1, x^27 - 8*x^26 - 9*x^25 + 224*x^24 - 255*x^23 - 2583*x^22 + 5600*x^21 + 15470*x^20 - 49097*x^19 - 47626*x^18 + 242405*x^17 + 41592*x^16 - 733600*x^15 + 202119*x^14 + 1380930*x^13 - 774586*x^12 - 1569013*x^11 + 1199739*x^10 + 989472*x^9 - 929250*x^8 - 287101*x^7 + 338983*x^6 + 21568*x^5 - 50550*x^4 + 3329*x^3 + 1822*x^2 - 181*x + 1, x^25 - 8*x^24 - 5*x^23 + 194*x^22 - 285*x^21 - 1861*x^20 + 4800*x^19 + 8504*x^18 - 34710*x^17 - 13898*x^16 + 140110*x^15 - 36779*x^14 - 334923*x^13 + 227155*x^12 + 465082*x^11 - 472603*x^10 - 336947*x^9 + 485649*x^8 + 87483*x^7 - 243731*x^6 + 13381*x^5 + 57437*x^4 - 10409*x^3 - 4893*x^2 + 1424*x - 76, x^25 - 8*x^24 - 5*x^23 + 194*x^22 - 285*x^21 - 1861*x^20 + 4800*x^19 + 8504*x^18 - 34710*x^17 - 13898*x^16 + 140110*x^15 - 36779*x^14 - 334923*x^13 + 227155*x^12 + 465082*x^11 - 472603*x^10 - 336947*x^9 + 485649*x^8 + 87483*x^7 - 243731*x^6 + 13381*x^5 + 57437*x^4 - 10409*x^3 - 4893*x^2 + 1424*x - 76, x^25 - 8*x^24 - 6*x^23 + 201*x^22 - 278*x^21 - 2014*x^20 + 4989*x^19 + 9688*x^18 - 37604*x^17 - 17091*x^16 + 156022*x^15 - 42244*x^14 - 373339*x^13 + 279210*x^12 + 486965*x^11 - 585392*x^10 - 265135*x^9 + 569801*x^8 - 37882*x^7 - 236059*x^6 + 69523*x^5 + 36823*x^4 - 16014*x^3 - 900*x^2 + 771*x - 46, x^25 - 8*x^24 - 6*x^23 + 201*x^22 - 278*x^21 - 2014*x^20 + 4989*x^19 + 9688*x^18 - 37604*x^17 - 17091*x^16 + 156022*x^15 - 42244*x^14 - 373339*x^13 + 279210*x^12 + 486965*x^11 - 585392*x^10 - 265135*x^9 + 569801*x^8 - 37882*x^7 - 236059*x^6 + 69523*x^5 + 36823*x^4 - 16014*x^3 - 900*x^2 + 771*x - 46, -x^27 + 9*x^26 - 225*x^24 + 486*x^23 + 2114*x^22 - 7864*x^21 - 7722*x^20 + 58631*x^19 - 10828*x^18 - 245151*x^17 + 207144*x^16 + 593388*x^15 - 829282*x^14 - 769723*x^13 + 1691783*x^12 + 337400*x^11 - 1905571*x^10 + 314239*x^9 + 1151365*x^8 - 415977*x^7 - 352574*x^6 + 168901*x^5 + 46484*x^4 - 27028*x^3 - 1135*x^2 + 1244*x - 70, -x^27 + 9*x^26 - 225*x^24 + 486*x^23 + 2114*x^22 - 7864*x^21 - 7722*x^20 + 58631*x^19 - 10828*x^18 - 245151*x^17 + 207144*x^16 + 593388*x^15 - 829282*x^14 - 769723*x^13 + 1691783*x^12 + 337400*x^11 - 1905571*x^10 + 314239*x^9 + 1151365*x^8 - 415977*x^7 - 352574*x^6 + 168901*x^5 + 46484*x^4 - 27028*x^3 - 1135*x^2 + 1244*x - 70, x^26 - 9*x^25 + 2*x^24 + 208*x^23 - 485*x^22 - 1744*x^21 + 7087*x^20 + 4800*x^19 - 47984*x^18 + 18833*x^17 + 179278*x^16 - 187157*x^15 - 372135*x^14 + 626750*x^13 + 360741*x^12 - 1090228*x^11 + 26179*x^10 + 1007335*x^9 - 355609*x^8 - 448035*x^7 + 257237*x^6 + 79395*x^5 - 71070*x^4 + 1063*x^3 + 6772*x^2 - 1317*x + 55, x^26 - 9*x^25 + 2*x^24 + 208*x^23 - 485*x^22 - 1744*x^21 + 7087*x^20 + 4800*x^19 - 47984*x^18 + 18833*x^17 + 179278*x^16 - 187157*x^15 - 372135*x^14 + 626750*x^13 + 360741*x^12 - 1090228*x^11 + 26179*x^10 + 1007335*x^9 - 355609*x^8 - 448035*x^7 + 257237*x^6 + 79395*x^5 - 71070*x^4 + 1063*x^3 + 6772*x^2 - 1317*x + 55, x^26 - 9*x^25 + x^24 + 216*x^23 - 485*x^22 - 1904*x^21 + 7429*x^20 + 5795*x^19 - 52062*x^18 + 18534*x^17 + 198383*x^16 - 208534*x^15 - 405086*x^14 + 717221*x^13 + 330569*x^12 - 1224900*x^11 + 210780*x^10 + 1019675*x^9 - 565126*x^8 - 314998*x^7 + 305707*x^6 + 2639*x^5 - 56061*x^4 + 10661*x^3 + 2126*x^2 - 634*x + 25, x^26 - 9*x^25 + x^24 + 216*x^23 - 485*x^22 - 1904*x^21 + 7429*x^20 + 5795*x^19 - 52062*x^18 + 18534*x^17 + 198383*x^16 - 208534*x^15 - 405086*x^14 + 717221*x^13 + 330569*x^12 - 1224900*x^11 + 210780*x^10 + 1019675*x^9 - 565126*x^8 - 314998*x^7 + 305707*x^6 + 2639*x^5 - 56061*x^4 + 10661*x^3 + 2126*x^2 - 634*x + 25, -x^26 + 9*x^25 - 224*x^23 + 478*x^22 + 2107*x^21 - 7661*x^20 - 7954*x^19 + 56472*x^18 - 6418*x^17 - 233035*x^16 + 172492*x^15 + 557346*x^14 - 677022*x^13 - 729524*x^12 + 1292828*x^11 + 405328*x^10 - 1289463*x^9 + 44451*x^8 + 630690*x^7 - 100285*x^6 - 147152*x^5 + 24388*x^4 + 14811*x^3 - 1556*x^2 - 565*x + 45, -x^26 + 9*x^25 - 224*x^23 + 478*x^22 + 2107*x^21 - 7661*x^20 - 7954*x^19 + 56472*x^18 - 6418*x^17 - 233035*x^16 + 172492*x^15 + 557346*x^14 - 677022*x^13 - 729524*x^12 + 1292828*x^11 + 405328*x^10 - 1289463*x^9 + 44451*x^8 + 630690*x^7 - 100285*x^6 - 147152*x^5 + 24388*x^4 + 14811*x^3 - 1556*x^2 - 565*x + 45]>
       ]
>;

MOG[613] := 	// J_0(613)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [31, 111, 171, 334, 470, 7*x + 166, 606*x + 166, 127*x + 149, 486*x + 149, 363*x + 505, 250*x + 505, 207*x + 422, 406*x + 422, 67*x + 138, 546*x + 138, 61*x + 153, 552*x + 153, 510*x + 16, 103*x + 16, 464*x + 441, 149*x + 441, 347*x + 460, 266*x + 460, 135*x + 217, 478*x + 217, 492*x + 337, 121*x + 337, 154*x + 531, 459*x + 531, 360*x + 226, 253*x + 226, 369*x + 13, 244*x + 13, 162*x + 324, 451*x + 324, 396*x + 99, 217*x + 99, 506*x + 551, 107*x + 551, 265*x + 100, 348*x + 100, 387*x + 413, 226*x + 413, 498*x + 610, 115*x + 610, 306*x + 370, 307*x + 370, 599*x + 200, 14*x + 200, 591*x + 20, 22*x + 20]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^5 + 4*x^4 - x^3 - 18*x^2 - 16*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, x^4 + 5*x^3 + 7*x^2 + x - 2, -x^4 - 5*x^3 - 7*x^2 - x + 2, x^3 + 4*x^2 + 5*x + 2, -x^3 - 4*x^2 - 5*x - 2, x^4 + 7*x^3 + 15*x^2 + 9*x - 1, -x^4 - 7*x^3 - 15*x^2 - 9*x + 1, x^2 + 2*x + 1, -x^2 - 2*x - 1, -x^3 - 3*x^2 - x + 1, x^3 + 3*x^2 + x - 1, x^4 + 5*x^3 + 8*x^2 + 5*x + 1, -x^4 - 5*x^3 - 8*x^2 - 5*x - 1, x^4 + 6*x^3 + 12*x^2 + 9*x + 2, -x^4 - 6*x^3 - 12*x^2 - 9*x - 2, -x^4 - 5*x^3 - 9*x^2 - 8*x - 3, x^4 + 5*x^3 + 9*x^2 + 8*x + 3, x^3 + 4*x^2 + 4*x + 1, -x^3 - 4*x^2 - 4*x - 1, x^3 + 4*x^2 + 4*x + 1, -x^3 - 4*x^2 - 4*x - 1, x^3 + 5*x^2 + 8*x + 4, -x^3 - 5*x^2 - 8*x - 4, x^4 + 5*x^3 + 7*x^2 + x - 2, -x^4 - 5*x^3 - 7*x^2 - x + 2, -2*x^3 - 9*x^2 - 12*x - 5, 2*x^3 + 9*x^2 + 12*x + 5, -x^4 - 7*x^3 - 14*x^2 - 6*x + 3, x^4 + 7*x^3 + 14*x^2 + 6*x - 3, -x^2 - 3*x - 2, x^2 + 3*x + 2, x^2 + 3*x + 2, -x^2 - 3*x - 2, -x^4 - 4*x^3 - 3*x^2 + 3*x + 3, x^4 + 4*x^3 + 3*x^2 - 3*x - 3, -x^4 - 5*x^3 - 8*x^2 - 4*x, x^4 + 5*x^3 + 8*x^2 + 4*x, -x^3 - 4*x^2 - 5*x - 2, x^3 + 4*x^2 + 5*x + 2, -x^3 - 3*x^2 - x + 1, x^3 + 3*x^2 + x - 1, -x^2 - 3*x - 2, x^2 + 3*x + 2, -x^3 - 3*x^2 + 3, x^3 + 3*x^2 - 3, -x^3 - 4*x^2 - 5*x - 2, x^3 + 4*x^2 + 5*x + 2]>,
         rec<Eigen |
           DefiningPolynomial := x^18 + 6*x^17 - 6*x^16 - 94*x^15 - 62*x^14 + 567*x^13 + 704*x^12 - 1719*x^11 - 2756*x^10 + 2786*x^9 + 5455*x^8 - 2273*x^7 - 5795*x^6 + 629*x^5 + 3147*x^4 + 213*x^3 - 714*x^2 - 115*x + 25,
           Coordinates        := [0, 0, 0, 0, 0, x^17 + 7*x^16 + 2*x^15 - 84*x^14 - 138*x^13 + 349*x^12 + 879*x^11 - 555*x^10 - 2401*x^9 - 14*x^8 + 3240*x^7 + 1000*x^6 - 2069*x^5 - 998*x^4 + 479*x^3 + 301*x^2 + 3*x - 10, -x^17 - 7*x^16 - 2*x^15 + 84*x^14 + 138*x^13 - 349*x^12 - 879*x^11 + 555*x^10 + 2401*x^9 + 14*x^8 - 3240*x^7 - 1000*x^6 + 2069*x^5 + 998*x^4 - 479*x^3 - 301*x^2 - 3*x + 10, x^17 + 8*x^16 + 9*x^15 - 83*x^14 - 226*x^13 + 220*x^12 + 1274*x^11 + 292*x^10 - 3175*x^9 - 2357*x^8 + 3778*x^7 + 4194*x^6 - 1837*x^5 - 3092*x^4 + 27*x^3 + 848*x^2 + 149*x - 30, -x^17 - 8*x^16 - 9*x^15 + 83*x^14 + 226*x^13 - 220*x^12 - 1274*x^11 - 292*x^10 + 3175*x^9 + 2357*x^8 - 3778*x^7 - 4194*x^6 + 1837*x^5 + 3092*x^4 - 27*x^3 - 848*x^2 - 149*x + 30, x^15 + 7*x^14 + 8*x^13 - 45*x^12 - 110*x^11 + 63*x^10 + 375*x^9 + 142*x^8 - 505*x^7 - 468*x^6 + 210*x^5 + 424*x^4 + 61*x^3 - 131*x^2 - 44*x + 5, -x^15 - 7*x^14 - 8*x^13 + 45*x^12 + 110*x^11 - 63*x^10 - 375*x^9 - 142*x^8 + 505*x^7 + 468*x^6 - 210*x^5 - 424*x^4 - 61*x^3 + 131*x^2 + 44*x - 5, x^16 + 6*x^15 - 3*x^14 - 77*x^13 - 72*x^12 + 364*x^11 + 546*x^10 - 800*x^9 - 1575*x^8 + 793*x^7 + 2192*x^6 - 190*x^5 - 1457*x^4 - 178*x^3 + 383*x^2 + 82*x - 15, -x^16 - 6*x^15 + 3*x^14 + 77*x^13 + 72*x^12 - 364*x^11 - 546*x^10 + 800*x^9 + 1575*x^8 - 793*x^7 - 2192*x^6 + 190*x^5 + 1457*x^4 + 178*x^3 - 383*x^2 - 82*x + 15, x^17 + 7*x^16 + 3*x^15 - 77*x^14 - 132*x^13 + 293*x^12 + 768*x^11 - 410*x^10 - 1942*x^9 - 88*x^8 + 2434*x^7 + 766*x^6 - 1462*x^5 - 665*x^4 + 334*x^3 + 179*x^2, -x^17 - 7*x^16 - 3*x^15 + 77*x^14 + 132*x^13 - 293*x^12 - 768*x^11 + 410*x^10 + 1942*x^9 + 88*x^8 - 2434*x^7 - 766*x^6 + 1462*x^5 + 665*x^4 - 334*x^3 - 179*x^2, -x^17 - 6*x^16 + 5*x^15 + 91*x^14 + 87*x^13 - 463*x^12 - 780*x^11 + 989*x^10 + 2485*x^9 - 652*x^8 - 3730*x^7 - 652*x^6 + 2608*x^5 + 1069*x^4 - 672*x^3 - 387*x^2 - 3*x + 10, x^17 + 6*x^16 - 5*x^15 - 91*x^14 - 87*x^13 + 463*x^12 + 780*x^11 - 989*x^10 - 2485*x^9 + 652*x^8 + 3730*x^7 + 652*x^6 - 2608*x^5 - 1069*x^4 + 672*x^3 + 387*x^2 + 3*x - 10, x^14 + 6*x^13 + 4*x^12 - 36*x^11 - 59*x^10 + 58*x^9 + 161*x^8 + 22*x^7 - 138*x^6 - 115*x^5 - 10*x^4 + 62*x^3 + 42*x^2 + 5*x, -x^14 - 6*x^13 - 4*x^12 + 36*x^11 + 59*x^10 - 58*x^9 - 161*x^8 - 22*x^7 + 138*x^6 + 115*x^5 + 10*x^4 - 62*x^3 - 42*x^2 - 5*x, x^16 + 7*x^15 + 5*x^14 - 63*x^13 - 119*x^12 + 186*x^11 + 545*x^10 - 158*x^9 - 1062*x^8 - 156*x^7 + 965*x^6 + 296*x^5 - 405*x^4 - 124*x^3 + 78*x^2 + 14*x - 5, -x^16 - 7*x^15 - 5*x^14 + 63*x^13 + 119*x^12 - 186*x^11 - 545*x^10 + 158*x^9 + 1062*x^8 + 156*x^7 - 965*x^6 - 296*x^5 + 405*x^4 + 124*x^3 - 78*x^2 - 14*x + 5, x^15 + 8*x^14 + 15*x^13 - 37*x^12 - 151*x^11 - 23*x^10 + 459*x^9 + 398*x^8 - 583*x^7 - 826*x^6 + 247*x^5 + 684*x^4 + 63*x^3 - 212*x^2 - 48*x + 10, -x^15 - 8*x^14 - 15*x^13 + 37*x^12 + 151*x^11 + 23*x^10 - 459*x^9 - 398*x^8 + 583*x^7 + 826*x^6 - 247*x^5 - 684*x^4 - 63*x^3 + 212*x^2 + 48*x - 10, -x^16 - 5*x^15 + 10*x^14 + 81*x^13 + 6*x^12 - 469*x^11 - 311*x^10 + 1300*x^9 + 1185*x^8 - 1837*x^7 - 1893*x^6 + 1241*x^5 + 1367*x^4 - 298*x^3 - 374*x^2 - 13*x + 10, x^16 + 5*x^15 - 10*x^14 - 81*x^13 - 6*x^12 + 469*x^11 + 311*x^10 - 1300*x^9 - 1185*x^8 + 1837*x^7 + 1893*x^6 - 1241*x^5 - 1367*x^4 + 298*x^3 + 374*x^2 + 13*x - 10, x^13 + 5*x^12 - 31*x^10 - 26*x^9 + 61*x^8 + 69*x^7 - 30*x^6 - 49*x^5 - 29*x^4 - 6*x^3 + 32*x^2 + 14*x - 5, -x^13 - 5*x^12 + 31*x^10 + 26*x^9 - 61*x^8 - 69*x^7 + 30*x^6 + 49*x^5 + 29*x^4 + 6*x^3 - 32*x^2 - 14*x + 5, -x^14 - 5*x^13 + 4*x^12 + 51*x^11 + 26*x^10 - 188*x^9 - 181*x^8 + 298*x^7 + 383*x^6 - 171*x^5 - 333*x^4 - 13*x^3 + 104*x^2 + 30*x, x^14 + 5*x^13 - 4*x^12 - 51*x^11 - 26*x^10 + 188*x^9 + 181*x^8 - 298*x^7 - 383*x^6 + 171*x^5 + 333*x^4 + 13*x^3 - 104*x^2 - 30*x, x^15 + 7*x^14 + 6*x^13 - 56*x^12 - 110*x^11 + 149*x^10 + 453*x^9 - 112*x^8 - 810*x^7 - 120*x^6 + 668*x^5 + 205*x^4 - 227*x^3 - 73*x^2 + 20*x, -x^15 - 7*x^14 - 6*x^13 + 56*x^12 + 110*x^11 - 149*x^10 - 453*x^9 + 112*x^8 + 810*x^7 + 120*x^6 - 668*x^5 - 205*x^4 + 227*x^3 + 73*x^2 - 20*x, x^15 + 7*x^14 + 7*x^13 - 51*x^12 - 113*x^11 + 103*x^10 + 427*x^9 + 44*x^8 - 659*x^7 - 350*x^6 + 389*x^5 + 336*x^4 - 29*x^3 - 92*x^2 - 25*x, -x^15 - 7*x^14 - 7*x^13 + 51*x^12 + 113*x^11 - 103*x^10 - 427*x^9 - 44*x^8 + 659*x^7 + 350*x^6 - 389*x^5 - 336*x^4 + 29*x^3 + 92*x^2 + 25*x, x^14 + 8*x^13 + 19*x^12 - 11*x^11 - 120*x^10 - 145*x^9 + 157*x^8 + 470*x^7 + 133*x^6 - 462*x^5 - 341*x^4 + 126*x^3 + 160*x^2 + 13*x - 10, -x^14 - 8*x^13 - 19*x^12 + 11*x^11 + 120*x^10 + 145*x^9 - 157*x^8 - 470*x^7 - 133*x^6 + 462*x^5 + 341*x^4 - 126*x^3 - 160*x^2 - 13*x + 10, x^12 + 5*x^11 + 2*x^10 - 23*x^9 - 31*x^8 + 17*x^7 + 59*x^6 + 37*x^5 - 25*x^4 - 36*x^3 + 4*x^2 + 4*x - 5, -x^12 - 5*x^11 - 2*x^10 + 23*x^9 + 31*x^8 - 17*x^7 - 59*x^6 - 37*x^5 + 25*x^4 + 36*x^3 - 4*x^2 - 4*x + 5, x^14 + 7*x^13 + 9*x^12 - 37*x^11 - 92*x^10 + 46*x^9 + 252*x^8 + 36*x^7 - 297*x^6 - 91*x^5 + 178*x^4 + 51*x^3 - 58*x^2 - 14*x + 5, -x^14 - 7*x^13 - 9*x^12 + 37*x^11 + 92*x^10 - 46*x^9 - 252*x^8 - 36*x^7 + 297*x^6 + 91*x^5 - 178*x^4 - 51*x^3 + 58*x^2 + 14*x - 5, x^14 + 7*x^13 + 10*x^12 - 32*x^11 - 92*x^10 + 14*x^9 + 222*x^8 + 104*x^7 - 193*x^6 - 131*x^5 + 43*x^4 + 19*x^3 + x^2 + 16*x + 5, -x^14 - 7*x^13 - 10*x^12 + 32*x^11 + 92*x^10 - 14*x^9 - 222*x^8 - 104*x^7 + 193*x^6 + 131*x^5 - 43*x^4 - 19*x^3 - x^2 - 16*x - 5, 2*x^13 + 13*x^12 + 16*x^11 - 59*x^10 - 153*x^9 + 22*x^8 + 357*x^7 + 217*x^6 - 277*x^5 - 316*x^4 + 18*x^3 + 127*x^2 + 34*x - 5, -2*x^13 - 13*x^12 - 16*x^11 + 59*x^10 + 153*x^9 - 22*x^8 - 357*x^7 - 217*x^6 + 277*x^5 + 316*x^4 - 18*x^3 - 127*x^2 - 34*x + 5, 2*x^13 + 13*x^12 + 15*x^11 - 63*x^10 - 149*x^9 + 50*x^8 + 359*x^7 + 147*x^6 - 311*x^5 - 242*x^4 + 79*x^3 + 98*x^2 + 4*x - 5, -2*x^13 - 13*x^12 - 15*x^11 + 63*x^10 + 149*x^9 - 50*x^8 - 359*x^7 - 147*x^6 + 311*x^5 + 242*x^4 - 79*x^3 - 98*x^2 - 4*x + 5, x^12 + 7*x^11 + 10*x^10 - 28*x^9 - 75*x^8 + 7*x^7 + 126*x^6 + 61*x^5 - 32*x^4 - 26*x^3 - 24*x^2 - 15*x, -x^12 - 7*x^11 - 10*x^10 + 28*x^9 + 75*x^8 - 7*x^7 - 126*x^6 - 61*x^5 + 32*x^4 + 26*x^3 + 24*x^2 + 15*x, x^13 + 6*x^12 + 3*x^11 - 40*x^10 - 52*x^9 + 98*x^8 + 154*x^7 - 118*x^6 - 179*x^5 + 88*x^4 + 90*x^3 - 39*x^2 - 19*x + 5, -x^13 - 6*x^12 - 3*x^11 + 40*x^10 + 52*x^9 - 98*x^8 - 154*x^7 + 118*x^6 + 179*x^5 - 88*x^4 - 90*x^3 + 39*x^2 + 19*x - 5, x^13 + 6*x^12 + 5*x^11 - 30*x^10 - 52*x^9 + 38*x^8 + 109*x^7 + 2*x^6 - 69*x^5 - x^4 + 12*x^3 - 19*x^2 - 4*x + 5, -x^13 - 6*x^12 - 5*x^11 + 30*x^10 + 52*x^9 - 38*x^8 - 109*x^7 - 2*x^6 + 69*x^5 + x^4 - 12*x^3 + 19*x^2 + 4*x - 5]>,
         rec<Eigen |
           DefiningPolynomial := x^27 - 8*x^26 - 9*x^25 + 224*x^24 - 253*x^23 - 2596*x^22 + 5569*x^21 + 15836*x^20 - 49248*x^19 - 51509*x^18 + 247914*x^17 + 61977*x^16 - 777485*x^15 + 147021*x^14 + 1555984*x^13 - 714158*x^12 - 1964875*x^11 + 1245137*x^10 + 1499850*x^9 - 1122577*x^8 - 633022*x^7 + 522333*x^6 + 119415*x^5 - 107309*x^4 - 3970*x^3 + 5608*x^2 + 161*x - 27,
           Coordinates        := [-x^26 + 7*x^25 + 14*x^24 - 196*x^23 + 81*x^22 + 2313*x^21 - 3052*x^20 - 14952*x^19 + 28674*x^18 + 57261*x^17 - 144299*x^16 - 128966*x^15 + 443347*x^14 + 147956*x^13 - 861904*x^12 - 11672*x^11 + 1054129*x^10 - 184284*x^9 - 779874*x^8 + 216165*x^7 + 320837*x^6 - 100604*x^5 - 60597*x^4 + 17034*x^3 + 2658*x^2 - 86*x + 3, x^26 - 8*x^25 - 6*x^24 + 202*x^23 - 281*x^22 - 2042*x^21 + 5050*x^20 + 10188*x^19 - 38574*x^18 - 22029*x^17 + 166654*x^16 - 16834*x^15 - 439843*x^14 + 215777*x^13 + 719819*x^12 - 541571*x^11 - 714030*x^10 + 684190*x^9 + 403252*x^8 - 469957*x^7 - 112322*x^6 + 167946*x^5 + 7959*x^4 - 26179*x^3 + 1755*x^2 + 907*x - 24, x^25 - 8*x^24 - 4*x^23 + 188*x^22 - 303*x^21 - 1688*x^20 + 4796*x^19 + 6578*x^18 - 32624*x^17 - 3219*x^16 + 121306*x^15 - 67550*x^14 - 257453*x^13 + 267231*x^12 + 294877*x^11 - 474883*x^10 - 136176*x^9 + 443536*x^8 - 36824*x^7 - 212023*x^6 + 57492*x^5 + 43060*x^4 - 15661*x^3 - 1221*x^2 + 579*x - 15, 2*x^22 - 14*x^21 - 14*x^20 + 298*x^19 - 302*x^18 - 2476*x^17 + 4724*x^16 + 9946*x^15 - 28050*x^14 - 17546*x^13 + 87610*x^12 - 2914*x^11 - 152134*x^10 + 62628*x^9 + 140520*x^8 - 97190*x^7 - 56914*x^6 + 60500*x^5 + 1816*x^4 - 13762*x^3 + 3058*x^2 + 242*x - 24, 2*x^21 - 14*x^20 - 12*x^19 + 280*x^18 - 284*x^17 - 2198*x^16 + 3944*x^15 + 8672*x^14 - 21350*x^13 - 17718*x^12 + 61706*x^11 + 15372*x^10 - 102020*x^9 + 4186*x^8 + 95868*x^7 - 18086*x^6 - 47786*x^5 + 12118*x^4 + 10478*x^3 - 2706*x^2 - 514*x + 66, -x^25 + 7*x^24 + 12*x^23 - 182*x^22 + 102*x^21 + 1968*x^20 - 2811*x^19 - 11461*x^18 + 23177*x^17 + 38655*x^16 - 102586*x^15 - 74185*x^14 + 273062*x^13 + 68037*x^12 - 449537*x^11 + 3362*x^10 + 452130*x^9 - 63269*x^8 - 264175*x^7 + 50446*x^6 + 79711*x^5 - 14839*x^4 - 9173*x^3 + 1432*x^2 + 125*x - 15, -x^25 + 7*x^24 + 12*x^23 - 182*x^22 + 102*x^21 + 1968*x^20 - 2811*x^19 - 11461*x^18 + 23177*x^17 + 38655*x^16 - 102586*x^15 - 74185*x^14 + 273062*x^13 + 68037*x^12 - 449537*x^11 + 3362*x^10 + 452130*x^9 - 63269*x^8 - 264175*x^7 + 50446*x^6 + 79711*x^5 - 14839*x^4 - 9173*x^3 + 1432*x^2 + 125*x - 15, -x^24 + 7*x^23 + 10*x^22 - 170*x^21 + 131*x^20 + 1676*x^19 - 2808*x^18 - 8525*x^17 + 20657*x^16 + 22869*x^15 - 81376*x^14 - 25355*x^13 + 188089*x^12 - 18085*x^11 - 258235*x^10 + 81007*x^9 + 204669*x^8 - 83508*x^7 - 87254*x^6 + 34535*x^5 + 16414*x^4 - 3998*x^3 - 442*x^2 - 305*x - 6, -x^24 + 7*x^23 + 10*x^22 - 170*x^21 + 131*x^20 + 1676*x^19 - 2808*x^18 - 8525*x^17 + 20657*x^16 + 22869*x^15 - 81376*x^14 - 25355*x^13 + 188089*x^12 - 18085*x^11 - 258235*x^10 + 81007*x^9 + 204669*x^8 - 83508*x^7 - 87254*x^6 + 34535*x^5 + 16414*x^4 - 3998*x^3 - 442*x^2 - 305*x - 6, -x^24 + 7*x^23 + 11*x^22 - 175*x^21 + 110*x^20 + 1815*x^19 - 2689*x^18 - 10081*x^17 + 21056*x^16 + 31912*x^15 - 88909*x^14 - 54564*x^13 + 224278*x^12 + 33119*x^11 - 343764*x^10 + 40008*x^9 + 311030*x^8 - 82211*x^7 - 153872*x^6 + 51230*x^5 + 35010*x^4 - 11604*x^3 - 2091*x^2 + 376*x + 3, -x^24 + 7*x^23 + 11*x^22 - 175*x^21 + 110*x^20 + 1815*x^19 - 2689*x^18 - 10081*x^17 + 21056*x^16 + 31912*x^15 - 88909*x^14 - 54564*x^13 + 224278*x^12 + 33119*x^11 - 343764*x^10 + 40008*x^9 + 311030*x^8 - 82211*x^7 - 153872*x^6 + 51230*x^5 + 35010*x^4 - 11604*x^3 - 2091*x^2 + 376*x + 3, -x^23 + 5*x^22 + 20*x^21 - 130*x^20 - 129*x^19 + 1418*x^18 + 28*x^17 - 8469*x^16 + 3719*x^15 + 30307*x^14 - 20762*x^13 - 66879*x^12 + 54331*x^11 + 90577*x^10 - 77081*x^9 - 73155*x^8 + 58359*x^7 + 33210*x^6 - 20834*x^5 - 7133*x^4 + 2148*x^3 + 298*x^2 + 154*x + 3, -x^23 + 5*x^22 + 20*x^21 - 130*x^20 - 129*x^19 + 1418*x^18 + 28*x^17 - 8469*x^16 + 3719*x^15 + 30307*x^14 - 20762*x^13 - 66879*x^12 + 54331*x^11 + 90577*x^10 - 77081*x^9 - 73155*x^8 + 58359*x^7 + 33210*x^6 - 20834*x^5 - 7133*x^4 + 2148*x^3 + 298*x^2 + 154*x + 3, -x^23 + 7*x^22 + 9*x^21 - 162*x^20 + 132*x^19 + 1518*x^18 - 2548*x^17 - 7317*x^16 + 17491*x^15 + 18523*x^14 - 64211*x^13 - 19243*x^12 + 136971*x^11 - 12932*x^10 - 170380*x^9 + 52916*x^8 + 118562*x^7 - 49121*x^6 - 42463*x^5 + 17974*x^4 + 6583*x^3 - 2035*x^2 - 285*x + 12, -x^23 + 7*x^22 + 9*x^21 - 162*x^20 + 132*x^19 + 1518*x^18 - 2548*x^17 - 7317*x^16 + 17491*x^15 + 18523*x^14 - 64211*x^13 - 19243*x^12 + 136971*x^11 - 12932*x^10 - 170380*x^9 + 52916*x^8 + 118562*x^7 - 49121*x^6 - 42463*x^5 + 17974*x^4 + 6583*x^3 - 2035*x^2 - 285*x + 12, -x^21 + 10*x^20 - 16*x^19 - 148*x^18 + 545*x^17 + 535*x^16 - 4753*x^15 + 2082*x^14 + 19255*x^13 - 21416*x^12 - 39294*x^11 + 65629*x^10 + 36465*x^9 - 94531*x^8 - 7236*x^7 + 64673*x^6 - 6859*x^5 - 18771*x^4 + 2594*x^3 + 1348*x^2 - 106*x + 3, -x^21 + 10*x^20 - 16*x^19 - 148*x^18 + 545*x^17 + 535*x^16 - 4753*x^15 + 2082*x^14 + 19255*x^13 - 21416*x^12 - 39294*x^11 + 65629*x^10 + 36465*x^9 - 94531*x^8 - 7236*x^7 + 64673*x^6 - 6859*x^5 - 18771*x^4 + 2594*x^3 + 1348*x^2 - 106*x + 3, -x^23 + 7*x^22 + 9*x^21 - 163*x^20 + 138*x^19 + 1528*x^18 - 2666*x^17 - 7278*x^16 + 18430*x^15 + 17539*x^14 - 68039*x^13 - 13502*x^12 + 145067*x^11 - 28983*x^10 - 177565*x^9 + 75589*x^8 + 117539*x^7 - 63889*x^6 - 37842*x^5 + 22006*x^4 + 4488*x^3 - 2404*x^2 - 16*x + 12, -x^23 + 7*x^22 + 9*x^21 - 163*x^20 + 138*x^19 + 1528*x^18 - 2666*x^17 - 7278*x^16 + 18430*x^15 + 17539*x^14 - 68039*x^13 - 13502*x^12 + 145067*x^11 - 28983*x^10 - 177565*x^9 + 75589*x^8 + 117539*x^7 - 63889*x^6 - 37842*x^5 + 22006*x^4 + 4488*x^3 - 2404*x^2 - 16*x + 12, x^18 - 3*x^17 - 31*x^16 + 126*x^15 + 196*x^14 - 1309*x^13 - 17*x^12 + 5987*x^11 - 3447*x^10 - 13879*x^9 + 12121*x^8 + 16470*x^7 - 17315*x^6 - 9003*x^5 + 10775*x^4 + 1490*x^3 - 2416*x^2 + 229*x + 21, x^18 - 3*x^17 - 31*x^16 + 126*x^15 + 196*x^14 - 1309*x^13 - 17*x^12 + 5987*x^11 - 3447*x^10 - 13879*x^9 + 12121*x^8 + 16470*x^7 - 17315*x^6 - 9003*x^5 + 10775*x^4 + 1490*x^3 - 2416*x^2 + 229*x + 21, -x^22 + 8*x^21 + x^20 - 158*x^19 + 259*x^18 + 1211*x^17 - 3135*x^16 - 4472*x^15 + 16969*x^14 + 7421*x^13 - 51101*x^12 - 834*x^11 + 91302*x^10 - 14212*x^9 - 98228*x^8 + 17917*x^7 + 62106*x^6 - 7558*x^5 - 20606*x^4 + 473*x^3 + 2573*x^2 + 88*x - 15, -x^22 + 8*x^21 + x^20 - 158*x^19 + 259*x^18 + 1211*x^17 - 3135*x^16 - 4472*x^15 + 16969*x^14 + 7421*x^13 - 51101*x^12 - 834*x^11 + 91302*x^10 - 14212*x^9 - 98228*x^8 + 17917*x^7 + 62106*x^6 - 7558*x^5 - 20606*x^4 + 473*x^3 + 2573*x^2 + 88*x - 15, x^24 - 7*x^23 - 11*x^22 + 177*x^21 - 127*x^20 - 1805*x^19 + 2975*x^18 + 9405*x^17 - 22674*x^16 - 25358*x^15 + 91195*x^14 + 25727*x^13 - 212471*x^12 + 33344*x^11 + 288927*x^10 - 120327*x^9 - 220038*x^8 + 128967*x^7 + 84907*x^6 - 62443*x^5 - 11810*x^4 + 12479*x^3 - 588*x^2 - 461*x + 12, x^24 - 7*x^23 - 11*x^22 + 177*x^21 - 127*x^20 - 1805*x^19 + 2975*x^18 + 9405*x^17 - 22674*x^16 - 25358*x^15 + 91195*x^14 + 25727*x^13 - 212471*x^12 + 33344*x^11 + 288927*x^10 - 120327*x^9 - 220038*x^8 + 128967*x^7 + 84907*x^6 - 62443*x^5 - 11810*x^4 + 12479*x^3 - 588*x^2 - 461*x + 12, -x^22 + 6*x^21 + 14*x^20 - 144*x^19 + 14*x^18 + 1409*x^17 - 1367*x^16 - 7207*x^15 + 10904*x^14 + 20280*x^13 - 41668*x^12 - 28885*x^11 + 87847*x^10 + 10787*x^9 - 101951*x^8 + 20031*x^7 + 59686*x^6 - 22504*x^5 - 14397*x^4 + 6863*x^3 + 539*x^2 - 286*x + 30, -x^22 + 6*x^21 + 14*x^20 - 144*x^19 + 14*x^18 + 1409*x^17 - 1367*x^16 - 7207*x^15 + 10904*x^14 + 20280*x^13 - 41668*x^12 - 28885*x^11 + 87847*x^10 + 10787*x^9 - 101951*x^8 + 20031*x^7 + 59686*x^6 - 22504*x^5 - 14397*x^4 + 6863*x^3 + 539*x^2 - 286*x + 30, -x^22 + 6*x^21 + 14*x^20 - 143*x^19 + 9*x^18 + 1394*x^17 - 1259*x^16 - 7166*x^15 + 9966*x^14 + 20782*x^13 - 37543*x^12 - 33217*x^11 + 78352*x^10 + 24794*x^9 - 91540*x^8 - 1709*x^7 + 56344*x^6 - 6720*x^5 - 16125*x^4 + 2337*x^3 + 1536*x^2 - 78*x - 33, -x^22 + 6*x^21 + 14*x^20 - 143*x^19 + 9*x^18 + 1394*x^17 - 1259*x^16 - 7166*x^15 + 9966*x^14 + 20782*x^13 - 37543*x^12 - 33217*x^11 + 78352*x^10 + 24794*x^9 - 91540*x^8 - 1709*x^7 + 56344*x^6 - 6720*x^5 - 16125*x^4 + 2337*x^3 + 1536*x^2 - 78*x - 33, x^23 - 7*x^22 - 8*x^21 + 156*x^20 - 145*x^19 - 1378*x^18 + 2504*x^17 + 6072*x^16 - 15997*x^15 - 13109*x^14 + 54480*x^13 + 7402*x^12 - 106920*x^11 + 23628*x^10 + 121270*x^9 - 50688*x^8 - 76391*x^7 + 39293*x^6 + 24801*x^5 - 12940*x^4 - 3710*x^3 + 1474*x^2 + 245*x - 33, x^23 - 7*x^22 - 8*x^21 + 156*x^20 - 145*x^19 - 1378*x^18 + 2504*x^17 + 6072*x^16 - 15997*x^15 - 13109*x^14 + 54480*x^13 + 7402*x^12 - 106920*x^11 + 23628*x^10 + 121270*x^9 - 50688*x^8 - 76391*x^7 + 39293*x^6 + 24801*x^5 - 12940*x^4 - 3710*x^3 + 1474*x^2 + 245*x - 33, -x^21 + 6*x^20 + 14*x^19 - 143*x^18 + 13*x^17 + 1371*x^16 - 1298*x^15 - 6723*x^14 + 9714*x^13 + 17828*x^12 - 33498*x^11 - 24575*x^10 + 61231*x^9 + 14242*x^8 - 59486*x^7 + 825*x^6 + 28437*x^5 - 3544*x^4 - 5289*x^3 + 790*x^2 + 61*x + 21, -x^21 + 6*x^20 + 14*x^19 - 143*x^18 + 13*x^17 + 1371*x^16 - 1298*x^15 - 6723*x^14 + 9714*x^13 + 17828*x^12 - 33498*x^11 - 24575*x^10 + 61231*x^9 + 14242*x^8 - 59486*x^7 + 825*x^6 + 28437*x^5 - 3544*x^4 - 5289*x^3 + 790*x^2 + 61*x + 21, x^22 - 7*x^21 - 6*x^20 + 143*x^19 - 159*x^18 - 1132*x^17 + 2310*x^16 + 4231*x^15 - 13184*x^14 - 6145*x^13 + 39825*x^12 - 6375*x^11 - 66909*x^10 + 35687*x^9 + 59532*x^8 - 49220*x^7 - 23110*x^6 + 28716*x^5 + 1270*x^4 - 6604*x^3 + 775*x^2 + 376*x - 15, x^22 - 7*x^21 - 6*x^20 + 143*x^19 - 159*x^18 - 1132*x^17 + 2310*x^16 + 4231*x^15 - 13184*x^14 - 6145*x^13 + 39825*x^12 - 6375*x^11 - 66909*x^10 + 35687*x^9 + 59532*x^8 - 49220*x^7 - 23110*x^6 + 28716*x^5 + 1270*x^4 - 6604*x^3 + 775*x^2 + 376*x - 15, -x^21 + 5*x^20 + 20*x^19 - 133*x^18 - 110*x^17 + 1438*x^16 - 319*x^15 - 8163*x^14 + 6091*x^13 + 26285*x^12 - 28335*x^11 - 48077*x^10 + 64827*x^9 + 46393*x^8 - 77884*x^7 - 18301*x^6 + 45949*x^5 - 746*x^4 - 10812*x^3 + 1579*x^2 + 332*x - 42, -x^21 + 5*x^20 + 20*x^19 - 133*x^18 - 110*x^17 + 1438*x^16 - 319*x^15 - 8163*x^14 + 6091*x^13 + 26285*x^12 - 28335*x^11 - 48077*x^10 + 64827*x^9 + 46393*x^8 - 77884*x^7 - 18301*x^6 + 45949*x^5 - 746*x^4 - 10812*x^3 + 1579*x^2 + 332*x - 42, x^24 - 7*x^23 - 10*x^22 + 170*x^21 - 131*x^20 - 1676*x^19 + 2805*x^18 + 8551*x^17 - 20690*x^16 - 23181*x^15 + 82334*x^14 + 26257*x^13 - 194513*x^12 + 20555*x^11 + 276851*x^10 - 99437*x^9 - 229032*x^8 + 120013*x^7 + 99030*x^6 - 64437*x^5 - 16301*x^4 + 13746*x^3 - 397*x^2 - 504*x + 3, x^24 - 7*x^23 - 10*x^22 + 170*x^21 - 131*x^20 - 1676*x^19 + 2805*x^18 + 8551*x^17 - 20690*x^16 - 23181*x^15 + 82334*x^14 + 26257*x^13 - 194513*x^12 + 20555*x^11 + 276851*x^10 - 99437*x^9 - 229032*x^8 + 120013*x^7 + 99030*x^6 - 64437*x^5 - 16301*x^4 + 13746*x^3 - 397*x^2 - 504*x + 3, 3*x^18 - 20*x^17 - 8*x^16 + 317*x^15 - 448*x^14 - 1645*x^13 + 4062*x^12 + 2655*x^11 - 13674*x^10 + 3327*x^9 + 19933*x^8 - 13936*x^7 - 10592*x^6 + 12179*x^5 + 61*x^4 - 3037*x^3 + 941*x^2 - 130*x + 12, 3*x^18 - 20*x^17 - 8*x^16 + 317*x^15 - 448*x^14 - 1645*x^13 + 4062*x^12 + 2655*x^11 - 13674*x^10 + 3327*x^9 + 19933*x^8 - 13936*x^7 - 10592*x^6 + 12179*x^5 + 61*x^4 - 3037*x^3 + 941*x^2 - 130*x + 12, x^21 - 6*x^20 - 12*x^19 + 131*x^18 - 25*x^17 - 1177*x^16 + 1125*x^15 + 5673*x^14 - 7959*x^13 - 15749*x^12 + 28138*x^11 + 24418*x^10 - 56165*x^9 - 17151*x^8 + 62314*x^7 - 842*x^6 - 34544*x^5 + 6351*x^4 + 7682*x^3 - 1959*x^2 - 243*x + 3, x^21 - 6*x^20 - 12*x^19 + 131*x^18 - 25*x^17 - 1177*x^16 + 1125*x^15 + 5673*x^14 - 7959*x^13 - 15749*x^12 + 28138*x^11 + 24418*x^10 - 56165*x^9 - 17151*x^8 + 62314*x^7 - 842*x^6 - 34544*x^5 + 6351*x^4 + 7682*x^3 - 1959*x^2 - 243*x + 3, x^23 - 6*x^22 - 15*x^21 + 148*x^20 + 11*x^19 - 1522*x^18 + 1124*x^17 + 8543*x^16 - 9837*x^15 - 28787*x^14 + 40363*x^13 + 60475*x^12 - 94213*x^11 - 80033*x^10 + 129909*x^9 + 66159*x^8 - 103341*x^7 - 32548*x^6 + 43372*x^5 + 7651*x^4 - 7380*x^3 - 238*x^2 + 140*x + 12, x^23 - 6*x^22 - 15*x^21 + 148*x^20 + 11*x^19 - 1522*x^18 + 1124*x^17 + 8543*x^16 - 9837*x^15 - 28787*x^14 + 40363*x^13 + 60475*x^12 - 94213*x^11 - 80033*x^10 + 129909*x^9 + 66159*x^8 - 103341*x^7 - 32548*x^6 + 43372*x^5 + 7651*x^4 - 7380*x^3 - 238*x^2 + 140*x + 12, x^20 - 9*x^19 + 9*x^18 + 139*x^17 - 390*x^16 - 637*x^15 + 3350*x^14 - 86*x^13 - 12952*x^12 + 9143*x^11 + 25057*x^10 - 29221*x^9 - 22326*x^8 + 39552*x^7 + 4564*x^6 - 24191*x^5 + 4331*x^4 + 5528*x^3 - 1786*x^2 - 88*x + 12, x^20 - 9*x^19 + 9*x^18 + 139*x^17 - 390*x^16 - 637*x^15 + 3350*x^14 - 86*x^13 - 12952*x^12 + 9143*x^11 + 25057*x^10 - 29221*x^9 - 22326*x^8 + 39552*x^7 + 4564*x^6 - 24191*x^5 + 4331*x^4 + 5528*x^3 - 1786*x^2 - 88*x + 12, x^25 - 7*x^24 - 12*x^23 + 183*x^22 - 108*x^21 - 1980*x^20 + 2939*x^19 + 11451*x^18 - 24318*x^17 - 37796*x^16 + 108168*x^15 + 68153*x^14 - 289356*x^13 - 47322*x^12 + 477984*x^11 - 43032*x^10 - 480211*x^9 + 104542*x^8 + 278762*x^7 - 71182*x^6 - 84474*x^5 + 19035*x^4 + 10693*x^3 - 1740*x^2 - 382*x + 21, x^25 - 7*x^24 - 12*x^23 + 183*x^22 - 108*x^21 - 1980*x^20 + 2939*x^19 + 11451*x^18 - 24318*x^17 - 37796*x^16 + 108168*x^15 + 68153*x^14 - 289356*x^13 - 47322*x^12 + 477984*x^11 - 43032*x^10 - 480211*x^9 + 104542*x^8 + 278762*x^7 - 71182*x^6 - 84474*x^5 + 19035*x^4 + 10693*x^3 - 1740*x^2 - 382*x + 21, x^19 - 8*x^18 + 4*x^17 + 123*x^16 - 275*x^15 - 595*x^14 + 2307*x^13 + 576*x^12 - 8314*x^11 + 3484*x^10 + 14867*x^9 - 11027*x^8 - 13420*x^7 + 12196*x^6 + 6168*x^5 - 5844*x^4 - 1452*x^3 + 1039*x^2 + 194*x - 24, x^19 - 8*x^18 + 4*x^17 + 123*x^16 - 275*x^15 - 595*x^14 + 2307*x^13 + 576*x^12 - 8314*x^11 + 3484*x^10 + 14867*x^9 - 11027*x^8 - 13420*x^7 + 12196*x^6 + 6168*x^5 - 5844*x^4 - 1452*x^3 + 1039*x^2 + 194*x - 24]>
       ]
>;

MOG[617] := 	// J_0(617)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 62, 70, 172, 321, 518, 454*x + 129, 163*x + 129, 198*x + 573, 419*x + 573, 384*x + 489, 233*x + 489, 290*x + 332, 327*x + 332, 27*x + 275, 590*x + 275, 529*x + 321, 88*x + 321, 324*x + 407, 293*x + 407, 531*x + 18, 86*x + 18, 574*x + 9, 43*x + 9, 433*x + 267, 184*x + 267, 553*x + 279, 64*x + 279, 290*x + 593, 327*x + 593, 79*x + 351, 538*x + 351, 511*x + 224, 106*x + 224, 54*x + 502, 563*x + 502, 201*x + 527, 416*x + 527, 48*x + 430, 569*x + 430, 227*x + 192, 390*x + 192, 124*x + 356, 493*x + 356, 312*x + 603, 305*x + 603, 211*x + 469, 406*x + 469, 7*x + 266, 610*x + 266, 78*x + 116, 539*x + 116]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^23 + 6*x^22 - 14*x^21 - 143*x^20 - 8*x^19 + 1398*x^18 + 1232*x^17 - 7309*x^16 - 9862*x^15 + 22150*x^14 + 38297*x^13 - 38892*x^12 - 85061*x^11 + 35716*x^10 + 111174*x^9 - 9112*x^8 - 82484*x^7 - 10281*x^6 + 30927*x^5 + 7818*x^4 - 4189*x^3 - 1408*x^2 - 72*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x^22 - 6*x^21 + 12*x^20 + 131*x^19 + 29*x^18 - 1153*x^17 - 1143*x^16 + 5324*x^15 + 7643*x^14 - 13925*x^13 - 25192*x^12 + 20476*x^11 + 46746*x^10 - 15022*x^9 - 49603*x^8 + 2468*x^7 + 28672*x^6 + 3023*x^5 - 7885*x^4 - 1470*x^3 + 689*x^2 + 127*x + 3, x^22 + 6*x^21 - 12*x^20 - 131*x^19 - 29*x^18 + 1153*x^17 + 1143*x^16 - 5324*x^15 - 7643*x^14 + 13925*x^13 + 25192*x^12 - 20476*x^11 - 46746*x^10 + 15022*x^9 + 49603*x^8 - 2468*x^7 - 28672*x^6 - 3023*x^5 + 7885*x^4 + 1470*x^3 - 689*x^2 - 127*x - 3, -x^21 - 6*x^20 + 10*x^19 + 119*x^18 + 45*x^17 - 939*x^16 - 1031*x^15 + 3815*x^14 + 5841*x^13 - 8540*x^12 - 16477*x^11 + 10233*x^10 + 25773*x^9 - 5307*x^8 - 22382*x^7 - 491*x^6 + 10008*x^5 + 1485*x^4 - 1829*x^3 - 392*x^2 + 20*x + 1, x^21 + 6*x^20 - 10*x^19 - 119*x^18 - 45*x^17 + 939*x^16 + 1031*x^15 - 3815*x^14 - 5841*x^13 + 8540*x^12 + 16477*x^11 - 10233*x^10 - 25773*x^9 + 5307*x^8 + 22382*x^7 + 491*x^6 - 10008*x^5 - 1485*x^4 + 1829*x^3 + 392*x^2 - 20*x - 1, -x^21 - 6*x^20 + 11*x^19 + 126*x^18 + 44*x^17 - 1046*x^16 - 1188*x^15 + 4410*x^14 + 7264*x^13 - 9876*x^12 - 21838*x^11 + 10461*x^10 + 35798*x^9 - 1337*x^8 - 31430*x^7 - 6767*x^6 + 13034*x^5 + 4863*x^4 - 1671*x^3 - 889*x^2 - 89*x - 2, x^21 + 6*x^20 - 11*x^19 - 126*x^18 - 44*x^17 + 1046*x^16 + 1188*x^15 - 4410*x^14 - 7264*x^13 + 9876*x^12 + 21838*x^11 - 10461*x^10 - 35798*x^9 + 1337*x^8 + 31430*x^7 + 6767*x^6 - 13034*x^5 - 4863*x^4 + 1671*x^3 + 889*x^2 + 89*x + 2, -x^20 - 6*x^19 + 8*x^18 + 107*x^17 + 56*x^16 - 754*x^15 - 897*x^14 + 2698*x^13 + 4320*x^12 - 5233*x^11 - 10391*x^10 + 5433*x^9 + 13684*x^8 - 2756*x^7 - 9935*x^6 + 490*x^5 + 3794*x^4 + 89*x^3 - 618*x^2 - 51*x - 1, x^20 + 6*x^19 - 8*x^18 - 107*x^17 - 56*x^16 + 754*x^15 + 897*x^14 - 2698*x^13 - 4320*x^12 + 5233*x^11 + 10391*x^10 - 5433*x^9 - 13684*x^8 + 2756*x^7 + 9935*x^6 - 490*x^5 - 3794*x^4 - 89*x^3 + 618*x^2 + 51*x + 1, -x^20 - 6*x^19 + 8*x^18 + 107*x^17 + 56*x^16 - 755*x^15 - 905*x^14 + 2687*x^13 + 4395*x^12 - 5010*x^11 - 10582*x^10 + 4282*x^9 + 13537*x^8 - 203*x^7 - 8729*x^6 - 2028*x^5 + 2262*x^4 + 989*x^3 - 51*x^2 - 75*x - 2, x^20 + 6*x^19 - 8*x^18 - 107*x^17 - 56*x^16 + 755*x^15 + 905*x^14 - 2687*x^13 - 4395*x^12 + 5010*x^11 + 10582*x^10 - 4282*x^9 - 13537*x^8 + 203*x^7 + 8729*x^6 + 2028*x^5 - 2262*x^4 - 989*x^3 + 51*x^2 + 75*x + 2, -x^20 - 5*x^19 + 15*x^18 + 107*x^17 - 45*x^16 - 914*x^15 - 379*x^14 + 4049*x^13 + 3354*x^12 - 10015*x^11 - 10948*x^10 + 13685*x^9 + 18173*x^8 - 9235*x^7 - 15638*x^6 + 1840*x^5 + 6214*x^4 + 581*x^3 - 778*x^2 - 129*x - 3, x^20 + 5*x^19 - 15*x^18 - 107*x^17 + 45*x^16 + 914*x^15 + 379*x^14 - 4049*x^13 - 3354*x^12 + 10015*x^11 + 10948*x^10 - 13685*x^9 - 18173*x^8 + 9235*x^7 + 15638*x^6 - 1840*x^5 - 6214*x^4 - 581*x^3 + 778*x^2 + 129*x + 3, -x^19 - 6*x^18 + 6*x^17 + 97*x^16 + 74*x^15 - 603*x^14 - 902*x^13 + 1769*x^12 + 3846*x^11 - 2202*x^10 - 8139*x^9 - 222*x^8 + 8853*x^7 + 3187*x^6 - 4483*x^5 - 2680*x^4 + 677*x^3 + 688*x^2 + 99*x + 2, x^19 + 6*x^18 - 6*x^17 - 97*x^16 - 74*x^15 + 603*x^14 + 902*x^13 - 1769*x^12 - 3846*x^11 + 2202*x^10 + 8139*x^9 + 222*x^8 - 8853*x^7 - 3187*x^6 + 4483*x^5 + 2680*x^4 - 677*x^3 - 688*x^2 - 99*x - 2, -x^19 - 6*x^18 + 5*x^17 + 88*x^16 + 60*x^15 - 514*x^14 - 619*x^13 + 1538*x^12 + 2240*x^11 - 2598*x^10 - 3950*x^9 + 2773*x^8 + 3594*x^7 - 2206*x^6 - 1731*x^5 + 1284*x^4 + 534*x^3 - 347*x^2 - 120*x - 3, x^19 + 6*x^18 - 5*x^17 - 88*x^16 - 60*x^15 + 514*x^14 + 619*x^13 - 1538*x^12 - 2240*x^11 + 2598*x^10 + 3950*x^9 - 2773*x^8 - 3594*x^7 + 2206*x^6 + 1731*x^5 - 1284*x^4 - 534*x^3 + 347*x^2 + 120*x + 3, -x^19 - 6*x^18 + 6*x^17 + 94*x^16 + 57*x^15 - 595*x^14 - 704*x^13 + 1942*x^12 + 2949*x^11 - 3463*x^10 - 6148*x^9 + 3335*x^8 + 6647*x^7 - 1754*x^6 - 3547*x^5 + 660*x^4 + 888*x^3 - 170*x^2 - 106*x - 3, x^19 + 6*x^18 - 6*x^17 - 94*x^16 - 57*x^15 + 595*x^14 + 704*x^13 - 1942*x^12 - 2949*x^11 + 3463*x^10 + 6148*x^9 - 3335*x^8 - 6647*x^7 + 1754*x^6 + 3547*x^5 - 660*x^4 - 888*x^3 + 170*x^2 + 106*x + 3, -x^19 - 6*x^18 + 5*x^17 + 90*x^16 + 69*x^15 - 533*x^14 - 742*x^13 + 1588*x^12 + 2946*x^11 - 2488*x^10 - 6088*x^9 + 1769*x^8 + 7006*x^7 + 217*x^6 - 4199*x^5 - 1156*x^4 + 890*x^3 + 487*x^2 + 84*x + 2, x^19 + 6*x^18 - 5*x^17 - 90*x^16 - 69*x^15 + 533*x^14 + 742*x^13 - 1588*x^12 - 2946*x^11 + 2488*x^10 + 6088*x^9 - 1769*x^8 - 7006*x^7 - 217*x^6 + 4199*x^5 + 1156*x^4 - 890*x^3 - 487*x^2 - 84*x - 2, -x^19 - 4*x^18 + 18*x^17 + 87*x^16 - 105*x^15 - 740*x^14 + 139*x^13 + 3215*x^12 + 875*x^11 - 7724*x^10 - 3940*x^9 + 10275*x^8 + 6557*x^7 - 7031*x^6 - 4980*x^5 + 1932*x^4 + 1474*x^3 - 18*x^2 - 43*x - 1, x^19 + 4*x^18 - 18*x^17 - 87*x^16 + 105*x^15 + 740*x^14 - 139*x^13 - 3215*x^12 - 875*x^11 + 7724*x^10 + 3940*x^9 - 10275*x^8 - 6557*x^7 + 7031*x^6 + 4980*x^5 - 1932*x^4 - 1474*x^3 + 18*x^2 + 43*x + 1, -x^18 - 5*x^17 + 11*x^16 + 86*x^15 - 12*x^14 - 591*x^13 - 311*x^12 + 2080*x^11 + 1766*x^10 - 3968*x^9 - 4171*x^8 + 3949*x^7 + 4904*x^6 - 1717*x^5 - 2766*x^4 + 86*x^3 + 591*x^2 + 97*x + 2, x^18 + 5*x^17 - 11*x^16 - 86*x^15 + 12*x^14 + 591*x^13 + 311*x^12 - 2080*x^11 - 1766*x^10 + 3968*x^9 + 4171*x^8 - 3949*x^7 - 4904*x^6 + 1717*x^5 + 2766*x^4 - 86*x^3 - 591*x^2 - 97*x - 2, -x^18 - 5*x^17 + 7*x^16 + 65*x^15 + 7*x^14 - 338*x^13 - 163*x^12 + 951*x^11 + 486*x^10 - 1687*x^9 - 660*x^8 + 1994*x^7 + 548*x^6 - 1453*x^5 - 351*x^4 + 513*x^3 + 126*x^2 - 44*x - 1, x^18 + 5*x^17 - 7*x^16 - 65*x^15 - 7*x^14 + 338*x^13 + 163*x^12 - 951*x^11 - 486*x^10 + 1687*x^9 + 660*x^8 - 1994*x^7 - 548*x^6 + 1453*x^5 + 351*x^4 - 513*x^3 - 126*x^2 + 44*x + 1, -x^18 - 6*x^17 + 2*x^16 + 70*x^15 + 63*x^14 - 320*x^13 - 419*x^12 + 753*x^11 + 1087*x^10 - 1059*x^9 - 1385*x^8 + 1066*x^7 + 983*x^6 - 797*x^5 - 480*x^4 + 310*x^3 + 134*x^2 - 30*x - 1, x^18 + 6*x^17 - 2*x^16 - 70*x^15 - 63*x^14 + 320*x^13 + 419*x^12 - 753*x^11 - 1087*x^10 + 1059*x^9 + 1385*x^8 - 1066*x^7 - 983*x^6 + 797*x^5 + 480*x^4 - 310*x^3 - 134*x^2 + 30*x + 1, -2*x^18 - 13*x^17 + 2*x^16 + 170*x^15 + 215*x^14 - 840*x^13 - 1661*x^12 + 1882*x^11 + 5354*x^10 - 1601*x^9 - 8705*x^8 - 516*x^7 + 7221*x^6 + 1591*x^5 - 2780*x^4 - 746*x^3 + 364*x^2 + 78*x + 2, 2*x^18 + 13*x^17 - 2*x^16 - 170*x^15 - 215*x^14 + 840*x^13 + 1661*x^12 - 1882*x^11 - 5354*x^10 + 1601*x^9 + 8705*x^8 + 516*x^7 - 7221*x^6 - 1591*x^5 + 2780*x^4 + 746*x^3 - 364*x^2 - 78*x - 2, -x^18 - 5*x^17 + 9*x^16 + 74*x^15 - 6*x^14 - 445*x^13 - 202*x^12 + 1379*x^11 + 949*x^10 - 2280*x^9 - 1832*x^8 + 1828*x^7 + 1602*x^6 - 462*x^5 - 500*x^4 - 99*x^3 + 7*x^2 + 34*x + 1, x^18 + 5*x^17 - 9*x^16 - 74*x^15 + 6*x^14 + 445*x^13 + 202*x^12 - 1379*x^11 - 949*x^10 + 2280*x^9 + 1832*x^8 - 1828*x^7 - 1602*x^6 + 462*x^5 + 500*x^4 + 99*x^3 - 7*x^2 - 34*x - 1, -x^18 - 8*x^17 - 8*x^16 + 86*x^15 + 207*x^14 - 300*x^13 - 1244*x^12 + 168*x^11 + 3485*x^10 + 1333*x^9 - 5058*x^8 - 3379*x^7 + 3580*x^6 + 3150*x^5 - 874*x^4 - 1060*x^3 - 62*x^2 + 38*x + 1, x^18 + 8*x^17 + 8*x^16 - 86*x^15 - 207*x^14 + 300*x^13 + 1244*x^12 - 168*x^11 - 3485*x^10 - 1333*x^9 + 5058*x^8 + 3379*x^7 - 3580*x^6 - 3150*x^5 + 874*x^4 + 1060*x^3 + 62*x^2 - 38*x - 1, -x^18 - 4*x^17 + 11*x^16 + 52*x^15 - 52*x^14 - 259*x^13 + 212*x^12 + 640*x^11 - 860*x^10 - 912*x^9 + 2174*x^8 + 936*x^7 - 2691*x^6 - 719*x^5 + 1408*x^4 + 244*x^3 - 229*x^2 - x, x^18 + 4*x^17 - 11*x^16 - 52*x^15 + 52*x^14 + 259*x^13 - 212*x^12 - 640*x^11 + 860*x^10 + 912*x^9 - 2174*x^8 - 936*x^7 + 2691*x^6 + 719*x^5 - 1408*x^4 - 244*x^3 + 229*x^2 + x, x^17 + 7*x^16 + 8*x^15 - 50*x^14 - 143*x^13 + 20*x^12 + 532*x^11 + 593*x^10 - 529*x^9 - 1632*x^8 - 606*x^7 + 1485*x^6 + 1334*x^5 - 285*x^4 - 580*x^3 - 106*x^2 + 22*x + 1, -x^17 - 7*x^16 - 8*x^15 + 50*x^14 + 143*x^13 - 20*x^12 - 532*x^11 - 593*x^10 + 529*x^9 + 1632*x^8 + 606*x^7 - 1485*x^6 - 1334*x^5 + 285*x^4 + 580*x^3 + 106*x^2 - 22*x - 1, -x^18 - 2*x^17 + 27*x^16 + 69*x^15 - 222*x^14 - 695*x^13 + 736*x^12 + 3166*x^11 - 716*x^10 - 7350*x^9 - 1341*x^8 + 8761*x^7 + 3627*x^6 - 4888*x^5 - 2808*x^4 + 875*x^3 + 717*x^2 + 85*x + 2, x^18 + 2*x^17 - 27*x^16 - 69*x^15 + 222*x^14 + 695*x^13 - 736*x^12 - 3166*x^11 + 716*x^10 + 7350*x^9 + 1341*x^8 - 8761*x^7 - 3627*x^6 + 4888*x^5 + 2808*x^4 - 875*x^3 - 717*x^2 - 85*x - 2, -x^17 - 5*x^16 + 2*x^15 + 43*x^14 + 44*x^13 - 82*x^12 - 194*x^11 - 201*x^10 + 129*x^9 + 875*x^8 + 456*x^7 - 1013*x^6 - 756*x^5 + 385*x^4 + 324*x^3 - 15*x^2 - 15*x, x^17 + 5*x^16 - 2*x^15 - 43*x^14 - 44*x^13 + 82*x^12 + 194*x^11 + 201*x^10 - 129*x^9 - 875*x^8 - 456*x^7 + 1013*x^6 + 756*x^5 - 385*x^4 - 324*x^3 + 15*x^2 + 15*x, -2*x^17 - 11*x^16 + 11*x^15 + 144*x^14 + 57*x^13 - 765*x^12 - 621*x^11 + 2132*x^10 + 2036*x^9 - 3339*x^8 - 3217*x^7 + 2894*x^6 + 2585*x^5 - 1259*x^4 - 980*x^3 + 211*x^2 + 141*x + 4, 2*x^17 + 11*x^16 - 11*x^15 - 144*x^14 - 57*x^13 + 765*x^12 + 621*x^11 - 2132*x^10 - 2036*x^9 + 3339*x^8 + 3217*x^7 - 2894*x^6 - 2585*x^5 + 1259*x^4 + 980*x^3 - 211*x^2 - 141*x - 4, -x^17 - 10*x^16 - 20*x^15 + 80*x^14 + 300*x^13 - 113*x^12 - 1346*x^11 - 558*x^10 + 2691*x^9 + 1991*x^8 - 2551*x^7 - 2317*x^6 + 1082*x^5 + 1060*x^4 - 204*x^3 - 156*x^2 + 29*x + 1, x^17 + 10*x^16 + 20*x^15 - 80*x^14 - 300*x^13 + 113*x^12 + 1346*x^11 + 558*x^10 - 2691*x^9 - 1991*x^8 + 2551*x^7 + 2317*x^6 - 1082*x^5 - 1060*x^4 + 204*x^3 + 156*x^2 - 29*x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^28 - 3*x^27 - 38*x^26 + 117*x^25 + 628*x^24 - 1999*x^23 - 5924*x^22 + 19702*x^21 + 35142*x^20 - 124104*x^19 - 135757*x^18 + 522790*x^17 + 339580*x^16 - 1496649*x^15 - 517913*x^14 + 2898195*x^13 + 380619*x^12 - 3703320*x^11 + 86506*x^10 + 2969259*x^9 - 402519*x^8 - 1363286*x^7 + 298018*x^6 + 300140*x^5 - 86850*x^4 - 19337*x^3 + 7006*x^2 - 285*x - 23,
           Coordinates        := [-x^27 + 3*x^26 + 35*x^25 - 108*x^24 - 529*x^23 + 1695*x^22 + 4517*x^21 - 15249*x^20 - 23873*x^19 + 86953*x^18 + 80004*x^17 - 327961*x^16 - 164718*x^15 + 828386*x^14 + 178601*x^13 - 1387261*x^12 - 17440*x^11 + 1490063*x^10 - 197376*x^9 - 961800*x^8 + 225003*x^7 + 330282*x^6 - 99421*x^5 - 47094*x^4 + 16401*x^3 + 1503*x^2 - 733*x + 50, x^27 - 3*x^26 - 35*x^25 + 108*x^24 + 529*x^23 - 1699*x^22 - 4505*x^21 + 15353*x^20 + 23543*x^19 - 88053*x^18 - 76220*x^17 + 334045*x^16 + 141040*x^15 - 846850*x^14 - 90081*x^13 + 1414737*x^12 - 185364*x^11 - 1494497*x^10 + 477278*x^9 + 916760*x^8 - 443407*x^7 - 270124*x^6 + 182983*x^5 + 18056*x^4 - 27185*x^3 + 3185*x^2 + 477*x - 60, x^26 - 3*x^25 - 33*x^24 + 96*x^23 + 485*x^22 - 1337*x^21 - 4219*x^20 + 10699*x^19 + 24233*x^18 - 54677*x^17 - 96332*x^16 + 187489*x^15 + 267786*x^14 - 440360*x^13 - 510797*x^12 + 707391*x^11 + 637048*x^10 - 756911*x^9 - 475350*x^8 + 507008*x^7 + 178289*x^6 - 188644*x^5 - 19235*x^4 + 30752*x^3 - 2693*x^2 - 825*x + 95, 2*x^23 - 6*x^22 - 54*x^21 + 172*x^20 + 588*x^19 - 2050*x^18 - 3256*x^17 + 13206*x^16 + 9062*x^15 - 49834*x^14 - 7218*x^13 + 110796*x^12 - 25980*x^11 - 135852*x^10 + 77594*x^9 + 71548*x^8 - 81524*x^7 + 7292*x^6 + 33930*x^5 - 17736*x^4 - 3374*x^3 + 3202*x^2 - 294*x - 2, -3*x^26 + 9*x^25 + 99*x^24 - 304*x^23 - 1407*x^22 + 4453*x^21 + 11269*x^20 - 37151*x^19 - 55753*x^18 + 194829*x^17 + 174862*x^16 - 668263*x^15 - 339312*x^14 + 1510934*x^13 + 363179*x^12 - 2213257*x^11 - 110870*x^10 + 2007459*x^9 - 177516*x^8 - 1033004*x^7 + 198597*x^6 + 253046*x^5 - 70449*x^4 - 17834*x^3 + 6273*x^2 - 235*x - 23, 2*x^22 - 6*x^21 - 52*x^20 + 172*x^19 + 530*x^18 - 2032*x^17 - 2598*x^16 + 12854*x^15 + 5338*x^14 - 47138*x^13 + 3504*x^12 + 100742*x^11 - 38100*x^10 - 118188*x^9 + 68456*x^8 + 63534*x^7 - 46738*x^6 - 6864*x^5 + 7798*x^4 - 2404*x^3 + 1908*x^2 - 650*x + 56, -3*x^25 + 10*x^24 + 90*x^23 - 316*x^22 - 1141*x^21 + 4298*x^20 + 7933*x^19 - 33015*x^18 - 32575*x^17 + 157810*x^16 + 77421*x^15 - 487112*x^14 - 86312*x^13 + 974263*x^12 - 29275*x^11 - 1231365*x^10 + 207306*x^9 + 926198*x^8 - 238206*x^7 - 368900*x^6 + 113907*x^5 + 61724*x^4 - 21465*x^3 - 2372*x^2 + 1088*x - 75, -3*x^25 + 10*x^24 + 90*x^23 - 316*x^22 - 1141*x^21 + 4298*x^20 + 7933*x^19 - 33015*x^18 - 32575*x^17 + 157810*x^16 + 77421*x^15 - 487112*x^14 - 86312*x^13 + 974263*x^12 - 29275*x^11 - 1231365*x^10 + 207306*x^9 + 926198*x^8 - 238206*x^7 - 368900*x^6 + 113907*x^5 + 61724*x^4 - 21465*x^3 - 2372*x^2 + 1088*x - 75, -3*x^24 + 10*x^23 + 85*x^22 - 298*x^21 - 1009*x^20 + 3791*x^19 + 6490*x^18 - 26963*x^17 - 24163*x^16 + 117778*x^15 + 49755*x^14 - 326313*x^13 - 38781*x^12 + 570686*x^11 - 50617*x^10 - 604947*x^9 + 144186*x^8 + 353256*x^7 - 125430*x^6 - 90213*x^5 + 42636*x^4 + 3216*x^3 - 3180*x^2 + 351*x - 7, -3*x^24 + 10*x^23 + 85*x^22 - 298*x^21 - 1009*x^20 + 3791*x^19 + 6490*x^18 - 26963*x^17 - 24163*x^16 + 117778*x^15 + 49755*x^14 - 326313*x^13 - 38781*x^12 + 570686*x^11 - 50617*x^10 - 604947*x^9 + 144186*x^8 + 353256*x^7 - 125430*x^6 - 90213*x^5 + 42636*x^4 + 3216*x^3 - 3180*x^2 + 351*x - 7, x^25 - 6*x^24 - 22*x^23 + 181*x^22 + 143*x^21 - 2327*x^20 + 345*x^19 + 16688*x^18 - 10056*x^17 - 73278*x^16 + 63373*x^15 + 203245*x^14 - 210358*x^13 - 353673*x^12 + 411206*x^11 + 368793*x^10 - 476314*x^9 - 204876*x^8 + 310848*x^7 + 40740*x^6 - 101109*x^5 + 6348*x^4 + 12246*x^3 - 2005*x^2 - 191*x + 30, x^25 - 6*x^24 - 22*x^23 + 181*x^22 + 143*x^21 - 2327*x^20 + 345*x^19 + 16688*x^18 - 10056*x^17 - 73278*x^16 + 63373*x^15 + 203245*x^14 - 210358*x^13 - 353673*x^12 + 411206*x^11 + 368793*x^10 - 476314*x^9 - 204876*x^8 + 310848*x^7 + 40740*x^6 - 101109*x^5 + 6348*x^4 + 12246*x^3 - 2005*x^2 - 191*x + 30, -2*x^23 + 7*x^22 + 53*x^21 - 196*x^20 - 585*x^19 + 2329*x^18 + 3476*x^17 - 15359*x^16 - 11887*x^15 + 61651*x^14 + 22561*x^13 - 155330*x^12 - 17872*x^11 + 244399*x^10 - 10814*x^9 - 231467*x^8 + 33825*x^7 + 121822*x^6 - 25952*x^5 - 29900*x^4 + 7815*x^3 + 1956*x^2 - 534*x + 32, -2*x^23 + 7*x^22 + 53*x^21 - 196*x^20 - 585*x^19 + 2329*x^18 + 3476*x^17 - 15359*x^16 - 11887*x^15 + 61651*x^14 + 22561*x^13 - 155330*x^12 - 17872*x^11 + 244399*x^10 - 10814*x^9 - 231467*x^8 + 33825*x^7 + 121822*x^6 - 25952*x^5 - 29900*x^4 + 7815*x^3 + 1956*x^2 - 534*x + 32, -3*x^23 + 11*x^22 + 79*x^21 - 311*x^20 - 858*x^19 + 3723*x^18 + 4936*x^17 - 24673*x^16 - 15779*x^15 + 99148*x^14 + 24970*x^13 - 248247*x^12 - 3470*x^11 + 382019*x^10 - 52306*x^9 - 341475*x^8 + 78951*x^7 + 156865*x^6 - 45319*x^5 - 28608*x^4 + 10470*x^3 + 767*x^2 - 561*x + 43, -3*x^23 + 11*x^22 + 79*x^21 - 311*x^20 - 858*x^19 + 3723*x^18 + 4936*x^17 - 24673*x^16 - 15779*x^15 + 99148*x^14 + 24970*x^13 - 248247*x^12 - 3470*x^11 + 382019*x^10 - 52306*x^9 - 341475*x^8 + 78951*x^7 + 156865*x^6 - 45319*x^5 - 28608*x^4 + 10470*x^3 + 767*x^2 - 561*x + 43, x^24 - 5*x^23 - 26*x^22 + 151*x^21 + 266*x^20 - 1944*x^19 - 1274*x^18 + 13974*x^17 + 1895*x^16 - 61665*x^15 + 8968*x^14 + 172999*x^13 - 52260*x^12 - 309323*x^11 + 118003*x^10 + 344729*x^9 - 140000*x^8 - 228062*x^7 + 89502*x^6 + 81085*x^5 - 30243*x^4 - 11292*x^3 + 4874*x^2 - 233*x - 20, x^24 - 5*x^23 - 26*x^22 + 151*x^21 + 266*x^20 - 1944*x^19 - 1274*x^18 + 13974*x^17 + 1895*x^16 - 61665*x^15 + 8968*x^14 + 172999*x^13 - 52260*x^12 - 309323*x^11 + 118003*x^10 + 344729*x^9 - 140000*x^8 - 228062*x^7 + 89502*x^6 + 81085*x^5 - 30243*x^4 - 11292*x^3 + 4874*x^2 - 233*x - 20, -x^22 + 5*x^21 + 23*x^20 - 134*x^19 - 210*x^18 + 1527*x^17 + 912*x^16 - 9644*x^15 - 1325*x^14 + 36750*x^13 - 4537*x^12 - 85850*x^11 + 24699*x^10 + 118750*x^9 - 47056*x^8 - 88005*x^7 + 40750*x^6 + 27596*x^5 - 12823*x^4 - 2163*x^3 + 193*x^2 + 476*x - 57, -x^22 + 5*x^21 + 23*x^20 - 134*x^19 - 210*x^18 + 1527*x^17 + 912*x^16 - 9644*x^15 - 1325*x^14 + 36750*x^13 - 4537*x^12 - 85850*x^11 + 24699*x^10 + 118750*x^9 - 47056*x^8 - 88005*x^7 + 40750*x^6 + 27596*x^5 - 12823*x^4 - 2163*x^3 + 193*x^2 + 476*x - 57, x^24 - 3*x^23 - 31*x^22 + 97*x^21 + 401*x^20 - 1328*x^19 - 2804*x^18 + 10077*x^17 + 11364*x^16 - 46483*x^15 - 25869*x^14 + 134233*x^13 + 25446*x^12 - 240437*x^11 + 15104*x^10 + 254730*x^9 - 63305*x^8 - 143429*x^7 + 58728*x^6 + 32717*x^5 - 21998*x^4 + 903*x^3 + 2453*x^2 - 795*x + 64, x^24 - 3*x^23 - 31*x^22 + 97*x^21 + 401*x^20 - 1328*x^19 - 2804*x^18 + 10077*x^17 + 11364*x^16 - 46483*x^15 - 25869*x^14 + 134233*x^13 + 25446*x^12 - 240437*x^11 + 15104*x^10 + 254730*x^9 - 63305*x^8 - 143429*x^7 + 58728*x^6 + 32717*x^5 - 21998*x^4 + 903*x^3 + 2453*x^2 - 795*x + 64, x^23 - 5*x^22 - 18*x^21 + 131*x^20 + 55*x^19 - 1408*x^18 + 1038*x^17 + 7952*x^16 - 11753*x^15 - 24595*x^14 + 55689*x^13 + 36202*x^12 - 143681*x^11 + 1018*x^10 + 206056*x^9 - 80615*x^8 - 149056*x^7 + 102005*x^6 + 37330*x^5 - 43985*x^4 + 4321*x^3 + 4402*x^2 - 1208*x + 80, x^23 - 5*x^22 - 18*x^21 + 131*x^20 + 55*x^19 - 1408*x^18 + 1038*x^17 + 7952*x^16 - 11753*x^15 - 24595*x^14 + 55689*x^13 + 36202*x^12 - 143681*x^11 + 1018*x^10 + 206056*x^9 - 80615*x^8 - 149056*x^7 + 102005*x^6 + 37330*x^5 - 43985*x^4 + 4321*x^3 + 4402*x^2 - 1208*x + 80, -x^22 + 5*x^21 + 20*x^20 - 123*x^19 - 146*x^18 + 1252*x^17 + 432*x^16 - 6877*x^15 - 190*x^14 + 22377*x^13 - 891*x^12 - 44986*x^11 - 2707*x^10 + 57416*x^9 + 15380*x^8 - 47335*x^7 - 21894*x^6 + 24275*x^5 + 11819*x^4 - 6770*x^3 - 1783*x^2 + 900*x - 73, -x^22 + 5*x^21 + 20*x^20 - 123*x^19 - 146*x^18 + 1252*x^17 + 432*x^16 - 6877*x^15 - 190*x^14 + 22377*x^13 - 891*x^12 - 44986*x^11 - 2707*x^10 + 57416*x^9 + 15380*x^8 - 47335*x^7 - 21894*x^6 + 24275*x^5 + 11819*x^4 - 6770*x^3 - 1783*x^2 + 900*x - 73, x^23 - 4*x^22 - 28*x^21 + 117*x^20 + 325*x^19 - 1440*x^18 - 2023*x^17 + 9718*x^16 + 7260*x^15 - 39214*x^14 - 14901*x^13 + 96610*x^12 + 16120*x^11 - 142067*x^10 - 8415*x^9 + 116814*x^8 + 6716*x^7 - 49157*x^6 - 10219*x^5 + 12603*x^4 + 3920*x^3 - 3102*x^2 + 404*x - 10, x^23 - 4*x^22 - 28*x^21 + 117*x^20 + 325*x^19 - 1440*x^18 - 2023*x^17 + 9718*x^16 + 7260*x^15 - 39214*x^14 - 14901*x^13 + 96610*x^12 + 16120*x^11 - 142067*x^10 - 8415*x^9 + 116814*x^8 + 6716*x^7 - 49157*x^6 - 10219*x^5 + 12603*x^4 + 3920*x^3 - 3102*x^2 + 404*x - 10, x^21 - 29*x^19 + 9*x^18 + 329*x^17 - 176*x^16 - 1862*x^15 + 1348*x^14 + 5361*x^13 - 5027*x^12 - 6060*x^11 + 8832*x^10 - 4569*x^9 - 4007*x^8 + 17393*x^7 - 7078*x^6 - 13066*x^5 + 7666*x^4 + 2641*x^3 - 1926*x^2 + 175*x + 1, x^21 - 29*x^19 + 9*x^18 + 329*x^17 - 176*x^16 - 1862*x^15 + 1348*x^14 + 5361*x^13 - 5027*x^12 - 6060*x^11 + 8832*x^10 - 4569*x^9 - 4007*x^8 + 17393*x^7 - 7078*x^6 - 13066*x^5 + 7666*x^4 + 2641*x^3 - 1926*x^2 + 175*x + 1, x^23 - 2*x^22 - 31*x^21 + 62*x^20 + 404*x^19 - 811*x^18 - 2893*x^17 + 5891*x^16 + 12424*x^15 - 26249*x^14 - 32459*x^13 + 74507*x^12 + 48631*x^11 - 134481*x^10 - 31673*x^9 + 147469*x^8 - 10468*x^7 - 87148*x^6 + 26195*x^5 + 20071*x^4 - 10263*x^3 + 446*x^2 + 302*x - 33, x^23 - 2*x^22 - 31*x^21 + 62*x^20 + 404*x^19 - 811*x^18 - 2893*x^17 + 5891*x^16 + 12424*x^15 - 26249*x^14 - 32459*x^13 + 74507*x^12 + 48631*x^11 - 134481*x^10 - 31673*x^9 + 147469*x^8 - 10468*x^7 - 87148*x^6 + 26195*x^5 + 20071*x^4 - 10263*x^3 + 446*x^2 + 302*x - 33, x^25 - 3*x^24 - 31*x^23 + 96*x^22 + 408*x^21 - 1320*x^20 - 2969*x^19 + 10237*x^18 + 12955*x^17 - 49338*x^16 - 33910*x^15 + 153328*x^14 + 47876*x^13 - 308349*x^12 - 16889*x^11 + 391982*x^10 - 50187*x^9 - 298196*x^8 + 78936*x^7 + 121527*x^6 - 47600*x^5 - 19439*x^4 + 11866*x^3 - 409*x^2 - 566*x + 54, x^25 - 3*x^24 - 31*x^23 + 96*x^22 + 408*x^21 - 1320*x^20 - 2969*x^19 + 10237*x^18 + 12955*x^17 - 49338*x^16 - 33910*x^15 + 153328*x^14 + 47876*x^13 - 308349*x^12 - 16889*x^11 + 391982*x^10 - 50187*x^9 - 298196*x^8 + 78936*x^7 + 121527*x^6 - 47600*x^5 - 19439*x^4 + 11866*x^3 - 409*x^2 - 566*x + 54, 2*x^23 - 6*x^22 - 60*x^21 + 188*x^20 + 750*x^19 - 2489*x^18 - 5067*x^17 + 18214*x^16 + 19928*x^15 - 80746*x^14 - 44991*x^13 + 223242*x^12 + 49865*x^11 - 381651*x^10 - 2304*x^9 + 386234*x^8 - 54033*x^7 - 210632*x^6 + 51554*x^5 + 50242*x^4 - 17228*x^3 - 2342*x^2 + 1164*x - 86, 2*x^23 - 6*x^22 - 60*x^21 + 188*x^20 + 750*x^19 - 2489*x^18 - 5067*x^17 + 18214*x^16 + 19928*x^15 - 80746*x^14 - 44991*x^13 + 223242*x^12 + 49865*x^11 - 381651*x^10 - 2304*x^9 + 386234*x^8 - 54033*x^7 - 210632*x^6 + 51554*x^5 + 50242*x^4 - 17228*x^3 - 2342*x^2 + 1164*x - 86, x^23 - x^22 - 34*x^21 + 37*x^20 + 488*x^19 - 568*x^18 - 3869*x^17 + 4788*x^16 + 18570*x^15 - 24527*x^14 - 55400*x^13 + 79256*x^12 + 100716*x^11 - 161262*x^10 - 102397*x^9 + 198527*x^8 + 42922*x^7 - 134255*x^6 + 8084*x^5 + 39978*x^4 - 9593*x^3 - 2469*x^2 + 832*x - 52, x^23 - x^22 - 34*x^21 + 37*x^20 + 488*x^19 - 568*x^18 - 3869*x^17 + 4788*x^16 + 18570*x^15 - 24527*x^14 - 55400*x^13 + 79256*x^12 + 100716*x^11 - 161262*x^10 - 102397*x^9 + 198527*x^8 + 42922*x^7 - 134255*x^6 + 8084*x^5 + 39978*x^4 - 9593*x^3 - 2469*x^2 + 832*x - 52, x^24 - 3*x^23 - 28*x^22 + 86*x^21 + 329*x^20 - 1038*x^19 - 2117*x^18 + 6885*x^17 + 8132*x^16 - 27386*x^15 - 18932*x^14 + 66632*x^13 + 25310*x^12 - 96228*x^11 - 14701*x^10 + 74088*x^9 - 6108*x^8 - 19868*x^7 + 14720*x^6 - 6750*x^5 - 7049*x^4 + 3525*x^3 + 494*x^2 - 191*x + 9, x^24 - 3*x^23 - 28*x^22 + 86*x^21 + 329*x^20 - 1038*x^19 - 2117*x^18 + 6885*x^17 + 8132*x^16 - 27386*x^15 - 18932*x^14 + 66632*x^13 + 25310*x^12 - 96228*x^11 - 14701*x^10 + 74088*x^9 - 6108*x^8 - 19868*x^7 + 14720*x^6 - 6750*x^5 - 7049*x^4 + 3525*x^3 + 494*x^2 - 191*x + 9, x^21 - 38*x^19 + 18*x^18 + 563*x^17 - 418*x^16 - 4339*x^15 + 3975*x^14 + 19130*x^13 - 19981*x^12 - 49102*x^11 + 57048*x^10 + 69990*x^9 - 92094*x^8 - 46812*x^7 + 78042*x^6 + 5584*x^5 - 28404*x^4 + 4975*x^3 + 2475*x^2 - 676*x + 43, x^21 - 38*x^19 + 18*x^18 + 563*x^17 - 418*x^16 - 4339*x^15 + 3975*x^14 + 19130*x^13 - 19981*x^12 - 49102*x^11 + 57048*x^10 + 69990*x^9 - 92094*x^8 - 46812*x^7 + 78042*x^6 + 5584*x^5 - 28404*x^4 + 4975*x^3 + 2475*x^2 - 676*x + 43, x^26 - 3*x^25 - 33*x^24 + 102*x^23 + 467*x^22 - 1506*x^21 - 3690*x^20 + 12676*x^19 + 17652*x^18 - 67034*x^17 - 51104*x^16 + 231155*x^15 + 80023*x^14 - 521549*x^13 - 27593*x^12 + 750716*x^11 - 123138*x^10 - 647794*x^9 + 217231*x^8 + 293077*x^7 - 146662*x^6 - 46720*x^5 + 39450*x^4 - 4115*x^3 - 1918*x^2 + 525*x - 36, x^26 - 3*x^25 - 33*x^24 + 102*x^23 + 467*x^22 - 1506*x^21 - 3690*x^20 + 12676*x^19 + 17652*x^18 - 67034*x^17 - 51104*x^16 + 231155*x^15 + 80023*x^14 - 521549*x^13 - 27593*x^12 + 750716*x^11 - 123138*x^10 - 647794*x^9 + 217231*x^8 + 293077*x^7 - 146662*x^6 - 46720*x^5 + 39450*x^4 - 4115*x^3 - 1918*x^2 + 525*x - 36, 2*x^22 - 6*x^21 - 58*x^20 + 179*x^19 + 691*x^18 - 2233*x^17 - 4353*x^16 + 15191*x^15 + 15345*x^14 - 61488*x^13 - 28230*x^12 + 151136*x^11 + 15649*x^10 - 219500*x^9 + 29902*x^8 + 172189*x^7 - 50564*x^6 - 58263*x^5 + 21560*x^4 + 4270*x^3 - 1368*x^2 - 181*x + 30, 2*x^22 - 6*x^21 - 58*x^20 + 179*x^19 + 691*x^18 - 2233*x^17 - 4353*x^16 + 15191*x^15 + 15345*x^14 - 61488*x^13 - 28230*x^12 + 151136*x^11 + 15649*x^10 - 219500*x^9 + 29902*x^8 + 172189*x^7 - 50564*x^6 - 58263*x^5 + 21560*x^4 + 4270*x^3 - 1368*x^2 - 181*x + 30, x^24 - 2*x^23 - 32*x^22 + 63*x^21 + 439*x^20 - 856*x^19 - 3374*x^18 + 6597*x^17 + 15865*x^16 - 31796*x^15 - 46479*x^14 + 99245*x^13 + 81398*x^12 - 199767*x^11 - 72021*x^10 + 248219*x^9 + 6686*x^8 - 171332*x^7 + 36009*x^6 + 50738*x^5 - 19000*x^4 - 1661*x^3 + 1477*x^2 - 328*x + 27, x^24 - 2*x^23 - 32*x^22 + 63*x^21 + 439*x^20 - 856*x^19 - 3374*x^18 + 6597*x^17 + 15865*x^16 - 31796*x^15 - 46479*x^14 + 99245*x^13 + 81398*x^12 - 199767*x^11 - 72021*x^10 + 248219*x^9 + 6686*x^8 - 171332*x^7 + 36009*x^6 + 50738*x^5 - 19000*x^4 - 1661*x^3 + 1477*x^2 - 328*x + 27, x^24 - 3*x^23 - 28*x^22 + 89*x^21 + 320*x^20 - 1111*x^19 - 1893*x^18 + 7619*x^17 + 5830*x^16 - 31344*x^15 - 6278*x^14 + 78967*x^13 - 14742*x^12 - 118297*x^11 + 57847*x^10 + 94868*x^9 - 74990*x^8 - 28121*x^7 + 40334*x^6 - 5436*x^5 - 5586*x^4 + 2803*x^3 - 1101*x^2 + 324*x - 28, x^24 - 3*x^23 - 28*x^22 + 89*x^21 + 320*x^20 - 1111*x^19 - 1893*x^18 + 7619*x^17 + 5830*x^16 - 31344*x^15 - 6278*x^14 + 78967*x^13 - 14742*x^12 - 118297*x^11 + 57847*x^10 + 94868*x^9 - 74990*x^8 - 28121*x^7 + 40334*x^6 - 5436*x^5 - 5586*x^4 + 2803*x^3 - 1101*x^2 + 324*x - 28, x^25 - 3*x^24 - 31*x^23 + 97*x^22 + 407*x^21 - 1357*x^20 - 2922*x^19 + 10782*x^18 + 12161*x^17 - 53552*x^16 - 27107*x^15 + 171973*x^14 + 14612*x^13 - 355672*x^12 + 79115*x^11 + 454721*x^10 - 209860*x^9 - 325487*x^8 + 217809*x^7 + 101877*x^6 - 95933*x^5 - 2732*x^4 + 13401*x^3 - 2251*x^2 + 53*x + 6, x^25 - 3*x^24 - 31*x^23 + 97*x^22 + 407*x^21 - 1357*x^20 - 2922*x^19 + 10782*x^18 + 12161*x^17 - 53552*x^16 - 27107*x^15 + 171973*x^14 + 14612*x^13 - 355672*x^12 + 79115*x^11 + 454721*x^10 - 209860*x^9 - 325487*x^8 + 217809*x^7 + 101877*x^6 - 95933*x^5 - 2732*x^4 + 13401*x^3 - 2251*x^2 + 53*x + 6]>
       ]
>;

MOG[619] := 	// J_0(619)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [29, 31, 47, 218, 222, 280, 339, 403, 459, 490, 222*x + 152, 397*x + 152, 429*x + 610, 190*x + 610, 417*x + 366, 202*x + 366, 559*x + 162, 60*x + 162, 599*x + 61, 20*x + 61, 236*x + 23, 383*x + 23, 23*x + 383, 596*x + 383, 190*x + 167, 429*x + 167, 96*x + 359, 523*x + 359, 88*x + 148, 531*x + 148, 252*x + 291, 367*x + 291, 482*x + 175, 137*x + 175, 603*x + 431, 16*x + 431, 396*x + 152, 223*x + 152, 186*x + 333, 433*x + 333, 588*x + 414, 31*x + 414, 95*x + 277, 524*x + 277, 19*x + 300, 600*x + 300, 44*x, 575*x, 488*x + 145, 131*x + 145, 14*x + 384, 605*x + 384]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^21 + 9*x^20 + 12*x^19 - 116*x^18 - 371*x^17 + 385*x^16 + 2789*x^15 + 957*x^14 - 9722*x^13 - 9809*x^12 + 16968*x^11 + 27508*x^10 - 12214*x^9 - 37037*x^8 - 2648*x^7 + 24373*x^6 + 8158*x^5 - 6740*x^4 - 3106*x^3 + 651*x^2 + 272*x - 43,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^20 - 9*x^19 - 14*x^18 + 98*x^17 + 340*x^16 - 215*x^15 - 2153*x^14 - 1173*x^13 + 6177*x^12 + 7183*x^11 - 8380*x^10 - 15410*x^9 + 3805*x^8 + 15832*x^7 + 2181*x^6 - 7711*x^5 - 2510*x^4 + 1512*x^3 + 623*x^2 - 58*x - 20, x^20 + 9*x^19 + 14*x^18 - 98*x^17 - 340*x^16 + 215*x^15 + 2153*x^14 + 1173*x^13 - 6177*x^12 - 7183*x^11 + 8380*x^10 + 15410*x^9 - 3805*x^8 - 15832*x^7 - 2181*x^6 + 7711*x^5 + 2510*x^4 - 1512*x^3 - 623*x^2 + 58*x + 20, -x^19 - 9*x^18 - 15*x^17 + 90*x^16 + 332*x^15 - 125*x^14 - 1921*x^13 - 1458*x^12 + 4733*x^11 + 6970*x^10 - 4443*x^9 - 12436*x^8 - 1085*x^7 + 9667*x^6 + 4060*x^5 - 2746*x^4 - 1656*x^3 + 210*x^2 + 137*x - 22, x^19 + 9*x^18 + 15*x^17 - 90*x^16 - 332*x^15 + 125*x^14 + 1921*x^13 + 1458*x^12 - 4733*x^11 - 6970*x^10 + 4443*x^9 + 12436*x^8 + 1085*x^7 - 9667*x^6 - 4060*x^5 + 2746*x^4 + 1656*x^3 - 210*x^2 - 137*x + 22, -x^19 - 9*x^18 - 16*x^17 + 80*x^16 + 304*x^15 - 91*x^14 - 1624*x^13 - 1168*x^12 + 3855*x^11 + 5128*x^10 - 3966*x^9 - 8769*x^8 + 618*x^7 + 6995*x^6 + 1588*x^5 - 2482*x^4 - 827*x^3 + 383*x^2 + 115*x - 21, x^19 + 9*x^18 + 16*x^17 - 80*x^16 - 304*x^15 + 91*x^14 + 1624*x^13 + 1168*x^12 - 3855*x^11 - 5128*x^10 + 3966*x^9 + 8769*x^8 - 618*x^7 - 6995*x^6 - 1588*x^5 + 2482*x^4 + 827*x^3 - 383*x^2 - 115*x + 21, -x^18 - 8*x^17 - 8*x^16 + 90*x^15 + 232*x^14 - 285*x^13 - 1444*x^12 - 213*x^11 + 3937*x^10 + 2974*x^9 - 4890*x^8 - 6165*x^7 + 1879*x^6 + 4965*x^5 + 854*x^4 - 1302*x^3 - 486*x^2 + 36*x + 20, x^18 + 8*x^17 + 8*x^16 - 90*x^15 - 232*x^14 + 285*x^13 + 1444*x^12 + 213*x^11 - 3937*x^10 - 2974*x^9 + 4890*x^8 + 6165*x^7 - 1879*x^6 - 4965*x^5 - 854*x^4 + 1302*x^3 + 486*x^2 - 36*x - 20, -x^18 - 9*x^17 - 18*x^16 + 61*x^15 + 256*x^14 - 14*x^13 - 1115*x^12 - 841*x^11 + 2210*x^10 + 2670*x^9 - 2074*x^8 - 3450*x^7 + 856*x^6 + 2086*x^5 - 176*x^4 - 588*x^3 + 61*x^2 + 72*x - 11, x^18 + 9*x^17 + 18*x^16 - 61*x^15 - 256*x^14 + 14*x^13 + 1115*x^12 + 841*x^11 - 2210*x^10 - 2670*x^9 + 2074*x^8 + 3450*x^7 - 856*x^6 - 2086*x^5 + 176*x^4 + 588*x^3 - 61*x^2 - 72*x + 11, -x^18 - 9*x^17 - 18*x^16 + 63*x^15 + 273*x^14 + 19*x^13 - 1207*x^12 - 1214*x^11 + 2204*x^10 + 3971*x^9 - 1113*x^8 - 5387*x^7 - 1449*x^6 + 3143*x^5 + 1859*x^4 - 541*x^3 - 569*x^2 - 35*x + 31, x^18 + 9*x^17 + 18*x^16 - 63*x^15 - 273*x^14 - 19*x^13 + 1207*x^12 + 1214*x^11 - 2204*x^10 - 3971*x^9 + 1113*x^8 + 5387*x^7 + 1449*x^6 - 3143*x^5 - 1859*x^4 + 541*x^3 + 569*x^2 + 35*x - 31, -x^17 - 8*x^16 - 10*x^15 + 72*x^14 + 192*x^13 - 199*x^12 - 1009*x^11 - 59*x^10 + 2527*x^9 + 1381*x^8 - 3201*x^7 - 2823*x^6 + 1759*x^5 + 2298*x^4 - 132*x^3 - 660*x^2 - 81*x + 42, x^17 + 8*x^16 + 10*x^15 - 72*x^14 - 192*x^13 + 199*x^12 + 1009*x^11 + 59*x^10 - 2527*x^9 - 1381*x^8 + 3201*x^7 + 2823*x^6 - 1759*x^5 - 2298*x^4 + 132*x^3 + 660*x^2 + 81*x - 42, -x^17 - 10*x^16 - 28*x^15 + 32*x^14 + 278*x^13 + 236*x^12 - 855*x^11 - 1469*x^10 + 934*x^9 + 3070*x^8 + 141*x^7 - 2943*x^6 - 908*x^5 + 1312*x^4 + 510*x^3 - 255*x^2 - 75*x + 22, x^17 + 10*x^16 + 28*x^15 - 32*x^14 - 278*x^13 - 236*x^12 + 855*x^11 + 1469*x^10 - 934*x^9 - 3070*x^8 - 141*x^7 + 2943*x^6 + 908*x^5 - 1312*x^4 - 510*x^3 + 255*x^2 + 75*x - 22, -x^17 - 9*x^16 - 20*x^15 + 45*x^14 + 231*x^13 + 91*x^12 - 790*x^11 - 989*x^10 + 958*x^9 + 2249*x^8 + 97*x^7 - 1966*x^6 - 856*x^5 + 582*x^4 + 378*x^3 - 56*x^2 - 51*x - 1, x^17 + 9*x^16 + 20*x^15 - 45*x^14 - 231*x^13 - 91*x^12 + 790*x^11 + 989*x^10 - 958*x^9 - 2249*x^8 - 97*x^7 + 1966*x^6 + 856*x^5 - 582*x^4 - 378*x^3 + 56*x^2 + 51*x + 1, -x^17 - 8*x^16 - 11*x^15 + 66*x^14 + 194*x^13 - 123*x^12 - 903*x^11 - 324*x^10 + 1866*x^9 + 1538*x^8 - 1788*x^7 - 2173*x^6 + 661*x^5 + 1331*x^4 + 11*x^3 - 342*x^2 - 39*x + 25, x^17 + 8*x^16 + 11*x^15 - 66*x^14 - 194*x^13 + 123*x^12 + 903*x^11 + 324*x^10 - 1866*x^9 - 1538*x^8 + 1788*x^7 + 2173*x^6 - 661*x^5 - 1331*x^4 - 11*x^3 + 342*x^2 + 39*x - 25, -x^17 - 9*x^16 - 20*x^15 + 44*x^14 + 223*x^13 + 77*x^12 - 748*x^11 - 833*x^10 + 987*x^9 + 1844*x^8 - 279*x^7 - 1679*x^6 - 390*x^5 + 610*x^4 + 247*x^3 - 76*x^2 - 45*x - 4, x^17 + 9*x^16 + 20*x^15 - 44*x^14 - 223*x^13 - 77*x^12 + 748*x^11 + 833*x^10 - 987*x^9 - 1844*x^8 + 279*x^7 + 1679*x^6 + 390*x^5 - 610*x^4 - 247*x^3 + 76*x^2 + 45*x + 4, -2*x^16 - 19*x^15 - 50*x^14 + 58*x^13 + 459*x^12 + 381*x^11 - 1217*x^10 - 2127*x^9 + 834*x^8 + 3708*x^7 + 1059*x^6 - 2533*x^5 - 1612*x^4 + 465*x^3 + 524*x^2 + 31*x - 31, 2*x^16 + 19*x^15 + 50*x^14 - 58*x^13 - 459*x^12 - 381*x^11 + 1217*x^10 + 2127*x^9 - 834*x^8 - 3708*x^7 - 1059*x^6 + 2533*x^5 + 1612*x^4 - 465*x^3 - 524*x^2 - 31*x + 31, -x^16 - 8*x^15 - 12*x^14 + 57*x^13 + 174*x^12 - 83*x^11 - 707*x^10 - 282*x^9 + 1240*x^8 + 1009*x^7 - 912*x^6 - 1054*x^5 + 198*x^4 + 384*x^3 - 6*x^2 - 50*x - 1, x^16 + 8*x^15 + 12*x^14 - 57*x^13 - 174*x^12 + 83*x^11 + 707*x^10 + 282*x^9 - 1240*x^8 - 1009*x^7 + 912*x^6 + 1054*x^5 - 198*x^4 - 384*x^3 + 6*x^2 + 50*x + 1, -x^16 - 8*x^15 - 13*x^14 + 48*x^13 + 151*x^12 - 65*x^11 - 545*x^10 - 139*x^9 + 931*x^8 + 475*x^7 - 800*x^6 - 450*x^5 + 356*x^4 + 148*x^3 - 106*x^2 - 23*x + 12, x^16 + 8*x^15 + 13*x^14 - 48*x^13 - 151*x^12 + 65*x^11 + 545*x^10 + 139*x^9 - 931*x^8 - 475*x^7 + 800*x^6 + 450*x^5 - 356*x^4 - 148*x^3 + 106*x^2 + 23*x - 12, -x^16 - 8*x^15 - 13*x^14 + 52*x^13 + 181*x^12 - 13*x^11 - 662*x^10 - 567*x^9 + 863*x^8 + 1426*x^7 - 63*x^6 - 1151*x^5 - 517*x^4 + 210*x^3 + 188*x^2 + 21*x - 6, x^16 + 8*x^15 + 13*x^14 - 52*x^13 - 181*x^12 + 13*x^11 + 662*x^10 + 567*x^9 - 863*x^8 - 1426*x^7 + 63*x^6 + 1151*x^5 + 517*x^4 - 210*x^3 - 188*x^2 - 21*x + 6, -x^14 - 11*x^13 - 39*x^12 - 16*x^11 + 204*x^10 + 383*x^9 - 147*x^8 - 956*x^7 - 527*x^6 + 686*x^5 + 765*x^4 + 12*x^3 - 216*x^2 - 53*x + 6, x^14 + 11*x^13 + 39*x^12 + 16*x^11 - 204*x^10 - 383*x^9 + 147*x^8 + 956*x^7 + 527*x^6 - 686*x^5 - 765*x^4 - 12*x^3 + 216*x^2 + 53*x - 6, -2*x^15 - 18*x^14 - 42*x^13 + 68*x^12 + 386*x^11 + 175*x^10 - 1087*x^9 - 1206*x^8 + 1197*x^7 + 2089*x^6 - 314*x^5 - 1457*x^4 - 233*x^3 + 362*x^2 + 89*x - 18, 2*x^15 + 18*x^14 + 42*x^13 - 68*x^12 - 386*x^11 - 175*x^10 + 1087*x^9 + 1206*x^8 - 1197*x^7 - 2089*x^6 + 314*x^5 + 1457*x^4 + 233*x^3 - 362*x^2 - 89*x + 18, -x^15 - 10*x^14 - 32*x^13 - 5*x^12 + 180*x^11 + 305*x^10 - 166*x^9 - 843*x^8 - 422*x^7 + 716*x^6 + 762*x^5 - 78*x^4 - 336*x^3 - 73*x^2 + 40*x + 13, x^15 + 10*x^14 + 32*x^13 + 5*x^12 - 180*x^11 - 305*x^10 + 166*x^9 + 843*x^8 + 422*x^7 - 716*x^6 - 762*x^5 + 78*x^4 + 336*x^3 + 73*x^2 - 40*x - 13, -x^15 - 7*x^14 - 6*x^13 + 58*x^12 + 123*x^11 - 136*x^10 - 526*x^9 - 41*x^8 + 904*x^7 + 522*x^6 - 585*x^5 - 566*x^4 + 49*x^3 + 161*x^2 + 27*x - 6, x^15 + 7*x^14 + 6*x^13 - 58*x^12 - 123*x^11 + 136*x^10 + 526*x^9 + 41*x^8 - 904*x^7 - 522*x^6 + 585*x^5 + 566*x^4 - 49*x^3 - 161*x^2 - 27*x + 6, -x^15 - 7*x^14 - 7*x^13 + 52*x^12 + 118*x^11 - 107*x^10 - 477*x^9 - 71*x^8 + 821*x^7 + 500*x^6 - 593*x^5 - 555*x^4 + 128*x^3 + 202*x^2 + 6*x - 19, x^15 + 7*x^14 + 7*x^13 - 52*x^12 - 118*x^11 + 107*x^10 + 477*x^9 + 71*x^8 - 821*x^7 - 500*x^6 + 593*x^5 + 555*x^4 - 128*x^3 - 202*x^2 - 6*x + 19, -x^14 - 7*x^13 - 11*x^12 + 24*x^11 + 78*x^10 + 19*x^9 - 113*x^8 - 105*x^7 - 30*x^6 + 3*x^5 + 90*x^4 + 120*x^3 + 20*x^2 - 34*x - 13, x^14 + 7*x^13 + 11*x^12 - 24*x^11 - 78*x^10 - 19*x^9 + 113*x^8 + 105*x^7 + 30*x^6 - 3*x^5 - 90*x^4 - 120*x^3 - 20*x^2 + 34*x + 13]>,
         rec<Eigen |
           DefiningPolynomial := x^30 - 9*x^29 - 6*x^28 + 276*x^27 - 458*x^26 - 3470*x^25 + 10075*x^24 + 22121*x^23 - 99369*x^22 - 63002*x^21 + 577753*x^20 - 67623*x^19 - 2150746*x^18 + 1230936*x^17 + 5258190*x^16 - 4733021*x^15 - 8365124*x^14 + 9918973*x^13 + 8247588*x^12 - 12486304*x^11 - 4412332*x^10 + 9301511*x^9 + 719882*x^8 - 3767751*x^7 + 316240*x^6 + 703223*x^5 - 115454*x^4 - 54364*x^3 + 11432*x^2 + 1200*x - 288,
           Coordinates        := [-x^29 + 9*x^28 + 3*x^27 - 251*x^26 + 479*x^25 + 2769*x^24 - 9074*x^23 - 14166*x^22 + 78887*x^21 + 17826*x^20 - 399228*x^19 + 182029*x^18 + 1260744*x^17 - 1151543*x^16 - 2505894*x^15 + 3303508*x^14 + 2988128*x^13 - 5509553*x^12 - 1765430*x^11 + 5503555*x^10 - 39076*x^9 - 3134056*x^8 + 658208*x^7 + 880175*x^6 - 307082*x^5 - 81282*x^4 + 42136*x^3 - 556*x^2 - 1448*x + 144, x^29 - 9*x^28 - 3*x^27 + 251*x^26 - 479*x^25 - 2771*x^24 + 9090*x^23 + 14166*x^22 - 79201*x^21 - 17210*x^20 + 401384*x^19 - 189393*x^18 - 1265508*x^17 + 1189811*x^16 + 2493374*x^15 - 3407558*x^14 - 2895956*x^13 + 5658067*x^12 + 1555140*x^11 - 5595279*x^10 + 276488*x^9 + 3123266*x^8 - 797890*x^7 - 835001*x^6 + 346996*x^5 + 57634*x^4 - 43518*x^3 + 3144*x^2 + 1088*x - 144, -x^27 + 9*x^26 - x^25 - 217*x^24 + 485*x^23 + 1967*x^22 - 7560*x^21 - 6882*x^20 + 55491*x^19 - 11112*x^18 - 233656*x^17 + 193997*x^16 + 589954*x^15 - 792265*x^14 - 854652*x^13 + 1713982*x^12 + 547350*x^11 - 2131487*x^10 + 176650*x^9 + 1455871*x^8 - 489628*x^7 - 453804*x^6 + 248322*x^5 + 28329*x^4 - 35522*x^3 + 3412*x^2 + 1200*x - 192, x^28 - 9*x^27 - x^26 + 233*x^25 - 477*x^24 - 2341*x^23 + 8148*x^22 + 10276*x^21 - 64789*x^20 - 2928*x^19 + 297544*x^18 - 179021*x^17 - 834802*x^16 + 890469*x^15 + 1409996*x^14 - 2172848*x^13 - 1278482*x^12 + 3025993*x^11 + 316788*x^10 - 2370745*x^9 + 396996*x^8 + 929348*x^7 - 295208*x^6 - 137537*x^5 + 47624*x^4 + 8752*x^3 - 2544*x^2 - 432*x + 96, -x^28 + 9*x^27 + x^26 - 235*x^25 + 493*x^24 + 2347*x^23 - 8506*x^22 - 9686*x^21 + 67847*x^20 - 5702*x^19 - 309182*x^18 + 234325*x^17 + 844722*x^16 - 1087953*x^15 - 1332032*x^14 + 2591106*x^13 + 961170*x^12 - 3549077*x^11 + 236078*x^10 + 2731307*x^9 - 907870*x^8 - 1037766*x^7 + 541548*x^6 + 134541*x^5 - 100872*x^4 - 2636*x^3 + 6376*x^2 - 256*x - 96, 2*x^24 - 16*x^23 - 4*x^22 + 344*x^21 - 608*x^20 - 2720*x^19 + 8268*x^18 + 8590*x^17 - 48708*x^16 + 2466*x^15 + 154058*x^14 - 94294*x^13 - 270082*x^12 + 274336*x^11 + 242664*x^10 - 359366*x^9 - 77166*x^8 + 221022*x^7 - 16282*x^6 - 53818*x^5 + 6310*x^4 + 6008*x^3 - 756*x^2 - 296*x + 48, -x^27 + 7*x^26 + 15*x^25 - 205*x^24 + 83*x^23 + 2513*x^22 - 3480*x^21 - 16646*x^20 + 34555*x^19 + 63408*x^18 - 182366*x^17 - 130407*x^16 + 583908*x^15 + 79863*x^14 - 1172306*x^13 + 246494*x^12 + 1454158*x^11 - 640761*x^10 - 1045444*x^9 + 640419*x^8 + 372968*x^7 - 291830*x^6 - 42112*x^5 + 50317*x^4 - 238*x^3 - 3112*x^2 + 152*x + 48, x^27 - 9*x^26 + x^25 + 215*x^24 - 471*x^23 - 1943*x^22 + 7192*x^21 + 7124*x^20 - 51595*x^19 + 4862*x^18 + 212430*x^17 - 143793*x^16 - 529456*x^15 + 579021*x^14 + 789450*x^13 - 1188180*x^12 - 642142*x^11 + 1381285*x^10 + 190224*x^9 - 881825*x^8 + 71498*x^7 + 265458*x^6 - 52246*x^5 - 21833*x^4 + 4700*x^3 - 44*x^2 + 224*x - 48, x^27 - 9*x^26 + x^25 + 215*x^24 - 471*x^23 - 1947*x^22 + 7220*x^21 + 7158*x^20 - 52245*x^19 + 5510*x^18 + 218276*x^17 - 155549*x^16 - 553922*x^15 + 655689*x^14 + 828024*x^13 - 1443894*x^12 - 596210*x^11 + 1843249*x^10 - 69716*x^9 - 1312093*x^8 + 431184*x^7 + 432006*x^6 - 247126*x^5 - 27049*x^4 + 36274*x^3 - 3532*x^2 - 1216*x + 192, 2*x^23 - 14*x^22 - 18*x^21 + 326*x^20 - 282*x^19 - 3002*x^18 + 5266*x^17 + 13856*x^16 - 34852*x^15 - 32386*x^14 + 121672*x^13 + 27378*x^12 - 242704*x^11 + 31632*x^10 + 274296*x^9 - 85070*x^8 - 162236*x^7 + 58786*x^6 + 42504*x^5 - 11314*x^4 - 5004*x^3 + 1004*x^2 + 248*x - 48, x^25 - 8*x^24 - 4*x^23 + 186*x^22 - 286*x^21 - 1686*x^20 + 4416*x^19 + 7297*x^18 - 29620*x^17 - 12623*x^16 + 111881*x^15 - 14761*x^14 - 256713*x^13 + 109790*x^12 + 364036*x^11 - 211315*x^10 - 312879*x^9 + 195581*x^8 + 154095*x^7 - 85695*x^6 - 39349*x^5 + 14318*x^4 + 4626*x^3 - 1152*x^2 - 224*x + 48, x^25 - 8*x^24 - 4*x^23 + 186*x^22 - 286*x^21 - 1686*x^20 + 4416*x^19 + 7297*x^18 - 29620*x^17 - 12623*x^16 + 111881*x^15 - 14761*x^14 - 256713*x^13 + 109790*x^12 + 364036*x^11 - 211315*x^10 - 312879*x^9 + 195581*x^8 + 154095*x^7 - 85695*x^6 - 39349*x^5 + 14318*x^4 + 4626*x^3 - 1152*x^2 - 224*x + 48, x^26 - 9*x^25 + 3*x^24 + 199*x^23 - 478*x^22 - 1576*x^21 + 6597*x^20 + 3895*x^19 - 42557*x^18 + 17614*x^17 + 152673*x^16 - 155724*x^15 - 310273*x^14 + 492334*x^13 + 318170*x^12 - 822354*x^11 - 63282*x^10 + 744460*x^9 - 162749*x^8 - 331945*x^7 + 121481*x^6 + 57852*x^5 - 21462*x^4 - 4398*x^3 + 1384*x^2 + 192*x - 48, x^26 - 9*x^25 + 3*x^24 + 199*x^23 - 478*x^22 - 1576*x^21 + 6597*x^20 + 3895*x^19 - 42557*x^18 + 17614*x^17 + 152673*x^16 - 155724*x^15 - 310273*x^14 + 492334*x^13 + 318170*x^12 - 822354*x^11 - 63282*x^10 + 744460*x^9 - 162749*x^8 - 331945*x^7 + 121481*x^6 + 57852*x^5 - 21462*x^4 - 4398*x^3 + 1384*x^2 + 192*x - 48, x^25 - 9*x^24 + 3*x^23 + 196*x^22 - 454*x^21 - 1573*x^20 + 6122*x^19 + 4669*x^18 - 38827*x^17 + 7916*x^16 + 138497*x^15 - 100498*x^14 - 288250*x^13 + 315948*x^12 + 336703*x^11 - 492261*x^10 - 189513*x^9 + 394010*x^8 + 25228*x^7 - 144548*x^6 + 10284*x^5 + 19778*x^4 - 2762*x^3 - 852*x^2 + 152*x, x^25 - 9*x^24 + 3*x^23 + 196*x^22 - 454*x^21 - 1573*x^20 + 6122*x^19 + 4669*x^18 - 38827*x^17 + 7916*x^16 + 138497*x^15 - 100498*x^14 - 288250*x^13 + 315948*x^12 + 336703*x^11 - 492261*x^10 - 189513*x^9 + 394010*x^8 + 25228*x^7 - 144548*x^6 + 10284*x^5 + 19778*x^4 - 2762*x^3 - 852*x^2 + 152*x, x^25 - 8*x^24 - 3*x^23 + 181*x^22 - 309*x^21 - 1543*x^20 + 4622*x^19 + 5455*x^18 - 30137*x^17 + 692*x^16 + 107302*x^15 - 71926*x^14 - 214567*x^13 + 256036*x^12 + 214824*x^11 - 425510*x^10 - 40094*x^9 + 354299*x^8 - 104112*x^7 - 121911*x^6 + 70133*x^5 + 3117*x^4 - 7942*x^3 + 1388*x^2 - 48*x, x^25 - 8*x^24 - 3*x^23 + 181*x^22 - 309*x^21 - 1543*x^20 + 4622*x^19 + 5455*x^18 - 30137*x^17 + 692*x^16 + 107302*x^15 - 71926*x^14 - 214567*x^13 + 256036*x^12 + 214824*x^11 - 425510*x^10 - 40094*x^9 + 354299*x^8 - 104112*x^7 - 121911*x^6 + 70133*x^5 + 3117*x^4 - 7942*x^3 + 1388*x^2 - 48*x, x^26 - 8*x^25 - 6*x^24 + 200*x^23 - 264*x^22 - 2049*x^21 + 4734*x^20 + 10919*x^19 - 36589*x^18 - 30042*x^17 + 163585*x^16 + 22476*x^15 - 458954*x^14 + 116008*x^13 + 821668*x^12 - 417254*x^11 - 913083*x^10 + 639997*x^9 + 574864*x^8 - 514662*x^7 - 155072*x^6 + 199925*x^5 - 5392*x^4 - 25426*x^3 + 3872*x^2 + 736*x - 144, x^26 - 8*x^25 - 6*x^24 + 200*x^23 - 264*x^22 - 2049*x^21 + 4734*x^20 + 10919*x^19 - 36589*x^18 - 30042*x^17 + 163585*x^16 + 22476*x^15 - 458954*x^14 + 116008*x^13 + 821668*x^12 - 417254*x^11 - 913083*x^10 + 639997*x^9 + 574864*x^8 - 514662*x^7 - 155072*x^6 + 199925*x^5 - 5392*x^4 - 25426*x^3 + 3872*x^2 + 736*x - 144, -2*x^25 + 17*x^24 - 376*x^22 + 762*x^21 + 3074*x^20 - 10666*x^19 - 9535*x^18 + 67578*x^17 - 12465*x^16 - 234855*x^15 + 185465*x^14 + 456653*x^13 - 594755*x^12 - 439043*x^11 + 934885*x^10 + 66892*x^9 - 745217*x^8 + 216019*x^7 + 251051*x^6 - 140798*x^5 - 11688*x^4 + 19948*x^3 - 2568*x^2 - 512*x + 96, -2*x^25 + 17*x^24 - 376*x^22 + 762*x^21 + 3074*x^20 - 10666*x^19 - 9535*x^18 + 67578*x^17 - 12465*x^16 - 234855*x^15 + 185465*x^14 + 456653*x^13 - 594755*x^12 - 439043*x^11 + 934885*x^10 + 66892*x^9 - 745217*x^8 + 216019*x^7 + 251051*x^6 - 140798*x^5 - 11688*x^4 + 19948*x^3 - 2568*x^2 - 512*x + 96, 2*x^24 - 15*x^23 - 12*x^22 + 342*x^21 - 432*x^20 - 3062*x^19 + 6965*x^18 + 13215*x^17 - 46063*x^16 - 23504*x^15 + 167632*x^14 - 21731*x^13 - 359382*x^12 + 182020*x^11 + 448698*x^10 - 350067*x^9 - 295662*x^8 + 314146*x^7 + 70563*x^6 - 124868*x^5 + 10403*x^4 + 13728*x^3 - 2820*x^2 - 144*x + 48, 2*x^24 - 15*x^23 - 12*x^22 + 342*x^21 - 432*x^20 - 3062*x^19 + 6965*x^18 + 13215*x^17 - 46063*x^16 - 23504*x^15 + 167632*x^14 - 21731*x^13 - 359382*x^12 + 182020*x^11 + 448698*x^10 - 350067*x^9 - 295662*x^8 + 314146*x^7 + 70563*x^6 - 124868*x^5 + 10403*x^4 + 13728*x^3 - 2820*x^2 - 144*x + 48, x^25 - 9*x^24 + 6*x^23 + 173*x^22 - 465*x^21 - 1087*x^20 + 5405*x^19 + 795*x^18 - 29141*x^17 + 21867*x^16 + 83834*x^15 - 117437*x^14 - 123084*x^13 + 285366*x^12 + 51854*x^11 - 373255*x^10 + 94499*x^9 + 255509*x^8 - 139471*x^7 - 73520*x^6 + 65138*x^5 + 208*x^4 - 8606*x^3 + 1288*x^2 + 240*x - 48, x^25 - 9*x^24 + 6*x^23 + 173*x^22 - 465*x^21 - 1087*x^20 + 5405*x^19 + 795*x^18 - 29141*x^17 + 21867*x^16 + 83834*x^15 - 117437*x^14 - 123084*x^13 + 285366*x^12 + 51854*x^11 - 373255*x^10 + 94499*x^9 + 255509*x^8 - 139471*x^7 - 73520*x^6 + 65138*x^5 + 208*x^4 - 8606*x^3 + 1288*x^2 + 240*x - 48, x^27 - 8*x^26 - 8*x^25 + 218*x^24 - 273*x^23 - 2418*x^22 + 5653*x^21 + 13579*x^20 - 48116*x^19 - 35506*x^18 + 231553*x^17 - 7307*x^16 - 681285*x^15 + 333943*x^14 + 1233002*x^13 - 1018568*x^12 - 1301640*x^11 + 1505513*x^10 + 669878*x^9 - 1164181*x^8 - 40829*x^7 + 417993*x^6 - 80814*x^5 - 45412*x^4 + 15240*x^3 + 300*x^2 - 536*x + 48, x^27 - 8*x^26 - 8*x^25 + 218*x^24 - 273*x^23 - 2418*x^22 + 5653*x^21 + 13579*x^20 - 48116*x^19 - 35506*x^18 + 231553*x^17 - 7307*x^16 - 681285*x^15 + 333943*x^14 + 1233002*x^13 - 1018568*x^12 - 1301640*x^11 + 1505513*x^10 + 669878*x^9 - 1164181*x^8 - 40829*x^7 + 417993*x^6 - 80814*x^5 - 45412*x^4 + 15240*x^3 + 300*x^2 - 536*x + 48, -x^26 + 7*x^25 + 13*x^24 - 189*x^23 + 93*x^22 + 2126*x^21 - 2915*x^20 - 12952*x^19 + 25146*x^18 + 46526*x^17 - 115387*x^16 - 100876*x^15 + 318461*x^14 + 132057*x^13 - 548081*x^12 - 110613*x^11 + 588867*x^10 + 82014*x^9 - 387112*x^8 - 66158*x^7 + 150363*x^6 + 31134*x^5 - 32505*x^4 - 2830*x^3 + 2928*x^2 - 88*x - 48, -x^26 + 7*x^25 + 13*x^24 - 189*x^23 + 93*x^22 + 2126*x^21 - 2915*x^20 - 12952*x^19 + 25146*x^18 + 46526*x^17 - 115387*x^16 - 100876*x^15 + 318461*x^14 + 132057*x^13 - 548081*x^12 - 110613*x^11 + 588867*x^10 + 82014*x^9 - 387112*x^8 - 66158*x^7 + 150363*x^6 + 31134*x^5 - 32505*x^4 - 2830*x^3 + 2928*x^2 - 88*x - 48, -x^26 + 9*x^25 - 4*x^24 - 190*x^23 + 473*x^22 + 1402*x^21 - 6178*x^20 - 2705*x^19 + 37763*x^18 - 20164*x^17 - 127384*x^16 + 147844*x^15 + 238690*x^14 - 438562*x^13 - 206910*x^12 + 708795*x^11 - 29714*x^10 - 637718*x^9 + 209121*x^8 + 291981*x^7 - 146613*x^6 - 53106*x^5 + 32675*x^4 + 3024*x^3 - 2588*x^2 + 32*x + 48, -x^26 + 9*x^25 - 4*x^24 - 190*x^23 + 473*x^22 + 1402*x^21 - 6178*x^20 - 2705*x^19 + 37763*x^18 - 20164*x^17 - 127384*x^16 + 147844*x^15 + 238690*x^14 - 438562*x^13 - 206910*x^12 + 708795*x^11 - 29714*x^10 - 637718*x^9 + 209121*x^8 + 291981*x^7 - 146613*x^6 - 53106*x^5 + 32675*x^4 + 3024*x^3 - 2588*x^2 + 32*x + 48, -x^25 + 10*x^24 - 12*x^23 - 189*x^22 + 620*x^21 + 1103*x^20 - 7062*x^19 + 483*x^18 + 38694*x^17 - 33688*x^16 - 116409*x^15 + 168238*x^14 + 191089*x^13 - 410432*x^12 - 138021*x^11 + 558884*x^10 - 34421*x^9 - 418673*x^8 + 126996*x^7 + 149647*x^6 - 74849*x^5 - 13617*x^4 + 12986*x^3 - 812*x^2 - 640*x + 96, -x^25 + 10*x^24 - 12*x^23 - 189*x^22 + 620*x^21 + 1103*x^20 - 7062*x^19 + 483*x^18 + 38694*x^17 - 33688*x^16 - 116409*x^15 + 168238*x^14 + 191089*x^13 - 410432*x^12 - 138021*x^11 + 558884*x^10 - 34421*x^9 - 418673*x^8 + 126996*x^7 + 149647*x^6 - 74849*x^5 - 13617*x^4 + 12986*x^3 - 812*x^2 - 640*x + 96, x^28 - 8*x^27 - 10*x^26 + 233*x^25 - 254*x^24 - 2807*x^23 + 6010*x^22 + 17758*x^21 - 55790*x^20 - 59421*x^19 + 293847*x^18 + 68948*x^17 - 965007*x^16 + 217497*x^15 + 2029586*x^14 - 1044029*x^13 - 2706983*x^12 + 1932516*x^11 + 2186016*x^10 - 1903750*x^9 - 957384*x^8 + 1001701*x^7 + 162982*x^6 - 254026*x^5 + 12156*x^4 + 24378*x^3 - 3900*x^2 - 456*x + 96, x^28 - 8*x^27 - 10*x^26 + 233*x^25 - 254*x^24 - 2807*x^23 + 6010*x^22 + 17758*x^21 - 55790*x^20 - 59421*x^19 + 293847*x^18 + 68948*x^17 - 965007*x^16 + 217497*x^15 + 2029586*x^14 - 1044029*x^13 - 2706983*x^12 + 1932516*x^11 + 2186016*x^10 - 1903750*x^9 - 957384*x^8 + 1001701*x^7 + 162982*x^6 - 254026*x^5 + 12156*x^4 + 24378*x^3 - 3900*x^2 - 456*x + 96, x^26 - 7*x^25 - 13*x^24 + 189*x^23 - 93*x^22 - 2130*x^21 + 2940*x^20 + 12996*x^19 - 25705*x^18 - 46213*x^17 + 120137*x^16 + 93970*x^15 - 337630*x^14 - 90547*x^13 + 583675*x^12 - 9749*x^11 - 603055*x^10 + 99572*x^9 + 341691*x^8 - 69046*x^7 - 88724*x^6 + 8689*x^5 + 8476*x^4 + 1348*x^3 - 508*x^2 - 232*x + 48, x^26 - 7*x^25 - 13*x^24 + 189*x^23 - 93*x^22 - 2130*x^21 + 2940*x^20 + 12996*x^19 - 25705*x^18 - 46213*x^17 + 120137*x^16 + 93970*x^15 - 337630*x^14 - 90547*x^13 + 583675*x^12 - 9749*x^11 - 603055*x^10 + 99572*x^9 + 341691*x^8 - 69046*x^7 - 88724*x^6 + 8689*x^5 + 8476*x^4 + 1348*x^3 - 508*x^2 - 232*x + 48, -x^27 + 8*x^26 + 8*x^25 - 219*x^24 + 282*x^23 + 2409*x^22 - 5803*x^21 - 13111*x^20 + 48764*x^19 + 30915*x^18 - 229491*x^17 + 26976*x^16 + 654192*x^15 - 371869*x^14 - 1136791*x^13 + 1032223*x^12 + 1138523*x^11 - 1441738*x^10 - 536018*x^9 + 1066171*x^8 + 502*x^7 - 370280*x^6 + 77159*x^5 + 41363*x^4 - 14190*x^3 - 448*x^2 + 552*x - 48, -x^27 + 8*x^26 + 8*x^25 - 219*x^24 + 282*x^23 + 2409*x^22 - 5803*x^21 - 13111*x^20 + 48764*x^19 + 30915*x^18 - 229491*x^17 + 26976*x^16 + 654192*x^15 - 371869*x^14 - 1136791*x^13 + 1032223*x^12 + 1138523*x^11 - 1441738*x^10 - 536018*x^9 + 1066171*x^8 + 502*x^7 - 370280*x^6 + 77159*x^5 + 41363*x^4 - 14190*x^3 - 448*x^2 + 552*x - 48, x^26 - 9*x^25 + 3*x^24 + 197*x^23 - 464*x^22 - 1559*x^21 + 6272*x^20 + 4219*x^19 - 39634*x^18 + 11736*x^17 + 140440*x^16 - 117390*x^15 - 290986*x^14 + 364477*x^13 + 341136*x^12 - 591372*x^11 - 193252*x^10 + 529326*x^9 + 17094*x^8 - 248671*x^7 + 24041*x^6 + 55244*x^5 - 5675*x^4 - 6142*x^3 + 664*x^2 + 312*x - 48, x^26 - 9*x^25 + 3*x^24 + 197*x^23 - 464*x^22 - 1559*x^21 + 6272*x^20 + 4219*x^19 - 39634*x^18 + 11736*x^17 + 140440*x^16 - 117390*x^15 - 290986*x^14 + 364477*x^13 + 341136*x^12 - 591372*x^11 - 193252*x^10 + 529326*x^9 + 17094*x^8 - 248671*x^7 + 24041*x^6 + 55244*x^5 - 5675*x^4 - 6142*x^3 + 664*x^2 + 312*x - 48, x^24 - 5*x^23 - 26*x^22 + 166*x^21 + 203*x^20 - 2217*x^19 + 136*x^18 + 15617*x^17 - 10892*x^16 - 63440*x^15 + 69836*x^14 + 151214*x^13 - 216477*x^12 - 201765*x^11 + 368548*x^10 + 124546*x^9 - 337634*x^8 - 2863*x^7 + 145284*x^6 - 25649*x^5 - 19897*x^4 + 4770*x^3 + 660*x^2 - 176*x, x^24 - 5*x^23 - 26*x^22 + 166*x^21 + 203*x^20 - 2217*x^19 + 136*x^18 + 15617*x^17 - 10892*x^16 - 63440*x^15 + 69836*x^14 + 151214*x^13 - 216477*x^12 - 201765*x^11 + 368548*x^10 + 124546*x^9 - 337634*x^8 - 2863*x^7 + 145284*x^6 - 25649*x^5 - 19897*x^4 + 4770*x^3 + 660*x^2 - 176*x, 2*x^25 - 16*x^24 - 9*x^23 + 381*x^22 - 583*x^21 - 3523*x^20 + 9415*x^19 + 14998*x^18 - 65203*x^17 - 18860*x^16 + 249685*x^15 - 86860*x^14 - 558780*x^13 + 425144*x^12 + 708334*x^11 - 802886*x^10 - 427759*x^9 + 753444*x^8 + 21151*x^7 - 320580*x^6 + 80601*x^5 + 38284*x^4 - 17096*x^3 - 24*x^2 + 816*x - 96, 2*x^25 - 16*x^24 - 9*x^23 + 381*x^22 - 583*x^21 - 3523*x^20 + 9415*x^19 + 14998*x^18 - 65203*x^17 - 18860*x^16 + 249685*x^15 - 86860*x^14 - 558780*x^13 + 425144*x^12 + 708334*x^11 - 802886*x^10 - 427759*x^9 + 753444*x^8 + 21151*x^7 - 320580*x^6 + 80601*x^5 + 38284*x^4 - 17096*x^3 - 24*x^2 + 816*x - 96, -x^28 + 8*x^27 + 10*x^26 - 233*x^25 + 254*x^24 + 2804*x^23 - 5988*x^22 - 17745*x^21 + 55339*x^20 + 60054*x^19 - 290410*x^18 - 77466*x^17 + 953787*x^16 - 170780*x^15 - 2022482*x^14 + 909157*x^13 + 2760494*x^12 - 1716836*x^11 - 2343743*x^10 + 1718074*x^9 + 1142980*x^8 - 924905*x^7 - 266195*x^6 + 243700*x^5 + 13777*x^4 - 26142*x^3 + 1804*x^2 + 800*x - 96, -x^28 + 8*x^27 + 10*x^26 - 233*x^25 + 254*x^24 + 2804*x^23 - 5988*x^22 - 17745*x^21 + 55339*x^20 + 60054*x^19 - 290410*x^18 - 77466*x^17 + 953787*x^16 - 170780*x^15 - 2022482*x^14 + 909157*x^13 + 2760494*x^12 - 1716836*x^11 - 2343743*x^10 + 1718074*x^9 + 1142980*x^8 - 924905*x^7 - 266195*x^6 + 243700*x^5 + 13777*x^4 - 26142*x^3 + 1804*x^2 + 800*x - 96, -x^26 + 7*x^25 + 15*x^24 - 206*x^23 + 92*x^22 + 2508*x^21 - 3660*x^20 - 16187*x^19 + 35773*x^18 + 57916*x^17 - 184208*x^16 - 100213*x^15 + 567230*x^14 - 8991*x^13 - 1073890*x^12 + 385711*x^11 + 1218858*x^10 - 733917*x^9 - 755366*x^8 + 620783*x^7 + 192991*x^6 - 233471*x^5 + 4538*x^4 + 28524*x^3 - 4180*x^2 - 760*x + 144, -x^26 + 7*x^25 + 15*x^24 - 206*x^23 + 92*x^22 + 2508*x^21 - 3660*x^20 - 16187*x^19 + 35773*x^18 + 57916*x^17 - 184208*x^16 - 100213*x^15 + 567230*x^14 - 8991*x^13 - 1073890*x^12 + 385711*x^11 + 1218858*x^10 - 733917*x^9 - 755366*x^8 + 620783*x^7 + 192991*x^6 - 233471*x^5 + 4538*x^4 + 28524*x^3 - 4180*x^2 - 760*x + 144, -2*x^24 + 16*x^23 + 7*x^22 - 365*x^21 + 584*x^20 + 3196*x^19 - 8772*x^18 - 12633*x^17 + 57019*x^16 + 13251*x^15 - 204352*x^14 + 71892*x^13 + 427378*x^12 - 305376*x^11 - 511037*x^10 + 514569*x^9 + 309978*x^8 - 428294*x^7 - 56182*x^6 + 160850*x^5 - 17377*x^4 - 18514*x^3 + 3868*x^2 + 352*x - 96, -2*x^24 + 16*x^23 + 7*x^22 - 365*x^21 + 584*x^20 + 3196*x^19 - 8772*x^18 - 12633*x^17 + 57019*x^16 + 13251*x^15 - 204352*x^14 + 71892*x^13 + 427378*x^12 - 305376*x^11 - 511037*x^10 + 514569*x^9 + 309978*x^8 - 428294*x^7 - 56182*x^6 + 160850*x^5 - 17377*x^4 - 18514*x^3 + 3868*x^2 + 352*x - 96]>
       ]
>;

MOG[631] := 	// J_0(631)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [140, 179, 187, 264, 322, 391, 428, 458, 460, 466, 489, 583, 598, 565*x + 33, 66*x + 33, 406*x + 601, 225*x + 601, 126*x + 111, 505*x + 111, 338*x + 33, 293*x + 33, 447*x + 582, 184*x + 582, 394*x + 193, 237*x + 193, 319*x + 74, 312*x + 74, 68*x + 388, 563*x + 388, 532*x + 223, 99*x + 223, 9*x + 415, 622*x + 415, 66*x + 202, 565*x + 202, 384*x + 393, 247*x + 393, 479*x + 531, 152*x + 531, 142*x + 569, 489*x + 569, 251*x + 139, 380*x + 139, 321*x + 484, 310*x + 484, 340*x + 159, 291*x + 159, 362*x + 262, 269*x + 262, 489*x + 473, 142*x + 473, 607*x + 573, 24*x + 573]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^20 + 8*x^19 + 5*x^18 - 114*x^17 - 258*x^16 + 535*x^15 + 2093*x^14 - 508*x^13 - 7578*x^12 - 3378*x^11 + 13922*x^10 + 11615*x^9 - 12747*x^8 - 14886*x^7 + 4828*x^6 + 8560*x^5 - 58*x^4 - 1958*x^3 - 224*x^2 + 104*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^19 - 8*x^18 - 7*x^17 + 99*x^16 + 248*x^15 - 358*x^14 - 1706*x^13 - 124*x^12 + 5119*x^11 + 3545*x^10 - 7336*x^9 - 8207*x^8 + 4563*x^7 + 7941*x^6 - 422*x^5 - 3364*x^4 - 585*x^3 + 489*x^2 + 135*x - 2, x^19 + 8*x^18 + 7*x^17 - 99*x^16 - 248*x^15 + 358*x^14 + 1706*x^13 + 124*x^12 - 5119*x^11 - 3545*x^10 + 7336*x^9 + 8207*x^8 - 4563*x^7 - 7941*x^6 + 422*x^5 + 3364*x^4 + 585*x^3 - 489*x^2 - 135*x + 2, x^14 + 7*x^13 + 4*x^12 - 70*x^11 - 133*x^10 + 194*x^9 + 616*x^8 - 44*x^7 - 1015*x^6 - 320*x^5 + 689*x^4 + 297*x^3 - 171*x^2 - 71*x + 6, -x^14 - 7*x^13 - 4*x^12 + 70*x^11 + 133*x^10 - 194*x^9 - 616*x^8 + 44*x^7 + 1015*x^6 + 320*x^5 - 689*x^4 - 297*x^3 + 171*x^2 + 71*x - 6, -x^18 - 7*x^17 - x^16 + 93*x^15 + 152*x^14 - 430*x^13 - 1127*x^12 + 712*x^11 + 3500*x^10 + 280*x^9 - 5325*x^8 - 2111*x^7 + 4026*x^6 + 2240*x^5 - 1392*x^4 - 908*x^3 + 163*x^2 + 123*x + 2, x^18 + 7*x^17 + x^16 - 93*x^15 - 152*x^14 + 430*x^13 + 1127*x^12 - 712*x^11 - 3500*x^10 - 280*x^9 + 5325*x^8 + 2111*x^7 - 4026*x^6 - 2240*x^5 + 1392*x^4 + 908*x^3 - 163*x^2 - 123*x - 2, -x^18 - 8*x^17 - 9*x^16 + 84*x^15 + 235*x^14 - 202*x^13 - 1332*x^12 - 545*x^11 + 3086*x^10 + 3128*x^9 - 2859*x^8 - 4834*x^7 + 380*x^6 + 2956*x^5 + 749*x^4 - 561*x^3 - 252*x^2 - 21*x - 1, x^18 + 8*x^17 + 9*x^16 - 84*x^15 - 235*x^14 + 202*x^13 + 1332*x^12 + 545*x^11 - 3086*x^10 - 3128*x^9 + 2859*x^8 + 4834*x^7 - 380*x^6 - 2956*x^5 - 749*x^4 + 561*x^3 + 252*x^2 + 21*x + 1, x^17 + 8*x^16 + 10*x^15 - 76*x^14 - 223*x^13 + 140*x^12 + 1122*x^11 + 568*x^10 - 2250*x^9 - 2382*x^8 + 1750*x^7 + 3003*x^6 - 183*x^5 - 1482*x^4 - 286*x^3 + 237*x^2 + 78*x + 4, -x^17 - 8*x^16 - 10*x^15 + 76*x^14 + 223*x^13 - 140*x^12 - 1122*x^11 - 568*x^10 + 2250*x^9 + 2382*x^8 - 1750*x^7 - 3003*x^6 + 183*x^5 + 1482*x^4 + 286*x^3 - 237*x^2 - 78*x - 4, x^15 + 8*x^14 + 11*x^13 - 66*x^12 - 203*x^11 + 61*x^10 + 810*x^9 + 572*x^8 - 1059*x^7 - 1335*x^6 + 369*x^5 + 986*x^4 + 126*x^3 - 242*x^2 - 65*x + 6, -x^15 - 8*x^14 - 11*x^13 + 66*x^12 + 203*x^11 - 61*x^10 - 810*x^9 - 572*x^8 + 1059*x^7 + 1335*x^6 - 369*x^5 - 986*x^4 - 126*x^3 + 242*x^2 + 65*x - 6, -x^17 - 7*x^16 - 3*x^15 + 80*x^14 + 149*x^13 - 291*x^12 - 907*x^11 + 235*x^10 + 2291*x^9 + 771*x^8 - 2648*x^7 - 1675*x^6 + 1270*x^5 + 1064*x^4 - 160*x^3 - 203*x^2 - 10*x + 4, x^17 + 7*x^16 + 3*x^15 - 80*x^14 - 149*x^13 + 291*x^12 + 907*x^11 - 235*x^10 - 2291*x^9 - 771*x^8 + 2648*x^7 + 1675*x^6 - 1270*x^5 - 1064*x^4 + 160*x^3 + 203*x^2 + 10*x - 4, -x^17 - 7*x^16 - 3*x^15 + 80*x^14 + 151*x^13 - 281*x^12 - 911*x^11 + 151*x^10 + 2227*x^9 + 991*x^8 - 2433*x^7 - 1982*x^6 + 988*x^5 + 1321*x^4 + 47*x^3 - 273*x^2 - 58*x + 6, x^17 + 7*x^16 + 3*x^15 - 80*x^14 - 151*x^13 + 281*x^12 + 911*x^11 - 151*x^10 - 2227*x^9 - 991*x^8 + 2433*x^7 + 1982*x^6 - 988*x^5 - 1321*x^4 - 47*x^3 + 273*x^2 + 58*x - 6, -x^16 - 7*x^15 - 4*x^14 + 72*x^13 + 140*x^12 - 215*x^11 - 708*x^10 + 90*x^9 + 1417*x^8 + 419*x^7 - 1374*x^6 - 647*x^5 + 619*x^4 + 335*x^3 - 79*x^2 - 31*x + 7, x^16 + 7*x^15 + 4*x^14 - 72*x^13 - 140*x^12 + 215*x^11 + 708*x^10 - 90*x^9 - 1417*x^8 - 419*x^7 + 1374*x^6 + 647*x^5 - 619*x^4 - 335*x^3 + 79*x^2 + 31*x - 7, x^16 + 8*x^15 + 12*x^14 - 62*x^13 - 210*x^12 + 23*x^11 + 836*x^10 + 746*x^9 - 1109*x^8 - 1831*x^7 + 197*x^6 + 1474*x^5 + 463*x^4 - 324*x^3 - 174*x^2 - 17*x - 1, -x^16 - 8*x^15 - 12*x^14 + 62*x^13 + 210*x^12 - 23*x^11 - 836*x^10 - 746*x^9 + 1109*x^8 + 1831*x^7 - 197*x^6 - 1474*x^5 - 463*x^4 + 324*x^3 + 174*x^2 + 17*x + 1, x^15 + 6*x^14 - x^13 - 67*x^12 - 84*x^11 + 235*x^10 + 468*x^9 - 258*x^8 - 872*x^7 + 10*x^6 + 659*x^5 + 56*x^4 - 204*x^3 + 27*x^2 + 46*x + 1, -x^15 - 6*x^14 + x^13 + 67*x^12 + 84*x^11 - 235*x^10 - 468*x^9 + 258*x^8 + 872*x^7 - 10*x^6 - 659*x^5 - 56*x^4 + 204*x^3 - 27*x^2 - 46*x - 1, -x^16 - 6*x^15 + 2*x^14 + 72*x^13 + 78*x^12 - 302*x^11 - 521*x^10 + 521*x^9 + 1302*x^8 - 273*x^7 - 1503*x^6 - 182*x^5 + 793*x^4 + 215*x^3 - 171*x^2 - 59*x + 3, x^16 + 6*x^15 - 2*x^14 - 72*x^13 - 78*x^12 + 302*x^11 + 521*x^10 - 521*x^9 - 1302*x^8 + 273*x^7 + 1503*x^6 + 182*x^5 - 793*x^4 - 215*x^3 + 171*x^2 + 59*x - 3, -x^16 - 7*x^15 - 5*x^14 + 67*x^13 + 142*x^12 - 175*x^11 - 688*x^10 - 30*x^9 + 1375*x^8 + 709*x^7 - 1253*x^6 - 994*x^5 + 439*x^4 + 490*x^3 - 2*x^2 - 60*x - 5, x^16 + 7*x^15 + 5*x^14 - 67*x^13 - 142*x^12 + 175*x^11 + 688*x^10 + 30*x^9 - 1375*x^8 - 709*x^7 + 1253*x^6 + 994*x^5 - 439*x^4 - 490*x^3 + 2*x^2 + 60*x + 5, x^14 + 6*x^13 + 2*x^12 - 51*x^11 - 86*x^10 + 101*x^9 + 323*x^8 + 65*x^7 - 356*x^6 - 252*x^5 + 65*x^4 + 115*x^3 + 37*x^2 + 3*x + 1, -x^14 - 6*x^13 - 2*x^12 + 51*x^11 + 86*x^10 - 101*x^9 - 323*x^8 - 65*x^7 + 356*x^6 + 252*x^5 - 65*x^4 - 115*x^3 - 37*x^2 - 3*x - 1, x^15 + 7*x^14 + 6*x^13 - 60*x^12 - 136*x^11 + 114*x^10 + 547*x^9 + 142*x^8 - 796*x^7 - 491*x^6 + 495*x^5 + 397*x^4 - 116*x^3 - 117*x^2 - 7*x + 3, -x^15 - 7*x^14 - 6*x^13 + 60*x^12 + 136*x^11 - 114*x^10 - 547*x^9 - 142*x^8 + 796*x^7 + 491*x^6 - 495*x^5 - 397*x^4 + 116*x^3 + 117*x^2 + 7*x - 3, x^15 + 7*x^14 + 7*x^13 - 57*x^12 - 150*x^11 + 64*x^10 + 594*x^9 + 409*x^8 - 757*x^7 - 1038*x^6 + 151*x^5 + 761*x^4 + 228*x^3 - 137*x^2 - 72*x - 7, -x^15 - 7*x^14 - 7*x^13 + 57*x^12 + 150*x^11 - 64*x^10 - 594*x^9 - 409*x^8 + 757*x^7 + 1038*x^6 - 151*x^5 - 761*x^4 - 228*x^3 + 137*x^2 + 72*x + 7, -x^15 - 7*x^14 - 8*x^13 + 49*x^12 + 137*x^11 - 15*x^10 - 424*x^9 - 388*x^8 + 291*x^7 + 608*x^6 + 187*x^5 - 180*x^4 - 152*x^3 - 40*x^2 - 4*x - 1, x^15 + 7*x^14 + 8*x^13 - 49*x^12 - 137*x^11 + 15*x^10 + 424*x^9 + 388*x^8 - 291*x^7 - 608*x^6 - 187*x^5 + 180*x^4 + 152*x^3 + 40*x^2 + 4*x + 1, -x^15 - 6*x^14 + x^13 + 67*x^12 + 82*x^11 - 250*x^10 - 492*x^9 + 326*x^8 + 1104*x^7 + 73*x^6 - 1018*x^5 - 394*x^4 + 310*x^3 + 183*x^2 + 9*x - 3, x^15 + 6*x^14 - x^13 - 67*x^12 - 82*x^11 + 250*x^10 + 492*x^9 - 326*x^8 - 1104*x^7 - 73*x^6 + 1018*x^5 + 394*x^4 - 310*x^3 - 183*x^2 - 9*x + 3, x^13 + 7*x^12 + 7*x^11 - 54*x^10 - 136*x^9 + 55*x^8 + 468*x^7 + 308*x^6 - 418*x^5 - 523*x^4 + 3*x^3 + 194*x^2 + 66*x + 2, -x^13 - 7*x^12 - 7*x^11 + 54*x^10 + 136*x^9 - 55*x^8 - 468*x^7 - 308*x^6 + 418*x^5 + 523*x^4 - 3*x^3 - 194*x^2 - 66*x - 2, 2*x^14 + 12*x^13 + 3*x^12 - 109*x^11 - 178*x^10 + 257*x^9 + 761*x^8 + 36*x^7 - 1084*x^6 - 562*x^5 + 526*x^4 + 415*x^3 - 35*x^2 - 62*x - 6, -2*x^14 - 12*x^13 - 3*x^12 + 109*x^11 + 178*x^10 - 257*x^9 - 761*x^8 - 36*x^7 + 1084*x^6 + 562*x^5 - 526*x^4 - 415*x^3 + 35*x^2 + 62*x + 6]>,
         rec<Eigen |
           DefiningPolynomial := x^32 - 7*x^31 - 24*x^30 + 266*x^29 + 82*x^28 - 4435*x^27 + 3546*x^26 + 42612*x^25 - 61244*x^24 - 260118*x^23 + 503728*x^22 + 1045259*x^21 - 2565508*x^20 - 2747671*x^19 + 8721575*x^18 + 4413408*x^17 - 20305272*x^16 - 3149984*x^15 + 32444843*x^14 - 2405404*x^13 - 35062007*x^12 + 7960643*x^11 + 24819099*x^10 - 8154383*x^9 - 10879976*x^8 + 4277929*x^7 + 2681047*x^6 - 1146869*x^5 - 315417*x^4 + 133917*x^3 + 15831*x^2 - 5013*x - 405,
           Coordinates        := [-x^31 + 7*x^30 + 22*x^29 - 252*x^28 - 42*x^27 + 3957*x^26 - 3540*x^25 - 35592*x^24 + 53813*x^23 + 202161*x^22 - 405006*x^21 - 751429*x^20 + 1895154*x^19 + 1818519*x^18 - 5907598*x^17 - 2692482*x^16 + 12563710*x^15 + 1861290*x^14 - 18259364*x^13 + 816563*x^12 + 17879165*x^11 - 2903007*x^10 - 11447565*x^9 + 2584319*x^8 + 4556317*x^7 - 1122301*x^6 - 1034807*x^5 + 237841*x^4 + 114930*x^3 - 20478*x^2 - 4626*x + 360, x^31 - 7*x^30 - 22*x^29 + 252*x^28 + 42*x^27 - 3959*x^26 + 3555*x^25 + 35609*x^24 - 54184*x^23 - 201818*x^22 + 408874*x^21 + 744524*x^20 - 1917054*x^19 - 1764258*x^18 + 5978842*x^17 + 2450290*x^16 - 12686054*x^15 - 1187753*x^14 + 18304384*x^13 - 2011394*x^12 - 17647561*x^11 + 4240591*x^10 + 10983573*x^9 - 3498581*x^8 - 4174699*x^7 + 1486009*x^6 + 886244*x^5 - 317580*x^4 - 89696*x^3 + 29280*x^2 + 3198*x - 774, -8*x^22 + 55*x^21 + 56*x^20 - 1109*x^19 + 892*x^18 + 9192*x^17 - 13809*x^16 - 40513*x^15 + 79772*x^14 + 102704*x^13 - 248746*x^12 - 151234*x^11 + 455933*x^10 + 122507*x^9 - 497704*x^8 - 42480*x^7 + 312196*x^6 - 4472*x^5 - 102478*x^4 + 6030*x^3 + 14670*x^2 - 873*x - 666, x^29 - 7*x^28 - 20*x^27 + 238*x^26 + 3*x^25 - 3492*x^24 + 3558*x^23 + 28862*x^22 - 47448*x^21 - 146729*x^20 + 320686*x^19 + 466979*x^18 - 1330986*x^17 - 885106*x^16 + 3589172*x^15 + 774445*x^14 - 6372620*x^13 + 368396*x^12 + 7373422*x^11 - 1667694*x^10 - 5395793*x^9 + 1746089*x^8 + 2367941*x^7 - 871339*x^6 - 569088*x^5 + 210006*x^4 + 63454*x^3 - 21156*x^2 - 2382*x + 576, x^28 - 7*x^27 - 15*x^26 + 203*x^25 - 68*x^24 - 2501*x^23 + 3134*x^22 + 17097*x^21 - 31392*x^20 - 71000*x^19 + 168556*x^18 + 183989*x^17 - 562892*x^16 - 292213*x^15 + 1236514*x^14 + 258466*x^13 - 1834690*x^12 - 71026*x^11 + 1857218*x^10 - 95440*x^9 - 1267459*x^8 + 122275*x^7 + 553166*x^6 - 63944*x^5 - 137418*x^4 + 15416*x^3 + 15672*x^2 - 1182*x - 612, x^29 - 7*x^28 - 17*x^27 + 219*x^26 - 56*x^25 - 2907*x^24 + 3714*x^23 + 21175*x^22 - 41884*x^21 - 90440*x^20 + 248626*x^19 + 215951*x^18 - 902338*x^17 - 188589*x^16 + 2086700*x^15 - 388722*x^14 - 3073372*x^13 + 1379288*x^12 + 2799810*x^11 - 1800052*x^10 - 1482807*x^9 + 1211605*x^8 + 406100*x^7 - 426816*x^6 - 43496*x^5 + 74274*x^4 - 386*x^3 - 5964*x^2 + 192*x + 198, -2*x^23 + 13*x^22 + 18*x^21 - 265*x^20 + 132*x^19 + 2244*x^18 - 2615*x^17 - 10223*x^16 + 15954*x^15 + 26768*x^14 - 51608*x^13 - 37910*x^12 + 97885*x^11 + 16459*x^10 - 109014*x^9 + 29372*x^8 + 66010*x^7 - 46050*x^6 - 16870*x^5 + 23696*x^4 + 34*x^3 - 4653*x^2 + 390*x + 252, x^30 - 7*x^29 - 20*x^28 + 238*x^27 + 4*x^26 - 3499*x^25 + 3543*x^24 + 29075*x^23 - 47586*x^22 - 149310*x^21 + 325382*x^20 + 482622*x^19 - 1376312*x^18 - 930300*x^17 + 3819256*x^16 + 787842*x^15 - 7059260*x^14 + 680651*x^13 + 8600040*x^12 - 2646052*x^11 - 6662609*x^10 + 3126779*x^9 + 3048417*x^8 - 1871113*x^7 - 706183*x^6 + 560743*x^5 + 55586*x^4 - 70414*x^3 - 522*x^2 + 2904*x + 90, x^30 - 7*x^29 - 20*x^28 + 238*x^27 + 5*x^26 - 3502*x^25 + 3502*x^24 + 29210*x^23 - 46912*x^22 - 151781*x^21 + 319542*x^20 + 507355*x^19 - 1347742*x^18 - 1081328*x^17 + 3745518*x^16 + 1376595*x^15 - 7010182*x^14 - 802030*x^13 + 8858392*x^12 - 263710*x^11 - 7474329*x^10 + 772845*x^9 + 4104973*x^8 - 540887*x^7 - 1400658*x^6 + 187854*x^5 + 273660*x^4 - 33300*x^3 - 26628*x^2 + 2160*x + 1008, x^28 - 6*x^27 - 23*x^26 + 196*x^25 + 140*x^24 - 2767*x^23 + 947*x^22 + 22122*x^21 - 19762*x^20 - 110202*x^19 + 138424*x^18 + 354375*x^17 - 547963*x^16 - 736552*x^15 + 1350148*x^14 + 961426*x^13 - 2111946*x^12 - 732658*x^11 + 2067152*x^10 + 267100*x^9 - 1215707*x^8 - 4102*x^7 + 401998*x^6 - 24818*x^5 - 68314*x^4 + 5960*x^3 + 5574*x^2 - 390*x - 198, -2*x^24 + 15*x^23 + 13*x^22 - 338*x^21 + 341*x^20 + 3221*x^19 - 5751*x^18 - 16800*x^17 + 39986*x^16 + 51327*x^15 - 158148*x^14 - 89006*x^13 + 384541*x^12 + 69808*x^11 - 581406*x^10 + 15879*x^9 + 534342*x^8 - 69580*x^7 - 283016*x^6 + 45038*x^5 + 78816*x^4 - 10717*x^3 - 9627*x^2 + 735*x + 414, 5*x^22 - 33*x^21 - 44*x^20 + 681*x^19 - 365*x^18 - 5909*x^17 + 7106*x^16 + 28104*x^15 - 44757*x^14 - 79240*x^13 + 151704*x^12 + 130999*x^11 - 301992*x^10 - 112822*x^9 + 349161*x^8 + 30894*x^7 - 220950*x^6 + 14994*x^5 + 69112*x^4 - 8738*x^3 - 9129*x^2 + 849*x + 441, -2*x^25 + 15*x^24 + 15*x^23 - 356*x^22 + 356*x^21 + 3530*x^20 - 6564*x^19 - 18679*x^18 + 48510*x^17 + 54444*x^16 - 202206*x^15 - 71017*x^14 + 515389*x^13 - 43986*x^12 - 810290*x^11 + 301412*x^10 + 756178*x^9 - 448113*x^8 - 379920*x^7 + 312038*x^6 + 80692*x^5 - 103525*x^4 - 923*x^3 + 14517*x^2 - 825*x - 693, x^27 - 8*x^26 - 6*x^25 + 203*x^24 - 290*x^23 - 2039*x^22 + 5246*x^21 + 9720*x^20 - 40035*x^19 - 15981*x^18 + 169723*x^17 - 51812*x^16 - 425093*x^15 + 323594*x^14 + 619341*x^13 - 725157*x^12 - 471296*x^11 + 852306*x^10 + 107674*x^9 - 544665*x^8 + 73533*x^7 + 181436*x^6 - 46961*x^5 - 29429*x^4 + 8029*x^3 + 2391*x^2 - 402*x - 99, x^27 - 8*x^26 - 6*x^25 + 203*x^24 - 290*x^23 - 2039*x^22 + 5246*x^21 + 9720*x^20 - 40035*x^19 - 15981*x^18 + 169723*x^17 - 51812*x^16 - 425093*x^15 + 323594*x^14 + 619341*x^13 - 725157*x^12 - 471296*x^11 + 852306*x^10 + 107674*x^9 - 544665*x^8 + 73533*x^7 + 181436*x^6 - 46961*x^5 - 29429*x^4 + 8029*x^3 + 2391*x^2 - 402*x - 99, -x^26 + 5*x^25 + 28*x^24 - 174*x^23 - 268*x^22 + 2526*x^21 + 572*x^20 - 20188*x^19 + 8378*x^18 + 98111*x^17 - 78173*x^16 - 301075*x^15 + 318781*x^14 + 585213*x^13 - 742485*x^12 - 701992*x^11 + 1039268*x^10 + 486622*x^9 - 868516*x^8 - 165226*x^7 + 415785*x^6 + 11076*x^5 - 105103*x^4 + 6072*x^3 + 12123*x^2 - 792*x - 504, -x^26 + 5*x^25 + 28*x^24 - 174*x^23 - 268*x^22 + 2526*x^21 + 572*x^20 - 20188*x^19 + 8378*x^18 + 98111*x^17 - 78173*x^16 - 301075*x^15 + 318781*x^14 + 585213*x^13 - 742485*x^12 - 701992*x^11 + 1039268*x^10 + 486622*x^9 - 868516*x^8 - 165226*x^7 + 415785*x^6 + 11076*x^5 - 105103*x^4 + 6072*x^3 + 12123*x^2 - 792*x - 504, x^26 - 8*x^25 - 7*x^24 + 210*x^23 - 275*x^22 - 2236*x^21 + 5287*x^20 + 12084*x^19 - 42463*x^18 - 31734*x^17 + 192976*x^16 + 11809*x^15 - 539331*x^14 + 163973*x^13 + 951211*x^12 - 479485*x^11 - 1058782*x^10 + 630537*x^9 + 731759*x^8 - 436162*x^7 - 305632*x^6 + 154901*x^5 + 74320*x^4 - 25350*x^3 - 9507*x^2 + 1557*x + 468, x^26 - 8*x^25 - 7*x^24 + 210*x^23 - 275*x^22 - 2236*x^21 + 5287*x^20 + 12084*x^19 - 42463*x^18 - 31734*x^17 + 192976*x^16 + 11809*x^15 - 539331*x^14 + 163973*x^13 + 951211*x^12 - 479485*x^11 - 1058782*x^10 + 630537*x^9 + 731759*x^8 - 436162*x^7 - 305632*x^6 + 154901*x^5 + 74320*x^4 - 25350*x^3 - 9507*x^2 + 1557*x + 468, -x^27 + 8*x^26 + 8*x^25 - 215*x^24 + 252*x^23 + 2387*x^22 - 5141*x^21 - 13930*x^20 + 42935*x^19 + 43630*x^18 - 204067*x^17 - 55177*x^16 + 603998*x^15 - 77842*x^14 - 1147596*x^13 + 412183*x^12 + 1402817*x^11 - 690762*x^10 - 1079762*x^9 + 609233*x^8 + 495323*x^7 - 294495*x^6 - 120386*x^5 + 71127*x^4 + 12325*x^3 - 6567*x^2 - 474*x + 144, -x^27 + 8*x^26 + 8*x^25 - 215*x^24 + 252*x^23 + 2387*x^22 - 5141*x^21 - 13930*x^20 + 42935*x^19 + 43630*x^18 - 204067*x^17 - 55177*x^16 + 603998*x^15 - 77842*x^14 - 1147596*x^13 + 412183*x^12 + 1402817*x^11 - 690762*x^10 - 1079762*x^9 + 609233*x^8 + 495323*x^7 - 294495*x^6 - 120386*x^5 + 71127*x^4 + 12325*x^3 - 6567*x^2 - 474*x + 144, x^29 - 7*x^28 - 19*x^27 + 230*x^26 - 6*x^25 - 3267*x^24 + 3299*x^23 + 26254*x^22 - 41746*x^21 - 130951*x^20 + 270371*x^19 + 416979*x^18 - 1079793*x^17 - 831224*x^16 + 2813397*x^15 + 934202*x^14 - 4852172*x^13 - 317329*x^12 + 5492476*x^11 - 556906*x^10 - 3967578*x^9 + 813734*x^8 + 1734258*x^7 - 462633*x^6 - 415329*x^5 + 123583*x^4 + 44587*x^3 - 13188*x^2 - 1554*x + 387, x^29 - 7*x^28 - 19*x^27 + 230*x^26 - 6*x^25 - 3267*x^24 + 3299*x^23 + 26254*x^22 - 41746*x^21 - 130951*x^20 + 270371*x^19 + 416979*x^18 - 1079793*x^17 - 831224*x^16 + 2813397*x^15 + 934202*x^14 - 4852172*x^13 - 317329*x^12 + 5492476*x^11 - 556906*x^10 - 3967578*x^9 + 813734*x^8 + 1734258*x^7 - 462633*x^6 - 415329*x^5 + 123583*x^4 + 44587*x^3 - 13188*x^2 - 1554*x + 387, -x^29 + 7*x^28 + 19*x^27 - 232*x^26 + 20*x^25 + 3290*x^24 - 3652*x^23 - 26068*x^22 + 45494*x^21 + 125969*x^20 - 292120*x^19 - 377246*x^18 + 1154702*x^17 + 662204*x^16 - 2969316*x^15 - 508013*x^14 + 5044922*x^13 - 327903*x^12 - 5632162*x^11 + 1115048*x^10 + 4040655*x^9 - 1042799*x^8 - 1786930*x^7 + 466630*x^6 + 452909*x^5 - 98831*x^4 - 57403*x^3 + 8241*x^2 + 2670*x - 72, -x^29 + 7*x^28 + 19*x^27 - 232*x^26 + 20*x^25 + 3290*x^24 - 3652*x^23 - 26068*x^22 + 45494*x^21 + 125969*x^20 - 292120*x^19 - 377246*x^18 + 1154702*x^17 + 662204*x^16 - 2969316*x^15 - 508013*x^14 + 5044922*x^13 - 327903*x^12 - 5632162*x^11 + 1115048*x^10 + 4040655*x^9 - 1042799*x^8 - 1786930*x^7 + 466630*x^6 + 452909*x^5 - 98831*x^4 - 57403*x^3 + 8241*x^2 + 2670*x - 72, -x^26 + 7*x^25 + 14*x^24 - 195*x^23 + 78*x^22 + 2277*x^21 - 2923*x^20 - 14512*x^19 + 26710*x^18 + 54987*x^17 - 129355*x^16 - 126047*x^15 + 379710*x^14 + 167897*x^13 - 705539*x^12 - 108001*x^11 + 837013*x^10 - 6452*x^9 - 623256*x^8 + 56997*x^7 + 279097*x^6 - 33620*x^5 - 70241*x^4 + 7814*x^3 + 8673*x^2 - 687*x - 369, -x^26 + 7*x^25 + 14*x^24 - 195*x^23 + 78*x^22 + 2277*x^21 - 2923*x^20 - 14512*x^19 + 26710*x^18 + 54987*x^17 - 129355*x^16 - 126047*x^15 + 379710*x^14 + 167897*x^13 - 705539*x^12 - 108001*x^11 + 837013*x^10 - 6452*x^9 - 623256*x^8 + 56997*x^7 + 279097*x^6 - 33620*x^5 - 70241*x^4 + 7814*x^3 + 8673*x^2 - 687*x - 369, -x^29 + 6*x^28 + 26*x^27 - 214*x^26 - 203*x^25 + 3316*x^24 - 622*x^23 - 29356*x^22 + 22570*x^21 + 164166*x^20 - 186706*x^19 - 605065*x^18 + 854893*x^17 + 1487034*x^16 - 2466146*x^15 - 2405392*x^14 + 4645014*x^13 + 2445303*x^12 - 5711942*x^11 - 1375162*x^10 + 4469137*x^9 + 226254*x^8 - 2102286*x^7 + 160811*x^6 + 533417*x^5 - 81829*x^4 - 59183*x^3 + 10323*x^2 + 2100*x - 288, -x^29 + 6*x^28 + 26*x^27 - 214*x^26 - 203*x^25 + 3316*x^24 - 622*x^23 - 29356*x^22 + 22570*x^21 + 164166*x^20 - 186706*x^19 - 605065*x^18 + 854893*x^17 + 1487034*x^16 - 2466146*x^15 - 2405392*x^14 + 4645014*x^13 + 2445303*x^12 - 5711942*x^11 - 1375162*x^10 + 4469137*x^9 + 226254*x^8 - 2102286*x^7 + 160811*x^6 + 533417*x^5 - 81829*x^4 - 59183*x^3 + 10323*x^2 + 2100*x - 288, -x^30 + 7*x^29 + 20*x^28 - 239*x^27 + 3*x^26 + 3511*x^25 - 3723*x^24 - 28986*x^23 + 49539*x^22 + 146737*x^21 - 336942*x^20 - 461294*x^19 + 1416328*x^18 + 836208*x^17 - 3898003*x^16 - 543244*x^15 + 7128248*x^14 - 1052115*x^13 - 8569428*x^12 + 2933963*x^11 + 6535061*x^10 - 3163121*x^9 - 2937773*x^8 + 1767774*x^7 + 667101*x^6 - 494860*x^5 - 48481*x^4 + 57181*x^3 - 1656*x^2 - 1914*x + 144, -x^30 + 7*x^29 + 20*x^28 - 239*x^27 + 3*x^26 + 3511*x^25 - 3723*x^24 - 28986*x^23 + 49539*x^22 + 146737*x^21 - 336942*x^20 - 461294*x^19 + 1416328*x^18 + 836208*x^17 - 3898003*x^16 - 543244*x^15 + 7128248*x^14 - 1052115*x^13 - 8569428*x^12 + 2933963*x^11 + 6535061*x^10 - 3163121*x^9 - 2937773*x^8 + 1767774*x^7 + 667101*x^6 - 494860*x^5 - 48481*x^4 + 57181*x^3 - 1656*x^2 - 1914*x + 144, x^28 - 7*x^27 - 18*x^26 + 224*x^25 - 29*x^24 - 3073*x^23 + 3453*x^22 + 23500*x^21 - 41081*x^20 - 108578*x^19 + 252889*x^18 + 303143*x^17 - 950682*x^16 - 457638*x^15 + 2284930*x^14 + 149616*x^13 - 3519747*x^12 + 686329*x^11 + 3385793*x^10 - 1233283*x^9 - 1923392*x^8 + 913157*x^7 + 585349*x^6 - 316774*x^5 - 82126*x^4 + 44901*x^3 + 5535*x^2 - 2043*x - 234, x^28 - 7*x^27 - 18*x^26 + 224*x^25 - 29*x^24 - 3073*x^23 + 3453*x^22 + 23500*x^21 - 41081*x^20 - 108578*x^19 + 252889*x^18 + 303143*x^17 - 950682*x^16 - 457638*x^15 + 2284930*x^14 + 149616*x^13 - 3519747*x^12 + 686329*x^11 + 3385793*x^10 - 1233283*x^9 - 1923392*x^8 + 913157*x^7 + 585349*x^6 - 316774*x^5 - 82126*x^4 + 44901*x^3 + 5535*x^2 - 2043*x - 234, -x^28 + 7*x^27 + 18*x^26 - 226*x^25 + 43*x^24 + 3092*x^23 - 3777*x^22 - 23294*x^21 + 44250*x^20 + 104236*x^19 - 270004*x^18 - 272115*x^17 + 1006860*x^16 + 336306*x^15 - 2402107*x^14 + 138999*x^13 + 3679751*x^12 - 1116923*x^11 - 3533674*x^10 + 1633700*x^9 + 2019359*x^8 - 1135918*x^7 - 629977*x^6 + 384953*x^5 + 96181*x^4 - 55012*x^3 - 7797*x^2 + 2634*x + 360, -x^28 + 7*x^27 + 18*x^26 - 226*x^25 + 43*x^24 + 3092*x^23 - 3777*x^22 - 23294*x^21 + 44250*x^20 + 104236*x^19 - 270004*x^18 - 272115*x^17 + 1006860*x^16 + 336306*x^15 - 2402107*x^14 + 138999*x^13 + 3679751*x^12 - 1116923*x^11 - 3533674*x^10 + 1633700*x^9 + 2019359*x^8 - 1135918*x^7 - 629977*x^6 + 384953*x^5 + 96181*x^4 - 55012*x^3 - 7797*x^2 + 2634*x + 360, -x^27 + 6*x^26 + 23*x^25 - 196*x^24 - 139*x^23 + 2758*x^22 - 941*x^21 - 21958*x^20 + 19369*x^19 + 109093*x^18 - 134201*x^17 - 351329*x^16 + 526176*x^15 + 736435*x^14 - 1285962*x^13 - 979066*x^12 + 1995146*x^11 + 770222*x^10 - 1926439*x^9 - 299191*x^8 + 1096912*x^7 + 17991*x^6 - 332889*x^5 + 18444*x^4 + 44384*x^3 - 2814*x^2 - 1938*x + 9, -x^27 + 6*x^26 + 23*x^25 - 196*x^24 - 139*x^23 + 2758*x^22 - 941*x^21 - 21958*x^20 + 19369*x^19 + 109093*x^18 - 134201*x^17 - 351329*x^16 + 526176*x^15 + 736435*x^14 - 1285962*x^13 - 979066*x^12 + 1995146*x^11 + 770222*x^10 - 1926439*x^9 - 299191*x^8 + 1096912*x^7 + 17991*x^6 - 332889*x^5 + 18444*x^4 + 44384*x^3 - 2814*x^2 - 1938*x + 9, -x^25 + 8*x^24 + 7*x^23 - 206*x^22 + 254*x^21 + 2159*x^20 - 4743*x^19 - 11643*x^18 + 36580*x^17 + 32306*x^16 - 158275*x^15 - 29207*x^14 + 416450*x^13 - 80146*x^12 - 678648*x^11 + 282108*x^10 + 672646*x^9 - 375571*x^8 - 381653*x^7 + 254021*x^6 + 107747*x^5 - 84950*x^4 - 10361*x^3 + 11634*x^2 + 12*x - 477, -x^25 + 8*x^24 + 7*x^23 - 206*x^22 + 254*x^21 + 2159*x^20 - 4743*x^19 - 11643*x^18 + 36580*x^17 + 32306*x^16 - 158275*x^15 - 29207*x^14 + 416450*x^13 - 80146*x^12 - 678648*x^11 + 282108*x^10 + 672646*x^9 - 375571*x^8 - 381653*x^7 + 254021*x^6 + 107747*x^5 - 84950*x^4 - 10361*x^3 + 11634*x^2 + 12*x - 477, x^24 - 5*x^23 - 23*x^22 + 147*x^21 + 170*x^20 - 1793*x^19 - 79*x^18 + 11953*x^17 - 5941*x^16 - 48042*x^15 + 39454*x^14 + 120355*x^13 - 126771*x^12 - 185900*x^11 + 234292*x^10 + 166641*x^9 - 251724*x^8 - 75685*x^7 + 149005*x^6 + 12037*x^5 - 43777*x^4 + 794*x^3 + 5238*x^2 - 147*x - 207, x^24 - 5*x^23 - 23*x^22 + 147*x^21 + 170*x^20 - 1793*x^19 - 79*x^18 + 11953*x^17 - 5941*x^16 - 48042*x^15 + 39454*x^14 + 120355*x^13 - 126771*x^12 - 185900*x^11 + 234292*x^10 + 166641*x^9 - 251724*x^8 - 75685*x^7 + 149005*x^6 + 12037*x^5 - 43777*x^4 + 794*x^3 + 5238*x^2 - 147*x - 207, -2*x^24 + 14*x^23 + 16*x^22 - 303*x^21 + 225*x^20 + 2747*x^19 - 3962*x^18 - 13641*x^17 + 25431*x^16 + 41033*x^15 - 89423*x^14 - 79209*x^13 + 190046*x^12 + 103342*x^11 - 251570*x^10 - 94857*x^9 + 206072*x^8 + 60041*x^7 - 99668*x^6 - 23839*x^5 + 25375*x^4 + 5222*x^3 - 2793*x^2 - 372*x + 63, -2*x^24 + 14*x^23 + 16*x^22 - 303*x^21 + 225*x^20 + 2747*x^19 - 3962*x^18 - 13641*x^17 + 25431*x^16 + 41033*x^15 - 89423*x^14 - 79209*x^13 + 190046*x^12 + 103342*x^11 - 251570*x^10 - 94857*x^9 + 206072*x^8 + 60041*x^7 - 99668*x^6 - 23839*x^5 + 25375*x^4 + 5222*x^3 - 2793*x^2 - 372*x + 63, x^27 - 6*x^26 - 23*x^25 + 196*x^24 + 140*x^23 - 2770*x^22 + 968*x^21 + 22148*x^20 - 20229*x^19 - 109874*x^18 + 142752*x^17 + 348155*x^16 - 569500*x^15 - 695163*x^14 + 1411634*x^13 + 813612*x^12 - 2210025*x^11 - 424807*x^10 + 2139043*x^9 - 106649*x^8 - 1208950*x^7 + 245527*x^6 + 357042*x^5 - 104057*x^4 - 44274*x^3 + 13938*x^2 + 1692*x - 450, x^27 - 6*x^26 - 23*x^25 + 196*x^24 + 140*x^23 - 2770*x^22 + 968*x^21 + 22148*x^20 - 20229*x^19 - 109874*x^18 + 142752*x^17 + 348155*x^16 - 569500*x^15 - 695163*x^14 + 1411634*x^13 + 813612*x^12 - 2210025*x^11 - 424807*x^10 + 2139043*x^9 - 106649*x^8 - 1208950*x^7 + 245527*x^6 + 357042*x^5 - 104057*x^4 - 44274*x^3 + 13938*x^2 + 1692*x - 450, x^25 - 6*x^24 - 18*x^23 + 165*x^22 + 56*x^21 - 1919*x^20 + 1033*x^19 + 12397*x^18 - 11985*x^17 - 49207*x^16 + 59392*x^15 + 125658*x^14 - 167886*x^13 - 210833*x^12 + 289193*x^11 + 234341*x^10 - 305543*x^9 - 173122*x^8 + 193796*x^7 + 83982*x^6 - 70808*x^5 - 24541*x^4 + 13182*x^3 + 3744*x^2 - 909*x - 234, x^25 - 6*x^24 - 18*x^23 + 165*x^22 + 56*x^21 - 1919*x^20 + 1033*x^19 + 12397*x^18 - 11985*x^17 - 49207*x^16 + 59392*x^15 + 125658*x^14 - 167886*x^13 - 210833*x^12 + 289193*x^11 + 234341*x^10 - 305543*x^9 - 173122*x^8 + 193796*x^7 + 83982*x^6 - 70808*x^5 - 24541*x^4 + 13182*x^3 + 3744*x^2 - 909*x - 234, -x^24 + 7*x^23 + 11*x^22 - 174*x^21 + 99*x^20 + 1836*x^19 - 2527*x^18 - 10696*x^17 + 20287*x^16 + 37448*x^15 - 88918*x^14 - 80157*x^13 + 237724*x^12 + 100916*x^11 - 398708*x^10 - 63576*x^9 + 414725*x^8 + 3228*x^7 - 255332*x^6 + 19478*x^5 + 84421*x^4 - 9362*x^3 - 12405*x^2 + 1119*x + 603, -x^24 + 7*x^23 + 11*x^22 - 174*x^21 + 99*x^20 + 1836*x^19 - 2527*x^18 - 10696*x^17 + 20287*x^16 + 37448*x^15 - 88918*x^14 - 80157*x^13 + 237724*x^12 + 100916*x^11 - 398708*x^10 - 63576*x^9 + 414725*x^8 + 3228*x^7 - 255332*x^6 + 19478*x^5 + 84421*x^4 - 9362*x^3 - 12405*x^2 + 1119*x + 603, -3*x^23 + 21*x^22 + 19*x^21 - 422*x^20 + 380*x^19 + 3474*x^18 - 5597*x^17 - 15145*x^16 + 31909*x^15 + 37968*x^14 - 98569*x^13 - 56662*x^12 + 179024*x^11 + 53024*x^10 - 194345*x^9 - 35926*x^8 + 123093*x^7 + 20789*x^6 - 42804*x^5 - 8833*x^4 + 7318*x^3 + 1890*x^2 - 528*x - 126, -3*x^23 + 21*x^22 + 19*x^21 - 422*x^20 + 380*x^19 + 3474*x^18 - 5597*x^17 - 15145*x^16 + 31909*x^15 + 37968*x^14 - 98569*x^13 - 56662*x^12 + 179024*x^11 + 53024*x^10 - 194345*x^9 - 35926*x^8 + 123093*x^7 + 20789*x^6 - 42804*x^5 - 8833*x^4 + 7318*x^3 + 1890*x^2 - 528*x - 126, x^26 - 5*x^25 - 27*x^24 + 163*x^23 + 285*x^22 - 2320*x^21 - 1296*x^20 + 18933*x^19 - 263*x^18 - 97740*x^17 + 33027*x^16 + 331975*x^15 - 178133*x^14 - 747638*x^13 + 496110*x^12 + 1098889*x^11 - 821943*x^10 - 1012409*x^9 + 821091*x^8 + 541320*x^7 - 473834*x^6 - 144325*x^5 + 141909*x^4 + 13311*x^3 - 17781*x^2 - 99*x + 684, x^26 - 5*x^25 - 27*x^24 + 163*x^23 + 285*x^22 - 2320*x^21 - 1296*x^20 + 18933*x^19 - 263*x^18 - 97740*x^17 + 33027*x^16 + 331975*x^15 - 178133*x^14 - 747638*x^13 + 496110*x^12 + 1098889*x^11 - 821943*x^10 - 1012409*x^9 + 821091*x^8 + 541320*x^7 - 473834*x^6 - 144325*x^5 + 141909*x^4 + 13311*x^3 - 17781*x^2 - 99*x + 684]>
       ]
>;

MOG[641] := 	// J_0(641)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 23, 72, 139, 156, 163, 189, 231, 404, 485, 499, 562, 593, 611, 418*x + 180, 223*x + 180, 59*x + 444, 582*x + 444, 213*x + 482, 428*x + 482, 78*x + 626, 563*x + 626, 297*x + 104, 344*x + 104, 489*x + 314, 152*x + 314, 500*x + 207, 141*x + 207, 263*x + 264, 378*x + 264, 301*x + 125, 340*x + 125, 80*x + 256, 561*x + 256, 520*x + 270, 121*x + 270, 505*x + 212, 136*x + 212, 63*x + 252, 578*x + 252, 336*x + 463, 305*x + 463, 607*x + 167, 34*x + 167, 330*x + 298, 311*x + 298, 130*x + 419, 511*x + 419, 55*x + 517, 586*x + 517, 174*x + 435, 467*x + 435, 462*x + 525, 179*x + 525]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^20 + 3*x^19 - 20*x^18 - 64*x^17 + 157*x^16 + 553*x^15 - 616*x^14 - 2526*x^13 + 1228*x^12 + 6637*x^11 - 934*x^10 - 10175*x^9 - 633*x^8 + 8780*x^7 + 1555*x^6 - 3890*x^5 - 853*x^4 + 752*x^3 + 140*x^2 - 45*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^19 - 3*x^18 + 18*x^17 + 58*x^16 - 124*x^15 - 446*x^14 + 411*x^13 + 1770*x^12 - 648*x^11 - 3917*x^10 + 308*x^9 + 4853*x^8 + 329*x^7 - 3191*x^6 - 381*x^5 + 991*x^4 + 85*x^3 - 124*x^2 - x + 3, x^19 + 3*x^18 - 18*x^17 - 58*x^16 + 124*x^15 + 446*x^14 - 411*x^13 - 1770*x^12 + 648*x^11 + 3917*x^10 - 308*x^9 - 4853*x^8 - 329*x^7 + 3191*x^6 + 381*x^5 - 991*x^4 - 85*x^3 + 124*x^2 + x - 3, -x^18 - 3*x^17 + 17*x^16 + 55*x^15 - 109*x^14 - 399*x^13 + 322*x^12 + 1476*x^11 - 385*x^10 - 2981*x^9 - 84*x^8 + 3257*x^7 + 574*x^6 - 1791*x^5 - 391*x^4 + 433*x^3 + 70*x^2 - 35*x, x^18 + 3*x^17 - 17*x^16 - 55*x^15 + 109*x^14 + 399*x^13 - 322*x^12 - 1476*x^11 + 385*x^10 + 2981*x^9 + 84*x^8 - 3257*x^7 - 574*x^6 + 1791*x^5 + 391*x^4 - 433*x^3 - 70*x^2 + 35*x, -x^18 - 3*x^17 + 16*x^16 + 52*x^15 - 96*x^14 - 357*x^13 + 258*x^12 + 1244*x^11 - 241*x^10 - 2341*x^9 - 220*x^8 + 2332*x^7 + 600*x^6 - 1108*x^5 - 377*x^4 + 195*x^3 + 69*x^2 - 7*x - 1, x^18 + 3*x^17 - 16*x^16 - 52*x^15 + 96*x^14 + 357*x^13 - 258*x^12 - 1244*x^11 + 241*x^10 + 2341*x^9 + 220*x^8 - 2332*x^7 - 600*x^6 + 1108*x^5 + 377*x^4 - 195*x^3 - 69*x^2 + 7*x + 1, -x^17 - 3*x^16 + 15*x^15 + 47*x^14 - 89*x^13 - 294*x^12 + 263*x^11 + 936*x^10 - 392*x^9 - 1596*x^8 + 245*x^7 + 1400*x^6 - 10*x^5 - 558*x^4 - 15*x^3 + 89*x^2 + x - 3, x^17 + 3*x^16 - 15*x^15 - 47*x^14 + 89*x^13 + 294*x^12 - 263*x^11 - 936*x^10 + 392*x^9 + 1596*x^8 - 245*x^7 - 1400*x^6 + 10*x^5 + 558*x^4 + 15*x^3 - 89*x^2 - x + 3, -x^17 - 3*x^16 + 14*x^15 + 43*x^14 - 81*x^13 - 247*x^12 + 257*x^11 + 731*x^10 - 499*x^9 - 1198*x^8 + 602*x^7 + 1094*x^6 - 398*x^5 - 523*x^4 + 98*x^3 + 93*x^2 - 6*x - 2, x^17 + 3*x^16 - 14*x^15 - 43*x^14 + 81*x^13 + 247*x^12 - 257*x^11 - 731*x^10 + 499*x^9 + 1198*x^8 - 602*x^7 - 1094*x^6 + 398*x^5 + 523*x^4 - 98*x^3 - 93*x^2 + 6*x + 2, -x^17 - 3*x^16 + 14*x^15 + 46*x^14 - 72*x^13 - 279*x^12 + 150*x^11 + 845*x^10 - 29*x^9 - 1323*x^8 - 331*x^7 + 989*x^6 + 402*x^5 - 273*x^4 - 114*x^3 + 24*x^2 + 6*x - 1, x^17 + 3*x^16 - 14*x^15 - 46*x^14 + 72*x^13 + 279*x^12 - 150*x^11 - 845*x^10 + 29*x^9 + 1323*x^8 + 331*x^7 - 989*x^6 - 402*x^5 + 273*x^4 + 114*x^3 - 24*x^2 - 6*x + 1, -x^16 - 4*x^15 + 11*x^14 + 56*x^13 - 39*x^12 - 311*x^11 + 23*x^10 + 872*x^9 + 165*x^8 - 1288*x^7 - 395*x^6 + 936*x^5 + 313*x^4 - 273*x^3 - 62*x^2 + 27*x, x^16 + 4*x^15 - 11*x^14 - 56*x^13 + 39*x^12 + 311*x^11 - 23*x^10 - 872*x^9 - 165*x^8 + 1288*x^7 + 395*x^6 - 936*x^5 - 313*x^4 + 273*x^3 + 62*x^2 - 27*x, -x^16 - 4*x^15 + 9*x^14 + 49*x^13 - 20*x^12 - 229*x^11 - 30*x^10 + 513*x^9 + 164*x^8 - 569*x^7 - 189*x^6 + 297*x^5 + 63*x^4 - 71*x^3 - 7*x^2 + 5*x, x^16 + 4*x^15 - 9*x^14 - 49*x^13 + 20*x^12 + 229*x^11 + 30*x^10 - 513*x^9 - 164*x^8 + 569*x^7 + 189*x^6 - 297*x^5 - 63*x^4 + 71*x^3 + 7*x^2 - 5*x, -x^16 - 5*x^15 + 6*x^14 + 60*x^13 + 16*x^12 - 273*x^11 - 194*x^10 + 586*x^9 + 514*x^8 - 598*x^7 - 534*x^6 + 262*x^5 + 190*x^4 - 55*x^3 - 13*x^2 + 6*x - 2, x^16 + 5*x^15 - 6*x^14 - 60*x^13 - 16*x^12 + 273*x^11 + 194*x^10 - 586*x^9 - 514*x^8 + 598*x^7 + 534*x^6 - 262*x^5 - 190*x^4 + 55*x^3 + 13*x^2 - 6*x + 2, -x^16 - 4*x^15 + 9*x^14 + 50*x^13 - 17*x^12 - 240*x^11 - 64*x^10 + 557*x^9 + 308*x^8 - 640*x^7 - 464*x^6 + 323*x^5 + 285*x^4 - 47*x^3 - 62*x^2 - x + 3, x^16 + 4*x^15 - 9*x^14 - 50*x^13 + 17*x^12 + 240*x^11 + 64*x^10 - 557*x^9 - 308*x^8 + 640*x^7 + 464*x^6 - 323*x^5 - 285*x^4 + 47*x^3 + 62*x^2 + x - 3, -x^16 - 2*x^15 + 16*x^14 + 30*x^13 - 102*x^12 - 177*x^11 + 327*x^10 + 518*x^9 - 547*x^8 - 776*x^7 + 445*x^6 + 544*x^5 - 142*x^4 - 131*x^3 + 17*x^2 + 7*x - 1, x^16 + 2*x^15 - 16*x^14 - 30*x^13 + 102*x^12 + 177*x^11 - 327*x^10 - 518*x^9 + 547*x^8 + 776*x^7 - 445*x^6 - 544*x^5 + 142*x^4 + 131*x^3 - 17*x^2 - 7*x + 1, -x^16 - 4*x^15 + 8*x^14 + 48*x^13 - 6*x^12 - 222*x^11 - 115*x^10 + 500*x^9 + 436*x^8 - 567*x^7 - 643*x^6 + 291*x^5 + 405*x^4 - 40*x^3 - 80*x^2 - x + 2, x^16 + 4*x^15 - 8*x^14 - 48*x^13 + 6*x^12 + 222*x^11 + 115*x^10 - 500*x^9 - 436*x^8 + 567*x^7 + 643*x^6 - 291*x^5 - 405*x^4 + 40*x^3 + 80*x^2 + x - 2, -x^13 - 3*x^12 + 9*x^11 + 33*x^10 - 21*x^9 - 129*x^8 - 11*x^7 + 216*x^6 + 81*x^5 - 148*x^4 - 69*x^3 + 35*x^2 + 15*x - 2, x^13 + 3*x^12 - 9*x^11 - 33*x^10 + 21*x^9 + 129*x^8 + 11*x^7 - 216*x^6 - 81*x^5 + 148*x^4 + 69*x^3 - 35*x^2 - 15*x + 2, -x^15 - 4*x^14 + 9*x^13 + 49*x^12 - 20*x^11 - 229*x^10 - 30*x^9 + 513*x^8 + 164*x^7 - 569*x^6 - 189*x^5 + 297*x^4 + 63*x^3 - 71*x^2 - 7*x + 5, x^15 + 4*x^14 - 9*x^13 - 49*x^12 + 20*x^11 + 229*x^10 + 30*x^9 - 513*x^8 - 164*x^7 + 569*x^6 + 189*x^5 - 297*x^4 - 63*x^3 + 71*x^2 + 7*x - 5, -x^15 - 4*x^14 + 8*x^13 + 46*x^12 - 10*x^11 - 197*x^10 - 65*x^9 + 393*x^8 + 222*x^7 - 376*x^6 - 253*x^5 + 163*x^4 + 113*x^3 - 32*x^2 - 18*x + 2, x^15 + 4*x^14 - 8*x^13 - 46*x^12 + 10*x^11 + 197*x^10 + 65*x^9 - 393*x^8 - 222*x^7 + 376*x^6 + 253*x^5 - 163*x^4 - 113*x^3 + 32*x^2 + 18*x - 2, -x^15 - 4*x^14 + 6*x^13 + 41*x^12 + 8*x^11 - 151*x^10 - 121*x^9 + 242*x^8 + 286*x^7 - 164*x^6 - 259*x^5 + 43*x^4 + 89*x^3 - 12*x^2 - 10*x + 3, x^15 + 4*x^14 - 6*x^13 - 41*x^12 - 8*x^11 + 151*x^10 + 121*x^9 - 242*x^8 - 286*x^7 + 164*x^6 + 259*x^5 - 43*x^4 - 89*x^3 + 12*x^2 + 10*x - 3, x^13 + 2*x^12 - 10*x^11 - 20*x^10 + 35*x^9 + 75*x^8 - 48*x^7 - 130*x^6 + 12*x^5 + 103*x^4 + 20*x^3 - 29*x^2 - 5*x + 3, -x^13 - 2*x^12 + 10*x^11 + 20*x^10 - 35*x^9 - 75*x^8 + 48*x^7 + 130*x^6 - 12*x^5 - 103*x^4 - 20*x^3 + 29*x^2 + 5*x - 3, -x^14 - 4*x^13 + 7*x^12 + 43*x^11 - x^10 - 164*x^9 - 86*x^8 + 264*x^7 + 211*x^6 - 160*x^5 - 172*x^4 + 15*x^3 + 44*x^2 + 3*x - 3, x^14 + 4*x^13 - 7*x^12 - 43*x^11 + x^10 + 164*x^9 + 86*x^8 - 264*x^7 - 211*x^6 + 160*x^5 + 172*x^4 - 15*x^3 - 44*x^2 - 3*x + 3, -x^14 - 3*x^13 + 9*x^12 + 32*x^11 - 24*x^10 - 127*x^9 + 6*x^8 + 236*x^7 + 50*x^6 - 214*x^5 - 45*x^4 + 88*x^3 + x^2 - 13*x + 3, x^14 + 3*x^13 - 9*x^12 - 32*x^11 + 24*x^10 + 127*x^9 - 6*x^8 - 236*x^7 - 50*x^6 + 214*x^5 + 45*x^4 - 88*x^3 - x^2 + 13*x - 3, -x^14 - 4*x^13 + 5*x^12 + 39*x^11 + 18*x^10 - 131*x^9 - 156*x^8 + 167*x^7 + 334*x^6 - 34*x^5 - 271*x^4 - 60*x^3 + 69*x^2 + 17*x - 5, x^14 + 4*x^13 - 5*x^12 - 39*x^11 - 18*x^10 + 131*x^9 + 156*x^8 - 167*x^7 - 334*x^6 + 34*x^5 + 271*x^4 + 60*x^3 - 69*x^2 - 17*x + 5]>,
         rec<Eigen |
           DefiningPolynomial := x^33 - 55*x^31 + 1366*x^29 + 2*x^28 - 20264*x^27 - 78*x^26 + 200138*x^25 + 1299*x^24 - 1388719*x^23 - 11961*x^22 + 6962586*x^21 + 65178*x^20 - 25548448*x^19 - 200710*x^18 + 68731628*x^17 + 225847*x^16 - 134481879*x^15 + 666597*x^14 + 187878625*x^13 - 3207902*x^12 - 181594644*x^11 + 5909639*x^10 + 115486103*x^9 - 5715509*x^8 - 44637399*x^7 + 2828028*x^6 + 9245727*x^5 - 606346*x^4 - 847312*x^3 + 55461*x^2 + 21058*x - 1289,
           Coordinates        := [-x^32 + 52*x^30 - 1214*x^28 - 2*x^27 + 16816*x^26 + 72*x^25 - 153888*x^24 - 1087*x^23 + 980561*x^22 + 8790*x^21 - 4467563*x^20 - 39160*x^19 + 14714883*x^18 + 74740*x^17 - 35017079*x^16 + 126101*x^15 + 59543036*x^14 - 1118806*x^13 - 70726643*x^12 + 2953066*x^11 + 56516457*x^10 - 4118409*x^9 - 28604920*x^8 + 3147144*x^7 + 8305609*x^6 - 1206222*x^5 - 1160342*x^4 + 190386*x^3 + 57018*x^2 - 9157*x - 190, x^32 - 52*x^30 + 1210*x^28 + 2*x^27 - 16638*x^26 - 70*x^25 + 150390*x^24 + 1007*x^23 - 940549*x^22 - 7474*x^21 + 4171917*x^20 + 27666*x^19 - 13234117*x^18 - 18270*x^17 + 29884587*x^16 - 269383*x^15 - 47197842*x^14 + 1190080*x^13 + 50380721*x^12 - 2345248*x^11 - 34226839*x^10 + 2362609*x^9 + 13256002*x^8 - 1044070*x^7 - 2301379*x^6 + 44560*x^5 + 56350*x^4 + 56266*x^3 + 15688*x^2 - 6987*x + 454, 6*x^26 + 2*x^25 - 244*x^24 - 78*x^23 + 4322*x^22 + 1336*x^21 - 43814*x^20 - 13114*x^19 + 281002*x^18 + 80698*x^17 - 1190420*x^16 - 320370*x^15 + 3378098*x^14 + 815952*x^13 - 6380190*x^12 - 1287350*x^11 + 7813982*x^10 + 1169948*x^9 - 5895030*x^8 - 534288*x^7 + 2500264*x^6 + 102172*x^5 - 510788*x^4 - 19152*x^3 + 44166*x^2 + 2068*x - 1354, 4*x^27 - 172*x^25 + 3238*x^23 + 14*x^22 - 35114*x^21 - 408*x^20 + 242888*x^19 + 4922*x^18 - 1121156*x^17 - 32088*x^16 + 3510884*x^15 + 124664*x^14 - 7433606*x^13 - 304554*x^12 + 10414610*x^11 + 495192*x^10 - 9253832*x^9 - 579262*x^8 + 4874002*x^7 + 498042*x^6 - 1397196*x^5 - 259326*x^4 + 206758*x^3 + 46606*x^2 - 10220*x - 778, -3*x^31 + 152*x^29 - 3448*x^27 - 6*x^26 + 46250*x^25 + 212*x^24 - 408158*x^23 - 3171*x^22 + 2495023*x^21 + 26018*x^20 - 10833565*x^19 - 125970*x^18 + 33714549*x^17 + 351948*x^16 - 74938843*x^15 - 452209*x^14 + 117151982*x^13 - 254836*x^12 - 125078187*x^11 + 1791230*x^10 + 86881183*x^9 - 2568365*x^8 - 36331790*x^7 + 1621806*x^6 + 8085385*x^5 - 415960*x^4 - 790294*x^3 + 46304*x^2 + 20868*x - 1289, -2*x^26 - 2*x^25 + 82*x^24 + 82*x^23 - 1474*x^22 - 1484*x^21 + 15274*x^20 + 15576*x^19 - 100956*x^18 - 104734*x^17 + 445192*x^16 + 470294*x^15 - 1333410*x^14 - 1426628*x^13 + 2717608*x^12 + 2893614*x^11 - 3734918*x^10 - 3794458*x^9 + 3394816*x^8 + 2997988*x^7 - 1957716*x^6 - 1233460*x^5 + 633966*x^4 + 187534*x^3 - 75524*x^2 - 4226*x + 1766, 2*x^26 + 2*x^25 - 78*x^24 - 78*x^23 + 1320*x^22 + 1340*x^21 - 12746*x^20 - 13300*x^19 + 77786*x^18 + 83982*x^17 - 314492*x^16 - 350072*x^15 + 860004*x^14 + 968034*x^13 - 1595772*x^12 - 1738978*x^11 + 1978062*x^10 + 1925572*x^9 - 1560240*x^8 - 1181510*x^7 + 692524*x^6 + 319962*x^5 - 122630*x^4 - 18574*x^3 - 1266*x^2 - 3676*x + 1110, 2*x^27 - 84*x^25 - 2*x^24 + 1546*x^23 + 86*x^22 - 16430*x^21 - 1510*x^20 + 111886*x^19 + 14224*x^18 - 512326*x^17 - 78656*x^16 + 1610034*x^15 + 259306*x^14 - 3478304*x^13 - 479246*x^12 + 5084980*x^11 + 360598*x^10 - 4841046*x^9 + 247662*x^8 + 2772756*x^7 - 658968*x^6 - 793846*x^5 + 407368*x^4 + 55100*x^3 - 72126*x^2 + 3108*x + 1584, 2*x^28 - 94*x^26 - 2*x^25 + 1958*x^24 + 86*x^23 - 23818*x^22 - 1586*x^21 + 187686*x^20 + 16438*x^19 - 1004538*x^18 - 105302*x^17 + 3723800*x^16 + 431446*x^15 - 9571180*x^14 - 1129300*x^13 + 16804832*x^12 + 1826724*x^11 - 19503772*x^10 - 1691336*x^9 + 14116134*x^8 + 767300*x^7 - 5760522*x^6 - 136978*x^5 + 1116480*x^4 + 36598*x^3 - 89068*x^2 - 4520*x + 2708, 2*x^28 - 86*x^26 + 4*x^25 + 1614*x^24 - 150*x^23 - 17364*x^22 + 2442*x^21 + 118256*x^20 - 22602*x^19 - 531044*x^18 + 130550*x^17 + 1586358*x^16 - 484714*x^15 - 3095298*x^14 + 1142726*x^13 + 3733858*x^12 - 1604384*x^11 - 2434724*x^10 + 1098648*x^9 + 541006*x^8 - 24500*x^7 + 89174*x^6 - 346732*x^5 + 29028*x^4 + 100158*x^3 - 14594*x^2 - 6038*x + 1110, x^31 - 50*x^29 + 1114*x^27 + 4*x^26 - 14592*x^25 - 146*x^24 + 124864*x^23 + 2277*x^22 - 733611*x^21 - 19856*x^20 + 3027851*x^19 + 106542*x^18 - 8830931*x^17 - 365874*x^16 + 18060755*x^15 + 815899*x^14 - 25354092*x^13 - 1191446*x^12 + 23524045*x^11 + 1166038*x^10 - 13585483*x^9 - 794723*x^8 + 4470970*x^7 + 353654*x^6 - 753745*x^5 - 65648*x^4 + 58912*x^3 + 2018*x^2 - 2568*x + 61, 2*x^27 - 82*x^25 + 2*x^24 + 1470*x^23 - 70*x^22 - 15174*x^21 + 1086*x^20 + 100058*x^19 - 9790*x^18 - 442534*x^17 + 56094*x^16 + 1342960*x^15 - 209294*x^14 - 2814984*x^13 + 502604*x^12 + 4044452*x^11 - 747976*x^10 - 3875808*x^9 + 648560*x^8 + 2326074*x^7 - 301276*x^6 - 759994*x^5 + 67366*x^4 + 94904*x^3 - 1706*x^2 - 736*x - 384, 2*x^27 + 2*x^26 - 80*x^25 - 82*x^24 + 1382*x^23 + 1476*x^22 - 13466*x^21 - 15286*x^20 + 80886*x^19 + 100278*x^18 - 305352*x^17 - 432558*x^16 + 692178*x^15 + 1234540*x^14 - 750222*x^13 - 2292558*x^12 - 274922*x^11 + 2665900*x^10 + 1856586*x^9 - 1831408*x^8 - 2151884*x^7 + 704724*x^6 + 1009200*x^5 - 153884*x^4 - 145642*x^3 + 5480*x^2 + 118*x + 768, 2*x^27 + 2*x^26 - 90*x^25 - 84*x^24 + 1778*x^23 + 1540*x^22 - 20314*x^21 - 16180*x^20 + 148896*x^19 + 107532*x^18 - 734540*x^17 - 470856*x^16 + 2490126*x^15 + 1372502*x^14 - 5819100*x^13 - 2630384*x^12 + 9257234*x^11 + 3194552*x^10 - 9711988*x^9 - 2279660*x^8 + 6313008*x^7 + 804490*x^6 - 2257474*x^5 - 70304*x^4 + 351996*x^3 - 11178*x^2 - 16750*x + 1580, -2*x^30 + 97*x^28 - 2099*x^26 - 2*x^25 + 26753*x^24 + 45*x^23 - 223330*x^22 - 176*x^21 + 1284562*x^20 - 4245*x^19 - 5215050*x^18 + 63864*x^17 + 15056197*x^16 - 415256*x^15 - 30738563*x^14 + 1550791*x^13 + 43550871*x^12 - 3533984*x^11 - 41334094*x^10 + 4893431*x^9 + 24741485*x^8 - 3909813*x^7 - 8415721*x^6 + 1601353*x^5 + 1345366*x^4 - 262427*x^3 - 75093*x^2 + 13091*x + 285, -2*x^30 + 97*x^28 - 2099*x^26 - 2*x^25 + 26753*x^24 + 45*x^23 - 223330*x^22 - 176*x^21 + 1284562*x^20 - 4245*x^19 - 5215050*x^18 + 63864*x^17 + 15056197*x^16 - 415256*x^15 - 30738563*x^14 + 1550791*x^13 + 43550871*x^12 - 3533984*x^11 - 41334094*x^10 + 4893431*x^9 + 24741485*x^8 - 3909813*x^7 - 8415721*x^6 + 1601353*x^5 + 1345366*x^4 - 262427*x^3 - 75093*x^2 + 13091*x + 285, x^31 - 53*x^29 + 1256*x^27 + 2*x^26 - 17578*x^25 - 73*x^24 + 161653*x^23 + 1105*x^22 - 1028529*x^21 - 8828*x^20 + 4643240*x^19 + 37949*x^18 - 15008055*x^17 - 64678*x^16 + 34611641*x^15 - 146208*x^14 - 56071906*x^13 + 1027050*x^12 + 61921880*x^11 - 2356534*x^10 - 44322309*x^9 + 2733081*x^8 + 18932525*x^7 - 1568561*x^6 - 4217816*x^5 + 364130*x^4 + 402044*x^3 - 32233*x^2 - 9018*x + 614, x^31 - 53*x^29 + 1256*x^27 + 2*x^26 - 17578*x^25 - 73*x^24 + 161653*x^23 + 1105*x^22 - 1028529*x^21 - 8828*x^20 + 4643240*x^19 + 37949*x^18 - 15008055*x^17 - 64678*x^16 + 34611641*x^15 - 146208*x^14 - 56071906*x^13 + 1027050*x^12 + 61921880*x^11 - 2356534*x^10 - 44322309*x^9 + 2733081*x^8 + 18932525*x^7 - 1568561*x^6 - 4217816*x^5 + 364130*x^4 + 402044*x^3 - 32233*x^2 - 9018*x + 614, -2*x^29 + 93*x^27 + 2*x^26 - 1919*x^25 - 94*x^24 + 23175*x^23 + 1890*x^22 - 181932*x^21 - 21435*x^20 + 975275*x^19 + 151885*x^18 - 3650297*x^17 - 702526*x^16 + 9588639*x^15 + 2149208*x^14 - 17529205*x^13 - 4306198*x^12 + 21822213*x^11 + 5458735*x^10 - 17817389*x^9 - 4074529*x^8 + 8983544*x^7 + 1548108*x^6 - 2522203*x^5 - 210597*x^4 + 313157*x^3 - 980*x^2 - 11565*x + 675, -2*x^29 + 93*x^27 + 2*x^26 - 1919*x^25 - 94*x^24 + 23175*x^23 + 1890*x^22 - 181932*x^21 - 21435*x^20 + 975275*x^19 + 151885*x^18 - 3650297*x^17 - 702526*x^16 + 9588639*x^15 + 2149208*x^14 - 17529205*x^13 - 4306198*x^12 + 21822213*x^11 + 5458735*x^10 - 17817389*x^9 - 4074529*x^8 + 8983544*x^7 + 1548108*x^6 - 2522203*x^5 - 210597*x^4 + 313157*x^3 - 980*x^2 - 11565*x + 675, x^30 - 51*x^28 + 1159*x^26 - x^25 - 15490*x^24 + 53*x^23 + 135350*x^22 - 1178*x^21 - 813239*x^20 + 14528*x^19 + 3441112*x^18 - 110272*x^17 - 10329143*x^16 + 538431*x^15 + 21864499*x^14 - 1713821*x^13 - 32009712*x^12 + 3522698*x^11 + 31238624*x^10 - 4522959*x^9 - 19064962*x^8 + 3385322*x^7 + 6499284*x^6 - 1281783*x^5 - 999672*x^4 + 173928*x^3 + 50387*x^2 - 5490*x - 739, x^30 - 51*x^28 + 1159*x^26 - x^25 - 15490*x^24 + 53*x^23 + 135350*x^22 - 1178*x^21 - 813239*x^20 + 14528*x^19 + 3441112*x^18 - 110272*x^17 - 10329143*x^16 + 538431*x^15 + 21864499*x^14 - 1713821*x^13 - 32009712*x^12 + 3522698*x^11 + 31238624*x^10 - 4522959*x^9 - 19064962*x^8 + 3385322*x^7 + 6499284*x^6 - 1281783*x^5 - 999672*x^4 + 173928*x^3 + 50387*x^2 - 5490*x - 739, -2*x^28 + 2*x^27 + 90*x^26 - 91*x^25 - 1787*x^24 + 1813*x^23 + 20618*x^22 - 20827*x^21 - 153209*x^20 + 152913*x^19 + 767798*x^18 - 751833*x^17 - 2640023*x^16 + 2522555*x^15 + 6208029*x^14 - 5777262*x^13 - 9752975*x^12 + 8884762*x^11 + 9733880*x^10 - 8847840*x^9 - 5588939*x^8 + 5339522*x^7 + 1471107*x^6 - 1728609*x^5 - 55564*x^4 + 231745*x^3 - 17778*x^2 - 6594*x + 691, -2*x^28 + 2*x^27 + 90*x^26 - 91*x^25 - 1787*x^24 + 1813*x^23 + 20618*x^22 - 20827*x^21 - 153209*x^20 + 152913*x^19 + 767798*x^18 - 751833*x^17 - 2640023*x^16 + 2522555*x^15 + 6208029*x^14 - 5777262*x^13 - 9752975*x^12 + 8884762*x^11 + 9733880*x^10 - 8847840*x^9 - 5588939*x^8 + 5339522*x^7 + 1471107*x^6 - 1728609*x^5 - 55564*x^4 + 231745*x^3 - 17778*x^2 - 6594*x + 691, -2*x^28 + 90*x^26 - x^25 - 1791*x^24 + 32*x^23 + 20780*x^22 - 432*x^21 - 156078*x^20 + 3217*x^19 + 796955*x^18 - 14557*x^17 - 2827535*x^16 + 41909*x^15 + 7001329*x^14 - 79727*x^13 - 11975683*x^12 + 107957*x^11 + 13782825*x^10 - 120120*x^9 - 10169002*x^8 + 118399*x^7 + 4422411*x^6 - 83341*x^5 - 976645*x^4 + 29702*x^3 + 81306*x^2 - 5822*x - 976, -2*x^28 + 90*x^26 - x^25 - 1791*x^24 + 32*x^23 + 20780*x^22 - 432*x^21 - 156078*x^20 + 3217*x^19 + 796955*x^18 - 14557*x^17 - 2827535*x^16 + 41909*x^15 + 7001329*x^14 - 79727*x^13 - 11975683*x^12 + 107957*x^11 + 13782825*x^10 - 120120*x^9 - 10169002*x^8 + 118399*x^7 + 4422411*x^6 - 83341*x^5 - 976645*x^4 + 29702*x^3 + 81306*x^2 - 5822*x - 976, x^29 - 48*x^27 - x^26 + 1020*x^25 + 42*x^24 - 12644*x^23 - 758*x^22 + 101430*x^21 + 7676*x^20 - 552298*x^19 - 47756*x^18 + 2083167*x^17 + 187676*x^16 - 5457070*x^15 - 460003*x^14 + 9809908*x^13 + 662060*x^12 - 11774112*x^11 - 471680*x^10 + 8995971*x^9 + 59370*x^8 - 4043298*x^7 + 82149*x^6 + 938237*x^5 - 15384*x^4 - 91986*x^3 - 1407*x^2 + 1722*x + 192, x^29 - 48*x^27 - x^26 + 1020*x^25 + 42*x^24 - 12644*x^23 - 758*x^22 + 101430*x^21 + 7676*x^20 - 552298*x^19 - 47756*x^18 + 2083167*x^17 + 187676*x^16 - 5457070*x^15 - 460003*x^14 + 9809908*x^13 + 662060*x^12 - 11774112*x^11 - 471680*x^10 + 8995971*x^9 + 59370*x^8 - 4043298*x^7 + 82149*x^6 + 938237*x^5 - 15384*x^4 - 91986*x^3 - 1407*x^2 + 1722*x + 192, x^29 - 49*x^27 - 2*x^26 + 1068*x^25 + 84*x^24 - 13659*x^23 - 1525*x^22 + 113860*x^21 + 15680*x^20 - 649830*x^19 - 100465*x^18 + 2595745*x^17 + 415433*x^16 - 7290072*x^15 - 1107610*x^14 + 14252286*x^13 + 1833588*x^12 - 18909144*x^11 - 1694745*x^10 + 16261376*x^9 + 592871*x^8 - 8389943*x^7 + 204629*x^6 + 2279907*x^5 - 174818*x^4 - 259671*x^3 + 28150*x^2 + 6557*x - 806, x^29 - 49*x^27 - 2*x^26 + 1068*x^25 + 84*x^24 - 13659*x^23 - 1525*x^22 + 113860*x^21 + 15680*x^20 - 649830*x^19 - 100465*x^18 + 2595745*x^17 + 415433*x^16 - 7290072*x^15 - 1107610*x^14 + 14252286*x^13 + 1833588*x^12 - 18909144*x^11 - 1694745*x^10 + 16261376*x^9 + 592871*x^8 - 8389943*x^7 + 204629*x^6 + 2279907*x^5 - 174818*x^4 - 259671*x^3 + 28150*x^2 + 6557*x - 806, x^28 - 2*x^27 - 48*x^26 + 87*x^25 + 1019*x^24 - 1660*x^23 - 12615*x^22 + 18283*x^21 + 101093*x^20 - 128755*x^19 - 550311*x^18 + 607024*x^17 + 2076808*x^16 - 1950730*x^15 - 5443059*x^14 + 4271049*x^13 + 9760192*x^12 - 6267231*x^11 - 11567694*x^10 + 5954785*x^9 + 8508521*x^8 - 3441964*x^7 - 3476192*x^6 + 1063262*x^5 + 651136*x^4 - 119002*x^3 - 46017*x^2 + 2054*x + 1294, x^28 - 2*x^27 - 48*x^26 + 87*x^25 + 1019*x^24 - 1660*x^23 - 12615*x^22 + 18283*x^21 + 101093*x^20 - 128755*x^19 - 550311*x^18 + 607024*x^17 + 2076808*x^16 - 1950730*x^15 - 5443059*x^14 + 4271049*x^13 + 9760192*x^12 - 6267231*x^11 - 11567694*x^10 + 5954785*x^9 + 8508521*x^8 - 3441964*x^7 - 3476192*x^6 + 1063262*x^5 + 651136*x^4 - 119002*x^3 - 46017*x^2 + 2054*x + 1294, x^28 - x^27 - 45*x^26 + 45*x^25 + 888*x^24 - 897*x^23 - 10102*x^22 + 10440*x^21 + 73255*x^20 - 78722*x^19 - 353407*x^18 + 403250*x^17 + 1148273*x^16 - 1429880*x^15 - 2483411*x^14 + 3505181*x^13 + 3430768*x^12 - 5821102*x^11 - 2738881*x^10 + 6273665*x^9 + 905530*x^8 - 4070473*x^7 + 199475*x^6 + 1403377*x^5 - 208794*x^4 - 211933*x^3 + 40403*x^2 + 10202*x - 1969, x^28 - x^27 - 45*x^26 + 45*x^25 + 888*x^24 - 897*x^23 - 10102*x^22 + 10440*x^21 + 73255*x^20 - 78722*x^19 - 353407*x^18 + 403250*x^17 + 1148273*x^16 - 1429880*x^15 - 2483411*x^14 + 3505181*x^13 + 3430768*x^12 - 5821102*x^11 - 2738881*x^10 + 6273665*x^9 + 905530*x^8 - 4070473*x^7 + 199475*x^6 + 1403377*x^5 - 208794*x^4 - 211933*x^3 + 40403*x^2 + 10202*x - 1969, -2*x^27 - 2*x^26 + 86*x^25 + 83*x^24 - 1626*x^23 - 1512*x^22 + 17794*x^21 + 15878*x^20 - 124926*x^19 - 106133*x^18 + 589866*x^17 + 470575*x^16 - 1911768*x^15 - 1399565*x^14 + 4268354*x^13 + 2761999*x^12 - 6496076*x^11 - 3494505*x^10 + 6553402*x^9 + 2638824*x^8 - 4135362*x^7 - 1018975*x^6 + 1445720*x^5 + 128919*x^4 - 213760*x^3 + 3476*x^2 + 9258*x - 790, -2*x^27 - 2*x^26 + 86*x^25 + 83*x^24 - 1626*x^23 - 1512*x^22 + 17794*x^21 + 15878*x^20 - 124926*x^19 - 106133*x^18 + 589866*x^17 + 470575*x^16 - 1911768*x^15 - 1399565*x^14 + 4268354*x^13 + 2761999*x^12 - 6496076*x^11 - 3494505*x^10 + 6553402*x^9 + 2638824*x^8 - 4135362*x^7 - 1018975*x^6 + 1445720*x^5 + 128919*x^4 - 213760*x^3 + 3476*x^2 + 9258*x - 790, -x^27 - x^26 + 42*x^25 + 43*x^24 - 769*x^23 - 810*x^22 + 8060*x^21 + 8774*x^20 - 53394*x^19 - 60309*x^18 + 232896*x^17 + 273860*x^16 - 675542*x^15 - 829370*x^14 + 1285168*x^13 + 1652156*x^12 - 1543312*x^11 - 2084350*x^10 + 1094985*x^9 + 1554104*x^8 - 425771*x^7 - 612474*x^6 + 99838*x^5 + 111380*x^4 - 18091*x^3 - 8318*x^2 + 1331*x + 115, -x^27 - x^26 + 42*x^25 + 43*x^24 - 769*x^23 - 810*x^22 + 8060*x^21 + 8774*x^20 - 53394*x^19 - 60309*x^18 + 232896*x^17 + 273860*x^16 - 675542*x^15 - 829370*x^14 + 1285168*x^13 + 1652156*x^12 - 1543312*x^11 - 2084350*x^10 + 1094985*x^9 + 1554104*x^8 - 425771*x^7 - 612474*x^6 + 99838*x^5 + 111380*x^4 - 18091*x^3 - 8318*x^2 + 1331*x + 115, x^30 - 48*x^28 + x^27 + 1023*x^26 - 38*x^25 - 12763*x^24 + 635*x^23 + 103469*x^22 - 6191*x^21 - 572033*x^20 + 39438*x^19 + 2201593*x^18 - 173802*x^17 - 5911916*x^16 + 542641*x^15 + 10921875*x^14 - 1190763*x^13 - 13428338*x^12 + 1755643*x^11 + 10320678*x^10 - 1578666*x^9 - 4392516*x^8 + 698862*x^7 + 773817*x^6 - 55104*x^5 + 1281*x^4 - 27124*x^3 - 9128*x^2 + 3524*x - 227, x^30 - 48*x^28 + x^27 + 1023*x^26 - 38*x^25 - 12763*x^24 + 635*x^23 + 103469*x^22 - 6191*x^21 - 572033*x^20 + 39438*x^19 + 2201593*x^18 - 173802*x^17 - 5911916*x^16 + 542641*x^15 + 10921875*x^14 - 1190763*x^13 - 13428338*x^12 + 1755643*x^11 + 10320678*x^10 - 1578666*x^9 - 4392516*x^8 + 698862*x^7 + 773817*x^6 - 55104*x^5 + 1281*x^4 - 27124*x^3 - 9128*x^2 + 3524*x - 227, x^28 - 43*x^26 - 2*x^25 + 812*x^24 + 82*x^23 - 8875*x^22 - 1425*x^21 + 62316*x^20 + 13762*x^19 - 295056*x^18 - 81319*x^17 + 962263*x^16 + 304689*x^15 - 2169154*x^14 - 723640*x^13 + 3340376*x^12 + 1049788*x^11 - 3409554*x^10 - 838955*x^9 + 2166498*x^8 + 261271*x^7 - 743185*x^6 + 43703*x^5 + 88865*x^4 - 26776*x^3 + 2187*x^2 + 2630*x - 555, x^28 - 43*x^26 - 2*x^25 + 812*x^24 + 82*x^23 - 8875*x^22 - 1425*x^21 + 62316*x^20 + 13762*x^19 - 295056*x^18 - 81319*x^17 + 962263*x^16 + 304689*x^15 - 2169154*x^14 - 723640*x^13 + 3340376*x^12 + 1049788*x^11 - 3409554*x^10 - 838955*x^9 + 2166498*x^8 + 261271*x^7 - 743185*x^6 + 43703*x^5 + 88865*x^4 - 26776*x^3 + 2187*x^2 + 2630*x - 555, x^28 + x^27 - 44*x^26 - 41*x^25 + 848*x^24 + 729*x^23 - 9420*x^22 - 7348*x^21 + 66811*x^20 + 45978*x^19 - 316792*x^18 - 183061*x^17 + 1022467*x^16 + 451104*x^15 - 2242845*x^14 - 601878*x^13 + 3269813*x^12 + 150469*x^11 - 2988535*x^10 + 757399*x^9 + 1459096*x^8 - 1096749*x^7 - 149879*x^6 + 581578*x^5 - 140985*x^4 - 99356*x^3 + 29387*x^2 + 2903*x - 883, x^28 + x^27 - 44*x^26 - 41*x^25 + 848*x^24 + 729*x^23 - 9420*x^22 - 7348*x^21 + 66811*x^20 + 45978*x^19 - 316792*x^18 - 183061*x^17 + 1022467*x^16 + 451104*x^15 - 2242845*x^14 - 601878*x^13 + 3269813*x^12 + 150469*x^11 - 2988535*x^10 + 757399*x^9 + 1459096*x^8 - 1096749*x^7 - 149879*x^6 + 581578*x^5 - 140985*x^4 - 99356*x^3 + 29387*x^2 + 2903*x - 883, x^27 - 43*x^25 + 3*x^24 + 818*x^23 - 105*x^22 - 9077*x^21 + 1591*x^20 + 65229*x^19 - 13748*x^18 - 318607*x^17 + 75185*x^16 + 1079451*x^15 - 273102*x^14 - 2539166*x^13 + 672179*x^12 + 4074924*x^11 - 1120146*x^10 - 4280561*x^9 + 1234710*x^8 + 2711091*x^7 - 846381*x^6 - 868541*x^5 + 307418*x^4 + 80982*x^3 - 33958*x^2 + 3883*x - 318, x^27 - 43*x^25 + 3*x^24 + 818*x^23 - 105*x^22 - 9077*x^21 + 1591*x^20 + 65229*x^19 - 13748*x^18 - 318607*x^17 + 75185*x^16 + 1079451*x^15 - 273102*x^14 - 2539166*x^13 + 672179*x^12 + 4074924*x^11 - 1120146*x^10 - 4280561*x^9 + 1234710*x^8 + 2711091*x^7 - 846381*x^6 - 868541*x^5 + 307418*x^4 + 80982*x^3 - 33958*x^2 + 3883*x - 318, x^29 + x^28 - 46*x^27 - 44*x^26 + 936*x^25 + 856*x^24 - 11094*x^23 - 9682*x^22 + 84893*x^21 + 70391*x^20 - 439292*x^19 - 343158*x^18 + 1565258*x^17 + 1134828*x^16 - 3835789*x^15 - 2515693*x^14 + 6342022*x^13 + 3597004*x^12 - 6778700*x^11 - 3046432*x^10 + 4295548*x^9 + 1216204*x^8 - 1304739*x^7 + 13629*x^6 + 41914*x^5 - 141218*x^4 + 42636*x^3 + 27828*x^2 - 3324*x - 450, x^29 + x^28 - 46*x^27 - 44*x^26 + 936*x^25 + 856*x^24 - 11094*x^23 - 9682*x^22 + 84893*x^21 + 70391*x^20 - 439292*x^19 - 343158*x^18 + 1565258*x^17 + 1134828*x^16 - 3835789*x^15 - 2515693*x^14 + 6342022*x^13 + 3597004*x^12 - 6778700*x^11 - 3046432*x^10 + 4295548*x^9 + 1216204*x^8 - 1304739*x^7 + 13629*x^6 + 41914*x^5 - 141218*x^4 + 42636*x^3 + 27828*x^2 - 3324*x - 450, x^29 - 45*x^27 + 2*x^26 + 893*x^25 - 75*x^24 - 10301*x^23 + 1214*x^22 + 76685*x^21 - 11097*x^20 - 386966*x^19 + 62814*x^18 + 1353757*x^17 - 226313*x^16 - 3303091*x^15 + 509031*x^14 + 5583732*x^13 - 649915*x^12 - 6424667*x^11 + 301728*x^10 + 4897419*x^9 + 277381*x^8 - 2392414*x^7 - 422387*x^6 + 713112*x^5 + 179742*x^4 - 110676*x^3 - 26322*x^2 + 5665*x + 389, x^29 - 45*x^27 + 2*x^26 + 893*x^25 - 75*x^24 - 10301*x^23 + 1214*x^22 + 76685*x^21 - 11097*x^20 - 386966*x^19 + 62814*x^18 + 1353757*x^17 - 226313*x^16 - 3303091*x^15 + 509031*x^14 + 5583732*x^13 - 649915*x^12 - 6424667*x^11 + 301728*x^10 + 4897419*x^9 + 277381*x^8 - 2392414*x^7 - 422387*x^6 + 713112*x^5 + 179742*x^4 - 110676*x^3 - 26322*x^2 + 5665*x + 389, x^26 + 3*x^25 - 38*x^24 - 113*x^23 + 627*x^22 + 1842*x^21 - 5895*x^20 - 17050*x^19 + 34879*x^18 + 98917*x^17 - 135708*x^16 - 375015*x^15 + 354364*x^14 + 941266*x^13 - 629866*x^12 - 1553459*x^11 + 782487*x^10 + 1640403*x^9 - 714586*x^8 - 1040116*x^7 + 489465*x^6 + 335608*x^5 - 212971*x^4 - 28183*x^3 + 34225*x^2 - 999*x - 792, x^26 + 3*x^25 - 38*x^24 - 113*x^23 + 627*x^22 + 1842*x^21 - 5895*x^20 - 17050*x^19 + 34879*x^18 + 98917*x^17 - 135708*x^16 - 375015*x^15 + 354364*x^14 + 941266*x^13 - 629866*x^12 - 1553459*x^11 + 782487*x^10 + 1640403*x^9 - 714586*x^8 - 1040116*x^7 + 489465*x^6 + 335608*x^5 - 212971*x^4 - 28183*x^3 + 34225*x^2 - 999*x - 792, x^28 + x^27 - 43*x^26 - 42*x^25 + 813*x^24 + 777*x^23 - 8894*x^22 - 8311*x^21 + 62350*x^20 + 56696*x^19 - 293177*x^18 - 256628*x^17 + 941299*x^16 + 777455*x^15 - 2064160*x^14 - 1554255*x^13 + 3052634*x^12 + 1976625*x^11 - 2978698*x^10 - 1500678*x^9 + 1871573*x^8 + 619506*x^7 - 745532*x^6 - 128028*x^5 + 182573*x^4 + 12316*x^3 - 22024*x^2 - 650*x + 677, x^28 + x^27 - 43*x^26 - 42*x^25 + 813*x^24 + 777*x^23 - 8894*x^22 - 8311*x^21 + 62350*x^20 + 56696*x^19 - 293177*x^18 - 256628*x^17 + 941299*x^16 + 777455*x^15 - 2064160*x^14 - 1554255*x^13 + 3052634*x^12 + 1976625*x^11 - 2978698*x^10 - 1500678*x^9 + 1871573*x^8 + 619506*x^7 - 745532*x^6 - 128028*x^5 + 182573*x^4 + 12316*x^3 - 22024*x^2 - 650*x + 677]>
       ]
>;

MOG[643] := 	// J_0(643)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [75, 103, 334, 385, 442, 483, 98*x + 464, 545*x + 464, 632*x + 543, 11*x + 543, 429*x + 71, 214*x + 71, 203*x + 232, 440*x + 232, 263*x + 412, 380*x + 412, 190*x + 371, 453*x + 371, 335*x + 616, 308*x + 616, 277*x + 411, 366*x + 411, 194*x + 126, 449*x + 126, 461*x + 435, 182*x + 435, 457*x + 262, 186*x + 262, 13*x + 182, 630*x + 182, 564*x + 590, 79*x + 590, 380*x + 544, 263*x + 544, 119*x + 642, 524*x + 642, 46*x + 619, 597*x + 619, 149*x + 476, 494*x + 476, 541*x + 23, 102*x + 23, 389*x + 586, 254*x + 586, 453*x + 414, 190*x + 414, 494*x + 148, 149*x + 148, 569*x + 598, 74*x + 598, 597*x + 540, 46*x + 540, 96*x + 474, 547*x + 474]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [0, 2, 0, -2, 0, 0, 0, 0, 0, 0, 0, 0, -1, -1, 1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, -1, -1, -1, -1, 1, 1, 0, 0, 1, 1, -1, -1, -1, -1, 0, 0, 0, 0, -1, -1, 0, 0, 1, 1, 0, 0, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^24 + 13*x^23 + 49*x^22 - 67*x^21 - 902*x^20 - 1384*x^19 + 4701*x^18 + 16050*x^17 - 2633*x^16 - 67751*x^15 - 57177*x^14 + 129829*x^13 + 217647*x^12 - 78940*x^11 - 340527*x^10 - 88941*x^9 + 239995*x^8 + 147817*x^7 - 58397*x^6 - 60596*x^5 - 233*x^4 + 7055*x^3 + 357*x^2 - 209*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x^23 - 13*x^22 - 51*x^21 + 41*x^20 + 796*x^19 + 1416*x^18 - 3305*x^17 - 13167*x^16 - 1647*x^15 + 46034*x^14 + 47573*x^13 - 68529*x^12 - 135785*x^11 + 17532*x^10 + 164378*x^9 + 59933*x^8 - 85168*x^7 - 57489*x^6 + 13193*x^5 + 16484*x^4 + 1382*x^3 - 1017*x^2 - 145*x + 3, x^23 + 13*x^22 + 51*x^21 - 41*x^20 - 796*x^19 - 1416*x^18 + 3305*x^17 + 13167*x^16 + 1647*x^15 - 46034*x^14 - 47573*x^13 + 68529*x^12 + 135785*x^11 - 17532*x^10 - 164378*x^9 - 59933*x^8 + 85168*x^7 + 57489*x^6 - 13193*x^5 - 16484*x^4 - 1382*x^3 + 1017*x^2 + 145*x - 3, -x^22 - 13*x^21 - 53*x^20 + 15*x^19 + 686*x^18 + 1396*x^17 - 2136*x^16 - 10411*x^15 - 3948*x^14 + 29673*x^13 + 36361*x^12 - 32547*x^11 - 79213*x^10 - 4772*x^9 + 71793*x^8 + 32706*x^7 - 24225*x^6 - 16711*x^5 + 2611*x^4 + 2526*x^3 - 96*x^2 - 88*x - 5, x^22 + 13*x^21 + 53*x^20 - 15*x^19 - 686*x^18 - 1396*x^17 + 2136*x^16 + 10411*x^15 + 3948*x^14 - 29673*x^13 - 36361*x^12 + 32547*x^11 + 79213*x^10 + 4772*x^9 - 71793*x^8 - 32706*x^7 + 24225*x^6 + 16711*x^5 - 2611*x^4 - 2526*x^3 + 96*x^2 + 88*x + 5, -x^22 - 13*x^21 - 53*x^20 + 17*x^19 + 710*x^18 + 1487*x^17 - 2144*x^16 - 11306*x^15 - 5656*x^14 + 31627*x^13 + 45501*x^12 - 28861*x^11 - 96936*x^10 - 24236*x^9 + 83034*x^8 + 57622*x^7 - 20979*x^6 - 27401*x^5 - 1462*x^4 + 3512*x^3 + 308*x^2 - 118*x + 4, x^22 + 13*x^21 + 53*x^20 - 17*x^19 - 710*x^18 - 1487*x^17 + 2144*x^16 + 11306*x^15 + 5656*x^14 - 31627*x^13 - 45501*x^12 + 28861*x^11 + 96936*x^10 + 24236*x^9 - 83034*x^8 - 57622*x^7 + 20979*x^6 + 27401*x^5 + 1462*x^4 - 3512*x^3 - 308*x^2 + 118*x - 4, -x^21 - 13*x^20 - 55*x^19 - 10*x^18 + 585*x^17 + 1385*x^16 - 1114*x^15 - 8112*x^14 - 5700*x^13 + 17382*x^12 + 27617*x^11 - 10183*x^10 - 43726*x^9 - 13195*x^8 + 27335*x^7 + 18448*x^6 - 3578*x^5 - 5270*x^4 - 900*x^3 + 37*x^2 + 13*x + 3, x^21 + 13*x^20 + 55*x^19 + 10*x^18 - 585*x^17 - 1385*x^16 + 1114*x^15 + 8112*x^14 + 5700*x^13 - 17382*x^12 - 27617*x^11 + 10183*x^10 + 43726*x^9 + 13195*x^8 - 27335*x^7 - 18448*x^6 + 3578*x^5 + 5270*x^4 + 900*x^3 - 37*x^2 - 13*x - 3, -x^21 - 13*x^20 - 55*x^19 - 10*x^18 + 584*x^17 + 1371*x^16 - 1187*x^15 - 8249*x^14 - 5512*x^13 + 18600*x^12 + 28955*x^11 - 12121*x^10 - 48859*x^9 - 14032*x^8 + 33608*x^7 + 22330*x^6 - 7004*x^5 - 8688*x^4 - 578*x^3 + 892*x^2 + 127*x - 6, x^21 + 13*x^20 + 55*x^19 + 10*x^18 - 584*x^17 - 1371*x^16 + 1187*x^15 + 8249*x^14 + 5512*x^13 - 18600*x^12 - 28955*x^11 + 12121*x^10 + 48859*x^9 + 14032*x^8 - 33608*x^7 - 22330*x^6 + 7004*x^5 + 8688*x^4 + 578*x^3 - 892*x^2 - 127*x + 6, -x^21 - 13*x^20 - 55*x^19 - 8*x^18 + 609*x^17 + 1478*x^16 - 1099*x^15 - 8921*x^14 - 7388*x^13 + 18673*x^12 + 35338*x^11 - 5885*x^10 - 56174*x^9 - 28415*x^8 + 33363*x^7 + 34118*x^6 - 1736*x^5 - 11409*x^4 - 2738*x^3 + 715*x^2 + 209*x - 5, x^21 + 13*x^20 + 55*x^19 + 8*x^18 - 609*x^17 - 1478*x^16 + 1099*x^15 + 8921*x^14 + 7388*x^13 - 18673*x^12 - 35338*x^11 + 5885*x^10 + 56174*x^9 + 28415*x^8 - 33363*x^7 - 34118*x^6 + 1736*x^5 + 11409*x^4 + 2738*x^3 - 715*x^2 - 209*x + 5, -x^21 - 11*x^20 - 31*x^19 + 79*x^18 + 552*x^17 + 383*x^16 - 2910*x^15 - 5486*x^14 + 5316*x^13 + 20995*x^12 + 3511*x^11 - 35883*x^10 - 25170*x^9 + 26104*x^8 + 30826*x^7 - 4030*x^6 - 12919*x^5 - 1563*x^4 + 1664*x^3 + 184*x^2 - 60*x + 2, x^21 + 11*x^20 + 31*x^19 - 79*x^18 - 552*x^17 - 383*x^16 + 2910*x^15 + 5486*x^14 - 5316*x^13 - 20995*x^12 - 3511*x^11 + 35883*x^10 + 25170*x^9 - 26104*x^8 - 30826*x^7 + 4030*x^6 + 12919*x^5 + 1563*x^4 - 1664*x^3 - 184*x^2 + 60*x - 2, -x^20 - 13*x^19 - 57*x^18 - 34*x^17 + 495*x^16 + 1408*x^15 - 133*x^14 - 6206*x^13 - 7756*x^12 + 6761*x^11 + 21429*x^10 + 8382*x^9 - 16900*x^8 - 17491*x^7 - 834*x^6 + 5395*x^5 + 2038*x^4 + 36*x^3 - 72*x^2 - 34*x - 5, x^20 + 13*x^19 + 57*x^18 + 34*x^17 - 495*x^16 - 1408*x^15 + 133*x^14 + 6206*x^13 + 7756*x^12 - 6761*x^11 - 21429*x^10 - 8382*x^9 + 16900*x^8 + 17491*x^7 + 834*x^6 - 5395*x^5 - 2038*x^4 - 36*x^3 + 72*x^2 + 34*x + 5, -x^20 - 12*x^19 - 44*x^18 + 23*x^17 + 527*x^16 + 891*x^15 - 1619*x^14 - 6085*x^13 - 988*x^12 + 15603*x^11 + 14058*x^10 - 16805*x^9 - 27558*x^8 + 3233*x^7 + 21481*x^6 + 6046*x^5 - 5549*x^4 - 2525*x^3 + 181*x^2 + 125*x + 10, x^20 + 12*x^19 + 44*x^18 - 23*x^17 - 527*x^16 - 891*x^15 + 1619*x^14 + 6085*x^13 + 988*x^12 - 15603*x^11 - 14058*x^10 + 16805*x^9 + 27558*x^8 - 3233*x^7 - 21481*x^6 - 6046*x^5 + 5549*x^4 + 2525*x^3 - 181*x^2 - 125*x - 10, -x^20 - 12*x^19 - 44*x^18 + 22*x^17 + 517*x^16 + 863*x^15 - 1589*x^14 - 5833*x^13 - 875*x^12 + 14550*x^11 + 12898*x^10 - 14276*x^9 - 22774*x^8 + 2235*x^7 + 14673*x^6 + 2512*x^5 - 3955*x^4 - 839*x^3 + 421*x^2 + 44*x - 5, x^20 + 12*x^19 + 44*x^18 - 22*x^17 - 517*x^16 - 863*x^15 + 1589*x^14 + 5833*x^13 + 875*x^12 - 14550*x^11 - 12898*x^10 + 14276*x^9 + 22774*x^8 - 2235*x^7 - 14673*x^6 - 2512*x^5 + 3955*x^4 + 839*x^3 - 421*x^2 - 44*x + 5, -x^20 - 13*x^19 - 58*x^18 - 47*x^17 + 432*x^16 + 1299*x^15 + 25*x^14 - 5240*x^13 - 6531*x^12 + 5876*x^11 + 17456*x^10 + 5016*x^9 - 15411*x^8 - 12611*x^7 + 2548*x^6 + 5511*x^5 + 766*x^4 - 795*x^3 - 198*x^2 + 38*x + 10, x^20 + 13*x^19 + 58*x^18 + 47*x^17 - 432*x^16 - 1299*x^15 - 25*x^14 + 5240*x^13 + 6531*x^12 - 5876*x^11 - 17456*x^10 - 5016*x^9 + 15411*x^8 + 12611*x^7 - 2548*x^6 - 5511*x^5 - 766*x^4 + 795*x^3 + 198*x^2 - 38*x - 10, -x^20 - 12*x^19 - 43*x^18 + 35*x^17 + 574*x^16 + 904*x^15 - 2003*x^14 - 6918*x^13 - 470*x^12 + 19143*x^11 + 16195*x^10 - 22080*x^9 - 34094*x^8 + 5679*x^7 + 27684*x^6 + 6434*x^5 - 8170*x^4 - 3239*x^3 + 501*x^2 + 214*x - 5, x^20 + 12*x^19 + 43*x^18 - 35*x^17 - 574*x^16 - 904*x^15 + 2003*x^14 + 6918*x^13 + 470*x^12 - 19143*x^11 - 16195*x^10 + 22080*x^9 + 34094*x^8 - 5679*x^7 - 27684*x^6 - 6434*x^5 + 8170*x^4 + 3239*x^3 - 501*x^2 - 214*x + 5, -x^20 - 13*x^19 - 58*x^18 - 44*x^17 + 471*x^16 + 1481*x^15 + 271*x^14 - 6036*x^13 - 9693*x^12 + 3833*x^11 + 24567*x^10 + 17901*x^9 - 15577*x^8 - 29183*x^7 - 8441*x^6 + 9558*x^5 + 6894*x^4 + 442*x^3 - 600*x^2 - 101*x + 1, x^20 + 13*x^19 + 58*x^18 + 44*x^17 - 471*x^16 - 1481*x^15 - 271*x^14 + 6036*x^13 + 9693*x^12 - 3833*x^11 - 24567*x^10 - 17901*x^9 + 15577*x^8 + 29183*x^7 + 8441*x^6 - 9558*x^5 - 6894*x^4 - 442*x^3 + 600*x^2 + 101*x - 1, -x^19 - 12*x^18 - 45*x^17 + 12*x^16 + 497*x^15 + 982*x^14 - 999*x^13 - 5472*x^12 - 3581*x^11 + 9197*x^10 + 14765*x^9 - 617*x^8 - 14948*x^7 - 8783*x^6 + 2180*x^5 + 3347*x^4 + 749*x^3 - 28*x^2 + 11*x + 2, x^19 + 12*x^18 + 45*x^17 - 12*x^16 - 497*x^15 - 982*x^14 + 999*x^13 + 5472*x^12 + 3581*x^11 - 9197*x^10 - 14765*x^9 + 617*x^8 + 14948*x^7 + 8783*x^6 - 2180*x^5 - 3347*x^4 - 749*x^3 + 28*x^2 - 11*x - 2, -x^19 - 12*x^18 - 45*x^17 + 11*x^16 + 484*x^15 + 924*x^14 - 1057*x^13 - 5149*x^12 - 2607*x^11 + 9368*x^10 + 12061*x^9 - 3679*x^8 - 13221*x^7 - 4270*x^6 + 3436*x^5 + 1959*x^4 + 79*x^3 - 43*x^2 - 29*x - 5, x^19 + 12*x^18 + 45*x^17 - 11*x^16 - 484*x^15 - 924*x^14 + 1057*x^13 + 5149*x^12 + 2607*x^11 - 9368*x^10 - 12061*x^9 + 3679*x^8 + 13221*x^7 + 4270*x^6 - 3436*x^5 - 1959*x^4 - 79*x^3 + 43*x^2 + 29*x + 5, -x^19 - 11*x^18 - 35*x^17 + 33*x^16 + 386*x^15 + 408*x^14 - 1373*x^13 - 2767*x^12 + 2044*x^11 + 7436*x^10 - 637*x^9 - 11130*x^8 - 2621*x^7 + 9079*x^6 + 4075*x^5 - 2804*x^4 - 1444*x^3 + 269*x^2 + 122*x + 7, x^19 + 11*x^18 + 35*x^17 - 33*x^16 - 386*x^15 - 408*x^14 + 1373*x^13 + 2767*x^12 - 2044*x^11 - 7436*x^10 + 637*x^9 + 11130*x^8 + 2621*x^7 - 9079*x^6 - 4075*x^5 + 2804*x^4 + 1444*x^3 - 269*x^2 - 122*x - 7, -x^19 - 12*x^18 - 45*x^17 + 9*x^16 + 461*x^15 + 827*x^14 - 1196*x^13 - 4925*x^12 - 1507*x^11 + 10743*x^10 + 11809*x^9 - 6507*x^8 - 16700*x^7 - 5145*x^6 + 5561*x^5 + 3894*x^4 + 160*x^3 - 427*x^2 - 88*x + 1, x^19 + 12*x^18 + 45*x^17 - 9*x^16 - 461*x^15 - 827*x^14 + 1196*x^13 + 4925*x^12 + 1507*x^11 - 10743*x^10 - 11809*x^9 + 6507*x^8 + 16700*x^7 + 5145*x^6 - 5561*x^5 - 3894*x^4 - 160*x^3 + 427*x^2 + 88*x - 1, -2*x^19 - 24*x^18 - 92*x^17 + x^16 + 902*x^15 + 1878*x^14 - 1582*x^13 - 9694*x^12 - 6530*x^11 + 16239*x^10 + 25784*x^9 - 2867*x^8 - 28121*x^7 - 13673*x^6 + 7780*x^5 + 7289*x^4 + 371*x^3 - 724*x^2 - 74*x + 11, 2*x^19 + 24*x^18 + 92*x^17 - x^16 - 902*x^15 - 1878*x^14 + 1582*x^13 + 9694*x^12 + 6530*x^11 - 16239*x^10 - 25784*x^9 + 2867*x^8 + 28121*x^7 + 13673*x^6 - 7780*x^5 - 7289*x^4 - 371*x^3 + 724*x^2 + 74*x - 11, -x^19 - 13*x^18 - 60*x^17 - 73*x^16 + 310*x^15 + 1131*x^14 + 563*x^13 - 3030*x^12 - 4969*x^11 + 898*x^10 + 7664*x^9 + 4288*x^8 - 2939*x^7 - 3146*x^6 - 10*x^5 + 604*x^4 + 9*x^3 - 130*x^2 - 43*x - 5, x^19 + 13*x^18 + 60*x^17 + 73*x^16 - 310*x^15 - 1131*x^14 - 563*x^13 + 3030*x^12 + 4969*x^11 - 898*x^10 - 7664*x^9 - 4288*x^8 + 2939*x^7 + 3146*x^6 + 10*x^5 - 604*x^4 - 9*x^3 + 130*x^2 + 43*x + 5, -x^19 - 12*x^18 - 46*x^17 + 2*x^16 + 468*x^15 + 1007*x^14 - 723*x^13 - 5146*x^12 - 4241*x^11 + 7547*x^10 + 14813*x^9 + 2099*x^8 - 13683*x^7 - 10887*x^6 + 850*x^5 + 4562*x^4 + 1767*x^3 - 92*x^2 - 134*x - 6, x^19 + 12*x^18 + 46*x^17 - 2*x^16 - 468*x^15 - 1007*x^14 + 723*x^13 + 5146*x^12 + 4241*x^11 - 7547*x^10 - 14813*x^9 - 2099*x^8 + 13683*x^7 + 10887*x^6 - 850*x^5 - 4562*x^4 - 1767*x^3 + 92*x^2 + 134*x + 6, x^17 + 14*x^16 + 71*x^15 + 116*x^14 - 265*x^13 - 1297*x^12 - 1145*x^11 + 2533*x^10 + 5766*x^9 + 1335*x^8 - 6240*x^7 - 5769*x^6 + 132*x^5 + 2058*x^4 + 685*x^3 + 55*x^2 + 47*x + 7, -x^17 - 14*x^16 - 71*x^15 - 116*x^14 + 265*x^13 + 1297*x^12 + 1145*x^11 - 2533*x^10 - 5766*x^9 - 1335*x^8 + 6240*x^7 + 5769*x^6 - 132*x^5 - 2058*x^4 - 685*x^3 - 55*x^2 - 47*x - 7, -2*x^18 - 25*x^17 - 108*x^16 - 97*x^15 + 654*x^14 + 1945*x^13 + 265*x^12 - 6123*x^11 - 7259*x^10 + 5038*x^9 + 13807*x^8 + 3225*x^7 - 8327*x^6 - 4775*x^5 + 1301*x^4 + 1350*x^3 + 210*x^2 + 4*x - 3, 2*x^18 + 25*x^17 + 108*x^16 + 97*x^15 - 654*x^14 - 1945*x^13 - 265*x^12 + 6123*x^11 + 7259*x^10 - 5038*x^9 - 13807*x^8 - 3225*x^7 + 8327*x^6 + 4775*x^5 - 1301*x^4 - 1350*x^3 - 210*x^2 - 4*x + 3, -x^18 - 13*x^17 - 57*x^16 - 42*x^15 + 406*x^14 + 1075*x^13 - 326*x^12 - 4334*x^11 - 3296*x^10 + 6780*x^9 + 10067*x^8 - 2767*x^7 - 10708*x^6 - 2764*x^5 + 3550*x^4 + 1645*x^3 - 135*x^2 - 82*x - 2, x^18 + 13*x^17 + 57*x^16 + 42*x^15 - 406*x^14 - 1075*x^13 + 326*x^12 + 4334*x^11 + 3296*x^10 - 6780*x^9 - 10067*x^8 + 2767*x^7 + 10708*x^6 + 2764*x^5 - 3550*x^4 - 1645*x^3 + 135*x^2 + 82*x + 2, x^16 + 6*x^15 - 13*x^14 - 167*x^13 - 306*x^12 + 527*x^11 + 2207*x^10 + 989*x^9 - 3993*x^8 - 4613*x^7 + 1596*x^6 + 4146*x^5 + 565*x^4 - 1233*x^3 - 374*x^2 + 39*x + 7, -x^16 - 6*x^15 + 13*x^14 + 167*x^13 + 306*x^12 - 527*x^11 - 2207*x^10 - 989*x^9 + 3993*x^8 + 4613*x^7 - 1596*x^6 - 4146*x^5 - 565*x^4 + 1233*x^3 + 374*x^2 - 39*x - 7]>,
         rec<Eigen |
           DefiningPolynomial := x^28 - 14*x^27 + 54*x^26 + 128*x^25 - 1427*x^24 + 1888*x^23 + 11531*x^22 - 36529*x^21 - 26391*x^20 + 244374*x^19 - 150608*x^18 - 815380*x^17 + 1218884*x^16 + 1264209*x^15 - 3671665*x^14 - 18014*x^13 + 5684790*x^12 - 2957594*x^11 - 4374316*x^10 + 4258247*x^9 + 1126989*x^8 - 2446324*x^7 + 352520*x^6 + 523154*x^5 - 184074*x^4 - 11953*x^3 + 6924*x^2 + 596*x + 8,
           Coordinates        := [-x^27 + 14*x^26 - 58*x^25 - 74*x^24 + 1217*x^23 - 2218*x^22 - 7147*x^21 + 29753*x^20 - 447*x^19 - 150888*x^18 + 176170*x^17 + 341400*x^16 - 817270*x^15 - 134379*x^14 + 1696045*x^13 - 929670*x^12 - 1646544*x^11 + 1896100*x^10 + 431236*x^9 - 1446891*x^8 + 366917*x^7 + 416982*x^6 - 228752*x^5 - 16760*x^4 + 27882*x^3 - 1861*x^2 - 720*x - 36, x^26 - 14*x^25 + 59*x^24 + 62*x^23 - 1184*x^22 + 2384*x^21 + 6017*x^20 - 28817*x^19 + 9080*x^18 + 127771*x^17 - 188928*x^16 - 214787*x^15 + 704596*x^14 - 127708*x^13 - 1143447*x^12 + 949362*x^11 + 720097*x^10 - 1216742*x^9 + 69483*x^8 + 595379*x^7 - 227826*x^6 - 88189*x^5 + 55618*x^4 - 225*x^3 - 1752*x^2 - 258*x - 20, x^27 - 14*x^26 + 57*x^25 + 88*x^24 - 1276*x^23 + 2166*x^22 + 8197*x^21 - 31559*x^20 - 5568*x^19 + 172427*x^18 - 168008*x^17 - 450947*x^16 + 882950*x^15 + 436116*x^14 - 2080509*x^13 + 503174*x^12 + 2588189*x^11 - 1764846*x^10 - 1606991*x^9 + 1864071*x^8 + 286920*x^7 - 889323*x^6 + 152228*x^5 + 159679*x^4 - 57974*x^3 - 604*x^2 + 1308*x + 56, x^26 - 14*x^25 + 59*x^24 + 62*x^23 - 1182*x^22 + 2356*x^21 + 6149*x^20 - 28885*x^19 + 7578*x^18 + 132351*x^17 - 187620*x^16 - 243587*x^15 + 743048*x^14 - 74244*x^13 - 1318925*x^12 + 1008670*x^11 + 989607*x^10 - 1527830*x^9 - 3353*x^8 + 909949*x^7 - 362732*x^6 - 166495*x^5 + 135836*x^4 - 17397*x^3 - 3832*x^2 + 386*x + 40, -x^26 + 13*x^25 - 45*x^24 - 119*x^23 + 1098*x^22 - 1120*x^21 - 8267*x^20 + 21486*x^19 + 21039*x^18 - 129849*x^17 + 46321*x^16 + 387721*x^15 - 429549*x^14 - 563928*x^13 + 1132117*x^12 + 202447*x^11 - 1444097*x^10 + 452003*x^9 + 883239*x^8 - 563652*x^7 - 196735*x^6 + 220247*x^5 - 8505*x^4 - 25265*x^3 + 2617*x^2 + 756*x + 36, x^26 - 12*x^25 + 33*x^24 + 154*x^23 - 968*x^22 + 230*x^21 + 8657*x^20 - 14245*x^19 - 34058*x^18 + 104311*x^17 + 40614*x^16 - 369719*x^15 + 143512*x^14 + 723140*x^13 - 634229*x^12 - 765284*x^11 + 1057621*x^10 + 350396*x^9 - 906199*x^8 + 51673*x^7 + 390266*x^6 - 108791*x^5 - 65354*x^4 + 28971*x^3 - 32*x^2 - 668*x - 28, -x^26 + 14*x^25 - 60*x^24 - 46*x^23 + 1094*x^22 - 2268*x^21 - 5152*x^20 + 25257*x^19 - 8258*x^18 - 107141*x^17 + 154486*x^16 + 177194*x^15 - 558261*x^14 + 90086*x^13 + 887006*x^12 - 733194*x^11 - 527443*x^10 + 953675*x^9 - 136286*x^8 - 451019*x^7 + 258619*x^6 + 32950*x^5 - 69591*x^4 + 18358*x^3 + 485*x^2 - 476*x - 32, -x^26 + 14*x^25 - 60*x^24 - 46*x^23 + 1094*x^22 - 2268*x^21 - 5152*x^20 + 25257*x^19 - 8258*x^18 - 107141*x^17 + 154486*x^16 + 177194*x^15 - 558261*x^14 + 90086*x^13 + 887006*x^12 - 733194*x^11 - 527443*x^10 + 953675*x^9 - 136286*x^8 - 451019*x^7 + 258619*x^6 + 32950*x^5 - 69591*x^4 + 18358*x^3 + 485*x^2 - 476*x - 32, -x^25 + 14*x^24 - 62*x^23 - 17*x^22 + 953*x^21 - 2198*x^20 - 3423*x^19 + 19967*x^18 - 10542*x^17 - 70270*x^16 + 109122*x^15 + 91695*x^14 - 313560*x^13 + 57479*x^12 + 407987*x^11 - 282566*x^10 - 224479*x^9 + 277273*x^8 + 22011*x^7 - 111147*x^6 + 20751*x^5 + 16837*x^4 - 6239*x^3 + 483*x^2 - 68*x + 4, -x^25 + 14*x^24 - 62*x^23 - 17*x^22 + 953*x^21 - 2198*x^20 - 3423*x^19 + 19967*x^18 - 10542*x^17 - 70270*x^16 + 109122*x^15 + 91695*x^14 - 313560*x^13 + 57479*x^12 + 407987*x^11 - 282566*x^10 - 224479*x^9 + 277273*x^8 + 22011*x^7 - 111147*x^6 + 20751*x^5 + 16837*x^4 - 6239*x^3 + 483*x^2 - 68*x + 4, -x^25 + 14*x^24 - 61*x^23 - 33*x^22 + 1042*x^21 - 2298*x^20 - 4388*x^19 + 23780*x^18 - 11142*x^17 - 93936*x^16 + 149887*x^15 + 132770*x^14 - 495479*x^13 + 138997*x^12 + 711114*x^11 - 659859*x^10 - 343043*x^9 + 718599*x^8 - 130309*x^7 - 272885*x^6 + 138410*x^5 + 18281*x^4 - 21158*x^3 + 902*x^2 + 756*x + 32, -x^25 + 14*x^24 - 61*x^23 - 33*x^22 + 1042*x^21 - 2298*x^20 - 4388*x^19 + 23780*x^18 - 11142*x^17 - 93936*x^16 + 149887*x^15 + 132770*x^14 - 495479*x^13 + 138997*x^12 + 711114*x^11 - 659859*x^10 - 343043*x^9 + 718599*x^8 - 130309*x^7 - 272885*x^6 + 138410*x^5 + 18281*x^4 - 21158*x^3 + 902*x^2 + 756*x + 32, -x^24 + 15*x^23 - 77*x^22 + 60*x^21 + 894*x^20 - 3102*x^19 - 299*x^18 + 20352*x^17 - 31266*x^16 - 39263*x^15 + 151037*x^14 - 59727*x^13 - 266057*x^12 + 333320*x^11 + 106358*x^10 - 435323*x^9 + 181473*x^8 + 182028*x^7 - 180143*x^6 + 14876*x^5 + 40053*x^4 - 16979*x^3 + 1611*x^2 + 178*x - 8, -x^24 + 15*x^23 - 77*x^22 + 60*x^21 + 894*x^20 - 3102*x^19 - 299*x^18 + 20352*x^17 - 31266*x^16 - 39263*x^15 + 151037*x^14 - 59727*x^13 - 266057*x^12 + 333320*x^11 + 106358*x^10 - 435323*x^9 + 181473*x^8 + 182028*x^7 - 180143*x^6 + 14876*x^5 + 40053*x^4 - 16979*x^3 + 1611*x^2 + 178*x - 8, -x^24 + 14*x^23 - 64*x^22 + 10*x^21 + 835*x^20 - 2188*x^19 - 1985*x^18 + 16519*x^17 - 14098*x^16 - 46236*x^15 + 93664*x^14 + 27120*x^13 - 212962*x^12 + 117308*x^11 + 196606*x^10 - 241079*x^9 - 23176*x^8 + 157844*x^7 - 57725*x^6 - 30989*x^5 + 23299*x^4 - 896*x^3 - 2164*x^2 + 302*x + 40, -x^24 + 14*x^23 - 64*x^22 + 10*x^21 + 835*x^20 - 2188*x^19 - 1985*x^18 + 16519*x^17 - 14098*x^16 - 46236*x^15 + 93664*x^14 + 27120*x^13 - 212962*x^12 + 117308*x^11 + 196606*x^10 - 241079*x^9 - 23176*x^8 + 157844*x^7 - 57725*x^6 - 30989*x^5 + 23299*x^4 - 896*x^3 - 2164*x^2 + 302*x + 40, x^23 - 15*x^22 + 77*x^21 - 64*x^20 - 835*x^19 + 2788*x^18 + 769*x^17 - 18329*x^16 + 22052*x^15 + 45847*x^14 - 117729*x^13 - 13693*x^12 + 258736*x^11 - 155912*x^10 - 255841*x^9 + 307490*x^8 + 62561*x^7 - 221046*x^6 + 56542*x^5 + 52445*x^4 - 27713*x^3 + 915*x^2 + 894*x + 48, x^23 - 15*x^22 + 77*x^21 - 64*x^20 - 835*x^19 + 2788*x^18 + 769*x^17 - 18329*x^16 + 22052*x^15 + 45847*x^14 - 117729*x^13 - 13693*x^12 + 258736*x^11 - 155912*x^10 - 255841*x^9 + 307490*x^8 + 62561*x^7 - 221046*x^6 + 56542*x^5 + 52445*x^4 - 27713*x^3 + 915*x^2 + 894*x + 48, -x^24 + 12*x^23 - 37*x^22 - 107*x^21 + 828*x^20 - 642*x^19 - 5672*x^18 + 12436*x^17 + 13730*x^16 - 66476*x^15 + 16935*x^14 + 166640*x^13 - 162199*x^12 - 185401*x^11 + 340312*x^10 + 20765*x^9 - 301513*x^8 + 115573*x^7 + 100837*x^6 - 71211*x^5 - 4012*x^4 + 10257*x^3 - 644*x^2 - 386*x - 16, -x^24 + 12*x^23 - 37*x^22 - 107*x^21 + 828*x^20 - 642*x^19 - 5672*x^18 + 12436*x^17 + 13730*x^16 - 66476*x^15 + 16935*x^14 + 166640*x^13 - 162199*x^12 - 185401*x^11 + 340312*x^10 + 20765*x^9 - 301513*x^8 + 115573*x^7 + 100837*x^6 - 71211*x^5 - 4012*x^4 + 10257*x^3 - 644*x^2 - 386*x - 16, x^24 - 14*x^23 + 63*x^22 + 5*x^21 - 913*x^20 + 2274*x^19 + 2654*x^18 - 18865*x^17 + 13989*x^16 + 58358*x^15 - 107076*x^14 - 53800*x^13 + 266886*x^12 - 90871*x^11 - 306296*x^10 + 248950*x^9 + 155588*x^8 - 223709*x^7 - 6878*x^6 + 86153*x^5 - 20227*x^4 - 9179*x^3 + 2703*x^2 + 220*x - 12, x^24 - 14*x^23 + 63*x^22 + 5*x^21 - 913*x^20 + 2274*x^19 + 2654*x^18 - 18865*x^17 + 13989*x^16 + 58358*x^15 - 107076*x^14 - 53800*x^13 + 266886*x^12 - 90871*x^11 - 306296*x^10 + 248950*x^9 + 155588*x^8 - 223709*x^7 - 6878*x^6 + 86153*x^5 - 20227*x^4 - 9179*x^3 + 2703*x^2 + 220*x - 12, -x^23 + 14*x^22 - 64*x^21 + 9*x^20 + 850*x^19 - 2269*x^18 - 1859*x^17 + 17018*x^16 - 16443*x^15 - 44346*x^14 + 101303*x^13 + 8955*x^12 - 210758*x^11 + 153539*x^10 + 157002*x^9 - 250833*x^8 + 21555*x^7 + 132901*x^6 - 66851*x^5 - 13589*x^4 + 17029*x^3 - 3008*x^2 - 160*x + 8, -x^23 + 14*x^22 - 64*x^21 + 9*x^20 + 850*x^19 - 2269*x^18 - 1859*x^17 + 17018*x^16 - 16443*x^15 - 44346*x^14 + 101303*x^13 + 8955*x^12 - 210758*x^11 + 153539*x^10 + 157002*x^9 - 250833*x^8 + 21555*x^7 + 132901*x^6 - 66851*x^5 - 13589*x^4 + 17029*x^3 - 3008*x^2 - 160*x + 8, -x^23 + 13*x^22 - 52*x^21 - 29*x^20 + 752*x^19 - 1442*x^18 - 2749*x^17 + 12207*x^16 - 3436*x^15 - 39021*x^14 + 46186*x^13 + 49509*x^12 - 117664*x^11 + 4111*x^10 + 129226*x^9 - 68238*x^8 - 57636*x^7 + 59962*x^6 - 206*x^5 - 16569*x^4 + 4392*x^3 + 1047*x^2 - 338*x - 36, -x^23 + 13*x^22 - 52*x^21 - 29*x^20 + 752*x^19 - 1442*x^18 - 2749*x^17 + 12207*x^16 - 3436*x^15 - 39021*x^14 + 46186*x^13 + 49509*x^12 - 117664*x^11 + 4111*x^10 + 129226*x^9 - 68238*x^8 - 57636*x^7 + 59962*x^6 - 206*x^5 - 16569*x^4 + 4392*x^3 + 1047*x^2 - 338*x - 36, -x^23 + 14*x^22 - 66*x^21 + 39*x^20 + 686*x^19 - 2006*x^18 - 807*x^17 + 11827*x^16 - 12022*x^15 - 25554*x^14 + 54412*x^13 + 10320*x^12 - 93717*x^11 + 37376*x^10 + 72077*x^9 - 51191*x^8 - 22100*x^7 + 20196*x^6 + 2754*x^5 - 1164*x^4 - 317*x^3 - 1228*x^2 + 446*x + 32, -x^23 + 14*x^22 - 66*x^21 + 39*x^20 + 686*x^19 - 2006*x^18 - 807*x^17 + 11827*x^16 - 12022*x^15 - 25554*x^14 + 54412*x^13 + 10320*x^12 - 93717*x^11 + 37376*x^10 + 72077*x^9 - 51191*x^8 - 22100*x^7 + 20196*x^6 + 2754*x^5 - 1164*x^4 - 317*x^3 - 1228*x^2 + 446*x + 32, x^25 - 13*x^24 + 46*x^23 + 109*x^22 - 1090*x^21 + 1371*x^20 + 7324*x^19 - 22328*x^18 - 10460*x^17 + 118080*x^16 - 89177*x^15 - 281912*x^14 + 468531*x^13 + 223094*x^12 - 934046*x^11 + 274052*x^10 + 838237*x^9 - 634346*x^8 - 257373*x^7 + 400567*x^6 - 48305*x^5 - 79952*x^4 + 28111*x^3 + 173*x^2 - 664*x - 28, x^25 - 13*x^24 + 46*x^23 + 109*x^22 - 1090*x^21 + 1371*x^20 + 7324*x^19 - 22328*x^18 - 10460*x^17 + 118080*x^16 - 89177*x^15 - 281912*x^14 + 468531*x^13 + 223094*x^12 - 934046*x^11 + 274052*x^10 + 838237*x^9 - 634346*x^8 - 257373*x^7 + 400567*x^6 - 48305*x^5 - 79952*x^4 + 28111*x^3 + 173*x^2 - 664*x - 28, x^22 - 16*x^21 + 92*x^20 - 148*x^19 - 683*x^18 + 3273*x^17 - 2092*x^16 - 14863*x^15 + 31413*x^14 + 13255*x^13 - 103355*x^12 + 67020*x^11 + 129966*x^10 - 187704*x^9 - 21692*x^8 + 166636*x^7 - 71140*x^6 - 37660*x^5 + 33958*x^4 - 6038*x^3 - 181*x^2 - 44*x - 4, x^22 - 16*x^21 + 92*x^20 - 148*x^19 - 683*x^18 + 3273*x^17 - 2092*x^16 - 14863*x^15 + 31413*x^14 + 13255*x^13 - 103355*x^12 + 67020*x^11 + 129966*x^10 - 187704*x^9 - 21692*x^8 + 166636*x^7 - 71140*x^6 - 37660*x^5 + 33958*x^4 - 6038*x^3 - 181*x^2 - 44*x - 4, x^23 - 13*x^22 + 51*x^21 + 43*x^20 - 817*x^19 + 1472*x^18 + 3443*x^17 - 14056*x^16 + 2138*x^15 + 50343*x^14 - 54179*x^13 - 77562*x^12 + 159675*x^11 + 24084*x^10 - 210908*x^9 + 71879*x^8 + 135920*x^7 - 95118*x^6 - 26907*x^5 + 39306*x^4 - 7389*x^3 - 1886*x^2 + 444*x + 36, x^23 - 13*x^22 + 51*x^21 + 43*x^20 - 817*x^19 + 1472*x^18 + 3443*x^17 - 14056*x^16 + 2138*x^15 + 50343*x^14 - 54179*x^13 - 77562*x^12 + 159675*x^11 + 24084*x^10 - 210908*x^9 + 71879*x^8 + 135920*x^7 - 95118*x^6 - 26907*x^5 + 39306*x^4 - 7389*x^3 - 1886*x^2 + 444*x + 36, x^25 - 13*x^24 + 47*x^23 + 95*x^22 - 1024*x^21 + 1337*x^20 + 6573*x^19 - 20038*x^18 - 9806*x^17 + 103680*x^16 - 69951*x^15 - 255180*x^14 + 380792*x^13 + 252748*x^12 - 799291*x^11 + 118508*x^10 + 801819*x^9 - 477061*x^8 - 324826*x^7 + 361414*x^6 - 8196*x^5 - 88538*x^4 + 27071*x^3 + 495*x^2 - 634*x - 28, x^25 - 13*x^24 + 47*x^23 + 95*x^22 - 1024*x^21 + 1337*x^20 + 6573*x^19 - 20038*x^18 - 9806*x^17 + 103680*x^16 - 69951*x^15 - 255180*x^14 + 380792*x^13 + 252748*x^12 - 799291*x^11 + 118508*x^10 + 801819*x^9 - 477061*x^8 - 324826*x^7 + 361414*x^6 - 8196*x^5 - 88538*x^4 + 27071*x^3 + 495*x^2 - 634*x - 28, -x^22 + 13*x^21 - 53*x^20 - 17*x^19 + 709*x^18 - 1475*x^17 - 2195*x^16 + 11360*x^15 - 5388*x^14 - 32621*x^13 + 46344*x^12 + 30977*x^11 - 102895*x^10 + 27488*x^9 + 90915*x^8 - 70682*x^7 - 19609*x^6 + 38386*x^5 - 9435*x^4 - 3058*x^3 + 1237*x^2 - 10*x, -x^22 + 13*x^21 - 53*x^20 - 17*x^19 + 709*x^18 - 1475*x^17 - 2195*x^16 + 11360*x^15 - 5388*x^14 - 32621*x^13 + 46344*x^12 + 30977*x^11 - 102895*x^10 + 27488*x^9 + 90915*x^8 - 70682*x^7 - 19609*x^6 + 38386*x^5 - 9435*x^4 - 3058*x^3 + 1237*x^2 - 10*x, -x^22 + 13*x^21 - 54*x^20 - 6*x^19 + 678*x^18 - 1563*x^17 - 1545*x^16 + 10651*x^15 - 8457*x^14 - 23797*x^13 + 45789*x^12 + 4467*x^11 - 71491*x^10 + 43615*x^9 + 33778*x^8 - 40246*x^7 - 2443*x^6 + 14626*x^5 - 2338*x^4 - 2449*x^3 + 779*x^2 - 4, -x^22 + 13*x^21 - 54*x^20 - 6*x^19 + 678*x^18 - 1563*x^17 - 1545*x^16 + 10651*x^15 - 8457*x^14 - 23797*x^13 + 45789*x^12 + 4467*x^11 - 71491*x^10 + 43615*x^9 + 33778*x^8 - 40246*x^7 - 2443*x^6 + 14626*x^5 - 2338*x^4 - 2449*x^3 + 779*x^2 - 4, -x^22 + 14*x^21 - 68*x^20 + 63*x^19 + 601*x^18 - 2088*x^17 + 378*x^16 + 10113*x^15 - 16772*x^14 - 10913*x^13 + 56754*x^12 - 36281*x^11 - 62978*x^10 + 104364*x^9 - 11263*x^8 - 84146*x^7 + 60390*x^6 + 9446*x^5 - 25460*x^4 + 7334*x^3 + 979*x^2 - 430*x - 28, -x^22 + 14*x^21 - 68*x^20 + 63*x^19 + 601*x^18 - 2088*x^17 + 378*x^16 + 10113*x^15 - 16772*x^14 - 10913*x^13 + 56754*x^12 - 36281*x^11 - 62978*x^10 + 104364*x^9 - 11263*x^8 - 84146*x^7 + 60390*x^6 + 9446*x^5 - 25460*x^4 + 7334*x^3 + 979*x^2 - 430*x - 28, -x^22 + 15*x^21 - 81*x^20 + 119*x^19 + 577*x^18 - 2604*x^17 + 1698*x^16 + 10569*x^15 - 22480*x^14 - 5887*x^13 + 62491*x^12 - 43651*x^11 - 61551*x^10 + 85524*x^9 + 12339*x^8 - 53502*x^7 + 89*x^6 + 20379*x^5 + 1844*x^4 - 7666*x^3 + 1631*x^2 + 160*x - 12, -x^22 + 15*x^21 - 81*x^20 + 119*x^19 + 577*x^18 - 2604*x^17 + 1698*x^16 + 10569*x^15 - 22480*x^14 - 5887*x^13 + 62491*x^12 - 43651*x^11 - 61551*x^10 + 85524*x^9 + 12339*x^8 - 53502*x^7 + 89*x^6 + 20379*x^5 + 1844*x^4 - 7666*x^3 + 1631*x^2 + 160*x - 12, x^21 - 16*x^20 + 89*x^19 - 116*x^18 - 773*x^17 + 3088*x^16 - 752*x^15 - 15820*x^14 + 25287*x^13 + 23959*x^12 - 92489*x^11 + 31186*x^10 + 129785*x^9 - 129591*x^8 - 49555*x^7 + 122996*x^6 - 32030*x^5 - 33023*x^4 + 20198*x^3 - 1938*x^2 - 468*x - 20, x^21 - 16*x^20 + 89*x^19 - 116*x^18 - 773*x^17 + 3088*x^16 - 752*x^15 - 15820*x^14 + 25287*x^13 + 23959*x^12 - 92489*x^11 + 31186*x^10 + 129785*x^9 - 129591*x^8 - 49555*x^7 + 122996*x^6 - 32030*x^5 - 33023*x^4 + 20198*x^3 - 1938*x^2 - 468*x - 20, x^22 - 13*x^21 + 53*x^20 + 15*x^19 - 683*x^18 + 1366*x^17 + 2205*x^16 - 10153*x^15 + 2554*x^14 + 30417*x^13 - 29649*x^12 - 44720*x^11 + 71304*x^10 + 33837*x^9 - 91547*x^8 - 7329*x^7 + 75089*x^6 - 19940*x^5 - 26468*x^4 + 14682*x^3 - 373*x^2 - 628*x - 24, x^22 - 13*x^21 + 53*x^20 + 15*x^19 - 683*x^18 + 1366*x^17 + 2205*x^16 - 10153*x^15 + 2554*x^14 + 30417*x^13 - 29649*x^12 - 44720*x^11 + 71304*x^10 + 33837*x^9 - 91547*x^8 - 7329*x^7 + 75089*x^6 - 19940*x^5 - 26468*x^4 + 14682*x^3 - 373*x^2 - 628*x - 24, -2*x^21 + 27*x^20 - 124*x^19 + 85*x^18 + 1139*x^17 - 3463*x^16 - 305*x^15 + 17113*x^14 - 22338*x^13 - 24322*x^12 + 76886*x^11 - 23156*x^10 - 93575*x^9 + 89236*x^8 + 29518*x^7 - 74906*x^6 + 19030*x^5 + 19966*x^4 - 12734*x^3 + 1761*x^2 + 170*x - 8, -2*x^21 + 27*x^20 - 124*x^19 + 85*x^18 + 1139*x^17 - 3463*x^16 - 305*x^15 + 17113*x^14 - 22338*x^13 - 24322*x^12 + 76886*x^11 - 23156*x^10 - 93575*x^9 + 89236*x^8 + 29518*x^7 - 74906*x^6 + 19030*x^5 + 19966*x^4 - 12734*x^3 + 1761*x^2 + 170*x - 8, -x^21 + 10*x^20 - 17*x^19 - 147*x^18 + 616*x^17 + 192*x^16 - 4816*x^15 + 5530*x^14 + 14186*x^13 - 31949*x^12 - 10482*x^11 + 70871*x^10 - 23776*x^9 - 73736*x^8 + 49278*x^7 + 38550*x^6 - 38799*x^5 - 5143*x^4 + 12485*x^3 - 2698*x^2 - 158*x + 12, -x^21 + 10*x^20 - 17*x^19 - 147*x^18 + 616*x^17 + 192*x^16 - 4816*x^15 + 5530*x^14 + 14186*x^13 - 31949*x^12 - 10482*x^11 + 70871*x^10 - 23776*x^9 - 73736*x^8 + 49278*x^7 + 38550*x^6 - 38799*x^5 - 5143*x^4 + 12485*x^3 - 2698*x^2 - 158*x + 12, -x^21 + 13*x^20 - 57*x^19 + 26*x^18 + 588*x^17 - 1748*x^16 - 205*x^15 + 9694*x^14 - 14583*x^13 - 13093*x^12 + 56655*x^11 - 31367*x^10 - 71672*x^9 + 101728*x^8 + 5915*x^7 - 83886*x^6 + 36667*x^5 + 19263*x^4 - 16098*x^3 + 1651*x^2 + 492*x + 24, -x^21 + 13*x^20 - 57*x^19 + 26*x^18 + 588*x^17 - 1748*x^16 - 205*x^15 + 9694*x^14 - 14583*x^13 - 13093*x^12 + 56655*x^11 - 31367*x^10 - 71672*x^9 + 101728*x^8 + 5915*x^7 - 83886*x^6 + 36667*x^5 + 19263*x^4 - 16098*x^3 + 1651*x^2 + 492*x + 24]>
       ]
>;

MOG[647] := 	// J_0(647)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 14, 19, 59, 147, 166, 210, 228, 236, 268, 269, 285, 295, 299, 304, 385, 426, 434, 442, 471, 507, 541, 639, 346*x + 115, 301*x + 115, 163*x + 434, 484*x + 434, 158*x + 237, 489*x + 237, 313*x + 349, 334*x + 349, 507*x + 384, 140*x + 384, 244*x + 570, 403*x + 570, 71*x + 251, 576*x + 251, 297*x + 334, 350*x + 334, 596*x + 199, 51*x + 199, 189*x + 467, 458*x + 467, 194*x + 427, 453*x + 427, 204*x + 330, 443*x + 330, 524*x + 40, 123*x + 40, 37*x + 2, 610*x + 2, 531*x + 290, 116*x + 290, 138*x + 415, 509*x + 415]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + 3*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x + 3, -x - 3, -1, 1, x + 2, -x - 2, -x - 2, x + 2, -x - 1, x + 1, -x - 1, x + 1, 0, 0, x + 2, -x - 2, x + 1, -x - 1, x + 3, -x - 3, -2, 2, x + 2, -x - 2, -x - 2, x + 2, 1, -1, -x - 1, x + 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^14 + 2*x^13 - 14*x^12 - 26*x^11 + 75*x^10 + 124*x^9 - 198*x^8 - 271*x^7 + 274*x^6 + 273*x^5 - 190*x^4 - 102*x^3 + 52*x^2 - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x^13 + 3*x^12 - 11*x^11 - 35*x^10 + 45*x^9 + 152*x^8 - 88*x^7 - 305*x^6 + 92*x^5 + 283*x^4 - 55*x^3 - 99*x^2 + 15*x + 3, -x^13 - 3*x^12 + 11*x^11 + 35*x^10 - 45*x^9 - 152*x^8 + 88*x^7 + 305*x^6 - 92*x^5 - 283*x^4 + 55*x^3 + 99*x^2 - 15*x - 3, x^13 + 3*x^12 - 9*x^11 - 30*x^10 + 28*x^9 + 110*x^8 - 34*x^7 - 182*x^6 + 10*x^5 + 135*x^4 + 3*x^3 - 37*x^2 + 3*x + 1, -x^13 - 3*x^12 + 9*x^11 + 30*x^10 - 28*x^9 - 110*x^8 + 34*x^7 + 182*x^6 - 10*x^5 - 135*x^4 - 3*x^3 + 37*x^2 - 3*x - 1, -x^13 - 2*x^12 + 13*x^11 + 23*x^10 - 67*x^9 - 98*x^8 + 175*x^7 + 195*x^6 - 236*x^5 - 182*x^4 + 147*x^3 + 63*x^2 - 29*x + 1, x^13 + 2*x^12 - 13*x^11 - 23*x^10 + 67*x^9 + 98*x^8 - 175*x^7 - 195*x^6 + 236*x^5 + 182*x^4 - 147*x^3 - 63*x^2 + 29*x - 1, x^12 + 3*x^11 - 7*x^10 - 24*x^9 + 17*x^8 + 69*x^7 - 16*x^6 - 82*x^5 + 3*x^4 + 30*x^3 + 3*x^2 + 5*x - 1, -x^12 - 3*x^11 + 7*x^10 + 24*x^9 - 17*x^8 - 69*x^7 + 16*x^6 + 82*x^5 - 3*x^4 - 30*x^3 - 3*x^2 - 5*x + 1, x^12 + 4*x^11 - 5*x^10 - 35*x^9 - 5*x^8 + 108*x^7 + 57*x^6 - 148*x^5 - 93*x^4 + 90*x^3 + 47*x^2 - 19*x - 1, -x^12 - 4*x^11 + 5*x^10 + 35*x^9 + 5*x^8 - 108*x^7 - 57*x^6 + 148*x^5 + 93*x^4 - 90*x^3 - 47*x^2 + 19*x + 1, -x^12 - 3*x^11 + 8*x^10 + 26*x^9 - 23*x^8 - 76*x^7 + 38*x^6 + 91*x^5 - 43*x^4 - 39*x^3 + 23*x^2 + x - 1, x^12 + 3*x^11 - 8*x^10 - 26*x^9 + 23*x^8 + 76*x^7 - 38*x^6 - 91*x^5 + 43*x^4 + 39*x^3 - 23*x^2 - x + 1, x^11 + 3*x^10 - 6*x^9 - 22*x^8 + 11*x^7 + 58*x^6 - 5*x^5 - 64*x^4 + 2*x^3 + 25*x^2 - 5*x + 1, -x^11 - 3*x^10 + 6*x^9 + 22*x^8 - 11*x^7 - 58*x^6 + 5*x^5 + 64*x^4 - 2*x^3 - 25*x^2 + 5*x - 1, x^11 + 3*x^10 - 5*x^9 - 19*x^8 + 7*x^7 + 42*x^6 - 2*x^5 - 41*x^4 - 2*x^3 + 17*x^2 + x - 2, -x^11 - 3*x^10 + 5*x^9 + 19*x^8 - 7*x^7 - 42*x^6 + 2*x^5 + 41*x^4 + 2*x^3 - 17*x^2 - x + 2, x^11 + 3*x^10 - 7*x^9 - 25*x^8 + 15*x^7 + 72*x^6 - 12*x^5 - 88*x^4 + 5*x^3 + 41*x^2 - 3*x - 2, -x^11 - 3*x^10 + 7*x^9 + 25*x^8 - 15*x^7 - 72*x^6 + 12*x^5 + 88*x^4 - 5*x^3 - 41*x^2 + 3*x + 2, x^10 + 2*x^9 - 7*x^8 - 12*x^7 + 19*x^6 + 23*x^5 - 25*x^4 - 16*x^3 + 14*x^2 + 3*x - 2, -x^10 - 2*x^9 + 7*x^8 + 12*x^7 - 19*x^6 - 23*x^5 + 25*x^4 + 16*x^3 - 14*x^2 - 3*x + 2, -x^11 - 2*x^10 + 9*x^9 + 17*x^8 - 29*x^7 - 47*x^6 + 45*x^5 + 50*x^4 - 34*x^3 - 15*x^2 + 9*x - 2, x^11 + 2*x^10 - 9*x^9 - 17*x^8 + 29*x^7 + 47*x^6 - 45*x^5 - 50*x^4 + 34*x^3 + 15*x^2 - 9*x + 2, x^10 + 2*x^9 - 6*x^8 - 11*x^7 + 11*x^6 + 18*x^5 - x^4 - 5*x^3 - 8*x^2 - 4*x + 1, -x^10 - 2*x^9 + 6*x^8 + 11*x^7 - 11*x^6 - 18*x^5 + x^4 + 5*x^3 + 8*x^2 + 4*x - 1, x^10 + 3*x^9 - 3*x^8 - 15*x^7 - 5*x^6 + 18*x^5 + 20*x^4 + 3*x^3 - 16*x^2 - 10*x + 3, -x^10 - 3*x^9 + 3*x^8 + 15*x^7 + 5*x^6 - 18*x^5 - 20*x^4 - 3*x^3 + 16*x^2 + 10*x - 3, x^10 + 3*x^9 - 5*x^8 - 21*x^7 + 3*x^6 + 48*x^5 + 10*x^4 - 44*x^3 - 9*x^2 + 14*x - 1, -x^10 - 3*x^9 + 5*x^8 + 21*x^7 - 3*x^6 - 48*x^5 - 10*x^4 + 44*x^3 + 9*x^2 - 14*x + 1, -x^10 + 11*x^8 - 40*x^6 + 4*x^5 + 59*x^4 - 10*x^3 - 29*x^2 + 6*x - 1, x^10 - 11*x^8 + 40*x^6 - 4*x^5 - 59*x^4 + 10*x^3 + 29*x^2 - 6*x + 1, 2*x^9 + 4*x^8 - 12*x^7 - 24*x^6 + 22*x^5 + 44*x^4 - 14*x^3 - 27*x^2 + 2*x + 2, -2*x^9 - 4*x^8 + 12*x^7 + 24*x^6 - 22*x^5 - 44*x^4 + 14*x^3 + 27*x^2 - 2*x - 2]>,
         rec<Eigen |
           DefiningPolynomial := x^38 - 6*x^37 - 43*x^36 + 317*x^35 + 734*x^34 - 7563*x^33 - 5196*x^32 + 107777*x^31 - 15218*x^30 - 1022420*x^29 + 670981*x^28 + 6809534*x^27 - 6974304*x^26 - 32703124*x^25 + 43233931*x^24 + 114355024*x^23 - 182818211*x^22 - 289598457*x^21 + 551044145*x^20 + 518051925*x^19 - 1199765467*x^18 - 613590239*x^17 + 1879315061*x^16 + 391077694*x^15 - 2078914397*x^14 + 33007060*x^13 + 1568489682*x^12 - 292644423*x^11 - 763027960*x^10 + 245090697*x^9 + 219863956*x^8 - 96514017*x^7 - 33109265*x^6 + 19659318*x^5 + 1729091*x^4 - 1958805*x^3 + 96833*x^2 + 73104*x - 9271,
           Coordinates        := [-x^37 + 6*x^36 + 40*x^35 - 298*x^34 - 626*x^33 + 6668*x^32 + 3815*x^31 - 88905*x^30 + 17869*x^29 + 787164*x^28 - 532838*x^27 - 4881392*x^26 + 4934699*x^25 + 21779936*x^24 - 27738705*x^23 - 70648857*x^22 + 106474554*x^21 + 166027319*x^20 - 290249291*x^19 - 277193708*x^18 + 567968123*x^17 + 313823892*x^16 - 793121362*x^15 - 214306301*x^14 + 774859313*x^13 + 51661403*x^12 - 511750898*x^11 + 41050324*x^10 + 217204209*x^9 - 39681862*x^8 - 55459981*x^7 + 13851872*x^6 + 7881501*x^5 - 2317717*x^4 - 546082*x^3 + 178605*x^2 + 13189*x - 4768, x^37 - 6*x^36 - 40*x^35 + 296*x^34 + 638*x^33 - 6600*x^32 - 4339*x^31 + 88067*x^30 - 7712*x^29 - 784780*x^28 + 417553*x^27 + 4934465*x^26 - 4083963*x^25 - 22542242*x^24 + 23457411*x^23 + 75847792*x^22 - 91509225*x^21 - 188257969*x^20 + 254057996*x^19 + 341034355*x^18 - 509217958*x^17 - 438877010*x^16 + 734035319*x^15 + 379232562*x^14 - 746403813*x^13 - 192554779*x^12 + 515795645*x^11 + 31795159*x^10 - 227925512*x^9 + 18725891*x^8 + 59098429*x^7 - 10338036*x^6 - 8370696*x^5 + 1939443*x^4 + 590468*x^3 - 156633*x^2 - 17069*x + 4870, x^33 - 6*x^32 - 32*x^31 + 248*x^30 + 376*x^29 - 4569*x^28 - 1205*x^27 + 49669*x^26 - 16836*x^25 - 355854*x^24 + 238655*x^23 + 1780090*x^22 - 1518378*x^21 - 6435839*x^20 + 6015603*x^19 + 17188173*x^18 - 16177202*x^17 - 34294434*x^16 + 30714257*x^15 + 50971681*x^14 - 42275027*x^13 - 54999465*x^12 + 42928318*x^11 + 40514327*x^10 - 31719854*x^9 - 18055629*x^8 + 15672928*x^7 + 3770343*x^6 - 4374653*x^5 - 134516*x^4 + 598686*x^3 - 55208*x^2 - 30702*x + 5076, x^35 - 6*x^34 - 36*x^33 + 274*x^32 + 488*x^31 - 5612*x^30 - 2029*x^29 + 68073*x^28 - 24882*x^27 - 543501*x^26 + 448571*x^25 + 2999441*x^24 - 3496227*x^23 - 11672269*x^22 + 17047959*x^21 + 31979397*x^20 - 56597246*x^19 - 60066169*x^18 + 131180164*x^17 + 71640841*x^16 - 211954772*x^15 - 41116745*x^14 + 233715734*x^13 - 13842250*x^12 - 168523242*x^11 + 41689605*x^10 + 74036373*x^9 - 28900064*x^8 - 17901608*x^7 + 9029971*x^6 + 2199378*x^5 - 1366897*x^4 - 116055*x^3 + 94732*x^2 + 1178*x - 2204, -3*x^33 + 19*x^32 + 87*x^31 - 766*x^30 - 737*x^29 + 13577*x^28 - 3887*x^27 - 139061*x^26 + 134351*x^25 + 908288*x^24 - 1321071*x^23 - 3922809*x^22 + 7499210*x^21 + 11122468*x^20 - 27758598*x^19 - 19161999*x^18 + 69415630*x^17 + 13334990*x^16 - 117052726*x^15 + 19063236*x^14 + 128500147*x^13 - 58724709*x^12 - 83683699*x^11 + 65403514*x^10 + 23951658*x^9 - 36606854*x^8 + 3093710*x^7 + 9602761*x^6 - 3318723*x^5 - 938118*x^4 + 644047*x^3 - 20720*x^2 - 39015*x + 5856, -3*x^34 + 19*x^33 + 96*x^32 - 817*x^31 - 1028*x^30 + 15659*x^29 - 410*x^28 - 176618*x^27 + 122248*x^26 + 1303045*x^25 - 1462558*x^24 - 6606265*x^23 + 9589835*x^22 + 23493613*x^21 - 41121064*x^20 - 58546683*x^19 + 121809126*x^18 + 99525601*x^17 - 253408538*x^16 - 106470592*x^15 + 368446929*x^14 + 52510463*x^13 - 365738390*x^12 + 22428785*x^11 + 236718283*x^10 - 51351750*x^9 - 92182318*x^8 + 31523213*x^7 + 18754915*x^6 - 8678987*x^5 - 1503036*x^4 + 1068706*x^3 - 20734*x^2 - 46004*x + 5307, x^35 - 6*x^34 - 36*x^33 + 272*x^32 + 500*x^31 - 5546*x^30 - 2547*x^29 + 67345*x^28 - 15134*x^27 - 543312*x^26 + 343349*x^25 + 3073554*x^24 - 2775481*x^23 - 12525523*x^22 + 13779471*x^21 + 37122926*x^20 - 46693147*x^19 - 79587744*x^18 + 111574927*x^17 + 120718050*x^16 - 188574681*x^15 - 123509603*x^14 + 221550466*x^13 + 76949066*x^12 - 174205683*x^11 - 21444319*x^10 + 86071880*x^9 - 2762333*x^8 - 24493173*x^7 + 2953240*x^6 + 3806304*x^5 - 625345*x^4 - 313516*x^3 + 57527*x^2 + 12717*x - 2666, -3*x^34 + 19*x^33 + 93*x^32 - 806*x^31 - 887*x^30 + 15089*x^29 - 3169*x^28 - 163921*x^27 + 151349*x^26 + 1141372*x^25 - 1636129*x^24 - 5292211*x^23 + 10081482*x^22 + 16306474*x^21 - 40588574*x^20 - 31451079*x^19 + 111346974*x^18 + 28816654*x^17 - 209413468*x^16 + 19356352*x^15 + 264937485*x^14 - 93948389*x^13 - 214964331*x^12 + 123815242*x^11 + 101733116*x^10 - 82935322*x^9 - 22943226*x^8 + 29121733*x^7 + 1092513*x^6 - 5450600*x^5 + 449805*x^4 + 521560*x^3 - 78901*x^2 - 20260*x + 3964, 2*x^32 - 9*x^31 - 77*x^30 + 382*x^29 + 1280*x^28 - 7224*x^27 - 11924*x^26 + 80461*x^25 + 66568*x^24 - 587695*x^23 - 208064*x^22 + 2964259*x^21 + 158342*x^20 - 10577486*x^19 + 1610784*x^18 + 26862376*x^17 - 8157265*x^16 - 48073777*x^15 + 20418126*x^14 + 58980027*x^13 - 31304654*x^12 - 47112435*x^11 + 29768629*x^10 + 22438881*x^9 - 16491356*x^8 - 5601053*x^7 + 4726950*x^6 + 748148*x^5 - 676046*x^4 - 66284*x^3 + 48722*x^2 + 4206*x - 1870, -5*x^31 + 36*x^30 + 104*x^29 - 1305*x^28 + 144*x^27 + 20266*x^26 - 25283*x^25 - 175073*x^24 + 353400*x^23 + 905043*x^22 - 2577912*x^21 - 2706937*x^20 + 11697945*x^19 + 3304646*x^18 - 34795282*x^17 + 6621939*x^16 + 68250634*x^15 - 36122876*x^14 - 85546224*x^13 + 70490611*x^12 + 62439408*x^11 - 74225236*x^10 - 19526167*x^9 + 42386188*x^8 - 2770204*x^7 - 11679769*x^6 + 2890435*x^5 + 1330006*x^4 - 541828*x^3 - 22836*x^2 + 30460*x - 3206, x^33 - 12*x^32 + 6*x^31 + 420*x^30 - 1128*x^29 - 6090*x^28 + 25109*x^27 + 45098*x^26 - 285536*x^25 - 145284*x^24 + 2018705*x^23 - 308401*x^22 - 9552945*x^21 + 5350696*x^20 + 31201004*x^19 - 26381836*x^18 - 70715493*x^17 + 75972874*x^16 + 109240969*x^15 - 141605483*x^14 - 109146236*x^13 + 173181733*x^12 + 61492719*x^11 - 134977762*x^10 - 10103883*x^9 + 62416204*x^8 - 7385914*x^7 - 15063005*x^6 + 3723618*x^5 + 1614609*x^4 - 594965*x^3 - 37316*x^2 + 31596*x - 2872, x^36 - 9*x^35 - 20*x^34 + 395*x^33 - 275*x^32 - 7602*x^31 + 14210*x^30 + 83800*x^29 - 228842*x^28 - 575655*x^27 + 2133385*x^26 + 2457137*x^25 - 13154870*x^24 - 5524081*x^23 + 56567742*x^22 - 1956468*x^21 - 173452689*x^20 + 59865313*x^19 + 380954322*x^18 - 219069426*x^17 - 593276191*x^16 + 451937309*x^15 + 637930213*x^14 - 597168485*x^13 - 449808845*x^12 + 513392880*x^11 + 187607935*x^10 - 279836300*x^9 - 34738322*x^8 + 91873748*x^7 - 2196816*x^6 - 17081158*x^5 + 1960937*x^4 + 1618490*x^3 - 277545*x^2 - 59225*x + 12232, x^36 - 6*x^35 - 38*x^34 + 284*x^33 + 566*x^32 - 6054*x^31 - 3351*x^30 + 76909*x^29 - 12288*x^28 - 649362*x^27 + 377537*x^26 + 3847652*x^25 - 3292043*x^24 - 16469247*x^23 + 17185703*x^22 + 51650000*x^21 - 60681795*x^20 - 119155646*x^19 + 150767603*x^18 + 201380442*x^17 - 266462867*x^16 - 246518119*x^15 + 333505866*x^14 + 214606214*x^13 - 291137613*x^12 - 129447963*x^11 + 173066720*x^10 + 52040445*x^9 - 67817259*x^8 - 12936506*x^7 + 16703648*x^6 + 1645175*x^5 - 2365014*x^4 - 52799*x^3 + 160897*x^2 - 4374*x - 3174, -3*x^36 + 19*x^35 + 108*x^34 - 895*x^33 - 1381*x^32 + 18872*x^31 + 2651*x^30 - 235256*x^29 + 138143*x^28 + 1928142*x^27 - 2039605*x^26 - 10923188*x^25 + 15495226*x^24 + 43706167*x^23 - 76343657*x^22 - 123571138*x^21 + 260794854*x^20 + 240858217*x^19 - 631797344*x^18 - 299766347*x^17 + 1086193699*x^16 + 176771393*x^15 - 1304055084*x^14 + 84668463*x^13 + 1056738784*x^12 - 251594099*x^11 - 545823751*x^10 + 205408835*x^9 + 164403975*x^8 - 82662145*x^7 - 25227764*x^6 + 17341601*x^5 + 1183009*x^4 - 1780200*x^3 + 110022*x^2 + 68336*x - 9271, -3*x^35 + 19*x^34 + 102*x^33 - 857*x^32 - 1192*x^31 + 17249*x^30 + 736*x^29 - 204508*x^28 + 134564*x^27 + 1587603*x^26 - 1766008*x^25 - 8478771*x^24 + 12396539*x^23 + 31807691*x^22 - 56672340*x^21 - 83771051*x^20 + 179085216*x^19 + 150860455*x^18 - 398641244*x^17 - 171424092*x^16 + 623371693*x^15 + 89657153*x^14 - 670670670*x^13 + 43230537*x^12 + 476036063*x^11 - 105350072*x^10 - 207372352*x^9 + 71121763*x^8 + 49278431*x^7 - 22017199*x^6 - 5380336*x^5 + 3212014*x^4 + 129778*x^3 - 189934*x^2 + 10387*x + 2072, x^36 - 6*x^35 - 38*x^34 + 284*x^33 + 566*x^32 - 6054*x^31 - 3353*x^30 + 76931*x^29 - 12298*x^28 - 650052*x^27 + 379419*x^26 + 3856093*x^25 - 3329607*x^24 - 16513904*x^23 + 17555541*x^22 + 51646956*x^21 - 62851665*x^20 - 117727237*x^19 + 158825584*x^18 + 192402213*x^17 - 285540684*x^16 - 217264322*x^15 + 361074505*x^14 + 157000432*x^13 - 311747579*x^12 - 59505335*x^11 + 174427793*x^10 + 1431049*x^9 - 58209946*x^8 + 7238739*x^7 + 10231737*x^6 - 2283892*x^5 - 734546*x^4 + 236481*x^3 + 2746*x^2 - 4635*x + 213, 2*x^33 - 12*x^32 - 64*x^31 + 505*x^30 + 691*x^29 - 9366*x^28 - 106*x^27 + 100670*x^26 - 71904*x^25 - 692605*x^24 + 843990*x^23 + 3167963*x^22 - 5282986*x^21 - 9603797*x^20 + 21172704*x^19 + 18115530*x^18 - 57123244*x^17 - 15806404*x^16 + 104321663*x^15 - 12329213*x^14 - 125551612*x^13 + 53033443*x^12 + 92694572*x^11 - 65585039*x^10 - 34987957*x^9 + 39697443*x^8 + 2488800*x^7 - 11280473*x^6 + 1758282*x^5 + 1345832*x^4 - 404438*x^3 - 35090*x^2 + 23246*x - 2094, -3*x^33 + 16*x^32 + 109*x^31 - 697*x^30 - 1584*x^29 + 13505*x^28 + 10336*x^27 - 153585*x^26 - 2236*x^25 + 1139136*x^24 - 496993*x^23 - 5789204*x^22 + 4292278*x^21 + 20598752*x^20 - 19989822*x^19 - 51440901*x^18 + 59906073*x^17 + 88722727*x^16 - 120690741*x^15 - 101334389*x^14 + 163603096*x^13 + 69654707*x^12 - 145309624*x^11 - 21494382*x^10 + 80238734*x^9 - 2696588*x^8 - 25639814*x^7 + 3481919*x^6 + 4574432*x^5 - 876168*x^4 - 426363*x^3 + 95197*x^2 + 16296*x - 3964, x^32 - 4*x^31 - 46*x^30 + 207*x^29 + 862*x^28 - 4594*x^27 - 8285*x^26 + 58011*x^25 + 38342*x^24 - 464359*x^23 + 4360*x^22 + 2477069*x^21 - 1132031*x^20 - 8984434*x^19 + 7136062*x^18 + 22103603*x^17 - 24110108*x^16 - 35829760*x^15 + 50891114*x^14 + 35266931*x^13 - 68841224*x^12 - 15813508*x^11 + 58255291*x^10 - 3942280*x^9 - 28807140*x^8 + 7839203*x^7 + 7301671*x^6 - 3182476*x^5 - 736070*x^4 + 519444*x^3 - 9426*x^2 - 29322*x + 3964, x^32 - 4*x^31 - 40*x^30 + 168*x^29 + 714*x^28 - 3151*x^27 - 7573*x^26 + 34869*x^25 + 54114*x^24 - 253854*x^23 - 283871*x^22 + 1287672*x^21 + 1170998*x^20 - 4721647*x^19 - 3932625*x^18 + 12861795*x^17 + 10536896*x^16 - 26517840*x^15 - 21166595*x^14 + 41484151*x^13 + 29475071*x^12 - 48012183*x^11 - 25872940*x^10 + 38660481*x^9 + 12267432*x^8 - 19529371*x^7 - 2061730*x^6 + 5310651*x^5 - 213587*x^4 - 687848*x^3 + 91058*x^2 + 32190*x - 6036, x^34 - 4*x^33 - 44*x^32 + 186*x^31 + 860*x^30 - 3892*x^29 - 9813*x^28 + 48447*x^27 + 72012*x^26 - 399477*x^25 - 350383*x^24 + 2298675*x^23 + 1101123*x^22 - 9470023*x^21 - 1892087*x^20 + 28195223*x^19 - 206800*x^18 - 60479769*x^17 + 10220626*x^16 + 92082093*x^15 - 27790586*x^14 - 96697917*x^13 + 40319900*x^12 + 66797550*x^11 - 34928142*x^10 - 28166679*x^9 + 17703015*x^8 + 6505966*x^7 - 4889676*x^6 - 749381*x^5 + 700616*x^4 + 34335*x^3 - 47385*x^2 - 38*x + 1102, x^34 - 6*x^33 - 34*x^32 + 256*x^31 + 462*x^30 - 4944*x^29 - 2781*x^28 + 57414*x^27 - 978*x^26 - 448734*x^25 + 146199*x^24 + 2498303*x^23 - 1238867*x^22 - 10200580*x^21 + 5976636*x^20 + 30894254*x^19 - 19380639*x^18 - 69259832*x^17 + 44287469*x^16 + 113319281*x^15 - 71999546*x^14 - 131750547*x^13 + 82294471*x^12 + 104340018*x^11 - 64102205*x^10 - 52773830*x^9 + 32212636*x^8 + 15460511*x^7 - 9614594*x^6 - 2262691*x^5 + 1548343*x^4 + 113196*x^3 - 112334*x^2 + 2208*x + 2072, x^35 - 9*x^34 - 18*x^33 + 379*x^32 - 323*x^31 - 6918*x^30 + 14126*x^29 + 70982*x^28 - 212310*x^27 - 437723*x^26 + 1852281*x^25 + 1522935*x^24 - 10595836*x^23 - 1460603*x^22 + 41627674*x^21 - 12671572*x^20 - 113961891*x^19 + 71693563*x^18 + 215708114*x^17 - 195379380*x^16 - 272876499*x^15 + 327654037*x^14 + 211926505*x^13 - 350791125*x^12 - 76593611*x^11 + 234192292*x^10 - 12221645*x^9 - 91256118*x^8 + 21366900*x^7 + 18484642*x^6 - 7009968*x^5 - 1503962*x^4 + 912187*x^3 - 12614*x^2 - 39035*x + 4401, -3*x^32 + 20*x^31 + 75*x^30 - 756*x^29 - 359*x^28 + 12430*x^27 - 8499*x^26 - 116542*x^25 + 157529*x^24 + 684701*x^23 - 1291136*x^22 - 2592003*x^21 + 6414988*x^20 + 6144540*x^19 - 20965672*x^18 - 7740832*x^17 + 46180371*x^16 - 146558*x^15 - 68218669*x^14 + 17611840*x^13 + 65640316*x^12 - 29205864*x^11 - 38890729*x^10 + 23164234*x^9 + 13018468*x^8 - 9759486*x^7 - 2205618*x^6 + 2256241*x^5 + 97121*x^4 - 271140*x^3 + 19943*x^2 + 13058*x - 1982, -3*x^32 + 20*x^31 + 75*x^30 - 756*x^29 - 359*x^28 + 12430*x^27 - 8499*x^26 - 116542*x^25 + 157529*x^24 + 684701*x^23 - 1291136*x^22 - 2592003*x^21 + 6414988*x^20 + 6144540*x^19 - 20965672*x^18 - 7740832*x^17 + 46180371*x^16 - 146558*x^15 - 68218669*x^14 + 17611840*x^13 + 65640316*x^12 - 29205864*x^11 - 38890729*x^10 + 23164234*x^9 + 13018468*x^8 - 9759486*x^7 - 2205618*x^6 + 2256241*x^5 + 97121*x^4 - 271140*x^3 + 19943*x^2 + 13058*x - 1982, x^32 - 7*x^31 - 26*x^30 + 274*x^29 + 158*x^28 - 4756*x^27 + 2253*x^26 + 48461*x^25 - 48514*x^24 - 323465*x^23 + 425763*x^22 + 1493690*x^21 - 2270991*x^20 - 4905019*x^19 + 8116521*x^18 + 11560023*x^17 - 20103487*x^16 - 19416577*x^15 + 34671480*x^14 + 22686393*x^13 - 40971766*x^12 - 17646438*x^11 + 31985956*x^10 + 8592977*x^9 - 15538820*x^8 - 2529124*x^7 + 4333249*x^6 + 525409*x^5 - 663028*x^4 - 82276*x^3 + 56614*x^2 + 6573*x - 2650, x^32 - 7*x^31 - 26*x^30 + 274*x^29 + 158*x^28 - 4756*x^27 + 2253*x^26 + 48461*x^25 - 48514*x^24 - 323465*x^23 + 425763*x^22 + 1493690*x^21 - 2270991*x^20 - 4905019*x^19 + 8116521*x^18 + 11560023*x^17 - 20103487*x^16 - 19416577*x^15 + 34671480*x^14 + 22686393*x^13 - 40971766*x^12 - 17646438*x^11 + 31985956*x^10 + 8592977*x^9 - 15538820*x^8 - 2529124*x^7 + 4333249*x^6 + 525409*x^5 - 663028*x^4 - 82276*x^3 + 56614*x^2 + 6573*x - 2650, -3*x^33 + 20*x^32 + 82*x^31 - 795*x^30 - 573*x^29 + 13945*x^28 - 6158*x^27 - 142279*x^26 + 151725*x^25 + 936253*x^24 - 1403352*x^23 - 4157039*x^22 + 7775638*x^21 + 12612184*x^20 - 28638045*x^19 - 25667427*x^18 + 72616353*x^17 + 32476750*x^16 - 127462382*x^15 - 18573345*x^14 + 152466140*x^13 - 10400876*x^12 - 119658890*x^11 + 26999161*x^10 + 57595017*x^9 - 19799275*x^8 - 15261758*x^7 + 6669106*x^6 + 1938650*x^5 - 1071654*x^4 - 75256*x^3 + 71965*x^2 - 2540*x - 1036, -3*x^33 + 20*x^32 + 82*x^31 - 795*x^30 - 573*x^29 + 13945*x^28 - 6158*x^27 - 142279*x^26 + 151725*x^25 + 936253*x^24 - 1403352*x^23 - 4157039*x^22 + 7775638*x^21 + 12612184*x^20 - 28638045*x^19 - 25667427*x^18 + 72616353*x^17 + 32476750*x^16 - 127462382*x^15 - 18573345*x^14 + 152466140*x^13 - 10400876*x^12 - 119658890*x^11 + 26999161*x^10 + 57595017*x^9 - 19799275*x^8 - 15261758*x^7 + 6669106*x^6 + 1938650*x^5 - 1071654*x^4 - 75256*x^3 + 71965*x^2 - 2540*x - 1036, x^33 - 4*x^32 - 45*x^31 + 189*x^30 + 909*x^29 - 4051*x^28 - 10817*x^27 + 51983*x^26 + 83437*x^25 - 443735*x^24 - 430516*x^23 + 2648427*x^22 + 1461387*x^21 - 11315061*x^20 - 2923512*x^19 + 34866151*x^18 + 1524071*x^17 - 77127658*x^16 + 9173875*x^15 + 120471986*x^14 - 29776892*x^13 - 128794467*x^12 + 45611061*x^11 + 89396375*x^10 - 40379748*x^9 - 36793577*x^8 + 20460212*x^7 + 7552243*x^6 - 5440553*x^5 - 478754*x^4 + 685561*x^3 - 44059*x^2 - 30952*x + 4529, x^33 - 4*x^32 - 45*x^31 + 189*x^30 + 909*x^29 - 4051*x^28 - 10817*x^27 + 51983*x^26 + 83437*x^25 - 443735*x^24 - 430516*x^23 + 2648427*x^22 + 1461387*x^21 - 11315061*x^20 - 2923512*x^19 + 34866151*x^18 + 1524071*x^17 - 77127658*x^16 + 9173875*x^15 + 120471986*x^14 - 29776892*x^13 - 128794467*x^12 + 45611061*x^11 + 89396375*x^10 - 40379748*x^9 - 36793577*x^8 + 20460212*x^7 + 7552243*x^6 - 5440553*x^5 - 478754*x^4 + 685561*x^3 - 44059*x^2 - 30952*x + 4529, -x^31 + 10*x^30 + 5*x^29 - 346*x^28 + 640*x^27 + 4977*x^26 - 15409*x^25 - 37259*x^24 + 171578*x^23 + 136399*x^22 - 1140375*x^21 - 4946*x^20 + 4895493*x^19 - 2340456*x^18 - 13886726*x^17 + 11530710*x^16 + 25644163*x^15 - 29566924*x^14 - 28806714*x^13 + 45507713*x^12 + 15580759*x^11 - 41912669*x^10 + 1676694*x^9 + 21245985*x^8 - 6367477*x^7 - 4821216*x^6 + 2521284*x^5 + 299357*x^4 - 357807*x^3 + 30689*x^2 + 15244*x - 2547, -x^31 + 10*x^30 + 5*x^29 - 346*x^28 + 640*x^27 + 4977*x^26 - 15409*x^25 - 37259*x^24 + 171578*x^23 + 136399*x^22 - 1140375*x^21 - 4946*x^20 + 4895493*x^19 - 2340456*x^18 - 13886726*x^17 + 11530710*x^16 + 25644163*x^15 - 29566924*x^14 - 28806714*x^13 + 45507713*x^12 + 15580759*x^11 - 41912669*x^10 + 1676694*x^9 + 21245985*x^8 - 6367477*x^7 - 4821216*x^6 + 2521284*x^5 + 299357*x^4 - 357807*x^3 + 30689*x^2 + 15244*x - 2547, -2*x^32 + 16*x^31 + 35*x^30 - 586*x^29 + 342*x^28 + 9230*x^27 - 15621*x^26 - 81256*x^25 + 204490*x^24 + 430521*x^23 - 1505796*x^22 - 1328484*x^21 + 7132323*x^20 + 1678252*x^19 - 22810937*x^18 + 3666642*x^17 + 49973282*x^16 - 21343722*x^15 - 74375306*x^14 + 46234897*x^13 + 72897767*x^12 - 56922343*x^11 - 44145504*x^10 + 41656358*x^9 + 14504356*x^8 - 17468193*x^7 - 1753260*x^6 + 3883715*x^5 - 186829*x^4 - 401776*x^3 + 55510*x^2 + 13372*x - 2435, -2*x^32 + 16*x^31 + 35*x^30 - 586*x^29 + 342*x^28 + 9230*x^27 - 15621*x^26 - 81256*x^25 + 204490*x^24 + 430521*x^23 - 1505796*x^22 - 1328484*x^21 + 7132323*x^20 + 1678252*x^19 - 22810937*x^18 + 3666642*x^17 + 49973282*x^16 - 21343722*x^15 - 74375306*x^14 + 46234897*x^13 + 72897767*x^12 - 56922343*x^11 - 44145504*x^10 + 41656358*x^9 + 14504356*x^8 - 17468193*x^7 - 1753260*x^6 + 3883715*x^5 - 186829*x^4 - 401776*x^3 + 55510*x^2 + 13372*x - 2435, x^34 - 6*x^33 - 33*x^32 + 257*x^31 + 384*x^30 - 4874*x^29 - 693*x^28 + 53947*x^27 - 29990*x^26 - 386533*x^25 + 388711*x^24 + 1877829*x^23 - 2537461*x^22 - 6284028*x^21 + 10507181*x^20 + 14346508*x^19 - 29367014*x^18 - 21334390*x^17 + 56239464*x^16 + 17872282*x^15 - 72984869*x^14 - 2973292*x^13 + 61999613*x^12 - 9236302*x^11 - 32378293*x^10 + 8629281*x^9 + 9490078*x^8 - 2839710*x^7 - 1484334*x^6 + 298842*x^5 + 135804*x^4 + 15597*x^3 - 12738*x^2 - 3150*x + 935, x^34 - 6*x^33 - 33*x^32 + 257*x^31 + 384*x^30 - 4874*x^29 - 693*x^28 + 53947*x^27 - 29990*x^26 - 386533*x^25 + 388711*x^24 + 1877829*x^23 - 2537461*x^22 - 6284028*x^21 + 10507181*x^20 + 14346508*x^19 - 29367014*x^18 - 21334390*x^17 + 56239464*x^16 + 17872282*x^15 - 72984869*x^14 - 2973292*x^13 + 61999613*x^12 - 9236302*x^11 - 32378293*x^10 + 8629281*x^9 + 9490078*x^8 - 2839710*x^7 - 1484334*x^6 + 298842*x^5 + 135804*x^4 + 15597*x^3 - 12738*x^2 - 3150*x + 935, 2*x^33 - 13*x^32 - 61*x^31 + 551*x^30 + 549*x^29 - 10282*x^28 + 2792*x^27 + 111174*x^26 - 105663*x^25 - 770713*x^24 + 1094063*x^23 + 3573085*x^22 - 6524723*x^21 - 11159702*x^20 + 25424662*x^19 + 22774564*x^18 - 67353291*x^17 - 26962102*x^16 + 122016281*x^15 + 8536497*x^14 - 148507568*x^13 + 24583214*x^12 + 116279115*x^11 - 39987411*x^10 - 54015835*x^9 + 26508954*x^8 + 12921077*x^7 - 8289468*x^6 - 1303005*x^5 + 1212785*x^4 + 22620*x^3 - 74828*x^2 + 1106*x + 1715, 2*x^33 - 13*x^32 - 61*x^31 + 551*x^30 + 549*x^29 - 10282*x^28 + 2792*x^27 + 111174*x^26 - 105663*x^25 - 770713*x^24 + 1094063*x^23 + 3573085*x^22 - 6524723*x^21 - 11159702*x^20 + 25424662*x^19 + 22774564*x^18 - 67353291*x^17 - 26962102*x^16 + 122016281*x^15 + 8536497*x^14 - 148507568*x^13 + 24583214*x^12 + 116279115*x^11 - 39987411*x^10 - 54015835*x^9 + 26508954*x^8 + 12921077*x^7 - 8289468*x^6 - 1303005*x^5 + 1212785*x^4 + 22620*x^3 - 74828*x^2 + 1106*x + 1715, x^31 - 4*x^30 - 34*x^29 + 140*x^28 + 503*x^27 - 2041*x^26 - 4464*x^25 + 15602*x^24 + 29343*x^23 - 60342*x^22 - 170152*x^21 + 34161*x^20 + 886311*x^19 + 807690*x^18 - 3695955*x^17 - 4225632*x^16 + 11193375*x^15 + 10897112*x^14 - 23413577*x^13 - 16345242*x^12 + 32656112*x^11 + 13836242*x^10 - 29003350*x^9 - 5333013*x^8 + 15176101*x^7 - 58705*x^6 - 4109767*x^5 + 492050*x^4 + 514741*x^3 - 96880*x^2 - 22492*x + 5085, x^31 - 4*x^30 - 34*x^29 + 140*x^28 + 503*x^27 - 2041*x^26 - 4464*x^25 + 15602*x^24 + 29343*x^23 - 60342*x^22 - 170152*x^21 + 34161*x^20 + 886311*x^19 + 807690*x^18 - 3695955*x^17 - 4225632*x^16 + 11193375*x^15 + 10897112*x^14 - 23413577*x^13 - 16345242*x^12 + 32656112*x^11 + 13836242*x^10 - 29003350*x^9 - 5333013*x^8 + 15176101*x^7 - 58705*x^6 - 4109767*x^5 + 492050*x^4 + 514741*x^3 - 96880*x^2 - 22492*x + 5085, x^34 - 8*x^33 - 24*x^32 + 342*x^31 - 42*x^30 - 6409*x^29 + 8266*x^28 + 68966*x^27 - 140552*x^26 - 467101*x^25 + 1279517*x^24 + 2031739*x^23 - 7470034*x^22 - 5357552*x^21 + 29745399*x^20 + 5914125*x^19 - 82623104*x^18 + 11845023*x^17 + 160199846*x^16 - 62141636*x^15 - 213001854*x^14 + 123188680*x^13 + 186607617*x^12 - 139600294*x^11 - 99914790*x^10 + 94290091*x^9 + 28052611*x^8 - 36694553*x^7 - 2406576*x^6 + 7788598*x^5 - 524375*x^4 - 815552*x^3 + 119255*x^2 + 31813*x - 6116, x^34 - 8*x^33 - 24*x^32 + 342*x^31 - 42*x^30 - 6409*x^29 + 8266*x^28 + 68966*x^27 - 140552*x^26 - 467101*x^25 + 1279517*x^24 + 2031739*x^23 - 7470034*x^22 - 5357552*x^21 + 29745399*x^20 + 5914125*x^19 - 82623104*x^18 + 11845023*x^17 + 160199846*x^16 - 62141636*x^15 - 213001854*x^14 + 123188680*x^13 + 186607617*x^12 - 139600294*x^11 - 99914790*x^10 + 94290091*x^9 + 28052611*x^8 - 36694553*x^7 - 2406576*x^6 + 7788598*x^5 - 524375*x^4 - 815552*x^3 + 119255*x^2 + 31813*x - 6116, x^33 - 4*x^32 - 46*x^31 + 199*x^30 + 910*x^29 - 4369*x^28 - 10103*x^27 + 56046*x^26 + 68174*x^25 - 468473*x^24 - 274022*x^23 + 2692156*x^22 + 497060*x^21 - 10928986*x^20 + 931615*x^19 + 31674525*x^18 - 8756345*x^17 - 65351182*x^16 + 27442913*x^15 + 94375166*x^14 - 50761659*x^13 - 92029180*x^12 + 59932627*x^11 + 56569866*x^10 - 44767355*x^9 - 18914903*x^8 + 19875975*x^7 + 2035825*x^6 - 4646763*x^5 + 370521*x^4 + 488573*x^3 - 89282*x^2 - 15139*x + 3583, x^33 - 4*x^32 - 46*x^31 + 199*x^30 + 910*x^29 - 4369*x^28 - 10103*x^27 + 56046*x^26 + 68174*x^25 - 468473*x^24 - 274022*x^23 + 2692156*x^22 + 497060*x^21 - 10928986*x^20 + 931615*x^19 + 31674525*x^18 - 8756345*x^17 - 65351182*x^16 + 27442913*x^15 + 94375166*x^14 - 50761659*x^13 - 92029180*x^12 + 59932627*x^11 + 56569866*x^10 - 44767355*x^9 - 18914903*x^8 + 19875975*x^7 + 2035825*x^6 - 4646763*x^5 + 370521*x^4 + 488573*x^3 - 89282*x^2 - 15139*x + 3583, x^35 - 6*x^34 - 36*x^33 + 273*x^32 + 493*x^31 - 5568*x^30 - 2293*x^29 + 67364*x^28 - 19067*x^27 - 539186*x^26 + 377178*x^25 + 3014169*x^24 - 2950935*x^23 - 12100418*x^22 + 14328780*x^21 + 35265366*x^20 - 47616206*x^19 - 74316071*x^18 + 111838637*x^17 + 110806344*x^16 - 186480407*x^15 - 111116065*x^14 + 217328117*x^13 + 66524722*x^12 - 170683926*x^11 - 15182055*x^10 + 84857783*x^9 - 5743576*x^8 - 24433346*x^7 + 4027072*x^6 + 3818075*x^5 - 851481*x^4 - 293861*x^3 + 75999*x^2 + 8641*x - 2435, x^35 - 6*x^34 - 36*x^33 + 273*x^32 + 493*x^31 - 5568*x^30 - 2293*x^29 + 67364*x^28 - 19067*x^27 - 539186*x^26 + 377178*x^25 + 3014169*x^24 - 2950935*x^23 - 12100418*x^22 + 14328780*x^21 + 35265366*x^20 - 47616206*x^19 - 74316071*x^18 + 111838637*x^17 + 110806344*x^16 - 186480407*x^15 - 111116065*x^14 + 217328117*x^13 + 66524722*x^12 - 170683926*x^11 - 15182055*x^10 + 84857783*x^9 - 5743576*x^8 - 24433346*x^7 + 4027072*x^6 + 3818075*x^5 - 851481*x^4 - 293861*x^3 + 75999*x^2 + 8641*x - 2435, x^34 - 6*x^33 - 33*x^32 + 254*x^31 + 402*x^30 - 4782*x^29 - 1423*x^28 + 53025*x^27 - 17094*x^26 - 387049*x^25 + 258281*x^24 + 1971862*x^23 - 1703116*x^22 - 7263537*x^21 + 6994324*x^20 + 19783951*x^19 - 19596338*x^18 - 40331196*x^17 + 38944093*x^16 + 61504258*x^15 - 55977700*x^14 - 68828574*x^13 + 58465965*x^12 + 54001822*x^11 - 43497420*x^10 - 27401389*x^9 + 21662043*x^8 + 7944873*x^7 - 6448672*x^6 - 1135260*x^5 + 1025749*x^4 + 55163*x^3 - 74090*x^2 + 854*x + 1587, x^34 - 6*x^33 - 33*x^32 + 254*x^31 + 402*x^30 - 4782*x^29 - 1423*x^28 + 53025*x^27 - 17094*x^26 - 387049*x^25 + 258281*x^24 + 1971862*x^23 - 1703116*x^22 - 7263537*x^21 + 6994324*x^20 + 19783951*x^19 - 19596338*x^18 - 40331196*x^17 + 38944093*x^16 + 61504258*x^15 - 55977700*x^14 - 68828574*x^13 + 58465965*x^12 + 54001822*x^11 - 43497420*x^10 - 27401389*x^9 + 21662043*x^8 + 7944873*x^7 - 6448672*x^6 - 1135260*x^5 + 1025749*x^4 + 55163*x^3 - 74090*x^2 + 854*x + 1587, x^32 - 4*x^31 - 40*x^30 + 169*x^29 + 709*x^28 - 3184*x^27 - 7400*x^26 + 35475*x^25 + 51000*x^24 - 261263*x^23 - 246209*x^22 + 1344688*x^21 + 857096*x^20 - 4974114*x^19 - 2163189*x^18 + 13357049*x^17 + 3888297*x^16 - 25940426*x^15 - 4743765*x^14 + 35875049*x^13 + 3493641*x^12 - 34400629*x^11 - 926923*x^10 + 21993643*x^9 - 736871*x^8 - 8867329*x^7 + 770154*x^6 + 2080533*x^5 - 276666*x^4 - 253814*x^3 + 43699*x^2 + 12333*x - 2538, x^32 - 4*x^31 - 40*x^30 + 169*x^29 + 709*x^28 - 3184*x^27 - 7400*x^26 + 35475*x^25 + 51000*x^24 - 261263*x^23 - 246209*x^22 + 1344688*x^21 + 857096*x^20 - 4974114*x^19 - 2163189*x^18 + 13357049*x^17 + 3888297*x^16 - 25940426*x^15 - 4743765*x^14 + 35875049*x^13 + 3493641*x^12 - 34400629*x^11 - 926923*x^10 + 21993643*x^9 - 736871*x^8 - 8867329*x^7 + 770154*x^6 + 2080533*x^5 - 276666*x^4 - 253814*x^3 + 43699*x^2 + 12333*x - 2538, x^34 - 5*x^33 - 40*x^32 + 229*x^31 + 676*x^30 - 4693*x^29 - 6076*x^28 + 56919*x^27 + 27749*x^26 - 455391*x^25 - 10039*x^24 + 2535657*x^23 - 689300*x^22 - 10097562*x^21 + 4728278*x^20 + 29064658*x^19 - 17619933*x^18 - 60261479*x^17 + 42820813*x^16 + 88275975*x^15 - 70761519*x^14 - 87502418*x^13 + 79064040*x^12 + 53559582*x^11 - 57191717*x^10 - 15803906*x^9 + 24286522*x^8 - 371957*x^7 - 4929328*x^6 + 1133569*x^5 + 304881*x^4 - 176079*x^3 + 18633*x^2 + 5350*x - 1148, x^34 - 5*x^33 - 40*x^32 + 229*x^31 + 676*x^30 - 4693*x^29 - 6076*x^28 + 56919*x^27 + 27749*x^26 - 455391*x^25 - 10039*x^24 + 2535657*x^23 - 689300*x^22 - 10097562*x^21 + 4728278*x^20 + 29064658*x^19 - 17619933*x^18 - 60261479*x^17 + 42820813*x^16 + 88275975*x^15 - 70761519*x^14 - 87502418*x^13 + 79064040*x^12 + 53559582*x^11 - 57191717*x^10 - 15803906*x^9 + 24286522*x^8 - 371957*x^7 - 4929328*x^6 + 1133569*x^5 + 304881*x^4 - 176079*x^3 + 18633*x^2 + 5350*x - 1148, x^33 - 5*x^32 - 37*x^31 + 213*x^30 + 575*x^29 - 4038*x^28 - 4752*x^27 + 45089*x^26 + 20595*x^25 - 330979*x^24 - 21698*x^23 + 1688901*x^22 - 260424*x^21 - 6179273*x^20 + 1672147*x^19 + 16481984*x^18 - 5277543*x^17 - 32251690*x^16 + 10580700*x^15 + 46144532*x^14 - 14576933*x^13 - 47530458*x^12 + 14429148*x^11 + 34030341*x^10 - 10394002*x^9 - 15801748*x^8 + 5123424*x^7 + 4200968*x^6 - 1477550*x^5 - 532277*x^4 + 216806*x^3 + 18155*x^2 - 12236*x + 951, x^33 - 5*x^32 - 37*x^31 + 213*x^30 + 575*x^29 - 4038*x^28 - 4752*x^27 + 45089*x^26 + 20595*x^25 - 330979*x^24 - 21698*x^23 + 1688901*x^22 - 260424*x^21 - 6179273*x^20 + 1672147*x^19 + 16481984*x^18 - 5277543*x^17 - 32251690*x^16 + 10580700*x^15 + 46144532*x^14 - 14576933*x^13 - 47530458*x^12 + 14429148*x^11 + 34030341*x^10 - 10394002*x^9 - 15801748*x^8 + 5123424*x^7 + 4200968*x^6 - 1477550*x^5 - 532277*x^4 + 216806*x^3 + 18155*x^2 - 12236*x + 951]>
       ]
>;

MOG[653] := 	// J_0(653)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 41, 154, 164, 383, 454, 640, 375*x + 429, 278*x + 429, 448*x + 44, 205*x + 44, 341*x + 218, 312*x + 218, 154*x + 584, 499*x + 584, 457*x + 341, 196*x + 341, 172*x + 42, 481*x + 42, 524*x + 156, 129*x + 156, 266*x + 478, 387*x + 478, 287*x + 112, 366*x + 112, 63*x + 452, 590*x + 452, 92*x + 455, 561*x + 455, 309*x + 75, 344*x + 75, 125*x + 15, 528*x + 15, 254*x + 549, 399*x + 549, 164*x + 598, 489*x + 598, 54*x + 137, 599*x + 137, 46*x + 223, 607*x + 223, 579*x + 625, 74*x + 625, 279*x + 451, 374*x + 451, 266*x + 455, 387*x + 455, 122*x + 390, 531*x + 390, 543*x + 200, 110*x + 200, 163*x + 652, 490*x + 652, 317*x + 513, 336*x + 513]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^7 - 8*x^5 + 19*x^3 - 12*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, x^6 - x^5 - 6*x^4 + 5*x^3 + 9*x^2 - 6*x - 2, -x^6 + x^5 + 6*x^4 - 5*x^3 - 9*x^2 + 6*x + 2, x^5 - x^4 - 5*x^3 + 3*x^2 + 5*x, -x^5 + x^4 + 5*x^3 - 3*x^2 - 5*x, -x^6 + x^5 + 6*x^4 - 5*x^3 - 9*x^2 + 5*x + 1, x^6 - x^5 - 6*x^4 + 5*x^3 + 9*x^2 - 5*x - 1, -x^3 + 3*x, x^3 - 3*x, x^4 - x^3 - 4*x^2 + 3*x + 2, -x^4 + x^3 + 4*x^2 - 3*x - 2, -x^5 + x^4 + 5*x^3 - 4*x^2 - 5*x + 2, x^5 - x^4 - 5*x^3 + 4*x^2 + 5*x - 2, -1, 1, -x^2 + 3, x^2 - 3, -x^5 + 5*x^3 + x^2 - 5*x - 3, x^5 - 5*x^3 - x^2 + 5*x + 3, x^4 - 4*x^2 + 2, -x^4 + 4*x^2 - 2, -x^4 + x^3 + 4*x^2 - 3*x - 2, x^4 - x^3 - 4*x^2 + 3*x + 2, -x^4 + x^3 + 4*x^2 - 3*x - 1, x^4 - x^3 - 4*x^2 + 3*x + 1, 0, 0, x^6 - x^5 - 6*x^4 + 5*x^3 + 10*x^2 - 6*x - 4, -x^6 + x^5 + 6*x^4 - 5*x^3 - 10*x^2 + 6*x + 4, 1, -1, -x^6 + 6*x^4 + x^3 - 9*x^2 - 3*x + 2, x^6 - 6*x^4 - x^3 + 9*x^2 + 3*x - 2, x^3 - 3*x, -x^3 + 3*x, x^5 - x^4 - 4*x^3 + 4*x^2 + 2*x - 2, -x^5 + x^4 + 4*x^3 - 4*x^2 - 2*x + 2, 1, -1, 1, -1, -x^3 + x^2 + 4*x - 3, x^3 - x^2 - 4*x + 3, x^5 - x^4 - 5*x^3 + 4*x^2 + 5*x - 2, -x^5 + x^4 + 5*x^3 - 4*x^2 - 5*x + 2, x^2 - 3, -x^2 + 3, x^4 - x^3 - 4*x^2 + 4*x + 2, -x^4 + x^3 + 4*x^2 - 4*x - 2]>,
         rec<Eigen |
           DefiningPolynomial := x^17 + 4*x^16 - 17*x^15 - 80*x^14 + 95*x^13 + 609*x^12 - 155*x^11 - 2251*x^10 - 308*x^9 + 4268*x^8 + 1292*x^7 - 4077*x^6 - 1448*x^5 + 1873*x^4 + 652*x^3 - 351*x^2 - 103*x + 13,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, x^15 + 4*x^14 - 15*x^13 - 73*x^12 + 62*x^11 + 476*x^10 + x^9 - 1386*x^8 - 432*x^7 + 1869*x^6 + 698*x^5 - 1151*x^4 - 382*x^3 + 297*x^2 + 66*x - 24, -x^15 - 4*x^14 + 15*x^13 + 73*x^12 - 62*x^11 - 476*x^10 - x^9 + 1386*x^8 + 432*x^7 - 1869*x^6 - 698*x^5 + 1151*x^4 + 382*x^3 - 297*x^2 - 66*x + 24, x^16 + 4*x^15 - 15*x^14 - 73*x^13 + 63*x^12 + 481*x^11 - 2*x^10 - 1432*x^9 - 464*x^8 + 1985*x^7 + 795*x^6 - 1269*x^5 - 433*x^4 + 354*x^3 + 56*x^2 - 33*x + 8, -x^16 - 4*x^15 + 15*x^14 + 73*x^13 - 63*x^12 - 481*x^11 + 2*x^10 + 1432*x^9 + 464*x^8 - 1985*x^7 - 795*x^6 + 1269*x^5 + 433*x^4 - 354*x^3 - 56*x^2 + 33*x - 8, -x^12 - 5*x^11 + 3*x^10 + 46*x^9 + 32*x^8 - 116*x^7 - 97*x^6 + 118*x^5 + 51*x^4 - 57*x^3 + 10*x^2 + 9*x - 8, x^12 + 5*x^11 - 3*x^10 - 46*x^9 - 32*x^8 + 116*x^7 + 97*x^6 - 118*x^5 - 51*x^4 + 57*x^3 - 10*x^2 - 9*x + 8, -x^14 - 4*x^13 + 12*x^12 + 60*x^11 - 34*x^10 - 311*x^9 - 60*x^8 + 640*x^7 + 332*x^6 - 447*x^5 - 325*x^4 + 58*x^3 + 93*x^2 + 24*x - 1, x^14 + 4*x^13 - 12*x^12 - 60*x^11 + 34*x^10 + 311*x^9 + 60*x^8 - 640*x^7 - 332*x^6 + 447*x^5 + 325*x^4 - 58*x^3 - 93*x^2 - 24*x + 1, x^15 + 4*x^14 - 13*x^13 - 67*x^12 + 31*x^11 + 377*x^10 + 154*x^9 - 837*x^8 - 705*x^7 + 607*x^6 + 764*x^5 - 43*x^4 - 272*x^3 - 72*x^2 + 21*x + 12, -x^15 - 4*x^14 + 13*x^13 + 67*x^12 - 31*x^11 - 377*x^10 - 154*x^9 + 837*x^8 + 705*x^7 - 607*x^6 - 764*x^5 + 43*x^4 + 272*x^3 + 72*x^2 - 21*x - 12, x^16 + 4*x^15 - 15*x^14 - 73*x^13 + 64*x^12 + 483*x^11 - 17*x^10 - 1460*x^9 - 381*x^8 + 2147*x^7 + 666*x^6 - 1576*x^5 - 422*x^4 + 531*x^3 + 97*x^2 - 59*x - 2, -x^16 - 4*x^15 + 15*x^14 + 73*x^13 - 64*x^12 - 483*x^11 + 17*x^10 + 1460*x^9 + 381*x^8 - 2147*x^7 - 666*x^6 + 1576*x^5 + 422*x^4 - 531*x^3 - 97*x^2 + 59*x + 2, -x^16 - 5*x^15 + 11*x^14 + 87*x^13 + 4*x^12 - 542*x^11 - 413*x^10 + 1491*x^9 + 1651*x^8 - 1812*x^7 - 2417*x^6 + 929*x^5 + 1516*x^4 - 139*x^3 - 385*x^2 - 15*x + 26, x^16 + 5*x^15 - 11*x^14 - 87*x^13 - 4*x^12 + 542*x^11 + 413*x^10 - 1491*x^9 - 1651*x^8 + 1812*x^7 + 2417*x^6 - 929*x^5 - 1516*x^4 + 139*x^3 + 385*x^2 + 15*x - 26, -x^16 - 5*x^15 + 11*x^14 + 85*x^13 - 2*x^12 - 513*x^11 - 322*x^10 + 1356*x^9 + 1190*x^8 - 1584*x^7 - 1498*x^6 + 782*x^5 + 778*x^4 - 127*x^3 - 156*x^2 - 2*x + 7, x^16 + 5*x^15 - 11*x^14 - 85*x^13 + 2*x^12 + 513*x^11 + 322*x^10 - 1356*x^9 - 1190*x^8 + 1584*x^7 + 1498*x^6 - 782*x^5 - 778*x^4 + 127*x^3 + 156*x^2 + 2*x - 7, -x^12 - 2*x^11 + 13*x^10 + 16*x^9 - 86*x^8 - 69*x^7 + 256*x^6 + 162*x^5 - 287*x^4 - 134*x^3 + 124*x^2 + 34*x - 15, x^12 + 2*x^11 - 13*x^10 - 16*x^9 + 86*x^8 + 69*x^7 - 256*x^6 - 162*x^5 + 287*x^4 + 134*x^3 - 124*x^2 - 34*x + 15, x^14 + 2*x^13 - 20*x^12 - 40*x^11 + 138*x^10 + 266*x^9 - 416*x^8 - 735*x^7 + 552*x^6 + 814*x^5 - 327*x^4 - 366*x^3 + 91*x^2 + 57*x - 11, -x^14 - 2*x^13 + 20*x^12 + 40*x^11 - 138*x^10 - 266*x^9 + 416*x^8 + 735*x^7 - 552*x^6 - 814*x^5 + 327*x^4 + 366*x^3 - 91*x^2 - 57*x + 11, x^14 + 4*x^13 - 12*x^12 - 64*x^11 + 18*x^10 + 329*x^9 + 175*x^8 - 643*x^7 - 583*x^6 + 412*x^5 + 488*x^4 - 60*x^3 - 126*x^2 - 12*x + 3, -x^14 - 4*x^13 + 12*x^12 + 64*x^11 - 18*x^10 - 329*x^9 - 175*x^8 + 643*x^7 + 583*x^6 - 412*x^5 - 488*x^4 + 60*x^3 + 126*x^2 + 12*x - 3, x^15 + 4*x^14 - 14*x^13 - 71*x^12 + 43*x^11 + 439*x^10 + 130*x^9 - 1142*x^8 - 795*x^7 + 1218*x^6 + 1114*x^5 - 482*x^4 - 574*x^3 + 28*x^2 + 98*x + 12, -x^15 - 4*x^14 + 14*x^13 + 71*x^12 - 43*x^11 - 439*x^10 - 130*x^9 + 1142*x^8 + 795*x^7 - 1218*x^6 - 1114*x^5 + 482*x^4 + 574*x^3 - 28*x^2 - 98*x - 12, x^15 + 3*x^14 - 17*x^13 - 54*x^12 + 100*x^11 + 349*x^10 - 249*x^9 - 1011*x^8 + 285*x^7 + 1380*x^6 - 206*x^5 - 911*x^4 + 76*x^3 + 254*x^2 - 6*x - 17, -x^15 - 3*x^14 + 17*x^13 + 54*x^12 - 100*x^11 - 349*x^10 + 249*x^9 + 1011*x^8 - 285*x^7 - 1380*x^6 + 206*x^5 + 911*x^4 - 76*x^3 - 254*x^2 + 6*x + 17, -x^15 - 4*x^14 + 14*x^13 + 70*x^12 - 50*x^11 - 441*x^10 - 59*x^9 + 1234*x^8 + 575*x^7 - 1553*x^6 - 832*x^5 + 905*x^4 + 451*x^3 - 220*x^2 - 84*x + 14, x^15 + 4*x^14 - 14*x^13 - 70*x^12 + 50*x^11 + 441*x^10 + 59*x^9 - 1234*x^8 - 575*x^7 + 1553*x^6 + 832*x^5 - 905*x^4 - 451*x^3 + 220*x^2 + 84*x - 14, -x^15 - 5*x^14 + 10*x^13 + 80*x^12 + 5*x^11 - 448*x^10 - 298*x^9 + 1093*x^8 + 966*x^7 - 1210*x^6 - 1152*x^5 + 555*x^4 + 577*x^3 - 61*x^2 - 105*x - 12, x^15 + 5*x^14 - 10*x^13 - 80*x^12 - 5*x^11 + 448*x^10 + 298*x^9 - 1093*x^8 - 966*x^7 + 1210*x^6 + 1152*x^5 - 555*x^4 - 577*x^3 + 61*x^2 + 105*x + 12, -x^13 - 2*x^12 + 17*x^11 + 32*x^10 - 104*x^9 - 184*x^8 + 259*x^7 + 413*x^6 - 252*x^5 - 297*x^4 + 126*x^3 + 67*x^2 - 27*x - 2, x^13 + 2*x^12 - 17*x^11 - 32*x^10 + 104*x^9 + 184*x^8 - 259*x^7 - 413*x^6 + 252*x^5 + 297*x^4 - 126*x^3 - 67*x^2 + 27*x + 2, -x^14 - 4*x^13 + 11*x^12 + 56*x^11 - 24*x^10 - 254*x^9 - 56*x^8 + 423*x^7 + 175*x^6 - 235*x^5 - 163*x^4 - 7*x^3 + 48*x^2 + 23*x, x^14 + 4*x^13 - 11*x^12 - 56*x^11 + 24*x^10 + 254*x^9 + 56*x^8 - 423*x^7 - 175*x^6 + 235*x^5 + 163*x^4 + 7*x^3 - 48*x^2 - 23*x, -x^14 - 3*x^13 + 16*x^12 + 51*x^11 - 87*x^10 - 316*x^9 + 158*x^8 + 834*x^7 + 32*x^6 - 856*x^5 - 160*x^4 + 370*x^3 + 81*x^2 - 55*x - 12, x^14 + 3*x^13 - 16*x^12 - 51*x^11 + 87*x^10 + 316*x^9 - 158*x^8 - 834*x^7 - 32*x^6 + 856*x^5 + 160*x^4 - 370*x^3 - 81*x^2 + 55*x + 12, x^13 + 4*x^12 - 11*x^11 - 61*x^10 + 5*x^9 + 280*x^8 + 191*x^7 - 451*x^6 - 438*x^5 + 270*x^4 + 280*x^3 - 64*x^2 - 52*x + 3, -x^13 - 4*x^12 + 11*x^11 + 61*x^10 - 5*x^9 - 280*x^8 - 191*x^7 + 451*x^6 + 438*x^5 - 270*x^4 - 280*x^3 + 64*x^2 + 52*x - 3, x^14 + 3*x^13 - 17*x^12 - 53*x^11 + 99*x^10 + 327*x^9 - 246*x^8 - 880*x^7 + 277*x^6 + 1086*x^5 - 114*x^4 - 576*x^3 - 2*x^2 + 104*x + 9, -x^14 - 3*x^13 + 17*x^12 + 53*x^11 - 99*x^10 - 327*x^9 + 246*x^8 + 880*x^7 - 277*x^6 - 1086*x^5 + 114*x^4 + 576*x^3 + 2*x^2 - 104*x - 9, -x^13 - 4*x^12 + 9*x^11 + 48*x^10 - 9*x^9 - 168*x^8 - 49*x^7 + 171*x^6 + 8*x^5 - 38*x^4 + 73*x^3 + 3*x^2 - 33*x - 7, x^13 + 4*x^12 - 9*x^11 - 48*x^10 + 9*x^9 + 168*x^8 + 49*x^7 - 171*x^6 - 8*x^5 + 38*x^4 - 73*x^3 - 3*x^2 + 33*x + 7, x^14 + 2*x^13 - 18*x^12 - 34*x^11 + 117*x^10 + 200*x^9 - 345*x^8 - 482*x^7 + 508*x^6 + 459*x^5 - 413*x^4 - 201*x^3 + 151*x^2 + 36*x - 15, -x^14 - 2*x^13 + 18*x^12 + 34*x^11 - 117*x^10 - 200*x^9 + 345*x^8 + 482*x^7 - 508*x^6 - 459*x^5 + 413*x^4 + 201*x^3 - 151*x^2 - 36*x + 15, -x^13 - 4*x^12 + 11*x^11 + 56*x^10 - 24*x^9 - 254*x^8 - 56*x^7 + 423*x^6 + 175*x^5 - 235*x^4 - 163*x^3 - 7*x^2 + 48*x + 23, x^13 + 4*x^12 - 11*x^11 - 56*x^10 + 24*x^9 + 254*x^8 + 56*x^7 - 423*x^6 - 175*x^5 + 235*x^4 + 163*x^3 + 7*x^2 - 48*x - 23, x^12 + 3*x^11 - 13*x^10 - 49*x^9 + 16*x^8 + 192*x^7 + 145*x^6 - 142*x^5 - 208*x^4 - 4*x^3 + 74*x^2 + 15*x - 3, -x^12 - 3*x^11 + 13*x^10 + 49*x^9 - 16*x^8 - 192*x^7 - 145*x^6 + 142*x^5 + 208*x^4 + 4*x^3 - 74*x^2 - 15*x + 3]>,
         rec<Eigen |
           DefiningPolynomial := x^30 - 2*x^29 - 44*x^28 + 88*x^27 + 856*x^26 - 1711*x^25 - 9706*x^24 + 19385*x^23 + 71180*x^22 - 142113*x^21 - 354106*x^20 + 707994*x^19 + 1218275*x^18 - 2449817*x^17 - 2896644*x^16 + 5913545*x^15 + 4661724*x^14 - 9858463*x^13 - 4827794*x^12 + 11069067*x^11 + 2858925*x^10 - 8007414*x^9 - 626843*x^8 + 3467935*x^7 - 194837*x^6 - 794145*x^5 + 111816*x^4 + 76610*x^3 - 11884*x^2 - 2167*x + 121,
           Coordinates        := [-x^29 + 2*x^28 + 41*x^27 - 82*x^26 - 739*x^25 + 1477*x^24 + 7713*x^23 - 15402*x^22 - 51673*x^21 + 103163*x^20 + 232709*x^19 - 465565*x^18 - 716568*x^17 + 1444480*x^16 + 1501946*x^15 - 3087239*x^14 - 2083754*x^13 + 4482418*x^12 + 1788790*x^11 - 4281945*x^10 - 796673*x^9 + 2540071*x^8 + 57804*x^7 - 845576*x^6 + 76943*x^5 + 132493*x^4 - 18019*x^3 - 8347*x^2 + 1117*x + 88, x^29 - 2*x^28 - 41*x^27 + 82*x^26 + 741*x^25 - 1481*x^24 - 7783*x^23 + 15544*x^22 + 52717*x^21 - 105307*x^20 - 241399*x^19 + 483609*x^18 + 760998*x^17 - 1537724*x^16 - 1646676*x^15 + 3394575*x^14 + 2385178*x^13 - 5132582*x^12 - 2180354*x^11 + 5148423*x^10 + 1094979*x^9 - 3235157*x^8 - 173736*x^7 + 1154052*x^6 - 62795*x^5 - 196705*x^4 + 19735*x^3 + 12003*x^2 - 965*x - 66, x^28 - 2*x^27 - 39*x^26 + 78*x^25 + 667*x^24 - 1331*x^23 - 6593*x^22 + 13096*x^21 + 41781*x^20 - 82411*x^19 - 177927*x^18 + 347657*x^17 + 518712*x^16 - 1001850*x^15 - 1034394*x^14 + 1972367*x^13 + 1385696*x^12 - 2611890*x^11 - 1200458*x^10 + 2254287*x^9 + 629373*x^8 - 1205419*x^7 - 178892*x^6 + 369592*x^5 + 23399*x^4 - 56681*x^3 - 1351*x^2 + 3163*x + 121, -2*x^22 - 2*x^21 + 72*x^20 + 44*x^19 - 1076*x^18 - 344*x^17 + 8698*x^16 + 922*x^15 - 41614*x^14 + 1970*x^13 + 121230*x^12 - 18686*x^11 - 212970*x^10 + 47300*x^9 + 215916*x^8 - 53868*x^7 - 117576*x^6 + 25920*x^5 + 33246*x^4 - 4182*x^3 - 5512*x^2 + 338*x + 352, 2*x^27 - 4*x^26 - 74*x^25 + 148*x^24 + 1186*x^23 - 2368*x^22 - 10822*x^21 + 21544*x^20 + 62146*x^19 - 123314*x^18 - 234230*x^17 + 464018*x^16 + 585434*x^15 - 1164602*x^14 - 954876*x^13 + 1935914*x^12 + 966794*x^11 - 2070704*x^10 - 541042*x^9 + 1343990*x^8 + 120218*x^7 - 474262*x^6 + 4074*x^5 + 73914*x^4 + 1430*x^3 - 4388*x^2 - 984*x + 198, -3*x^28 + 6*x^27 + 117*x^26 - 234*x^25 - 1993*x^24 + 3983*x^23 + 19507*x^22 - 38950*x^21 - 121397*x^20 + 242429*x^19 + 501707*x^18 - 1005337*x^17 - 1394698*x^16 + 2826306*x^15 + 2577970*x^14 - 5376045*x^13 - 3039004*x^12 + 6787122*x^11 + 2062252*x^10 - 5467343*x^9 - 569039*x^8 + 2622359*x^7 - 117894*x^6 - 661652*x^5 + 93797*x^4 + 68263*x^3 - 10767*x^2 - 2079*x + 121, 2*x^26 - 4*x^25 - 70*x^24 + 142*x^23 + 1048*x^22 - 2166*x^21 - 8780*x^20 + 18660*x^19 + 45120*x^18 - 100418*x^17 - 145822*x^16 + 352518*x^15 + 287276*x^14 - 817600*x^13 - 294950*x^12 + 1238050*x^11 + 22446*x^10 - 1173980*x^9 + 296484*x^8 + 634202*x^7 - 306860*x^6 - 153934*x^5 + 116910*x^4 + 3538*x^3 - 13254*x^2 + 1260*x + 242, -x^23 + 37*x^21 - 14*x^20 - 560*x^19 + 366*x^18 + 4521*x^17 - 3888*x^16 - 21268*x^15 + 21792*x^14 + 59630*x^13 - 69958*x^12 - 97142*x^11 + 130135*x^10 + 84308*x^9 - 134892*x^8 - 31854*x^7 + 71748*x^6 + 3663*x^5 - 18714*x^4 - 665*x^3 + 2925*x^2 + 7*x - 176, -x^23 + 37*x^21 - 14*x^20 - 560*x^19 + 366*x^18 + 4521*x^17 - 3888*x^16 - 21268*x^15 + 21792*x^14 + 59630*x^13 - 69958*x^12 - 97142*x^11 + 130135*x^10 + 84308*x^9 - 134892*x^8 - 31854*x^7 + 71748*x^6 + 3663*x^5 - 18714*x^4 - 665*x^3 + 2925*x^2 + 7*x - 176, 2*x^24 - 5*x^23 - 63*x^22 + 163*x^21 + 834*x^20 - 2261*x^19 - 6039*x^18 + 17489*x^17 + 26011*x^16 - 83034*x^15 - 67441*x^14 + 250899*x^13 + 99339*x^12 - 483868*x^11 - 63786*x^10 + 580813*x^9 - 19984*x^8 - 409147*x^7 + 55461*x^6 + 151505*x^5 - 29195*x^4 - 24485*x^3 + 4832*x^2 + 1387*x - 231, 2*x^24 - 5*x^23 - 63*x^22 + 163*x^21 + 834*x^20 - 2261*x^19 - 6039*x^18 + 17489*x^17 + 26011*x^16 - 83034*x^15 - 67441*x^14 + 250899*x^13 + 99339*x^12 - 483868*x^11 - 63786*x^10 + 580813*x^9 - 19984*x^8 - 409147*x^7 + 55461*x^6 + 151505*x^5 - 29195*x^4 - 24485*x^3 + 4832*x^2 + 1387*x - 231, -3*x^24 + 5*x^23 + 102*x^22 - 175*x^21 - 1466*x^20 + 2583*x^19 + 11636*x^18 - 21033*x^17 - 55977*x^16 + 103904*x^15 + 168685*x^14 - 322827*x^13 - 317711*x^12 + 632689*x^11 + 361064*x^10 - 763005*x^9 - 227786*x^8 + 534763*x^7 + 65778*x^6 - 196139*x^5 - 4716*x^4 + 31592*x^3 + 687*x^2 - 1901*x - 121, -3*x^24 + 5*x^23 + 102*x^22 - 175*x^21 - 1466*x^20 + 2583*x^19 + 11636*x^18 - 21033*x^17 - 55977*x^16 + 103904*x^15 + 168685*x^14 - 322827*x^13 - 317711*x^12 + 632689*x^11 + 361064*x^10 - 763005*x^9 - 227786*x^8 + 534763*x^7 + 65778*x^6 - 196139*x^5 - 4716*x^4 + 31592*x^3 + 687*x^2 - 1901*x - 121, x^25 - 4*x^24 - 28*x^23 + 132*x^22 + 299*x^21 - 1850*x^20 - 1335*x^19 + 14408*x^18 - 300*x^17 - 68491*x^16 + 30129*x^15 + 205353*x^14 - 142914*x^13 - 386727*x^12 + 333406*x^11 + 438834*x^10 - 434061*x^9 - 269941*x^8 + 311667*x^7 + 65767*x^6 - 112264*x^5 + 4213*x^4 + 15471*x^3 - 2186*x^2 - 491*x + 44, x^25 - 4*x^24 - 28*x^23 + 132*x^22 + 299*x^21 - 1850*x^20 - 1335*x^19 + 14408*x^18 - 300*x^17 - 68491*x^16 + 30129*x^15 + 205353*x^14 - 142914*x^13 - 386727*x^12 + 333406*x^11 + 438834*x^10 - 434061*x^9 - 269941*x^8 + 311667*x^7 + 65767*x^6 - 112264*x^5 + 4213*x^4 + 15471*x^3 - 2186*x^2 - 491*x + 44, x^25 - x^24 - 34*x^23 + 31*x^22 + 498*x^21 - 397*x^20 - 4144*x^19 + 2715*x^18 + 21790*x^17 - 10655*x^16 - 76302*x^15 + 23754*x^14 + 182623*x^13 - 27183*x^12 - 300050*x^11 + 11844*x^10 + 329769*x^9 - 4314*x^8 - 224352*x^7 + 13990*x^6 + 79406*x^5 - 9984*x^4 - 9974*x^3 + 648*x^2 + 253*x + 132, x^25 - x^24 - 34*x^23 + 31*x^22 + 498*x^21 - 397*x^20 - 4144*x^19 + 2715*x^18 + 21790*x^17 - 10655*x^16 - 76302*x^15 + 23754*x^14 + 182623*x^13 - 27183*x^12 - 300050*x^11 + 11844*x^10 + 329769*x^9 - 4314*x^8 - 224352*x^7 + 13990*x^6 + 79406*x^5 - 9984*x^4 - 9974*x^3 + 648*x^2 + 253*x + 132, -3*x^25 + 7*x^24 + 100*x^23 - 242*x^22 - 1403*x^21 + 3561*x^20 + 10761*x^19 - 29199*x^18 - 48855*x^17 + 146737*x^16 + 131117*x^15 - 468153*x^14 - 185575*x^13 + 948496*x^12 + 55418*x^11 - 1181551*x^10 + 215773*x^9 + 835926*x^8 - 303436*x^7 - 280936*x^6 + 143625*x^5 + 27442*x^4 - 19212*x^3 - 677*x^2 + 686*x + 33, -3*x^25 + 7*x^24 + 100*x^23 - 242*x^22 - 1403*x^21 + 3561*x^20 + 10761*x^19 - 29199*x^18 - 48855*x^17 + 146737*x^16 + 131117*x^15 - 468153*x^14 - 185575*x^13 + 948496*x^12 + 55418*x^11 - 1181551*x^10 + 215773*x^9 + 835926*x^8 - 303436*x^7 - 280936*x^6 + 143625*x^5 + 27442*x^4 - 19212*x^3 - 677*x^2 + 686*x + 33, -2*x^24 + 3*x^23 + 67*x^22 - 100*x^21 - 964*x^20 + 1435*x^19 + 7800*x^18 - 11643*x^17 - 38945*x^16 + 58836*x^15 + 123534*x^14 - 191766*x^13 - 245849*x^12 + 402788*x^11 + 288411*x^10 - 527867*x^9 - 166271*x^8 + 401068*x^7 + 13049*x^6 - 152004*x^5 + 22864*x^4 + 20564*x^3 - 4149*x^2 - 814*x + 143, -2*x^24 + 3*x^23 + 67*x^22 - 100*x^21 - 964*x^20 + 1435*x^19 + 7800*x^18 - 11643*x^17 - 38945*x^16 + 58836*x^15 + 123534*x^14 - 191766*x^13 - 245849*x^12 + 402788*x^11 + 288411*x^10 - 527867*x^9 - 166271*x^8 + 401068*x^7 + 13049*x^6 - 152004*x^5 + 22864*x^4 + 20564*x^3 - 4149*x^2 - 814*x + 143, -2*x^25 + 5*x^24 + 65*x^23 - 166*x^22 - 890*x^21 + 2340*x^20 + 6675*x^19 - 18314*x^18 - 29749*x^17 + 87345*x^16 + 79178*x^15 - 262111*x^14 - 115703*x^13 + 492829*x^12 + 58420*x^11 - 558752*x^10 + 65422*x^9 + 349832*x^8 - 102370*x^7 - 99425*x^6 + 39778*x^5 + 7979*x^4 - 680*x^3 - 1766*x^2 - 400*x + 264, -2*x^25 + 5*x^24 + 65*x^23 - 166*x^22 - 890*x^21 + 2340*x^20 + 6675*x^19 - 18314*x^18 - 29749*x^17 + 87345*x^16 + 79178*x^15 - 262111*x^14 - 115703*x^13 + 492829*x^12 + 58420*x^11 - 558752*x^10 + 65422*x^9 + 349832*x^8 - 102370*x^7 - 99425*x^6 + 39778*x^5 + 7979*x^4 - 680*x^3 - 1766*x^2 - 400*x + 264, x^26 - 2*x^25 - 35*x^24 + 72*x^23 + 528*x^22 - 1123*x^21 - 4509*x^20 + 9994*x^19 + 24053*x^18 - 56231*x^17 - 83227*x^16 + 209209*x^15 + 186638*x^14 - 521923*x^13 - 258762*x^12 + 864282*x^11 + 188477*x^10 - 916176*x^9 - 18181*x^8 + 577284*x^7 - 68300*x^6 - 187070*x^5 + 36687*x^4 + 22979*x^3 - 3557*x^2 - 943*x - 33, x^26 - 2*x^25 - 35*x^24 + 72*x^23 + 528*x^22 - 1123*x^21 - 4509*x^20 + 9994*x^19 + 24053*x^18 - 56231*x^17 - 83227*x^16 + 209209*x^15 + 186638*x^14 - 521923*x^13 - 258762*x^12 + 864282*x^11 + 188477*x^10 - 916176*x^9 - 18181*x^8 + 577284*x^7 - 68300*x^6 - 187070*x^5 + 36687*x^4 + 22979*x^3 - 3557*x^2 - 943*x - 33, x^26 - 2*x^25 - 37*x^24 + 75*x^23 + 592*x^22 - 1220*x^21 - 5374*x^20 + 11324*x^19 + 30492*x^18 - 66360*x^17 - 112076*x^16 + 256420*x^15 + 266236*x^14 - 661975*x^13 - 390052*x^12 + 1130589*x^11 + 301497*x^10 - 1233810*x^9 - 36724*x^8 + 800526*x^7 - 115448*x^6 - 267343*x^5 + 70467*x^4 + 33618*x^3 - 10242*x^2 - 1170*x + 308, x^26 - 2*x^25 - 37*x^24 + 75*x^23 + 592*x^22 - 1220*x^21 - 5374*x^20 + 11324*x^19 + 30492*x^18 - 66360*x^17 - 112076*x^16 + 256420*x^15 + 266236*x^14 - 661975*x^13 - 390052*x^12 + 1130589*x^11 + 301497*x^10 - 1233810*x^9 - 36724*x^8 + 800526*x^7 - 115448*x^6 - 267343*x^5 + 70467*x^4 + 33618*x^3 - 10242*x^2 - 1170*x + 308, x^25 + x^24 - 39*x^23 - 31*x^22 + 660*x^21 + 396*x^20 - 6348*x^19 - 2663*x^18 + 38216*x^17 + 9763*x^16 - 149632*x^15 - 16172*x^14 + 383893*x^13 - 9337*x^12 - 634877*x^11 + 92058*x^10 + 648683*x^9 - 167644*x^8 - 377389*x^7 + 139393*x^6 + 105854*x^5 - 51246*x^4 - 8485*x^3 + 5663*x^2 - 85*x - 77, x^25 + x^24 - 39*x^23 - 31*x^22 + 660*x^21 + 396*x^20 - 6348*x^19 - 2663*x^18 + 38216*x^17 + 9763*x^16 - 149632*x^15 - 16172*x^14 + 383893*x^13 - 9337*x^12 - 634877*x^11 + 92058*x^10 + 648683*x^9 - 167644*x^8 - 377389*x^7 + 139393*x^6 + 105854*x^5 - 51246*x^4 - 8485*x^3 + 5663*x^2 - 85*x - 77, -3*x^26 + 6*x^25 + 106*x^24 - 214*x^23 - 1607*x^22 + 3279*x^21 + 13698*x^20 - 28336*x^19 - 72247*x^18 + 152482*x^17 + 244150*x^16 - 532394*x^15 - 527251*x^14 + 1218470*x^13 + 695949*x^12 - 1802930*x^11 - 489939*x^10 + 1656656*x^9 + 89544*x^8 - 872661*x^7 + 88416*x^6 + 224797*x^5 - 44395*x^4 - 18981*x^3 + 3217*x^2 + 378*x + 66, -3*x^26 + 6*x^25 + 106*x^24 - 214*x^23 - 1607*x^22 + 3279*x^21 + 13698*x^20 - 28336*x^19 - 72247*x^18 + 152482*x^17 + 244150*x^16 - 532394*x^15 - 527251*x^14 + 1218470*x^13 + 695949*x^12 - 1802930*x^11 - 489939*x^10 + 1656656*x^9 + 89544*x^8 - 872661*x^7 + 88416*x^6 + 224797*x^5 - 44395*x^4 - 18981*x^3 + 3217*x^2 + 378*x + 66, x^25 - 3*x^24 - 33*x^23 + 102*x^22 + 457*x^21 - 1471*x^20 - 3446*x^19 + 11756*x^18 + 15288*x^17 - 57056*x^16 - 39663*x^15 + 172991*x^14 + 52853*x^13 - 322820*x^12 - 11310*x^11 + 344648*x^10 - 57725*x^9 - 165194*x^8 + 56962*x^7 - 10569*x^6 - 1216*x^5 + 29899*x^4 - 13288*x^3 - 3218*x^2 + 1556*x + 55, x^25 - 3*x^24 - 33*x^23 + 102*x^22 + 457*x^21 - 1471*x^20 - 3446*x^19 + 11756*x^18 + 15288*x^17 - 57056*x^16 - 39663*x^15 + 172991*x^14 + 52853*x^13 - 322820*x^12 - 11310*x^11 + 344648*x^10 - 57725*x^9 - 165194*x^8 + 56962*x^7 - 10569*x^6 - 1216*x^5 + 29899*x^4 - 13288*x^3 - 3218*x^2 + 1556*x + 55, x^24 - 3*x^23 - 36*x^22 + 101*x^21 + 561*x^20 - 1458*x^19 - 4965*x^18 + 11837*x^17 + 27468*x^16 - 59548*x^15 - 98340*x^14 + 192681*x^13 + 227670*x^12 - 402698*x^11 - 330179*x^10 + 531312*x^9 + 279022*x^8 - 419344*x^7 - 118357*x^6 + 179225*x^5 + 17301*x^4 - 35061*x^3 + 265*x^2 + 2444*x - 143, x^24 - 3*x^23 - 36*x^22 + 101*x^21 + 561*x^20 - 1458*x^19 - 4965*x^18 + 11837*x^17 + 27468*x^16 - 59548*x^15 - 98340*x^14 + 192681*x^13 + 227670*x^12 - 402698*x^11 - 330179*x^10 + 531312*x^9 + 279022*x^8 - 419344*x^7 - 118357*x^6 + 179225*x^5 + 17301*x^4 - 35061*x^3 + 265*x^2 + 2444*x - 143, -2*x^26 + 4*x^25 + 71*x^24 - 141*x^23 - 1089*x^22 + 2141*x^21 + 9489*x^20 - 18414*x^19 - 51957*x^18 + 99288*x^17 + 186614*x^16 - 351076*x^15 - 444590*x^14 + 827509*x^13 + 690996*x^12 - 1294946*x^11 - 661823*x^10 + 1311760*x^9 + 333842*x^8 - 812160*x^7 - 39038*x^6 + 272247*x^5 - 27757*x^4 - 37801*x^3 + 5935*x^2 + 1569*x - 187, -2*x^26 + 4*x^25 + 71*x^24 - 141*x^23 - 1089*x^22 + 2141*x^21 + 9489*x^20 - 18414*x^19 - 51957*x^18 + 99288*x^17 + 186614*x^16 - 351076*x^15 - 444590*x^14 + 827509*x^13 + 690996*x^12 - 1294946*x^11 - 661823*x^10 + 1311760*x^9 + 333842*x^8 - 812160*x^7 - 39038*x^6 + 272247*x^5 - 27757*x^4 - 37801*x^3 + 5935*x^2 + 1569*x - 187, x^27 - 2*x^26 - 37*x^25 + 75*x^24 + 595*x^23 - 1224*x^22 - 5468*x^21 + 11448*x^20 + 31736*x^19 - 67976*x^18 - 121143*x^17 + 267937*x^16 + 306141*x^15 - 711104*x^14 - 499741*x^13 + 1260346*x^12 + 489948*x^11 - 1447068*x^10 - 232803*x^9 + 1014869*x^8 - 2578*x^7 - 392230*x^6 + 43097*x^5 + 70012*x^4 - 10543*x^3 - 4420*x^2 + 543*x + 33, x^27 - 2*x^26 - 37*x^25 + 75*x^24 + 595*x^23 - 1224*x^22 - 5468*x^21 + 11448*x^20 + 31736*x^19 - 67976*x^18 - 121143*x^17 + 267937*x^16 + 306141*x^15 - 711104*x^14 - 499741*x^13 + 1260346*x^12 + 489948*x^11 - 1447068*x^10 - 232803*x^9 + 1014869*x^8 - 2578*x^7 - 392230*x^6 + 43097*x^5 + 70012*x^4 - 10543*x^3 - 4420*x^2 + 543*x + 33, x^27 - 2*x^26 - 39*x^25 + 78*x^24 + 662*x^23 - 1321*x^22 - 6432*x^21 + 12776*x^20 + 39578*x^19 - 78077*x^18 - 161140*x^17 + 315146*x^16 + 440166*x^15 - 853216*x^14 - 799430*x^13 + 1542291*x^12 + 931816*x^11 - 1818734*x^10 - 642070*x^9 + 1336935*x^8 + 208985*x^7 - 565866*x^6 + 981*x^5 + 118828*x^4 - 15030*x^3 - 8146*x^2 + 1828*x - 132, x^27 - 2*x^26 - 39*x^25 + 78*x^24 + 662*x^23 - 1321*x^22 - 6432*x^21 + 12776*x^20 + 39578*x^19 - 78077*x^18 - 161140*x^17 + 315146*x^16 + 440166*x^15 - 853216*x^14 - 799430*x^13 + 1542291*x^12 + 931816*x^11 - 1818734*x^10 - 642070*x^9 + 1336935*x^8 + 208985*x^7 - 565866*x^6 + 981*x^5 + 118828*x^4 - 15030*x^3 - 8146*x^2 + 1828*x - 132, x^25 - 2*x^24 - 36*x^23 + 70*x^22 + 560*x^21 - 1055*x^20 - 4942*x^19 + 9002*x^18 + 27274*x^17 - 48071*x^16 - 97628*x^15 + 167487*x^14 + 226755*x^13 - 384519*x^12 - 330269*x^11 + 573080*x^10 + 275577*x^9 - 532095*x^8 - 100081*x^7 + 284533*x^6 - 9920*x^5 - 75226*x^4 + 14762*x^3 + 6328*x^2 - 1773*x, x^25 - 2*x^24 - 36*x^23 + 70*x^22 + 560*x^21 - 1055*x^20 - 4942*x^19 + 9002*x^18 + 27274*x^17 - 48071*x^16 - 97628*x^15 + 167487*x^14 + 226755*x^13 - 384519*x^12 - 330269*x^11 + 573080*x^10 + 275577*x^9 - 532095*x^8 - 100081*x^7 + 284533*x^6 - 9920*x^5 - 75226*x^4 + 14762*x^3 + 6328*x^2 - 1773*x, 2*x^25 - 3*x^24 - 69*x^23 + 101*x^22 + 1021*x^21 - 1442*x^20 - 8513*x^19 + 11448*x^18 + 44204*x^17 - 55750*x^16 - 149079*x^15 + 173501*x^14 + 329963*x^13 - 348932*x^12 - 472174*x^11 + 448362*x^10 + 418763*x^9 - 354894*x^8 - 213539*x^7 + 160164*x^6 + 56418*x^5 - 35188*x^4 - 7342*x^3 + 2824*x^2 + 613*x - 99, 2*x^25 - 3*x^24 - 69*x^23 + 101*x^22 + 1021*x^21 - 1442*x^20 - 8513*x^19 + 11448*x^18 + 44204*x^17 - 55750*x^16 - 149079*x^15 + 173501*x^14 + 329963*x^13 - 348932*x^12 - 472174*x^11 + 448362*x^10 + 418763*x^9 - 354894*x^8 - 213539*x^7 + 160164*x^6 + 56418*x^5 - 35188*x^4 - 7342*x^3 + 2824*x^2 + 613*x - 99, -3*x^25 + 3*x^24 + 109*x^23 - 107*x^22 - 1710*x^21 + 1633*x^20 + 15202*x^19 - 13998*x^18 - 84498*x^17 + 74436*x^16 + 305566*x^15 - 256213*x^14 - 724605*x^13 + 578640*x^12 + 1106702*x^11 - 851039*x^10 - 1036719*x^9 + 790340*x^8 + 537505*x^7 - 431805*x^6 - 119504*x^5 + 118185*x^4 + 784*x^3 - 10426*x^2 + 995*x + 99, -3*x^25 + 3*x^24 + 109*x^23 - 107*x^22 - 1710*x^21 + 1633*x^20 + 15202*x^19 - 13998*x^18 - 84498*x^17 + 74436*x^16 + 305566*x^15 - 256213*x^14 - 724605*x^13 + 578640*x^12 + 1106702*x^11 - 851039*x^10 - 1036719*x^9 + 790340*x^8 + 537505*x^7 - 431805*x^6 - 119504*x^5 + 118185*x^4 + 784*x^3 - 10426*x^2 + 995*x + 99, -3*x^27 + 6*x^26 + 112*x^25 - 224*x^24 - 1816*x^23 + 3628*x^22 + 16811*x^21 - 33530*x^20 - 98210*x^19 + 195679*x^18 + 377503*x^17 - 753567*x^16 - 963934*x^15 + 1942836*x^14 + 1606129*x^13 - 3330066*x^12 - 1652059*x^11 + 3689246*x^10 + 910490*x^9 - 2498927*x^8 - 145653*x^7 + 937538*x^6 - 68516*x^5 - 164608*x^4 + 21645*x^3 + 11481*x^2 - 1615*x - 132, -3*x^27 + 6*x^26 + 112*x^25 - 224*x^24 - 1816*x^23 + 3628*x^22 + 16811*x^21 - 33530*x^20 - 98210*x^19 + 195679*x^18 + 377503*x^17 - 753567*x^16 - 963934*x^15 + 1942836*x^14 + 1606129*x^13 - 3330066*x^12 - 1652059*x^11 + 3689246*x^10 + 910490*x^9 - 2498927*x^8 - 145653*x^7 + 937538*x^6 - 68516*x^5 - 164608*x^4 + 21645*x^3 + 11481*x^2 - 1615*x - 132, x^26 - x^25 - 37*x^24 + 35*x^23 + 597*x^22 - 525*x^21 - 5536*x^20 + 4441*x^19 + 32731*x^18 - 23489*x^17 - 129344*x^16 + 81537*x^15 + 348015*x^14 - 190098*x^13 - 636986*x^12 + 300540*x^11 + 779178*x^10 - 323242*x^9 - 613770*x^8 + 235905*x^7 + 290289*x^6 - 112510*x^5 - 70629*x^4 + 29282*x^3 + 5451*x^2 - 2187*x - 88, x^26 - x^25 - 37*x^24 + 35*x^23 + 597*x^22 - 525*x^21 - 5536*x^20 + 4441*x^19 + 32731*x^18 - 23489*x^17 - 129344*x^16 + 81537*x^15 + 348015*x^14 - 190098*x^13 - 636986*x^12 + 300540*x^11 + 779178*x^10 - 323242*x^9 - 613770*x^8 + 235905*x^7 + 290289*x^6 - 112510*x^5 - 70629*x^4 + 29282*x^3 + 5451*x^2 - 2187*x - 88, x^28 - 2*x^27 - 38*x^26 + 76*x^25 + 628*x^24 - 1255*x^23 - 5935*x^22 + 11855*x^21 + 35463*x^20 - 70987*x^19 - 139675*x^18 + 282218*x^17 + 365628*x^16 - 758560*x^15 - 621076*x^14 + 1376757*x^13 + 630872*x^12 - 1654377*x^11 - 281744*x^10 + 1258985*x^9 - 88133*x^8 - 554232*x^7 + 155467*x^6 + 113924*x^5 - 57740*x^4 - 3963*x^3 + 6135*x^2 - 531*x - 121, x^28 - 2*x^27 - 38*x^26 + 76*x^25 + 628*x^24 - 1255*x^23 - 5935*x^22 + 11855*x^21 + 35463*x^20 - 70987*x^19 - 139675*x^18 + 282218*x^17 + 365628*x^16 - 758560*x^15 - 621076*x^14 + 1376757*x^13 + 630872*x^12 - 1654377*x^11 - 281744*x^10 + 1258985*x^9 - 88133*x^8 - 554232*x^7 + 155467*x^6 + 113924*x^5 - 57740*x^4 - 3963*x^3 + 6135*x^2 - 531*x - 121, -2*x^23 + 4*x^22 + 64*x^21 - 129*x^20 - 864*x^19 + 1747*x^18 + 6452*x^17 - 13020*x^16 - 29385*x^15 + 58859*x^14 + 84775*x^13 - 167887*x^12 - 154811*x^11 + 304259*x^10 + 170403*x^9 - 342379*x^8 - 96649*x^7 + 223885*x^6 + 12892*x^5 - 73006*x^4 + 7771*x^3 + 8204*x^2 - 1274*x - 165, -2*x^23 + 4*x^22 + 64*x^21 - 129*x^20 - 864*x^19 + 1747*x^18 + 6452*x^17 - 13020*x^16 - 29385*x^15 + 58859*x^14 + 84775*x^13 - 167887*x^12 - 154811*x^11 + 304259*x^10 + 170403*x^9 - 342379*x^8 - 96649*x^7 + 223885*x^6 + 12892*x^5 - 73006*x^4 + 7771*x^3 + 8204*x^2 - 1274*x - 165]>
       ]
>;

MOG[659] := 	// J_0(659)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 1, 42, 65, 84, 121, 127, 172, 182, 204, 208, 215, 237, 301, 373, 410, 470, 540, 570, 619, 621, 623, 195*x + 569, 464*x + 569, 612*x + 39, 47*x + 39, 333*x + 207, 326*x + 207, 658*x + 473, x + 473, 176*x + 93, 483*x + 93, 61*x + 645, 598*x + 645, 528*x + 176, 131*x + 176, 267*x + 517, 392*x + 517, 619*x + 74, 40*x + 74, 157*x + 570, 502*x + 570, 287*x + 334, 372*x + 334, 542*x + 141, 117*x + 141, 521*x + 271, 138*x + 271, 45*x + 111, 614*x + 111, 207*x + 202, 452*x + 202, 171*x + 113, 488*x + 113, 448*x + 353, 211*x + 353]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, 0, 0, -1, 1, 1/2, -1/2, 1/2, -1/2, -1/2, 1/2, 1, -1, 1/2, -1/2, 0, 0, -1/2, 1/2, -1/2, 1/2, 1/2, -1/2, 0, 0, -1/2, 1/2, -1/2, 1/2, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x - 2,
           Coordinates        := [1, -1, 2, 2, 2, 1, -2, 3, -1, 1, -3, -3, 1, 1, 0, 3, 0, 2, -2, 0, 2, 1, 0, 0, -1, -1, -2, -2, 0, 0, -2, -2, 1, 1, 0, 0, -3, -3, 0, 0, 2, 2, 0, 0, -1, -1, -1, -1, 1, 1, -1, -1, 1, 1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^16 + 3*x^15 - 14*x^14 - 47*x^13 + 67*x^12 + 280*x^11 - 107*x^10 - 798*x^9 - 95*x^8 + 1099*x^7 + 440*x^6 - 621*x^5 - 345*x^4 + 75*x^3 + 42*x^2 - 4*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^14 - 3*x^13 + 10*x^12 + 35*x^11 - 29*x^10 - 146*x^9 + 2*x^8 + 256*x^7 + 96*x^6 - 159*x^5 - 92*x^4 + 8*x^3 + 6*x^2, x^14 + 3*x^13 - 10*x^12 - 35*x^11 + 29*x^10 + 146*x^9 - 2*x^8 - 256*x^7 - 96*x^6 + 159*x^5 + 92*x^4 - 8*x^3 - 6*x^2, -x^15 - 3*x^14 + 11*x^13 + 38*x^12 - 39*x^11 - 181*x^10 + 31*x^9 + 402*x^8 + 94*x^7 - 415*x^6 - 188*x^5 + 167*x^4 + 98*x^3 - 8*x^2 - 6*x, x^15 + 3*x^14 - 11*x^13 - 38*x^12 + 39*x^11 + 181*x^10 - 31*x^9 - 402*x^8 - 94*x^7 + 415*x^6 + 188*x^5 - 167*x^4 - 98*x^3 + 8*x^2 + 6*x, -x^13 - 3*x^12 + 10*x^11 + 35*x^10 - 29*x^9 - 146*x^8 + 2*x^7 + 256*x^6 + 96*x^5 - 159*x^4 - 92*x^3 + 8*x^2 + 6*x, x^13 + 3*x^12 - 10*x^11 - 35*x^10 + 29*x^9 + 146*x^8 - 2*x^7 - 256*x^6 - 96*x^5 + 159*x^4 + 92*x^3 - 8*x^2 - 6*x, -x^14 - 3*x^13 + 9*x^12 + 32*x^11 - 24*x^10 - 127*x^9 + 226*x^7 + 81*x^6 - 169*x^5 - 89*x^4 + 41*x^3 + 23*x^2 - 2*x - 1, x^14 + 3*x^13 - 9*x^12 - 32*x^11 + 24*x^10 + 127*x^9 - 226*x^7 - 81*x^6 + 169*x^5 + 89*x^4 - 41*x^3 - 23*x^2 + 2*x + 1, -x^14 - 3*x^13 + 9*x^12 + 32*x^11 - 23*x^10 - 123*x^9 - 3*x^8 + 202*x^7 + 75*x^6 - 126*x^5 - 66*x^4 + 18*x^3 + 7*x^2 - 2*x, x^14 + 3*x^13 - 9*x^12 - 32*x^11 + 23*x^10 + 123*x^9 + 3*x^8 - 202*x^7 - 75*x^6 + 126*x^5 + 66*x^4 - 18*x^3 - 7*x^2 + 2*x, -x^13 - 3*x^12 + 7*x^11 + 25*x^10 - 14*x^9 - 74*x^8 + 92*x^6 + 22*x^5 - 42*x^4 - 12*x^3 + 4*x^2, x^13 + 3*x^12 - 7*x^11 - 25*x^10 + 14*x^9 + 74*x^8 - 92*x^6 - 22*x^5 + 42*x^4 + 12*x^3 - 4*x^2, -x^13 - 3*x^12 + 8*x^11 + 29*x^10 - 17*x^9 - 102*x^8 - 13*x^7 + 154*x^6 + 77*x^5 - 84*x^4 - 63*x^3 + 2*x^2 + 5*x, x^13 + 3*x^12 - 8*x^11 - 29*x^10 + 17*x^9 + 102*x^8 + 13*x^7 - 154*x^6 - 77*x^5 + 84*x^4 + 63*x^3 - 2*x^2 - 5*x, -x^13 - 3*x^12 + 8*x^11 + 28*x^10 - 20*x^9 - 95*x^8 + 11*x^7 + 143*x^6 + 18*x^5 - 93*x^4 - 19*x^3 + 19*x^2 + x - 1, x^13 + 3*x^12 - 8*x^11 - 28*x^10 + 20*x^9 + 95*x^8 - 11*x^7 - 143*x^6 - 18*x^5 + 93*x^4 + 19*x^3 - 19*x^2 - x + 1, -x^13 - 3*x^12 + 8*x^11 + 30*x^10 - 14*x^9 - 105*x^8 - 30*x^7 + 146*x^6 + 104*x^5 - 56*x^4 - 72*x^3 - 13*x^2 + 5*x + 1, x^13 + 3*x^12 - 8*x^11 - 30*x^10 + 14*x^9 + 105*x^8 + 30*x^7 - 146*x^6 - 104*x^5 + 56*x^4 + 72*x^3 + 13*x^2 - 5*x - 1, -x^12 - 3*x^11 + 7*x^10 + 25*x^9 - 14*x^8 - 74*x^7 + 92*x^5 + 22*x^4 - 42*x^3 - 12*x^2 + 4*x, x^12 + 3*x^11 - 7*x^10 - 25*x^9 + 14*x^8 + 74*x^7 - 92*x^5 - 22*x^4 + 42*x^3 + 12*x^2 - 4*x, -x^12 - 4*x^11 + 3*x^10 + 28*x^9 + 14*x^8 - 60*x^7 - 59*x^6 + 35*x^5 + 55*x^4 + 5*x^3 - 11*x^2 - 2*x + 1, x^12 + 4*x^11 - 3*x^10 - 28*x^9 - 14*x^8 + 60*x^7 + 59*x^6 - 35*x^5 - 55*x^4 - 5*x^3 + 11*x^2 + 2*x - 1, -x^12 - 3*x^11 + 7*x^10 + 25*x^9 - 13*x^8 - 72*x^7 - 4*x^6 + 85*x^5 + 26*x^4 - 39*x^3 - 18*x^2 + 2*x + 1, x^12 + 3*x^11 - 7*x^10 - 25*x^9 + 13*x^8 + 72*x^7 + 4*x^6 - 85*x^5 - 26*x^4 + 39*x^3 + 18*x^2 - 2*x - 1, -x^12 - 4*x^11 + 3*x^10 + 28*x^9 + 14*x^8 - 59*x^7 - 57*x^6 + 33*x^5 + 47*x^4 + x^3 - 6*x^2 + x, x^12 + 4*x^11 - 3*x^10 - 28*x^9 - 14*x^8 + 59*x^7 + 57*x^6 - 33*x^5 - 47*x^4 - x^3 + 6*x^2 - x, -x^12 - 2*x^11 + 9*x^10 + 18*x^9 - 27*x^8 - 56*x^7 + 29*x^6 + 70*x^5 - 6*x^4 - 31*x^3 - 2*x^2 + 3*x, x^12 + 2*x^11 - 9*x^10 - 18*x^9 + 27*x^8 + 56*x^7 - 29*x^6 - 70*x^5 + 6*x^4 + 31*x^3 + 2*x^2 - 3*x, -x^11 - 4*x^10 + 4*x^9 + 30*x^8 + 9*x^7 - 69*x^6 - 51*x^5 + 45*x^4 + 45*x^3 - 4*x, x^11 + 4*x^10 - 4*x^9 - 30*x^8 - 9*x^7 + 69*x^6 + 51*x^5 - 45*x^4 - 45*x^3 + 4*x, -x^11 - 3*x^10 + 6*x^9 + 22*x^8 - 8*x^7 - 51*x^6 - 6*x^5 + 39*x^4 + 8*x^3 - 7*x^2 + x, x^11 + 3*x^10 - 6*x^9 - 22*x^8 + 8*x^7 + 51*x^6 + 6*x^5 - 39*x^4 - 8*x^3 + 7*x^2 - x, -x^11 - 3*x^10 + 5*x^9 + 22*x^8 + 3*x^7 - 47*x^6 - 40*x^5 + 19*x^4 + 39*x^3 + 14*x^2 - 2*x - 1, x^11 + 3*x^10 - 5*x^9 - 22*x^8 - 3*x^7 + 47*x^6 + 40*x^5 - 19*x^4 - 39*x^3 - 14*x^2 + 2*x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^37 + 2*x^36 - 60*x^35 - 119*x^34 + 1637*x^33 + 3220*x^32 - 26887*x^31 - 52450*x^30 + 296671*x^29 + 573775*x^28 - 2324192*x^27 - 4453116*x^26 + 13325404*x^25 + 25253019*x^24 - 56817530*x^23 - 106192830*x^22 + 181389200*x^21 + 332649864*x^20 - 433531231*x^19 - 773308446*x^18 + 771364917*x^17 + 1318533303*x^16 - 1011050641*x^15 - 1615276278*x^14 + 961298582*x^13 + 1377145237*x^12 - 648367747*x^11 - 779151001*x^10 + 299183140*x^9 + 272513132*x^8 - 88282480*x^7 - 53067552*x^6 + 14658304*x^5 + 5017024*x^4 - 1104640*x^3 - 196352*x^2 + 25600*x + 3072,
           Coordinates        := [-3/4*x^36 - 3/2*x^35 + 85/2*x^34 + 337/4*x^33 - 4363/4*x^32 - 4287/2*x^31 + 67101/4*x^30 + 65359/2*x^29 - 689649/4*x^28 - 1331339/4*x^27 + 1250547*x^26 + 2390029*x^25 - 6591793*x^24 - 49791509/4*x^23 + 25632305*x^22 + 47650059*x^21 - 147871697/2*x^20 - 134412560*x^19 + 631912405/4*x^18 + 277627686*x^17 - 993283945/4*x^16 - 1654098783/4*x^15 + 1135142529/4*x^14 + 432958997*x^13 - 231674810*x^12 - 1225520381/4*x^11 + 525044475/4*x^10 + 552368533/4*x^9 - 97646381/2*x^8 - 36218524*x^7 + 10644906*x^6 + 4857736*x^5 - 1090208*x^4 - 294304*x^3 + 33760*x^2 + 7616*x - 128, -1/4*x^36 - 1/2*x^35 + 12*x^34 + 95/4*x^33 - 999/4*x^32 - 489*x^31 + 11605/4*x^30 + 5615*x^29 - 78647/4*x^28 - 150153/4*x^27 + 64999*x^26 + 243199/2*x^25 + 89419*x^24 + 696825/4*x^23 - 4257577/2*x^22 - 3902111*x^21 + 23253171/2*x^20 + 20544849*x^19 - 150112097/4*x^18 - 63007367*x^17 + 324230191/4*x^16 + 503513865/4*x^15 - 485791301/4*x^14 - 333891211/2*x^13 + 126937528*x^12 + 576756709/4*x^11 - 363512625/4*x^10 - 307655595/4*x^9 + 84467911/2*x^8 + 22824325*x^7 - 11365082*x^6 - 3074836*x^5 + 1427160*x^4 + 138816*x^3 - 54304*x^2 - 4480*x + 896, x^36 + 2*x^35 - 57*x^34 - 113*x^33 + 1474*x^32 + 2897*x^31 - 22886*x^30 - 89187/2*x^29 + 475973/2*x^28 + 919179/2*x^27 - 1750831*x^26 - 3348077*x^25 + 9386773*x^24 + 35482819/2*x^23 - 37240787*x^22 - 69321168*x^21 + 109977411*x^20 + 400657187/2*x^19 - 482993049/2*x^18 - 425679996*x^17 + 783429421/2*x^16 + 1311022781/2*x^15 - 463890611*x^14 - 1427973227/2*x^13 + 787893015/2*x^12 + 530347588*x^11 - 465511791/2*x^10 - 254839231*x^9 + 180524241/2*x^8 + 73573106*x^7 - 20474064*x^6 - 11574320*x^5 + 2218320*x^4 + 839760*x^3 - 62144*x^2 - 20416*x - 1280, 4*x^30 + 14*x^29 - 337/2*x^28 - 608*x^27 + 3125*x^26 + 23401/2*x^25 - 33605*x^24 - 131591*x^23 + 464917/2*x^22 + 960667*x^21 - 1086479*x^20 - 4782634*x^19 + 3518769*x^18 + 16602573*x^17 - 16047863/2*x^16 - 40378070*x^15 + 26285045/2*x^14 + 68083001*x^13 - 32102775/2*x^12 - 77388436*x^11 + 15291037*x^10 + 112339953/2*x^9 - 22269577/2*x^8 - 23531989*x^7 + 5241660*x^6 + 4688908*x^5 - 1131208*x^4 - 332752*x^3 + 73984*x^2 + 5248*x - 768, 2*x^30 + 4*x^29 - 92*x^28 - 359/2*x^27 + 3795/2*x^26 + 3617*x^25 - 46277/2*x^24 - 43218*x^23 + 370175/2*x^22 + 340353*x^21 - 2035721/2*x^20 - 3711055/2*x^19 + 7837293/2*x^18 + 14298591/2*x^17 - 21088083/2*x^16 - 19498899*x^15 + 38894401/2*x^14 + 37093980*x^13 - 47256839/2*x^12 - 47683082*x^11 + 17683790*x^10 + 78630765/2*x^9 - 7329816*x^8 - 19218870*x^7 + 1472272*x^6 + 4988864*x^5 - 153776*x^4 - 588096*x^3 + 19200*x^2 + 16896*x + 256, x^34 + 2*x^33 - 51*x^32 - 101*x^31 + 1170*x^30 + 2299*x^29 - 31901/2*x^28 - 62341/2*x^27 + 143812*x^26 + 560441/2*x^25 - 903153*x^24 - 3518809/2*x^23 + 4054244*x^22 + 15831859/2*x^21 - 13148480*x^20 - 51550613/2*x^19 + 61648139/2*x^18 + 121281319/2*x^17 - 103828537/2*x^16 - 203798555/2*x^15 + 62286582*x^14 + 239421749/2*x^13 - 106127619/2*x^12 - 95166716*x^11 + 64890491/2*x^10 + 48820275*x^9 - 28856239/2*x^8 - 15044368*x^7 + 4424348*x^6 + 2459828*x^5 - 761480*x^4 - 159952*x^3 + 52896*x^2 + 1024*x - 640, 3/2*x^33 + 3*x^32 - 81*x^31 - 331/2*x^30 + 3901/2*x^29 + 8153/2*x^28 - 27646*x^27 - 59220*x^26 + 256376*x^25 + 564460*x^24 - 3271141/2*x^23 - 3715130*x^22 + 7349644*x^21 + 34609929/2*x^20 - 46886061/2*x^19 - 115055291/2*x^18 + 105820445/2*x^17 + 135984268*x^16 - 167313267/2*x^15 - 450489365/2*x^14 + 183450861/2*x^13 + 254605591*x^12 - 139929269/2*x^11 - 376645065/2*x^10 + 38207843*x^9 + 85338265*x^8 - 15056056*x^7 - 21262748*x^6 + 3678520*x^5 + 2427808*x^4 - 390528*x^3 - 96832*x^2 + 9472*x + 1536, -1/2*x^33 - x^32 + 20*x^31 + 81/2*x^30 - 655/2*x^29 - 693*x^28 + 5207/2*x^27 + 6311*x^26 - 6008*x^25 - 29536*x^24 - 154097/2*x^23 + 41165/2*x^22 + 891930*x^21 + 610355*x^20 - 4812891*x^19 - 4108955*x^18 + 16329879*x^17 + 28321919/2*x^16 - 74766613/2*x^15 - 30290512*x^14 + 117592133/2*x^13 + 41536961*x^12 - 125976951/2*x^11 - 35720517*x^10 + 88755737/2*x^9 + 35990165/2*x^8 - 19052886*x^7 - 4675766*x^6 + 4282992*x^5 + 560840*x^4 - 394080*x^3 - 45248*x^2 + 12352*x + 1408, 2*x^31 + 3*x^30 - 183/2*x^29 - 130*x^28 + 1851*x^27 + 4937/2*x^26 - 43601/2*x^25 - 53817/2*x^24 + 331287/2*x^23 + 184877*x^22 - 850044*x^21 - 1645629/2*x^20 + 2996528*x^19 + 2310656*x^18 - 7224688*x^17 - 3550360*x^16 + 23135763/2*x^15 + 656602*x^14 - 22607521/2*x^13 + 16923567/2*x^12 + 4712054*x^11 - 33137461/2*x^10 + 5423105/2*x^9 + 28810611/2*x^8 - 4752732*x^7 - 5959168*x^6 + 2364828*x^5 + 929080*x^4 - 379984*x^3 - 38368*x^2 + 12032*x + 896, -7/2*x^30 - 8*x^29 + 309/2*x^28 + 359*x^27 - 5967/2*x^26 - 7089*x^25 + 66179/2*x^24 + 162125/2*x^23 - 465129/2*x^22 - 1188853/2*x^21 + 2155177/2*x^20 + 2924811*x^19 - 6633969/2*x^18 - 9824231*x^17 + 13336237/2*x^16 + 45015445/2*x^15 - 8402604*x^14 - 69312961/2*x^13 + 6309891*x^12 + 34928057*x^11 - 3159116*x^10 - 22202973*x^9 + 2133054*x^8 + 8415356*x^7 - 1638064*x^6 - 1632392*x^5 + 619632*x^4 + 87168*x^3 - 67840*x^2 + 1664*x + 1536, -1/2*x^34 - x^33 + 24*x^32 + 95/2*x^31 - 1023/2*x^30 - 1005*x^29 + 12731/2*x^28 + 24971/2*x^27 - 51098*x^26 - 202183/2*x^25 + 274886*x^24 + 560034*x^23 - 987899*x^22 - 2170885*x^21 + 2217478*x^20 + 11874883/2*x^19 - 4367081/2*x^18 - 23016951/2*x^17 - 3393702*x^16 + 32241557/2*x^15 + 33270459/2*x^14 - 17511146*x^13 - 60623045/2*x^12 + 16602245*x^11 + 32079964*x^10 - 13753064*x^9 - 20326581*x^8 + 8124548*x^7 + 7075196*x^6 - 2661544*x^5 - 1133264*x^4 + 352416*x^3 + 73728*x^2 - 10752*x - 2304, x^34 + 2*x^33 - 53*x^32 - 105*x^31 + 2539/2*x^30 + 2494*x^29 - 18178*x^28 - 70887/2*x^27 + 173459*x^26 + 335822*x^25 - 1164167*x^24 - 4474709/2*x^23 + 5653891*x^22 + 10771170*x^21 - 40278945/2*x^20 - 75821879/2*x^19 + 105545251/2*x^18 + 97562569*x^17 - 101142063*x^16 - 363346595/2*x^15 + 279564987/2*x^14 + 239474591*x^13 - 272078727/2*x^12 - 215442878*x^11 + 179674017/2*x^10 + 124971972*x^9 - 37806103*x^8 - 42856006*x^7 + 8928372*x^6 + 7643964*x^5 - 860840*x^4 - 605056*x^3 - 8672*x^2 + 17856*x + 1920, 2*x^34 + 4*x^33 - 213/2*x^32 - 211*x^31 + 2550*x^30 + 5000*x^29 - 72575/2*x^28 - 140617/2*x^27 + 341857*x^26 + 1305687/2*x^25 - 2248695*x^24 - 4215115*x^23 + 21243439/2*x^22 + 38823763/2*x^21 - 36529493*x^20 - 128764475/2*x^19 + 183804435/2*x^18 + 153458457*x^17 - 337680309/2*x^16 - 259560877*x^15 + 449690035/2*x^14 + 608212333/2*x^13 - 427610217/2*x^12 - 237390910*x^11 + 281607765/2*x^10 + 232502487/2*x^9 - 60239535*x^8 - 32554777*x^7 + 14724462*x^6 + 4557752*x^5 - 1640120*x^4 - 278928*x^3 + 55968*x^2 + 4352*x + 512, 2*x^31 + 7/2*x^30 - 98*x^29 - 331/2*x^28 + 4293/2*x^27 + 6951/2*x^26 - 27750*x^25 - 85405/2*x^24 + 235616*x^23 + 340459*x^22 - 1384101*x^21 - 1846637*x^20 + 11552939/2*x^19 + 6947511*x^18 - 34644767/2*x^17 - 18143086*x^16 + 37317548*x^15 + 64708123/2*x^14 - 57054940*x^13 - 75883171/2*x^12 + 60144169*x^11 + 54366923/2*x^10 - 82593639/2*x^9 - 20434271/2*x^8 + 16588905*x^7 + 1385268*x^6 - 3210292*x^5 - 76520*x^4 + 264784*x^3 + 10752*x^2 - 6656*x - 768, 2*x^32 + 6*x^31 - 90*x^30 - 557/2*x^29 + 3557/2*x^28 + 11503/2*x^27 - 20217*x^26 - 139403/2*x^25 + 145042*x^24 + 550559*x^23 - 1345989/2*x^22 - 5955553/2*x^21 + 3886405/2*x^20 + 11280808*x^19 - 2802386*x^18 - 30125454*x^17 - 3107601/2*x^16 + 56423716*x^15 + 31705671/2*x^14 - 73146528*x^13 - 33404427*x^12 + 129238521/2*x^11 + 37388348*x^10 - 77359699/2*x^9 - 47848659/2*x^8 + 15885743*x^7 + 8301252*x^6 - 4293352*x^5 - 1301328*x^4 + 554384*x^3 + 73952*x^2 - 19392*x - 1664, -1/2*x^32 - 3/2*x^31 + 37/2*x^30 + 59*x^29 - 537/2*x^28 - 1923/2*x^27 + 1642*x^26 + 7953*x^25 + 1945*x^24 - 27591*x^23 - 209279/2*x^22 - 84057*x^21 + 807873*x^20 + 1418228*x^19 - 3394663*x^18 - 7503618*x^17 + 8826261*x^16 + 45974441/2*x^15 - 14396086*x^14 - 44686598*x^13 + 28218937/2*x^12 + 111292859/2*x^11 - 7342046*x^10 - 43062563*x^9 + 2630611/2*x^8 + 19310388*x^7 + 257502*x^6 - 4418264*x^5 - 135272*x^4 + 425568*x^3 + 31488*x^2 - 13760*x - 1408, 2*x^32 + 6*x^31 - 92*x^30 - 283*x^29 + 1878*x^28 + 11927/2*x^27 - 44841/2*x^26 - 74126*x^25 + 347403/2*x^24 + 1208897/2*x^23 - 916402*x^22 - 3402478*x^21 + 6728531/2*x^20 + 13549769*x^19 - 17310717/2*x^18 - 38492574*x^17 + 31285277/2*x^16 + 155369169/2*x^15 - 20194301*x^14 - 109604533*x^13 + 39857149/2*x^12 + 209749145/2*x^11 - 16867730*x^10 - 64639242*x^9 + 12054464*x^8 + 23482284*x^7 - 5668764*x^6 - 4264368*x^5 + 1251408*x^4 + 283040*x^3 - 97152*x^2 - 1280*x + 1280, -5/2*x^34 - 5*x^33 + 132*x^32 + 523/2*x^31 - 3136*x^30 - 6157*x^29 + 88603/2*x^28 + 172469/2*x^27 - 414380*x^26 - 1599599/2*x^25 + 5410235/2*x^24 + 5174862*x^23 - 12662075*x^22 - 23973228*x^21 + 43010638*x^20 + 160678365/2*x^19 - 106203578*x^18 - 389000819/2*x^17 + 378806125/2*x^16 + 672394819/2*x^15 - 240609945*x^14 - 405452553*x^13 + 426144421/2*x^12 + 328679991*x^11 - 254682071/2*x^10 - 169196176*x^9 + 48668662*x^8 + 50888319*x^7 - 10666116*x^6 - 8029908*x^5 + 1048744*x^4 + 604448*x^3 - 27904*x^2 - 16064*x - 512, 3/2*x^32 - 2*x^31 - 88*x^30 + 163/2*x^29 + 2276*x^28 - 1397*x^27 - 34383*x^26 + 12708*x^25 + 676477/2*x^24 - 60049*x^23 - 4568353/2*x^22 + 63968*x^21 + 21737969/2*x^20 + 1834301/2*x^19 - 73616909/2*x^18 - 11931427/2*x^17 + 88577223*x^16 + 18195416*x^15 - 299509633/2*x^14 - 63978859/2*x^13 + 348303993/2*x^12 + 64932265/2*x^11 - 269352007/2*x^10 - 34319829/2*x^9 + 65510060*x^8 + 3167481*x^7 - 18121138*x^6 + 531600*x^5 + 2382856*x^4 - 170320*x^3 - 120224*x^2 + 7936*x + 1792, x^35 + 2*x^34 - 55*x^33 - 109*x^32 + 1370*x^31 + 2691*x^30 - 40893/2*x^29 - 79601/2*x^28 + 203858*x^27 + 785951/2*x^26 - 1433560*x^25 - 5464069/2*x^24 + 7319453*x^23 + 27489301/2*x^22 - 27532652*x^21 - 101268137/2*x^20 + 153378917/2*x^19 + 273284695/2*x^18 - 315799659/2*x^17 - 534953535/2*x^16 + 238658379*x^15 + 743877631/2*x^14 - 523643071/2*x^13 - 354801148*x^12 + 409686669/2*x^11 + 219737994*x^10 - 220947283/2*x^9 - 81046984*x^8 + 38027898*x^7 + 15672732*x^6 - 7121344*x^5 - 1470528*x^4 + 596000*x^3 + 74752*x^2 - 17920*x - 1536, -5/2*x^35 - 5*x^34 + 137*x^33 + 543/2*x^32 - 3390*x^31 - 6658*x^30 + 50091*x^29 + 194993/2*x^28 - 492597*x^27 - 949808*x^26 + 3402260*x^25 + 6491887*x^24 - 33961685/2*x^23 - 63989127/2*x^22 + 124212103/2*x^21 + 115074838*x^20 - 167170322*x^19 - 604707297/2*x^18 + 660405403/2*x^17 + 1150750563/2*x^16 - 949004697/2*x^15 - 1556996423/2*x^14 + 978598253/2*x^13 + 1452957665/2*x^12 - 710029383/2*x^11 - 892542235/2*x^10 + 351128329/2*x^9 + 168166325*x^8 - 55566954*x^7 - 34942928*x^6 + 9903520*x^5 + 3468464*x^4 - 794720*x^3 - 139648*x^2 + 19072*x + 2304, 2*x^33 + 4*x^32 - 100*x^31 - 196*x^30 + 2248*x^29 + 4315*x^28 - 30023*x^27 - 112755/2*x^26 + 530407/2*x^25 + 486315*x^24 - 3265209/2*x^23 - 5828721/2*x^22 + 7192086*x^21 + 12429381*x^20 - 45865389/2*x^19 - 38000844*x^18 + 105985561/2*x^17 + 82788745*x^16 - 176371797/2*x^15 - 252227941/2*x^14 + 104378863*x^13 + 129817216*x^12 - 172398089/2*x^11 - 170917719/2*x^10 + 48022761*x^9 + 33001308*x^8 - 16801775*x^7 - 6606452*x^6 + 3179932*x^5 + 655288*x^4 - 271552*x^3 - 36864*x^2 + 8640*x + 768, -1/4*x^34 - 1/2*x^33 + 21/2*x^32 + 87/4*x^31 - 729/4*x^30 - 811/2*x^29 + 6281/4*x^28 + 4117*x^27 - 4646*x^26 - 22721*x^25 - 161877/4*x^24 + 151529/4*x^23 + 1101209/2*x^22 + 778469/2*x^21 - 6428637/2*x^20 - 6945411/2*x^19 + 23119205/2*x^18 + 58336391/4*x^17 - 110071657/4*x^16 - 76264953/2*x^15 + 175176477/4*x^14 + 130910157/2*x^13 - 182414825/4*x^12 - 73506688*x^11 + 118123921/4*x^10 + 208240417/4*x^9 - 21683497/2*x^8 - 21648271*x^7 + 1883994*x^6 + 4698684*x^5 - 61768*x^4 - 448192*x^3 - 25312*x^2 + 14464*x + 1408, -1/4*x^34 - 1/2*x^33 + 21/2*x^32 + 87/4*x^31 - 729/4*x^30 - 811/2*x^29 + 6281/4*x^28 + 4117*x^27 - 4646*x^26 - 22721*x^25 - 161877/4*x^24 + 151529/4*x^23 + 1101209/2*x^22 + 778469/2*x^21 - 6428637/2*x^20 - 6945411/2*x^19 + 23119205/2*x^18 + 58336391/4*x^17 - 110071657/4*x^16 - 76264953/2*x^15 + 175176477/4*x^14 + 130910157/2*x^13 - 182414825/4*x^12 - 73506688*x^11 + 118123921/4*x^10 + 208240417/4*x^9 - 21683497/2*x^8 - 21648271*x^7 + 1883994*x^6 + 4698684*x^5 - 61768*x^4 - 448192*x^3 - 25312*x^2 + 14464*x + 1408, -1/4*x^33 + 1/2*x^32 + 13*x^31 - 105/4*x^30 - 1239/4*x^29 + 1211/2*x^28 + 8953/2*x^27 - 32385/4*x^26 - 174865/4*x^25 + 278525/4*x^24 + 1215269/4*x^23 - 806941/2*x^22 - 3080331/2*x^21 + 1600701*x^20 + 11485497/2*x^19 - 17266129/4*x^18 - 15695831*x^17 + 30553235/4*x^16 + 124125977/4*x^15 - 32484711/4*x^14 - 173525185/4*x^13 + 3958024*x^12 + 82994313/2*x^11 + 495887*x^10 - 25952405*x^9 - 1036495*x^8 + 9871254*x^7 + 73848*x^6 - 1938868*x^5 + 28664*x^4 + 136640*x^3 + 16672*x^2 - 5056*x - 640, -1/4*x^33 + 1/2*x^32 + 13*x^31 - 105/4*x^30 - 1239/4*x^29 + 1211/2*x^28 + 8953/2*x^27 - 32385/4*x^26 - 174865/4*x^25 + 278525/4*x^24 + 1215269/4*x^23 - 806941/2*x^22 - 3080331/2*x^21 + 1600701*x^20 + 11485497/2*x^19 - 17266129/4*x^18 - 15695831*x^17 + 30553235/4*x^16 + 124125977/4*x^15 - 32484711/4*x^14 - 173525185/4*x^13 + 3958024*x^12 + 82994313/2*x^11 + 495887*x^10 - 25952405*x^9 - 1036495*x^8 + 9871254*x^7 + 73848*x^6 - 1938868*x^5 + 28664*x^4 + 136640*x^3 + 16672*x^2 - 5056*x - 640, -1/4*x^35 - 1/2*x^34 + 45/4*x^33 + 89/4*x^32 - 861/4*x^31 - 1679/4*x^30 + 4415/2*x^29 + 8409/2*x^28 - 11726*x^27 - 83743/4*x^26 + 9255*x^25 - 2213*x^24 + 1295343/4*x^23 + 1544245/2*x^22 - 2566083*x^21 - 11367523/2*x^20 + 10629745*x^19 + 23009585*x^18 - 112607849/4*x^17 - 239726979/4*x^16 + 100291863/2*x^15 + 415467073/4*x^14 - 122036953/2*x^13 - 119001673*x^12 + 204089197/4*x^11 + 349138937/4*x^10 - 29267212*x^9 - 77213717/2*x^8 + 11065626*x^7 + 9300602*x^6 - 2405892*x^5 - 1037696*x^4 + 232128*x^3 + 43040*x^2 - 5888*x - 768, -1/4*x^35 - 1/2*x^34 + 45/4*x^33 + 89/4*x^32 - 861/4*x^31 - 1679/4*x^30 + 4415/2*x^29 + 8409/2*x^28 - 11726*x^27 - 83743/4*x^26 + 9255*x^25 - 2213*x^24 + 1295343/4*x^23 + 1544245/2*x^22 - 2566083*x^21 - 11367523/2*x^20 + 10629745*x^19 + 23009585*x^18 - 112607849/4*x^17 - 239726979/4*x^16 + 100291863/2*x^15 + 415467073/4*x^14 - 122036953/2*x^13 - 119001673*x^12 + 204089197/4*x^11 + 349138937/4*x^10 - 29267212*x^9 - 77213717/2*x^8 + 11065626*x^7 + 9300602*x^6 - 2405892*x^5 - 1037696*x^4 + 232128*x^3 + 43040*x^2 - 5888*x - 768, x^33 + 7/4*x^32 - 101/2*x^31 - 177/2*x^30 + 4563/4*x^29 + 4013/2*x^28 - 60891/4*x^27 - 107781/4*x^26 + 267037/2*x^25 + 238570*x^24 - 1620849/2*x^23 - 1467133*x^22 + 13965737/4*x^21 + 6432025*x^20 - 10777428*x^19 - 20309037*x^18 + 95128285/4*x^17 + 184427779/4*x^16 - 37054627*x^15 - 148634229/2*x^14 + 39908076*x^13 + 165966235/2*x^12 - 115651289/4*x^11 - 246957447/4*x^10 + 54935625/4*x^9 + 57845605/2*x^8 - 4209461*x^7 - 7934756*x^6 + 822848*x^5 + 1191640*x^4 - 117008*x^3 - 74176*x^2 + 5440*x + 1408, x^33 + 7/4*x^32 - 101/2*x^31 - 177/2*x^30 + 4563/4*x^29 + 4013/2*x^28 - 60891/4*x^27 - 107781/4*x^26 + 267037/2*x^25 + 238570*x^24 - 1620849/2*x^23 - 1467133*x^22 + 13965737/4*x^21 + 6432025*x^20 - 10777428*x^19 - 20309037*x^18 + 95128285/4*x^17 + 184427779/4*x^16 - 37054627*x^15 - 148634229/2*x^14 + 39908076*x^13 + 165966235/2*x^12 - 115651289/4*x^11 - 246957447/4*x^10 + 54935625/4*x^9 + 57845605/2*x^8 - 4209461*x^7 - 7934756*x^6 + 822848*x^5 + 1191640*x^4 - 117008*x^3 - 74176*x^2 + 5440*x + 1408, 3/4*x^32 + 5/2*x^31 - 39*x^30 - 519/4*x^29 + 3599/4*x^28 + 6019/2*x^27 - 12125*x^26 - 164665/4*x^25 + 211433/2*x^24 + 1476287/4*x^23 - 623637*x^22 - 9119871/4*x^21 + 2525042*x^20 + 39734405/4*x^19 - 13892793/2*x^18 - 122911441/4*x^17 + 49769855/4*x^16 + 268263703/4*x^15 - 12858301*x^14 - 202810261/2*x^13 + 16470981/4*x^12 + 411661589/4*x^11 + 12511953/2*x^10 - 133661011/2*x^9 - 8209800*x^8 + 25931580*x^7 + 4111894*x^6 - 5492868*x^5 - 993232*x^4 + 581872*x^3 + 94432*x^2 - 20544*x - 2816, 3/4*x^32 + 5/2*x^31 - 39*x^30 - 519/4*x^29 + 3599/4*x^28 + 6019/2*x^27 - 12125*x^26 - 164665/4*x^25 + 211433/2*x^24 + 1476287/4*x^23 - 623637*x^22 - 9119871/4*x^21 + 2525042*x^20 + 39734405/4*x^19 - 13892793/2*x^18 - 122911441/4*x^17 + 49769855/4*x^16 + 268263703/4*x^15 - 12858301*x^14 - 202810261/2*x^13 + 16470981/4*x^12 + 411661589/4*x^11 + 12511953/2*x^10 - 133661011/2*x^9 - 8209800*x^8 + 25931580*x^7 + 4111894*x^6 - 5492868*x^5 - 993232*x^4 + 581872*x^3 + 94432*x^2 - 20544*x - 2816, x^34 + 2*x^33 - 52*x^32 - 413/4*x^31 + 1217*x^30 + 2401*x^29 - 33895/2*x^28 - 132997/4*x^27 + 312877/2*x^26 + 305446*x^25 - 1009433*x^24 - 7851155/4*x^23 + 4679499*x^22 + 18131371/2*x^21 - 15775294*x^20 - 121813219/4*x^19 + 77438237/2*x^18 + 148897933/2*x^17 - 137247461/2*x^16 - 131275089*x^15 + 86280324*x^14 + 327764393/2*x^13 - 149514281/2*x^12 - 140669790*x^11 + 42728324*x^10 + 159282933/2*x^9 - 30264653/2*x^8 - 28108079*x^7 + 3090282*x^6 + 5663200*x^5 - 354952*x^4 - 510240*x^3 + 1696*x^2 + 15296*x + 768, x^34 + 2*x^33 - 52*x^32 - 413/4*x^31 + 1217*x^30 + 2401*x^29 - 33895/2*x^28 - 132997/4*x^27 + 312877/2*x^26 + 305446*x^25 - 1009433*x^24 - 7851155/4*x^23 + 4679499*x^22 + 18131371/2*x^21 - 15775294*x^20 - 121813219/4*x^19 + 77438237/2*x^18 + 148897933/2*x^17 - 137247461/2*x^16 - 131275089*x^15 + 86280324*x^14 + 327764393/2*x^13 - 149514281/2*x^12 - 140669790*x^11 + 42728324*x^10 + 159282933/2*x^9 - 30264653/2*x^8 - 28108079*x^7 + 3090282*x^6 + 5663200*x^5 - 354952*x^4 - 510240*x^3 + 1696*x^2 + 15296*x + 768, x^32 + 7/4*x^31 - 50*x^30 - 339/4*x^29 + 4477/4*x^28 + 3655/2*x^27 - 59295/4*x^26 - 92639/4*x^25 + 517509/4*x^24 + 383677/2*x^23 - 3138377/4*x^22 - 1093495*x^21 + 3397165*x^20 + 17606077/4*x^19 - 10620515*x^18 - 50584763/4*x^17 + 95723179/4*x^16 + 103705921/4*x^15 - 153004281/4*x^14 - 150071131/4*x^13 + 167545177/4*x^12 + 149733087/4*x^11 - 117961219/4*x^10 - 24766259*x^9 + 23918721/2*x^8 + 10302069*x^7 - 2341282*x^6 - 2532692*x^5 + 209280*x^4 + 299424*x^3 - 12928*x^2 - 8832*x - 128, x^32 + 7/4*x^31 - 50*x^30 - 339/4*x^29 + 4477/4*x^28 + 3655/2*x^27 - 59295/4*x^26 - 92639/4*x^25 + 517509/4*x^24 + 383677/2*x^23 - 3138377/4*x^22 - 1093495*x^21 + 3397165*x^20 + 17606077/4*x^19 - 10620515*x^18 - 50584763/4*x^17 + 95723179/4*x^16 + 103705921/4*x^15 - 153004281/4*x^14 - 150071131/4*x^13 + 167545177/4*x^12 + 149733087/4*x^11 - 117961219/4*x^10 - 24766259*x^9 + 23918721/2*x^8 + 10302069*x^7 - 2341282*x^6 - 2532692*x^5 + 209280*x^4 + 299424*x^3 - 12928*x^2 - 8832*x - 128, x^33 + 2*x^32 - 201/4*x^31 - 197/2*x^30 + 4537/4*x^29 + 4357/2*x^28 - 30399/2*x^27 - 114307/4*x^26 + 269393/2*x^25 + 247340*x^24 - 832781*x^23 - 5946961/4*x^22 + 14786359/4*x^21 + 12723129/2*x^20 - 23916833/2*x^19 - 78159557/4*x^18 + 113515533/4*x^17 + 42901735*x^16 - 197751771/4*x^15 - 264928449/4*x^14 + 62891086*x^13 + 69679135*x^12 - 57503163*x^11 - 47383011*x^10 + 145335077/4*x^9 + 19095489*x^8 - 14549763*x^7 - 4014384*x^6 + 3130252*x^5 + 432736*x^4 - 302336*x^3 - 28448*x^2 + 9920*x + 768, x^33 + 2*x^32 - 201/4*x^31 - 197/2*x^30 + 4537/4*x^29 + 4357/2*x^28 - 30399/2*x^27 - 114307/4*x^26 + 269393/2*x^25 + 247340*x^24 - 832781*x^23 - 5946961/4*x^22 + 14786359/4*x^21 + 12723129/2*x^20 - 23916833/2*x^19 - 78159557/4*x^18 + 113515533/4*x^17 + 42901735*x^16 - 197751771/4*x^15 - 264928449/4*x^14 + 62891086*x^13 + 69679135*x^12 - 57503163*x^11 - 47383011*x^10 + 145335077/4*x^9 + 19095489*x^8 - 14549763*x^7 - 4014384*x^6 + 3130252*x^5 + 432736*x^4 - 302336*x^3 - 28448*x^2 + 9920*x + 768, -7/4*x^31 - 5*x^30 + 301/4*x^29 + 451/2*x^28 - 1402*x^27 - 17973/4*x^26 + 58945/4*x^25 + 104201/2*x^24 - 378693/4*x^23 - 389757*x^22 + 1474471/4*x^21 + 7885343/4*x^20 - 1461457/2*x^19 - 27485755/4*x^18 - 481177/2*x^17 + 16525882*x^16 + 11096295/2*x^15 - 54103681/2*x^14 - 30784089/2*x^13 + 117112953/4*x^12 + 22261983*x^11 - 39886763/2*x^10 - 74364657/4*x^9 + 7872586*x^8 + 8790403*x^7 - 1552332*x^6 - 2184616*x^5 + 120472*x^4 + 260128*x^3 - 8768*x^2 - 7680*x - 128, -7/4*x^31 - 5*x^30 + 301/4*x^29 + 451/2*x^28 - 1402*x^27 - 17973/4*x^26 + 58945/4*x^25 + 104201/2*x^24 - 378693/4*x^23 - 389757*x^22 + 1474471/4*x^21 + 7885343/4*x^20 - 1461457/2*x^19 - 27485755/4*x^18 - 481177/2*x^17 + 16525882*x^16 + 11096295/2*x^15 - 54103681/2*x^14 - 30784089/2*x^13 + 117112953/4*x^12 + 22261983*x^11 - 39886763/2*x^10 - 74364657/4*x^9 + 7872586*x^8 + 8790403*x^7 - 1552332*x^6 - 2184616*x^5 + 120472*x^4 + 260128*x^3 - 8768*x^2 - 7680*x - 128, x^35 + 2*x^34 - 54*x^33 - 107*x^32 + 2631/2*x^31 + 10331/4*x^30 - 19119*x^29 - 74385/2*x^28 + 369503/2*x^27 + 1424127/4*x^26 - 2505071/2*x^25 - 4779575/2*x^24 + 6128645*x^23 + 46254023/4*x^22 - 43879137/2*x^21 - 40843601*x^20 + 57672624*x^19 + 421972205/4*x^18 - 221750377/2*x^17 - 395545145/2*x^16 + 308501651/2*x^15 + 529350849/2*x^14 - 305530539/2*x^13 - 491996501/2*x^12 + 210768517/2*x^11 + 152286888*x^10 - 49223689*x^9 - 58946521*x^8 + 14890259*x^7 + 12910250*x^6 - 2659320*x^5 - 1353368*x^4 + 223248*x^3 + 50592*x^2 - 4480*x - 768, x^35 + 2*x^34 - 54*x^33 - 107*x^32 + 2631/2*x^31 + 10331/4*x^30 - 19119*x^29 - 74385/2*x^28 + 369503/2*x^27 + 1424127/4*x^26 - 2505071/2*x^25 - 4779575/2*x^24 + 6128645*x^23 + 46254023/4*x^22 - 43879137/2*x^21 - 40843601*x^20 + 57672624*x^19 + 421972205/4*x^18 - 221750377/2*x^17 - 395545145/2*x^16 + 308501651/2*x^15 + 529350849/2*x^14 - 305530539/2*x^13 - 491996501/2*x^12 + 210768517/2*x^11 + 152286888*x^10 - 49223689*x^9 - 58946521*x^8 + 14890259*x^7 + 12910250*x^6 - 2659320*x^5 - 1353368*x^4 + 223248*x^3 + 50592*x^2 - 4480*x - 768, x^33 + 2*x^32 - 48*x^31 - 373/4*x^30 + 4123/4*x^29 + 7747/4*x^28 - 52361/4*x^27 - 47281/2*x^26 + 109584*x^25 + 753715/4*x^24 - 1277443/2*x^23 - 4122749/4*x^22 + 10691361/4*x^21 + 15833085/4*x^20 - 16352155/2*x^19 - 42940191/4*x^18 + 73877547/4*x^17 + 81562155/4*x^16 - 61831749/2*x^15 - 52952227/2*x^14 + 38100053*x^13 + 22345343*x^12 - 134972449/4*x^11 - 43624239/4*x^10 + 81429825/4*x^9 + 3831279/2*x^8 - 7590516*x^7 + 687706*x^6 + 1481520*x^5 - 348512*x^4 - 104544*x^3 + 38880*x^2 - 192*x - 640, x^33 + 2*x^32 - 48*x^31 - 373/4*x^30 + 4123/4*x^29 + 7747/4*x^28 - 52361/4*x^27 - 47281/2*x^26 + 109584*x^25 + 753715/4*x^24 - 1277443/2*x^23 - 4122749/4*x^22 + 10691361/4*x^21 + 15833085/4*x^20 - 16352155/2*x^19 - 42940191/4*x^18 + 73877547/4*x^17 + 81562155/4*x^16 - 61831749/2*x^15 - 52952227/2*x^14 + 38100053*x^13 + 22345343*x^12 - 134972449/4*x^11 - 43624239/4*x^10 + 81429825/4*x^9 + 3831279/2*x^8 - 7590516*x^7 + 687706*x^6 + 1481520*x^5 - 348512*x^4 - 104544*x^3 + 38880*x^2 - 192*x - 640, -3/2*x^31 + 1/4*x^30 + 153/2*x^29 - 27/2*x^28 - 3495/2*x^27 + 310*x^26 + 94435/4*x^25 - 4029*x^24 - 839143/4*x^23 + 33179*x^22 + 5159327/4*x^21 - 735475/4*x^20 - 11239113/2*x^19 + 2861341/4*x^18 + 17471107*x^17 - 4074757/2*x^16 - 154055965/4*x^15 + 17781081/4*x^14 + 236132633/4*x^13 - 30433041/4*x^12 - 121443303/2*x^11 + 39158565/4*x^10 + 158089095/4*x^9 - 8403598*x^8 - 14720726*x^7 + 4016796*x^6 + 2596724*x^5 - 815696*x^4 - 160704*x^3 + 54592*x^2 + 1088*x - 640, -3/2*x^31 + 1/4*x^30 + 153/2*x^29 - 27/2*x^28 - 3495/2*x^27 + 310*x^26 + 94435/4*x^25 - 4029*x^24 - 839143/4*x^23 + 33179*x^22 + 5159327/4*x^21 - 735475/4*x^20 - 11239113/2*x^19 + 2861341/4*x^18 + 17471107*x^17 - 4074757/2*x^16 - 154055965/4*x^15 + 17781081/4*x^14 + 236132633/4*x^13 - 30433041/4*x^12 - 121443303/2*x^11 + 39158565/4*x^10 + 158089095/4*x^9 - 8403598*x^8 - 14720726*x^7 + 4016796*x^6 + 2596724*x^5 - 815696*x^4 - 160704*x^3 + 54592*x^2 + 1088*x - 640, 2*x^32 + 4*x^31 - 385/4*x^30 - 743/4*x^29 + 8315/4*x^28 + 15429/4*x^27 - 53275/2*x^26 - 189263/4*x^25 + 451339/2*x^24 + 763085/2*x^23 - 5334657/4*x^22 - 8518551/4*x^21 + 5656014*x^20 + 8437449*x^19 - 69789383/4*x^18 - 95731895/4*x^17 + 78523313/2*x^16 + 96750519/2*x^15 - 128066213/2*x^14 - 136780651/2*x^13 + 297673821/4*x^12 + 260577879/4*x^11 - 239036863/4*x^10 - 78091955/2*x^9 + 31466140*x^8 + 12910042*x^7 - 9910014*x^6 - 1718360*x^5 + 1551736*x^4 - 5264*x^3 - 75840*x^2 + 3456*x + 896, 2*x^32 + 4*x^31 - 385/4*x^30 - 743/4*x^29 + 8315/4*x^28 + 15429/4*x^27 - 53275/2*x^26 - 189263/4*x^25 + 451339/2*x^24 + 763085/2*x^23 - 5334657/4*x^22 - 8518551/4*x^21 + 5656014*x^20 + 8437449*x^19 - 69789383/4*x^18 - 95731895/4*x^17 + 78523313/2*x^16 + 96750519/2*x^15 - 128066213/2*x^14 - 136780651/2*x^13 + 297673821/4*x^12 + 260577879/4*x^11 - 239036863/4*x^10 - 78091955/2*x^9 + 31466140*x^8 + 12910042*x^7 - 9910014*x^6 - 1718360*x^5 + 1551736*x^4 - 5264*x^3 - 75840*x^2 + 3456*x + 896, -5/2*x^32 - 15/2*x^31 + 471/4*x^30 + 1453/4*x^29 - 9825/4*x^28 - 31447/4*x^27 + 119379/4*x^26 + 401423/4*x^25 - 933917/4*x^24 - 3359565/4*x^23 + 4899277/4*x^22 + 4845730*x^21 - 4333359*x^20 - 19729851*x^19 + 20045585/2*x^18 + 228311893/4*x^17 - 54249739/4*x^16 - 466501955/4*x^15 + 11737721/2*x^14 + 661359397/4*x^13 + 47337387/4*x^12 - 631147343/4*x^11 - 86752099/4*x^10 + 193812129/2*x^9 + 14867149*x^8 - 35899268*x^7 - 4658446*x^6 + 7245732*x^5 + 633728*x^4 - 677808*x^3 - 34272*x^2 + 18752*x + 1280, -5/2*x^32 - 15/2*x^31 + 471/4*x^30 + 1453/4*x^29 - 9825/4*x^28 - 31447/4*x^27 + 119379/4*x^26 + 401423/4*x^25 - 933917/4*x^24 - 3359565/4*x^23 + 4899277/4*x^22 + 4845730*x^21 - 4333359*x^20 - 19729851*x^19 + 20045585/2*x^18 + 228311893/4*x^17 - 54249739/4*x^16 - 466501955/4*x^15 + 11737721/2*x^14 + 661359397/4*x^13 + 47337387/4*x^12 - 631147343/4*x^11 - 86752099/4*x^10 + 193812129/2*x^9 + 14867149*x^8 - 35899268*x^7 - 4658446*x^6 + 7245732*x^5 + 633728*x^4 - 677808*x^3 - 34272*x^2 + 18752*x + 1280, -5/2*x^32 - 7/2*x^31 + 247/2*x^30 + 651/4*x^29 - 10947/4*x^28 - 6737/2*x^27 + 35964*x^26 + 163725/4*x^25 - 624509/2*x^24 - 324303*x^23 + 1889549*x^22 + 7038681/4*x^21 - 8193907*x^20 - 6682712*x^19 + 25780966*x^18 + 71334001/4*x^17 - 58894426*x^16 - 66098183/2*x^15 + 193255253/2*x^14 + 41213283*x^13 - 444278917/4*x^12 - 64711369/2*x^11 + 85581309*x^10 + 27302217/2*x^9 - 41085392*x^8 - 1532541*x^7 + 10897174*x^6 - 647832*x^5 - 1299064*x^4 + 135152*x^3 + 52384*x^2 - 3840*x - 768, -5/2*x^32 - 7/2*x^31 + 247/2*x^30 + 651/4*x^29 - 10947/4*x^28 - 6737/2*x^27 + 35964*x^26 + 163725/4*x^25 - 624509/2*x^24 - 324303*x^23 + 1889549*x^22 + 7038681/4*x^21 - 8193907*x^20 - 6682712*x^19 + 25780966*x^18 + 71334001/4*x^17 - 58894426*x^16 - 66098183/2*x^15 + 193255253/2*x^14 + 41213283*x^13 - 444278917/4*x^12 - 64711369/2*x^11 + 85581309*x^10 + 27302217/2*x^9 - 41085392*x^8 - 1532541*x^7 + 10897174*x^6 - 647832*x^5 - 1299064*x^4 + 135152*x^3 + 52384*x^2 - 3840*x - 768, 2*x^31 + 6*x^30 - 345/4*x^29 - 258*x^28 + 6609/4*x^27 + 9803/2*x^26 - 18611*x^25 - 216905/4*x^24 + 551353/4*x^23 + 1551159/4*x^22 - 713416*x^21 - 7529547/4*x^20 + 10748593/4*x^19 + 25367853/4*x^18 - 15173227/2*x^17 - 59668057/4*x^16 + 65282843/4*x^15 + 97271601/4*x^14 - 106290735/4*x^13 - 107520033/4*x^12 + 62974119/2*x^11 + 76972373/4*x^10 - 50450171/2*x^9 - 16202173/2*x^8 + 12230265*x^7 + 1608318*x^6 - 3060036*x^5 - 89488*x^4 + 331040*x^3 - 6976*x^2 - 8832*x - 128, 2*x^31 + 6*x^30 - 345/4*x^29 - 258*x^28 + 6609/4*x^27 + 9803/2*x^26 - 18611*x^25 - 216905/4*x^24 + 551353/4*x^23 + 1551159/4*x^22 - 713416*x^21 - 7529547/4*x^20 + 10748593/4*x^19 + 25367853/4*x^18 - 15173227/2*x^17 - 59668057/4*x^16 + 65282843/4*x^15 + 97271601/4*x^14 - 106290735/4*x^13 - 107520033/4*x^12 + 62974119/2*x^11 + 76972373/4*x^10 - 50450171/2*x^9 - 16202173/2*x^8 + 12230265*x^7 + 1608318*x^6 - 3060036*x^5 - 89488*x^4 + 331040*x^3 - 6976*x^2 - 8832*x - 128, -5/2*x^33 - 5*x^32 + 127*x^31 + 501/2*x^30 - 11579/4*x^29 - 5631*x^28 + 78217/2*x^27 + 300017/4*x^26 - 1394285/4*x^25 - 1317025/2*x^24 + 8637535/4*x^23 + 16042671/4*x^22 - 38190827/4*x^21 - 69471311/4*x^20 + 30483372*x^19 + 107853239/2*x^18 - 140799639/2*x^17 - 119588936*x^16 + 467784807/4*x^15 + 746091317/4*x^14 - 138113458*x^13 - 795597683/4*x^12 + 113836828*x^11 + 554149883/4*x^10 - 253791005/4*x^9 - 58639003*x^8 + 22450419*x^7 + 13456510*x^6 - 4427388*x^5 - 1432008*x^4 + 383408*x^3 + 61792*x^2 - 9792*x - 1152, -5/2*x^33 - 5*x^32 + 127*x^31 + 501/2*x^30 - 11579/4*x^29 - 5631*x^28 + 78217/2*x^27 + 300017/4*x^26 - 1394285/4*x^25 - 1317025/2*x^24 + 8637535/4*x^23 + 16042671/4*x^22 - 38190827/4*x^21 - 69471311/4*x^20 + 30483372*x^19 + 107853239/2*x^18 - 140799639/2*x^17 - 119588936*x^16 + 467784807/4*x^15 + 746091317/4*x^14 - 138113458*x^13 - 795597683/4*x^12 + 113836828*x^11 + 554149883/4*x^10 - 253791005/4*x^9 - 58639003*x^8 + 22450419*x^7 + 13456510*x^6 - 4427388*x^5 - 1432008*x^4 + 383408*x^3 + 61792*x^2 - 9792*x - 1152]>
       ]
>;

MOG[661] := 	// J_0(661)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [68, 190, 312, 343, 356, 512, 568, 591, 658, 193*x + 297, 468*x + 297, 626*x + 240, 35*x + 240, 14*x + 511, 647*x + 511, 633*x + 331, 28*x + 331, 82*x + 195, 579*x + 195, 72*x + 285, 589*x + 285, 482*x + 211, 179*x + 211, 638*x + 420, 23*x + 420, 62*x + 332, 599*x + 332, 432*x + 125, 229*x + 125, 634*x + 354, 27*x + 354, 307*x + 29, 354*x + 29, 398*x + 356, 263*x + 356, 112*x + 227, 549*x + 227, 592*x + 269, 69*x + 269, 578*x + 647, 83*x + 647, 175*x + 57, 486*x + 57, 352*x + 182, 309*x + 182, 208*x + 360, 453*x + 360, 591*x + 340, 70*x + 340, 240*x + 484, 421*x + 484, 209*x + 620, 452*x + 620, 374*x + 553, 287*x + 553]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 - 2*x - 1,
           Coordinates        := [x + 1, -x + 1, -1, -x, 1, x, -1, -x - 1, -x, x, x, 1, 1, x - 1, x - 1, 0, 0, 0, 0, 1, 1, 0, 0, -1, -1, 0, 0, -x, -x, -x, -x, 0, 0, 0, 0, -x - 1, -x - 1, -x, -x, x, x, 0, 0, x, x, -x, -x, -1, -1, x + 1, x + 1, x, x, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^23 + 9*x^22 + 10*x^21 - 133*x^20 - 387*x^19 + 622*x^18 + 3426*x^17 + 10*x^16 - 14590*x^15 - 10069*x^14 + 33796*x^13 + 38981*x^12 - 41980*x^11 - 70132*x^10 + 22556*x^9 + 66699*x^8 + 2943*x^7 - 32189*x^6 - 8115*x^5 + 6560*x^4 + 2581*x^3 - 333*x^2 - 240*x - 25,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, -x^22 - 9*x^21 - 12*x^20 + 115*x^19 + 359*x^18 - 425*x^17 - 2743*x^16 - 471*x^15 + 10137*x^14 + 7746*x^13 - 20444*x^12 - 23698*x^11 + 22539*x^10 + 35186*x^9 - 12069*x^8 - 27624*x^7 + 1505*x^6 + 10875*x^5 + 986*x^4 - 1781*x^3 - 273*x^2 + 85*x + 15, x^22 + 9*x^21 + 12*x^20 - 115*x^19 - 359*x^18 + 425*x^17 + 2743*x^16 + 471*x^15 - 10137*x^14 - 7746*x^13 + 20444*x^12 + 23698*x^11 - 22539*x^10 - 35186*x^9 + 12069*x^8 + 27624*x^7 - 1505*x^6 - 10875*x^5 - 986*x^4 + 1781*x^3 + 273*x^2 - 85*x - 15, -x^21 - 9*x^20 - 14*x^19 + 99*x^18 + 346*x^17 - 222*x^16 - 2263*x^15 - 1313*x^14 + 6672*x^13 + 8353*x^12 - 8967*x^11 - 18714*x^10 + 2815*x^9 + 19887*x^8 + 5161*x^7 - 9523*x^6 - 4809*x^5 + 1439*x^4 + 1141*x^3 + 18*x^2 - 76*x - 10, x^21 + 9*x^20 + 14*x^19 - 99*x^18 - 346*x^17 + 222*x^16 + 2263*x^15 + 1313*x^14 - 6672*x^13 - 8353*x^12 + 8967*x^11 + 18714*x^10 - 2815*x^9 - 19887*x^8 - 5161*x^7 + 9523*x^6 + 4809*x^5 - 1439*x^4 - 1141*x^3 - 18*x^2 + 76*x + 10, -x^21 - 9*x^20 - 14*x^19 + 98*x^18 + 337*x^17 - 239*x^16 - 2190*x^15 - 1010*x^14 + 6680*x^13 + 6930*x^12 - 10474*x^11 - 16232*x^10 + 7672*x^9 + 19188*x^8 - 713*x^7 - 11791*x^6 - 2320*x^5 + 3340*x^4 + 1167*x^3 - 266*x^2 - 149*x - 15, x^21 + 9*x^20 + 14*x^19 - 98*x^18 - 337*x^17 + 239*x^16 + 2190*x^15 + 1010*x^14 - 6680*x^13 - 6930*x^12 + 10474*x^11 + 16232*x^10 - 7672*x^9 - 19188*x^8 + 713*x^7 + 11791*x^6 + 2320*x^5 - 3340*x^4 - 1167*x^3 + 266*x^2 + 149*x + 15, -x^20 - 8*x^19 - 6*x^18 + 105*x^17 + 241*x^16 - 463*x^15 - 1800*x^14 + 487*x^13 + 6185*x^12 + 2168*x^11 - 11135*x^10 - 7579*x^9 + 10394*x^8 + 9493*x^7 - 4332*x^6 - 5191*x^5 + 382*x^4 + 1057*x^3 + 84*x^2 - 66*x - 10, x^20 + 8*x^19 + 6*x^18 - 105*x^17 - 241*x^16 + 463*x^15 + 1800*x^14 - 487*x^13 - 6185*x^12 - 2168*x^11 + 11135*x^10 + 7579*x^9 - 10394*x^8 - 9493*x^7 + 4332*x^6 + 5191*x^5 - 382*x^4 - 1057*x^3 - 84*x^2 + 66*x + 10, -x^20 - 8*x^19 - 7*x^18 + 98*x^17 + 239*x^16 - 379*x^15 - 1665*x^14 + 120*x^13 + 5292*x^12 + 2816*x^11 - 8589*x^10 - 7720*x^9 + 6836*x^8 + 8608*x^7 - 1982*x^6 - 4245*x^5 - 227*x^4 + 742*x^3 + 113*x^2 - 29*x - 5, x^20 + 8*x^19 + 7*x^18 - 98*x^17 - 239*x^16 + 379*x^15 + 1665*x^14 - 120*x^13 - 5292*x^12 - 2816*x^11 + 8589*x^10 + 7720*x^9 - 6836*x^8 - 8608*x^7 + 1982*x^6 + 4245*x^5 + 227*x^4 - 742*x^3 - 113*x^2 + 29*x + 5, -x^20 - 8*x^19 - 7*x^18 + 97*x^17 + 232*x^16 - 381*x^15 - 1579*x^14 + 272*x^13 + 4962*x^12 + 1862*x^11 - 8264*x^10 - 5350*x^9 + 7417*x^8 + 5944*x^7 - 3352*x^6 - 3031*x^5 + 602*x^4 + 635*x^3 - 12*x^2 - 46*x - 5, x^20 + 8*x^19 + 7*x^18 - 97*x^17 - 232*x^16 + 381*x^15 + 1579*x^14 - 272*x^13 - 4962*x^12 - 1862*x^11 + 8264*x^10 + 5350*x^9 - 7417*x^8 - 5944*x^7 + 3352*x^6 + 3031*x^5 - 602*x^4 - 635*x^3 + 12*x^2 + 46*x + 5, -x^20 - 9*x^19 - 15*x^18 + 89*x^17 + 321*x^16 - 158*x^15 - 1878*x^14 - 1088*x^13 + 5008*x^12 + 5604*x^11 - 6603*x^10 - 10648*x^9 + 3939*x^8 + 9889*x^7 - 473*x^6 - 4504*x^5 - 421*x^4 + 880*x^3 + 136*x^2 - 54*x - 10, x^20 + 9*x^19 + 15*x^18 - 89*x^17 - 321*x^16 + 158*x^15 + 1878*x^14 + 1088*x^13 - 5008*x^12 - 5604*x^11 + 6603*x^10 + 10648*x^9 - 3939*x^8 - 9889*x^7 + 473*x^6 + 4504*x^5 + 421*x^4 - 880*x^3 - 136*x^2 + 54*x + 10, -x^19 - 8*x^18 - 9*x^17 + 82*x^16 + 219*x^15 - 232*x^14 - 1260*x^13 - 245*x^12 + 3194*x^11 + 2405*x^10 - 3699*x^9 - 4443*x^8 + 1465*x^7 + 3296*x^6 + 337*x^5 - 924*x^4 - 286*x^3 + 66*x^2 + 42*x + 5, x^19 + 8*x^18 + 9*x^17 - 82*x^16 - 219*x^15 + 232*x^14 + 1260*x^13 + 245*x^12 - 3194*x^11 - 2405*x^10 + 3699*x^9 + 4443*x^8 - 1465*x^7 - 3296*x^6 - 337*x^5 + 924*x^4 + 286*x^3 - 66*x^2 - 42*x - 5, -x^19 - 8*x^18 - 8*x^17 + 90*x^16 + 230*x^15 - 297*x^14 - 1446*x^13 - 106*x^12 + 4072*x^11 + 2618*x^10 - 5605*x^9 - 5827*x^8 + 3305*x^7 + 5408*x^6 - 109*x^5 - 2103*x^4 - 544*x^3 + 208*x^2 + 98*x + 10, x^19 + 8*x^18 + 8*x^17 - 90*x^16 - 230*x^15 + 297*x^14 + 1446*x^13 + 106*x^12 - 4072*x^11 - 2618*x^10 + 5605*x^9 + 5827*x^8 - 3305*x^7 - 5408*x^6 + 109*x^5 + 2103*x^4 + 544*x^3 - 208*x^2 - 98*x - 10, -x^19 - 9*x^18 - 16*x^17 + 81*x^16 + 312*x^15 - 78*x^14 - 1672*x^13 - 1326*x^12 + 3871*x^11 + 5584*x^10 - 3733*x^9 - 9299*x^8 + 240*x^7 + 7287*x^6 + 1899*x^5 - 2460*x^4 - 1031*x^3 + 212*x^2 + 139*x + 15, x^19 + 9*x^18 + 16*x^17 - 81*x^16 - 312*x^15 + 78*x^14 + 1672*x^13 + 1326*x^12 - 3871*x^11 - 5584*x^10 + 3733*x^9 + 9299*x^8 - 240*x^7 - 7287*x^6 - 1899*x^5 + 2460*x^4 + 1031*x^3 - 212*x^2 - 139*x - 15, -x^18 - 8*x^17 - 10*x^16 + 73*x^15 + 198*x^14 - 193*x^13 - 1031*x^12 - 101*x^11 + 2506*x^10 + 1354*x^9 - 3066*x^8 - 2393*x^7 + 1794*x^6 + 1696*x^5 - 416*x^4 - 478*x^3 + 15*x^2 + 45*x + 5, x^18 + 8*x^17 + 10*x^16 - 73*x^15 - 198*x^14 + 193*x^13 + 1031*x^12 + 101*x^11 - 2506*x^10 - 1354*x^9 + 3066*x^8 + 2393*x^7 - 1794*x^6 - 1696*x^5 + 416*x^4 + 478*x^3 - 15*x^2 - 45*x - 5, -x^18 - 8*x^17 - 10*x^16 + 74*x^15 + 207*x^14 - 172*x^13 - 1067*x^12 - 310*x^11 + 2384*x^10 + 1923*x^9 - 2305*x^8 - 2919*x^7 + 525*x^6 + 1625*x^5 + 357*x^4 - 198*x^3 - 86*x^2 - 11*x, x^18 + 8*x^17 + 10*x^16 - 74*x^15 - 207*x^14 + 172*x^13 + 1067*x^12 + 310*x^11 - 2384*x^10 - 1923*x^9 + 2305*x^8 + 2919*x^7 - 525*x^6 - 1625*x^5 - 357*x^4 + 198*x^3 + 86*x^2 + 11*x, -x^18 - 7*x^17 - 2*x^16 + 84*x^15 + 133*x^14 - 378*x^13 - 890*x^12 + 756*x^11 + 2659*x^10 - 477*x^9 - 4112*x^8 - 536*x^7 + 3243*x^6 + 928*x^5 - 1146*x^4 - 427*x^3 + 110*x^2 + 56*x + 5, x^18 + 7*x^17 + 2*x^16 - 84*x^15 - 133*x^14 + 378*x^13 + 890*x^12 - 756*x^11 - 2659*x^10 + 477*x^9 + 4112*x^8 + 536*x^7 - 3243*x^6 - 928*x^5 + 1146*x^4 + 427*x^3 - 110*x^2 - 56*x - 5, -x^18 - 8*x^17 - 9*x^16 + 80*x^15 + 206*x^14 - 238*x^13 - 1137*x^12 - 20*x^11 + 2870*x^10 + 1349*x^9 - 3699*x^8 - 2602*x^7 + 2372*x^6 + 2044*x^5 - 610*x^4 - 668*x^3 + 3*x^2 + 69*x + 10, x^18 + 8*x^17 + 9*x^16 - 80*x^15 - 206*x^14 + 238*x^13 + 1137*x^12 + 20*x^11 - 2870*x^10 - 1349*x^9 + 3699*x^8 + 2602*x^7 - 2372*x^6 - 2044*x^5 + 610*x^4 + 668*x^3 - 3*x^2 - 69*x - 10, -x^17 - 9*x^16 - 21*x^15 + 39*x^14 + 229*x^13 + 144*x^12 - 688*x^11 - 1051*x^10 + 633*x^9 + 2050*x^8 + 329*x^7 - 1600*x^6 - 753*x^5 + 446*x^4 + 301*x^3 - 21*x^2 - 37*x - 5, x^17 + 9*x^16 + 21*x^15 - 39*x^14 - 229*x^13 - 144*x^12 + 688*x^11 + 1051*x^10 - 633*x^9 - 2050*x^8 - 329*x^7 + 1600*x^6 + 753*x^5 - 446*x^4 - 301*x^3 + 21*x^2 + 37*x + 5, -x^17 - 8*x^16 - 12*x^15 + 60*x^14 + 193*x^13 - 65*x^12 - 810*x^11 - 482*x^10 + 1394*x^9 + 1524*x^8 - 940*x^7 - 1671*x^6 + 20*x^5 + 726*x^4 + 200*x^3 - 77*x^2 - 42*x - 5, x^17 + 8*x^16 + 12*x^15 - 60*x^14 - 193*x^13 + 65*x^12 + 810*x^11 + 482*x^10 - 1394*x^9 - 1524*x^8 + 940*x^7 + 1671*x^6 - 20*x^5 - 726*x^4 - 200*x^3 + 77*x^2 + 42*x + 5, -x^17 - 8*x^16 - 13*x^15 + 52*x^14 + 178*x^13 - 28*x^12 - 657*x^11 - 436*x^10 + 1016*x^9 + 1179*x^8 - 598*x^7 - 1237*x^6 - 109*x^5 + 530*x^4 + 227*x^3 - 42*x^2 - 37*x - 5, x^17 + 8*x^16 + 13*x^15 - 52*x^14 - 178*x^13 + 28*x^12 + 657*x^11 + 436*x^10 - 1016*x^9 - 1179*x^8 + 598*x^7 + 1237*x^6 + 109*x^5 - 530*x^4 - 227*x^3 + 42*x^2 + 37*x + 5, -x^16 - 8*x^15 - 14*x^14 + 46*x^13 + 178*x^12 + 36*x^11 - 559*x^10 - 626*x^9 + 471*x^8 + 1134*x^7 + 318*x^6 - 532*x^5 - 477*x^4 - 94*x^3 + 78*x^2 + 42*x + 5, x^16 + 8*x^15 + 14*x^14 - 46*x^13 - 178*x^12 - 36*x^11 + 559*x^10 + 626*x^9 - 471*x^8 - 1134*x^7 - 318*x^6 + 532*x^5 + 477*x^4 + 94*x^3 - 78*x^2 - 42*x - 5, -x^17 - 10*x^16 - 26*x^15 + 46*x^14 + 297*x^13 + 169*x^12 - 1021*x^11 - 1365*x^10 + 1383*x^9 + 2998*x^8 - 470*x^7 - 2871*x^6 - 465*x^5 + 1182*x^4 + 366*x^3 - 140*x^2 - 60*x - 5, x^17 + 10*x^16 + 26*x^15 - 46*x^14 - 297*x^13 - 169*x^12 + 1021*x^11 + 1365*x^10 - 1383*x^9 - 2998*x^8 + 470*x^7 + 2871*x^6 + 465*x^5 - 1182*x^4 - 366*x^3 + 140*x^2 + 60*x + 5, -x^16 - 8*x^15 - 15*x^14 + 40*x^13 + 174*x^12 + 71*x^11 - 508*x^10 - 687*x^9 + 397*x^8 + 1263*x^7 + 324*x^6 - 785*x^5 - 465*x^4 + 91*x^3 + 88*x^2 + 10*x, x^16 + 8*x^15 + 15*x^14 - 40*x^13 - 174*x^12 - 71*x^11 + 508*x^10 + 687*x^9 - 397*x^8 - 1263*x^7 - 324*x^6 + 785*x^5 + 465*x^4 - 91*x^3 - 88*x^2 - 10*x, -x^16 - 6*x^15 + 61*x^13 + 79*x^12 - 208*x^11 - 431*x^10 + 227*x^9 + 894*x^8 + 114*x^7 - 823*x^6 - 367*x^5 + 320*x^4 + 215*x^3 - 34*x^2 - 36*x - 5, x^16 + 6*x^15 - 61*x^13 - 79*x^12 + 208*x^11 + 431*x^10 - 227*x^9 - 894*x^8 - 114*x^7 + 823*x^6 + 367*x^5 - 320*x^4 - 215*x^3 + 34*x^2 + 36*x + 5, -x^16 - 6*x^15 - x^14 + 53*x^13 + 64*x^12 - 171*x^11 - 278*x^10 + 273*x^9 + 516*x^8 - 231*x^7 - 481*x^6 + 67*x^5 + 191*x^4 + 19*x^3 - 7*x^2 - x, x^16 + 6*x^15 + x^14 - 53*x^13 - 64*x^12 + 171*x^11 + 278*x^10 - 273*x^9 - 516*x^8 + 231*x^7 + 481*x^6 - 67*x^5 - 191*x^4 - 19*x^3 + 7*x^2 + x, -2*x^15 - 14*x^14 - 15*x^13 + 101*x^12 + 251*x^11 - 144*x^10 - 923*x^9 - 390*x^8 + 1258*x^7 + 1139*x^6 - 497*x^5 - 820*x^4 - 122*x^3 + 119*x^2 + 47*x + 5, 2*x^15 + 14*x^14 + 15*x^13 - 101*x^12 - 251*x^11 + 144*x^10 + 923*x^9 + 390*x^8 - 1258*x^7 - 1139*x^6 + 497*x^5 + 820*x^4 + 122*x^3 - 119*x^2 - 47*x - 5]>,
         rec<Eigen |
           DefiningPolynomial := x^29 - 7*x^28 - 21*x^27 + 246*x^26 + 12*x^25 - 3720*x^24 + 3834*x^23 + 31540*x^22 - 53703*x^21 - 162870*x^20 + 378279*x^19 + 513196*x^18 - 1632262*x^17 - 880566*x^16 + 4557836*x^15 + 291087*x^14 - 8298505*x^13 + 1993215*x^12 + 9642224*x^11 - 4289164*x^10 - 6819019*x^9 + 4005659*x^8 + 2720287*x^7 - 1894205*x^6 - 532886*x^5 + 432870*x^4 + 34241*x^3 - 38932*x^2 + 1306*x + 355,
           Coordinates        := [1/4*x^28 - 3/2*x^27 - 25/4*x^26 + 209/4*x^25 + 171/4*x^24 - 3131/4*x^23 + 1047/4*x^22 + 26315/4*x^21 - 12673/2*x^20 - 67643/2*x^19 + 192933/4*x^18 + 431323/4*x^17 - 819493/4*x^16 - 801035/4*x^15 + 2133437/4*x^14 + 310193/2*x^13 - 3410973/4*x^12 + 274317/2*x^11 + 784637*x^10 - 846503/2*x^9 - 1330881/4*x^8 + 374925*x^7 - 48149/4*x^6 - 282589/2*x^5 + 52926*x^4 + 33611/2*x^3 - 40725/4*x^2 + 937/4*x + 315/4, -3/4*x^28 + 21/4*x^27 + 27/2*x^26 - 681/4*x^25 + 38*x^24 + 9313/4*x^23 - 6005/2*x^22 - 69291/4*x^21 + 140709/4*x^20 + 297661/4*x^19 - 214348*x^18 - 684491/4*x^17 + 1581865/2*x^16 + 387889/4*x^15 - 1834065*x^14 + 1067953/2*x^13 + 10564137/4*x^12 - 6152921/4*x^11 - 8934553/4*x^10 + 7453359/4*x^9 + 1939615/2*x^8 - 2280417/2*x^7 - 514169/4*x^6 + 1325769/4*x^5 - 120263/4*x^4 - 143237/4*x^3 + 7124*x^2 + 277/4*x - 89/2, -1/2*x^28 + 7/2*x^27 + 9*x^26 - 227/2*x^25 + 51/2*x^24 + 1553*x^23 - 4031/2*x^22 - 11547*x^21 + 23717*x^20 + 98567/2*x^19 - 145178*x^18 - 109870*x^17 + 1074875/2*x^16 + 39855*x^15 - 2491297/2*x^14 + 435531*x^13 + 1778675*x^12 - 2337249/2*x^11 - 2935607/2*x^10 + 1381309*x^9 + 599719*x^8 - 828670*x^7 - 60206*x^6 + 239329*x^5 - 26031*x^4 - 26098*x^3 + 10751/2*x^2 + 84*x - 111/2, x^28 - 7*x^27 - 18*x^26 + 225*x^25 - 75/2*x^24 - 6153/2*x^23 + 3657*x^22 + 23210*x^21 - 43138*x^20 - 207875/2*x^19 + 264129*x^18 + 269364*x^17 - 1971301/2*x^16 - 628051/2*x^15 + 4678559/2*x^14 - 462313/2*x^13 - 3519298*x^12 + 2633767/2*x^11 + 3231016*x^10 - 3722277/2*x^9 - 3324229/2*x^8 + 1264030*x^7 + 385960*x^6 - 818725/2*x^5 - 7461*x^4 + 48894*x^3 - 6169*x^2 - 473/2*x + 50, -1/2*x^24 + 5/2*x^23 + 13*x^22 - 79*x^21 - 129*x^20 + 1088*x^19 + 456*x^18 - 8422*x^17 + 3357/2*x^16 + 39702*x^15 - 22833*x^14 - 116391*x^13 + 193433/2*x^12 + 418117/2*x^11 - 214871*x^10 - 218419*x^9 + 530779/2*x^8 + 117952*x^7 - 349613/2*x^6 - 46421/2*x^5 + 105389/2*x^4 + 62*x^3 - 11859/2*x^2 + 439/2*x + 99/2, -3/2*x^24 + 10*x^23 + 23*x^22 - 282*x^21 + 88*x^20 + 3228*x^19 - 8359/2*x^18 - 38375/2*x^17 + 75947/2*x^16 + 61709*x^15 - 346619/2*x^14 - 93159*x^13 + 901039/2*x^12 - 3753*x^11 - 673375*x^10 + 214472*x^9 + 1098273/2*x^8 - 545503/2*x^7 - 218900*x^6 + 255711/2*x^5 + 34583*x^4 - 38969/2*x^3 - 1580*x^2 + 203*x + 37, x^27 - 7*x^26 - 16*x^25 + 211*x^24 - 65*x^23 - 2681*x^22 + 3439*x^21 + 37233/2*x^20 - 71865/2*x^19 - 152135/2*x^18 + 197580*x^17 + 359121/2*x^16 - 659652*x^15 - 201377*x^14 + 1391906*x^13 - 94921/2*x^12 - 1858205*x^11 + 843855/2*x^10 + 3071857/2*x^9 - 498328*x^8 - 1506405/2*x^7 + 268896*x^6 + 396533/2*x^5 - 69273*x^4 - 42499/2*x^3 + 6824*x^2 + 211/2*x - 115/2, -3/4*x^27 + 15/4*x^26 + 21*x^25 - 513/4*x^24 - 437/2*x^23 + 7565/4*x^22 + 780*x^21 - 63051/4*x^20 + 14607/4*x^19 + 326875/4*x^18 - 101821/2*x^17 - 1091775/4*x^16 + 245045*x^15 + 2348249/4*x^14 - 1319881/2*x^13 - 1571809/2*x^12 + 4276901/4*x^11 + 2400881/4*x^10 - 4132791/4*x^9 - 812223/4*x^8 + 563696*x^7 - 25633/2*x^6 - 616701/4*x^5 + 92367/4*x^4 + 64471/4*x^3 - 14295/4*x^2 - 47/2*x + 89/4, -1/2*x^27 + 7/2*x^26 + 8*x^25 - 213/2*x^24 + 40*x^23 + 1352*x^22 - 1925*x^21 - 9156*x^20 + 20284*x^19 + 68407/2*x^18 - 224981/2*x^17 - 114877/2*x^16 + 747017/2*x^15 - 45255*x^14 - 1515785/2*x^13 + 815053/2*x^12 + 1807217/2*x^11 - 1597595/2*x^10 - 561432*x^9 + 1494129/2*x^8 + 241883/2*x^7 - 346379*x^6 + 26031*x^5 + 71581*x^4 - 10332*x^3 - 5487*x^2 + 471*x + 127/2, 1/4*x^27 - 3/2*x^26 - 25/4*x^25 + 209/4*x^24 + 43*x^23 - 784*x^22 + 1021/4*x^21 + 26465/4*x^20 - 12515/2*x^19 - 137403/4*x^18 + 190723/4*x^17 + 112378*x^16 - 405841/2*x^15 - 902069/4*x^14 + 2133573/4*x^13 + 245799*x^12 - 3526155/4*x^11 - 271195/4*x^10 + 897643*x^9 - 587539/4*x^8 - 533517*x^7 + 172147*x^6 + 163721*x^5 - 72169*x^4 - 35547/2*x^3 + 40297/4*x^2 - 241*x - 335/4, 1/4*x^27 - 3/2*x^26 - 25/4*x^25 + 209/4*x^24 + 43*x^23 - 784*x^22 + 1021/4*x^21 + 26465/4*x^20 - 12515/2*x^19 - 137403/4*x^18 + 190723/4*x^17 + 112378*x^16 - 405841/2*x^15 - 902069/4*x^14 + 2133573/4*x^13 + 245799*x^12 - 3526155/4*x^11 - 271195/4*x^10 + 897643*x^9 - 587539/4*x^8 - 533517*x^7 + 172147*x^6 + 163721*x^5 - 72169*x^4 - 35547/2*x^3 + 40297/4*x^2 - 241*x - 335/4, -1/4*x^26 + 3/2*x^25 + 11/2*x^24 - 193/4*x^23 - 99/4*x^22 + 654*x^21 - 761/2*x^20 - 4860*x^19 + 23257/4*x^18 + 85907/4*x^17 - 144249/4*x^16 - 226283/4*x^15 + 504565/4*x^14 + 324159/4*x^13 - 1056213/4*x^12 - 153853/4*x^11 + 325862*x^10 - 174329/4*x^9 - 447537/2*x^8 + 233899/4*x^7 + 326603/4*x^6 - 41397/2*x^5 - 16933*x^4 + 5473/2*x^3 + 6541/4*x^2 - 361/4*x - 3/2, -1/4*x^26 + 3/2*x^25 + 11/2*x^24 - 193/4*x^23 - 99/4*x^22 + 654*x^21 - 761/2*x^20 - 4860*x^19 + 23257/4*x^18 + 85907/4*x^17 - 144249/4*x^16 - 226283/4*x^15 + 504565/4*x^14 + 324159/4*x^13 - 1056213/4*x^12 - 153853/4*x^11 + 325862*x^10 - 174329/4*x^9 - 447537/2*x^8 + 233899/4*x^7 + 326603/4*x^6 - 41397/2*x^5 - 16933*x^4 + 5473/2*x^3 + 6541/4*x^2 - 361/4*x - 3/2, 1/4*x^26 - 3/2*x^25 - 21/4*x^24 + 47*x^23 + 73/4*x^22 - 1233/2*x^21 + 919/2*x^20 + 17323/4*x^19 - 25467/4*x^18 - 33859/2*x^17 + 38015*x^16 + 125249/4*x^15 - 504429/4*x^14 + 38651/4*x^13 + 941031/4*x^12 - 166494*x^11 - 212856*x^10 + 319949*x^9 + 91887/4*x^8 - 1045011/4*x^7 + 188215/2*x^6 + 89824*x^5 - 107533/2*x^4 - 37871/4*x^3 + 8305*x^2 - 911/4*x - 309/4, 1/4*x^26 - 3/2*x^25 - 21/4*x^24 + 47*x^23 + 73/4*x^22 - 1233/2*x^21 + 919/2*x^20 + 17323/4*x^19 - 25467/4*x^18 - 33859/2*x^17 + 38015*x^16 + 125249/4*x^15 - 504429/4*x^14 + 38651/4*x^13 + 941031/4*x^12 - 166494*x^11 - 212856*x^10 + 319949*x^9 + 91887/4*x^8 - 1045011/4*x^7 + 188215/2*x^6 + 89824*x^5 - 107533/2*x^4 - 37871/4*x^3 + 8305*x^2 - 911/4*x - 309/4, -1/2*x^27 + 3*x^26 + 47/4*x^25 - 401/4*x^24 - 277/4*x^23 + 2871/2*x^22 - 2419/4*x^21 - 45991/4*x^20 + 47355/4*x^19 + 225049/4*x^18 - 166203/2*x^17 - 685979/4*x^16 + 659761/2*x^15 + 1252659/4*x^14 - 1612685/2*x^13 - 1159087/4*x^12 + 1224850*x^11 + 71049/4*x^10 - 4496717/4*x^9 + 427095/2*x^8 + 589498*x^7 - 722789/4*x^6 - 318505/2*x^5 + 59378*x^4 + 16414*x^3 - 13895/2*x^2 + 253/4*x + 57, -1/2*x^27 + 3*x^26 + 47/4*x^25 - 401/4*x^24 - 277/4*x^23 + 2871/2*x^22 - 2419/4*x^21 - 45991/4*x^20 + 47355/4*x^19 + 225049/4*x^18 - 166203/2*x^17 - 685979/4*x^16 + 659761/2*x^15 + 1252659/4*x^14 - 1612685/2*x^13 - 1159087/4*x^12 + 1224850*x^11 + 71049/4*x^10 - 4496717/4*x^9 + 427095/2*x^8 + 589498*x^7 - 722789/4*x^6 - 318505/2*x^5 + 59378*x^4 + 16414*x^3 - 13895/2*x^2 + 253/4*x + 57, -1/4*x^24 + 3/2*x^23 + 5/2*x^22 - 31*x^21 + 43/2*x^20 + 233*x^19 - 1739/4*x^18 - 1283/2*x^17 + 2546*x^16 - 3275/4*x^15 - 26431/4*x^14 + 8896*x^13 + 11019/2*x^12 - 69797/4*x^11 + 25817/4*x^10 + 11071/4*x^9 - 8188*x^8 + 102679/4*x^7 - 48593/4*x^6 - 42803/2*x^5 + 31055/2*x^4 + 11979/4*x^3 - 3217*x^2 + 705/4*x + 107/4, -1/4*x^24 + 3/2*x^23 + 5/2*x^22 - 31*x^21 + 43/2*x^20 + 233*x^19 - 1739/4*x^18 - 1283/2*x^17 + 2546*x^16 - 3275/4*x^15 - 26431/4*x^14 + 8896*x^13 + 11019/2*x^12 - 69797/4*x^11 + 25817/4*x^10 + 11071/4*x^9 - 8188*x^8 + 102679/4*x^7 - 48593/4*x^6 - 42803/2*x^5 + 31055/2*x^4 + 11979/4*x^3 - 3217*x^2 + 705/4*x + 107/4, 5/4*x^25 - 29/4*x^24 - 105/4*x^23 + 437/2*x^22 + 511/4*x^21 - 5571/2*x^20 + 5107/4*x^19 + 39085/2*x^18 - 80395/4*x^17 - 81930*x^16 + 476337/4*x^15 + 826883/4*x^14 - 1572293/4*x^13 - 583125/2*x^12 + 3096967/4*x^11 + 641079/4*x^10 - 900130*x^9 + 404897/4*x^8 + 578652*x^7 - 720671/4*x^6 - 179907*x^5 + 319847/4*x^4 + 19301*x^3 - 44807/4*x^2 + 481/2*x + 409/4, 5/4*x^25 - 29/4*x^24 - 105/4*x^23 + 437/2*x^22 + 511/4*x^21 - 5571/2*x^20 + 5107/4*x^19 + 39085/2*x^18 - 80395/4*x^17 - 81930*x^16 + 476337/4*x^15 + 826883/4*x^14 - 1572293/4*x^13 - 583125/2*x^12 + 3096967/4*x^11 + 641079/4*x^10 - 900130*x^9 + 404897/4*x^8 + 578652*x^7 - 720671/4*x^6 - 179907*x^5 + 319847/4*x^4 + 19301*x^3 - 44807/4*x^2 + 481/2*x + 409/4, -1/4*x^25 + 2*x^24 + 3/2*x^23 - 51*x^22 + 153/2*x^21 + 500*x^20 - 1386*x^19 - 8485/4*x^18 + 10433*x^17 + 3457/4*x^16 - 42271*x^15 + 113837/4*x^14 + 379751/4*x^13 - 241461/2*x^12 - 105559*x^11 + 227478*x^10 + 101835/4*x^9 - 862369/4*x^8 + 97945/2*x^7 + 391379/4*x^6 - 75161/2*x^5 - 34521/2*x^4 + 13555/2*x^3 + 3599/4*x^2 - 307/4*x - 37/2, -1/4*x^25 + 2*x^24 + 3/2*x^23 - 51*x^22 + 153/2*x^21 + 500*x^20 - 1386*x^19 - 8485/4*x^18 + 10433*x^17 + 3457/4*x^16 - 42271*x^15 + 113837/4*x^14 + 379751/4*x^13 - 241461/2*x^12 - 105559*x^11 + 227478*x^10 + 101835/4*x^9 - 862369/4*x^8 + 97945/2*x^7 + 391379/4*x^6 - 75161/2*x^5 - 34521/2*x^4 + 13555/2*x^3 + 3599/4*x^2 - 307/4*x - 37/2, 1/4*x^26 - 7/4*x^25 - 15/4*x^24 + 197/4*x^23 - 35/4*x^22 - 1203/2*x^21 + 592*x^20 + 16769/4*x^19 - 6021*x^18 - 73157/4*x^17 + 65395/2*x^16 + 203127/4*x^15 - 221275/2*x^14 - 337705/4*x^13 + 482189/2*x^12 + 249467/4*x^11 - 659097/2*x^10 + 65253/2*x^9 + 1030505/4*x^8 - 385171/4*x^7 - 90904*x^6 + 115255/2*x^5 + 17601/4*x^4 - 35793/4*x^3 + 1758*x^2 - 237/4*x - 101/4, 1/4*x^26 - 7/4*x^25 - 15/4*x^24 + 197/4*x^23 - 35/4*x^22 - 1203/2*x^21 + 592*x^20 + 16769/4*x^19 - 6021*x^18 - 73157/4*x^17 + 65395/2*x^16 + 203127/4*x^15 - 221275/2*x^14 - 337705/4*x^13 + 482189/2*x^12 + 249467/4*x^11 - 659097/2*x^10 + 65253/2*x^9 + 1030505/4*x^8 - 385171/4*x^7 - 90904*x^6 + 115255/2*x^5 + 17601/4*x^4 - 35793/4*x^3 + 1758*x^2 - 237/4*x - 101/4, x^26 - 7*x^25 - 55/4*x^24 + 791/4*x^23 - 109*x^22 - 9187/4*x^21 + 14411/4*x^20 + 13935*x^19 - 66549/2*x^18 - 179607/4*x^17 + 651997/4*x^16 + 225297/4*x^15 - 1894747/4*x^14 + 91848*x^13 + 1661093/2*x^12 - 447478*x^11 - 3390175/4*x^10 + 2725621/4*x^9 + 454456*x^8 - 497567*x^7 - 375387/4*x^6 + 680179/4*x^5 - 27577/4*x^4 - 21035*x^3 + 12549/4*x^2 + 179/2*x - 25, x^26 - 7*x^25 - 55/4*x^24 + 791/4*x^23 - 109*x^22 - 9187/4*x^21 + 14411/4*x^20 + 13935*x^19 - 66549/2*x^18 - 179607/4*x^17 + 651997/4*x^16 + 225297/4*x^15 - 1894747/4*x^14 + 91848*x^13 + 1661093/2*x^12 - 447478*x^11 - 3390175/4*x^10 + 2725621/4*x^9 + 454456*x^8 - 497567*x^7 - 375387/4*x^6 + 680179/4*x^5 - 27577/4*x^4 - 21035*x^3 + 12549/4*x^2 + 179/2*x - 25, -1/2*x^26 + 7/2*x^25 + 29/4*x^24 - 201/2*x^23 + 181/4*x^22 + 2391/2*x^21 - 3433/2*x^20 - 7540*x^19 + 65375/4*x^18 + 104863/4*x^17 - 163929/2*x^16 - 42555*x^15 + 243878*x^14 - 56009/4*x^13 - 1750133/4*x^12 + 369827/2*x^11 + 1812743/4*x^10 - 1268489/4*x^9 - 957555/4*x^8 + 482291/2*x^7 + 86237/2*x^6 - 83874*x^5 + 15699/2*x^4 + 20611/2*x^3 - 9809/4*x^2 - 41/4*x + 111/4, -1/2*x^26 + 7/2*x^25 + 29/4*x^24 - 201/2*x^23 + 181/4*x^22 + 2391/2*x^21 - 3433/2*x^20 - 7540*x^19 + 65375/4*x^18 + 104863/4*x^17 - 163929/2*x^16 - 42555*x^15 + 243878*x^14 - 56009/4*x^13 - 1750133/4*x^12 + 369827/2*x^11 + 1812743/4*x^10 - 1268489/4*x^9 - 957555/4*x^8 + 482291/2*x^7 + 86237/2*x^6 - 83874*x^5 + 15699/2*x^4 + 20611/2*x^3 - 9809/4*x^2 - 41/4*x + 111/4, x^27 - 7*x^26 - 67/4*x^25 + 865/4*x^24 - 56*x^23 - 5649/2*x^22 + 3563*x^21 + 20158*x^20 - 156435/4*x^19 - 335529/4*x^18 + 898063/4*x^17 + 193490*x^16 - 3117809/4*x^15 - 641733/4*x^14 + 3387301/2*x^13 - 628871/2*x^12 - 4553003/2*x^11 + 1003049*x^10 + 1810488*x^9 - 2243301/2*x^8 - 3162249/4*x^7 + 2431893/4*x^6 + 654317/4*x^5 - 314703/2*x^4 - 38321/4*x^3 + 63743/4*x^2 - 2723/4*x - 595/4, x^27 - 7*x^26 - 67/4*x^25 + 865/4*x^24 - 56*x^23 - 5649/2*x^22 + 3563*x^21 + 20158*x^20 - 156435/4*x^19 - 335529/4*x^18 + 898063/4*x^17 + 193490*x^16 - 3117809/4*x^15 - 641733/4*x^14 + 3387301/2*x^13 - 628871/2*x^12 - 4553003/2*x^11 + 1003049*x^10 + 1810488*x^9 - 2243301/2*x^8 - 3162249/4*x^7 + 2431893/4*x^6 + 654317/4*x^5 - 314703/2*x^4 - 38321/4*x^3 + 63743/4*x^2 - 2723/4*x - 595/4, -3/4*x^27 + 21/4*x^26 + 13*x^25 - 667/4*x^24 + 183/4*x^23 + 4441/2*x^22 - 2940*x^21 - 63949/4*x^20 + 131419/4*x^19 + 264111/4*x^18 - 764707/4*x^17 - 581017/4*x^16 + 1339267/2*x^15 + 330459/4*x^14 - 1461452*x^13 + 1485171/4*x^12 + 7857609/4*x^11 - 3907507/4*x^10 - 3111259/2*x^9 + 4134183/4*x^8 + 1347977/2*x^7 - 1076395/2*x^6 - 275555/2*x^5 + 531503/4*x^4 + 16687/2*x^3 - 12778*x^2 + 1917/4*x + 122, -3/4*x^27 + 21/4*x^26 + 13*x^25 - 667/4*x^24 + 183/4*x^23 + 4441/2*x^22 - 2940*x^21 - 63949/4*x^20 + 131419/4*x^19 + 264111/4*x^18 - 764707/4*x^17 - 581017/4*x^16 + 1339267/2*x^15 + 330459/4*x^14 - 1461452*x^13 + 1485171/4*x^12 + 7857609/4*x^11 - 3907507/4*x^10 - 3111259/2*x^9 + 4134183/4*x^8 + 1347977/2*x^7 - 1076395/2*x^6 - 275555/2*x^5 + 531503/4*x^4 + 16687/2*x^3 - 12778*x^2 + 1917/4*x + 122, x^25 - 6*x^24 - 71/4*x^23 + 663/4*x^22 + 36*x^21 - 1896*x^20 + 5525/4*x^19 + 46493/4*x^18 - 14482*x^17 - 165225/4*x^16 + 66881*x^15 + 346017/4*x^14 - 673145/4*x^13 - 108455*x^12 + 472839/2*x^11 + 99208*x^10 - 362685/2*x^9 - 401853/4*x^8 + 322815/4*x^7 + 162633/2*x^6 - 101015/4*x^5 - 126895/4*x^4 + 20343/4*x^3 + 17869/4*x^2 - 371*x - 179/4, x^25 - 6*x^24 - 71/4*x^23 + 663/4*x^22 + 36*x^21 - 1896*x^20 + 5525/4*x^19 + 46493/4*x^18 - 14482*x^17 - 165225/4*x^16 + 66881*x^15 + 346017/4*x^14 - 673145/4*x^13 - 108455*x^12 + 472839/2*x^11 + 99208*x^10 - 362685/2*x^9 - 401853/4*x^8 + 322815/4*x^7 + 162633/2*x^6 - 101015/4*x^5 - 126895/4*x^4 + 20343/4*x^3 + 17869/4*x^2 - 371*x - 179/4, -1/2*x^25 + 4*x^24 + 15/4*x^23 - 211/2*x^22 + 132*x^21 + 1116*x^20 - 10217/4*x^19 - 11733/2*x^18 + 20093*x^17 + 56077/4*x^16 - 174719/2*x^15 + 5587/2*x^14 + 450843/2*x^13 - 203765/2*x^12 - 1379455/4*x^11 + 1016789/4*x^10 + 593169/2*x^9 - 1161307/4*x^8 - 253591/2*x^7 + 658641/4*x^6 + 19399*x^5 - 44015*x^4 + 4409/4*x^3 + 4577*x^2 - 733/2*x - 45, -1/2*x^25 + 4*x^24 + 15/4*x^23 - 211/2*x^22 + 132*x^21 + 1116*x^20 - 10217/4*x^19 - 11733/2*x^18 + 20093*x^17 + 56077/4*x^16 - 174719/2*x^15 + 5587/2*x^14 + 450843/2*x^13 - 203765/2*x^12 - 1379455/4*x^11 + 1016789/4*x^10 + 593169/2*x^9 - 1161307/4*x^8 - 253591/2*x^7 + 658641/4*x^6 + 19399*x^5 - 44015*x^4 + 4409/4*x^3 + 4577*x^2 - 733/2*x - 45, x^26 - 7*x^25 - 59/4*x^24 + 811/4*x^23 - 341/4*x^22 - 4901/2*x^21 + 13749/4*x^20 + 15863*x^19 - 134369/4*x^18 - 230339/4*x^17 + 694003/4*x^16 + 205621/2*x^15 - 1069983/2*x^14 + 4589/4*x^13 + 1001702*x^12 - 1504805/4*x^11 - 2181959/2*x^10 + 1413723/2*x^9 + 613926*x^8 - 559764*x^7 - 525907/4*x^6 + 388767/2*x^5 - 13039/2*x^4 - 24010*x^3 + 14921/4*x^2 + 147*x - 99/4, x^26 - 7*x^25 - 59/4*x^24 + 811/4*x^23 - 341/4*x^22 - 4901/2*x^21 + 13749/4*x^20 + 15863*x^19 - 134369/4*x^18 - 230339/4*x^17 + 694003/4*x^16 + 205621/2*x^15 - 1069983/2*x^14 + 4589/4*x^13 + 1001702*x^12 - 1504805/4*x^11 - 2181959/2*x^10 + 1413723/2*x^9 + 613926*x^8 - 559764*x^7 - 525907/4*x^6 + 388767/2*x^5 - 13039/2*x^4 - 24010*x^3 + 14921/4*x^2 + 147*x - 99/4, -3/4*x^26 + 21/4*x^25 + 23/2*x^24 - 157*x^23 + 285/4*x^22 + 1937*x^21 - 5829/2*x^20 - 50319/4*x^19 + 116769/4*x^18 + 176631/4*x^17 - 307993/2*x^16 - 260557/4*x^15 + 966501/2*x^14 - 156515/2*x^13 - 1835453/2*x^12 + 1995947/4*x^11 + 4030229/4*x^10 - 1724841/2*x^9 - 2213781/4*x^8 + 2793215/4*x^7 + 326675/4*x^6 - 256194*x^5 + 34009*x^4 + 63959/2*x^3 - 33611/4*x^2 + 112*x + 279/4, -3/4*x^26 + 21/4*x^25 + 23/2*x^24 - 157*x^23 + 285/4*x^22 + 1937*x^21 - 5829/2*x^20 - 50319/4*x^19 + 116769/4*x^18 + 176631/4*x^17 - 307993/2*x^16 - 260557/4*x^15 + 966501/2*x^14 - 156515/2*x^13 - 1835453/2*x^12 + 1995947/4*x^11 + 4030229/4*x^10 - 1724841/2*x^9 - 2213781/4*x^8 + 2793215/4*x^7 + 326675/4*x^6 - 256194*x^5 + 34009*x^4 + 63959/2*x^3 - 33611/4*x^2 + 112*x + 279/4, 2*x^24 - 57/4*x^23 - 83/4*x^22 + 1459/4*x^21 - 651/2*x^20 - 3693*x^19 + 28677/4*x^18 + 36155/2*x^17 - 54812*x^16 - 36701*x^15 + 875585/4*x^14 - 128067/4*x^13 - 485672*x^12 + 620533/2*x^11 + 2267973/4*x^10 - 600526*x^9 - 273289*x^8 + 1992719/4*x^7 - 25447/2*x^6 - 706059/4*x^5 + 174815/4*x^4 + 40833/2*x^3 - 15951/2*x^2 + 947/4*x + 279/4, 2*x^24 - 57/4*x^23 - 83/4*x^22 + 1459/4*x^21 - 651/2*x^20 - 3693*x^19 + 28677/4*x^18 + 36155/2*x^17 - 54812*x^16 - 36701*x^15 + 875585/4*x^14 - 128067/4*x^13 - 485672*x^12 + 620533/2*x^11 + 2267973/4*x^10 - 600526*x^9 - 273289*x^8 + 1992719/4*x^7 - 25447/2*x^6 - 706059/4*x^5 + 174815/4*x^4 + 40833/2*x^3 - 15951/2*x^2 + 947/4*x + 279/4, -3/4*x^25 + 21/4*x^24 + 41/4*x^23 - 295/2*x^22 + 167/2*x^21 + 3357/2*x^20 - 10535/4*x^19 - 39287/4*x^18 + 92791/4*x^17 + 120061/4*x^16 - 426023/4*x^15 - 35163*x^14 + 1133821/4*x^13 - 200939/4*x^12 - 1764867/4*x^11 + 429343/2*x^10 + 1535111/4*x^9 - 538141/2*x^8 - 168426*x^7 + 151331*x^6 + 115587/4*x^5 - 72179/2*x^4 - 821*x^3 + 12265/4*x^2 - 365/4*x - 99/4, -3/4*x^25 + 21/4*x^24 + 41/4*x^23 - 295/2*x^22 + 167/2*x^21 + 3357/2*x^20 - 10535/4*x^19 - 39287/4*x^18 + 92791/4*x^17 + 120061/4*x^16 - 426023/4*x^15 - 35163*x^14 + 1133821/4*x^13 - 200939/4*x^12 - 1764867/4*x^11 + 429343/2*x^10 + 1535111/4*x^9 - 538141/2*x^8 - 168426*x^7 + 151331*x^6 + 115587/4*x^5 - 72179/2*x^4 - 821*x^3 + 12265/4*x^2 - 365/4*x - 99/4, x^25 - 15/2*x^24 - 35/4*x^23 + 769/4*x^22 - 423/2*x^21 - 7815/4*x^20 + 16911/4*x^19 + 38463/4*x^18 - 64579/2*x^17 - 77657/4*x^16 + 132708*x^15 - 21250*x^14 - 1253207/4*x^13 + 194552*x^12 + 828295/2*x^11 - 821597/2*x^10 - 269789*x^9 + 402920*x^8 + 201241/4*x^7 - 753519/4*x^6 + 20460*x^5 + 149071/4*x^4 - 27323/4*x^3 - 9965/4*x^2 + 1327/4*x + 69/4, x^25 - 15/2*x^24 - 35/4*x^23 + 769/4*x^22 - 423/2*x^21 - 7815/4*x^20 + 16911/4*x^19 + 38463/4*x^18 - 64579/2*x^17 - 77657/4*x^16 + 132708*x^15 - 21250*x^14 - 1253207/4*x^13 + 194552*x^12 + 828295/2*x^11 - 821597/2*x^10 - 269789*x^9 + 402920*x^8 + 201241/4*x^7 - 753519/4*x^6 + 20460*x^5 + 149071/4*x^4 - 27323/4*x^3 - 9965/4*x^2 + 1327/4*x + 69/4, x^25 - 6*x^24 - 41/2*x^23 + 727/4*x^22 + 343/4*x^21 - 9365/4*x^20 + 5155/4*x^19 + 66727/4*x^18 - 37451/2*x^17 - 285061/4*x^16 + 447011/4*x^15 + 365661/2*x^14 - 1514587/4*x^13 - 1025271/4*x^12 + 1542749/2*x^11 + 114611*x^10 - 926773*x^9 + 317933/2*x^8 + 2435101/4*x^7 - 225210*x^6 - 762235/4*x^5 + 384295/4*x^4 + 80565/4*x^3 - 26595/2*x^2 + 1297/4*x + 263/2, x^25 - 6*x^24 - 41/2*x^23 + 727/4*x^22 + 343/4*x^21 - 9365/4*x^20 + 5155/4*x^19 + 66727/4*x^18 - 37451/2*x^17 - 285061/4*x^16 + 447011/4*x^15 + 365661/2*x^14 - 1514587/4*x^13 - 1025271/4*x^12 + 1542749/2*x^11 + 114611*x^10 - 926773*x^9 + 317933/2*x^8 + 2435101/4*x^7 - 225210*x^6 - 762235/4*x^5 + 384295/4*x^4 + 80565/4*x^3 - 26595/2*x^2 + 1297/4*x + 263/2, -3/4*x^25 + 9/2*x^24 + 61/4*x^23 - 136*x^22 - 58*x^21 + 1729*x^20 - 4115/4*x^19 - 48193/4*x^18 + 27965/2*x^17 + 200399/4*x^16 - 319509/4*x^15 - 502837/4*x^14 + 1041081/4*x^13 + 711715/4*x^12 - 2062513/4*x^11 - 400861/4*x^10 + 1236813/2*x^9 - 132343/2*x^8 - 1695575/4*x^7 + 261345/2*x^6 + 571559/4*x^5 - 259227/4*x^4 - 63701/4*x^3 + 39295/4*x^2 - 1273/4*x - 389/4, -3/4*x^25 + 9/2*x^24 + 61/4*x^23 - 136*x^22 - 58*x^21 + 1729*x^20 - 4115/4*x^19 - 48193/4*x^18 + 27965/2*x^17 + 200399/4*x^16 - 319509/4*x^15 - 502837/4*x^14 + 1041081/4*x^13 + 711715/4*x^12 - 2062513/4*x^11 - 400861/4*x^10 + 1236813/2*x^9 - 132343/2*x^8 - 1695575/4*x^7 + 261345/2*x^6 + 571559/4*x^5 - 259227/4*x^4 - 63701/4*x^3 + 39295/4*x^2 - 1273/4*x - 389/4, -3/4*x^24 + 23/4*x^23 + 27/4*x^22 - 150*x^21 + 627/4*x^20 + 6241/4*x^19 - 6323/2*x^18 - 16081/2*x^17 + 48039/2*x^16 + 77229/4*x^15 - 97271*x^14 - 4084*x^13 + 448339/2*x^12 - 334295/4*x^11 - 577871/2*x^10 + 355685/2*x^9 + 195723*x^8 - 287475/2*x^7 - 138903/2*x^6 + 96995/2*x^5 + 29745/2*x^4 - 12461/2*x^3 - 6957/4*x^2 + 109*x + 55/2, -3/4*x^24 + 23/4*x^23 + 27/4*x^22 - 150*x^21 + 627/4*x^20 + 6241/4*x^19 - 6323/2*x^18 - 16081/2*x^17 + 48039/2*x^16 + 77229/4*x^15 - 97271*x^14 - 4084*x^13 + 448339/2*x^12 - 334295/4*x^11 - 577871/2*x^10 + 355685/2*x^9 + 195723*x^8 - 287475/2*x^7 - 138903/2*x^6 + 96995/2*x^5 + 29745/2*x^4 - 12461/2*x^3 - 6957/4*x^2 + 109*x + 55/2, 1/4*x^24 - 1/2*x^23 - 43/4*x^22 + 47/2*x^21 + 771/4*x^20 - 470*x^19 - 1815*x^18 + 5045*x^17 + 38069/4*x^16 - 126931/4*x^15 - 105943/4*x^14 + 484727/4*x^13 + 103961/4*x^12 - 1122249/4*x^11 + 99191/2*x^10 + 378878*x^9 - 656469/4*x^8 - 1096885/4*x^7 + 166128*x^6 + 92249*x^5 - 69413*x^4 - 37715/4*x^3 + 19783/2*x^2 - 1359/4*x - 427/4, 1/4*x^24 - 1/2*x^23 - 43/4*x^22 + 47/2*x^21 + 771/4*x^20 - 470*x^19 - 1815*x^18 + 5045*x^17 + 38069/4*x^16 - 126931/4*x^15 - 105943/4*x^14 + 484727/4*x^13 + 103961/4*x^12 - 1122249/4*x^11 + 99191/2*x^10 + 378878*x^9 - 656469/4*x^8 - 1096885/4*x^7 + 166128*x^6 + 92249*x^5 - 69413*x^4 - 37715/4*x^3 + 19783/2*x^2 - 1359/4*x - 427/4]>
       ]
>;

MOG[673] := 	// J_0(673)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 5,
           Coordinates        := [209, 259, 281, 397, 495, 568, 156*x + 371, 517*x + 371, 161*x + 135, 512*x + 135, 565*x + 430, 108*x + 430, 649*x + 148, 24*x + 148, 262*x + 397, 411*x + 397, 394*x + 57, 279*x + 57, 647*x + 291, 26*x + 291, 124*x + 3, 549*x + 3, 218*x + 223, 455*x + 223, 656*x + 243, 17*x + 243, 649*x + 139, 24*x + 139, 541*x + 239, 132*x + 239, 109*x + 427, 564*x + 427, 425*x + 2, 248*x + 2, 590*x + 171, 83*x + 171, 181*x + 244, 492*x + 244, 439*x + 55, 234*x + 55, 495*x + 592, 178*x + 592, 27*x + 53, 646*x + 53, 353*x + 438, 320*x + 438, 579*x + 366, 94*x + 366, 115*x + 560, 558*x + 560, 329*x + 638, 344*x + 638, 290*x + 666, 383*x + 666, 390*x + 390, 283*x + 390]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 - 2*x + 1,
           Coordinates        := [-2*x - 2, x + 2, -2, x + 4, -x, x - 2, -x, -x, x + 2, x + 2, 0, 0, x, x, x - 2, x - 2, x + 2, x + 2, -2, -2, -x + 2, -x + 2, 2*x, 2*x, -x - 2, -x - 2, 0, 0, x + 2, x + 2, -x, -x, 0, 0, x, x, -x, -x, -x, -x, -x - 2, -x - 2, -2*x - 2, -2*x - 2, x, x, x, x, 0, 0, 2, 2, 0, 0, -x, -x]>,
         rec<Eigen |
           DefiningPolynomial := x^4 + x^3 - 5*x^2 - 5*x + 1,
           Coordinates        := [-2*x^3 + 2*x^2 + 4*x - 4, -2*x^3 + 2*x^2 + 4*x - 4, -4*x^2 + 2*x + 2, -4*x^2 + 2*x + 2, -2*x^2 - 6*x + 8, 4*x^3 - 10*x - 8, 2*x^3 - x^2 - 8*x, 2*x^3 - x^2 - 8*x, -2*x^3 + 2*x^2 + 4*x - 4, -2*x^3 + 2*x^2 + 4*x - 4, x^3 - 2*x^2 + 2*x + 6, x^3 - 2*x^2 + 2*x + 6, -x^3 - x + 2, -x^3 - x + 2, 2*x^3 - x^2 - 8*x, 2*x^3 - x^2 - 8*x, -4*x^3 + 4*x^2 + 15*x - 1, -4*x^3 + 4*x^2 + 15*x - 1, -x^3 + 4*x^2 + 4*x, -x^3 + 4*x^2 + 4*x, x^3 + x^2 - 3*x - 6, x^3 + x^2 - 3*x - 6, -3*x^2 - 2*x + 5, -3*x^2 - 2*x + 5, -3*x^3 + x^2 + 14*x + 2, -3*x^3 + x^2 + 14*x + 2, 3*x^3 - 4*x^2 - 9*x + 3, 3*x^3 - 4*x^2 - 9*x + 3, 4*x^3 + x^2 - 14*x - 5, 4*x^3 + x^2 - 14*x - 5, x^2 + 3*x + 3, x^2 + 3*x + 3, -3*x^3 - 3*x^2 + 9*x + 4, -3*x^3 - 3*x^2 + 9*x + 4, x^3 + x^2 - 3*x - 6, x^3 + x^2 - 3*x - 6, 2*x^3 - x^2 - 8*x, 2*x^3 - x^2 - 8*x, x^2 + 3*x + 3, x^2 + 3*x + 3, -x^3 - x^2 + 3*x - 1, -x^3 - x^2 + 3*x - 1, -7*x - 7, -7*x - 7, -3*x^3 + 2*x^2 + 10*x + 5, -3*x^3 + 2*x^2 + 10*x + 5, x^3 + x^2 - 3*x - 6, x^3 + x^2 - 3*x - 6, x^3 - 2*x^2 + 2*x + 6, x^3 - 2*x^2 + 2*x + 6, -3*x^2 - 2*x + 5, -3*x^2 - 2*x + 5, 4*x^2 - 2*x - 9, 4*x^2 - 2*x - 9, x^2 + 3*x + 3, x^2 + 3*x + 3]>,
         rec<Eigen |
           DefiningPolynomial := x^24 - 3*x^23 - 35*x^22 + 106*x^21 + 528*x^20 - 1611*x^19 - 4511*x^18 + 13800*x^17 + 24140*x^16 - 73333*x^15 - 84617*x^14 + 250642*x^13 + 197837*x^12 - 552627*x^11 - 309281*x^10 + 767633*x^9 + 319817*x^8 - 637358*x^7 - 210745*x^6 + 287683*x^5 + 78751*x^4 - 57277*x^3 - 12098*x^2 + 2245*x - 79,
           Coordinates        := [-x^23 + 6*x^22 + 23*x^21 - 189*x^20 - 163*x^19 + 2552*x^18 - 213*x^17 - 19357*x^16 + 9855*x^15 + 90802*x^14 - 64479*x^13 - 273385*x^12 + 213172*x^11 + 531035*x^10 - 400852*x^9 - 652003*x^8 + 428142*x^7 + 480158*x^6 - 245027*x^5 - 189148*x^4 + 65435*x^3 + 29636*x^2 - 5422*x + 219, x^23 - 4*x^22 - 29*x^21 + 127*x^20 + 349*x^19 - 1726*x^18 - 2243*x^17 + 13143*x^16 + 8181*x^15 - 61654*x^14 - 16049*x^13 + 184517*x^12 + 11082*x^11 - 352781*x^10 + 16050*x^9 + 419841*x^8 - 38612*x^7 - 294446*x^6 + 29317*x^5 + 110712*x^4 - 8253*x^3 - 17404*x^2 + 244*x + 81, x^23 - 4*x^22 - 27*x^21 + 121*x^20 + 289*x^19 - 1546*x^18 - 1481*x^17 + 10879*x^16 + 2803*x^15 - 46092*x^14 + 7175*x^13 + 120869*x^12 - 52532*x^11 - 195167*x^10 + 127040*x^9 + 190053*x^8 - 159450*x^7 - 111190*x^6 + 106417*x^5 + 40392*x^4 - 31519*x^3 - 7984*x^2 + 1690*x - 69, -x^23 + 2*x^22 + 37*x^21 - 75*x^20 - 577*x^19 + 1168*x^18 + 4997*x^17 - 9929*x^16 - 26633*x^15 + 50738*x^14 + 91435*x^13 - 161223*x^12 - 205574*x^11 + 317447*x^10 + 301030*x^9 - 372875*x^8 - 277488*x^7 + 239752*x^6 + 146835*x^5 - 69872*x^4 - 34907*x^3 + 5102*x^2 + 1068*x - 93, -x^23 + 2*x^22 + 35*x^21 - 67*x^20 - 533*x^19 + 972*x^18 + 4619*x^17 - 7987*x^16 - 24977*x^15 + 40730*x^14 + 86865*x^13 - 132535*x^12 - 193204*x^11 + 271995*x^10 + 265078*x^9 - 334913*x^8 - 209070*x^7 + 223460*x^6 + 83605*x^5 - 66548*x^4 - 10981*x^3 + 4516*x^2 - 1270*x + 77, -x^23 + 4*x^22 + 29*x^21 - 125*x^20 - 355*x^19 + 1678*x^18 + 2391*x^17 - 12675*x^16 - 9671*x^15 + 59230*x^14 + 24007*x^13 - 177061*x^12 - 35662*x^11 + 337583*x^10 + 29062*x^9 - 395565*x^8 - 10344*x^7 + 262090*x^6 + 141*x^5 - 82734*x^4 + 1789*x^3 + 7712*x^2 - 948*x + 29, x^23 - 4*x^22 - 28*x^21 + 122*x^20 + 326*x^19 - 1589*x^18 - 2038*x^17 + 11558*x^16 + 7333*x^15 - 51502*x^14 - 14959*x^13 + 145070*x^12 + 15470*x^11 - 257483*x^10 - 5705*x^9 + 278953*x^8 + 1125*x^7 - 172291*x^6 - 3941*x^5 + 51897*x^4 + 1939*x^3 - 4768*x^2 + 387*x - 5, x^23 - 4*x^22 - 28*x^21 + 122*x^20 + 326*x^19 - 1589*x^18 - 2038*x^17 + 11558*x^16 + 7333*x^15 - 51502*x^14 - 14959*x^13 + 145070*x^12 + 15470*x^11 - 257483*x^10 - 5705*x^9 + 278953*x^8 + 1125*x^7 - 172291*x^6 - 3941*x^5 + 51897*x^4 + 1939*x^3 - 4768*x^2 + 387*x - 5, -2*x^21 + 9*x^20 + 45*x^19 - 243*x^18 - 374*x^17 + 2747*x^16 + 1191*x^15 - 16956*x^14 + 1277*x^13 + 62399*x^12 - 20988*x^11 - 140123*x^10 + 64840*x^9 + 188621*x^8 - 94268*x^7 - 143685*x^6 + 67103*x^5 + 55196*x^4 - 20597*x^3 - 7773*x^2 + 1711*x - 78, -2*x^21 + 9*x^20 + 45*x^19 - 243*x^18 - 374*x^17 + 2747*x^16 + 1191*x^15 - 16956*x^14 + 1277*x^13 + 62399*x^12 - 20988*x^11 - 140123*x^10 + 64840*x^9 + 188621*x^8 - 94268*x^7 - 143685*x^6 + 67103*x^5 + 55196*x^4 - 20597*x^3 - 7773*x^2 + 1711*x - 78, x^22 - 5*x^21 - 22*x^20 + 140*x^19 + 164*x^18 - 1655*x^17 - 197*x^16 + 10785*x^15 - 4188*x^14 - 42370*x^13 + 28619*x^12 + 102960*x^11 - 87336*x^10 - 152668*x^9 + 144690*x^8 + 131193*x^7 - 129669*x^6 - 57862*x^5 + 57140*x^4 + 7671*x^3 - 9378*x^2 + 1461*x - 62, x^22 - 5*x^21 - 22*x^20 + 140*x^19 + 164*x^18 - 1655*x^17 - 197*x^16 + 10785*x^15 - 4188*x^14 - 42370*x^13 + 28619*x^12 + 102960*x^11 - 87336*x^10 - 152668*x^9 + 144690*x^8 + 131193*x^7 - 129669*x^6 - 57862*x^5 + 57140*x^4 + 7671*x^3 - 9378*x^2 + 1461*x - 62, x^22 - 4*x^21 - 25*x^20 + 114*x^19 + 239*x^18 - 1354*x^17 - 990*x^16 + 8693*x^15 + 495*x^14 - 32647*x^13 + 11508*x^12 + 72144*x^11 - 47357*x^10 - 88364*x^9 + 86368*x^8 + 49013*x^7 - 81498*x^6 - 1132*x^5 + 39439*x^4 - 8071*x^3 - 7924*x^2 + 1554*x - 70, x^22 - 4*x^21 - 25*x^20 + 114*x^19 + 239*x^18 - 1354*x^17 - 990*x^16 + 8693*x^15 + 495*x^14 - 32647*x^13 + 11508*x^12 + 72144*x^11 - 47357*x^10 - 88364*x^9 + 86368*x^8 + 49013*x^7 - 81498*x^6 - 1132*x^5 + 39439*x^4 - 8071*x^3 - 7924*x^2 + 1554*x - 70, -2*x^20 + 8*x^19 + 47*x^18 - 212*x^17 - 438*x^16 + 2344*x^15 + 2041*x^14 - 14077*x^13 - 4835*x^12 + 49981*x^11 + 4876*x^10 - 106704*x^9 - 346*x^8 + 132678*x^7 - 358*x^6 - 87698*x^5 - 2622*x^4 + 25195*x^3 + 1377*x^2 - 1533*x + 98, -2*x^20 + 8*x^19 + 47*x^18 - 212*x^17 - 438*x^16 + 2344*x^15 + 2041*x^14 - 14077*x^13 - 4835*x^12 + 49981*x^11 + 4876*x^10 - 106704*x^9 - 346*x^8 + 132678*x^7 - 358*x^6 - 87698*x^5 - 2622*x^4 + 25195*x^3 + 1377*x^2 - 1533*x + 98, x^21 - 5*x^20 - 21*x^19 + 131*x^18 + 157*x^17 - 1436*x^16 - 379*x^15 + 8610*x^14 - 1237*x^13 - 30939*x^12 + 10257*x^11 + 68534*x^10 - 27614*x^9 - 92576*x^8 + 37534*x^7 + 72508*x^6 - 26735*x^5 - 29140*x^4 + 9339*x^3 + 4050*x^2 - 1464*x + 85, x^21 - 5*x^20 - 21*x^19 + 131*x^18 + 157*x^17 - 1436*x^16 - 379*x^15 + 8610*x^14 - 1237*x^13 - 30939*x^12 + 10257*x^11 + 68534*x^10 - 27614*x^9 - 92576*x^8 + 37534*x^7 + 72508*x^6 - 26735*x^5 - 29140*x^4 + 9339*x^3 + 4050*x^2 - 1464*x + 85, -x^22 + 5*x^21 + 23*x^20 - 141*x^19 - 197*x^18 + 1684*x^17 + 663*x^16 - 11142*x^15 + 522*x^14 + 44815*x^13 - 11171*x^12 - 113063*x^11 + 36281*x^10 + 178009*x^9 - 55184*x^8 - 168328*x^7 + 41921*x^6 + 87816*x^5 - 15086*x^4 - 20656*x^3 + 2179*x^2 + 1015*x - 80, -x^22 + 5*x^21 + 23*x^20 - 141*x^19 - 197*x^18 + 1684*x^17 + 663*x^16 - 11142*x^15 + 522*x^14 + 44815*x^13 - 11171*x^12 - 113063*x^11 + 36281*x^10 + 178009*x^9 - 55184*x^8 - 168328*x^7 + 41921*x^6 + 87816*x^5 - 15086*x^4 - 20656*x^3 + 2179*x^2 + 1015*x - 80, x^21 - 4*x^20 - 23*x^19 + 109*x^18 + 190*x^17 - 1237*x^16 - 497*x^15 + 7604*x^14 - 2128*x^13 - 27583*x^12 + 19304*x^11 + 60431*x^10 - 59164*x^9 - 79106*x^8 + 89809*x^7 + 59894*x^6 - 66209*x^5 - 24706*x^4 + 19671*x^3 + 4319*x^2 - 924*x + 37, x^21 - 4*x^20 - 23*x^19 + 109*x^18 + 190*x^17 - 1237*x^16 - 497*x^15 + 7604*x^14 - 2128*x^13 - 27583*x^12 + 19304*x^11 + 60431*x^10 - 59164*x^9 - 79106*x^8 + 89809*x^7 + 59894*x^6 - 66209*x^5 - 24706*x^4 + 19671*x^3 + 4319*x^2 - 924*x + 37, x^21 - 3*x^20 - 27*x^19 + 83*x^18 + 301*x^17 - 949*x^16 - 1811*x^15 + 5841*x^14 + 6461*x^13 - 21142*x^12 - 14129*x^11 + 46372*x^10 + 18492*x^9 - 61934*x^8 - 11857*x^7 + 50164*x^6 - 769*x^5 - 23757*x^4 + 3924*x^3 + 5219*x^2 - 836*x + 32, x^21 - 3*x^20 - 27*x^19 + 83*x^18 + 301*x^17 - 949*x^16 - 1811*x^15 + 5841*x^14 + 6461*x^13 - 21142*x^12 - 14129*x^11 + 46372*x^10 + 18492*x^9 - 61934*x^8 - 11857*x^7 + 50164*x^6 - 769*x^5 - 23757*x^4 + 3924*x^3 + 5219*x^2 - 836*x + 32, x^20 - 6*x^19 - 16*x^18 + 148*x^17 + 35*x^16 - 1494*x^15 + 838*x^14 + 7965*x^13 - 7583*x^12 - 24117*x^11 + 28543*x^10 + 41518*x^9 - 55597*x^8 - 38768*x^7 + 56345*x^6 + 17973*x^5 - 27379*x^4 - 3221*x^3 + 4863*x^2 - 80*x - 20, x^20 - 6*x^19 - 16*x^18 + 148*x^17 + 35*x^16 - 1494*x^15 + 838*x^14 + 7965*x^13 - 7583*x^12 - 24117*x^11 + 28543*x^10 + 41518*x^9 - 55597*x^8 - 38768*x^7 + 56345*x^6 + 17973*x^5 - 27379*x^4 - 3221*x^3 + 4863*x^2 - 80*x - 20, x^20 - 5*x^19 - 21*x^18 + 131*x^17 + 153*x^16 - 1420*x^15 - 312*x^14 + 8294*x^13 - 1629*x^12 - 28444*x^11 + 10994*x^10 + 58419*x^9 - 26165*x^8 - 69932*x^7 + 29233*x^6 + 44261*x^5 - 13995*x^4 - 10578*x^3 + 1790*x^2 - 620*x + 41, x^20 - 5*x^19 - 21*x^18 + 131*x^17 + 153*x^16 - 1420*x^15 - 312*x^14 + 8294*x^13 - 1629*x^12 - 28444*x^11 + 10994*x^10 + 58419*x^9 - 26165*x^8 - 69932*x^7 + 29233*x^6 + 44261*x^5 - 13995*x^4 - 10578*x^3 + 1790*x^2 - 620*x + 41, -4*x^19 + 14*x^18 + 88*x^17 - 335*x^16 - 755*x^15 + 3263*x^14 + 3137*x^13 - 16733*x^12 - 5982*x^11 + 48728*x^10 + 1673*x^9 - 80991*x^8 + 11247*x^7 + 73701*x^6 - 15539*x^5 - 33806*x^4 + 6957*x^3 + 6124*x^2 - 756*x + 21, -4*x^19 + 14*x^18 + 88*x^17 - 335*x^16 - 755*x^15 + 3263*x^14 + 3137*x^13 - 16733*x^12 - 5982*x^11 + 48728*x^10 + 1673*x^9 - 80991*x^8 + 11247*x^7 + 73701*x^6 - 15539*x^5 - 33806*x^4 + 6957*x^3 + 6124*x^2 - 756*x + 21, -x^21 + 6*x^20 + 18*x^19 - 158*x^18 - 73*x^17 + 1730*x^16 - 592*x^15 - 10227*x^14 + 7192*x^13 + 35379*x^12 - 31017*x^11 - 72238*x^10 + 68422*x^9 + 82547*x^8 - 78928*x^7 - 44605*x^6 + 42635*x^5 + 4938*x^4 - 7281*x^3 + 2681*x^2 - 593*x + 33, -x^21 + 6*x^20 + 18*x^19 - 158*x^18 - 73*x^17 + 1730*x^16 - 592*x^15 - 10227*x^14 + 7192*x^13 + 35379*x^12 - 31017*x^11 - 72238*x^10 + 68422*x^9 + 82547*x^8 - 78928*x^7 - 44605*x^6 + 42635*x^5 + 4938*x^4 - 7281*x^3 + 2681*x^2 - 593*x + 33, x^21 - 3*x^20 - 29*x^19 + 92*x^18 + 343*x^17 - 1187*x^16 - 2081*x^15 + 8340*x^14 + 6485*x^13 - 34602*x^12 - 7207*x^11 + 86176*x^10 - 12854*x^9 - 125865*x^8 + 46269*x^7 + 102376*x^6 - 46908*x^5 - 43774*x^4 + 17012*x^3 + 8101*x^2 - 897*x + 16, x^21 - 3*x^20 - 29*x^19 + 92*x^18 + 343*x^17 - 1187*x^16 - 2081*x^15 + 8340*x^14 + 6485*x^13 - 34602*x^12 - 7207*x^11 + 86176*x^10 - 12854*x^9 - 125865*x^8 + 46269*x^7 + 102376*x^6 - 46908*x^5 - 43774*x^4 + 17012*x^3 + 8101*x^2 - 897*x + 16, x^20 - 2*x^19 - 30*x^18 + 62*x^17 + 366*x^16 - 771*x^15 - 2374*x^14 + 5020*x^13 + 8965*x^12 - 18565*x^11 - 20327*x^10 + 39284*x^9 + 27640*x^8 - 45118*x^7 - 21647*x^6 + 24283*x^5 + 8259*x^4 - 3722*x^3 - 1013*x^2 - 625*x + 54, x^20 - 2*x^19 - 30*x^18 + 62*x^17 + 366*x^16 - 771*x^15 - 2374*x^14 + 5020*x^13 + 8965*x^12 - 18565*x^11 - 20327*x^10 + 39284*x^9 + 27640*x^8 - 45118*x^7 - 21647*x^6 + 24283*x^5 + 8259*x^4 - 3722*x^3 - 1013*x^2 - 625*x + 54, x^21 - 4*x^20 - 25*x^19 + 110*x^18 + 258*x^17 - 1281*x^16 - 1431*x^15 + 8248*x^14 + 4717*x^13 - 32161*x^12 - 10001*x^11 + 78178*x^10 + 15372*x^9 - 117348*x^8 - 18671*x^7 + 103514*x^6 + 15456*x^5 - 47896*x^4 - 6444*x^3 + 8695*x^2 + 678*x - 97, x^21 - 4*x^20 - 25*x^19 + 110*x^18 + 258*x^17 - 1281*x^16 - 1431*x^15 + 8248*x^14 + 4717*x^13 - 32161*x^12 - 10001*x^11 + 78178*x^10 + 15372*x^9 - 117348*x^8 - 18671*x^7 + 103514*x^6 + 15456*x^5 - 47896*x^4 - 6444*x^3 + 8695*x^2 + 678*x - 97, x^19 - 9*x^18 - 11*x^17 + 225*x^16 - 75*x^15 - 2324*x^14 + 1777*x^13 + 12879*x^12 - 11437*x^11 - 41536*x^10 + 35735*x^9 + 78926*x^8 - 57662*x^7 - 85183*x^6 + 44863*x^5 + 47297*x^4 - 13888*x^3 - 10152*x^2 + 835*x - 1, x^19 - 9*x^18 - 11*x^17 + 225*x^16 - 75*x^15 - 2324*x^14 + 1777*x^13 + 12879*x^12 - 11437*x^11 - 41536*x^10 + 35735*x^9 + 78926*x^8 - 57662*x^7 - 85183*x^6 + 44863*x^5 + 47297*x^4 - 13888*x^3 - 10152*x^2 + 835*x - 1, -x^22 + x^21 + 35*x^20 - 31*x^19 - 530*x^18 + 408*x^17 + 4546*x^16 - 2985*x^15 - 24245*x^14 + 13336*x^13 + 82928*x^12 - 37529*x^11 - 180825*x^10 + 65845*x^9 + 241811*x^8 - 68205*x^7 - 183446*x^6 + 37150*x^5 + 68821*x^4 - 8927*x^3 - 9235*x^2 + 627*x + 7, -x^22 + x^21 + 35*x^20 - 31*x^19 - 530*x^18 + 408*x^17 + 4546*x^16 - 2985*x^15 - 24245*x^14 + 13336*x^13 + 82928*x^12 - 37529*x^11 - 180825*x^10 + 65845*x^9 + 241811*x^8 - 68205*x^7 - 183446*x^6 + 37150*x^5 + 68821*x^4 - 8927*x^3 - 9235*x^2 + 627*x + 7, x^20 - x^19 - 35*x^18 + 36*x^17 + 510*x^16 - 524*x^15 - 4025*x^14 + 4003*x^13 + 18782*x^12 - 17449*x^11 - 53100*x^10 + 44070*x^9 + 89635*x^8 - 62395*x^7 - 86058*x^6 + 45551*x^5 + 42904*x^4 - 14865*x^3 - 8431*x^2 + 1460*x - 57, x^20 - x^19 - 35*x^18 + 36*x^17 + 510*x^16 - 524*x^15 - 4025*x^14 + 4003*x^13 + 18782*x^12 - 17449*x^11 - 53100*x^10 + 44070*x^9 + 89635*x^8 - 62395*x^7 - 86058*x^6 + 45551*x^5 + 42904*x^4 - 14865*x^3 - 8431*x^2 + 1460*x - 57, -x^20 + x^19 + 35*x^18 - 40*x^17 - 494*x^16 + 591*x^15 + 3709*x^14 - 4395*x^13 - 16287*x^12 + 18186*x^11 + 42985*x^10 - 42621*x^9 - 66991*x^8 + 54094*x^7 + 57811*x^6 - 32811*x^5 - 24342*x^4 + 7316*x^3 + 3761*x^2 + 45*x - 28, -x^20 + x^19 + 35*x^18 - 40*x^17 - 494*x^16 + 591*x^15 + 3709*x^14 - 4395*x^13 - 16287*x^12 + 18186*x^11 + 42985*x^10 - 42621*x^9 - 66991*x^8 + 54094*x^7 + 57811*x^6 - 32811*x^5 - 24342*x^4 + 7316*x^3 + 3761*x^2 + 45*x - 28, -x^21 + x^20 + 34*x^19 - 34*x^18 - 481*x^17 + 456*x^16 + 3717*x^15 - 3149*x^14 - 17273*x^13 + 12078*x^12 + 49908*x^11 - 25325*x^10 - 89112*x^9 + 24897*x^8 + 93829*x^7 - 2864*x^6 - 51934*x^5 - 11200*x^4 + 10673*x^3 + 5346*x^2 + 650*x - 84, -x^21 + x^20 + 34*x^19 - 34*x^18 - 481*x^17 + 456*x^16 + 3717*x^15 - 3149*x^14 - 17273*x^13 + 12078*x^12 + 49908*x^11 - 25325*x^10 - 89112*x^9 + 24897*x^8 + 93829*x^7 - 2864*x^6 - 51934*x^5 - 11200*x^4 + 10673*x^3 + 5346*x^2 + 650*x - 84, -x^20 + 6*x^19 + 15*x^18 - 144*x^17 - 18*x^16 + 1412*x^15 - 934*x^14 - 7308*x^13 + 7737*x^12 + 21521*x^11 - 28290*x^10 - 36298*x^9 + 55362*x^8 + 33914*x^7 - 59180*x^6 - 16669*x^5 + 32511*x^4 + 3666*x^3 - 7091*x^2 - 58*x + 43, -x^20 + 6*x^19 + 15*x^18 - 144*x^17 - 18*x^16 + 1412*x^15 - 934*x^14 - 7308*x^13 + 7737*x^12 + 21521*x^11 - 28290*x^10 - 36298*x^9 + 55362*x^8 + 33914*x^7 - 59180*x^6 - 16669*x^5 + 32511*x^4 + 3666*x^3 - 7091*x^2 - 58*x + 43, x^22 - 4*x^21 - 27*x^20 + 120*x^19 + 295*x^18 - 1524*x^17 - 1642*x^16 + 10675*x^15 + 4669*x^14 - 45066*x^13 - 4847*x^12 + 117754*x^11 - 6126*x^10 - 188427*x^9 + 18568*x^8 + 176628*x^7 - 11014*x^6 - 88556*x^5 - 2135*x^4 + 19042*x^3 + 2315*x^2 - 608*x + 25, x^22 - 4*x^21 - 27*x^20 + 120*x^19 + 295*x^18 - 1524*x^17 - 1642*x^16 + 10675*x^15 + 4669*x^14 - 45066*x^13 - 4847*x^12 + 117754*x^11 - 6126*x^10 - 188427*x^9 + 18568*x^8 + 176628*x^7 - 11014*x^6 - 88556*x^5 - 2135*x^4 + 19042*x^3 + 2315*x^2 - 608*x + 25, x^20 - 4*x^19 - 21*x^18 + 95*x^17 + 176*x^16 - 933*x^15 - 790*x^14 + 4940*x^13 + 2429*x^12 - 15459*x^11 - 7045*x^10 + 29561*x^9 + 18358*x^8 - 34346*x^7 - 29875*x^6 + 22687*x^5 + 23070*x^4 - 7126*x^3 - 6500*x^2 + 591*x - 5, x^20 - 4*x^19 - 21*x^18 + 95*x^17 + 176*x^16 - 933*x^15 - 790*x^14 + 4940*x^13 + 2429*x^12 - 15459*x^11 - 7045*x^10 + 29561*x^9 + 18358*x^8 - 34346*x^7 - 29875*x^6 + 22687*x^5 + 23070*x^4 - 7126*x^3 - 6500*x^2 + 591*x - 5, x^19 - 30*x^17 + 2*x^16 + 370*x^15 - 31*x^14 - 2436*x^13 + 148*x^12 + 9261*x^11 - 43*x^10 - 20413*x^9 - 1542*x^8 + 24556*x^7 + 3994*x^6 - 13659*x^5 - 3035*x^4 + 2189*x^3 + 656*x^2 + 299*x - 27, x^19 - 30*x^17 + 2*x^16 + 370*x^15 - 31*x^14 - 2436*x^13 + 148*x^12 + 9261*x^11 - 43*x^10 - 20413*x^9 - 1542*x^8 + 24556*x^7 + 3994*x^6 - 13659*x^5 - 3035*x^4 + 2189*x^3 + 656*x^2 + 299*x - 27]>,
         rec<Eigen |
           DefiningPolynomial := x^25 + 7*x^24 - 11*x^23 - 176*x^22 - 117*x^21 + 1821*x^20 + 2821*x^19 - 9991*x^18 - 22125*x^17 + 30766*x^16 + 94175*x^15 - 48704*x^14 - 242498*x^13 + 14307*x^12 + 387797*x^11 + 83198*x^10 - 377989*x^9 - 149384*x^8 + 209059*x^7 + 112252*x^6 - 54115*x^5 - 38712*x^4 + 2387*x^3 + 4558*x^2 + 665*x + 25,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x^24 - 7*x^23 + 9*x^22 + 162*x^21 + 132*x^20 - 1517*x^19 - 2533*x^18 + 7369*x^17 + 17372*x^16 - 19429*x^15 - 64637*x^14 + 24279*x^13 + 143683*x^12 + 1110*x^11 - 194819*x^10 - 43371*x^9 + 157407*x^8 + 54008*x^7 - 70401*x^6 - 28494*x^5 + 14812*x^4 + 6393*x^3 - 1008*x^2 - 492*x - 30, x^24 + 7*x^23 - 9*x^22 - 162*x^21 - 132*x^20 + 1517*x^19 + 2533*x^18 - 7369*x^17 - 17372*x^16 + 19429*x^15 + 64637*x^14 - 24279*x^13 - 143683*x^12 - 1110*x^11 + 194819*x^10 + 43371*x^9 - 157407*x^8 - 54008*x^7 + 70401*x^6 + 28494*x^5 - 14812*x^4 - 6393*x^3 + 1008*x^2 + 492*x + 30, -x^23 - 7*x^22 + 8*x^21 + 156*x^20 + 145*x^19 - 1380*x^18 - 2515*x^17 + 6091*x^16 + 16185*x^15 - 13100*x^14 - 55889*x^13 + 6275*x^12 + 112175*x^11 + 30465*x^10 - 130536*x^9 - 68123*x^8 + 81693*x^7 + 59941*x^6 - 21264*x^5 - 23156*x^4 - 568*x^3 + 2803*x^2 + 582*x + 35, x^23 + 7*x^22 - 8*x^21 - 156*x^20 - 145*x^19 + 1380*x^18 + 2515*x^17 - 6091*x^16 - 16185*x^15 + 13100*x^14 + 55889*x^13 - 6275*x^12 - 112175*x^11 - 30465*x^10 + 130536*x^9 + 68123*x^8 - 81693*x^7 - 59941*x^6 + 21264*x^5 + 23156*x^4 + 568*x^3 - 2803*x^2 - 582*x - 35, -x^23 - 7*x^22 + 7*x^21 + 148*x^20 + 143*x^19 - 1242*x^18 - 2238*x^17 + 5246*x^16 + 13353*x^15 - 11325*x^14 - 42926*x^13 + 9142*x^12 + 80803*x^11 + 9362*x^10 - 90046*x^9 - 27253*x^8 + 56965*x^7 + 23817*x^6 - 18039*x^5 - 9163*x^4 + 1947*x^3 + 1263*x^2 + 53*x - 10, x^23 + 7*x^22 - 7*x^21 - 148*x^20 - 143*x^19 + 1242*x^18 + 2238*x^17 - 5246*x^16 - 13353*x^15 + 11325*x^14 + 42926*x^13 - 9142*x^12 - 80803*x^11 - 9362*x^10 + 90046*x^9 + 27253*x^8 - 56965*x^7 - 23817*x^6 + 18039*x^5 + 9163*x^4 - 1947*x^3 - 1263*x^2 - 53*x + 10, -x^19 - 6*x^18 + 7*x^17 + 101*x^16 + 60*x^15 - 679*x^14 - 885*x^13 + 2190*x^12 + 4077*x^11 - 3147*x^10 - 8865*x^9 + 666*x^8 + 9252*x^7 + 2756*x^6 - 3878*x^5 - 2211*x^4 + 191*x^3 + 318*x^2 + 42*x - 5, x^19 + 6*x^18 - 7*x^17 - 101*x^16 - 60*x^15 + 679*x^14 + 885*x^13 - 2190*x^12 - 4077*x^11 + 3147*x^10 + 8865*x^9 - 666*x^8 - 9252*x^7 - 2756*x^6 + 3878*x^5 + 2211*x^4 - 191*x^3 - 318*x^2 - 42*x + 5, -x^22 - 6*x^21 + 13*x^20 + 137*x^19 + 18*x^18 - 1278*x^17 - 1187*x^16 + 6329*x^15 + 8748*x^14 - 18004*x^13 - 31508*x^12 + 29355*x^11 + 64283*x^10 - 24752*x^9 - 75714*x^8 + 5933*x^7 + 49137*x^6 + 5338*x^5 - 15380*x^4 - 3590*x^3 + 1590*x^2 + 527*x + 30, x^22 + 6*x^21 - 13*x^20 - 137*x^19 - 18*x^18 + 1278*x^17 + 1187*x^16 - 6329*x^15 - 8748*x^14 + 18004*x^13 + 31508*x^12 - 29355*x^11 - 64283*x^10 + 24752*x^9 + 75714*x^8 - 5933*x^7 - 49137*x^6 - 5338*x^5 + 15380*x^4 + 3590*x^3 - 1590*x^2 - 527*x - 30, -x^22 - 7*x^21 + 5*x^20 + 134*x^19 + 148*x^18 - 1008*x^17 - 1932*x^16 + 3749*x^15 + 10156*x^14 - 6781*x^13 - 28664*x^12 + 3359*x^11 + 46273*x^10 + 7327*x^9 - 42281*x^8 - 12342*x^7 + 20248*x^6 + 6735*x^5 - 4178*x^4 - 1208*x^3 + 244*x^2 + 18*x, x^22 + 7*x^21 - 5*x^20 - 134*x^19 - 148*x^18 + 1008*x^17 + 1932*x^16 - 3749*x^15 - 10156*x^14 + 6781*x^13 + 28664*x^12 - 3359*x^11 - 46273*x^10 - 7327*x^9 + 42281*x^8 + 12342*x^7 - 20248*x^6 - 6735*x^5 + 4178*x^4 + 1208*x^3 - 244*x^2 - 18*x, -x^22 - 7*x^21 + 6*x^20 + 141*x^19 + 147*x^18 - 1115*x^17 - 2087*x^16 + 4355*x^15 + 11555*x^14 - 8356*x^13 - 34216*x^12 + 4893*x^11 + 58500*x^10 + 8791*x^9 - 58161*x^8 - 17849*x^7 + 32114*x^6 + 12596*x^5 - 8687*x^4 - 3922*x^3 + 817*x^2 + 464*x + 30, x^22 + 7*x^21 - 6*x^20 - 141*x^19 - 147*x^18 + 1115*x^17 + 2087*x^16 - 4355*x^15 - 11555*x^14 + 8356*x^13 + 34216*x^12 - 4893*x^11 - 58500*x^10 - 8791*x^9 + 58161*x^8 + 17849*x^7 - 32114*x^6 - 12596*x^5 + 8687*x^4 + 3922*x^3 - 817*x^2 - 464*x - 30, -x^20 - 6*x^19 + 9*x^18 + 112*x^17 + 46*x^16 - 836*x^15 - 902*x^14 + 3192*x^13 + 4633*x^12 - 6692*x^11 - 11534*x^10 + 7816*x^9 + 15204*x^8 - 5134*x^7 - 10465*x^6 + 2000*x^5 + 3474*x^4 - 444*x^3 - 495*x^2 + 14*x + 5, x^20 + 6*x^19 - 9*x^18 - 112*x^17 - 46*x^16 + 836*x^15 + 902*x^14 - 3192*x^13 - 4633*x^12 + 6692*x^11 + 11534*x^10 - 7816*x^9 - 15204*x^8 + 5134*x^7 + 10465*x^6 - 2000*x^5 - 3474*x^4 + 444*x^3 + 495*x^2 - 14*x - 5, -2*x^18 - 11*x^17 + 14*x^16 + 157*x^15 + 17*x^14 - 1002*x^13 - 556*x^12 + 3545*x^11 + 2669*x^10 - 7150*x^9 - 5952*x^8 + 7890*x^7 + 6587*x^6 - 4211*x^5 - 3283*x^4 + 762*x^3 + 537*x^2 - 19*x - 5, 2*x^18 + 11*x^17 - 14*x^16 - 157*x^15 - 17*x^14 + 1002*x^13 + 556*x^12 - 3545*x^11 - 2669*x^10 + 7150*x^9 + 5952*x^8 - 7890*x^7 - 6587*x^6 + 4211*x^5 + 3283*x^4 - 762*x^3 - 537*x^2 + 19*x + 5, -x^21 - 6*x^20 + 10*x^19 + 120*x^18 + 50*x^17 - 949*x^16 - 1108*x^15 + 3844*x^14 + 6377*x^13 - 8428*x^12 - 18537*x^11 + 9066*x^10 + 30070*x^9 - 1658*x^8 - 26623*x^7 - 5466*x^6 + 11222*x^5 + 4186*x^4 - 1432*x^3 - 686*x^2 - 25*x - 5, x^21 + 6*x^20 - 10*x^19 - 120*x^18 - 50*x^17 + 949*x^16 + 1108*x^15 - 3844*x^14 - 6377*x^13 + 8428*x^12 + 18537*x^11 - 9066*x^10 - 30070*x^9 + 1658*x^8 + 26623*x^7 + 5466*x^6 - 11222*x^5 - 4186*x^4 + 1432*x^3 + 686*x^2 + 25*x + 5, -x^21 - 7*x^20 + 3*x^19 + 119*x^18 + 143*x^17 - 796*x^16 - 1534*x^15 + 2701*x^14 + 7002*x^13 - 4886*x^12 - 17589*x^11 + 4238*x^10 + 26002*x^9 - 477*x^8 - 22643*x^7 - 2073*x^6 + 10976*x^5 + 1537*x^4 - 2588*x^3 - 375*x^2 + 214*x + 20, x^21 + 7*x^20 - 3*x^19 - 119*x^18 - 143*x^17 + 796*x^16 + 1534*x^15 - 2701*x^14 - 7002*x^13 + 4886*x^12 + 17589*x^11 - 4238*x^10 - 26002*x^9 + 477*x^8 + 22643*x^7 + 2073*x^6 - 10976*x^5 - 1537*x^4 + 2588*x^3 + 375*x^2 - 214*x - 20, -x^21 - 7*x^20 + 2*x^19 + 115*x^18 + 163*x^17 - 701*x^16 - 1663*x^15 + 1843*x^14 + 7260*x^13 - 897*x^12 - 16941*x^11 - 6273*x^10 + 21763*x^9 + 15388*x^8 - 14074*x^7 - 15009*x^6 + 2885*x^5 + 6418*x^4 + 885*x^3 - 870*x^2 - 267*x - 10, x^21 + 7*x^20 - 2*x^19 - 115*x^18 - 163*x^17 + 701*x^16 + 1663*x^15 - 1843*x^14 - 7260*x^13 + 897*x^12 + 16941*x^11 + 6273*x^10 - 21763*x^9 - 15388*x^8 + 14074*x^7 + 15009*x^6 - 2885*x^5 - 6418*x^4 - 885*x^3 + 870*x^2 + 267*x + 10, -x^21 - 7*x^20 + 4*x^19 + 127*x^18 + 151*x^17 - 891*x^16 - 1798*x^15 + 2969*x^14 + 8710*x^13 - 4249*x^12 - 22303*x^11 - 571*x^10 + 31885*x^9 + 9404*x^8 - 24851*x^7 - 11221*x^6 + 9352*x^5 + 5241*x^4 - 1130*x^3 - 799*x^2 - 23*x + 10, x^21 + 7*x^20 - 4*x^19 - 127*x^18 - 151*x^17 + 891*x^16 + 1798*x^15 - 2969*x^14 - 8710*x^13 + 4249*x^12 + 22303*x^11 + 571*x^10 - 31885*x^9 - 9404*x^8 + 24851*x^7 + 11221*x^6 - 9352*x^5 - 5241*x^4 + 1130*x^3 + 799*x^2 + 23*x - 10, -x^19 - 5*x^18 + 11*x^17 + 81*x^16 - 44*x^15 - 603*x^14 - 8*x^13 + 2559*x^12 + 748*x^11 - 6445*x^10 - 2882*x^9 + 9521*x^8 + 5082*x^7 - 7813*x^6 - 4630*x^5 + 3006*x^4 + 1995*x^3 - 286*x^2 - 255*x - 15, x^19 + 5*x^18 - 11*x^17 - 81*x^16 + 44*x^15 + 603*x^14 + 8*x^13 - 2559*x^12 - 748*x^11 + 6445*x^10 + 2882*x^9 - 9521*x^8 - 5082*x^7 + 7813*x^6 + 4630*x^5 - 3006*x^4 - 1995*x^3 + 286*x^2 + 255*x + 15, -4*x^17 - 25*x^16 + x^15 + 280*x^14 + 337*x^13 - 1204*x^12 - 2156*x^11 + 2442*x^10 + 5795*x^9 - 2297*x^8 - 7747*x^7 + 846*x^6 + 5225*x^5 - 33*x^4 - 1649*x^3 - 51*x^2 + 208*x + 20, 4*x^17 + 25*x^16 - x^15 - 280*x^14 - 337*x^13 + 1204*x^12 + 2156*x^11 - 2442*x^10 - 5795*x^9 + 2297*x^8 + 7747*x^7 - 846*x^6 - 5225*x^5 + 33*x^4 + 1649*x^3 + 51*x^2 - 208*x - 20, -x^20 - 6*x^19 + 9*x^18 + 117*x^17 + 78*x^16 - 834*x^15 - 1251*x^14 + 2769*x^13 + 6141*x^12 - 4134*x^11 - 14890*x^10 + 978*x^9 + 19374*x^8 + 4588*x^7 - 13205*x^6 - 5387*x^5 + 4076*x^4 + 2172*x^3 - 336*x^2 - 255*x - 15, x^20 + 6*x^19 - 9*x^18 - 117*x^17 - 78*x^16 + 834*x^15 + 1251*x^14 - 2769*x^13 - 6141*x^12 + 4134*x^11 + 14890*x^10 - 978*x^9 - 19374*x^8 - 4588*x^7 + 13205*x^6 + 5387*x^5 - 4076*x^4 - 2172*x^3 + 336*x^2 + 255*x + 15, -2*x^20 - 11*x^19 + 23*x^18 + 212*x^17 + x^16 - 1651*x^15 - 1120*x^14 + 6807*x^13 + 6830*x^12 - 16155*x^11 - 19323*x^10 + 22116*x^9 + 29717*x^8 - 15987*x^7 - 24710*x^6 + 4235*x^5 + 9872*x^4 + 732*x^3 - 1279*x^2 - 277*x - 15, 2*x^20 + 11*x^19 - 23*x^18 - 212*x^17 - x^16 + 1651*x^15 + 1120*x^14 - 6807*x^13 - 6830*x^12 + 16155*x^11 + 19323*x^10 - 22116*x^9 - 29717*x^8 + 15987*x^7 + 24710*x^6 - 4235*x^5 - 9872*x^4 - 732*x^3 + 1279*x^2 + 277*x + 15, x^19 + 7*x^18 + x^17 - 96*x^16 - 172*x^15 + 427*x^14 + 1349*x^13 - 426*x^12 - 4467*x^11 - 2056*x^10 + 7243*x^9 + 6812*x^8 - 5302*x^7 - 8018*x^6 + 671*x^5 + 3881*x^4 + 928*x^3 - 534*x^2 - 234*x - 15, -x^19 - 7*x^18 - x^17 + 96*x^16 + 172*x^15 - 427*x^14 - 1349*x^13 + 426*x^12 + 4467*x^11 + 2056*x^10 - 7243*x^9 - 6812*x^8 + 5302*x^7 + 8018*x^6 - 671*x^5 - 3881*x^4 - 928*x^3 + 534*x^2 + 234*x + 15, -x^20 - 6*x^19 + 8*x^18 + 106*x^17 + 48*x^16 - 763*x^15 - 815*x^14 + 2913*x^13 + 4081*x^12 - 6408*x^11 - 10433*x^10 + 8226*x^9 + 14894*x^8 - 5850*x^7 - 11711*x^6 + 1825*x^5 + 4521*x^4 + 22*x^3 - 615*x^2 - 46*x + 5, x^20 + 6*x^19 - 8*x^18 - 106*x^17 - 48*x^16 + 763*x^15 + 815*x^14 - 2913*x^13 - 4081*x^12 + 6408*x^11 + 10433*x^10 - 8226*x^9 - 14894*x^8 + 5850*x^7 + 11711*x^6 - 1825*x^5 - 4521*x^4 - 22*x^3 + 615*x^2 + 46*x - 5, -x^20 - 9*x^19 - 13*x^18 + 106*x^17 + 350*x^16 - 285*x^15 - 2339*x^14 - 1018*x^13 + 6994*x^12 + 7287*x^11 - 9838*x^10 - 16030*x^9 + 4744*x^8 + 16119*x^7 + 2439*x^6 - 7023*x^5 - 2931*x^4 + 811*x^3 + 585*x^2 + 48*x - 5, x^20 + 9*x^19 + 13*x^18 - 106*x^17 - 350*x^16 + 285*x^15 + 2339*x^14 + 1018*x^13 - 6994*x^12 - 7287*x^11 + 9838*x^10 + 16030*x^9 - 4744*x^8 - 16119*x^7 - 2439*x^6 + 7023*x^5 + 2931*x^4 - 811*x^3 - 585*x^2 - 48*x + 5, -x^20 - 8*x^19 - 8*x^18 + 95*x^17 + 268*x^16 - 255*x^15 - 1776*x^14 - 923*x^13 + 4893*x^12 + 6523*x^11 - 5187*x^10 - 14055*x^9 - 1510*x^8 + 13320*x^7 + 7347*x^6 - 4552*x^5 - 4809*x^4 - 394*x^3 + 768*x^2 + 249*x + 15, x^20 + 8*x^19 + 8*x^18 - 95*x^17 - 268*x^16 + 255*x^15 + 1776*x^14 + 923*x^13 - 4893*x^12 - 6523*x^11 + 5187*x^10 + 14055*x^9 + 1510*x^8 - 13320*x^7 - 7347*x^6 + 4552*x^5 + 4809*x^4 + 394*x^3 - 768*x^2 - 249*x - 15, -x^20 - 8*x^19 - 5*x^18 + 112*x^17 + 243*x^16 - 550*x^15 - 1943*x^14 + 915*x^13 + 7280*x^12 + 1228*x^11 - 15081*x^10 - 7203*x^9 + 18106*x^8 + 11762*x^7 - 12297*x^6 - 9355*x^5 + 4083*x^4 + 3567*x^3 - 345*x^2 - 468*x - 35, x^20 + 8*x^19 + 5*x^18 - 112*x^17 - 243*x^16 + 550*x^15 + 1943*x^14 - 915*x^13 - 7280*x^12 - 1228*x^11 + 15081*x^10 + 7203*x^9 - 18106*x^8 - 11762*x^7 + 12297*x^6 + 9355*x^5 - 4083*x^4 - 3567*x^3 + 345*x^2 + 468*x + 35, x^19 + 5*x^18 - 14*x^17 - 106*x^16 + 3*x^15 + 790*x^14 + 648*x^13 - 2777*x^12 - 3582*x^11 + 4882*x^10 + 8445*x^9 - 3860*x^8 - 9853*x^7 + 494*x^6 + 5392*x^5 + 757*x^4 - 1070*x^3 - 177*x^2 + 50*x, -x^19 - 5*x^18 + 14*x^17 + 106*x^16 - 3*x^15 - 790*x^14 - 648*x^13 + 2777*x^12 + 3582*x^11 - 4882*x^10 - 8445*x^9 + 3860*x^8 + 9853*x^7 - 494*x^6 - 5392*x^5 - 757*x^4 + 1070*x^3 + 177*x^2 - 50*x, -2*x^18 - 14*x^17 - 9*x^16 + 140*x^15 + 285*x^14 - 412*x^13 - 1517*x^12 - 65*x^11 + 3206*x^10 + 2251*x^9 - 2386*x^8 - 3565*x^7 - 573*x^6 + 1754*x^5 + 1257*x^4 - 26*x^3 - 254*x^2 - 60*x - 5, 2*x^18 + 14*x^17 + 9*x^16 - 140*x^15 - 285*x^14 + 412*x^13 + 1517*x^12 + 65*x^11 - 3206*x^10 - 2251*x^9 + 2386*x^8 + 3565*x^7 + 573*x^6 - 1754*x^5 - 1257*x^4 + 26*x^3 + 254*x^2 + 60*x + 5, -4*x^16 - 17*x^15 + 35*x^14 + 210*x^13 - 83*x^12 - 1038*x^11 - 80*x^10 + 2602*x^9 + 591*x^8 - 3479*x^7 - 789*x^6 + 2424*x^5 + 377*x^4 - 787*x^3 - 75*x^2 + 99*x + 10, 4*x^16 + 17*x^15 - 35*x^14 - 210*x^13 + 83*x^12 + 1038*x^11 + 80*x^10 - 2602*x^9 - 591*x^8 + 3479*x^7 + 789*x^6 - 2424*x^5 - 377*x^4 + 787*x^3 + 75*x^2 - 99*x - 10]>
       ]
>;

MOG[677] := 	// J_0(677)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 6, 10, 96, 103, 119, 227, 291, 309, 401, 405, 517, 553, 559, 655, 327*x + 247, 350*x + 247, 122*x + 451, 555*x + 451, 477*x + 98, 200*x + 98, 316*x + 408, 361*x + 408, 304*x + 359, 373*x + 359, 588*x + 451, 89*x + 451, 225*x + 596, 452*x + 596, 623*x + 598, 54*x + 598, 158*x + 592, 519*x + 592, 344*x + 265, 333*x + 265, 225*x + 398, 452*x + 398, 333*x + 33, 344*x + 33, 396*x + 192, 281*x + 192, 406*x + 283, 271*x + 283, 114*x + 21, 563*x + 21, 632*x + 64, 45*x + 64, 144*x + 119, 533*x + 119, 22*x + 323, 655*x + 323, 49*x + 119, 628*x + 119, x + 428, 676*x + 428, 99*x + 262, 578*x + 262]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, 1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 1, -1, -1, 1, 0, 0, -1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, -1, 1, -1, -1, 1, 1, -1, 1, -1, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^2 + x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x - 2, x + 2, 0, 0, -x - 1, x + 1, x + 1, -x - 1, 1, -1, 0, 0, x + 1, -x - 1, x + 2, -x - 2, -x - 1, x + 1, x + 1, -x - 1, x + 1, -x - 1, -x - 1, x + 1, -x - 2, x + 2, -x - 2, x + 2, x + 2, -x - 2, 1, -1, 0, 0, -1, 1, -x - 1, x + 1, -x - 1, x + 1, 1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^18 + 2*x^17 - 21*x^16 - 39*x^15 + 181*x^14 + 306*x^13 - 828*x^12 - 1251*x^11 + 2158*x^10 + 2878*x^9 - 3173*x^8 - 3735*x^7 + 2393*x^6 + 2569*x^5 - 671*x^4 - 785*x^3 - 36*x^2 + 56*x + 8,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^16 - 3*x^15 + 15*x^14 + 45*x^13 - 90*x^12 - 263*x^11 + 274*x^10 + 761*x^9 - 427*x^8 - 1146*x^7 + 278*x^6 + 859*x^5 + 6*x^4 - 269*x^3 - 51*x^2 + 18*x + 4, x^16 + 3*x^15 - 15*x^14 - 45*x^13 + 90*x^12 + 263*x^11 - 274*x^10 - 761*x^9 + 427*x^8 + 1146*x^7 - 278*x^6 - 859*x^5 - 6*x^4 + 269*x^3 + 51*x^2 - 18*x - 4, -x^16 - 3*x^15 + 14*x^14 + 44*x^13 - 76*x^12 - 254*x^11 + 199*x^10 + 734*x^9 - 244*x^8 - 1110*x^7 + 85*x^6 + 824*x^5 + 68*x^4 - 243*x^3 - 45*x^2 + 18*x + 4, x^16 + 3*x^15 - 14*x^14 - 44*x^13 + 76*x^12 + 254*x^11 - 199*x^10 - 734*x^9 + 244*x^8 + 1110*x^7 - 85*x^6 - 824*x^5 - 68*x^4 + 243*x^3 + 45*x^2 - 18*x - 4, -x^17 - 2*x^16 + 18*x^15 + 31*x^14 - 134*x^13 - 187*x^12 + 528*x^11 + 562*x^10 - 1161*x^9 - 902*x^8 + 1388*x^7 + 774*x^6 - 818*x^5 - 337*x^4 + 192*x^3 + 63*x^2 - 14*x - 4, x^17 + 2*x^16 - 18*x^15 - 31*x^14 + 134*x^13 + 187*x^12 - 528*x^11 - 562*x^10 + 1161*x^9 + 902*x^8 - 1388*x^7 - 774*x^6 + 818*x^5 + 337*x^4 - 192*x^3 - 63*x^2 + 14*x + 4, -x^17 - 2*x^16 + 18*x^15 + 31*x^14 - 136*x^13 - 190*x^12 + 554*x^11 + 591*x^10 - 1296*x^9 - 1008*x^8 + 1723*x^7 + 964*x^6 - 1211*x^5 - 512*x^4 + 373*x^3 + 134*x^2 - 24*x - 8, x^17 + 2*x^16 - 18*x^15 - 31*x^14 + 136*x^13 + 190*x^12 - 554*x^11 - 591*x^10 + 1296*x^9 + 1008*x^8 - 1723*x^7 - 964*x^6 + 1211*x^5 + 512*x^4 - 373*x^3 - 134*x^2 + 24*x + 8, -x^15 - 2*x^14 + 15*x^13 + 26*x^12 - 92*x^11 - 131*x^10 + 291*x^9 + 325*x^8 - 492*x^7 - 418*x^6 + 420*x^5 + 263*x^4 - 149*x^3 - 65*x^2 + 10*x + 4, x^15 + 2*x^14 - 15*x^13 - 26*x^12 + 92*x^11 + 131*x^10 - 291*x^9 - 325*x^8 + 492*x^7 + 418*x^6 - 420*x^5 - 263*x^4 + 149*x^3 + 65*x^2 - 10*x - 4, -x^16 - 2*x^15 + 17*x^14 + 29*x^13 - 119*x^12 - 160*x^11 + 440*x^10 + 425*x^9 - 903*x^8 - 568*x^7 + 992*x^6 + 364*x^5 - 514*x^4 - 99*x^3 + 91*x^2 + 10*x - 4, x^16 + 2*x^15 - 17*x^14 - 29*x^13 + 119*x^12 + 160*x^11 - 440*x^10 - 425*x^9 + 903*x^8 + 568*x^7 - 992*x^6 - 364*x^5 + 514*x^4 + 99*x^3 - 91*x^2 - 10*x + 4, -x^16 - 3*x^15 + 15*x^14 + 45*x^13 - 91*x^12 - 266*x^11 + 283*x^10 + 790*x^9 - 455*x^8 - 1247*x^7 + 305*x^6 + 1009*x^5 + 29*x^4 - 354*x^3 - 90*x^2 + 24*x + 8, x^16 + 3*x^15 - 15*x^14 - 45*x^13 + 91*x^12 + 266*x^11 - 283*x^10 - 790*x^9 + 455*x^8 + 1247*x^7 - 305*x^6 - 1009*x^5 - 29*x^4 + 354*x^3 + 90*x^2 - 24*x - 8, -x^16 - 3*x^15 + 14*x^14 + 43*x^13 - 79*x^12 - 245*x^11 + 228*x^10 + 706*x^9 - 345*x^8 - 1083*x^7 + 235*x^6 + 847*x^5 - 17*x^4 - 282*x^3 - 39*x^2 + 22*x + 4, x^16 + 3*x^15 - 14*x^14 - 43*x^13 + 79*x^12 + 245*x^11 - 228*x^10 - 706*x^9 + 345*x^8 + 1083*x^7 - 235*x^6 - 847*x^5 + 17*x^4 + 282*x^3 + 39*x^2 - 22*x - 4, -x^16 - 2*x^15 + 17*x^14 + 29*x^13 - 119*x^12 - 161*x^11 + 435*x^10 + 430*x^9 - 861*x^8 - 578*x^7 + 862*x^6 + 386*x^5 - 349*x^4 - 126*x^3 + 24*x^2 + 8*x, x^16 + 2*x^15 - 17*x^14 - 29*x^13 + 119*x^12 + 161*x^11 - 435*x^10 - 430*x^9 + 861*x^8 + 578*x^7 - 862*x^6 - 386*x^5 + 349*x^4 + 126*x^3 - 24*x^2 - 8*x, -x^14 - 3*x^13 + 10*x^12 + 31*x^11 - 39*x^10 - 118*x^9 + 77*x^8 + 200*x^7 - 83*x^6 - 141*x^5 + 46*x^4 + 29*x^3 - 10*x^2 - 4*x, x^14 + 3*x^13 - 10*x^12 - 31*x^11 + 39*x^10 + 118*x^9 - 77*x^8 - 200*x^7 + 83*x^6 + 141*x^5 - 46*x^4 - 29*x^3 + 10*x^2 + 4*x, -x^15 - 2*x^14 + 15*x^13 + 27*x^12 - 88*x^11 - 137*x^10 + 258*x^9 + 334*x^8 - 396*x^7 - 410*x^6 + 304*x^5 + 238*x^4 - 101*x^3 - 53*x^2 + 10*x + 4, x^15 + 2*x^14 - 15*x^13 - 27*x^12 + 88*x^11 + 137*x^10 - 258*x^9 - 334*x^8 + 396*x^7 + 410*x^6 - 304*x^5 - 238*x^4 + 101*x^3 + 53*x^2 - 10*x - 4, -x^15 - 3*x^14 + 12*x^13 + 36*x^12 - 60*x^11 - 168*x^10 + 161*x^9 + 380*x^8 - 241*x^7 - 422*x^6 + 185*x^5 + 201*x^4 - 58*x^3 - 22*x^2 + 4*x, x^15 + 3*x^14 - 12*x^13 - 36*x^12 + 60*x^11 + 168*x^10 - 161*x^9 - 380*x^8 + 241*x^7 + 422*x^6 - 185*x^5 - 201*x^4 + 58*x^3 + 22*x^2 - 4*x, -x^15 - 2*x^14 + 17*x^13 + 29*x^12 - 119*x^11 - 161*x^10 + 435*x^9 + 430*x^8 - 861*x^7 - 578*x^6 + 862*x^5 + 386*x^4 - 349*x^3 - 126*x^2 + 24*x + 8, x^15 + 2*x^14 - 17*x^13 - 29*x^12 + 119*x^11 + 161*x^10 - 435*x^9 - 430*x^8 + 861*x^7 + 578*x^6 - 862*x^5 - 386*x^4 + 349*x^3 + 126*x^2 - 24*x - 8, -x^14 - 4*x^13 + 8*x^12 + 43*x^11 - 18*x^10 - 175*x^9 - 7*x^8 + 332*x^7 + 77*x^6 - 291*x^5 - 93*x^4 + 93*x^3 + 32*x^2, x^14 + 4*x^13 - 8*x^12 - 43*x^11 + 18*x^10 + 175*x^9 + 7*x^8 - 332*x^7 - 77*x^6 + 291*x^5 + 93*x^4 - 93*x^3 - 32*x^2, -x^13 - 3*x^12 + 10*x^11 + 31*x^10 - 39*x^9 - 118*x^8 + 77*x^7 + 200*x^6 - 83*x^5 - 141*x^4 + 46*x^3 + 29*x^2 - 10*x - 4, x^13 + 3*x^12 - 10*x^11 - 31*x^10 + 39*x^9 + 118*x^8 - 77*x^7 - 200*x^6 + 83*x^5 + 141*x^4 - 46*x^3 - 29*x^2 + 10*x + 4, -x^14 - x^13 + 16*x^12 + 11*x^11 - 99*x^10 - 38*x^9 + 296*x^8 + 38*x^7 - 434*x^6 + 24*x^5 + 280*x^4 - 42*x^3 - 59*x^2 + 6*x + 4, x^14 + x^13 - 16*x^12 - 11*x^11 + 99*x^10 + 38*x^9 - 296*x^8 - 38*x^7 + 434*x^6 - 24*x^5 - 280*x^4 + 42*x^3 + 59*x^2 - 6*x - 4, -x^14 - x^13 + 15*x^12 + 12*x^11 - 83*x^10 - 53*x^9 + 211*x^8 + 120*x^7 - 254*x^6 - 150*x^5 + 133*x^4 + 88*x^3 - 22*x^2 - 12*x, x^14 + x^13 - 15*x^12 - 12*x^11 + 83*x^10 + 53*x^9 - 211*x^8 - 120*x^7 + 254*x^6 + 150*x^5 - 133*x^4 - 88*x^3 + 22*x^2 + 12*x, -x^14 - 3*x^13 + 11*x^12 + 34*x^11 - 49*x^10 - 151*x^9 + 111*x^8 + 329*x^7 - 127*x^6 - 355*x^5 + 52*x^4 + 167*x^3 + 11*x^2 - 22*x - 4, x^14 + 3*x^13 - 11*x^12 - 34*x^11 + 49*x^10 + 151*x^9 - 111*x^8 - 329*x^7 + 127*x^6 + 355*x^5 - 52*x^4 - 167*x^3 - 11*x^2 + 22*x + 4, -x^13 - 3*x^12 + 11*x^11 + 32*x^10 - 50*x^9 - 125*x^8 + 118*x^7 + 214*x^6 - 137*x^5 - 154*x^4 + 61*x^3 + 32*x^2, x^13 + 3*x^12 - 11*x^11 - 32*x^10 + 50*x^9 + 125*x^8 - 118*x^7 - 214*x^6 + 137*x^5 + 154*x^4 - 61*x^3 - 32*x^2, -x^13 + 17*x^11 + x^10 - 100*x^9 - 3*x^8 + 262*x^7 + 6*x^6 - 321*x^5 - 17*x^4 + 167*x^3 + 19*x^2 - 22*x - 4, x^13 - 17*x^11 - x^10 + 100*x^9 + 3*x^8 - 262*x^7 - 6*x^6 + 321*x^5 + 17*x^4 - 167*x^3 - 19*x^2 + 22*x + 4, -x^13 - 2*x^12 + 11*x^11 + 17*x^10 - 50*x^9 - 51*x^8 + 114*x^7 + 67*x^6 - 133*x^5 - 34*x^4 + 69*x^3 - 8*x, x^13 + 2*x^12 - 11*x^11 - 17*x^10 + 50*x^9 + 51*x^8 - 114*x^7 - 67*x^6 + 133*x^5 + 34*x^4 - 69*x^3 + 8*x]>,
         rec<Eigen |
           DefiningPolynomial := x^35 - 4*x^34 - 50*x^33 + 212*x^32 + 1111*x^31 - 5067*x^30 - 14436*x^29 + 72281*x^28 + 121200*x^27 - 686439*x^26 - 682560*x^25 + 4583258*x^24 + 2560907*x^23 - 22145932*x^22 - 5894207*x^21 + 78504622*x^20 + 5101807*x^19 - 204692297*x^18 + 14924229*x^17 + 389756455*x^16 - 63835990*x^15 - 532557128*x^14 + 115587477*x^13 + 506592976*x^12 - 120360221*x^11 - 319597978*x^10 + 72459781*x^9 + 123668959*x^8 - 22528592*x^7 - 25663309*x^6 + 2515066*x^5 + 2191445*x^4 + 64449*x^3 - 34886*x^2 - 1924*x + 32,
           Coordinates        := [-x^34 + 4*x^33 + 47*x^32 - 200*x^31 - 976*x^30 + 4491*x^29 + 11766*x^28 - 59910*x^27 - 90764*x^26 + 529287*x^25 + 462932*x^24 - 3268191*x^23 - 1532379*x^22 + 14505483*x^21 + 2895168*x^20 - 46863533*x^19 - 853617*x^18 + 110340830*x^17 - 11205756*x^16 - 187634637*x^15 + 32764998*x^14 + 225869365*x^13 - 47283989*x^12 - 186046303*x^11 + 39063274*x^10 + 99327583*x^9 - 17694707*x^8 - 31473912*x^7 + 3610181*x^6 + 5075013*x^5 - 123317*x^4 - 307522*x^3 - 22060*x^2 + 2280*x + 160, x^34 - 4*x^33 - 47*x^32 + 202*x^31 + 968*x^30 - 4571*x^29 - 11420*x^28 + 61286*x^27 + 84144*x^26 - 542479*x^25 - 388982*x^24 + 3343535*x^23 + 996333*x^22 - 14746263*x^21 - 245040*x^20 + 47079871*x^19 - 8284863*x^18 - 108784402*x^17 + 33290986*x^16 + 179911609*x^15 - 69809740*x^14 - 208088481*x^13 + 89364219*x^12 + 161862889*x^11 - 70072714*x^10 - 79429907*x^9 + 31503779*x^8 + 22025738*x^7 - 6893845*x^6 - 2812333*x^5 + 475209*x^4 + 127702*x^3 - 13468*x^2 - 616*x + 192, 2*x^27 - 6*x^26 - 70*x^25 + 212*x^24 + 1074*x^23 - 3254*x^22 - 9622*x^21 + 28598*x^20 + 56882*x^19 - 159832*x^18 - 238890*x^17 + 597332*x^16 + 747232*x^15 - 1530446*x^14 - 1767814*x^13 + 2714234*x^12 + 3081138*x^11 - 3311622*x^10 - 3694288*x^9 + 2677132*x^8 + 2721654*x^7 - 1278816*x^6 - 1009340*x^5 + 259068*x^4 + 111730*x^3 + 4616*x^2 + 248*x + 96, 2*x^29 - 6*x^28 - 94*x^27 + 296*x^26 + 1882*x^25 - 6238*x^24 - 21318*x^23 + 74902*x^22 + 152080*x^21 - 573176*x^20 - 715498*x^19 + 2948464*x^18 + 2242974*x^17 - 10437790*x^16 - 4570050*x^15 + 25501628*x^14 + 5544400*x^13 - 42319348*x^12 - 2879668*x^11 + 45910536*x^10 - 1123456*x^9 - 30323524*x^8 + 1868248*x^7 + 10694766*x^6 - 340898*x^5 - 1528094*x^4 - 139380*x^3 + 39200*x^2 + 4520*x - 48, 2*x^27 - 30*x^26 + 34*x^25 + 938*x^24 - 2476*x^23 - 12284*x^22 + 42972*x^21 + 86546*x^20 - 387786*x^19 - 343696*x^18 + 2133054*x^17 + 672458*x^16 - 7577688*x^15 + 57646*x^14 + 17666962*x^13 - 3393768*x^12 - 26710026*x^11 + 7577614*x^10 + 25165528*x^9 - 7549312*x^8 - 13675020*x^7 + 3325458*x^6 + 3703770*x^5 - 408878*x^4 - 355230*x^3 - 20356*x^2 + 3072*x + 176, -6*x^29 + 28*x^28 + 212*x^27 - 1132*x^26 - 3078*x^25 + 20082*x^24 + 22642*x^23 - 205972*x^22 - 73056*x^21 + 1354820*x^20 - 117724*x^19 - 5991878*x^18 + 2148746*x^17 + 18158646*x^16 - 9583336*x^15 - 37692008*x^14 + 23565060*x^13 + 52628312*x^12 - 34940012*x^11 - 47559362*x^10 + 30685340*x^9 + 25979596*x^8 - 14552458*x^7 - 7598816*x^6 + 2963002*x^5 + 943140*x^4 - 124908*x^3 - 30896*x^2 - 600*x - 80, 2*x^30 - 6*x^29 - 86*x^28 + 260*x^27 + 1626*x^26 - 4942*x^25 - 17852*x^24 + 54294*x^23 + 126632*x^22 - 382120*x^21 - 611168*x^20 + 1802210*x^19 + 2060598*x^18 - 5776970*x^17 - 4917770*x^16 + 12452116*x^15 + 8379312*x^14 - 17314300*x^13 - 10328580*x^12 + 14010604*x^11 + 9399960*x^10 - 4674320*x^9 - 6254874*x^8 - 1103074*x^7 + 2632150*x^6 + 1093506*x^5 - 434150*x^4 - 176282*x^3 - 19384*x^2 - 688*x + 32, 2*x^28 - 10*x^27 - 58*x^26 + 352*x^25 + 650*x^24 - 5402*x^23 - 3114*x^22 + 47842*x^21 - 314*x^20 - 273596*x^19 + 80774*x^18 + 1075112*x^17 - 447432*x^16 - 3024910*x^15 + 1293078*x^14 + 6249862*x^13 - 2347330*x^12 - 9473898*x^11 + 2928956*x^10 + 10065708*x^9 - 2632610*x^8 - 6722124*x^7 + 1548292*x^6 + 2277748*x^5 - 406406*x^4 - 218844*x^3 - 8984*x^2 - 400*x - 192, -6*x^29 + 24*x^28 + 228*x^27 - 976*x^26 - 3764*x^25 + 17570*x^24 + 35268*x^23 - 184530*x^22 - 204776*x^21 + 1254204*x^20 + 747288*x^19 - 5782698*x^18 - 1600520*x^17 + 18427614*x^16 + 1331388*x^15 - 40553246*x^14 + 2312968*x^13 + 60480126*x^12 - 7950458*x^11 - 58688730*x^10 + 9427040*x^9 + 34409240*x^8 - 5007836*x^7 - 10618760*x^6 + 809218*x^5 + 1277510*x^4 + 93402*x^3 - 25204*x^2 - 2240*x + 144, -6*x^30 + 26*x^29 + 230*x^28 - 1100*x^27 - 3748*x^26 + 20536*x^25 + 33412*x^24 - 223220*x^23 - 170824*x^22 + 1569776*x^21 + 431314*x^20 - 7505070*x^19 + 195404*x^18 + 24939252*x^17 - 5326112*x^16 - 57838470*x^15 + 18750650*x^14 + 92583676*x^13 - 34774558*x^12 - 99527732*x^11 + 37328220*x^10 + 68446552*x^9 - 22121100*x^8 - 27751218*x^7 + 6055468*x^6 + 5718790*x^5 - 397570*x^4 - 416550*x^3 - 25724*x^2 + 2800*x + 176, -6*x^30 + 24*x^29 + 236*x^28 - 1012*x^27 - 4020*x^26 + 18866*x^25 + 38734*x^24 - 205138*x^23 - 230224*x^22 + 1445260*x^21 + 851618*x^20 - 6928952*x^19 - 1782896*x^18 + 23088434*x^17 + 983668*x^16 - 53602758*x^15 + 5147880*x^14 + 85485174*x^13 - 15399370*x^12 - 90588662*x^11 + 19950456*x^10 + 60058444*x^9 - 13130958*x^8 - 22416600*x^7 + 3782266*x^6 + 3899110*x^5 - 201368*x^4 - 240686*x^3 - 26144*x^2 - 496*x + 32, -3*x^33 + 12*x^32 + 135*x^31 - 576*x^30 - 2670*x^29 + 12371*x^28 + 30436*x^27 - 157152*x^26 - 219628*x^25 + 1315067*x^24 + 1028528*x^23 - 7640449*x^22 - 2999039*x^21 + 31641089*x^20 + 4248190*x^19 - 94351467*x^18 + 3718473*x^17 + 202121818*x^16 - 31070992*x^15 - 306687763*x^14 + 68303488*x^13 + 320546673*x^12 - 81296947*x^11 - 220270395*x^10 + 54765074*x^9 + 92195047*x^8 - 18918411*x^7 - 20588296*x^6 + 2391749*x^5 + 1883923*x^4 + 42389*x^3 - 32606*x^2 - 1764*x + 32, 2*x^28 - 4*x^27 - 80*x^26 + 148*x^25 + 1428*x^24 - 2422*x^23 - 14946*x^22 + 23080*x^21 + 101238*x^20 - 141552*x^19 - 462392*x^18 + 582204*x^17 + 1442734*x^16 - 1625216*x^15 - 3063782*x^14 + 3066470*x^13 + 4369174*x^12 - 3879482*x^11 - 4134268*x^10 + 3315276*x^9 + 2625666*x^8 - 1963398*x^7 - 1170444*x^6 + 740342*x^5 + 364414*x^4 - 108598*x^3 - 53384*x^2 - 5120*x - 48, 2*x^28 - 18*x^27 - 30*x^26 + 640*x^25 - 420*x^24 - 9832*x^23 + 14772*x^22 + 85484*x^21 - 171984*x^20 - 462492*x^19 + 1125406*x^18 + 1609646*x^17 - 4647552*x^16 - 3584766*x^15 + 12568774*x^14 + 4872056*x^13 - 22288402*x^12 - 3559222*x^11 + 25258344*x^10 + 934734*x^9 - 17301428*x^8 + 19330*x^7 + 6477382*x^6 + 232992*x^5 - 1071880*x^4 - 136216*x^3 + 30424*x^2 + 4768*x + 192, x^33 - 4*x^32 - 45*x^31 + 196*x^30 + 874*x^29 - 4279*x^28 - 9476*x^27 + 54976*x^26 + 60876*x^25 - 462535*x^24 - 210810*x^23 + 2683041*x^22 + 87623*x^21 - 11001295*x^20 + 2852652*x^19 + 32147731*x^18 - 15062593*x^17 - 66595132*x^16 + 41400334*x^15 + 95939387*x^14 - 70444792*x^13 - 92638579*x^12 + 75563997*x^11 + 56218011*x^10 - 48956636*x^9 - 19111113*x^8 + 17126297*x^7 + 2918292*x^6 - 2443805*x^5 - 141735*x^4 + 39131*x^3 - 15874*x^2 - 876*x + 144, x^29 - 3*x^28 - 38*x^27 + 114*x^26 + 640*x^25 - 1925*x^24 - 6262*x^23 + 19013*x^22 + 39079*x^21 - 121395*x^20 - 160420*x^19 + 522298*x^18 + 430265*x^17 - 1533975*x^16 - 719283*x^15 + 3065126*x^14 + 651352*x^13 - 4124328*x^12 - 127393*x^11 + 3724772*x^10 - 344805*x^9 - 2294532*x^8 + 396477*x^7 + 955393*x^6 - 187964*x^5 - 236506*x^4 + 27607*x^3 + 24132*x^2 + 2536*x + 24, x^29 - 3*x^28 - 38*x^27 + 114*x^26 + 640*x^25 - 1925*x^24 - 6262*x^23 + 19013*x^22 + 39079*x^21 - 121395*x^20 - 160420*x^19 + 522298*x^18 + 430265*x^17 - 1533975*x^16 - 719283*x^15 + 3065126*x^14 + 651352*x^13 - 4124328*x^12 - 127393*x^11 + 3724772*x^10 - 344805*x^9 - 2294532*x^8 + 396477*x^7 + 955393*x^6 - 187964*x^5 - 236506*x^4 + 27607*x^3 + 24132*x^2 + 2536*x + 24, 2*x^28 - 7*x^27 - 72*x^26 + 253*x^25 + 1177*x^24 - 4099*x^23 - 11594*x^22 + 39475*x^21 + 76233*x^20 - 251351*x^19 - 346917*x^18 + 1106768*x^17 + 1092361*x^16 - 3409515*x^15 - 2313187*x^14 + 7261886*x^13 + 3078329*x^12 - 10342328*x^11 - 2146867*x^10 + 9269183*x^9 + 150486*x^8 - 4697274*x^7 + 790733*x^6 + 1090107*x^5 - 403684*x^4 - 67714*x^3 + 28672*x^2 + 3464*x - 24, 2*x^28 - 7*x^27 - 72*x^26 + 253*x^25 + 1177*x^24 - 4099*x^23 - 11594*x^22 + 39475*x^21 + 76233*x^20 - 251351*x^19 - 346917*x^18 + 1106768*x^17 + 1092361*x^16 - 3409515*x^15 - 2313187*x^14 + 7261886*x^13 + 3078329*x^12 - 10342328*x^11 - 2146867*x^10 + 9269183*x^9 + 150486*x^8 - 4697274*x^7 + 790733*x^6 + 1090107*x^5 - 403684*x^4 - 67714*x^3 + 28672*x^2 + 3464*x - 24, x^30 - 3*x^29 - 42*x^28 + 125*x^27 + 792*x^26 - 2326*x^25 - 8867*x^24 + 25534*x^23 + 65619*x^22 - 183950*x^21 - 337891*x^20 + 915201*x^19 + 1239574*x^18 - 3222947*x^17 - 3254378*x^16 + 8099857*x^15 + 6028321*x^14 - 14452684*x^13 - 7574896*x^12 + 17946582*x^11 + 5936330*x^10 - 14878991*x^9 - 2379675*x^8 + 7616065*x^7 + 191747*x^6 - 2066955*x^5 + 66877*x^4 + 200444*x^3 + 27248*x^2 + 1680*x + 72, x^30 - 3*x^29 - 42*x^28 + 125*x^27 + 792*x^26 - 2326*x^25 - 8867*x^24 + 25534*x^23 + 65619*x^22 - 183950*x^21 - 337891*x^20 + 915201*x^19 + 1239574*x^18 - 3222947*x^17 - 3254378*x^16 + 8099857*x^15 + 6028321*x^14 - 14452684*x^13 - 7574896*x^12 + 17946582*x^11 + 5936330*x^10 - 14878991*x^9 - 2379675*x^8 + 7616065*x^7 + 191747*x^6 - 2066955*x^5 + 66877*x^4 + 200444*x^3 + 27248*x^2 + 1680*x + 72, -2*x^28 + 12*x^27 + 51*x^26 - 414*x^25 - 431*x^24 + 6272*x^23 + 91*x^22 - 55345*x^21 + 25017*x^20 + 318483*x^19 - 216086*x^18 - 1267712*x^17 + 974888*x^16 + 3602026*x^15 - 2773102*x^14 - 7375250*x^13 + 5237730*x^12 + 10713652*x^11 - 6557929*x^10 - 10527722*x^9 + 5140815*x^8 + 6389294*x^7 - 2159869*x^6 - 2034645*x^5 + 319423*x^4 + 233813*x^3 + 6108*x^2 - 3488*x - 160, -2*x^28 + 12*x^27 + 51*x^26 - 414*x^25 - 431*x^24 + 6272*x^23 + 91*x^22 - 55345*x^21 + 25017*x^20 + 318483*x^19 - 216086*x^18 - 1267712*x^17 + 974888*x^16 + 3602026*x^15 - 2773102*x^14 - 7375250*x^13 + 5237730*x^12 + 10713652*x^11 - 6557929*x^10 - 10527722*x^9 + 5140815*x^8 + 6389294*x^7 - 2159869*x^6 - 2034645*x^5 + 319423*x^4 + 233813*x^3 + 6108*x^2 - 3488*x - 160, x^29 - 2*x^28 - 46*x^27 + 88*x^26 + 951*x^25 - 1743*x^24 - 11604*x^23 + 20371*x^22 + 92499*x^21 - 154973*x^20 - 504980*x^19 + 800556*x^18 + 1929808*x^17 - 2850428*x^16 - 5195930*x^15 + 6969862*x^14 + 9802227*x^13 - 11455730*x^12 - 12733126*x^11 + 12102340*x^10 + 11023013*x^9 - 7543557*x^8 - 5995038*x^7 + 2294583*x^6 + 1818925*x^5 - 150631*x^4 - 232748*x^3 - 26776*x^2 + 928*x + 136, x^29 - 2*x^28 - 46*x^27 + 88*x^26 + 951*x^25 - 1743*x^24 - 11604*x^23 + 20371*x^22 + 92499*x^21 - 154973*x^20 - 504980*x^19 + 800556*x^18 + 1929808*x^17 - 2850428*x^16 - 5195930*x^15 + 6969862*x^14 + 9802227*x^13 - 11455730*x^12 - 12733126*x^11 + 12102340*x^10 + 11023013*x^9 - 7543557*x^8 - 5995038*x^7 + 2294583*x^6 + 1818925*x^5 - 150631*x^4 - 232748*x^3 - 26776*x^2 + 928*x + 136, x^31 - 3*x^30 - 44*x^29 + 133*x^28 + 860*x^27 - 2619*x^26 - 9867*x^25 + 30266*x^24 + 73975*x^23 - 228511*x^22 - 381624*x^21 + 1187693*x^20 + 1388048*x^19 - 4362717*x^18 - 3580372*x^17 + 11444953*x^16 + 6474681*x^15 - 21407964*x^14 - 7936490*x^13 + 28164976*x^12 + 6139814*x^11 - 25292428*x^10 - 2565709*x^9 + 14610225*x^8 + 381951*x^7 - 4800630*x^6 - 46626*x^5 + 675906*x^4 + 59998*x^3 - 19944*x^2 - 2244*x + 24, x^31 - 3*x^30 - 44*x^29 + 133*x^28 + 860*x^27 - 2619*x^26 - 9867*x^25 + 30266*x^24 + 73975*x^23 - 228511*x^22 - 381624*x^21 + 1187693*x^20 + 1388048*x^19 - 4362717*x^18 - 3580372*x^17 + 11444953*x^16 + 6474681*x^15 - 21407964*x^14 - 7936490*x^13 + 28164976*x^12 + 6139814*x^11 - 25292428*x^10 - 2565709*x^9 + 14610225*x^8 + 381951*x^7 - 4800630*x^6 - 46626*x^5 + 675906*x^4 + 59998*x^3 - 19944*x^2 - 2244*x + 24, x^29 - 5*x^28 - 30*x^27 + 179*x^26 + 360*x^25 - 2807*x^24 - 2094*x^23 + 25548*x^22 + 4654*x^21 - 151097*x^20 + 11946*x^19 + 617472*x^18 - 104271*x^17 - 1811121*x^16 + 272923*x^15 + 3890154*x^14 - 289758*x^13 - 6094066*x^12 - 76091*x^11 + 6688665*x^10 + 530839*x^9 - 4699628*x^8 - 586681*x^7 + 1778282*x^6 + 301467*x^5 - 238956*x^4 - 60357*x^3 - 2508*x^2 - 220*x - 48, x^29 - 5*x^28 - 30*x^27 + 179*x^26 + 360*x^25 - 2807*x^24 - 2094*x^23 + 25548*x^22 + 4654*x^21 - 151097*x^20 + 11946*x^19 + 617472*x^18 - 104271*x^17 - 1811121*x^16 + 272923*x^15 + 3890154*x^14 - 289758*x^13 - 6094066*x^12 - 76091*x^11 + 6688665*x^10 + 530839*x^9 - 4699628*x^8 - 586681*x^7 + 1778282*x^6 + 301467*x^5 - 238956*x^4 - 60357*x^3 - 2508*x^2 - 220*x - 48, -2*x^29 + 10*x^28 + 64*x^27 - 374*x^26 - 833*x^25 + 6123*x^24 + 5416*x^23 - 57851*x^22 - 14989*x^21 + 350151*x^20 - 24133*x^19 - 1424619*x^18 + 336714*x^17 + 3974733*x^16 - 1184793*x^15 - 7611157*x^14 + 2108756*x^13 + 9846135*x^12 - 1784019*x^11 - 8334447*x^10 + 113655*x^9 + 4425604*x^8 + 884341*x^7 - 1438572*x^6 - 449749*x^5 + 279172*x^4 + 15892*x^3 - 18484*x^2 - 1328*x + 120, -2*x^29 + 10*x^28 + 64*x^27 - 374*x^26 - 833*x^25 + 6123*x^24 + 5416*x^23 - 57851*x^22 - 14989*x^21 + 350151*x^20 - 24133*x^19 - 1424619*x^18 + 336714*x^17 + 3974733*x^16 - 1184793*x^15 - 7611157*x^14 + 2108756*x^13 + 9846135*x^12 - 1784019*x^11 - 8334447*x^10 + 113655*x^9 + 4425604*x^8 + 884341*x^7 - 1438572*x^6 - 449749*x^5 + 279172*x^4 + 15892*x^3 - 18484*x^2 - 1328*x + 120, -6*x^27 + 32*x^26 + 149*x^25 - 1028*x^24 - 1226*x^23 + 14100*x^22 + 531*x^21 - 107901*x^20 + 59398*x^19 + 503824*x^18 - 468594*x^17 - 1465068*x^16 + 1821206*x^15 + 2549094*x^14 - 4132912*x^13 - 2210812*x^12 + 5568418*x^11 - 46408*x^10 - 4242023*x^9 + 1813204*x^8 + 1653064*x^7 - 1386806*x^6 - 320935*x^5 + 358325*x^4 + 57930*x^3 - 13676*x^2 - 2296*x - 96, -6*x^27 + 32*x^26 + 149*x^25 - 1028*x^24 - 1226*x^23 + 14100*x^22 + 531*x^21 - 107901*x^20 + 59398*x^19 + 503824*x^18 - 468594*x^17 - 1465068*x^16 + 1821206*x^15 + 2549094*x^14 - 4132912*x^13 - 2210812*x^12 + 5568418*x^11 - 46408*x^10 - 4242023*x^9 + 1813204*x^8 + 1653064*x^7 - 1386806*x^6 - 320935*x^5 + 358325*x^4 + 57930*x^3 - 13676*x^2 - 2296*x - 96, x^30 - 3*x^29 - 46*x^28 + 141*x^27 + 935*x^26 - 2947*x^25 - 11038*x^24 + 36074*x^23 + 83722*x^22 - 286947*x^21 - 426240*x^20 + 1556887*x^19 + 1476169*x^18 - 5887004*x^17 - 3437863*x^16 + 15575307*x^15 + 5145552*x^14 - 28519843*x^13 - 4355725*x^12 + 35177794*x^11 + 1067540*x^10 - 27835753*x^9 + 1398033*x^8 + 12986895*x^7 - 1266391*x^6 - 3059663*x^5 + 321567*x^4 + 273686*x^3 - 968*x^2 - 4256*x - 112, x^30 - 3*x^29 - 46*x^28 + 141*x^27 + 935*x^26 - 2947*x^25 - 11038*x^24 + 36074*x^23 + 83722*x^22 - 286947*x^21 - 426240*x^20 + 1556887*x^19 + 1476169*x^18 - 5887004*x^17 - 3437863*x^16 + 15575307*x^15 + 5145552*x^14 - 28519843*x^13 - 4355725*x^12 + 35177794*x^11 + 1067540*x^10 - 27835753*x^9 + 1398033*x^8 + 12986895*x^7 - 1266391*x^6 - 3059663*x^5 + 321567*x^4 + 273686*x^3 - 968*x^2 - 4256*x - 112, x^32 - 3*x^31 - 47*x^30 + 142*x^29 + 988*x^28 - 3004*x^27 - 12285*x^26 + 37534*x^25 + 100694*x^24 - 308339*x^23 - 573875*x^22 + 1753763*x^21 + 2337107*x^20 - 7080128*x^19 - 6880544*x^18 + 20444870*x^17 + 14646829*x^16 - 41959937*x^15 - 22344123*x^14 + 59931960*x^13 + 24043290*x^12 - 57249614*x^11 - 17901999*x^10 + 34163536*x^9 + 9016500*x^8 - 11313621*x^7 - 2870523*x^6 + 1649355*x^5 + 427271*x^4 - 44106*x^3 - 10108*x^2 - 968*x - 104, x^32 - 3*x^31 - 47*x^30 + 142*x^29 + 988*x^28 - 3004*x^27 - 12285*x^26 + 37534*x^25 + 100694*x^24 - 308339*x^23 - 573875*x^22 + 1753763*x^21 + 2337107*x^20 - 7080128*x^19 - 6880544*x^18 + 20444870*x^17 + 14646829*x^16 - 41959937*x^15 - 22344123*x^14 + 59931960*x^13 + 24043290*x^12 - 57249614*x^11 - 17901999*x^10 + 34163536*x^9 + 9016500*x^8 - 11313621*x^7 - 2870523*x^6 + 1649355*x^5 + 427271*x^4 - 44106*x^3 - 10108*x^2 - 968*x - 104, -2*x^30 + 9*x^29 + 71*x^28 - 356*x^27 - 1063*x^26 + 6177*x^25 + 8654*x^24 - 62029*x^23 - 40628*x^22 + 400842*x^21 + 101947*x^20 - 1755048*x^19 - 64672*x^18 + 5346716*x^17 - 348560*x^16 - 11486106*x^15 + 991704*x^14 + 17511143*x^13 - 927683*x^12 - 18972008*x^11 - 17081*x^10 + 14422487*x^9 + 443154*x^8 - 7241185*x^7 - 68162*x^6 + 2012350*x^5 - 64575*x^4 - 191940*x^3 - 4928*x^2 + 3828*x + 208, -2*x^30 + 9*x^29 + 71*x^28 - 356*x^27 - 1063*x^26 + 6177*x^25 + 8654*x^24 - 62029*x^23 - 40628*x^22 + 400842*x^21 + 101947*x^20 - 1755048*x^19 - 64672*x^18 + 5346716*x^17 - 348560*x^16 - 11486106*x^15 + 991704*x^14 + 17511143*x^13 - 927683*x^12 - 18972008*x^11 - 17081*x^10 + 14422487*x^9 + 443154*x^8 - 7241185*x^7 - 68162*x^6 + 2012350*x^5 - 64575*x^4 - 191940*x^3 - 4928*x^2 + 3828*x + 208, -4*x^28 + 18*x^27 + 128*x^26 - 648*x^25 - 1733*x^24 + 10304*x^23 + 12724*x^22 - 95528*x^21 - 52165*x^20 + 573127*x^19 + 91188*x^18 - 2330410*x^17 + 173860*x^16 + 6524756*x^15 - 1417456*x^14 - 12502524*x^13 + 3724456*x^12 + 15949966*x^11 - 5261708*x^10 - 12824602*x^9 + 4061561*x^8 + 5898920*x^7 - 1486524*x^6 - 1310800*x^5 + 147385*x^4 + 107741*x^3 + 11952*x^2 + 320*x - 16, -4*x^28 + 18*x^27 + 128*x^26 - 648*x^25 - 1733*x^24 + 10304*x^23 + 12724*x^22 - 95528*x^21 - 52165*x^20 + 573127*x^19 + 91188*x^18 - 2330410*x^17 + 173860*x^16 + 6524756*x^15 - 1417456*x^14 - 12502524*x^13 + 3724456*x^12 + 15949966*x^11 - 5261708*x^10 - 12824602*x^9 + 4061561*x^8 + 5898920*x^7 - 1486524*x^6 - 1310800*x^5 + 147385*x^4 + 107741*x^3 + 11952*x^2 + 320*x - 16, x^31 - 3*x^30 - 48*x^29 + 152*x^28 + 997*x^27 - 3370*x^26 - 11762*x^25 + 43202*x^24 + 86702*x^23 - 356202*x^22 - 411261*x^21 + 1986379*x^20 + 1224553*x^19 - 7664231*x^18 - 1977368*x^17 + 20554347*x^16 + 268251*x^15 - 37896910*x^14 + 5819730*x^13 + 46716251*x^12 - 12183519*x^11 - 36616653*x^10 + 11608498*x^9 + 16746131*x^8 - 5347554*x^7 - 3808013*x^6 + 890467*x^5 + 287986*x^4 + 38953*x^3 + 9958*x^2 + 400*x - 48, x^31 - 3*x^30 - 48*x^29 + 152*x^28 + 997*x^27 - 3370*x^26 - 11762*x^25 + 43202*x^24 + 86702*x^23 - 356202*x^22 - 411261*x^21 + 1986379*x^20 + 1224553*x^19 - 7664231*x^18 - 1977368*x^17 + 20554347*x^16 + 268251*x^15 - 37896910*x^14 + 5819730*x^13 + 46716251*x^12 - 12183519*x^11 - 36616653*x^10 + 11608498*x^9 + 16746131*x^8 - 5347554*x^7 - 3808013*x^6 + 890467*x^5 + 287986*x^4 + 38953*x^3 + 9958*x^2 + 400*x - 48, x^29 - 9*x^28 - 16*x^27 + 335*x^26 - 227*x^25 - 5385*x^24 + 8624*x^23 + 48884*x^22 - 107478*x^21 - 274519*x^20 + 756596*x^19 + 976671*x^18 - 3390303*x^17 - 2128612*x^16 + 10073231*x^15 + 2407205*x^14 - 19977682*x^13 - 82727*x^12 + 25984185*x^11 - 3321440*x^10 - 21233478*x^9 + 3784321*x^8 + 10076201*x^7 - 1546233*x^6 - 2387825*x^5 + 136331*x^4 + 192827*x^3 + 12562*x^2 - 1440*x - 88, x^29 - 9*x^28 - 16*x^27 + 335*x^26 - 227*x^25 - 5385*x^24 + 8624*x^23 + 48884*x^22 - 107478*x^21 - 274519*x^20 + 756596*x^19 + 976671*x^18 - 3390303*x^17 - 2128612*x^16 + 10073231*x^15 + 2407205*x^14 - 19977682*x^13 - 82727*x^12 + 25984185*x^11 - 3321440*x^10 - 21233478*x^9 + 3784321*x^8 + 10076201*x^7 - 1546233*x^6 - 2387825*x^5 + 136331*x^4 + 192827*x^3 + 12562*x^2 - 1440*x - 88, x^33 - 3*x^32 - 49*x^31 + 150*x^30 + 1071*x^29 - 3358*x^28 - 13790*x^27 + 44492*x^26 + 116351*x^25 - 388594*x^24 - 676882*x^23 + 2358314*x^22 + 2780772*x^21 - 10211728*x^20 - 8119661*x^19 + 31880082*x^18 + 16714675*x^17 - 71624857*x^16 - 23687042*x^15 + 114264630*x^14 + 22110767*x^13 - 126045754*x^12 - 12638245*x^11 + 91975030*x^10 + 4000317*x^9 - 41266054*x^8 - 745775*x^7 + 9966342*x^6 + 201974*x^5 - 961004*x^4 - 58524*x^3 + 25072*x^2 + 1496*x - 88, x^33 - 3*x^32 - 49*x^31 + 150*x^30 + 1071*x^29 - 3358*x^28 - 13790*x^27 + 44492*x^26 + 116351*x^25 - 388594*x^24 - 676882*x^23 + 2358314*x^22 + 2780772*x^21 - 10211728*x^20 - 8119661*x^19 + 31880082*x^18 + 16714675*x^17 - 71624857*x^16 - 23687042*x^15 + 114264630*x^14 + 22110767*x^13 - 126045754*x^12 - 12638245*x^11 + 91975030*x^10 + 4000317*x^9 - 41266054*x^8 - 745775*x^7 + 9966342*x^6 + 201974*x^5 - 961004*x^4 - 58524*x^3 + 25072*x^2 + 1496*x - 88, x^31 - 5*x^30 - 39*x^29 + 221*x^28 + 645*x^27 - 4339*x^26 - 5790*x^25 + 49989*x^24 + 29032*x^23 - 376040*x^22 - 62041*x^21 + 1943907*x^20 - 148931*x^19 - 7072495*x^18 + 1512526*x^17 + 18219967*x^16 - 5131762*x^15 - 32924706*x^14 + 9869013*x^13 + 40631164*x^12 - 11403568*x^11 - 32519066*x^10 + 7581892*x^9 + 15342208*x^8 - 2506699*x^7 - 3516357*x^6 + 271923*x^5 + 240992*x^4 - 11582*x^3 - 6096*x^2 + 644*x + 64, x^31 - 5*x^30 - 39*x^29 + 221*x^28 + 645*x^27 - 4339*x^26 - 5790*x^25 + 49989*x^24 + 29032*x^23 - 376040*x^22 - 62041*x^21 + 1943907*x^20 - 148931*x^19 - 7072495*x^18 + 1512526*x^17 + 18219967*x^16 - 5131762*x^15 - 32924706*x^14 + 9869013*x^13 + 40631164*x^12 - 11403568*x^11 - 32519066*x^10 + 7581892*x^9 + 15342208*x^8 - 2506699*x^7 - 3516357*x^6 + 271923*x^5 + 240992*x^4 - 11582*x^3 - 6096*x^2 + 644*x + 64, -3*x^31 + 12*x^30 + 121*x^29 - 518*x^28 - 2124*x^27 + 9921*x^26 + 21249*x^25 - 111354*x^24 - 132746*x^23 + 814895*x^22 + 528197*x^21 - 4091578*x^20 - 1265092*x^19 + 14435566*x^18 + 1292094*x^17 - 36015186*x^16 + 1908246*x^15 + 63019210*x^14 - 8856169*x^13 - 75534394*x^12 + 13950457*x^11 + 59373587*x^10 - 11278999*x^9 - 28412920*x^8 + 4395051*x^7 + 7258935*x^6 - 505293*x^5 - 759098*x^4 - 59773*x^3 + 12354*x^2 + 1136*x - 72, -3*x^31 + 12*x^30 + 121*x^29 - 518*x^28 - 2124*x^27 + 9921*x^26 + 21249*x^25 - 111354*x^24 - 132746*x^23 + 814895*x^22 + 528197*x^21 - 4091578*x^20 - 1265092*x^19 + 14435566*x^18 + 1292094*x^17 - 36015186*x^16 + 1908246*x^15 + 63019210*x^14 - 8856169*x^13 - 75534394*x^12 + 13950457*x^11 + 59373587*x^10 - 11278999*x^9 - 28412920*x^8 + 4395051*x^7 + 7258935*x^6 - 505293*x^5 - 759098*x^4 - 59773*x^3 + 12354*x^2 + 1136*x - 72, x^32 - 3*x^31 - 47*x^30 + 146*x^29 + 972*x^28 - 3155*x^27 - 11634*x^26 + 39972*x^25 + 89086*x^24 - 330247*x^23 - 454355*x^22 + 1872484*x^21 + 1548846*x^20 - 7466070*x^19 - 3388865*x^18 + 21094635*x^17 + 4054674*x^16 - 41986111*x^15 - 317526*x^14 + 57724951*x^13 - 6900111*x^12 - 52822439*x^11 + 10558039*x^10 + 30159397*x^9 - 7188741*x^8 - 9553723*x^7 + 2225020*x^6 + 1335299*x^5 - 218039*x^4 - 71788*x^3 + 6296*x^2 + 380*x - 96, x^32 - 3*x^31 - 47*x^30 + 146*x^29 + 972*x^28 - 3155*x^27 - 11634*x^26 + 39972*x^25 + 89086*x^24 - 330247*x^23 - 454355*x^22 + 1872484*x^21 + 1548846*x^20 - 7466070*x^19 - 3388865*x^18 + 21094635*x^17 + 4054674*x^16 - 41986111*x^15 - 317526*x^14 + 57724951*x^13 - 6900111*x^12 - 52822439*x^11 + 10558039*x^10 + 30159397*x^9 - 7188741*x^8 - 9553723*x^7 + 2225020*x^6 + 1335299*x^5 - 218039*x^4 - 71788*x^3 + 6296*x^2 + 380*x - 96, -3*x^31 + 13*x^30 + 118*x^29 - 564*x^28 - 1980*x^27 + 10834*x^26 + 18245*x^25 - 121651*x^24 - 96733*x^23 + 887874*x^22 + 252185*x^21 - 4429945*x^20 + 156564*x^19 + 15465565*x^18 - 3737429*x^17 - 37998558*x^16 + 14166993*x^15 + 65137842*x^14 - 29169809*x^13 - 76078022*x^12 + 36134116*x^11 + 58002957*x^10 - 26403220*x^9 - 26865407*x^8 + 10303963*x^7 + 6658803*x^6 - 1680286*x^5 - 679845*x^4 + 49592*x^3 + 16848*x^2 + 388*x + 40, -3*x^31 + 13*x^30 + 118*x^29 - 564*x^28 - 1980*x^27 + 10834*x^26 + 18245*x^25 - 121651*x^24 - 96733*x^23 + 887874*x^22 + 252185*x^21 - 4429945*x^20 + 156564*x^19 + 15465565*x^18 - 3737429*x^17 - 37998558*x^16 + 14166993*x^15 + 65137842*x^14 - 29169809*x^13 - 76078022*x^12 + 36134116*x^11 + 58002957*x^10 - 26403220*x^9 - 26865407*x^8 + 10303963*x^7 + 6658803*x^6 - 1680286*x^5 - 679845*x^4 + 49592*x^3 + 16848*x^2 + 388*x + 40, -3*x^32 + 12*x^31 + 129*x^30 - 551*x^29 - 2431*x^28 + 11289*x^27 + 26332*x^26 - 136397*x^25 - 180134*x^24 + 1082062*x^23 + 799049*x^22 - 5937680*x^21 - 2218657*x^20 + 23119566*x^19 + 3139662*x^18 - 64450336*x^17 + 1273138*x^16 + 128108074*x^15 - 14995753*x^14 - 178530711*x^13 + 30277510*x^12 + 168934257*x^11 - 31212374*x^10 - 102893851*x^9 + 17082855*x^8 + 36916720*x^7 - 4219397*x^6 - 6670558*x^5 + 206170*x^4 + 444980*x^3 + 32208*x^2 - 3404*x - 240, -3*x^32 + 12*x^31 + 129*x^30 - 551*x^29 - 2431*x^28 + 11289*x^27 + 26332*x^26 - 136397*x^25 - 180134*x^24 + 1082062*x^23 + 799049*x^22 - 5937680*x^21 - 2218657*x^20 + 23119566*x^19 + 3139662*x^18 - 64450336*x^17 + 1273138*x^16 + 128108074*x^15 - 14995753*x^14 - 178530711*x^13 + 30277510*x^12 + 168934257*x^11 - 31212374*x^10 - 102893851*x^9 + 17082855*x^8 + 36916720*x^7 - 4219397*x^6 - 6670558*x^5 + 206170*x^4 + 444980*x^3 + 32208*x^2 - 3404*x - 240]>
       ]
>;

MOG[683] := 	// J_0(683)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 5, 43, 196, 286, 362, 432, 536, 544, 636, 193*x + 440, 490*x + 440, 385*x + 35, 298*x + 35, 430*x + 362, 253*x + 362, 410*x + 114, 273*x + 114, 550*x + 614, 133*x + 614, 214*x + 599, 469*x + 599, 279*x + 105, 404*x + 105, 123*x + 583, 560*x + 583, 606*x + 566, 77*x + 566, 45*x + 512, 638*x + 512, 164*x + 310, 519*x + 310, 182*x + 334, 501*x + 334, 258*x + 378, 425*x + 378, 642*x + 357, 41*x + 357, 99*x + 605, 584*x + 605, 201*x + 566, 482*x + 566, 471*x + 637, 212*x + 637, 258*x + 296, 425*x + 296, 314*x + 481, 369*x + 481, 37*x + 273, 646*x + 273, 44*x + 83, 639*x + 83, 448*x + 148, 235*x + 148, 440*x + 320, 243*x + 320, 20*x + 409, 663*x + 409]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 - 5,
           Coordinates        := [-2, x - 1, -2*x, -x + 1, -2, 0, -x - 3, x - 1, -2, 0, 0, 0, 0, 0, 0, 0, -2, -2, 2, 2, -x - 1, -x - 1, x + 1, x + 1, -x - 1, -x - 1, -x + 1, -x + 1, x + 1, x + 1, -2, -2, -x - 3, -x - 3, x + 3, x + 3, 2, 2, 0, 0, x - 1, x - 1, 2, 2, 0, 0, x + 1, x + 1, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^24 + 4*x^23 - 25*x^22 - 112*x^21 + 251*x^20 + 1328*x^19 - 1272*x^18 - 8766*x^17 + 3112*x^16 + 35530*x^15 - 866*x^14 - 91856*x^13 - 15638*x^12 + 152371*x^11 + 43842*x^10 - 159368*x^9 - 57043*x^8 + 101158*x^7 + 40187*x^6 - 36674*x^5 - 15284*x^4 + 6822*x^3 + 2895*x^2 - 495*x - 211,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^23 - 4*x^22 + 23*x^21 + 104*x^20 - 209*x^19 - 1136*x^18 + 931*x^17 + 6848*x^16 - 1818*x^15 - 25074*x^14 - 856*x^13 + 57707*x^12 + 11926*x^11 - 83418*x^10 - 25676*x^9 + 73495*x^8 + 26982*x^7 - 36955*x^6 - 14898*x^5 + 9300*x^4 + 4027*x^3 - 825*x^2 - 409*x - 15, x^23 + 4*x^22 - 23*x^21 - 104*x^20 + 209*x^19 + 1136*x^18 - 931*x^17 - 6848*x^16 + 1818*x^15 + 25074*x^14 + 856*x^13 - 57707*x^12 - 11926*x^11 + 83418*x^10 + 25676*x^9 - 73495*x^8 - 26982*x^7 + 36955*x^6 + 14898*x^5 - 9300*x^4 - 4027*x^3 + 825*x^2 + 409*x + 15, -x^22 - 4*x^21 + 21*x^20 + 96*x^19 - 170*x^18 - 957*x^17 + 639*x^16 + 5188*x^15 - 823*x^14 - 16768*x^13 - 1869*x^12 + 33295*x^11 + 8686*x^10 - 40456*x^9 - 13802*x^8 + 29262*x^7 + 11111*x^6 - 12007*x^5 - 4739*x^4 + 2525*x^3 + 1002*x^2 - 205*x - 81, x^22 + 4*x^21 - 21*x^20 - 96*x^19 + 170*x^18 + 957*x^17 - 639*x^16 - 5188*x^15 + 823*x^14 + 16768*x^13 + 1869*x^12 - 33295*x^11 - 8686*x^10 + 40456*x^9 + 13802*x^8 - 29262*x^7 - 11111*x^6 + 12007*x^5 + 4739*x^4 - 2525*x^3 - 1002*x^2 + 205*x + 81, -x^22 - 4*x^21 + 21*x^20 + 96*x^19 - 171*x^18 - 961*x^17 + 655*x^16 + 5268*x^15 - 899*x^14 - 17381*x^13 - 1843*x^12 + 35658*x^11 + 9480*x^10 - 45417*x^9 - 16259*x^8 + 34941*x^7 + 14178*x^6 - 15367*x^5 - 6518*x^4 + 3472*x^3 + 1484*x^2 - 305*x - 130, x^22 + 4*x^21 - 21*x^20 - 96*x^19 + 171*x^18 + 961*x^17 - 655*x^16 - 5268*x^15 + 899*x^14 + 17381*x^13 + 1843*x^12 - 35658*x^11 - 9480*x^10 + 45417*x^9 + 16259*x^8 - 34941*x^7 - 14178*x^6 + 15367*x^5 + 6518*x^4 - 3472*x^3 - 1484*x^2 + 305*x + 130, -x^21 - 4*x^20 + 19*x^19 + 86*x^18 - 144*x^17 - 770*x^16 + 557*x^15 + 3744*x^14 - 1166*x^13 - 10809*x^12 + 1298*x^11 + 19053*x^10 - 746*x^9 - 20375*x^8 + 305*x^7 + 12778*x^6 - 191*x^5 - 4408*x^4 + 95*x^3 + 763*x^2 - 17*x - 53, x^21 + 4*x^20 - 19*x^19 - 86*x^18 + 144*x^17 + 770*x^16 - 557*x^15 - 3744*x^14 + 1166*x^13 + 10809*x^12 - 1298*x^11 - 19053*x^10 + 746*x^9 + 20375*x^8 - 305*x^7 - 12778*x^6 + 191*x^5 + 4408*x^4 - 95*x^3 - 763*x^2 + 17*x + 53, -x^21 - 4*x^20 + 20*x^19 + 93*x^18 - 148*x^17 - 890*x^16 + 438*x^15 + 4562*x^14 + 153*x^13 - 13603*x^12 - 4538*x^11 + 23909*x^10 + 12620*x^9 - 23858*x^8 - 16176*x^7 + 12170*x^6 + 10350*x^5 - 2367*x^4 - 3120*x^3 - 143*x^2 + 345*x + 68, x^21 + 4*x^20 - 20*x^19 - 93*x^18 + 148*x^17 + 890*x^16 - 438*x^15 - 4562*x^14 - 153*x^13 + 13603*x^12 + 4538*x^11 - 23909*x^10 - 12620*x^9 + 23858*x^8 + 16176*x^7 - 12170*x^6 - 10350*x^5 + 2367*x^4 + 3120*x^3 + 143*x^2 - 345*x - 68, -x^21 - 4*x^20 + 19*x^19 + 86*x^18 - 144*x^17 - 768*x^16 + 563*x^15 + 3726*x^14 - 1218*x^13 - 10744*x^12 + 1418*x^11 + 18889*x^10 - 655*x^9 - 19993*x^8 - 354*x^7 + 12196*x^6 + 617*x^5 - 3950*x^4 - 309*x^3 + 572*x^2 + 53*x - 22, x^21 + 4*x^20 - 19*x^19 - 86*x^18 + 144*x^17 + 768*x^16 - 563*x^15 - 3726*x^14 + 1218*x^13 + 10744*x^12 - 1418*x^11 - 18889*x^10 + 655*x^9 + 19993*x^8 + 354*x^7 - 12196*x^6 - 617*x^5 + 3950*x^4 + 309*x^3 - 572*x^2 - 53*x + 22, -x^21 - 4*x^20 + 19*x^19 + 89*x^18 - 132*x^17 - 812*x^16 + 356*x^15 + 3967*x^14 + 231*x^13 - 11305*x^12 - 3864*x^11 + 19112*x^10 + 10072*x^9 - 18561*x^8 - 12450*x^7 + 9392*x^6 + 7763*x^5 - 1878*x^4 - 2234*x^3 - 52*x^2 + 226*x + 37, x^21 + 4*x^20 - 19*x^19 - 89*x^18 + 132*x^17 + 812*x^16 - 356*x^15 - 3967*x^14 - 231*x^13 + 11305*x^12 + 3864*x^11 - 19112*x^10 - 10072*x^9 + 18561*x^8 + 12450*x^7 - 9392*x^6 - 7763*x^5 + 1878*x^4 + 2234*x^3 + 52*x^2 - 226*x - 37, -x^20 - 5*x^19 + 13*x^18 + 94*x^17 - 38*x^16 - 724*x^15 - 210*x^14 + 2957*x^13 + 1782*x^12 - 6935*x^11 - 5249*x^10 + 9477*x^9 + 7839*x^8 - 7340*x^7 - 6212*x^6 + 2978*x^5 + 2517*x^4 - 511*x^3 - 454*x^2 + 13*x + 22, x^20 + 5*x^19 - 13*x^18 - 94*x^17 + 38*x^16 + 724*x^15 + 210*x^14 - 2957*x^13 - 1782*x^12 + 6935*x^11 + 5249*x^10 - 9477*x^9 - 7839*x^8 + 7340*x^7 + 6212*x^6 - 2978*x^5 - 2517*x^4 + 511*x^3 + 454*x^2 - 13*x - 22, -x^20 - 5*x^19 + 13*x^18 + 93*x^17 - 44*x^16 - 720*x^15 - 133*x^14 + 3002*x^13 + 1385*x^12 - 7307*x^11 - 4183*x^10 + 10604*x^9 + 6268*x^8 - 9144*x^7 - 5090*x^6 + 4621*x^5 + 2317*x^4 - 1251*x^3 - 565*x^2 + 139*x + 59, x^20 + 5*x^19 - 13*x^18 - 93*x^17 + 44*x^16 + 720*x^15 + 133*x^14 - 3002*x^13 - 1385*x^12 + 7307*x^11 + 4183*x^10 - 10604*x^9 - 6268*x^8 + 9144*x^7 + 5090*x^6 - 4621*x^5 - 2317*x^4 + 1251*x^3 + 565*x^2 - 139*x - 59, -x^20 - 3*x^19 + 22*x^18 + 67*x^17 - 201*x^16 - 626*x^15 + 976*x^14 + 3165*x^13 - 2669*x^12 - 9386*x^11 + 3934*x^10 + 16598*x^9 - 2374*x^8 - 17092*x^7 - 761*x^6 + 9640*x^5 + 1619*x^4 - 2668*x^3 - 657*x^2 + 273*x + 81, x^20 + 3*x^19 - 22*x^18 - 67*x^17 + 201*x^16 + 626*x^15 - 976*x^14 - 3165*x^13 + 2669*x^12 + 9386*x^11 - 3934*x^10 - 16598*x^9 + 2374*x^8 + 17092*x^7 + 761*x^6 - 9640*x^5 - 1619*x^4 + 2668*x^3 + 657*x^2 - 273*x - 81, -x^20 - 5*x^19 + 13*x^18 + 94*x^17 - 42*x^16 - 736*x^15 - 158*x^14 + 3121*x^13 + 1522*x^12 - 7807*x^11 - 4618*x^10 + 11784*x^9 + 7083*x^8 - 10591*x^7 - 5867*x^6 + 5433*x^5 + 2614*x^4 - 1467*x^3 - 611*x^2 + 165*x + 64, x^20 + 5*x^19 - 13*x^18 - 94*x^17 + 42*x^16 + 736*x^15 + 158*x^14 - 3121*x^13 - 1522*x^12 + 7807*x^11 + 4618*x^10 - 11784*x^9 - 7083*x^8 + 10591*x^7 + 5867*x^6 - 5433*x^5 - 2614*x^4 + 1467*x^3 + 611*x^2 - 165*x - 64, -x^20 - 5*x^19 + 14*x^18 + 99*x^17 - 50*x^16 - 806*x^15 - 161*x^14 + 3516*x^13 + 1739*x^12 - 8962*x^11 - 5517*x^10 + 13640*x^9 + 8822*x^8 - 12154*x^7 - 7694*x^6 + 5984*x^5 + 3595*x^4 - 1433*x^3 - 820*x^2 + 118*x + 66, x^20 + 5*x^19 - 14*x^18 - 99*x^17 + 50*x^16 + 806*x^15 + 161*x^14 - 3516*x^13 - 1739*x^12 + 8962*x^11 + 5517*x^10 - 13640*x^9 - 8822*x^8 + 12154*x^7 + 7694*x^6 - 5984*x^5 - 3595*x^4 + 1433*x^3 + 820*x^2 - 118*x - 66, -x^20 - 3*x^19 + 21*x^18 + 64*x^17 - 184*x^16 - 572*x^15 + 867*x^14 + 2791*x^13 - 2335*x^12 - 8112*x^11 + 3441*x^10 + 14364*x^9 - 2120*x^8 - 15192*x^7 - 629*x^6 + 8997*x^5 + 1487*x^4 - 2631*x^3 - 642*x^2 + 286*x + 85, x^20 + 3*x^19 - 21*x^18 - 64*x^17 + 184*x^16 + 572*x^15 - 867*x^14 - 2791*x^13 + 2335*x^12 + 8112*x^11 - 3441*x^10 - 14364*x^9 + 2120*x^8 + 15192*x^7 + 629*x^6 - 8997*x^5 - 1487*x^4 + 2631*x^3 + 642*x^2 - 286*x - 85, -x^20 - 4*x^19 + 18*x^18 + 85*x^17 - 115*x^16 - 729*x^15 + 263*x^14 + 3285*x^13 + 314*x^12 - 8434*x^11 - 2849*x^10 + 12492*x^9 + 5929*x^8 - 10357*x^7 - 5786*x^6 + 4492*x^5 + 2797*x^4 - 893*x^3 - 616*x^2 + 56*x + 45, x^20 + 4*x^19 - 18*x^18 - 85*x^17 + 115*x^16 + 729*x^15 - 263*x^14 - 3285*x^13 - 314*x^12 + 8434*x^11 + 2849*x^10 - 12492*x^9 - 5929*x^8 + 10357*x^7 + 5786*x^6 - 4492*x^5 - 2797*x^4 + 893*x^3 + 616*x^2 - 56*x - 45, -x^19 - 6*x^18 + 7*x^17 + 96*x^16 + 39*x^15 - 626*x^14 - 568*x^13 + 2135*x^12 + 2415*x^11 - 4059*x^10 - 5055*x^9 + 4213*x^8 + 5637*x^7 - 2106*x^6 - 3276*x^5 + 302*x^4 + 884*x^3 + 70*x^2 - 79*x - 13, x^19 + 6*x^18 - 7*x^17 - 96*x^16 - 39*x^15 + 626*x^14 + 568*x^13 - 2135*x^12 - 2415*x^11 + 4059*x^10 + 5055*x^9 - 4213*x^8 - 5637*x^7 + 2106*x^6 + 3276*x^5 - 302*x^4 - 884*x^3 - 70*x^2 + 79*x + 13, -x^19 - 6*x^18 + 6*x^17 + 92*x^16 + 46*x^15 - 584*x^14 - 570*x^13 + 1980*x^12 + 2326*x^11 - 3831*x^10 - 4770*x^9 + 4148*x^8 + 5196*x^7 - 2290*x^6 - 2925*x^5 + 543*x^4 + 807*x^3 - 13*x^2 - 89*x - 11, x^19 + 6*x^18 - 6*x^17 - 92*x^16 - 46*x^15 + 584*x^14 + 570*x^13 - 1980*x^12 - 2326*x^11 + 3831*x^10 + 4770*x^9 - 4148*x^8 - 5196*x^7 + 2290*x^6 + 2925*x^5 - 543*x^4 - 807*x^3 + 13*x^2 + 89*x + 11, -x^19 - 4*x^18 + 14*x^17 + 63*x^16 - 88*x^15 - 421*x^14 + 343*x^13 + 1548*x^12 - 914*x^11 - 3377*x^10 + 1604*x^9 + 4392*x^8 - 1677*x^7 - 3291*x^6 + 909*x^5 + 1318*x^4 - 205*x^3 - 241*x^2 + 9*x + 13, x^19 + 4*x^18 - 14*x^17 - 63*x^16 + 88*x^15 + 421*x^14 - 343*x^13 - 1548*x^12 + 914*x^11 + 3377*x^10 - 1604*x^9 - 4392*x^8 + 1677*x^7 + 3291*x^6 - 909*x^5 - 1318*x^4 + 205*x^3 + 241*x^2 - 9*x - 13, -x^19 - 5*x^18 + 9*x^17 + 76*x^16 - x^15 - 472*x^14 - 262*x^13 + 1552*x^12 + 1271*x^11 - 2922*x^10 - 2866*x^9 + 3134*x^8 + 3631*x^7 - 1673*x^6 - 2624*x^5 + 166*x^4 + 949*x^3 + 158*x^2 - 128*x - 37, x^19 + 5*x^18 - 9*x^17 - 76*x^16 + x^15 + 472*x^14 + 262*x^13 - 1552*x^12 - 1271*x^11 + 2922*x^10 + 2866*x^9 - 3134*x^8 - 3631*x^7 + 1673*x^6 + 2624*x^5 - 166*x^4 - 949*x^3 - 158*x^2 + 128*x + 37, -x^19 - 4*x^18 + 12*x^17 + 56*x^16 - 61*x^15 - 309*x^14 + 225*x^13 + 858*x^12 - 807*x^11 - 1307*x^10 + 2172*x^9 + 1249*x^8 - 3371*x^7 - 1024*x^6 + 2721*x^5 + 734*x^4 - 1039*x^3 - 304*x^2 + 145*x + 48, x^19 + 4*x^18 - 12*x^17 - 56*x^16 + 61*x^15 + 309*x^14 - 225*x^13 - 858*x^12 + 807*x^11 + 1307*x^10 - 2172*x^9 - 1249*x^8 + 3371*x^7 + 1024*x^6 - 2721*x^5 - 734*x^4 + 1039*x^3 + 304*x^2 - 145*x - 48, -x^19 - 4*x^18 + 17*x^17 + 83*x^16 - 93*x^15 - 682*x^14 + 83*x^13 + 2871*x^12 + 1015*x^11 - 6620*x^10 - 4143*x^9 + 8204*x^8 + 6664*x^7 - 4900*x^6 - 4966*x^5 + 985*x^4 + 1618*x^3 + 108*x^2 - 181*x - 37, x^19 + 4*x^18 - 17*x^17 - 83*x^16 + 93*x^15 + 682*x^14 - 83*x^13 - 2871*x^12 - 1015*x^11 + 6620*x^10 + 4143*x^9 - 8204*x^8 - 6664*x^7 + 4900*x^6 + 4966*x^5 - 985*x^4 - 1618*x^3 - 108*x^2 + 181*x + 37, -2*x^18 - 10*x^17 + 21*x^16 + 159*x^15 - 49*x^14 - 1047*x^13 - 225*x^12 + 3683*x^11 + 1501*x^10 - 7436*x^9 - 3451*x^8 + 8605*x^7 + 3960*x^6 - 5397*x^5 - 2367*x^4 + 1620*x^3 + 679*x^2 - 171*x - 70, 2*x^18 + 10*x^17 - 21*x^16 - 159*x^15 + 49*x^14 + 1047*x^13 + 225*x^12 - 3683*x^11 - 1501*x^10 + 7436*x^9 + 3451*x^8 - 8605*x^7 - 3960*x^6 + 5397*x^5 + 2367*x^4 - 1620*x^3 - 679*x^2 + 171*x + 70, -3*x^18 - 15*x^17 + 27*x^16 + 224*x^15 - 16*x^14 - 1365*x^13 - 607*x^12 + 4390*x^11 + 2790*x^10 - 8060*x^9 - 5464*x^8 + 8531*x^7 + 5456*x^6 - 4987*x^5 - 2828*x^4 + 1443*x^3 + 717*x^2 - 159*x - 72, 3*x^18 + 15*x^17 - 27*x^16 - 224*x^15 + 16*x^14 + 1365*x^13 + 607*x^12 - 4390*x^11 - 2790*x^10 + 8060*x^9 + 5464*x^8 - 8531*x^7 - 5456*x^6 + 4987*x^5 + 2828*x^4 - 1443*x^3 - 717*x^2 + 159*x + 72, -x^18 - 3*x^17 + 14*x^16 + 40*x^15 - 88*x^14 - 204*x^13 + 356*x^12 + 495*x^11 - 1038*x^10 - 590*x^9 + 2012*x^8 + 387*x^7 - 2213*x^6 - 280*x^5 + 1163*x^4 + 182*x^3 - 234*x^2 - 43*x + 8, x^18 + 3*x^17 - 14*x^16 - 40*x^15 + 88*x^14 + 204*x^13 - 356*x^12 - 495*x^11 + 1038*x^10 + 590*x^9 - 2012*x^8 - 387*x^7 + 2213*x^6 + 280*x^5 - 1163*x^4 - 182*x^3 + 234*x^2 + 43*x - 8, -x^18 - 2*x^17 + 22*x^16 + 47*x^15 - 180*x^14 - 414*x^13 + 701*x^12 + 1814*x^11 - 1294*x^10 - 4288*x^9 + 735*x^8 + 5457*x^7 + 820*x^6 - 3507*x^5 - 1179*x^4 + 1001*x^3 + 435*x^2 - 93*x - 45, x^18 + 2*x^17 - 22*x^16 - 47*x^15 + 180*x^14 + 414*x^13 - 701*x^12 - 1814*x^11 + 1294*x^10 + 4288*x^9 - 735*x^8 - 5457*x^7 - 820*x^6 + 3507*x^5 + 1179*x^4 - 1001*x^3 - 435*x^2 + 93*x + 45]>,
         rec<Eigen |
           DefiningPolynomial := x^31 - 2*x^30 - 44*x^29 + 88*x^28 + 856*x^27 - 1712*x^26 - 9711*x^25 + 19428*x^24 + 71354*x^23 - 142908*x^22 - 356708*x^21 + 716274*x^20 + 1240224*x^19 - 2503385*x^18 - 3011990*x^17 + 6137721*x^16 + 5055657*x^15 - 10471936*x^14 - 5713872*x^13 + 12155538*x^12 + 4162883*x^11 - 9216932*x^10 - 1850297*x^9 + 4277365*x^8 + 498216*x^7 - 1104989*x^6 - 97447*x^5 + 142816*x^4 + 11680*x^3 - 7784*x^2 - 496*x + 128,
           Coordinates        := [1/4*x^30 - 5/4*x^29 - 35/4*x^28 + 199/4*x^27 + 505/4*x^26 - 3477/4*x^25 - 1855/2*x^24 + 8781*x^23 + 3032*x^22 - 113717/2*x^21 + 8651/2*x^20 + 247311*x^19 - 171449/2*x^18 - 2945233/4*x^17 + 1561889/4*x^16 + 3000877/2*x^15 - 3953043/4*x^14 - 8231837/4*x^13 + 6157393/4*x^12 + 7337267/4*x^11 - 2954293/2*x^10 - 1003796*x^9 + 3322211/4*x^8 + 624879/2*x^7 - 496163/2*x^6 - 206421/4*x^5 + 69461/2*x^4 + 3715*x^3 - 2063*x^2 - 76*x + 44, -1/2*x^30 + 2*x^29 + 37/2*x^28 - 80*x^27 - 293*x^26 + 2817/2*x^25 + 5141/2*x^24 - 14382*x^23 - 26639/2*x^22 + 94466*x^21 + 38130*x^20 - 836847/2*x^19 - 29434*x^18 + 1273813*x^17 - 195482*x^16 - 2665768*x^15 + 817803*x^14 + 7547439/2*x^13 - 1546631*x^12 - 3495642*x^11 + 3300897/2*x^10 + 2011132*x^9 - 994206*x^8 - 1345539/2*x^7 + 314318*x^6 + 125134*x^5 - 95273/2*x^4 - 12262*x^3 + 2884*x^2 + 502*x - 36, -3/4*x^30 + 9/4*x^29 + 111/4*x^28 - 351/4*x^27 - 1765/4*x^26 + 6001/4*x^25 + 3924*x^24 - 29613/2*x^23 - 42263/2*x^22 + 187005/2*x^21 + 136485/2*x^20 - 791561/2*x^19 - 110462*x^18 + 4573879/4*x^17 - 135967/4*x^16 - 2252175*x^15 + 2240099/4*x^14 + 11871265/4*x^13 - 4818271/4*x^12 - 10071469/4*x^11 + 1300437*x^10 + 1293127*x^9 - 3027607/4*x^8 - 745271/2*x^7 + 224642*x^6 + 236369/4*x^5 - 31989*x^4 - 4983*x^3 + 1870*x^2 + 168*x - 32, x^30 - 5/2*x^29 - 40*x^28 + 203/2*x^27 + 700*x^26 - 1812*x^25 - 14093/2*x^24 + 37477/2*x^23 + 90257/2*x^22 - 124530*x^21 - 383973/2*x^20 + 557967*x^19 + 549433*x^18 - 3441753/2*x^17 - 1045563*x^16 + 3665295*x^15 + 2538653/2*x^14 - 10663823/2*x^13 - 888911*x^12 + 10329475/2*x^11 + 517961/2*x^10 - 6388715/2*x^9 + 41778*x^8 + 1184206*x^7 - 66065/2*x^6 - 239400*x^5 - 187/2*x^4 + 23000*x^3 + 980*x^2 - 748*x - 48, -3/4*x^29 + 9/4*x^28 + 101/4*x^27 - 317/4*x^26 - 1439/4*x^25 + 4801/4*x^24 + 5633/2*x^23 - 10239*x^22 - 26221/2*x^21 + 108229/2*x^20 + 72475/2*x^19 - 183281*x^18 - 53753*x^17 + 1582575/4*x^16 + 100949/4*x^15 - 515859*x^14 + 85047/4*x^13 + 1351599/4*x^12 + 102201/4*x^11 - 18941/4*x^10 - 274387/2*x^9 - 137908*x^8 + 571045/4*x^7 + 162271/2*x^6 - 115357/2*x^5 - 85055/4*x^4 + 18787/2*x^3 + 2779*x^2 - 460*x - 124, x^24 + 2*x^23 - 69/2*x^22 - 57*x^21 + 1011/2*x^20 + 687*x^19 - 4133*x^18 - 9167/2*x^17 + 20875*x^16 + 18552*x^15 - 68148*x^14 - 93353/2*x^13 + 291647/2*x^12 + 142583/2*x^11 - 404027/2*x^10 - 60580*x^9 + 346707/2*x^8 + 22186*x^7 - 83759*x^6 + 35/2*x^5 + 18945*x^4 - 951/2*x^3 - 1839*x^2 - 10*x + 52, x^29 - 5/2*x^28 - 38*x^27 + 193/2*x^26 + 628*x^25 - 3263/2*x^24 - 5916*x^23 + 15886*x^22 + 69933/2*x^21 - 197163/2*x^20 - 134280*x^19 + 815285/2*x^18 + 667837/2*x^17 - 2282363/2*x^16 - 1022787/2*x^15 + 4307001/2*x^14 + 404470*x^13 - 5349943/2*x^12 - 15917*x^11 + 4168027/2*x^10 - 471773/2*x^9 - 935964*x^8 + 161603*x^7 + 424277/2*x^6 - 71063/2*x^5 - 43091/2*x^4 + 3223*x^3 + 857*x^2 - 90*x - 4, x^29 - 5/2*x^28 - 38*x^27 + 193/2*x^26 + 628*x^25 - 3257/2*x^24 - 11855/2*x^23 + 31623/2*x^22 + 35289*x^21 - 195711/2*x^20 - 276175/2*x^19 + 404300*x^18 + 717391/2*x^17 - 2271525/2*x^16 - 609169*x^15 + 2168721*x^14 + 1293543/2*x^13 - 2769198*x^12 - 784687/2*x^11 + 4576225/2*x^10 + 233659/2*x^9 - 1162989*x^8 - 20082*x^7 + 678265/2*x^6 + 7751*x^5 - 50634*x^4 - 1661*x^3 + 3295*x^2 + 36*x - 88, -3/4*x^29 + 9/4*x^28 + 105/4*x^27 - 333/4*x^26 - 1567/4*x^25 + 5387/4*x^24 + 6449/2*x^23 - 25071/2*x^22 - 31205/2*x^21 + 74334*x^20 + 83071/2*x^19 - 587229/2*x^18 - 60613/2*x^17 + 3136221/4*x^16 - 699141/4*x^15 - 2810989/2*x^14 + 2650577/4*x^13 + 6571367/4*x^12 - 4423605/4*x^11 - 4733589/4*x^10 + 1003957*x^9 + 481638*x^8 - 1927103/4*x^7 - 213081/2*x^6 + 107420*x^5 + 76805/4*x^4 - 19817/2*x^3 - 2260*x^2 + 284*x + 88, x^25 + x^24 - 73/2*x^23 - 45/2*x^22 + 1125/2*x^21 + 363/2*x^20 - 4820*x^19 - 901/2*x^18 + 50917/2*x^17 - 2323*x^16 - 86700*x^15 + 42943/2*x^14 + 192500*x^13 - 74532*x^12 - 273305*x^11 + 282867/2*x^10 + 467867/2*x^9 - 302335/2*x^8 - 105945*x^7 + 167553/2*x^6 + 37855/2*x^5 - 38841/2*x^4 - 2727/2*x^3 + 1829*x^2 + 62*x - 52, 1/2*x^26 + 1/2*x^25 - 77/4*x^24 - 53/4*x^23 + 1263/4*x^22 + 591/4*x^21 - 5831/2*x^20 - 3649/4*x^19 + 67449/4*x^18 + 3422*x^17 - 64225*x^16 - 31265/4*x^15 + 164398*x^14 + 18821/2*x^13 - 282476*x^12 - 2299/4*x^11 + 1275921/4*x^10 - 60015/4*x^9 - 226326*x^8 + 78809/4*x^7 + 372891/4*x^6 - 38911/4*x^5 - 78507/4*x^4 + 1390*x^3 + 1870*x^2 - 16*x - 52, 1/2*x^26 + 1/2*x^25 - 77/4*x^24 - 53/4*x^23 + 1263/4*x^22 + 591/4*x^21 - 5831/2*x^20 - 3649/4*x^19 + 67449/4*x^18 + 3422*x^17 - 64225*x^16 - 31265/4*x^15 + 164398*x^14 + 18821/2*x^13 - 282476*x^12 - 2299/4*x^11 + 1275921/4*x^10 - 60015/4*x^9 - 226326*x^8 + 78809/4*x^7 + 372891/4*x^6 - 38911/4*x^5 - 78507/4*x^4 + 1390*x^3 + 1870*x^2 - 16*x - 52, x^27 - 5/2*x^26 - 67/2*x^25 + 173/2*x^24 + 1913/4*x^23 - 1291*x^22 - 15181/4*x^21 + 10914*x^20 + 73151/4*x^19 - 57773*x^18 - 218439/4*x^17 + 400175/2*x^16 + 97149*x^15 - 1842573/4*x^14 - 85260*x^13 + 2812759/4*x^12 - 27927/4*x^11 - 2797737/4*x^10 + 357569/4*x^9 + 876821/2*x^8 - 162795/2*x^7 - 162653*x^6 + 63631/2*x^5 + 123507/4*x^4 - 4524*x^3 - 2560*x^2 + 200*x + 76, x^27 - 5/2*x^26 - 67/2*x^25 + 173/2*x^24 + 1913/4*x^23 - 1291*x^22 - 15181/4*x^21 + 10914*x^20 + 73151/4*x^19 - 57773*x^18 - 218439/4*x^17 + 400175/2*x^16 + 97149*x^15 - 1842573/4*x^14 - 85260*x^13 + 2812759/4*x^12 - 27927/4*x^11 - 2797737/4*x^10 + 357569/4*x^9 + 876821/2*x^8 - 162795/2*x^7 - 162653*x^6 + 63631/2*x^5 + 123507/4*x^4 - 4524*x^3 - 2560*x^2 + 200*x + 76, -1/2*x^27 + 3*x^26 + 53/4*x^25 - 403/4*x^24 - 126*x^23 + 5845/4*x^22 + 1269/4*x^21 - 48031/4*x^20 + 6789/2*x^19 + 123291/2*x^18 - 140295/4*x^17 - 822323/4*x^16 + 153949*x^15 + 1794329/4*x^14 - 389716*x^13 - 1258465/2*x^12 + 599267*x^11 + 542997*x^10 - 2198607/4*x^9 - 1070163/4*x^8 + 1122261/4*x^7 + 276595/4*x^6 - 281479/4*x^5 - 40265/4*x^4 + 15515/2*x^3 + 715*x^2 - 314*x - 24, -1/2*x^27 + 3*x^26 + 53/4*x^25 - 403/4*x^24 - 126*x^23 + 5845/4*x^22 + 1269/4*x^21 - 48031/4*x^20 + 6789/2*x^19 + 123291/2*x^18 - 140295/4*x^17 - 822323/4*x^16 + 153949*x^15 + 1794329/4*x^14 - 389716*x^13 - 1258465/2*x^12 + 599267*x^11 + 542997*x^10 - 2198607/4*x^9 - 1070163/4*x^8 + 1122261/4*x^7 + 276595/4*x^6 - 281479/4*x^5 - 40265/4*x^4 + 15515/2*x^3 + 715*x^2 - 314*x - 24, 2*x^26 - 23/4*x^25 - 62*x^24 + 743/4*x^23 + 3235/4*x^22 - 2571*x^21 - 22985/4*x^20 + 79891/4*x^19 + 95587/4*x^18 - 191783/2*x^17 - 56823*x^16 + 295460*x^15 + 123239/2*x^14 - 1175155/2*x^13 + 54421/2*x^12 + 739453*x^11 - 317025/2*x^10 - 562270*x^9 + 351717/2*x^8 + 480363/2*x^7 - 81799*x^6 - 107557/2*x^5 + 31773/2*x^4 + 11805/2*x^3 - 1198*x^2 - 238*x + 28, 2*x^26 - 23/4*x^25 - 62*x^24 + 743/4*x^23 + 3235/4*x^22 - 2571*x^21 - 22985/4*x^20 + 79891/4*x^19 + 95587/4*x^18 - 191783/2*x^17 - 56823*x^16 + 295460*x^15 + 123239/2*x^14 - 1175155/2*x^13 + 54421/2*x^12 + 739453*x^11 - 317025/2*x^10 - 562270*x^9 + 351717/2*x^8 + 480363/2*x^7 - 81799*x^6 - 107557/2*x^5 + 31773/2*x^4 + 11805/2*x^3 - 1198*x^2 - 238*x + 28, x^28 - 5/2*x^27 - 36*x^26 + 367/4*x^25 + 1119/2*x^24 - 2927/2*x^23 - 19679/4*x^22 + 53349/4*x^21 + 53899/2*x^20 - 153667/2*x^19 - 381475/4*x^18 + 292557*x^17 + 218197*x^16 - 748287*x^15 - 622555/2*x^14 + 5125427/4*x^13 + 993135/4*x^12 - 2876625/2*x^11 - 142151/2*x^10 + 4062737/4*x^9 - 30930*x^8 - 1690147/4*x^7 + 81567/4*x^6 + 94383*x^5 - 3135/4*x^4 - 19705/2*x^3 - 472*x^2 + 330*x + 24, x^28 - 5/2*x^27 - 36*x^26 + 367/4*x^25 + 1119/2*x^24 - 2927/2*x^23 - 19679/4*x^22 + 53349/4*x^21 + 53899/2*x^20 - 153667/2*x^19 - 381475/4*x^18 + 292557*x^17 + 218197*x^16 - 748287*x^15 - 622555/2*x^14 + 5125427/4*x^13 + 993135/4*x^12 - 2876625/2*x^11 - 142151/2*x^10 + 4062737/4*x^9 - 30930*x^8 - 1690147/4*x^7 + 81567/4*x^6 + 94383*x^5 - 3135/4*x^4 - 19705/2*x^3 - 472*x^2 + 330*x + 24, x^27 - 3*x^26 - 32*x^25 + 201/2*x^24 + 869/2*x^23 - 2921/2*x^22 - 6467/2*x^21 + 12082*x^20 + 56161/4*x^19 - 250861/4*x^18 - 66861/2*x^17 + 848553/4*x^16 + 24576*x^15 - 1879459/4*x^14 + 338397/4*x^13 + 2666379/4*x^12 - 267347*x^11 - 2298001/4*x^10 + 331010*x^9 + 1091627/4*x^8 - 398547/2*x^7 - 247819/4*x^6 + 219991/4*x^5 + 7577*x^4 - 6871*x^3 - 697*x^2 + 292*x + 32, x^27 - 3*x^26 - 32*x^25 + 201/2*x^24 + 869/2*x^23 - 2921/2*x^22 - 6467/2*x^21 + 12082*x^20 + 56161/4*x^19 - 250861/4*x^18 - 66861/2*x^17 + 848553/4*x^16 + 24576*x^15 - 1879459/4*x^14 + 338397/4*x^13 + 2666379/4*x^12 - 267347*x^11 - 2298001/4*x^10 + 331010*x^9 + 1091627/4*x^8 - 398547/2*x^7 - 247819/4*x^6 + 219991/4*x^5 + 7577*x^4 - 6871*x^3 - 697*x^2 + 292*x + 32, -1/2*x^28 + 2*x^27 + 63/4*x^26 - 277/4*x^25 - 829/4*x^24 + 1040*x^23 + 1462*x^22 - 8922*x^21 - 5772*x^20 + 97035/2*x^19 + 43117/4*x^18 - 702289/4*x^17 + 24143/4*x^16 + 863645/2*x^15 - 336997/4*x^14 - 2892969/4*x^13 + 860593/4*x^12 + 3243675/4*x^11 - 1176527/4*x^10 - 583547*x^9 + 467969/2*x^8 + 248720*x^7 - 406551/4*x^6 - 221345/4*x^5 + 79229/4*x^4 + 6196*x^3 - 1487*x^2 - 300*x + 20, -1/2*x^28 + 2*x^27 + 63/4*x^26 - 277/4*x^25 - 829/4*x^24 + 1040*x^23 + 1462*x^22 - 8922*x^21 - 5772*x^20 + 97035/2*x^19 + 43117/4*x^18 - 702289/4*x^17 + 24143/4*x^16 + 863645/2*x^15 - 336997/4*x^14 - 2892969/4*x^13 + 860593/4*x^12 + 3243675/4*x^11 - 1176527/4*x^10 - 583547*x^9 + 467969/2*x^8 + 248720*x^7 - 406551/4*x^6 - 221345/4*x^5 + 79229/4*x^4 + 6196*x^3 - 1487*x^2 - 300*x + 20, x^27 - 13/4*x^26 - 123/4*x^25 + 419/4*x^24 + 801/2*x^23 - 5805/4*x^22 - 11519/4*x^21 + 45349/4*x^20 + 24965/2*x^19 - 220319/4*x^18 - 133613/4*x^17 + 173146*x^16 + 217557/4*x^15 - 1420663/4*x^14 - 210289/4*x^13 + 1872059/4*x^12 + 71661/2*x^11 - 760633/2*x^10 - 35211*x^9 + 354047/2*x^8 + 36421*x^7 - 82513/2*x^6 - 17808*x^5 + 2897*x^4 + 3113*x^3 + 212*x^2 - 178*x - 28, x^27 - 13/4*x^26 - 123/4*x^25 + 419/4*x^24 + 801/2*x^23 - 5805/4*x^22 - 11519/4*x^21 + 45349/4*x^20 + 24965/2*x^19 - 220319/4*x^18 - 133613/4*x^17 + 173146*x^16 + 217557/4*x^15 - 1420663/4*x^14 - 210289/4*x^13 + 1872059/4*x^12 + 71661/2*x^11 - 760633/2*x^10 - 35211*x^9 + 354047/2*x^8 + 36421*x^7 - 82513/2*x^6 - 17808*x^5 + 2897*x^4 + 3113*x^3 + 212*x^2 - 178*x - 28, 9/4*x^25 - 11/2*x^24 - 70*x^23 + 685/4*x^22 + 3715/4*x^21 - 4557/2*x^20 - 13747/2*x^19 + 67845/4*x^18 + 31190*x^17 - 155547/2*x^16 - 359675/4*x^15 + 456463/2*x^14 + 660171/4*x^13 - 863503/2*x^12 - 749445/4*x^11 + 2069923/4*x^10 + 486709/4*x^9 - 750505/2*x^8 - 73645/2*x^7 + 150131*x^6 + 1879*x^5 - 111485/4*x^4 + 213*x^3 + 2110*x^2 + 6*x - 48, 9/4*x^25 - 11/2*x^24 - 70*x^23 + 685/4*x^22 + 3715/4*x^21 - 4557/2*x^20 - 13747/2*x^19 + 67845/4*x^18 + 31190*x^17 - 155547/2*x^16 - 359675/4*x^15 + 456463/2*x^14 + 660171/4*x^13 - 863503/2*x^12 - 749445/4*x^11 + 2069923/4*x^10 + 486709/4*x^9 - 750505/2*x^8 - 73645/2*x^7 + 150131*x^6 + 1879*x^5 - 111485/4*x^4 + 213*x^3 + 2110*x^2 + 6*x - 48, x^27 - 9/4*x^26 - 35*x^25 + 157/2*x^24 + 1059/2*x^23 - 4733/4*x^22 - 18177/4*x^21 + 10108*x^20 + 24431*x^19 - 53970*x^18 - 343555/4*x^17 + 187388*x^16 + 401485/2*x^15 - 426721*x^14 - 1252911/4*x^13 + 2510783/4*x^12 + 1312999/4*x^11 - 572994*x^10 - 948607/4*x^9 + 1208167/4*x^8 + 487485/4*x^7 - 164193/2*x^6 - 161401/4*x^5 + 39619/4*x^4 + 5713*x^3 - 405*x^2 - 212*x + 12, x^27 - 9/4*x^26 - 35*x^25 + 157/2*x^24 + 1059/2*x^23 - 4733/4*x^22 - 18177/4*x^21 + 10108*x^20 + 24431*x^19 - 53970*x^18 - 343555/4*x^17 + 187388*x^16 + 401485/2*x^15 - 426721*x^14 - 1252911/4*x^13 + 2510783/4*x^12 + 1312999/4*x^11 - 572994*x^10 - 948607/4*x^9 + 1208167/4*x^8 + 487485/4*x^7 - 164193/2*x^6 - 161401/4*x^5 + 39619/4*x^4 + 5713*x^3 - 405*x^2 - 212*x + 12, x^26 - 3*x^25 - 30*x^24 + 367/4*x^23 + 1545/4*x^22 - 2419/2*x^21 - 11221/4*x^20 + 18105/2*x^19 + 50725/4*x^18 - 85271/2*x^17 - 36928*x^16 + 264167/2*x^15 + 273781/4*x^14 - 1088637/4*x^13 - 149223/2*x^12 + 1466379/4*x^11 + 70893/2*x^10 - 1226553/4*x^9 + 33419/4*x^8 + 574055/4*x^7 - 25803/2*x^6 - 61961/2*x^5 + 1537*x^4 + 2617*x^3 + 112*x^2 - 26*x, x^26 - 3*x^25 - 30*x^24 + 367/4*x^23 + 1545/4*x^22 - 2419/2*x^21 - 11221/4*x^20 + 18105/2*x^19 + 50725/4*x^18 - 85271/2*x^17 - 36928*x^16 + 264167/2*x^15 + 273781/4*x^14 - 1088637/4*x^13 - 149223/2*x^12 + 1466379/4*x^11 + 70893/2*x^10 - 1226553/4*x^9 + 33419/4*x^8 + 574055/4*x^7 - 25803/2*x^6 - 61961/2*x^5 + 1537*x^4 + 2617*x^3 + 112*x^2 - 26*x, x^28 - 5/2*x^27 - 36*x^26 + 361/4*x^25 + 2261/4*x^24 - 5705/4*x^23 - 5081*x^22 + 51897/4*x^21 + 115413/4*x^20 - 300649/4*x^19 - 431029/4*x^18 + 579695/2*x^17 + 1068339/4*x^16 - 3023589/4*x^15 - 1729713/4*x^14 + 1328470*x^13 + 436497*x^12 - 1540362*x^11 - 494867/2*x^10 + 4516787/4*x^9 + 119825/2*x^8 - 1944135/4*x^7 - 2499/2*x^6 + 435709/4*x^5 + 6633/4*x^4 - 22143/2*x^3 - 535*x^2 + 372*x + 24, x^28 - 5/2*x^27 - 36*x^26 + 361/4*x^25 + 2261/4*x^24 - 5705/4*x^23 - 5081*x^22 + 51897/4*x^21 + 115413/4*x^20 - 300649/4*x^19 - 431029/4*x^18 + 579695/2*x^17 + 1068339/4*x^16 - 3023589/4*x^15 - 1729713/4*x^14 + 1328470*x^13 + 436497*x^12 - 1540362*x^11 - 494867/2*x^10 + 4516787/4*x^9 + 119825/2*x^8 - 1944135/4*x^7 - 2499/2*x^6 + 435709/4*x^5 + 6633/4*x^4 - 22143/2*x^3 - 535*x^2 + 372*x + 24, -1/2*x^27 + 3/2*x^26 + 16*x^25 - 97/2*x^24 - 443/2*x^23 + 675*x^22 + 7031/4*x^21 - 21299/4*x^20 - 35883/4*x^19 + 52877/2*x^18 + 125639/4*x^17 - 173849/2*x^16 - 156733/2*x^15 + 193963*x^14 + 140692*x^13 - 1181471/4*x^12 - 176975*x^11 + 1206453/4*x^10 + 584539/4*x^9 - 783227/4*x^8 - 71813*x^7 + 72679*x^6 + 18657*x^5 - 26715/2*x^4 - 4213/2*x^3 + 1170*x^2 + 102*x - 32, -1/2*x^27 + 3/2*x^26 + 16*x^25 - 97/2*x^24 - 443/2*x^23 + 675*x^22 + 7031/4*x^21 - 21299/4*x^20 - 35883/4*x^19 + 52877/2*x^18 + 125639/4*x^17 - 173849/2*x^16 - 156733/2*x^15 + 193963*x^14 + 140692*x^13 - 1181471/4*x^12 - 176975*x^11 + 1206453/4*x^10 + 584539/4*x^9 - 783227/4*x^8 - 71813*x^7 + 72679*x^6 + 18657*x^5 - 26715/2*x^4 - 4213/2*x^3 + 1170*x^2 + 102*x - 32, -1/2*x^29 + 2*x^28 + 67/4*x^27 - 295/4*x^26 - 473/2*x^25 + 4757/4*x^24 + 3619/2*x^23 - 44233/4*x^22 - 7847*x^21 + 65850*x^20 + 32711/2*x^19 - 1054625/4*x^18 + 38799/4*x^17 + 2897311/4*x^16 - 639327/4*x^15 - 2731575/2*x^14 + 1856689/4*x^13 + 1735519*x^12 - 2865695/4*x^11 - 5712629/4*x^10 + 1275003/2*x^9 + 1424135/2*x^8 - 310390*x^7 - 197164*x^6 + 71520*x^5 + 118479/4*x^4 - 7138*x^3 - 2185*x^2 + 232*x + 56, -1/2*x^29 + 2*x^28 + 67/4*x^27 - 295/4*x^26 - 473/2*x^25 + 4757/4*x^24 + 3619/2*x^23 - 44233/4*x^22 - 7847*x^21 + 65850*x^20 + 32711/2*x^19 - 1054625/4*x^18 + 38799/4*x^17 + 2897311/4*x^16 - 639327/4*x^15 - 2731575/2*x^14 + 1856689/4*x^13 + 1735519*x^12 - 2865695/4*x^11 - 5712629/4*x^10 + 1275003/2*x^9 + 1424135/2*x^8 - 310390*x^7 - 197164*x^6 + 71520*x^5 + 118479/4*x^4 - 7138*x^3 - 2185*x^2 + 232*x + 56, -3/4*x^27 + 13/4*x^26 + 81/4*x^25 - 411/4*x^24 - 843/4*x^23 + 2785/2*x^22 + 934*x^21 - 21249/2*x^20 + 439/4*x^19 + 201829/4*x^18 - 20810*x^17 - 311745/2*x^16 + 210543/2*x^15 + 636473/2*x^14 - 1091511/4*x^13 - 427877*x^12 + 841185/2*x^11 + 370735*x^10 - 1559613/4*x^9 - 199350*x^8 + 818383/4*x^7 + 130481/2*x^6 - 209007/4*x^5 - 57727/4*x^4 + 5381*x^3 + 1555*x^2 - 162*x - 52, -3/4*x^27 + 13/4*x^26 + 81/4*x^25 - 411/4*x^24 - 843/4*x^23 + 2785/2*x^22 + 934*x^21 - 21249/2*x^20 + 439/4*x^19 + 201829/4*x^18 - 20810*x^17 - 311745/2*x^16 + 210543/2*x^15 + 636473/2*x^14 - 1091511/4*x^13 - 427877*x^12 + 841185/2*x^11 + 370735*x^10 - 1559613/4*x^9 - 199350*x^8 + 818383/4*x^7 + 130481/2*x^6 - 209007/4*x^5 - 57727/4*x^4 + 5381*x^3 + 1555*x^2 - 162*x - 52, -3/4*x^26 + 13/4*x^25 + 22*x^24 - 425/4*x^23 - 1065/4*x^22 + 1502*x^21 + 1678*x^20 - 12064*x^19 - 5388*x^18 + 121507/2*x^17 + 15329/4*x^16 - 199312*x^15 + 34978*x^14 + 1711941/4*x^13 - 559841/4*x^12 - 588567*x^11 + 978973/4*x^10 + 1974623/4*x^9 - 884143/4*x^8 - 934257/4*x^7 + 193159/2*x^6 + 227551/4*x^5 - 34421/2*x^4 - 12819/2*x^3 + 1092*x^2 + 216*x - 28, -3/4*x^26 + 13/4*x^25 + 22*x^24 - 425/4*x^23 - 1065/4*x^22 + 1502*x^21 + 1678*x^20 - 12064*x^19 - 5388*x^18 + 121507/2*x^17 + 15329/4*x^16 - 199312*x^15 + 34978*x^14 + 1711941/4*x^13 - 559841/4*x^12 - 588567*x^11 + 978973/4*x^10 + 1974623/4*x^9 - 884143/4*x^8 - 934257/4*x^7 + 193159/2*x^6 + 227551/4*x^5 - 34421/2*x^4 - 12819/2*x^3 + 1092*x^2 + 216*x - 28, -3/4*x^27 + 13/4*x^26 + 87/4*x^25 - 217/2*x^24 - 997/4*x^23 + 6235/4*x^22 + 1315*x^21 - 25253/2*x^20 - 3135/2*x^19 + 63450*x^18 - 77121/4*x^17 - 409685/2*x^16 + 241647/2*x^15 + 1699083/4*x^14 - 1361733/4*x^13 - 2190919/4*x^12 + 2148275/4*x^11 + 1627671/4*x^10 - 1905963/4*x^9 - 298481/2*x^8 + 218569*x^7 + 42709/2*x^6 - 44128*x^5 - 3408*x^4 + 7469/2*x^3 + 665*x^2 - 106*x - 36, -3/4*x^27 + 13/4*x^26 + 87/4*x^25 - 217/2*x^24 - 997/4*x^23 + 6235/4*x^22 + 1315*x^21 - 25253/2*x^20 - 3135/2*x^19 + 63450*x^18 - 77121/4*x^17 - 409685/2*x^16 + 241647/2*x^15 + 1699083/4*x^14 - 1361733/4*x^13 - 2190919/4*x^12 + 2148275/4*x^11 + 1627671/4*x^10 - 1905963/4*x^9 - 298481/2*x^8 + 218569*x^7 + 42709/2*x^6 - 44128*x^5 - 3408*x^4 + 7469/2*x^3 + 665*x^2 - 106*x - 36, -1/4*x^25 - 13/4*x^24 + 87/4*x^23 + 319/4*x^22 - 1001/2*x^21 - 751*x^20 + 11029/2*x^19 + 6237/2*x^18 - 69375/2*x^17 - 9125/4*x^16 + 133788*x^15 - 30526*x^14 - 648507/2*x^13 + 263503/2*x^12 + 1960619/4*x^11 - 998475/4*x^10 - 888665/2*x^9 + 491719/2*x^8 + 446389/2*x^7 - 476627/4*x^6 - 221359/4*x^5 + 91645/4*x^4 + 6770*x^3 - 1439*x^2 - 298*x + 16, -1/4*x^25 - 13/4*x^24 + 87/4*x^23 + 319/4*x^22 - 1001/2*x^21 - 751*x^20 + 11029/2*x^19 + 6237/2*x^18 - 69375/2*x^17 - 9125/4*x^16 + 133788*x^15 - 30526*x^14 - 648507/2*x^13 + 263503/2*x^12 + 1960619/4*x^11 - 998475/4*x^10 - 888665/2*x^9 + 491719/2*x^8 + 446389/2*x^7 - 476627/4*x^6 - 221359/4*x^5 + 91645/4*x^4 + 6770*x^3 - 1439*x^2 - 298*x + 16, -5/4*x^26 + 19/4*x^25 + 137/4*x^24 - 287/2*x^23 - 1517/4*x^22 + 3679/2*x^21 + 2126*x^20 - 52433/4*x^19 - 5808*x^18 + 57238*x^17 + 10089/4*x^16 - 159493*x^15 + 123913/4*x^14 + 574365/2*x^13 - 193511/2*x^12 - 664661/2*x^11 + 554613/4*x^10 + 483211/2*x^9 - 439963/4*x^8 - 104228*x^7 + 190463/4*x^6 + 93287/4*x^5 - 34225/4*x^4 - 5839/2*x^3 + 419*x^2 + 166*x + 12, -5/4*x^26 + 19/4*x^25 + 137/4*x^24 - 287/2*x^23 - 1517/4*x^22 + 3679/2*x^21 + 2126*x^20 - 52433/4*x^19 - 5808*x^18 + 57238*x^17 + 10089/4*x^16 - 159493*x^15 + 123913/4*x^14 + 574365/2*x^13 - 193511/2*x^12 - 664661/2*x^11 + 554613/4*x^10 + 483211/2*x^9 - 439963/4*x^8 - 104228*x^7 + 190463/4*x^6 + 93287/4*x^5 - 34225/4*x^4 - 5839/2*x^3 + 419*x^2 + 166*x + 12, -5/4*x^28 + 17/4*x^27 + 163/4*x^26 - 150*x^25 - 2215/4*x^24 + 9135/4*x^23 + 8021/2*x^22 - 19694*x^21 - 32005/2*x^20 + 424999/4*x^19 + 56709/2*x^18 - 373913*x^17 + 59229/2*x^16 + 868158*x^15 - 538763/2*x^14 - 5259833/4*x^13 + 615059*x^12 + 1256566*x^11 - 2875261/4*x^10 - 1431035/2*x^9 + 899663/2*x^8 + 453771/2*x^7 - 564641/4*x^6 - 40178*x^5 + 82765/4*x^4 + 3881*x^3 - 1165*x^2 - 146*x + 16, -5/4*x^28 + 17/4*x^27 + 163/4*x^26 - 150*x^25 - 2215/4*x^24 + 9135/4*x^23 + 8021/2*x^22 - 19694*x^21 - 32005/2*x^20 + 424999/4*x^19 + 56709/2*x^18 - 373913*x^17 + 59229/2*x^16 + 868158*x^15 - 538763/2*x^14 - 5259833/4*x^13 + 615059*x^12 + 1256566*x^11 - 2875261/4*x^10 - 1431035/2*x^9 + 899663/2*x^8 + 453771/2*x^7 - 564641/4*x^6 - 40178*x^5 + 82765/4*x^4 + 3881*x^3 - 1165*x^2 - 146*x + 16, -3/4*x^28 + 9/4*x^27 + 99/4*x^26 - 307/4*x^25 - 1399/4*x^24 + 2271/2*x^23 + 5529/2*x^22 - 38337/4*x^21 - 26707/2*x^20 + 51083*x^19 + 160311/4*x^18 - 718829/4*x^17 - 281587/4*x^16 + 1693361/4*x^15 + 205239/4*x^14 - 2649949/4*x^13 + 197333/4*x^12 + 667235*x^11 - 148240*x^10 - 811489/2*x^9 + 137563*x^8 + 266095/2*x^7 - 58611*x^6 - 39891/2*x^5 + 44161/4*x^4 + 2723/2*x^3 - 793*x^2 - 40*x + 16, -3/4*x^28 + 9/4*x^27 + 99/4*x^26 - 307/4*x^25 - 1399/4*x^24 + 2271/2*x^23 + 5529/2*x^22 - 38337/4*x^21 - 26707/2*x^20 + 51083*x^19 + 160311/4*x^18 - 718829/4*x^17 - 281587/4*x^16 + 1693361/4*x^15 + 205239/4*x^14 - 2649949/4*x^13 + 197333/4*x^12 + 667235*x^11 - 148240*x^10 - 811489/2*x^9 + 137563*x^8 + 266095/2*x^7 - 58611*x^6 - 39891/2*x^5 + 44161/4*x^4 + 2723/2*x^3 - 793*x^2 - 40*x + 16, -2*x^25 + 31/4*x^24 + 53*x^23 - 228*x^22 - 2263/4*x^21 + 2841*x^20 + 3053*x^19 - 78631/4*x^18 - 16155/2*x^17 + 83304*x^16 + 16293/4*x^15 - 225017*x^14 + 141721/4*x^13 + 1563657/4*x^12 - 419857/4*x^11 - 1722971/4*x^10 + 535111/4*x^9 + 1163715/4*x^8 - 85167*x^7 - 458391/4*x^6 + 50077/2*x^5 + 99479/4*x^4 - 5711/2*x^3 - 2559*x^2 + 72*x + 84, -2*x^25 + 31/4*x^24 + 53*x^23 - 228*x^22 - 2263/4*x^21 + 2841*x^20 + 3053*x^19 - 78631/4*x^18 - 16155/2*x^17 + 83304*x^16 + 16293/4*x^15 - 225017*x^14 + 141721/4*x^13 + 1563657/4*x^12 - 419857/4*x^11 - 1722971/4*x^10 + 535111/4*x^9 + 1163715/4*x^8 - 85167*x^7 - 458391/4*x^6 + 50077/2*x^5 + 99479/4*x^4 - 5711/2*x^3 - 2559*x^2 + 72*x + 84, -5/4*x^26 + 7/4*x^25 + 44*x^24 - 65*x^23 - 2635/4*x^22 + 4097/4*x^21 + 21915/4*x^20 - 8987*x^19 - 27711*x^18 + 193727/4*x^17 + 87412*x^16 - 666731/4*x^15 - 670727/4*x^14 + 736961/2*x^13 + 173852*x^12 - 2044997/4*x^11 - 196145/4*x^10 + 418720*x^9 - 76089*x^8 - 355007/2*x^7 + 144319/2*x^6 + 115413/4*x^5 - 78547/4*x^4 - 2401/2*x^3 + 2149*x^2 - 30*x - 84, -5/4*x^26 + 7/4*x^25 + 44*x^24 - 65*x^23 - 2635/4*x^22 + 4097/4*x^21 + 21915/4*x^20 - 8987*x^19 - 27711*x^18 + 193727/4*x^17 + 87412*x^16 - 666731/4*x^15 - 670727/4*x^14 + 736961/2*x^13 + 173852*x^12 - 2044997/4*x^11 - 196145/4*x^10 + 418720*x^9 - 76089*x^8 - 355007/2*x^7 + 144319/2*x^6 + 115413/4*x^5 - 78547/4*x^4 - 2401/2*x^3 + 2149*x^2 - 30*x - 84, -5/4*x^27 + 3*x^26 + 85/2*x^25 - 423/4*x^24 - 1231/2*x^23 + 6413/4*x^22 + 4955*x^21 - 54859/4*x^20 - 48477/2*x^19 + 292097/4*x^18 + 294671/4*x^17 - 503627/2*x^16 - 134787*x^15 + 2266753/4*x^14 + 129625*x^13 - 3267411/4*x^12 - 111767/4*x^11 + 717375*x^10 - 100953/2*x^9 - 347274*x^8 + 52937/2*x^7 + 151701/2*x^6 + 27399/4*x^5 - 4475*x^4 - 6841/2*x^3 - 740*x^2 + 244*x + 68, -5/4*x^27 + 3*x^26 + 85/2*x^25 - 423/4*x^24 - 1231/2*x^23 + 6413/4*x^22 + 4955*x^21 - 54859/4*x^20 - 48477/2*x^19 + 292097/4*x^18 + 294671/4*x^17 - 503627/2*x^16 - 134787*x^15 + 2266753/4*x^14 + 129625*x^13 - 3267411/4*x^12 - 111767/4*x^11 + 717375*x^10 - 100953/2*x^9 - 347274*x^8 + 52937/2*x^7 + 151701/2*x^6 + 27399/4*x^5 - 4475*x^4 - 6841/2*x^3 - 740*x^2 + 244*x + 68]>
       ]
>;

MOG[691] := 	// J_0(691)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [40, 80, 84, 139, 200, 346, 361, 563, 583, 652, 344*x + 42, 347*x + 42, 528*x + 264, 163*x + 264, 196*x + 594, 495*x + 594, 270*x + 516, 421*x + 516, 391*x + 380, 300*x + 380, 282*x + 526, 409*x + 526, 655*x + 318, 36*x + 318, 77*x + 184, 614*x + 184, 641*x + 242, 50*x + 242, 257*x + 100, 434*x + 100, 591*x + 593, 100*x + 593, 653*x + 638, 38*x + 638, 282*x + 587, 409*x + 587, 274*x + 25, 417*x + 25, 466*x + 99, 225*x + 99, 530*x + 204, 161*x + 204, 105*x + 196, 586*x + 196, 453*x + 114, 238*x + 114, 58*x + 244, 633*x + 244, 456*x + 238, 235*x + 238, 577*x + 217, 114*x + 217, 657*x + 354, 34*x + 354, 21*x + 292, 670*x + 292, 525*x + 203, 166*x + 203]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^24 + 8*x^23 - x^22 - 160*x^21 - 270*x^20 + 1244*x^19 + 3408*x^18 - 4525*x^17 - 19550*x^16 + 5724*x^15 + 63749*x^14 + 12757*x^13 - 126426*x^12 - 60979*x^11 + 154043*x^10 + 102521*x^9 - 111336*x^8 - 89556*x^7 + 42937*x^6 + 40859*x^5 - 6305*x^4 - 8271*x^3 - 292*x^2 + 363*x + 28,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^23 - 8*x^22 - x^21 + 144*x^20 + 265*x^19 - 980*x^18 - 2894*x^17 + 2896*x^16 + 14499*x^15 - 1510*x^14 - 40577*x^13 - 13485*x^12 + 66832*x^11 + 39328*x^10 - 63985*x^9 - 48920*x^8 + 32787*x^7 + 30234*x^6 - 6966*x^5 - 8310*x^4 - 14*x^3 + 607*x^2 + 47*x - 4, x^23 + 8*x^22 + x^21 - 144*x^20 - 265*x^19 + 980*x^18 + 2894*x^17 - 2896*x^16 - 14499*x^15 + 1510*x^14 + 40577*x^13 + 13485*x^12 - 66832*x^11 - 39328*x^10 + 63985*x^9 + 48920*x^8 - 32787*x^7 - 30234*x^6 + 6966*x^5 + 8310*x^4 + 14*x^3 - 607*x^2 - 47*x + 4, -x^22 - 8*x^21 - 3*x^20 + 128*x^19 + 254*x^18 - 762*x^17 - 2405*x^16 + 1877*x^15 + 10696*x^14 - 111*x^13 - 26772*x^12 - 9894*x^11 + 39544*x^10 + 23482*x^9 - 33887*x^8 - 25416*x^7 + 15367*x^6 + 13773*x^5 - 2745*x^4 - 3222*x^3 - 56*x^2 + 149*x + 4, x^22 + 8*x^21 + 3*x^20 - 128*x^19 - 254*x^18 + 762*x^17 + 2405*x^16 - 1877*x^15 - 10696*x^14 + 111*x^13 + 26772*x^12 + 9894*x^11 - 39544*x^10 - 23482*x^9 + 33887*x^8 + 25416*x^7 - 15367*x^6 - 13773*x^5 + 2745*x^4 + 3222*x^3 + 56*x^2 - 149*x - 4, -x^22 - 8*x^21 - 2*x^20 + 136*x^19 + 260*x^18 - 867*x^17 - 2646*x^16 + 2337*x^15 + 12476*x^14 - 617*x^13 - 32822*x^12 - 11757*x^11 + 50514*x^10 + 30119*x^9 - 44662*x^8 - 33906*x^7 + 20604*x^6 + 18776*x^5 - 3574*x^4 - 4442*x^3 - 189*x^2 + 210*x + 24, x^22 + 8*x^21 + 2*x^20 - 136*x^19 - 260*x^18 + 867*x^17 + 2646*x^16 - 2337*x^15 - 12476*x^14 + 617*x^13 + 32822*x^12 + 11757*x^11 - 50514*x^10 - 30119*x^9 + 44662*x^8 + 33906*x^7 - 20604*x^6 - 18776*x^5 + 3574*x^4 + 4442*x^3 + 189*x^2 - 210*x - 24, -x^21 - 8*x^20 - 5*x^19 + 113*x^18 + 248*x^17 - 558*x^16 - 2018*x^15 + 883*x^14 + 7665*x^13 + 1661*x^12 - 15926*x^11 - 8610*x^10 + 18714*x^9 + 13512*x^8 - 12057*x^7 - 9908*x^6 + 3863*x^5 + 3300*x^4 - 479*x^3 - 383*x^2 + 6*x + 8, x^21 + 8*x^20 + 5*x^19 - 113*x^18 - 248*x^17 + 558*x^16 + 2018*x^15 - 883*x^14 - 7665*x^13 - 1661*x^12 + 15926*x^11 + 8610*x^10 - 18714*x^9 - 13512*x^8 + 12057*x^7 + 9908*x^6 - 3863*x^5 - 3300*x^4 + 479*x^3 + 383*x^2 - 6*x - 8, -x^21 - 8*x^20 - 6*x^19 + 105*x^18 + 241*x^17 - 461*x^16 - 1785*x^15 + 516*x^14 + 6140*x^13 + 1930*x^12 - 11362*x^11 - 7236*x^10 + 11384*x^9 + 9992*x^8 - 5363*x^7 - 6553*x^6 + 358*x^5 + 1788*x^4 + 437*x^3 - 75*x^2 - 49*x - 4, x^21 + 8*x^20 + 6*x^19 - 105*x^18 - 241*x^17 + 461*x^16 + 1785*x^15 - 516*x^14 - 6140*x^13 - 1930*x^12 + 11362*x^11 + 7236*x^10 - 11384*x^9 - 9992*x^8 + 5363*x^7 + 6553*x^6 - 358*x^5 - 1788*x^4 - 437*x^3 + 75*x^2 + 49*x + 4, -x^21 - 8*x^20 - 5*x^19 + 113*x^18 + 248*x^17 - 559*x^16 - 2023*x^15 + 893*x^14 + 7755*x^13 + 1728*x^12 - 16318*x^11 - 9209*x^10 + 19323*x^9 + 15014*x^8 - 12183*x^7 - 11458*x^6 + 3392*x^5 + 3868*x^4 - 175*x^3 - 397*x^2 - 23*x + 4, x^21 + 8*x^20 + 5*x^19 - 113*x^18 - 248*x^17 + 559*x^16 + 2023*x^15 - 893*x^14 - 7755*x^13 - 1728*x^12 + 16318*x^11 + 9209*x^10 - 19323*x^9 - 15014*x^8 + 12183*x^7 + 11458*x^6 - 3392*x^5 - 3868*x^4 + 175*x^3 + 397*x^2 + 23*x - 4, -x^20 - 7*x^19 + x^18 + 106*x^17 + 148*x^16 - 615*x^15 - 1364*x^14 + 1656*x^13 + 5509*x^12 - 1663*x^11 - 12068*x^10 - 1463*x^9 + 14987*x^8 + 5165*x^7 - 10239*x^6 - 4659*x^5 + 3445*x^4 + 1637*x^3 - 420*x^2 - 160*x, x^20 + 7*x^19 - x^18 - 106*x^17 - 148*x^16 + 615*x^15 + 1364*x^14 - 1656*x^13 - 5509*x^12 + 1663*x^11 + 12068*x^10 + 1463*x^9 - 14987*x^8 - 5165*x^7 + 10239*x^6 + 4659*x^5 - 3445*x^4 - 1637*x^3 + 420*x^2 + 160*x, -x^20 - 8*x^19 - 7*x^18 + 98*x^17 + 239*x^16 - 379*x^15 - 1667*x^14 + 116*x^13 + 5337*x^12 + 2947*x^11 - 8762*x^10 - 8507*x^9 + 6843*x^8 + 10343*x^7 - 1265*x^6 - 5814*x^5 - 1179*x^4 + 1202*x^3 + 482*x^2 + 19*x - 4, x^20 + 8*x^19 + 7*x^18 - 98*x^17 - 239*x^16 + 379*x^15 + 1667*x^14 - 116*x^13 - 5337*x^12 - 2947*x^11 + 8762*x^10 + 8507*x^9 - 6843*x^8 - 10343*x^7 + 1265*x^6 + 5814*x^5 + 1179*x^4 - 1202*x^3 - 482*x^2 - 19*x + 4, -2*x^20 - 16*x^19 - 13*x^18 + 202*x^17 + 473*x^16 - 841*x^15 - 3353*x^14 + 828*x^13 + 11114*x^12 + 3545*x^11 - 20010*x^10 - 12061*x^9 + 20116*x^8 + 15428*x^7 - 10769*x^6 - 9367*x^5 + 2601*x^4 + 2437*x^3 - 140*x^2 - 146*x - 8, 2*x^20 + 16*x^19 + 13*x^18 - 202*x^17 - 473*x^16 + 841*x^15 + 3353*x^14 - 828*x^13 - 11114*x^12 - 3545*x^11 + 20010*x^10 + 12061*x^9 - 20116*x^8 - 15428*x^7 + 10769*x^6 + 9367*x^5 - 2601*x^4 - 2437*x^3 + 140*x^2 + 146*x + 8, -x^20 - 7*x^19 + 99*x^17 + 147*x^16 - 520*x^15 - 1203*x^14 + 1213*x^13 + 4296*x^12 - 887*x^11 - 8150*x^10 - 1429*x^9 + 8408*x^8 + 3435*x^7 - 4240*x^6 - 2618*x^5 + 581*x^4 + 710*x^3 + 147*x^2 - 7*x + 4, x^20 + 7*x^19 - 99*x^17 - 147*x^16 + 520*x^15 + 1203*x^14 - 1213*x^13 - 4296*x^12 + 887*x^11 + 8150*x^10 + 1429*x^9 - 8408*x^8 - 3435*x^7 + 4240*x^6 + 2618*x^5 - 581*x^4 - 710*x^3 - 147*x^2 + 7*x - 4, -x^20 - 7*x^19 + x^18 + 106*x^17 + 150*x^16 - 603*x^15 - 1368*x^14 + 1517*x^13 + 5390*x^12 - 997*x^11 - 11181*x^10 - 3044*x^9 + 12363*x^8 + 7020*x^7 - 6443*x^6 - 5541*x^5 + 798*x^4 + 1608*x^3 + 306*x^2 - 60*x - 16, x^20 + 7*x^19 - x^18 - 106*x^17 - 150*x^16 + 603*x^15 + 1368*x^14 - 1517*x^13 - 5390*x^12 + 997*x^11 + 11181*x^10 + 3044*x^9 - 12363*x^8 - 7020*x^7 + 6443*x^6 + 5541*x^5 - 798*x^4 - 1608*x^3 - 306*x^2 + 60*x + 16, -x^19 - 6*x^18 + 6*x^17 + 91*x^16 + 39*x^15 - 591*x^14 - 500*x^13 + 2185*x^12 + 2195*x^11 - 4921*x^10 - 5190*x^9 + 6640*x^8 + 6983*x^7 - 4990*x^6 - 5077*x^5 + 1782*x^4 + 1696*x^3 - 197*x^2 - 166*x - 8, x^19 + 6*x^18 - 6*x^17 - 91*x^16 - 39*x^15 + 591*x^14 + 500*x^13 - 2185*x^12 - 2195*x^11 + 4921*x^10 + 5190*x^9 - 6640*x^8 - 6983*x^7 + 4990*x^6 + 5077*x^5 - 1782*x^4 - 1696*x^3 + 197*x^2 + 166*x + 8, -x^19 - 8*x^18 - 9*x^17 + 81*x^16 + 210*x^15 - 247*x^14 - 1180*x^13 + 36*x^12 + 3145*x^11 + 1280*x^10 - 4458*x^9 - 2772*x^8 + 3246*x^7 + 2402*x^6 - 963*x^5 - 807*x^4 - 4*x^3 + 43*x^2 + 30*x + 8, x^19 + 8*x^18 + 9*x^17 - 81*x^16 - 210*x^15 + 247*x^14 + 1180*x^13 - 36*x^12 - 3145*x^11 - 1280*x^10 + 4458*x^9 + 2772*x^8 - 3246*x^7 - 2402*x^6 + 963*x^5 + 807*x^4 + 4*x^3 - 43*x^2 - 30*x - 8, -x^19 - 7*x^18 + 98*x^16 + 141*x^15 - 520*x^14 - 1148*x^13 + 1250*x^12 + 4019*x^11 - 1177*x^10 - 7413*x^9 - 397*x^8 + 7546*x^7 + 1692*x^6 - 4079*x^5 - 1291*x^4 + 965*x^3 + 359*x^2 - 40*x - 16, x^19 + 7*x^18 - 98*x^16 - 141*x^15 + 520*x^14 + 1148*x^13 - 1250*x^12 - 4019*x^11 + 1177*x^10 + 7413*x^9 + 397*x^8 - 7546*x^7 - 1692*x^6 + 4079*x^5 + 1291*x^4 - 965*x^3 - 359*x^2 + 40*x + 16, -2*x^19 - 16*x^18 - 16*x^17 + 179*x^16 + 455*x^15 - 581*x^14 - 2781*x^13 - 113*x^12 + 7670*x^11 + 4384*x^10 - 10591*x^9 - 9578*x^8 + 6777*x^7 + 8644*x^6 - 1149*x^5 - 3219*x^4 - 402*x^3 + 326*x^2 + 64*x, 2*x^19 + 16*x^18 + 16*x^17 - 179*x^16 - 455*x^15 + 581*x^14 + 2781*x^13 + 113*x^12 - 7670*x^11 - 4384*x^10 + 10591*x^9 + 9578*x^8 - 6777*x^7 - 8644*x^6 + 1149*x^5 + 3219*x^4 + 402*x^3 - 326*x^2 - 64*x, -x^19 - 6*x^18 + 5*x^17 + 88*x^16 + 62*x^15 - 506*x^14 - 631*x^13 + 1479*x^12 + 2325*x^11 - 2343*x^10 - 4405*x^9 + 1851*x^8 + 4558*x^7 - 305*x^6 - 2395*x^5 - 497*x^4 + 420*x^3 + 215*x^2 + 46*x + 8, x^19 + 6*x^18 - 5*x^17 - 88*x^16 - 62*x^15 + 506*x^14 + 631*x^13 - 1479*x^12 - 2325*x^11 + 2343*x^10 + 4405*x^9 - 1851*x^8 - 4558*x^7 + 305*x^6 + 2395*x^5 + 497*x^4 - 420*x^3 - 215*x^2 - 46*x - 8, -x^19 - 6*x^18 + 8*x^17 + 106*x^16 + 52*x^15 - 744*x^14 - 848*x^13 + 2665*x^12 + 4140*x^11 - 5016*x^10 - 10004*x^9 + 4369*x^8 + 12760*x^7 - 526*x^6 - 8135*x^5 - 1462*x^4 + 2089*x^3 + 643*x^2 - 53*x - 20, x^19 + 6*x^18 - 8*x^17 - 106*x^16 - 52*x^15 + 744*x^14 + 848*x^13 - 2665*x^12 - 4140*x^11 + 5016*x^10 + 10004*x^9 - 4369*x^8 - 12760*x^7 + 526*x^6 + 8135*x^5 + 1462*x^4 - 2089*x^3 - 643*x^2 + 53*x + 20, -x^18 - 9*x^17 - 18*x^16 + 63*x^15 + 273*x^14 + 29*x^13 - 1129*x^12 - 1063*x^11 + 1957*x^10 + 2913*x^9 - 1364*x^8 - 3172*x^7 + 172*x^6 + 1364*x^5 + 33*x^4 - 138*x^3 + 57*x^2 - 14*x - 8, x^18 + 9*x^17 + 18*x^16 - 63*x^15 - 273*x^14 - 29*x^13 + 1129*x^12 + 1063*x^11 - 1957*x^10 - 2913*x^9 + 1364*x^8 + 3172*x^7 - 172*x^6 - 1364*x^5 - 33*x^4 + 138*x^3 - 57*x^2 + 14*x + 8, -x^18 - 9*x^17 - 18*x^16 + 63*x^15 + 273*x^14 + 26*x^13 - 1151*x^12 - 1093*x^11 + 2082*x^10 + 3237*x^9 - 1545*x^8 - 4136*x^7 + 74*x^6 + 2574*x^5 + 401*x^4 - 774*x^3 - 142*x^2 + 100*x + 16, x^18 + 9*x^17 + 18*x^16 - 63*x^15 - 273*x^14 - 26*x^13 + 1151*x^12 + 1093*x^11 - 2082*x^10 - 3237*x^9 + 1545*x^8 + 4136*x^7 - 74*x^6 - 2574*x^5 - 401*x^4 + 774*x^3 + 142*x^2 - 100*x - 16, -x^18 - 8*x^17 - 11*x^16 + 69*x^15 + 214*x^14 - 106*x^13 - 1041*x^12 - 574*x^11 + 2222*x^10 + 2498*x^9 - 2052*x^8 - 3805*x^7 + 228*x^6 + 2433*x^5 + 774*x^4 - 385*x^3 - 310*x^2 - 111*x - 12, x^18 + 8*x^17 + 11*x^16 - 69*x^15 - 214*x^14 + 106*x^13 + 1041*x^12 + 574*x^11 - 2222*x^10 - 2498*x^9 + 2052*x^8 + 3805*x^7 - 228*x^6 - 2433*x^5 - 774*x^4 + 385*x^3 + 310*x^2 + 111*x + 12, x^18 + 8*x^17 + 8*x^16 - 89*x^15 - 225*x^14 + 286*x^13 + 1347*x^12 + 16*x^11 - 3667*x^10 - 1894*x^9 + 5072*x^8 + 4109*x^7 - 3340*x^6 - 3612*x^5 + 682*x^4 + 1246*x^3 + 121*x^2 - 88*x - 16, -x^18 - 8*x^17 - 8*x^16 + 89*x^15 + 225*x^14 - 286*x^13 - 1347*x^12 - 16*x^11 + 3667*x^10 + 1894*x^9 - 5072*x^8 - 4109*x^7 + 3340*x^6 + 3612*x^5 - 682*x^4 - 1246*x^3 - 121*x^2 + 88*x + 16, -2*x^18 - 15*x^17 - 10*x^16 + 171*x^15 + 347*x^14 - 655*x^13 - 2097*x^12 + 855*x^11 + 5752*x^10 + 589*x^9 - 8267*x^8 - 2675*x^7 + 6280*x^6 + 2536*x^5 - 2321*x^4 - 865*x^3 + 325*x^2 + 58*x - 8, 2*x^18 + 15*x^17 + 10*x^16 - 171*x^15 - 347*x^14 + 655*x^13 + 2097*x^12 - 855*x^11 - 5752*x^10 - 589*x^9 + 8267*x^8 + 2675*x^7 - 6280*x^6 - 2536*x^5 + 2321*x^4 + 865*x^3 - 325*x^2 - 58*x + 8, -x^18 - 6*x^17 + 3*x^16 + 76*x^15 + 66*x^14 - 365*x^13 - 492*x^12 + 869*x^11 + 1402*x^10 - 1125*x^9 - 1999*x^8 + 818*x^7 + 1540*x^6 - 274*x^5 - 658*x^4 - 75*x^3 + 114*x^2 + 61*x + 4, x^18 + 6*x^17 - 3*x^16 - 76*x^15 - 66*x^14 + 365*x^13 + 492*x^12 - 869*x^11 - 1402*x^10 + 1125*x^9 + 1999*x^8 - 818*x^7 - 1540*x^6 + 274*x^5 + 658*x^4 + 75*x^3 - 114*x^2 - 61*x - 4, -2*x^17 - 12*x^16 + 4*x^15 + 141*x^14 + 139*x^13 - 610*x^12 - 923*x^11 + 1218*x^10 + 2406*x^9 - 1033*x^8 - 3018*x^7 + 31*x^6 + 1737*x^5 + 422*x^4 - 306*x^3 - 154*x^2 - 42*x - 8, 2*x^17 + 12*x^16 - 4*x^15 - 141*x^14 - 139*x^13 + 610*x^12 + 923*x^11 - 1218*x^10 - 2406*x^9 + 1033*x^8 + 3018*x^7 - 31*x^6 - 1737*x^5 - 422*x^4 + 306*x^3 + 154*x^2 + 42*x + 8]>,
         rec<Eigen |
           DefiningPolynomial := x^33 - 8*x^32 - 19*x^31 + 306*x^30 - 157*x^29 - 5040*x^28 + 8427*x^27 + 46321*x^26 - 117892*x^25 - 253754*x^24 + 920381*x^23 + 777820*x^22 - 4606386*x^21 - 671891*x^20 + 15502390*x^19 - 4587912*x^18 - 35507910*x^17 + 21745811*x^16 + 54731998*x^15 - 47737754*x^14 - 54822161*x^13 + 62056909*x^12 + 33211151*x^11 - 49349612*x^10 - 10290329*x^9 + 23379903*x^8 + 675970*x^7 - 6132999*x^6 + 318400*x^5 + 777784*x^4 - 27528*x^3 - 40048*x^2 - 2496*x + 128,
           Coordinates        := [-x^32 + 8*x^31 + 15*x^30 - 276*x^29 + 227*x^28 + 4012*x^27 - 7985*x^26 - 31287*x^25 + 95000*x^24 + 132490*x^23 - 637933*x^22 - 204222*x^21 + 2703866*x^20 - 804197*x^19 - 7464262*x^18 + 5489434*x^17 + 13273132*x^16 - 15019239*x^15 - 14295354*x^14 + 23614640*x^13 + 7575929*x^12 - 22440719*x^11 + 393763*x^10 + 12651898*x^9 - 2722211*x^8 - 3980795*x^7 + 1304890*x^6 + 632481*x^5 - 229164*x^4 - 49180*x^3 + 12896*x^2 + 2144*x, x^32 - 6*x^31 - 30*x^30 + 240*x^29 + 295*x^28 - 4222*x^27 + 226*x^26 + 42983*x^25 - 31312*x^24 - 280145*x^23 + 330643*x^22 + 1218995*x^21 - 1891833*x^20 - 3571518*x^19 + 6912683*x^18 + 6882940*x^17 - 16895333*x^16 - 8047127*x^15 + 27819017*x^14 + 4164223*x^13 - 30381310*x^12 + 1826558*x^11 + 21260025*x^10 - 4014106*x^9 - 9022170*x^8 + 2272321*x^7 + 2131672*x^6 - 520580*x^5 - 249544*x^4 + 31812*x^3 + 13824*x^2 + 928*x, x^30 - 6*x^29 - 26*x^28 + 216*x^27 + 193*x^26 - 3368*x^25 + 942*x^24 + 29849*x^23 - 26924*x^22 - 165803*x^21 + 220033*x^20 + 599531*x^19 - 1013943*x^18 - 1415086*x^17 + 2960557*x^16 + 2109496*x^15 - 5662463*x^14 - 1786527*x^13 + 7102423*x^12 + 515875*x^11 - 5723724*x^10 + 434408*x^9 + 2824191*x^8 - 439700*x^7 - 777394*x^6 + 124483*x^5 + 104912*x^4 - 3604*x^3 - 8152*x^2 - 544*x + 64, x^31 - 6*x^30 - 28*x^29 + 228*x^28 + 243*x^27 - 3790*x^26 + 614*x^25 + 36233*x^24 - 29448*x^23 - 220111*x^22 + 276563*x^21 + 884039*x^20 - 1446671*x^19 - 2354514*x^18 + 4846697*x^17 + 3997728*x^16 - 10818727*x^15 - 3736057*x^14 + 16112405*x^13 + 532269*x^12 - 15604242*x^11 + 2815456*x^10 + 9296371*x^9 - 3063242*x^8 - 3088940*x^7 + 1349075*x^6 + 473216*x^5 - 246884*x^4 - 22272*x^3 + 13328*x^2 + 640*x - 128, -2*x^27 + 18*x^26 - 4*x^25 - 410*x^24 + 918*x^23 + 3532*x^22 - 13348*x^21 - 11876*x^20 + 92146*x^19 - 16626*x^18 - 362668*x^17 + 289864*x^16 + 836668*x^15 - 1109058*x^14 - 1035818*x^13 + 2184544*x^12 + 380434*x^11 - 2362574*x^10 + 563796*x^9 + 1292764*x^8 - 677980*x^7 - 272484*x^6 + 247734*x^5 - 7416*x^4 - 26452*x^3 + 3640*x^2 + 672*x - 64, -x^31 + 7*x^30 + 22*x^29 - 254*x^28 - 27*x^27 + 3985*x^26 - 4000*x^25 - 35287*x^24 + 59713*x^23 + 192203*x^22 - 445730*x^21 - 649952*x^20 + 2053914*x^19 + 1249717*x^18 - 6214545*x^17 - 725111*x^16 + 12548021*x^15 - 2471218*x^14 - 16766572*x^13 + 6848068*x^12 + 14423997*x^11 - 8016722*x^10 - 7622959*x^9 + 5028939*x^8 + 2306728*x^7 - 1674067*x^6 - 369177*x^5 + 263304*x^4 + 34140*x^3 - 15040*x^2 - 2144*x, -2*x^29 + 16*x^28 + 18*x^27 - 456*x^26 + 562*x^25 + 5296*x^24 - 12666*x^23 - 30810*x^22 + 115604*x^21 + 77092*x^20 - 596574*x^19 + 100516*x^18 + 1881738*x^17 - 1325184*x^16 - 3627176*x^15 + 4246248*x^14 + 3949986*x^13 - 7192474*x^12 - 1687148*x^11 + 6952480*x^10 - 883702*x^9 - 3697566*x^8 + 1282730*x^7 + 938002*x^6 - 475710*x^5 - 72290*x^4 + 52276*x^3 + 304*x^2 - 1120*x, -2*x^27 + 18*x^26 - 2*x^25 - 426*x^24 + 914*x^23 + 3866*x^22 - 13868*x^21 - 14682*x^20 + 99082*x^19 - 4314*x^18 - 405108*x^17 + 258848*x^16 + 992498*x^15 - 1064102*x^14 - 1421594*x^13 + 2171038*x^12 + 1045858*x^11 - 2485976*x^10 - 174634*x^9 + 1583630*x^8 - 239848*x^7 - 517252*x^6 + 137848*x^5 + 71290*x^4 - 20384*x^3 - 3176*x^2 + 448*x + 64, x^30 - 6*x^29 - 26*x^28 + 216*x^27 + 195*x^26 - 3382*x^25 + 922*x^24 + 30185*x^23 - 27156*x^22 - 169153*x^21 + 225129*x^20 + 617473*x^19 - 1052043*x^18 - 1470126*x^17 + 3116049*x^16 + 2201574*x^15 - 6044149*x^14 - 1845427*x^13 + 7674645*x^12 + 473023*x^11 - 6239930*x^10 + 516456*x^9 + 3109039*x^8 - 483546*x^7 - 881062*x^6 + 149213*x^5 + 122360*x^4 - 14880*x^3 - 5032*x^2 - 512*x - 64, -2*x^28 + 16*x^27 + 14*x^26 - 420*x^25 + 556*x^24 + 4460*x^23 - 10834*x^22 - 23412*x^21 + 88388*x^20 + 50534*x^19 - 405346*x^18 + 79576*x^17 + 1113962*x^16 - 776472*x^15 - 1798010*x^14 + 2073088*x^13 + 1492574*x^12 - 2836892*x^11 - 260856*x^10 + 2103930*x^9 - 494540*x^8 - 821172*x^7 + 364902*x^6 + 148266*x^5 - 90128*x^4 - 8416*x^3 + 5440*x^2 + 768*x, -x^31 + 8*x^30 + 13*x^29 - 260*x^28 + 248*x^27 + 3532*x^26 - 7446*x^25 - 25345*x^24 + 81511*x^23 + 94596*x^22 - 505530*x^21 - 88092*x^20 + 1965150*x^19 - 798956*x^18 - 4902844*x^17 + 4088397*x^16 + 7670301*x^15 - 9590339*x^14 - 6856544*x^13 + 12960027*x^12 + 2378460*x^11 - 10332135*x^10 + 1116689*x^9 + 4670615*x^8 - 1316298*x^7 - 1076192*x^6 + 413795*x^5 + 100998*x^4 - 41456*x^3 - 3912*x^2 + 896*x + 64, -x^31 + 8*x^30 + 13*x^29 - 260*x^28 + 248*x^27 + 3532*x^26 - 7446*x^25 - 25345*x^24 + 81511*x^23 + 94596*x^22 - 505530*x^21 - 88092*x^20 + 1965150*x^19 - 798956*x^18 - 4902844*x^17 + 4088397*x^16 + 7670301*x^15 - 9590339*x^14 - 6856544*x^13 + 12960027*x^12 + 2378460*x^11 - 10332135*x^10 + 1116689*x^9 + 4670615*x^8 - 1316298*x^7 - 1076192*x^6 + 413795*x^5 + 100998*x^4 - 41456*x^3 - 3912*x^2 + 896*x + 64, -x^30 + 8*x^29 + 11*x^28 - 244*x^27 + 265*x^26 + 3084*x^25 - 6878*x^24 - 20259*x^23 + 69184*x^22 + 65878*x^21 - 396235*x^20 - 19750*x^19 + 1417876*x^18 - 698657*x^17 - 3232262*x^16 + 2917540*x^15 + 4564812*x^14 - 6021832*x^13 - 3607608*x^12 + 7213898*x^11 + 1034349*x^10 - 5080535*x^9 + 517278*x^8 + 2025016*x^7 - 470789*x^6 - 421205*x^5 + 116506*x^4 + 40908*x^3 - 8720*x^2 - 1696*x, -x^30 + 8*x^29 + 11*x^28 - 244*x^27 + 265*x^26 + 3084*x^25 - 6878*x^24 - 20259*x^23 + 69184*x^22 + 65878*x^21 - 396235*x^20 - 19750*x^19 + 1417876*x^18 - 698657*x^17 - 3232262*x^16 + 2917540*x^15 + 4564812*x^14 - 6021832*x^13 - 3607608*x^12 + 7213898*x^11 + 1034349*x^10 - 5080535*x^9 + 517278*x^8 + 2025016*x^7 - 470789*x^6 - 421205*x^5 + 116506*x^4 + 40908*x^3 - 8720*x^2 - 1696*x, -x^30 + 8*x^29 + 10*x^28 - 236*x^27 + 274*x^26 + 2858*x^25 - 6611*x^24 - 17635*x^23 + 63219*x^22 + 50252*x^21 - 342481*x^20 + 24991*x^19 + 1143542*x^18 - 702380*x^17 - 2370569*x^16 + 2511360*x^15 + 2873998*x^14 - 4632781*x^13 - 1589861*x^12 + 4894686*x^11 - 311423*x^10 - 2900748*x^9 + 888635*x^8 + 879587*x^7 - 420306*x^6 - 110278*x^5 + 71202*x^4 + 4360*x^3 - 3280*x^2 - 384*x, -x^30 + 8*x^29 + 10*x^28 - 236*x^27 + 274*x^26 + 2858*x^25 - 6611*x^24 - 17635*x^23 + 63219*x^22 + 50252*x^21 - 342481*x^20 + 24991*x^19 + 1143542*x^18 - 702380*x^17 - 2370569*x^16 + 2511360*x^15 + 2873998*x^14 - 4632781*x^13 - 1589861*x^12 + 4894686*x^11 - 311423*x^10 - 2900748*x^9 + 888635*x^8 + 879587*x^7 - 420306*x^6 - 110278*x^5 + 71202*x^4 + 4360*x^3 - 3280*x^2 - 384*x, -x^29 + 8*x^28 + 9*x^27 - 227*x^26 + 275*x^25 + 2624*x^24 - 6125*x^23 - 15301*x^22 + 54887*x^21 + 40588*x^20 - 276781*x^19 + 20343*x^18 + 850857*x^17 - 482826*x^16 - 1606202*x^15 + 1523721*x^14 + 1777414*x^13 - 2425833*x^12 - 995603*x^11 + 2174114*x^10 + 113395*x^9 - 1110625*x^8 + 151752*x^7 + 316970*x^6 - 76225*x^5 - 46966*x^4 + 14244*x^3 + 2184*x^2 - 544*x - 64, -x^29 + 8*x^28 + 9*x^27 - 227*x^26 + 275*x^25 + 2624*x^24 - 6125*x^23 - 15301*x^22 + 54887*x^21 + 40588*x^20 - 276781*x^19 + 20343*x^18 + 850857*x^17 - 482826*x^16 - 1606202*x^15 + 1523721*x^14 + 1777414*x^13 - 2425833*x^12 - 995603*x^11 + 2174114*x^10 + 113395*x^9 - 1110625*x^8 + 151752*x^7 + 316970*x^6 - 76225*x^5 - 46966*x^4 + 14244*x^3 + 2184*x^2 - 544*x - 64, -x^29 + 8*x^28 + 8*x^27 - 221*x^26 + 293*x^25 + 2462*x^24 - 6202*x^23 - 13417*x^22 + 54408*x^21 + 27754*x^20 - 270493*x^19 + 79956*x^18 + 819725*x^17 - 688031*x^16 - 1499287*x^15 + 2044786*x^14 + 1471522*x^13 - 3320296*x^12 - 348508*x^11 + 3077486*x^10 - 712806*x^9 - 1534974*x^8 + 693757*x^7 + 338017*x^6 - 221064*x^5 - 13124*x^4 + 18492*x^3 + 32*x^2 - 352*x, -x^29 + 8*x^28 + 8*x^27 - 221*x^26 + 293*x^25 + 2462*x^24 - 6202*x^23 - 13417*x^22 + 54408*x^21 + 27754*x^20 - 270493*x^19 + 79956*x^18 + 819725*x^17 - 688031*x^16 - 1499287*x^15 + 2044786*x^14 + 1471522*x^13 - 3320296*x^12 - 348508*x^11 + 3077486*x^10 - 712806*x^9 - 1534974*x^8 + 693757*x^7 + 338017*x^6 - 221064*x^5 - 13124*x^4 + 18492*x^3 + 32*x^2 - 352*x, -x^29 + 8*x^28 + 8*x^27 - 218*x^26 + 273*x^25 + 2414*x^24 - 5626*x^23 - 13534*x^22 + 47445*x^21 + 35991*x^20 - 225034*x^19 - 3940*x^18 + 650537*x^17 - 251853*x^16 - 1169127*x^15 + 711310*x^14 + 1316697*x^13 - 872867*x^12 - 1002735*x^11 + 478907*x^10 + 655648*x^9 - 93462*x^8 - 386738*x^7 + 27912*x^6 + 133117*x^5 - 24348*x^4 - 14100*x^3 + 3224*x^2 + 224*x - 64, -x^29 + 8*x^28 + 8*x^27 - 218*x^26 + 273*x^25 + 2414*x^24 - 5626*x^23 - 13534*x^22 + 47445*x^21 + 35991*x^20 - 225034*x^19 - 3940*x^18 + 650537*x^17 - 251853*x^16 - 1169127*x^15 + 711310*x^14 + 1316697*x^13 - 872867*x^12 - 1002735*x^11 + 478907*x^10 + 655648*x^9 - 93462*x^8 - 386738*x^7 + 27912*x^6 + 133117*x^5 - 24348*x^4 - 14100*x^3 + 3224*x^2 + 224*x - 64, -x^28 + 7*x^27 + 15*x^26 - 206*x^25 + 90*x^24 + 2524*x^23 - 3660*x^22 - 16491*x^21 + 36326*x^20 + 59995*x^19 - 190335*x^18 - 106077*x^17 + 596298*x^16 - 3915*x^15 - 1149091*x^14 + 383131*x^13 + 1353649*x^12 - 704305*x^11 - 975481*x^10 + 577984*x^9 + 468404*x^8 - 260081*x^7 - 168882*x^6 + 82652*x^5 + 36434*x^4 - 18700*x^3 - 1064*x^2 + 736*x + 64, -x^28 + 7*x^27 + 15*x^26 - 206*x^25 + 90*x^24 + 2524*x^23 - 3660*x^22 - 16491*x^21 + 36326*x^20 + 59995*x^19 - 190335*x^18 - 106077*x^17 + 596298*x^16 - 3915*x^15 - 1149091*x^14 + 383131*x^13 + 1353649*x^12 - 704305*x^11 - 975481*x^10 + 577984*x^9 + 468404*x^8 - 260081*x^7 - 168882*x^6 + 82652*x^5 + 36434*x^4 - 18700*x^3 - 1064*x^2 + 736*x + 64, -x^28 + 10*x^27 - 5*x^26 - 254*x^25 + 663*x^24 + 2434*x^23 - 10637*x^22 - 8799*x^21 + 83128*x^20 - 19902*x^19 - 376684*x^18 + 321908*x^17 + 1029762*x^16 - 1389904*x^15 - 1638307*x^14 + 3212868*x^13 + 1258356*x^12 - 4335479*x^11 + 54527*x^10 + 3391926*x^9 - 833930*x^8 - 1447965*x^7 + 563446*x^6 + 291587*x^5 - 138696*x^4 - 20024*x^3 + 9240*x^2 + 896*x - 64, -x^28 + 10*x^27 - 5*x^26 - 254*x^25 + 663*x^24 + 2434*x^23 - 10637*x^22 - 8799*x^21 + 83128*x^20 - 19902*x^19 - 376684*x^18 + 321908*x^17 + 1029762*x^16 - 1389904*x^15 - 1638307*x^14 + 3212868*x^13 + 1258356*x^12 - 4335479*x^11 + 54527*x^10 + 3391926*x^9 - 833930*x^8 - 1447965*x^7 + 563446*x^6 + 291587*x^5 - 138696*x^4 - 20024*x^3 + 9240*x^2 + 896*x - 64, -2*x^28 + 16*x^27 + 14*x^26 - 422*x^25 + 570*x^24 + 4464*x^23 - 11047*x^22 - 23154*x^21 + 89374*x^20 + 49259*x^19 - 406145*x^18 + 71613*x^17 + 1115061*x^16 - 690462*x^15 - 1856718*x^14 + 1774422*x^13 + 1789928*x^12 - 2331913*x^11 - 886587*x^10 + 1665245*x^9 + 163028*x^8 - 631583*x^7 + 4480*x^6 + 121371*x^5 + 1174*x^4 - 11952*x^3 - 272*x^2 + 256*x, -2*x^28 + 16*x^27 + 14*x^26 - 422*x^25 + 570*x^24 + 4464*x^23 - 11047*x^22 - 23154*x^21 + 89374*x^20 + 49259*x^19 - 406145*x^18 + 71613*x^17 + 1115061*x^16 - 690462*x^15 - 1856718*x^14 + 1774422*x^13 + 1789928*x^12 - 2331913*x^11 - 886587*x^10 + 1665245*x^9 + 163028*x^8 - 631583*x^7 + 4480*x^6 + 121371*x^5 + 1174*x^4 - 11952*x^3 - 272*x^2 + 256*x, -x^28 + 7*x^27 + 14*x^26 - 200*x^25 + 106*x^24 + 2378*x^23 - 3729*x^22 - 14970*x^21 + 36368*x^20 + 50447*x^19 - 192006*x^18 - 60987*x^17 + 617914*x^16 - 182292*x^15 - 1236572*x^14 + 927114*x^13 + 1469172*x^12 - 1804499*x^11 - 860568*x^10 + 1880316*x^9 + 13451*x^8 - 1055416*x^7 + 245245*x^6 + 286710*x^5 - 99188*x^4 - 28924*x^3 + 8640*x^2 + 1440*x, -x^28 + 7*x^27 + 14*x^26 - 200*x^25 + 106*x^24 + 2378*x^23 - 3729*x^22 - 14970*x^21 + 36368*x^20 + 50447*x^19 - 192006*x^18 - 60987*x^17 + 617914*x^16 - 182292*x^15 - 1236572*x^14 + 927114*x^13 + 1469172*x^12 - 1804499*x^11 - 860568*x^10 + 1880316*x^9 + 13451*x^8 - 1055416*x^7 + 245245*x^6 + 286710*x^5 - 99188*x^4 - 28924*x^3 + 8640*x^2 + 1440*x, 2*x^27 - 15*x^26 - 22*x^25 + 415*x^24 - 363*x^23 - 4727*x^22 + 8893*x^21 + 28073*x^20 - 78190*x^19 - 86860*x^18 + 378914*x^17 + 86381*x^16 - 1109588*x^15 + 299417*x^14 + 1985492*x^13 - 1202802*x^12 - 2083866*x^11 + 1853658*x^10 + 1142041*x^9 - 1438401*x^8 - 220092*x^7 + 548943*x^6 - 35441*x^5 - 86476*x^4 + 10816*x^3 + 3776*x^2 + 64*x, 2*x^27 - 15*x^26 - 22*x^25 + 415*x^24 - 363*x^23 - 4727*x^22 + 8893*x^21 + 28073*x^20 - 78190*x^19 - 86860*x^18 + 378914*x^17 + 86381*x^16 - 1109588*x^15 + 299417*x^14 + 1985492*x^13 - 1202802*x^12 - 2083866*x^11 + 1853658*x^10 + 1142041*x^9 - 1438401*x^8 - 220092*x^7 + 548943*x^6 - 35441*x^5 - 86476*x^4 + 10816*x^3 + 3776*x^2 + 64*x, -x^27 + 6*x^26 + 21*x^25 - 190*x^24 - 59*x^23 + 2470*x^22 - 2070*x^21 - 16919*x^20 + 26451*x^19 + 63915*x^18 - 148482*x^17 - 117387*x^16 + 461026*x^15 + 8501*x^14 - 806896*x^13 + 367879*x^12 + 724427*x^11 - 620649*x^10 - 222975*x^9 + 382140*x^8 - 60553*x^7 - 65436*x^6 + 30007*x^5 - 8168*x^4 + 3392*x^3 - 384*x^2 - 128*x, -x^27 + 6*x^26 + 21*x^25 - 190*x^24 - 59*x^23 + 2470*x^22 - 2070*x^21 - 16919*x^20 + 26451*x^19 + 63915*x^18 - 148482*x^17 - 117387*x^16 + 461026*x^15 + 8501*x^14 - 806896*x^13 + 367879*x^12 + 724427*x^11 - 620649*x^10 - 222975*x^9 + 382140*x^8 - 60553*x^7 - 65436*x^6 + 30007*x^5 - 8168*x^4 + 3392*x^3 - 384*x^2 - 128*x, x^28 - 7*x^27 - 13*x^26 + 190*x^25 - 95*x^24 - 2180*x^23 + 3116*x^22 + 13585*x^21 - 28748*x^20 - 48276*x^19 + 143832*x^18 + 86849*x^17 - 438272*x^16 - 6962*x^15 + 831092*x^14 - 311896*x^13 - 950284*x^12 + 672663*x^11 + 583836*x^10 - 682647*x^9 - 107323*x^8 + 364198*x^7 - 69682*x^6 - 95069*x^5 + 38318*x^4 + 9144*x^3 - 5376*x^2 - 64*x + 128, x^28 - 7*x^27 - 13*x^26 + 190*x^25 - 95*x^24 - 2180*x^23 + 3116*x^22 + 13585*x^21 - 28748*x^20 - 48276*x^19 + 143832*x^18 + 86849*x^17 - 438272*x^16 - 6962*x^15 + 831092*x^14 - 311896*x^13 - 950284*x^12 + 672663*x^11 + 583836*x^10 - 682647*x^9 - 107323*x^8 + 364198*x^7 - 69682*x^6 - 95069*x^5 + 38318*x^4 + 9144*x^3 - 5376*x^2 - 64*x + 128, x^28 - 7*x^27 - 14*x^26 + 198*x^25 - 95*x^24 - 2332*x^23 + 3386*x^22 + 14656*x^21 - 31742*x^20 - 51627*x^19 + 157733*x^18 + 92056*x^17 - 468806*x^16 - 25143*x^15 + 858055*x^14 - 207162*x^13 - 959362*x^12 + 377467*x^11 + 633976*x^10 - 264678*x^9 - 230017*x^8 + 47496*x^7 + 44299*x^6 + 32598*x^5 - 11376*x^4 - 14148*x^3 + 4088*x^2 + 544*x - 64, x^28 - 7*x^27 - 14*x^26 + 198*x^25 - 95*x^24 - 2332*x^23 + 3386*x^22 + 14656*x^21 - 31742*x^20 - 51627*x^19 + 157733*x^18 + 92056*x^17 - 468806*x^16 - 25143*x^15 + 858055*x^14 - 207162*x^13 - 959362*x^12 + 377467*x^11 + 633976*x^10 - 264678*x^9 - 230017*x^8 + 47496*x^7 + 44299*x^6 + 32598*x^5 - 11376*x^4 - 14148*x^3 + 4088*x^2 + 544*x - 64, -2*x^27 + 17*x^26 + 4*x^25 - 412*x^24 + 781*x^23 + 3797*x^22 - 12479*x^21 - 14486*x^20 + 89382*x^19 - 4403*x^18 - 355201*x^17 + 249422*x^16 + 811696*x^15 - 981674*x^14 - 998291*x^13 + 1861250*x^12 + 464656*x^11 - 1891148*x^10 + 220186*x^9 + 996853*x^8 - 302539*x^7 - 244558*x^6 + 89121*x^5 + 25520*x^4 - 4664*x^3 - 3000*x^2 + 128*x + 64, -2*x^27 + 17*x^26 + 4*x^25 - 412*x^24 + 781*x^23 + 3797*x^22 - 12479*x^21 - 14486*x^20 + 89382*x^19 - 4403*x^18 - 355201*x^17 + 249422*x^16 + 811696*x^15 - 981674*x^14 - 998291*x^13 + 1861250*x^12 + 464656*x^11 - 1891148*x^10 + 220186*x^9 + 996853*x^8 - 302539*x^7 - 244558*x^6 + 89121*x^5 + 25520*x^4 - 4664*x^3 - 3000*x^2 + 128*x + 64, -x^27 + 7*x^26 + 13*x^25 - 190*x^24 + 95*x^23 + 2176*x^22 - 3070*x^21 - 13675*x^20 + 28040*x^19 + 51063*x^18 - 140824*x^17 - 112175*x^16 + 445007*x^15 + 118900*x^14 - 929464*x^13 + 46625*x^12 + 1292439*x^11 - 336602*x^10 - 1154059*x^9 + 466107*x^8 + 606904*x^7 - 296552*x^6 - 164834*x^5 + 83388*x^4 + 19072*x^3 - 7232*x^2 - 1088*x, -x^27 + 7*x^26 + 13*x^25 - 190*x^24 + 95*x^23 + 2176*x^22 - 3070*x^21 - 13675*x^20 + 28040*x^19 + 51063*x^18 - 140824*x^17 - 112175*x^16 + 445007*x^15 + 118900*x^14 - 929464*x^13 + 46625*x^12 + 1292439*x^11 - 336602*x^10 - 1154059*x^9 + 466107*x^8 + 606904*x^7 - 296552*x^6 - 164834*x^5 + 83388*x^4 + 19072*x^3 - 7232*x^2 - 1088*x, x^29 - 6*x^28 - 25*x^27 + 211*x^26 + 164*x^25 - 3192*x^24 + 1262*x^23 + 27154*x^22 - 28265*x^21 - 142254*x^20 + 216364*x^19 + 469714*x^18 - 943070*x^17 - 944116*x^16 + 2578132*x^15 + 974765*x^14 - 4504991*x^13 - 8197*x^12 + 4940259*x^11 - 1190524*x^10 - 3236090*x^9 + 1311771*x^8 + 1155773*x^7 - 612296*x^6 - 184152*x^5 + 121640*x^4 + 7060*x^3 - 6936*x^2 - 288*x + 64, x^29 - 6*x^28 - 25*x^27 + 211*x^26 + 164*x^25 - 3192*x^24 + 1262*x^23 + 27154*x^22 - 28265*x^21 - 142254*x^20 + 216364*x^19 + 469714*x^18 - 943070*x^17 - 944116*x^16 + 2578132*x^15 + 974765*x^14 - 4504991*x^13 - 8197*x^12 + 4940259*x^11 - 1190524*x^10 - 3236090*x^9 + 1311771*x^8 + 1155773*x^7 - 612296*x^6 - 184152*x^5 + 121640*x^4 + 7060*x^3 - 6936*x^2 - 288*x + 64, -5*x^25 + 41*x^24 + 5*x^23 - 880*x^22 + 1642*x^21 + 7044*x^20 - 22531*x^19 - 22062*x^18 + 137172*x^17 - 17885*x^16 - 448610*x^15 + 333694*x^14 + 791644*x^13 - 997101*x^12 - 640771*x^11 + 1373155*x^10 + 27131*x^9 - 911097*x^8 + 255198*x^7 + 264325*x^6 - 120827*x^5 - 24874*x^4 + 14924*x^3 + 1320*x^2 - 608*x - 64, -5*x^25 + 41*x^24 + 5*x^23 - 880*x^22 + 1642*x^21 + 7044*x^20 - 22531*x^19 - 22062*x^18 + 137172*x^17 - 17885*x^16 - 448610*x^15 + 333694*x^14 + 791644*x^13 - 997101*x^12 - 640771*x^11 + 1373155*x^10 + 27131*x^9 - 911097*x^8 + 255198*x^7 + 264325*x^6 - 120827*x^5 - 24874*x^4 + 14924*x^3 + 1320*x^2 - 608*x - 64, x^27 - 9*x^26 + 5*x^25 + 181*x^24 - 464*x^23 - 1257*x^22 + 5768*x^21 + 1879*x^20 - 33580*x^19 + 21339*x^18 + 105144*x^17 - 138647*x^16 - 166293*x^15 + 381096*x^14 + 55728*x^13 - 556070*x^12 + 237159*x^11 + 412326*x^10 - 405583*x^9 - 91720*x^8 + 274344*x^7 - 58584*x^6 - 77841*x^5 + 31838*x^4 + 6028*x^3 - 2384*x^2 - 416*x, x^27 - 9*x^26 + 5*x^25 + 181*x^24 - 464*x^23 - 1257*x^22 + 5768*x^21 + 1879*x^20 - 33580*x^19 + 21339*x^18 + 105144*x^17 - 138647*x^16 - 166293*x^15 + 381096*x^14 + 55728*x^13 - 556070*x^12 + 237159*x^11 + 412326*x^10 - 405583*x^9 - 91720*x^8 + 274344*x^7 - 58584*x^6 - 77841*x^5 + 31838*x^4 + 6028*x^3 - 2384*x^2 - 416*x, x^29 - 6*x^28 - 24*x^27 + 204*x^26 + 154*x^25 - 3024*x^24 + 1146*x^23 + 25479*x^22 - 25717*x^21 - 133283*x^20 + 197314*x^19 + 442194*x^18 - 865324*x^17 - 898077*x^16 + 2387289*x^15 + 945315*x^14 - 4218880*x^13 - 29623*x^12 + 4682156*x^11 - 1149500*x^10 - 3093666*x^9 + 1289848*x^8 + 1103939*x^7 - 599931*x^6 - 175428*x^5 + 116002*x^4 + 8620*x^3 - 6920*x^2 - 352*x + 64, x^29 - 6*x^28 - 24*x^27 + 204*x^26 + 154*x^25 - 3024*x^24 + 1146*x^23 + 25479*x^22 - 25717*x^21 - 133283*x^20 + 197314*x^19 + 442194*x^18 - 865324*x^17 - 898077*x^16 + 2387289*x^15 + 945315*x^14 - 4218880*x^13 - 29623*x^12 + 4682156*x^11 - 1149500*x^10 - 3093666*x^9 + 1289848*x^8 + 1103939*x^7 - 599931*x^6 - 175428*x^5 + 116002*x^4 + 8620*x^3 - 6920*x^2 - 352*x + 64, x^27 - 8*x^26 - 5*x^25 + 197*x^24 - 310*x^23 - 1861*x^22 + 5322*x^21 + 7499*x^20 - 38729*x^19 - 974*x^18 + 152356*x^17 - 110789*x^16 - 330173*x^15 + 456380*x^14 + 332761*x^13 - 872692*x^12 + 29196*x^11 + 871319*x^10 - 385853*x^9 - 430345*x^8 + 336491*x^7 + 81448*x^6 - 118811*x^5 + 2908*x^4 + 17052*x^3 - 1760*x^2 - 672*x, x^27 - 8*x^26 - 5*x^25 + 197*x^24 - 310*x^23 - 1861*x^22 + 5322*x^21 + 7499*x^20 - 38729*x^19 - 974*x^18 + 152356*x^17 - 110789*x^16 - 330173*x^15 + 456380*x^14 + 332761*x^13 - 872692*x^12 + 29196*x^11 + 871319*x^10 - 385853*x^9 - 430345*x^8 + 336491*x^7 + 81448*x^6 - 118811*x^5 + 2908*x^4 + 17052*x^3 - 1760*x^2 - 672*x, -2*x^26 + 15*x^25 + 14*x^24 - 357*x^23 + 429*x^22 + 3346*x^21 - 7491*x^20 - 14933*x^19 + 51918*x^18 + 25453*x^17 - 192576*x^16 + 38961*x^15 + 402047*x^14 - 245933*x^13 - 452580*x^12 + 411569*x^11 + 235454*x^10 - 282539*x^9 - 35222*x^8 + 50534*x^7 + 3193*x^6 + 22960*x^5 - 8746*x^4 - 8100*x^3 + 2160*x^2 + 480*x, -2*x^26 + 15*x^25 + 14*x^24 - 357*x^23 + 429*x^22 + 3346*x^21 - 7491*x^20 - 14933*x^19 + 51918*x^18 + 25453*x^17 - 192576*x^16 + 38961*x^15 + 402047*x^14 - 245933*x^13 - 452580*x^12 + 411569*x^11 + 235454*x^10 - 282539*x^9 - 35222*x^8 + 50534*x^7 + 3193*x^6 + 22960*x^5 - 8746*x^4 - 8100*x^3 + 2160*x^2 + 480*x, x^27 - 8*x^26 - 3*x^25 + 179*x^24 - 297*x^23 - 1517*x^22 + 4365*x^21 + 5347*x^20 - 27424*x^19 + 119*x^18 + 89636*x^17 - 60732*x^16 - 143815*x^15 + 188208*x^14 + 48975*x^13 - 223358*x^12 + 175458*x^11 + 43111*x^10 - 260150*x^9 + 127346*x^8 + 151960*x^7 - 113527*x^6 - 38488*x^5 + 34872*x^4 + 2620*x^3 - 2496*x^2 - 352*x, x^27 - 8*x^26 - 3*x^25 + 179*x^24 - 297*x^23 - 1517*x^22 + 4365*x^21 + 5347*x^20 - 27424*x^19 + 119*x^18 + 89636*x^17 - 60732*x^16 - 143815*x^15 + 188208*x^14 + 48975*x^13 - 223358*x^12 + 175458*x^11 + 43111*x^10 - 260150*x^9 + 127346*x^8 + 151960*x^7 - 113527*x^6 - 38488*x^5 + 34872*x^4 + 2620*x^3 - 2496*x^2 - 352*x, x^28 - 5*x^27 - 28*x^26 + 168*x^25 + 319*x^24 - 2526*x^23 - 1677*x^22 + 22285*x^21 + 933*x^20 - 127003*x^19 + 42887*x^18 + 485200*x^17 - 290488*x^16 - 1249297*x^15 + 994177*x^14 + 2127700*x^13 - 2042205*x^12 - 2295186*x^11 + 2562428*x^10 + 1456039*x^9 - 1897777*x^8 - 480583*x^7 + 775316*x^6 + 61858*x^5 - 152058*x^4 - 1184*x^3 + 10056*x^2 + 640*x - 64, x^28 - 5*x^27 - 28*x^26 + 168*x^25 + 319*x^24 - 2526*x^23 - 1677*x^22 + 22285*x^21 + 933*x^20 - 127003*x^19 + 42887*x^18 + 485200*x^17 - 290488*x^16 - 1249297*x^15 + 994177*x^14 + 2127700*x^13 - 2042205*x^12 - 2295186*x^11 + 2562428*x^10 + 1456039*x^9 - 1897777*x^8 - 480583*x^7 + 775316*x^6 + 61858*x^5 - 152058*x^4 - 1184*x^3 + 10056*x^2 + 640*x - 64]>
       ]
>;

MOG[701] := 	// J_0(701)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 20, 23, 26, 120, 179, 188, 255, 289, 363, 412, 441, 487, 530, 608, 614, 616, 168*x + 132, 533*x + 132, 263*x + 200, 438*x + 200, 199*x + 377, 502*x + 377, 376*x + 14, 325*x + 14, 21*x + 50, 680*x + 50, 560*x + 461, 141*x + 461, 416*x + 539, 285*x + 539, 361*x + 595, 340*x + 595, 52*x + 642, 649*x + 642, 24*x + 464, 677*x + 464, 370*x + 553, 331*x + 553, 587*x + 651, 114*x + 651, 535*x + 369, 166*x + 369, 186*x + 332, 515*x + 332, 517*x + 232, 184*x + 232, 453*x + 11, 248*x + 11, 399*x + 64, 302*x + 64, 368*x + 529, 333*x + 529, 564*x + 340, 137*x + 340, 178*x + 110, 523*x + 110, 202*x + 183, 499*x + 183]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 2,
           Coordinates        := [0, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 2, 0, 0, 2, 2, 0, 1, 1, 0, 0, 0, 0, 0, 0, -1, -1, -1, -1, 0, 0, 0, 0, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 0, 0, 0, 0, 0, 0, -1, -1, 0, 0, 1, 1, 1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^21 + 3*x^20 - 20*x^19 - 63*x^18 + 162*x^17 + 546*x^16 - 684*x^15 - 2544*x^14 + 1597*x^13 + 6948*x^12 - 1960*x^11 - 11383*x^10 + 917*x^9 + 11035*x^8 + 338*x^7 - 6056*x^6 - 455*x^5 + 1731*x^4 + 121*x^3 - 210*x^2 - 7*x + 4,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^20 - 3*x^19 + 18*x^18 + 57*x^17 - 130*x^16 - 442*x^15 + 488*x^14 + 1822*x^13 - 1027*x^12 - 4345*x^11 + 1222*x^10 + 6105*x^9 - 821*x^8 - 4935*x^7 + 369*x^6 + 2146*x^5 - 164*x^4 - 428*x^3 + 50*x^2 + 23*x - 3, x^20 + 3*x^19 - 18*x^18 - 57*x^17 + 130*x^16 + 442*x^15 - 488*x^14 - 1822*x^13 + 1027*x^12 + 4345*x^11 - 1222*x^10 - 6105*x^9 + 821*x^8 + 4935*x^7 - 369*x^6 - 2146*x^5 + 164*x^4 + 428*x^3 - 50*x^2 - 23*x + 3, -x^19 - 3*x^18 + 16*x^17 + 52*x^16 - 98*x^15 - 360*x^14 + 289*x^13 + 1295*x^12 - 408*x^11 - 2635*x^10 + 185*x^9 + 3099*x^8 + 144*x^7 - 2068*x^6 - 172*x^5 + 727*x^4 + 45*x^3 - 109*x^2 + 2, x^19 + 3*x^18 - 16*x^17 - 52*x^16 + 98*x^15 + 360*x^14 - 289*x^13 - 1295*x^12 + 408*x^11 + 2635*x^10 - 185*x^9 - 3099*x^8 - 144*x^7 + 2068*x^6 + 172*x^5 - 727*x^4 - 45*x^3 + 109*x^2 - 2, -x^19 - 3*x^18 + 16*x^17 + 52*x^16 - 98*x^15 - 362*x^14 + 281*x^13 + 1308*x^12 - 330*x^11 - 2643*x^10 - 89*x^9 + 3001*x^8 + 563*x^7 - 1842*x^6 - 447*x^5 + 576*x^4 + 126*x^3 - 78*x^2 - 10*x + 2, x^19 + 3*x^18 - 16*x^17 - 52*x^16 + 98*x^15 + 362*x^14 - 281*x^13 - 1308*x^12 + 330*x^11 + 2643*x^10 + 89*x^9 - 3001*x^8 - 563*x^7 + 1842*x^6 + 447*x^5 - 576*x^4 - 126*x^3 + 78*x^2 + 10*x - 2, -x^18 - 3*x^17 + 15*x^16 + 49*x^15 - 83*x^14 - 311*x^13 + 206*x^12 + 984*x^11 - 202*x^10 - 1651*x^9 - 17*x^8 + 1448*x^7 + 127*x^6 - 620*x^5 - 45*x^4 + 107*x^3 - 2*x, x^18 + 3*x^17 - 15*x^16 - 49*x^15 + 83*x^14 + 311*x^13 - 206*x^12 - 984*x^11 + 202*x^10 + 1651*x^9 + 17*x^8 - 1448*x^7 - 127*x^6 + 620*x^5 + 45*x^4 - 107*x^3 + 2*x, -x^18 - 2*x^17 + 17*x^16 + 33*x^15 - 116*x^14 - 216*x^13 + 413*x^12 + 726*x^11 - 835*x^10 - 1355*x^9 + 982*x^8 + 1419*x^7 - 668*x^6 - 799*x^5 + 254*x^4 + 212*x^3 - 50*x^2 - 19*x + 3, x^18 + 2*x^17 - 17*x^16 - 33*x^15 + 116*x^14 + 216*x^13 - 413*x^12 - 726*x^11 + 835*x^10 + 1355*x^9 - 982*x^8 - 1419*x^7 + 668*x^6 + 799*x^5 - 254*x^4 - 212*x^3 + 50*x^2 + 19*x - 3, -x^18 - 3*x^17 + 14*x^16 + 46*x^15 - 75*x^14 - 284*x^13 + 186*x^12 + 905*x^11 - 184*x^10 - 1588*x^9 - 43*x^8 + 1519*x^7 + 195*x^6 - 739*x^5 - 94*x^4 + 158*x^3 + 6*x^2 - 9*x + 1, x^18 + 3*x^17 - 14*x^16 - 46*x^15 + 75*x^14 + 284*x^13 - 186*x^12 - 905*x^11 + 184*x^10 + 1588*x^9 + 43*x^8 - 1519*x^7 - 195*x^6 + 739*x^5 + 94*x^4 - 158*x^3 - 6*x^2 + 9*x - 1, -x^18 - 2*x^17 + 18*x^16 + 34*x^15 - 132*x^14 - 230*x^13 + 511*x^12 + 797*x^11 - 1127*x^10 - 1516*x^9 + 1427*x^8 + 1574*x^7 - 1011*x^6 - 831*x^5 + 384*x^4 + 192*x^3 - 66*x^2 - 12*x + 2, x^18 + 2*x^17 - 18*x^16 - 34*x^15 + 132*x^14 + 230*x^13 - 511*x^12 - 797*x^11 + 1127*x^10 + 1516*x^9 - 1427*x^8 - 1574*x^7 + 1011*x^6 + 831*x^5 - 384*x^4 - 192*x^3 + 66*x^2 + 12*x - 2, -x^17 - 3*x^16 + 15*x^15 + 49*x^14 - 83*x^13 - 311*x^12 + 206*x^11 + 984*x^10 - 202*x^9 - 1651*x^8 - 17*x^7 + 1448*x^6 + 127*x^5 - 620*x^4 - 45*x^3 + 107*x^2 - 2, x^17 + 3*x^16 - 15*x^15 - 49*x^14 + 83*x^13 + 311*x^12 - 206*x^11 - 984*x^10 + 202*x^9 + 1651*x^8 + 17*x^7 - 1448*x^6 - 127*x^5 + 620*x^4 + 45*x^3 - 107*x^2 + 2, -x^17 - 2*x^16 + 15*x^15 + 28*x^14 - 92*x^13 - 156*x^12 + 299*x^11 + 445*x^10 - 558*x^9 - 698*x^8 + 607*x^7 + 601*x^6 - 373*x^5 - 261*x^4 + 117*x^3 + 40*x^2 - 16*x + 1, x^17 + 2*x^16 - 15*x^15 - 28*x^14 + 92*x^13 + 156*x^12 - 299*x^11 - 445*x^10 + 558*x^9 + 698*x^8 - 607*x^7 - 601*x^6 + 373*x^5 + 261*x^4 - 117*x^3 - 40*x^2 + 16*x - 1, -x^17 - 3*x^16 + 12*x^15 + 40*x^14 - 54*x^13 - 214*x^12 + 105*x^11 + 586*x^10 - 54*x^9 - 873*x^8 - 87*x^7 + 704*x^6 + 113*x^5 - 295*x^4 - 41*x^3 + 52*x^2 + 3*x - 1, x^17 + 3*x^16 - 12*x^15 - 40*x^14 + 54*x^13 + 214*x^12 - 105*x^11 - 586*x^10 + 54*x^9 + 873*x^8 + 87*x^7 - 704*x^6 - 113*x^5 + 295*x^4 + 41*x^3 - 52*x^2 - 3*x + 1, -x^17 - 3*x^16 + 11*x^15 + 38*x^14 - 41*x^13 - 189*x^12 + 41*x^11 + 469*x^10 + 100*x^9 - 609*x^8 - 281*x^7 + 399*x^6 + 240*x^5 - 123*x^4 - 79*x^3 + 17*x^2 + 8*x - 1, x^17 + 3*x^16 - 11*x^15 - 38*x^14 + 41*x^13 + 189*x^12 - 41*x^11 - 469*x^10 - 100*x^9 + 609*x^8 + 281*x^7 - 399*x^6 - 240*x^5 + 123*x^4 + 79*x^3 - 17*x^2 - 8*x + 1, -2*x^16 - 5*x^15 + 24*x^14 + 60*x^13 - 114*x^12 - 281*x^11 + 277*x^10 + 657*x^9 - 375*x^8 - 818*x^7 + 295*x^6 + 538*x^5 - 137*x^4 - 172*x^3 + 34*x^2 + 20*x - 3, 2*x^16 + 5*x^15 - 24*x^14 - 60*x^13 + 114*x^12 + 281*x^11 - 277*x^10 - 657*x^9 + 375*x^8 + 818*x^7 - 295*x^6 - 538*x^5 + 137*x^4 + 172*x^3 - 34*x^2 - 20*x + 3, -x^16 - 3*x^15 + 11*x^14 + 38*x^13 - 41*x^12 - 188*x^11 + 41*x^10 + 454*x^9 + 89*x^8 - 547*x^7 - 218*x^6 + 307*x^5 + 130*x^4 - 81*x^3 - 20*x^2 + 10*x - 1, x^16 + 3*x^15 - 11*x^14 - 38*x^13 + 41*x^12 + 188*x^11 - 41*x^10 - 454*x^9 - 89*x^8 + 547*x^7 + 218*x^6 - 307*x^5 - 130*x^4 + 81*x^3 + 20*x^2 - 10*x + 1, -x^16 - 3*x^15 + 10*x^14 + 32*x^13 - 40*x^12 - 131*x^11 + 89*x^10 + 261*x^9 - 133*x^8 - 268*x^7 + 136*x^6 + 137*x^5 - 77*x^4 - 25*x^3 + 17*x^2 - 2*x, x^16 + 3*x^15 - 10*x^14 - 32*x^13 + 40*x^12 + 131*x^11 - 89*x^10 - 261*x^9 + 133*x^8 + 268*x^7 - 136*x^6 - 137*x^5 + 77*x^4 + 25*x^3 - 17*x^2 + 2*x, -x^16 - 3*x^15 + 10*x^14 + 35*x^13 - 31*x^12 - 155*x^11 + 7*x^10 + 322*x^9 + 137*x^8 - 302*x^7 - 250*x^6 + 78*x^5 + 152*x^4 + 31*x^3 - 32*x^2 - 12*x + 2, x^16 + 3*x^15 - 10*x^14 - 35*x^13 + 31*x^12 + 155*x^11 - 7*x^10 - 322*x^9 - 137*x^8 + 302*x^7 + 250*x^6 - 78*x^5 - 152*x^4 - 31*x^3 + 32*x^2 + 12*x - 2, -2*x^15 - 6*x^14 + 19*x^13 + 64*x^12 - 63*x^11 - 257*x^10 + 83*x^9 + 489*x^8 - 31*x^7 - 462*x^6 - 4*x^5 + 212*x^4 - 4*x^3 - 37*x^2 + 5*x, 2*x^15 + 6*x^14 - 19*x^13 - 64*x^12 + 63*x^11 + 257*x^10 - 83*x^9 - 489*x^8 + 31*x^7 + 462*x^6 + 4*x^5 - 212*x^4 + 4*x^3 + 37*x^2 - 5*x, -x^15 - 2*x^14 + 13*x^13 + 26*x^12 - 64*x^11 - 132*x^10 + 143*x^9 + 326*x^8 - 131*x^7 - 397*x^6 + 17*x^5 + 214*x^4 + 21*x^3 - 42*x^2 - 4*x + 1, x^15 + 2*x^14 - 13*x^13 - 26*x^12 + 64*x^11 + 132*x^10 - 143*x^9 - 326*x^8 + 131*x^7 + 397*x^6 - 17*x^5 - 214*x^4 - 21*x^3 + 42*x^2 + 4*x - 1, -x^15 - 3*x^14 + 10*x^13 + 32*x^12 - 40*x^11 - 131*x^10 + 89*x^9 + 261*x^8 - 133*x^7 - 268*x^6 + 136*x^5 + 137*x^4 - 77*x^3 - 25*x^2 + 17*x - 2, x^15 + 3*x^14 - 10*x^13 - 32*x^12 + 40*x^11 + 131*x^10 - 89*x^9 - 261*x^8 + 133*x^7 + 268*x^6 - 136*x^5 - 137*x^4 + 77*x^3 + 25*x^2 - 17*x + 2, -x^15 - 5*x^14 + 4*x^13 + 51*x^12 + 24*x^11 - 194*x^10 - 168*x^9 + 344*x^8 + 356*x^7 - 299*x^6 - 326*x^5 + 133*x^4 + 135*x^3 - 29*x^2 - 20*x + 3, x^15 + 5*x^14 - 4*x^13 - 51*x^12 - 24*x^11 + 194*x^10 + 168*x^9 - 344*x^8 - 356*x^7 + 299*x^6 + 326*x^5 - 133*x^4 - 135*x^3 + 29*x^2 + 20*x - 3, -x^15 - 3*x^14 + 10*x^13 + 34*x^12 - 34*x^11 - 147*x^10 + 37*x^9 + 307*x^8 + 31*x^7 - 321*x^6 - 88*x^5 + 154*x^4 + 47*x^3 - 29*x^2 - 6*x + 1, x^15 + 3*x^14 - 10*x^13 - 34*x^12 + 34*x^11 + 147*x^10 - 37*x^9 - 307*x^8 - 31*x^7 + 321*x^6 + 88*x^5 - 154*x^4 - 47*x^3 + 29*x^2 + 6*x - 1, -x^13 - 3*x^12 + 8*x^11 + 30*x^10 - 15*x^9 - 106*x^8 - 19*x^7 + 162*x^6 + 76*x^5 - 105*x^4 - 60*x^3 + 26*x^2 + 13*x - 2, x^13 + 3*x^12 - 8*x^11 - 30*x^10 + 15*x^9 + 106*x^8 + 19*x^7 - 162*x^6 - 76*x^5 + 105*x^4 + 60*x^3 - 26*x^2 - 13*x + 2]>,
         rec<Eigen |
           DefiningPolynomial := x^36 + x^35 - 60*x^34 - 59*x^33 + 1636*x^32 + 1580*x^31 - 26838*x^30 - 25406*x^29 + 295597*x^28 + 273458*x^27 - 2310228*x^26 - 2079405*x^25 + 13204737*x^24 + 11491543*x^23 - 56079646*x^22 - 46770146*x^21 + 178059632*x^20 + 140556058*x^19 - 422099747*x^18 - 309947099*x^17 + 740920063*x^16 + 494031154*x^15 - 948046342*x^14 - 555219998*x^13 + 862219453*x^12 + 423958546*x^11 - 535574854*x^10 - 208545795*x^9 + 213024475*x^8 + 61431747*x^7 - 48735758*x^6 - 9916722*x^5 + 5382525*x^4 + 771241*x^3 - 208639*x^2 - 24778*x + 617,
           Coordinates        := [-x^35 - x^34 + 57*x^33 + 56*x^32 - 1471*x^31 - 1418*x^30 + 22743*x^29 + 21466*x^28 - 234950*x^27 - 216436*x^26 + 1712882*x^25 + 1532799*x^24 - 9075859*x^23 - 7836004*x^22 + 35478339*x^21 + 29268742*x^20 - 102854813*x^19 - 79968638*x^18 + 220612898*x^17 + 158532665*x^16 - 346842973*x^15 - 224110025*x^14 + 393040969*x^13 + 219677235*x^12 - 312614940*x^11 - 143173479*x^10 + 167380798*x^9 + 58271522*x^8 - 56358505*x^7 - 13437749*x^6 + 10629421*x^5 + 1485793*x^4 - 911592*x^3 - 49274*x^2 + 21733*x - 198, x^35 + x^34 - 57*x^33 - 56*x^32 + 1473*x^31 + 1420*x^30 - 22837*x^29 - 21562*x^28 + 236908*x^27 + 218474*x^26 - 1736712*x^25 - 1558001*x^24 + 9263997*x^23 + 8037334*x^22 - 36490199*x^21 - 30358572*x^20 + 106645439*x^19 + 84050492*x^18 - 230562528*x^17 - 169156043*x^16 + 365029857*x^15 + 243162401*x^14 - 415825415*x^13 - 242751403*x^12 + 331719084*x^11 + 161376863*x^10 - 177815704*x^9 - 66983144*x^8 + 59990945*x^7 + 15520953*x^6 - 11385821*x^5 - 1552347*x^4 + 951976*x^3 + 21886*x^2 - 14359*x + 776, -3*x^34 - 3*x^33 + 165*x^32 + 162*x^31 - 4095*x^30 - 3940*x^29 + 60647*x^28 + 57022*x^27 - 597346*x^26 - 546606*x^25 + 4128878*x^24 + 3655539*x^23 - 20601307*x^22 - 17501404*x^21 + 75204819*x^20 + 60587420*x^19 - 201486849*x^18 - 151414434*x^17 + 394077090*x^16 + 269921129*x^15 - 555005373*x^14 - 335542763*x^13 + 549604513*x^12 + 280785067*x^11 - 368194056*x^10 - 150274273*x^9 + 156665970*x^8 + 47993998*x^7 - 38106337*x^6 - 8430929*x^5 + 4470933*x^4 + 721967*x^3 - 186906*x^2 - 24976*x + 617, 2*x^32 + 2*x^31 - 102*x^30 - 106*x^29 + 2330*x^28 + 2506*x^27 - 31492*x^26 - 34884*x^25 + 280336*x^24 + 317976*x^23 - 1732050*x^22 - 1997796*x^21 + 7630890*x^20 + 8874368*x^19 - 24273258*x^18 - 28155742*x^17 + 55895868*x^16 + 63759596*x^15 - 92709996*x^14 - 102031214*x^13 + 109339324*x^12 + 113089668*x^11 - 89577214*x^10 - 83934420*x^9 + 48962482*x^8 + 39447490*x^7 - 16616060*x^6 - 10665876*x^5 + 3047168*x^4 + 1386154*x^3 - 221044*x^2 - 56826*x + 1024, 2*x^32 + 2*x^31 - 100*x^30 - 98*x^29 + 2232*x^28 + 2140*x^27 - 29360*x^26 - 27458*x^25 + 253162*x^24 + 229822*x^23 - 1506408*x^22 - 1317510*x^21 + 6345792*x^20 + 5287514*x^19 - 19120208*x^18 - 14933572*x^17 + 41176700*x^16 + 29465984*x^15 - 62707292*x^14 - 39871156*x^13 + 66008262*x^12 + 35892826*x^11 - 46072416*x^10 - 20588400*x^9 + 19809504*x^8 + 7162040*x^7 - 4627592*x^6 - 1474396*x^5 + 506730*x^4 + 174968*x^3 - 30960*x^2 - 12562*x + 912, -6*x^31 - 4*x^30 + 296*x^29 + 200*x^28 - 6514*x^27 - 4450*x^26 + 84404*x^25 + 58090*x^24 - 715936*x^23 - 493934*x^22 + 4182152*x^21 + 2872656*x^20 - 17239894*x^19 - 11681796*x^18 + 50575690*x^17 + 33395490*x^16 - 105223380*x^15 - 66629626*x^14 + 153033638*x^13 + 91057980*x^12 - 151439868*x^11 - 82644176*x^10 + 97451342*x^9 + 47560718*x^8 - 37720046*x^7 - 16185108*x^6 + 7575426*x^5 + 2875812*x^4 - 564628*x^3 - 186826*x^2 + 1820*x + 622, 2*x^33 + 2*x^32 - 106*x^31 - 104*x^30 + 2530*x^29 + 2432*x^28 - 35946*x^27 - 33792*x^26 + 338588*x^25 + 310504*x^24 - 2228822*x^23 - 1986750*x^22 + 10532078*x^21 + 9076908*x^20 - 36139816*x^19 - 29871622*x^18 + 90112546*x^17 + 70560588*x^16 - 161931780*x^15 - 117894832*x^14 + 206223498*x^13 + 135731790*x^12 - 181213848*x^11 - 103413504*x^10 + 105371732*x^9 + 48992158*x^8 - 37796532*x^7 - 13002314*x^6 + 7314310*x^5 + 1567534*x^4 - 549854*x^3 - 42586*x^2 - 756*x - 508, 2*x^31 + 2*x^30 - 98*x^29 - 96*x^28 + 2146*x^27 + 2040*x^26 - 27746*x^25 - 25262*x^24 + 235840*x^23 + 201956*x^22 - 1389578*x^21 - 1091102*x^20 + 5835234*x^19 + 4053056*x^18 - 17696510*x^17 - 10325178*x^16 + 38864862*x^15 + 17648146*x^14 - 61343326*x^13 - 19255474*x^12 + 68096134*x^11 + 11964616*x^10 - 50882874*x^9 - 2771352*x^8 + 23645432*x^7 - 872040*x^6 - 5954926*x^5 + 521064*x^4 + 632222*x^3 - 61008*x^2 - 13230*x + 776, 2*x^30 + 4*x^29 - 88*x^28 - 178*x^27 + 1694*x^26 + 3492*x^25 - 18712*x^24 - 39744*x^23 + 130608*x^22 + 290558*x^21 - 596660*x^20 - 1426846*x^19 + 1778286*x^18 + 4781244*x^17 - 3294428*x^16 - 10889282*x^15 + 3228204*x^14 + 16513968*x^13 - 421960*x^12 - 16105740*x^11 - 2276552*x^10 + 9686968*x^9 + 1929540*x^8 - 3483438*x^7 - 408302*x^6 + 737014*x^5 - 78804*x^4 - 77748*x^3 + 14988*x^2 + 3072*x + 920, x^34 + x^33 - 55*x^32 - 54*x^31 + 1369*x^30 + 1312*x^29 - 20409*x^28 - 18960*x^27 + 203270*x^26 + 181550*x^25 - 1428630*x^24 - 1214763*x^23 + 7296107*x^22 + 5837582*x^21 - 27469731*x^20 - 20393102*x^19 + 76536947*x^18 + 51841694*x^17 - 156970150*x^16 - 95071269*x^15 + 233454999*x^14 + 123483041*x^13 - 245142765*x^12 - 110406261*x^11 + 174045736*x^10 + 65477827*x^9 - 77970348*x^8 - 24764302*x^7 + 19729453*x^6 + 5727117*x^5 - 2383727*x^4 - 687257*x^3 + 98710*x^2 + 26068*x - 105, -6*x^30 - 4*x^29 + 286*x^28 + 188*x^27 - 6064*x^26 - 3920*x^25 + 75450*x^24 + 47772*x^23 - 612084*x^22 - 377320*x^21 + 3402674*x^20 + 2024338*x^19 - 13264146*x^18 - 7518736*x^17 + 36488372*x^16 + 19344796*x^15 - 70371196*x^14 - 33969864*x^13 + 93357342*x^12 + 39474632*x^11 - 82374202*x^10 - 28860984*x^9 + 45774214*x^8 + 12288160*x^7 - 14659570*x^6 - 2720244*x^5 + 2328370*x^4 + 262034*x^3 - 137564*x^2 - 6848*x - 212, -10*x^28 - 8*x^27 + 428*x^26 + 332*x^25 - 8056*x^24 - 6030*x^23 + 87806*x^22 + 63024*x^21 - 614248*x^20 - 419294*x^19 + 2889280*x^18 + 1854848*x^17 - 9310196*x^16 - 5534556*x^15 + 20557484*x^14 + 11066160*x^13 - 30632724*x^12 - 14441052*x^11 + 29842240*x^10 + 11700380*x^9 - 18030526*x^8 - 5424022*x^7 + 6203422*x^6 + 1269712*x^5 - 1048506*x^4 - 123902*x^3 + 66060*x^2 + 3496*x + 106, 2*x^29 - 104*x^27 - 12*x^26 + 2360*x^25 + 482*x^24 - 30870*x^23 - 8400*x^22 + 258696*x^21 + 83250*x^20 - 1459076*x^19 - 516652*x^18 + 5660976*x^17 + 2083524*x^16 - 15178476*x^15 - 5485208*x^14 + 27879732*x^13 + 9234036*x^12 - 34341548*x^11 - 9484676*x^10 + 27348918*x^9 + 5496426*x^8 - 13222902*x^7 - 1610520*x^6 + 3456946*x^5 + 237738*x^4 - 396656*x^3 - 24964*x^2 + 10994*x - 288, 2*x^32 + 2*x^31 - 102*x^30 - 100*x^29 + 2334*x^28 + 2232*x^27 - 31658*x^26 - 29350*x^25 + 283288*x^24 + 252696*x^23 - 1761262*x^22 - 1497084*x^21 + 7804646*x^20 + 6240842*x^19 - 24887726*x^18 - 18388774*x^17 + 56988276*x^16 + 37902652*x^15 - 92542430*x^14 - 53253764*x^13 + 104143756*x^12 + 48761918*x^11 - 78341682*x^10 - 27092666*x^9 + 37266650*x^8 + 8144178*x^7 - 10306174*x^6 - 1069724*x^5 + 1496968*x^4 + 19512*x^3 - 96326*x^2 + 6*x + 512, -6*x^29 - 4*x^28 + 266*x^27 + 172*x^26 - 5208*x^25 - 3256*x^24 + 59338*x^23 + 35712*x^22 - 436472*x^21 - 251272*x^20 + 2174178*x^19 + 1185750*x^18 - 7485586*x^17 - 3809040*x^16 + 17867980*x^15 + 8275684*x^14 - 29256228*x^13 - 11837544*x^12 + 32091894*x^11 + 10592528*x^10 - 22689722*x^9 - 5460224*x^8 + 9713162*x^7 + 1440116*x^6 - 2252726*x^5 - 180820*x^4 + 231358*x^3 + 14230*x^2 - 5444*x + 144, -6*x^30 + 286*x^28 + 6*x^27 - 6056*x^26 - 238*x^25 + 75118*x^24 + 4046*x^23 - 606068*x^22 - 38438*x^21 + 3340102*x^20 + 222508*x^19 - 12850782*x^18 - 797398*x^17 + 34673974*x^16 + 1682554*x^15 - 64987134*x^14 - 1662724*x^13 + 82569762*x^12 - 447032*x^11 - 68053836*x^10 + 2694594*x^9 + 33721666*x^8 - 2240216*x^7 - 8793448*x^6 + 588402*x^5 + 959242*x^4 - 22890*x^3 - 23182*x^2 - 7494*x + 202, 2*x^31 + 2*x^30 - 102*x^29 - 96*x^28 + 2318*x^27 + 2052*x^26 - 30976*x^25 - 25726*x^24 + 270602*x^23 + 209666*x^22 - 1625988*x^21 - 1163350*x^20 + 6890766*x^19 + 4474806*x^18 - 20803208*x^17 - 11927442*x^16 + 44722934*x^15 + 21678428*x^14 - 67837968*x^13 - 25970978*x^12 + 71224642*x^11 + 19253494*x^10 - 50015258*x^9 - 7673440*x^8 + 22140750*x^7 + 925624*x^6 - 5589470*x^5 + 267440*x^4 + 677714*x^3 - 53448*x^2 - 28806*x + 536, x^31 + x^30 - 46*x^29 - 45*x^28 + 936*x^27 + 899*x^26 - 11102*x^25 - 10516*x^24 + 85176*x^23 + 79975*x^22 - 443609*x^21 - 415093*x^20 + 1602566*x^19 + 1501479*x^18 - 4037836*x^17 - 3797427*x^16 + 7058743*x^15 + 6642882*x^14 - 8467964*x^13 - 7841890*x^12 + 6914594*x^11 + 5981760*x^10 - 3878714*x^9 - 2706489*x^8 + 1537568*x^7 + 572658*x^6 - 407909*x^5 + 528*x^4 + 46368*x^3 - 5958*x^2 - 1076*x - 460, x^31 + x^30 - 46*x^29 - 45*x^28 + 936*x^27 + 899*x^26 - 11102*x^25 - 10516*x^24 + 85176*x^23 + 79975*x^22 - 443609*x^21 - 415093*x^20 + 1602566*x^19 + 1501479*x^18 - 4037836*x^17 - 3797427*x^16 + 7058743*x^15 + 6642882*x^14 - 8467964*x^13 - 7841890*x^12 + 6914594*x^11 + 5981760*x^10 - 3878714*x^9 - 2706489*x^8 + 1537568*x^7 + 572658*x^6 - 407909*x^5 + 528*x^4 + 46368*x^3 - 5958*x^2 - 1076*x - 460, x^32 + x^31 - 49*x^30 - 50*x^29 + 1069*x^28 + 1117*x^27 - 13694*x^26 - 14695*x^25 + 114388*x^24 + 126313*x^23 - 654372*x^22 - 744054*x^21 + 2620952*x^20 + 3064529*x^19 - 7389974*x^18 - 8844396*x^17 + 14568215*x^16 + 17657966*x^15 - 19752557*x^14 - 23689719*x^13 + 18022011*x^12 + 20273938*x^11 - 10871910*x^10 - 10036272*x^9 + 4337916*x^8 + 2211196*x^7 - 1134550*x^6 + 109531*x^5 + 162344*x^4 - 123476*x^3 - 1966*x^2 + 12551*x - 656, x^32 + x^31 - 49*x^30 - 50*x^29 + 1069*x^28 + 1117*x^27 - 13694*x^26 - 14695*x^25 + 114388*x^24 + 126313*x^23 - 654372*x^22 - 744054*x^21 + 2620952*x^20 + 3064529*x^19 - 7389974*x^18 - 8844396*x^17 + 14568215*x^16 + 17657966*x^15 - 19752557*x^14 - 23689719*x^13 + 18022011*x^12 + 20273938*x^11 - 10871910*x^10 - 10036272*x^9 + 4337916*x^8 + 2211196*x^7 - 1134550*x^6 + 109531*x^5 + 162344*x^4 - 123476*x^3 - 1966*x^2 + 12551*x - 656, x^30 + x^29 - 45*x^28 - 40*x^27 + 898*x^26 + 687*x^25 - 10500*x^24 - 6594*x^23 + 80155*x^22 + 38403*x^21 - 421726*x^20 - 136204*x^19 + 1573852*x^18 + 265725*x^17 - 4215044*x^16 - 125802*x^15 + 8056389*x^14 - 666139*x^13 - 10685457*x^12 + 1813562*x^11 + 9269748*x^10 - 2357185*x^9 - 4729888*x^8 + 1844900*x^7 + 1134943*x^6 - 846017*x^5 - 37172*x^4 + 195266*x^3 - 14098*x^2 - 16083*x - 264, x^30 + x^29 - 45*x^28 - 40*x^27 + 898*x^26 + 687*x^25 - 10500*x^24 - 6594*x^23 + 80155*x^22 + 38403*x^21 - 421726*x^20 - 136204*x^19 + 1573852*x^18 + 265725*x^17 - 4215044*x^16 - 125802*x^15 + 8056389*x^14 - 666139*x^13 - 10685457*x^12 + 1813562*x^11 + 9269748*x^10 - 2357185*x^9 - 4729888*x^8 + 1844900*x^7 + 1134943*x^6 - 846017*x^5 - 37172*x^4 + 195266*x^3 - 14098*x^2 - 16083*x - 264, x^33 + x^32 - 51*x^31 - 50*x^30 + 1167*x^29 + 1118*x^28 - 15839*x^27 - 14755*x^26 + 142069*x^25 + 127774*x^24 - 888505*x^23 - 763588*x^22 + 3985890*x^21 + 3225432*x^20 - 13005487*x^19 - 9704189*x^18 + 30989954*x^17 + 20696713*x^16 - 53715113*x^15 - 30774792*x^14 + 66923115*x^13 + 30931902*x^12 - 58648529*x^11 - 19920947*x^10 + 34912381*x^9 + 7417740*x^8 - 13384171*x^7 - 1200010*x^6 + 3048100*x^5 - 46236*x^4 - 354337*x^3 + 20443*x^2 + 14859*x - 268, x^33 + x^32 - 51*x^31 - 50*x^30 + 1167*x^29 + 1118*x^28 - 15839*x^27 - 14755*x^26 + 142069*x^25 + 127774*x^24 - 888505*x^23 - 763588*x^22 + 3985890*x^21 + 3225432*x^20 - 13005487*x^19 - 9704189*x^18 + 30989954*x^17 + 20696713*x^16 - 53715113*x^15 - 30774792*x^14 + 66923115*x^13 + 30931902*x^12 - 58648529*x^11 - 19920947*x^10 + 34912381*x^9 + 7417740*x^8 - 13384171*x^7 - 1200010*x^6 + 3048100*x^5 - 46236*x^4 - 354337*x^3 + 20443*x^2 + 14859*x - 268, x^31 - x^30 - 52*x^29 + 44*x^28 + 1209*x^27 - 839*x^26 - 16579*x^25 + 9055*x^24 + 148957*x^23 - 60441*x^22 - 921329*x^21 + 254190*x^20 + 4012947*x^19 - 641686*x^18 - 12383903*x^17 + 758680*x^16 + 26903813*x^15 + 442191*x^14 - 40433140*x^13 - 2816074*x^12 + 40862025*x^11 + 3902915*x^10 - 26695751*x^9 - 2500055*x^8 + 10712053*x^7 + 736883*x^6 - 2477847*x^5 - 77768*x^4 + 306003*x^3 - 1934*x^2 - 14439*x + 728, x^31 - x^30 - 52*x^29 + 44*x^28 + 1209*x^27 - 839*x^26 - 16579*x^25 + 9055*x^24 + 148957*x^23 - 60441*x^22 - 921329*x^21 + 254190*x^20 + 4012947*x^19 - 641686*x^18 - 12383903*x^17 + 758680*x^16 + 26903813*x^15 + 442191*x^14 - 40433140*x^13 - 2816074*x^12 + 40862025*x^11 + 3902915*x^10 - 26695751*x^9 - 2500055*x^8 + 10712053*x^7 + 736883*x^6 - 2477847*x^5 - 77768*x^4 + 306003*x^3 - 1934*x^2 - 14439*x + 728, -2*x^30 - 4*x^29 + 97*x^28 + 195*x^27 - 2085*x^26 - 4209*x^25 + 26170*x^24 + 52989*x^23 - 212808*x^22 - 431464*x^21 + 1176717*x^20 + 2381942*x^19 - 4524128*x^18 - 9092490*x^17 + 12187128*x^16 + 24053371*x^15 - 22992356*x^14 - 43605363*x^13 + 30277047*x^12 + 52917680*x^11 - 27686115*x^10 - 41432708*x^9 + 17209914*x^8 + 19757140*x^7 - 6749242*x^6 - 5222733*x^5 + 1402211*x^4 + 663115*x^3 - 114032*x^2 - 27989*x + 972, -2*x^30 - 4*x^29 + 97*x^28 + 195*x^27 - 2085*x^26 - 4209*x^25 + 26170*x^24 + 52989*x^23 - 212808*x^22 - 431464*x^21 + 1176717*x^20 + 2381942*x^19 - 4524128*x^18 - 9092490*x^17 + 12187128*x^16 + 24053371*x^15 - 22992356*x^14 - 43605363*x^13 + 30277047*x^12 + 52917680*x^11 - 27686115*x^10 - 41432708*x^9 + 17209914*x^8 + 19757140*x^7 - 6749242*x^6 - 5222733*x^5 + 1402211*x^4 + 663115*x^3 - 114032*x^2 - 27989*x + 972, 2*x^30 + 5*x^29 - 92*x^28 - 233*x^27 + 1873*x^26 + 4811*x^25 - 22248*x^24 - 58010*x^23 + 171236*x^22 + 453347*x^21 - 897828*x^20 - 2410656*x^19 + 3288374*x^18 + 8915282*x^17 - 8515503*x^16 - 23055725*x^15 + 15683335*x^14 + 41387870*x^13 - 20621595*x^12 - 50562526*x^11 + 19347170*x^10 + 40581534*x^9 - 12658525*x^8 - 20159765*x^7 + 5330567*x^6 + 5593470*x^5 - 1207473*x^4 - 723581*x^3 + 103907*x^2 + 28801*x - 512, 2*x^30 + 5*x^29 - 92*x^28 - 233*x^27 + 1873*x^26 + 4811*x^25 - 22248*x^24 - 58010*x^23 + 171236*x^22 + 453347*x^21 - 897828*x^20 - 2410656*x^19 + 3288374*x^18 + 8915282*x^17 - 8515503*x^16 - 23055725*x^15 + 15683335*x^14 + 41387870*x^13 - 20621595*x^12 - 50562526*x^11 + 19347170*x^10 + 40581534*x^9 - 12658525*x^8 - 20159765*x^7 + 5330567*x^6 + 5593470*x^5 - 1207473*x^4 - 723581*x^3 + 103907*x^2 + 28801*x - 512, x^34 + x^33 - 54*x^32 - 53*x^31 + 1316*x^30 + 1266*x^29 - 19140*x^28 - 18012*x^27 + 185123*x^26 + 169927*x^25 - 1256055*x^24 - 1119723*x^23 + 6146670*x^22 + 5286996*x^21 - 21972231*x^20 - 18056232*x^19 + 57500136*x^18 + 44474681*x^17 - 109460028*x^16 - 77898742*x^15 + 149382964*x^14 + 94492777*x^13 - 142678802*x^12 - 76087711*x^11 + 91856707*x^10 + 38042412*x^9 - 37531591*x^8 - 10573246*x^7 + 8810242*x^6 + 1318629*x^5 - 1023411*x^4 - 31049*x^3 + 47785*x^2 - 257*x - 256, x^34 + x^33 - 54*x^32 - 53*x^31 + 1316*x^30 + 1266*x^29 - 19140*x^28 - 18012*x^27 + 185123*x^26 + 169927*x^25 - 1256055*x^24 - 1119723*x^23 + 6146670*x^22 + 5286996*x^21 - 21972231*x^20 - 18056232*x^19 + 57500136*x^18 + 44474681*x^17 - 109460028*x^16 - 77898742*x^15 + 149382964*x^14 + 94492777*x^13 - 142678802*x^12 - 76087711*x^11 + 91856707*x^10 + 38042412*x^9 - 37531591*x^8 - 10573246*x^7 + 8810242*x^6 + 1318629*x^5 - 1023411*x^4 - 31049*x^3 + 47785*x^2 - 257*x - 256, -3*x^31 - 2*x^30 + 146*x^29 + 96*x^28 - 3165*x^27 - 2046*x^26 + 40329*x^25 + 25514*x^24 - 335711*x^23 - 206516*x^22 + 1919573*x^21 + 1137805*x^20 - 7719162*x^19 - 4352243*x^18 + 21986979*x^17 + 11576918*x^16 - 44119588*x^15 - 21122774*x^14 + 61306785*x^13 + 25656088*x^12 - 57233048*x^11 - 19726756*x^10 + 34231968*x^9 + 8874192*x^8 - 12186366*x^7 - 2080180*x^6 + 2290548*x^5 + 221427*x^4 - 184461*x^3 - 10539*x^2 + 2616*x - 72, -3*x^31 - 2*x^30 + 146*x^29 + 96*x^28 - 3165*x^27 - 2046*x^26 + 40329*x^25 + 25514*x^24 - 335711*x^23 - 206516*x^22 + 1919573*x^21 + 1137805*x^20 - 7719162*x^19 - 4352243*x^18 + 21986979*x^17 + 11576918*x^16 - 44119588*x^15 - 21122774*x^14 + 61306785*x^13 + 25656088*x^12 - 57233048*x^11 - 19726756*x^10 + 34231968*x^9 + 8874192*x^8 - 12186366*x^7 - 2080180*x^6 + 2290548*x^5 + 221427*x^4 - 184461*x^3 - 10539*x^2 + 2616*x - 72, x^31 - 2*x^30 - 54*x^29 + 91*x^28 + 1310*x^27 - 1815*x^26 - 18856*x^25 + 20819*x^24 + 179112*x^23 - 151285*x^22 - 1181186*x^21 + 721598*x^20 + 5538898*x^19 - 2252402*x^18 - 18605780*x^17 + 4378283*x^16 + 44539841*x^15 - 4449962*x^14 - 74734910*x^13 + 199319*x^12 + 85389402*x^11 + 4762943*x^10 - 63478620*x^9 - 4968671*x^8 + 28490846*x^7 + 2083785*x^6 - 6734826*x^5 - 367416*x^4 + 638062*x^3 + 15778*x^2 - 12104*x + 489, x^31 - 2*x^30 - 54*x^29 + 91*x^28 + 1310*x^27 - 1815*x^26 - 18856*x^25 + 20819*x^24 + 179112*x^23 - 151285*x^22 - 1181186*x^21 + 721598*x^20 + 5538898*x^19 - 2252402*x^18 - 18605780*x^17 + 4378283*x^16 + 44539841*x^15 - 4449962*x^14 - 74734910*x^13 + 199319*x^12 + 85389402*x^11 + 4762943*x^10 - 63478620*x^9 - 4968671*x^8 + 28490846*x^7 + 2083785*x^6 - 6734826*x^5 - 367416*x^4 + 638062*x^3 + 15778*x^2 - 12104*x + 489, -3*x^31 - 3*x^30 + 150*x^29 + 149*x^28 - 3355*x^27 - 3292*x^26 + 44339*x^25 + 42670*x^24 - 385326*x^23 - 360334*x^22 + 2319500*x^21 + 2082070*x^20 - 9926822*x^19 - 8413940*x^18 + 30527183*x^17 + 23890132*x^16 - 67406395*x^15 - 47211790*x^14 + 105678096*x^13 + 63403818*x^12 - 114889079*x^11 - 55465399*x^10 + 83045719*x^9 + 29455699*x^8 - 37084988*x^7 - 8441461*x^6 + 8983054*x^5 + 1067703*x^4 - 947360*x^3 - 29669*x^2 + 29159*x - 225, -3*x^31 - 3*x^30 + 150*x^29 + 149*x^28 - 3355*x^27 - 3292*x^26 + 44339*x^25 + 42670*x^24 - 385326*x^23 - 360334*x^22 + 2319500*x^21 + 2082070*x^20 - 9926822*x^19 - 8413940*x^18 + 30527183*x^17 + 23890132*x^16 - 67406395*x^15 - 47211790*x^14 + 105678096*x^13 + 63403818*x^12 - 114889079*x^11 - 55465399*x^10 + 83045719*x^9 + 29455699*x^8 - 37084988*x^7 - 8441461*x^6 + 8983054*x^5 + 1067703*x^4 - 947360*x^3 - 29669*x^2 + 29159*x - 225, -3*x^32 - 3*x^31 + 153*x^30 + 152*x^29 - 3495*x^28 - 3443*x^27 + 47232*x^26 + 46013*x^25 - 420216*x^24 - 403245*x^23 + 2592098*x^22 + 2436454*x^21 - 11376026*x^20 - 10389528*x^19 + 35892811*x^18 + 31479557*x^17 - 81366640*x^16 - 67371383*x^15 + 131235790*x^14 + 100059092*x^13 - 147774316*x^12 - 100063413*x^11 + 112703255*x^10 + 64430927*x^9 - 55460525*x^8 - 25080393*x^7 + 16213235*x^6 + 5419518*x^5 - 2435063*x^4 - 578576*x^3 + 142114*x^2 + 21215*x - 516, -3*x^32 - 3*x^31 + 153*x^30 + 152*x^29 - 3495*x^28 - 3443*x^27 + 47232*x^26 + 46013*x^25 - 420216*x^24 - 403245*x^23 + 2592098*x^22 + 2436454*x^21 - 11376026*x^20 - 10389528*x^19 + 35892811*x^18 + 31479557*x^17 - 81366640*x^16 - 67371383*x^15 + 131235790*x^14 + 100059092*x^13 - 147774316*x^12 - 100063413*x^11 + 112703255*x^10 + 64430927*x^9 - 55460525*x^8 - 25080393*x^7 + 16213235*x^6 + 5419518*x^5 - 2435063*x^4 - 578576*x^3 + 142114*x^2 + 21215*x - 516, x^30 - 47*x^28 - 2*x^27 + 966*x^26 + 75*x^25 - 11407*x^24 - 1185*x^23 + 85445*x^22 + 10113*x^21 - 422414*x^20 - 48679*x^19 + 1385848*x^18 + 114338*x^17 - 2934140*x^16 + 24674*x^15 + 3661124*x^14 - 916062*x^13 - 1854412*x^12 + 2478188*x^11 - 1246661*x^10 - 3101977*x^9 + 2403812*x^8 + 1906751*x^7 - 1373238*x^6 - 515987*x^5 + 325925*x^4 + 49469*x^3 - 27533*x^2 - 1892*x - 53, x^30 - 47*x^28 - 2*x^27 + 966*x^26 + 75*x^25 - 11407*x^24 - 1185*x^23 + 85445*x^22 + 10113*x^21 - 422414*x^20 - 48679*x^19 + 1385848*x^18 + 114338*x^17 - 2934140*x^16 + 24674*x^15 + 3661124*x^14 - 916062*x^13 - 1854412*x^12 + 2478188*x^11 - 1246661*x^10 - 3101977*x^9 + 2403812*x^8 + 1906751*x^7 - 1373238*x^6 - 515987*x^5 + 325925*x^4 + 49469*x^3 - 27533*x^2 - 1892*x - 53, x^32 - 2*x^31 - 53*x^30 + 95*x^29 + 1260*x^28 - 2008*x^27 - 17737*x^26 + 24953*x^25 + 164349*x^24 - 203089*x^23 - 1053823*x^22 + 1142949*x^21 + 4784595*x^20 - 4585665*x^19 - 15467500*x^18 + 13356435*x^17 + 35286853*x^16 - 28528007*x^15 - 55403678*x^14 + 44720744*x^13 + 56966767*x^12 - 50632925*x^11 - 34545844*x^10 + 39566014*x^9 + 8877120*x^8 - 19580106*x^7 + 1387654*x^6 + 5371304*x^5 - 1090074*x^4 - 696806*x^3 + 129461*x^2 + 30370*x - 919, x^32 - 2*x^31 - 53*x^30 + 95*x^29 + 1260*x^28 - 2008*x^27 - 17737*x^26 + 24953*x^25 + 164349*x^24 - 203089*x^23 - 1053823*x^22 + 1142949*x^21 + 4784595*x^20 - 4585665*x^19 - 15467500*x^18 + 13356435*x^17 + 35286853*x^16 - 28528007*x^15 - 55403678*x^14 + 44720744*x^13 + 56966767*x^12 - 50632925*x^11 - 34545844*x^10 + 39566014*x^9 + 8877120*x^8 - 19580106*x^7 + 1387654*x^6 + 5371304*x^5 - 1090074*x^4 - 696806*x^3 + 129461*x^2 + 30370*x - 919, -x^30 + x^29 + 43*x^28 - 44*x^27 - 808*x^26 + 866*x^25 + 8720*x^24 - 10078*x^23 - 59790*x^22 + 77080*x^21 + 272487*x^20 - 406354*x^19 - 841500*x^18 + 1503065*x^17 + 1773117*x^16 - 3893778*x^15 - 2565338*x^14 + 6950089*x^13 + 2608190*x^12 - 8319666*x^11 - 1971421*x^10 + 6457480*x^9 + 1165623*x^8 - 3118208*x^7 - 480939*x^6 + 870918*x^5 + 85492*x^4 - 114208*x^3 + 1077*x^2 + 6549*x - 456, -x^30 + x^29 + 43*x^28 - 44*x^27 - 808*x^26 + 866*x^25 + 8720*x^24 - 10078*x^23 - 59790*x^22 + 77080*x^21 + 272487*x^20 - 406354*x^19 - 841500*x^18 + 1503065*x^17 + 1773117*x^16 - 3893778*x^15 - 2565338*x^14 + 6950089*x^13 + 2608190*x^12 - 8319666*x^11 - 1971421*x^10 + 6457480*x^9 + 1165623*x^8 - 3118208*x^7 - 480939*x^6 + 870918*x^5 + 85492*x^4 - 114208*x^3 + 1077*x^2 + 6549*x - 456, -3*x^33 - 3*x^32 + 159*x^31 + 157*x^30 - 3791*x^29 - 3688*x^28 + 53752*x^27 + 51351*x^26 - 504884*x^25 - 471429*x^24 + 3313135*x^23 + 3003304*x^22 - 15615099*x^21 - 13609403*x^20 + 53538795*x^19 + 44245740*x^18 - 133880802*x^17 - 102838433*x^16 + 242761773*x^15 + 168393656*x^14 - 314759197*x^13 - 189123319*x^12 + 284825382*x^11 + 139623082*x^10 - 172738212*x^9 - 63410284*x^8 + 65484589*x^7 + 15941159*x^6 - 13708665*x^5 - 1867706*x^4 + 1273935*x^3 + 61423*x^2 - 32291*x + 297, -3*x^33 - 3*x^32 + 159*x^31 + 157*x^30 - 3791*x^29 - 3688*x^28 + 53752*x^27 + 51351*x^26 - 504884*x^25 - 471429*x^24 + 3313135*x^23 + 3003304*x^22 - 15615099*x^21 - 13609403*x^20 + 53538795*x^19 + 44245740*x^18 - 133880802*x^17 - 102838433*x^16 + 242761773*x^15 + 168393656*x^14 - 314759197*x^13 - 189123319*x^12 + 284825382*x^11 + 139623082*x^10 - 172738212*x^9 - 63410284*x^8 + 65484589*x^7 + 15941159*x^6 - 13708665*x^5 - 1867706*x^4 + 1273935*x^3 + 61423*x^2 - 32291*x + 297, 2*x^30 + 5*x^29 - 93*x^28 - 240*x^27 + 1902*x^26 + 5089*x^25 - 22486*x^24 - 62797*x^23 + 169798*x^22 + 500076*x^21 - 853527*x^20 - 2693974*x^19 + 2883392*x^18 + 10010664*x^17 - 6437133*x^16 - 25700241*x^15 + 9019108*x^14 + 45000766*x^13 - 6955167*x^12 - 52294515*x^11 + 1619756*x^10 + 38533514*x^9 + 1378996*x^8 - 16641182*x^7 - 989252*x^6 + 3603805*x^5 + 179147*x^4 - 268939*x^3 + 7294*x^2 + 1057*x - 201, 2*x^30 + 5*x^29 - 93*x^28 - 240*x^27 + 1902*x^26 + 5089*x^25 - 22486*x^24 - 62797*x^23 + 169798*x^22 + 500076*x^21 - 853527*x^20 - 2693974*x^19 + 2883392*x^18 + 10010664*x^17 - 6437133*x^16 - 25700241*x^15 + 9019108*x^14 + 45000766*x^13 - 6955167*x^12 - 52294515*x^11 + 1619756*x^10 + 38533514*x^9 + 1378996*x^8 - 16641182*x^7 - 989252*x^6 + 3603805*x^5 + 179147*x^4 - 268939*x^3 + 7294*x^2 + 1057*x - 201, x^33 + x^32 - 52*x^31 - 54*x^30 + 1214*x^29 + 1301*x^28 - 16819*x^27 - 18462*x^26 + 154041*x^25 + 171619*x^24 - 983945*x^23 - 1099876*x^22 + 4510234*x^21 + 4982735*x^20 - 15054246*x^19 - 16104399*x^18 + 36796189*x^17 + 37042387*x^16 - 65787429*x^15 - 59839680*x^14 + 85341325*x^13 + 66172571*x^12 - 78836674*x^11 - 47949518*x^10 + 49922678*x^9 + 21109421*x^8 - 20130746*x^7 - 4896918*x^6 + 4501047*x^5 + 432545*x^4 - 426633*x^3 + 2091*x^2 + 7127*x - 388, x^33 + x^32 - 52*x^31 - 54*x^30 + 1214*x^29 + 1301*x^28 - 16819*x^27 - 18462*x^26 + 154041*x^25 + 171619*x^24 - 983945*x^23 - 1099876*x^22 + 4510234*x^21 + 4982735*x^20 - 15054246*x^19 - 16104399*x^18 + 36796189*x^17 + 37042387*x^16 - 65787429*x^15 - 59839680*x^14 + 85341325*x^13 + 66172571*x^12 - 78836674*x^11 - 47949518*x^10 + 49922678*x^9 + 21109421*x^8 - 20130746*x^7 - 4896918*x^6 + 4501047*x^5 + 432545*x^4 - 426633*x^3 + 2091*x^2 + 7127*x - 388, -3*x^32 - 2*x^31 + 151*x^30 + 100*x^29 - 3400*x^28 - 2228*x^27 + 45230*x^26 + 29164*x^25 - 395527*x^24 - 248990*x^23 + 2394110*x^22 + 1455547*x^21 - 10289998*x^20 - 5952152*x^19 + 31713236*x^18 + 17096444*x^17 - 69948677*x^16 - 34156090*x^15 + 109010386*x^14 + 46360352*x^13 - 117004815*x^12 - 41098572*x^11 + 82752589*x^10 + 22433062*x^9 - 35720856*x^8 - 6972446*x^7 + 8184437*x^6 + 1143705*x^5 - 761935*x^4 - 81968*x^3 + 12501*x^2 + 4058*x - 101, -3*x^32 - 2*x^31 + 151*x^30 + 100*x^29 - 3400*x^28 - 2228*x^27 + 45230*x^26 + 29164*x^25 - 395527*x^24 - 248990*x^23 + 2394110*x^22 + 1455547*x^21 - 10289998*x^20 - 5952152*x^19 + 31713236*x^18 + 17096444*x^17 - 69948677*x^16 - 34156090*x^15 + 109010386*x^14 + 46360352*x^13 - 117004815*x^12 - 41098572*x^11 + 82752589*x^10 + 22433062*x^9 - 35720856*x^8 - 6972446*x^7 + 8184437*x^6 + 1143705*x^5 - 761935*x^4 - 81968*x^3 + 12501*x^2 + 4058*x - 101, 2*x^30 - 5*x^29 - 97*x^28 + 229*x^27 + 2106*x^26 - 4643*x^25 - 27022*x^24 + 54934*x^23 + 227748*x^22 - 421025*x^21 - 1325074*x^20 + 2194556*x^19 + 5442199*x^18 - 7950858*x^17 - 15856468*x^16 + 20118123*x^15 + 32483451*x^14 - 35231938*x^13 - 45752506*x^12 + 41693016*x^11 + 42669385*x^10 - 31864838*x^9 - 24900467*x^8 + 14463299*x^7 + 8386755*x^6 - 3308092*x^5 - 1449351*x^4 + 270723*x^3 + 89666*x^2 - 809*x - 311, 2*x^30 - 5*x^29 - 97*x^28 + 229*x^27 + 2106*x^26 - 4643*x^25 - 27022*x^24 + 54934*x^23 + 227748*x^22 - 421025*x^21 - 1325074*x^20 + 2194556*x^19 + 5442199*x^18 - 7950858*x^17 - 15856468*x^16 + 20118123*x^15 + 32483451*x^14 - 35231938*x^13 - 45752506*x^12 + 41693016*x^11 + 42669385*x^10 - 31864838*x^9 - 24900467*x^8 + 14463299*x^7 + 8386755*x^6 - 3308092*x^5 - 1449351*x^4 + 270723*x^3 + 89666*x^2 - 809*x - 311, 2*x^31 + 2*x^30 - 98*x^29 - 100*x^28 + 2144*x^27 + 2221*x^26 - 27650*x^25 - 28904*x^24 + 233780*x^23 + 244833*x^22 - 1363716*x^21 - 1418033*x^20 + 5626045*x^19 + 5741424*x^18 - 16562135*x^17 - 16328968*x^16 + 34694675*x^15 + 32320534*x^14 - 51039871*x^13 - 43484936*x^12 + 51436083*x^11 + 38160419*x^10 - 34052541*x^9 - 20423990*x^8 + 13745179*x^7 + 5966295*x^6 - 2908671*x^5 - 774011*x^4 + 226764*x^3 + 21296*x^2 + 634*x + 254, 2*x^31 + 2*x^30 - 98*x^29 - 100*x^28 + 2144*x^27 + 2221*x^26 - 27650*x^25 - 28904*x^24 + 233780*x^23 + 244833*x^22 - 1363716*x^21 - 1418033*x^20 + 5626045*x^19 + 5741424*x^18 - 16562135*x^17 - 16328968*x^16 + 34694675*x^15 + 32320534*x^14 - 51039871*x^13 - 43484936*x^12 + 51436083*x^11 + 38160419*x^10 - 34052541*x^9 - 20423990*x^8 + 13745179*x^7 + 5966295*x^6 - 2908671*x^5 - 774011*x^4 + 226764*x^3 + 21296*x^2 + 634*x + 254]>
       ]
>;

MOG[709] := 	// J_0(709)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [66, 98, 201, 279, 626, 229*x + 477, 480*x + 477, 333*x + 498, 376*x + 498, 38*x + 281, 671*x + 281, 36*x + 30, 673*x + 30, 387*x + 424, 322*x + 424, 437*x + 327, 272*x + 327, 305*x + 645, 404*x + 645, 385*x + 73, 324*x + 73, 340*x + 239, 369*x + 239, 273*x + 597, 436*x + 597, 573*x + 119, 136*x + 119, 544*x + 566, 165*x + 566, 95*x + 91, 614*x + 91, 605*x + 61, 104*x + 61, 650*x + 491, 59*x + 491, 576*x + 8, 133*x + 8, 288*x + 441, 421*x + 441, 206*x + 475, 503*x + 475, 223*x + 464, 486*x + 464, 663*x + 533, 46*x + 533, 266*x + 607, 443*x + 607, 381*x + 128, 328*x + 128, 164*x + 438, 545*x + 438, 252*x + 122, 457*x + 122, 151*x + 343, 558*x + 343, 351*x + 78, 358*x + 78, 659*x + 705, 50*x + 705]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x + 2,
           Coordinates        := [-2, 2, 0, -2, 2, 0, 0, -1, -1, 1, 1, 1, 1, 1, 1, -1, -1, -1, -1, -1, -1, 0, 0, 0, 0, -1, -1, 1, 1, 0, 0, 1, 1, 0, 0, 0, 0, 1, 1, 0, 0, -1, -1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, -1, -1, 0, 0, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^27 + 8*x^26 - 6*x^25 - 202*x^24 - 281*x^23 + 2045*x^22 + 5067*x^21 - 10235*x^20 - 38982*x^19 + 22145*x^18 + 170775*x^17 + 19259*x^16 - 462082*x^15 - 239638*x^14 + 787481*x^13 + 638484*x^12 - 828098*x^11 - 890512*x^10 + 501003*x^9 + 706801*x^8 - 146644*x^7 - 309346*x^6 + 11945*x^5 + 68058*x^4 - 287*x^3 - 6912*x^2 + 246*x + 184,
           Coordinates        := [0, 0, 0, 0, 0, -x^26 - 8*x^25 + 4*x^24 + 186*x^23 + 285*x^22 - 1705*x^21 - 4497*x^20 + 7439*x^19 + 31095*x^18 - 11773*x^17 - 121939*x^16 - 28344*x^15 + 292262*x^14 + 176109*x^13 - 435181*x^12 - 381280*x^11 + 393140*x^10 + 446700*x^9 - 199817*x^8 - 297658*x^7 + 47427*x^6 + 107964*x^5 - 3078*x^4 - 18965*x^3 + 459*x^2 + 1358*x - 136, x^26 + 8*x^25 - 4*x^24 - 186*x^23 - 285*x^22 + 1705*x^21 + 4497*x^20 - 7439*x^19 - 31095*x^18 + 11773*x^17 + 121939*x^16 + 28344*x^15 - 292262*x^14 - 176109*x^13 + 435181*x^12 + 381280*x^11 - 393140*x^10 - 446700*x^9 + 199817*x^8 + 297658*x^7 - 47427*x^6 - 107964*x^5 + 3078*x^4 + 18965*x^3 - 459*x^2 - 1358*x + 136, -x^25 - 8*x^24 + 2*x^23 + 170*x^22 + 285*x^21 - 1398*x^20 - 3945*x^19 + 5176*x^18 + 24420*x^17 - 4403*x^16 - 84735*x^15 - 32511*x^14 + 174673*x^13 + 130437*x^12 - 212278*x^11 - 223723*x^10 + 141222*x^9 + 204417*x^8 - 40575*x^7 - 99395*x^6 - 248*x^5 + 24045*x^4 + 1416*x^3 - 2799*x^2 - 109*x + 120, x^25 + 8*x^24 - 2*x^23 - 170*x^22 - 285*x^21 + 1398*x^20 + 3945*x^19 - 5176*x^18 - 24420*x^17 + 4403*x^16 + 84735*x^15 + 32511*x^14 - 174673*x^13 - 130437*x^12 + 212278*x^11 + 223723*x^10 - 141222*x^9 - 204417*x^8 + 40575*x^7 + 99395*x^6 + 248*x^5 - 24045*x^4 - 1416*x^3 + 2799*x^2 + 109*x - 120, -x^25 - 8*x^24 + 2*x^23 + 170*x^22 + 285*x^21 - 1398*x^20 - 3942*x^19 + 5196*x^18 + 24416*x^17 - 4682*x^16 - 85085*x^15 - 31018*x^14 + 177627*x^13 + 126767*x^12 - 222680*x^11 - 220089*x^10 + 159964*x^9 + 204726*x^8 - 58642*x^7 - 101987*x^6 + 9115*x^5 + 25048*x^4 - 1244*x^3 - 2755*x^2 + 219*x + 64, x^25 + 8*x^24 - 2*x^23 - 170*x^22 - 285*x^21 + 1398*x^20 + 3942*x^19 - 5196*x^18 - 24416*x^17 + 4682*x^16 + 85085*x^15 + 31018*x^14 - 177627*x^13 - 126767*x^12 + 222680*x^11 + 220089*x^10 - 159964*x^9 - 204726*x^8 + 58642*x^7 + 101987*x^6 - 9115*x^5 - 25048*x^4 + 1244*x^3 + 2755*x^2 - 219*x - 64, -x^24 - 8*x^23 + 154*x^21 + 281*x^20 - 1122*x^19 - 3397*x^18 + 3436*x^17 + 18691*x^16 - 333*x^15 - 57266*x^14 - 28214*x^13 + 102579*x^12 + 85918*x^11 - 105025*x^10 - 122186*x^9 + 54155*x^8 + 91907*x^7 - 7223*x^6 - 34657*x^5 - 3530*x^4 + 5436*x^3 + 817*x^2 - 289*x - 40, x^24 + 8*x^23 - 154*x^21 - 281*x^20 + 1122*x^19 + 3397*x^18 - 3436*x^17 - 18691*x^16 + 333*x^15 + 57266*x^14 + 28214*x^13 - 102579*x^12 - 85918*x^11 + 105025*x^10 + 122186*x^9 - 54155*x^8 - 91907*x^7 + 7223*x^6 + 34657*x^5 + 3530*x^4 - 5436*x^3 - 817*x^2 + 289*x + 40, -x^24 - 8*x^23 + 153*x^21 + 271*x^20 - 1141*x^19 - 3278*x^18 + 3934*x^17 + 18513*x^16 - 3834*x^15 - 60323*x^14 - 17458*x^13 + 120324*x^12 + 71639*x^11 - 146893*x^10 - 120097*x^9 + 105087*x^8 + 106356*x^7 - 40452*x^6 - 49262*x^5 + 8024*x^4 + 10730*x^3 - 1385*x^2 - 949*x + 176, x^24 + 8*x^23 - 153*x^21 - 271*x^20 + 1141*x^19 + 3278*x^18 - 3934*x^17 - 18513*x^16 + 3834*x^15 + 60323*x^14 + 17458*x^13 - 120324*x^12 - 71639*x^11 + 146893*x^10 + 120097*x^9 - 105087*x^8 - 106356*x^7 + 40452*x^6 + 49262*x^5 - 8024*x^4 - 10730*x^3 + 1385*x^2 + 949*x - 176, -x^24 - 8*x^23 + 154*x^21 + 281*x^20 - 1123*x^19 - 3401*x^18 + 3461*x^17 + 18830*x^16 - 382*x^15 - 58454*x^14 - 29200*x^13 + 106820*x^12 + 92068*x^11 - 111929*x^10 - 137035*x^9 + 58204*x^8 + 109209*x^7 - 5988*x^6 - 44314*x^5 - 5322*x^4 + 7790*x^3 + 1053*x^2 - 543*x - 16, x^24 + 8*x^23 - 154*x^21 - 281*x^20 + 1123*x^19 + 3401*x^18 - 3461*x^17 - 18830*x^16 + 382*x^15 + 58454*x^14 + 29200*x^13 - 106820*x^12 - 92068*x^11 + 111929*x^10 + 137035*x^9 - 58204*x^8 - 109209*x^7 + 5988*x^6 + 44314*x^5 + 5322*x^4 - 7790*x^3 - 1053*x^2 + 543*x + 16, -x^24 - 8*x^23 + 153*x^21 + 274*x^20 - 1120*x^19 - 3278*x^18 + 3630*x^17 + 18024*x^16 - 2292*x^15 - 56181*x^14 - 20142*x^13 + 105681*x^12 + 69123*x^11 - 121247*x^10 - 104939*x^9 + 82971*x^8 + 86462*x^7 - 32324*x^6 - 38602*x^5 + 7156*x^4 + 8420*x^3 - 1293*x^2 - 751*x + 152, x^24 + 8*x^23 - 153*x^21 - 274*x^20 + 1120*x^19 + 3278*x^18 - 3630*x^17 - 18024*x^16 + 2292*x^15 + 56181*x^14 + 20142*x^13 - 105681*x^12 - 69123*x^11 + 121247*x^10 + 104939*x^9 - 82971*x^8 - 86462*x^7 + 32324*x^6 + 38602*x^5 - 7156*x^4 - 8420*x^3 + 1293*x^2 + 751*x - 152, -x^23 - 8*x^22 - x^21 + 145*x^20 + 270*x^19 - 997*x^18 - 3017*x^17 + 2919*x^16 + 15543*x^15 - 755*x^14 - 44850*x^13 - 18363*x^12 + 76616*x^11 + 52964*x^10 - 77455*x^9 - 69995*x^8 + 44065*x^7 + 49182*x^6 - 12312*x^5 - 17734*x^4 + 1150*x^3 + 2745*x^2 - 41*x - 136, x^23 + 8*x^22 + x^21 - 145*x^20 - 270*x^19 + 997*x^18 + 3017*x^17 - 2919*x^16 - 15543*x^15 + 755*x^14 + 44850*x^13 + 18363*x^12 - 76616*x^11 - 52964*x^10 + 77455*x^9 + 69995*x^8 - 44065*x^7 - 49182*x^6 + 12312*x^5 + 17734*x^4 - 1150*x^3 - 2745*x^2 + 41*x + 136, -x^23 - 8*x^22 - 3*x^21 + 131*x^20 + 278*x^19 - 743*x^18 - 2712*x^17 + 1151*x^16 + 11926*x^15 + 5052*x^14 - 27244*x^13 - 26156*x^12 + 30637*x^11 + 48573*x^10 - 9612*x^9 - 42515*x^8 - 10713*x^7 + 15556*x^6 + 9030*x^5 - 875*x^4 - 1749*x^3 - 235*x^2 + 110*x + 16, x^23 + 8*x^22 + 3*x^21 - 131*x^20 - 278*x^19 + 743*x^18 + 2712*x^17 - 1151*x^16 - 11926*x^15 - 5052*x^14 + 27244*x^13 + 26156*x^12 - 30637*x^11 - 48573*x^10 + 9612*x^9 + 42515*x^8 + 10713*x^7 - 15556*x^6 - 9030*x^5 + 875*x^4 + 1749*x^3 + 235*x^2 - 110*x - 16, -x^23 - 8*x^22 - 3*x^21 + 130*x^20 + 268*x^19 - 760*x^18 - 2584*x^17 + 1622*x^16 + 11591*x^15 + 1690*x^14 - 29103*x^13 - 15650*x^12 + 43201*x^11 + 33597*x^10 - 38010*x^9 - 35820*x^8 + 19341*x^7 + 20306*x^6 - 5620*x^5 - 5839*x^4 + 987*x^3 + 712*x^2 - 102*x - 16, x^23 + 8*x^22 + 3*x^21 - 130*x^20 - 268*x^19 + 760*x^18 + 2584*x^17 - 1622*x^16 - 11591*x^15 - 1690*x^14 + 29103*x^13 + 15650*x^12 - 43201*x^11 - 33597*x^10 + 38010*x^9 + 35820*x^8 - 19341*x^7 - 20306*x^6 + 5620*x^5 + 5839*x^4 - 987*x^3 - 712*x^2 + 102*x + 16, -x^23 - 9*x^22 - 11*x^21 + 127*x^20 + 399*x^19 - 482*x^18 - 3323*x^17 - 1053*x^16 + 12821*x^15 + 13363*x^14 - 25246*x^13 - 43148*x^12 + 22184*x^11 + 70029*x^10 + 1875*x^9 - 62241*x^8 - 19218*x^7 + 29827*x^6 + 13892*x^5 - 7476*x^4 - 3788*x^3 + 1138*x^2 + 387*x - 104, x^23 + 9*x^22 + 11*x^21 - 127*x^20 - 399*x^19 + 482*x^18 + 3323*x^17 + 1053*x^16 - 12821*x^15 - 13363*x^14 + 25246*x^13 + 43148*x^12 - 22184*x^11 - 70029*x^10 - 1875*x^9 + 62241*x^8 + 19218*x^7 - 29827*x^6 - 13892*x^5 + 7476*x^4 + 3788*x^3 - 1138*x^2 - 387*x + 104, -x^23 - 7*x^22 + 7*x^21 + 147*x^20 + 134*x^19 - 1257*x^18 - 2144*x^17 + 5605*x^16 + 13225*x^15 - 13607*x^14 - 44847*x^13 + 15647*x^12 + 91173*x^11 + 895*x^10 - 112824*x^9 - 24211*x^8 + 82415*x^7 + 26794*x^6 - 32782*x^5 - 11532*x^4 + 6210*x^3 + 1580*x^2 - 527*x - 16, x^23 + 7*x^22 - 7*x^21 - 147*x^20 - 134*x^19 + 1257*x^18 + 2144*x^17 - 5605*x^16 - 13225*x^15 + 13607*x^14 + 44847*x^13 - 15647*x^12 - 91173*x^11 - 895*x^10 + 112824*x^9 + 24211*x^8 - 82415*x^7 - 26794*x^6 + 32782*x^5 + 11532*x^4 - 6210*x^3 - 1580*x^2 + 527*x + 16, -x^23 - 9*x^22 - 11*x^21 + 128*x^20 + 407*x^19 - 478*x^18 - 3442*x^17 - 1305*x^16 + 13406*x^15 + 15425*x^14 - 25960*x^13 - 50346*x^12 + 19578*x^11 + 82159*x^10 + 11064*x^9 - 71306*x^8 - 29761*x^7 + 30879*x^6 + 18345*x^5 - 5726*x^4 - 3913*x^3 + 632*x^2 + 292*x - 48, x^23 + 9*x^22 + 11*x^21 - 128*x^20 - 407*x^19 + 478*x^18 + 3442*x^17 + 1305*x^16 - 13406*x^15 - 15425*x^14 + 25960*x^13 + 50346*x^12 - 19578*x^11 - 82159*x^10 - 11064*x^9 + 71306*x^8 + 29761*x^7 - 30879*x^6 - 18345*x^5 + 5726*x^4 + 3913*x^3 - 632*x^2 - 292*x + 48, -x^23 - 10*x^22 - 18*x^21 + 131*x^20 + 529*x^19 - 314*x^18 - 4238*x^17 - 3135*x^16 + 15666*x^15 + 23935*x^14 - 27393*x^13 - 71348*x^12 + 12187*x^11 + 110885*x^10 + 30941*x^9 - 92000*x^8 - 50576*x^7 + 37483*x^6 + 28382*x^5 - 6365*x^4 - 6046*x^3 + 719*x^2 + 477*x - 72, x^23 + 10*x^22 + 18*x^21 - 131*x^20 - 529*x^19 + 314*x^18 + 4238*x^17 + 3135*x^16 - 15666*x^15 - 23935*x^14 + 27393*x^13 + 71348*x^12 - 12187*x^11 - 110885*x^10 - 30941*x^9 + 92000*x^8 + 50576*x^7 - 37483*x^6 - 28382*x^5 + 6365*x^4 + 6046*x^3 - 719*x^2 - 477*x + 72, -x^23 - 7*x^22 + 7*x^21 + 147*x^20 + 135*x^19 - 1252*x^18 - 2154*x^17 + 5525*x^16 + 13238*x^15 - 13059*x^14 - 44553*x^13 + 13704*x^12 + 89246*x^11 + 4265*x^10 - 107934*x^9 - 26264*x^8 + 76894*x^7 + 25902*x^6 - 30341*x^5 - 10263*x^4 + 5997*x^3 + 1285*x^2 - 544*x + 8, x^23 + 7*x^22 - 7*x^21 - 147*x^20 - 135*x^19 + 1252*x^18 + 2154*x^17 - 5525*x^16 - 13238*x^15 + 13059*x^14 + 44553*x^13 - 13704*x^12 - 89246*x^11 - 4265*x^10 + 107934*x^9 + 26264*x^8 - 76894*x^7 - 25902*x^6 + 30341*x^5 + 10263*x^4 - 5997*x^3 - 1285*x^2 + 544*x - 8, -x^22 - 8*x^21 - 3*x^20 + 128*x^19 + 252*x^18 - 776*x^17 - 2409*x^16 + 2049*x^15 + 10985*x^14 - 856*x^13 - 28694*x^12 - 8566*x^11 + 45148*x^10 + 22932*x^9 - 42431*x^8 - 26391*x^7 + 22796*x^6 + 14921*x^5 - 6742*x^4 - 3829*x^3 + 1176*x^2 + 368*x - 104, x^22 + 8*x^21 + 3*x^20 - 128*x^19 - 252*x^18 + 776*x^17 + 2409*x^16 - 2049*x^15 - 10985*x^14 + 856*x^13 + 28694*x^12 + 8566*x^11 - 45148*x^10 - 22932*x^9 + 42431*x^8 + 26391*x^7 - 22796*x^6 - 14921*x^5 + 6742*x^4 + 3829*x^3 - 1176*x^2 - 368*x + 104, -x^21 - 8*x^20 - 3*x^19 + 128*x^18 + 259*x^17 - 739*x^16 - 2471*x^15 + 1431*x^14 + 10707*x^13 + 2731*x^12 - 24388*x^11 - 17578*x^10 + 29259*x^9 + 32341*x^8 - 16334*x^7 - 27885*x^6 + 2002*x^5 + 11422*x^4 + 1138*x^3 - 2034*x^2 - 215*x + 144, x^21 + 8*x^20 + 3*x^19 - 128*x^18 - 259*x^17 + 739*x^16 + 2471*x^15 - 1431*x^14 - 10707*x^13 - 2731*x^12 + 24388*x^11 + 17578*x^10 - 29259*x^9 - 32341*x^8 + 16334*x^7 + 27885*x^6 - 2002*x^5 - 11422*x^4 - 1138*x^3 + 2034*x^2 + 215*x - 144, -x^22 - 7*x^21 + 3*x^20 + 118*x^19 + 139*x^18 - 782*x^17 - 1469*x^16 + 2612*x^15 + 6505*x^14 - 4684*x^13 - 15595*x^12 + 4461*x^11 + 21575*x^10 - 2499*x^9 - 17246*x^8 + 1984*x^7 + 7625*x^6 - 2080*x^5 - 1629*x^4 + 1043*x^3 + 55*x^2 - 172*x + 32, x^22 + 7*x^21 - 3*x^20 - 118*x^19 - 139*x^18 + 782*x^17 + 1469*x^16 - 2612*x^15 - 6505*x^14 + 4684*x^13 + 15595*x^12 - 4461*x^11 - 21575*x^10 + 2499*x^9 + 17246*x^8 - 1984*x^7 - 7625*x^6 + 2080*x^5 + 1629*x^4 - 1043*x^3 - 55*x^2 + 172*x - 32, -2*x^22 - 16*x^21 - 6*x^20 + 261*x^19 + 546*x^18 - 1503*x^17 - 5296*x^16 + 2773*x^15 + 23517*x^14 + 6742*x^13 - 56347*x^12 - 41806*x^11 + 73838*x^10 + 82170*x^9 - 47622*x^8 - 78335*x^7 + 8628*x^6 + 35862*x^5 + 3410*x^4 - 6714*x^3 - 762*x^2 + 477*x + 8, 2*x^22 + 16*x^21 + 6*x^20 - 261*x^19 - 546*x^18 + 1503*x^17 + 5296*x^16 - 2773*x^15 - 23517*x^14 - 6742*x^13 + 56347*x^12 + 41806*x^11 - 73838*x^10 - 82170*x^9 + 47622*x^8 + 78335*x^7 - 8628*x^6 - 35862*x^5 - 3410*x^4 + 6714*x^3 + 762*x^2 - 477*x - 8, -x^22 - 7*x^21 + 3*x^20 + 120*x^19 + 148*x^18 - 809*x^17 - 1626*x^16 + 2751*x^15 + 7703*x^14 - 4934*x^13 - 20776*x^12 + 3764*x^11 + 35045*x^10 + 2107*x^9 - 38124*x^8 - 7715*x^7 + 26204*x^6 + 7561*x^5 - 10447*x^4 - 3304*x^3 + 2045*x^2 + 456*x - 184, x^22 + 7*x^21 - 3*x^20 - 120*x^19 - 148*x^18 + 809*x^17 + 1626*x^16 - 2751*x^15 - 7703*x^14 + 4934*x^13 + 20776*x^12 - 3764*x^11 - 35045*x^10 - 2107*x^9 + 38124*x^8 + 7715*x^7 - 26204*x^6 - 7561*x^5 + 10447*x^4 + 3304*x^3 - 2045*x^2 - 456*x + 184, -x^22 - 8*x^21 - 3*x^20 + 130*x^19 + 269*x^18 - 749*x^17 - 2557*x^16 + 1531*x^15 + 11142*x^14 + 1703*x^13 - 26792*x^12 - 13797*x^11 + 37883*x^10 + 26915*x^9 - 32305*x^8 - 25953*x^7 + 16861*x^6 + 13404*x^5 - 5447*x^4 - 3546*x^3 + 1053*x^2 + 368*x - 104, x^22 + 8*x^21 + 3*x^20 - 130*x^19 - 269*x^18 + 749*x^17 + 2557*x^16 - 1531*x^15 - 11142*x^14 - 1703*x^13 + 26792*x^12 + 13797*x^11 - 37883*x^10 - 26915*x^9 + 32305*x^8 + 25953*x^7 - 16861*x^6 - 13404*x^5 + 5447*x^4 + 3546*x^3 - 1053*x^2 - 368*x + 104, -x^22 - 8*x^21 - 5*x^20 + 116*x^19 + 273*x^18 - 528*x^17 - 2289*x^16 + 141*x^15 + 8559*x^14 + 6247*x^13 - 15894*x^12 - 22096*x^11 + 12108*x^10 + 34788*x^9 + 4035*x^8 - 27754*x^7 - 13150*x^6 + 10206*x^5 + 7774*x^4 - 1112*x^3 - 1480*x^2 + 18*x + 88, x^22 + 8*x^21 + 5*x^20 - 116*x^19 - 273*x^18 + 528*x^17 + 2289*x^16 - 141*x^15 - 8559*x^14 - 6247*x^13 + 15894*x^12 + 22096*x^11 - 12108*x^10 - 34788*x^9 - 4035*x^8 + 27754*x^7 + 13150*x^6 - 10206*x^5 - 7774*x^4 + 1112*x^3 + 1480*x^2 - 18*x - 88, -2*x^18 - 17*x^17 - 27*x^16 + 148*x^15 + 518*x^14 - 157*x^13 - 2559*x^12 - 1902*x^11 + 5231*x^10 + 7265*x^9 - 3983*x^8 - 10126*x^7 - 438*x^6 + 5935*x^5 + 1517*x^4 - 1295*x^3 - 283*x^2 + 123*x, 2*x^18 + 17*x^17 + 27*x^16 - 148*x^15 - 518*x^14 + 157*x^13 + 2559*x^12 + 1902*x^11 - 5231*x^10 - 7265*x^9 + 3983*x^8 + 10126*x^7 + 438*x^6 - 5935*x^5 - 1517*x^4 + 1295*x^3 + 283*x^2 - 123*x, -2*x^21 - 17*x^20 - 18*x^19 + 223*x^18 + 625*x^17 - 843*x^16 - 4706*x^15 - 619*x^14 + 16313*x^13 + 12356*x^12 - 29566*x^11 - 35263*x^10 + 27759*x^9 + 47587*x^8 - 11143*x^7 - 33823*x^6 - 365*x^5 + 12388*x^4 + 1321*x^3 - 2094*x^2 - 186*x + 136, 2*x^21 + 17*x^20 + 18*x^19 - 223*x^18 - 625*x^17 + 843*x^16 + 4706*x^15 + 619*x^14 - 16313*x^13 - 12356*x^12 + 29566*x^11 + 35263*x^10 - 27759*x^9 - 47587*x^8 + 11143*x^7 + 33823*x^6 + 365*x^5 - 12388*x^4 - 1321*x^3 + 2094*x^2 + 186*x - 136, -x^20 - 7*x^19 + 4*x^18 + 124*x^17 + 135*x^16 - 874*x^15 - 1597*x^14 + 3028*x^13 + 7679*x^12 - 4948*x^11 - 19440*x^10 + 1862*x^9 + 27397*x^8 + 4944*x^7 - 21278*x^6 - 6607*x^5 + 8609*x^4 + 2813*x^3 - 1675*x^2 - 359*x + 144, x^20 + 7*x^19 - 4*x^18 - 124*x^17 - 135*x^16 + 874*x^15 + 1597*x^14 - 3028*x^13 - 7679*x^12 + 4948*x^11 + 19440*x^10 - 1862*x^9 - 27397*x^8 - 4944*x^7 + 21278*x^6 + 6607*x^5 - 8609*x^4 - 2813*x^3 + 1675*x^2 + 359*x - 144, -x^21 - 10*x^20 - 21*x^19 + 100*x^18 + 461*x^17 - 8*x^16 - 2809*x^15 - 3231*x^14 + 6965*x^13 + 15022*x^12 - 4601*x^11 - 29497*x^10 - 10133*x^9 + 27253*x^8 + 20322*x^7 - 10011*x^6 - 12739*x^5 + 289*x^4 + 2847*x^3 + 118*x^2 - 250*x + 16, x^21 + 10*x^20 + 21*x^19 - 100*x^18 - 461*x^17 + 8*x^16 + 2809*x^15 + 3231*x^14 - 6965*x^13 - 15022*x^12 + 4601*x^11 + 29497*x^10 + 10133*x^9 - 27253*x^8 - 20322*x^7 + 10011*x^6 + 12739*x^5 - 289*x^4 - 2847*x^3 - 118*x^2 + 250*x - 16, -x^21 - 7*x^20 + 99*x^18 + 149*x^17 - 497*x^16 - 1137*x^15 + 1079*x^14 + 3393*x^13 - 1362*x^12 - 4392*x^11 + 3555*x^10 + 1993*x^9 - 10019*x^8 - 852*x^7 + 13459*x^6 + 2734*x^5 - 7912*x^4 - 2246*x^3 + 1789*x^2 + 374*x - 168, x^21 + 7*x^20 - 99*x^18 - 149*x^17 + 497*x^16 + 1137*x^15 - 1079*x^14 - 3393*x^13 + 1362*x^12 + 4392*x^11 - 3555*x^10 - 1993*x^9 + 10019*x^8 + 852*x^7 - 13459*x^6 - 2734*x^5 + 7912*x^4 + 2246*x^3 - 1789*x^2 - 374*x + 168]>,
         rec<Eigen |
           DefiningPolynomial := x^30 - 8*x^29 - 12*x^28 + 250*x^27 - 244*x^26 - 3263*x^25 + 6735*x^24 + 22669*x^23 - 69337*x^22 - 85340*x^21 + 405478*x^20 + 124316*x^19 - 1493278*x^18 + 311975*x^17 + 3580070*x^16 - 1939385*x^15 - 5593858*x^14 + 4383342*x^13 + 5585410*x^12 - 5497955*x^11 - 3453372*x^10 + 4072876*x^9 + 1294546*x^8 - 1791259*x^7 - 303547*x^6 + 457614*x^5 + 51275*x^4 - 62908*x^3 - 6993*x^2 + 3632*x + 526,
           Coordinates        := [-1/2*x^29 + 4*x^28 + 9/2*x^27 - 113*x^26 + 265/2*x^25 + 2631/2*x^24 - 2948*x^23 - 7953*x^22 + 52897/2*x^21 + 24558*x^20 - 270013/2*x^19 - 19376*x^18 + 859547/2*x^17 - 246585/2*x^16 - 1760401/2*x^15 + 478085*x^14 + 2337045/2*x^13 - 804972*x^12 - 2018823/2*x^11 + 1489919/2*x^10 + 1160943/2*x^9 - 786813/2*x^8 - 463973/2*x^7 + 118857*x^6 + 62914*x^5 - 19247*x^4 - 20105/2*x^3 + 1280*x^2 + 682*x + 6, -1/2*x^29 + 4*x^28 + 9/2*x^27 - 114*x^26 + 281/2*x^25 + 2637/2*x^24 - 3125*x^23 - 7679*x^22 + 56043/2*x^21 + 20494*x^20 - 283867/2*x^19 + 7745*x^18 + 886501/2*x^17 - 455395/2*x^16 - 1747307/2*x^15 + 728871*x^14 + 2152797/2*x^13 - 1191727*x^12 - 1599187/2*x^11 + 2256081/2*x^10 + 668497/2*x^9 - 1257983/2*x^8 - 135369/2*x^7 + 200947*x^6 + 4229*x^5 - 33923*x^4 + 23/2*x^3 + 2377*x^2 + 58*x - 8, x^29 - 7*x^28 - 17*x^27 + 219*x^26 - 55*x^25 - 2908*x^24 + 3664*x^23 + 21282*x^22 - 41088*x^21 - 92677*x^20 + 242766*x^19 + 237100*x^18 - 881298*x^17 - 298768*x^16 + 2060898*x^15 - 47839*x^14 - 3135223*x^13 + 735904*x^12 + 3077183*x^11 - 1062470*x^10 - 1922992*x^9 + 720325*x^8 + 760243*x^7 - 252733*x^6 - 186634*x^5 + 42656*x^4 + 26423*x^3 - 2249*x^2 - 1670*x - 104, -1/2*x^28 + 4*x^27 + 7/2*x^26 - 107*x^25 + 311/2*x^24 + 2225/2*x^23 - 3031*x^22 - 5185*x^21 + 48695/2*x^20 + 4607*x^19 - 212909/2*x^18 + 63026*x^17 + 528141/2*x^16 - 633083/2*x^15 - 678587/2*x^14 + 700019*x^13 + 226467/2*x^12 - 823867*x^11 + 454345/2*x^10 + 1034597/2*x^9 - 565095/2*x^8 - 339667/2*x^7 + 267509/2*x^6 + 27139*x^5 - 30308*x^4 - 1780*x^3 + 6165/2*x^2 + 45*x - 97, -1/2*x^28 + 4*x^27 + 7/2*x^26 - 105*x^25 + 275/2*x^24 + 2251/2*x^23 - 2698*x^22 - 6071*x^21 + 44551/2*x^20 + 14556*x^19 - 208659/2*x^18 + 10709*x^17 + 595783/2*x^16 - 338849/2*x^15 - 1037051/2*x^14 + 484668*x^13 + 1032489/2*x^12 - 697825*x^11 - 472277/2*x^10 + 1091529/2*x^9 - 16589/2*x^8 - 449289/2*x^7 + 92261/2*x^6 + 46208*x^5 - 15736*x^4 - 4037*x^3 + 4335/2*x^2 + 77*x - 119, x^28 - 7*x^27 - 15*x^26 + 205*x^25 - 163/2*x^24 - 5051/2*x^23 + 6967/2*x^22 + 33751/2*x^21 - 70035/2*x^20 - 64991*x^19 + 187440*x^18 + 270555/2*x^17 - 610202*x^16 - 84676*x^15 + 1253237*x^14 - 512215/2*x^13 - 3244131/2*x^12 + 679151*x^11 + 1296425*x^10 - 1429559/2*x^9 - 627314*x^8 + 778283/2*x^7 + 184823*x^6 - 114162*x^5 - 33754*x^4 + 17118*x^3 + 3786*x^2 - 1033*x - 211, x^28 - 7*x^27 - 15*x^26 + 205*x^25 - 163/2*x^24 - 5051/2*x^23 + 6967/2*x^22 + 33751/2*x^21 - 70035/2*x^20 - 64991*x^19 + 187440*x^18 + 270555/2*x^17 - 610202*x^16 - 84676*x^15 + 1253237*x^14 - 512215/2*x^13 - 3244131/2*x^12 + 679151*x^11 + 1296425*x^10 - 1429559/2*x^9 - 627314*x^8 + 778283/2*x^7 + 184823*x^6 - 114162*x^5 - 33754*x^4 + 17118*x^3 + 3786*x^2 - 1033*x - 211, x^27 - 7*x^26 - 13*x^25 + 377/2*x^24 - 169/2*x^23 - 4325/2*x^22 + 5693/2*x^21 + 13744*x^20 - 25878*x^19 - 52506*x^18 + 127610*x^17 + 242377/2*x^16 - 387040*x^15 - 155560*x^14 + 747857*x^13 + 141793/2*x^12 - 1838161/2*x^11 + 135167/2*x^10 + 1406701/2*x^9 - 202233/2*x^8 - 653933/2*x^7 + 89117/2*x^6 + 90072*x^5 - 12603/2*x^4 - 13705*x^3 - 439*x^2 + 1805/2*x + 125, x^27 - 7*x^26 - 13*x^25 + 377/2*x^24 - 169/2*x^23 - 4325/2*x^22 + 5693/2*x^21 + 13744*x^20 - 25878*x^19 - 52506*x^18 + 127610*x^17 + 242377/2*x^16 - 387040*x^15 - 155560*x^14 + 747857*x^13 + 141793/2*x^12 - 1838161/2*x^11 + 135167/2*x^10 + 1406701/2*x^9 - 202233/2*x^8 - 653933/2*x^7 + 89117/2*x^6 + 90072*x^5 - 12603/2*x^4 - 13705*x^3 - 439*x^2 + 1805/2*x + 125, x^27 - 7*x^26 - 27/2*x^25 + 194*x^24 - 96*x^23 - 2244*x^22 + 3224*x^21 + 13942*x^20 - 29448*x^19 - 98633/2*x^18 + 143486*x^17 + 185807/2*x^16 - 420621*x^15 - 105417/2*x^14 + 1530601/2*x^13 - 255299/2*x^12 - 1723355/2*x^11 + 280107*x^10 + 1184655/2*x^9 - 230067*x^8 - 496907/2*x^7 + 188025/2*x^6 + 62808*x^5 - 38473/2*x^4 - 8932*x^3 + 1655*x^2 + 1113/2*x - 21, x^27 - 7*x^26 - 27/2*x^25 + 194*x^24 - 96*x^23 - 2244*x^22 + 3224*x^21 + 13942*x^20 - 29448*x^19 - 98633/2*x^18 + 143486*x^17 + 185807/2*x^16 - 420621*x^15 - 105417/2*x^14 + 1530601/2*x^13 - 255299/2*x^12 - 1723355/2*x^11 + 280107*x^10 + 1184655/2*x^9 - 230067*x^8 - 496907/2*x^7 + 188025/2*x^6 + 62808*x^5 - 38473/2*x^4 - 8932*x^3 + 1655*x^2 + 1113/2*x - 21, x^26 - 17/2*x^25 + 1/2*x^24 + 363/2*x^23 - 358*x^22 - 2973/2*x^21 + 4837*x^20 + 10573/2*x^19 - 60803/2*x^18 - 2154*x^17 + 218371/2*x^16 - 95705/2*x^15 - 239197*x^14 + 357167/2*x^13 + 651795/2*x^12 - 313526*x^11 - 274850*x^10 + 311272*x^9 + 281891/2*x^8 - 358013/2*x^7 - 89413/2*x^6 + 116923/2*x^5 + 19133/2*x^4 - 20109/2*x^3 - 2951/2*x^2 + 1421/2*x + 122, x^26 - 17/2*x^25 + 1/2*x^24 + 363/2*x^23 - 358*x^22 - 2973/2*x^21 + 4837*x^20 + 10573/2*x^19 - 60803/2*x^18 - 2154*x^17 + 218371/2*x^16 - 95705/2*x^15 - 239197*x^14 + 357167/2*x^13 + 651795/2*x^12 - 313526*x^11 - 274850*x^10 + 311272*x^9 + 281891/2*x^8 - 358013/2*x^7 - 89413/2*x^6 + 116923/2*x^5 + 19133/2*x^4 - 20109/2*x^3 - 2951/2*x^2 + 1421/2*x + 122, x^26 - 8*x^25 - 7/2*x^24 + 363/2*x^23 - 279*x^22 - 1645*x^21 + 8605/2*x^20 + 14397/2*x^19 - 58857/2*x^18 - 11935*x^17 + 227953/2*x^16 - 46063/2*x^15 - 266183*x^14 + 296841/2*x^13 + 754175/2*x^12 - 596083/2*x^11 - 636449/2*x^10 + 302391*x^9 + 159402*x^8 - 331153/2*x^7 - 100089/2*x^6 + 49399*x^5 + 20965/2*x^4 - 15005/2*x^3 - 1408*x^2 + 895/2*x + 89, x^26 - 8*x^25 - 7/2*x^24 + 363/2*x^23 - 279*x^22 - 1645*x^21 + 8605/2*x^20 + 14397/2*x^19 - 58857/2*x^18 - 11935*x^17 + 227953/2*x^16 - 46063/2*x^15 - 266183*x^14 + 296841/2*x^13 + 754175/2*x^12 - 596083/2*x^11 - 636449/2*x^10 + 302391*x^9 + 159402*x^8 - 331153/2*x^7 - 100089/2*x^6 + 49399*x^5 + 20965/2*x^4 - 15005/2*x^3 - 1408*x^2 + 895/2*x + 89, 1/2*x^26 - 7/2*x^25 - 11/2*x^24 + 175/2*x^23 - 53*x^22 - 1843/2*x^21 + 2671/2*x^20 + 5294*x^19 - 10776*x^18 - 17858*x^17 + 95063/2*x^16 + 69871/2*x^15 - 127863*x^14 - 69013/2*x^13 + 432439/2*x^12 + 5113*x^11 - 460399/2*x^10 + 41357/2*x^9 + 153688*x^8 - 17790*x^7 - 64119*x^6 + 6201*x^5 + 15772*x^4 - 1843/2*x^3 - 1994*x^2 + 73/2*x + 93, 1/2*x^26 - 7/2*x^25 - 11/2*x^24 + 175/2*x^23 - 53*x^22 - 1843/2*x^21 + 2671/2*x^20 + 5294*x^19 - 10776*x^18 - 17858*x^17 + 95063/2*x^16 + 69871/2*x^15 - 127863*x^14 - 69013/2*x^13 + 432439/2*x^12 + 5113*x^11 - 460399/2*x^10 + 41357/2*x^9 + 153688*x^8 - 17790*x^7 - 64119*x^6 + 6201*x^5 + 15772*x^4 - 1843/2*x^3 - 1994*x^2 + 73/2*x + 93, x^26 - 15/2*x^25 - 9*x^24 + 194*x^23 - 413/2*x^22 - 2012*x^21 + 4234*x^20 + 20761/2*x^19 - 33178*x^18 - 24516*x^17 + 284099/2*x^16 - 2968*x^15 - 720147/2*x^14 + 325929/2*x^13 + 1088337/2*x^12 - 404157*x^11 - 473898*x^10 + 464034*x^9 + 450345/2*x^8 - 277339*x^7 - 57896*x^6 + 177449/2*x^5 + 9050*x^4 - 29083/2*x^3 - 2471/2*x^2 + 1951/2*x + 118, x^26 - 15/2*x^25 - 9*x^24 + 194*x^23 - 413/2*x^22 - 2012*x^21 + 4234*x^20 + 20761/2*x^19 - 33178*x^18 - 24516*x^17 + 284099/2*x^16 - 2968*x^15 - 720147/2*x^14 + 325929/2*x^13 + 1088337/2*x^12 - 404157*x^11 - 473898*x^10 + 464034*x^9 + 450345/2*x^8 - 277339*x^7 - 57896*x^6 + 177449/2*x^5 + 9050*x^4 - 29083/2*x^3 - 2471/2*x^2 + 1951/2*x + 118, -x^26 + 17/2*x^25 - 1/2*x^24 - 183*x^23 + 737/2*x^22 + 1493*x^21 - 5029*x^20 - 10143/2*x^19 + 63527/2*x^18 - 765/2*x^17 - 113890*x^16 + 59489*x^15 + 495257/2*x^14 - 204914*x^13 - 672725/2*x^12 + 343205*x^11 + 590431/2*x^10 - 657701/2*x^9 - 353327/2*x^8 + 190273*x^7 + 145359/2*x^6 - 130205/2*x^5 - 39459/2*x^4 + 11940*x^3 + 6385/2*x^2 - 1783/2*x - 234, -x^26 + 17/2*x^25 - 1/2*x^24 - 183*x^23 + 737/2*x^22 + 1493*x^21 - 5029*x^20 - 10143/2*x^19 + 63527/2*x^18 - 765/2*x^17 - 113890*x^16 + 59489*x^15 + 495257/2*x^14 - 204914*x^13 - 672725/2*x^12 + 343205*x^11 + 590431/2*x^10 - 657701/2*x^9 - 353327/2*x^8 + 190273*x^7 + 145359/2*x^6 - 130205/2*x^5 - 39459/2*x^4 + 11940*x^3 + 6385/2*x^2 - 1783/2*x - 234, -1/2*x^26 + 5*x^25 - 13/2*x^24 - 181/2*x^23 + 615/2*x^22 + 995/2*x^21 - 6857/2*x^20 + 548*x^19 + 37177/2*x^18 - 18042*x^17 - 55151*x^16 + 88354*x^15 + 86515*x^14 - 434091/2*x^13 - 48060*x^12 + 602051/2*x^11 - 51527*x^10 - 467109/2*x^9 + 197547/2*x^8 + 91987*x^7 - 117553/2*x^6 - 15403*x^5 + 31953/2*x^4 + 579/2*x^3 - 2043*x^2 + 111*x + 109, -1/2*x^26 + 5*x^25 - 13/2*x^24 - 181/2*x^23 + 615/2*x^22 + 995/2*x^21 - 6857/2*x^20 + 548*x^19 + 37177/2*x^18 - 18042*x^17 - 55151*x^16 + 88354*x^15 + 86515*x^14 - 434091/2*x^13 - 48060*x^12 + 602051/2*x^11 - 51527*x^10 - 467109/2*x^9 + 197547/2*x^8 + 91987*x^7 - 117553/2*x^6 - 15403*x^5 + 31953/2*x^4 + 579/2*x^3 - 2043*x^2 + 111*x + 109, -1/2*x^26 + 5*x^25 - 6*x^24 - 94*x^23 + 304*x^22 + 1145/2*x^21 - 7017/2*x^20 - 123/2*x^19 + 19800*x^18 - 15733*x^17 - 61903*x^16 + 84362*x^15 + 211743/2*x^14 - 214049*x^13 - 81548*x^12 + 297202*x^11 - 13435/2*x^10 - 227829*x^9 + 97159/2*x^8 + 96333*x^7 - 26679*x^6 - 23200*x^5 + 11739/2*x^4 + 3146*x^3 - 525*x^2 - 191*x + 10, -1/2*x^26 + 5*x^25 - 6*x^24 - 94*x^23 + 304*x^22 + 1145/2*x^21 - 7017/2*x^20 - 123/2*x^19 + 19800*x^18 - 15733*x^17 - 61903*x^16 + 84362*x^15 + 211743/2*x^14 - 214049*x^13 - 81548*x^12 + 297202*x^11 - 13435/2*x^10 - 227829*x^9 + 97159/2*x^8 + 96333*x^7 - 26679*x^6 - 23200*x^5 + 11739/2*x^4 + 3146*x^3 - 525*x^2 - 191*x + 10, -1/2*x^26 + 9/2*x^25 - x^24 - 201/2*x^23 + 427/2*x^22 + 1767/2*x^21 - 3037*x^20 - 3489*x^19 + 20771*x^18 + 4199/2*x^17 - 82317*x^16 + 36495*x^15 + 198109*x^14 - 313441/2*x^13 - 287390*x^12 + 303654*x^11 + 241525*x^10 - 632239/2*x^9 - 226079/2*x^8 + 180589*x^7 + 63039/2*x^6 - 112779/2*x^5 - 14141/2*x^4 + 9151*x^3 + 2823/2*x^2 - 1245/2*x - 135, -1/2*x^26 + 9/2*x^25 - x^24 - 201/2*x^23 + 427/2*x^22 + 1767/2*x^21 - 3037*x^20 - 3489*x^19 + 20771*x^18 + 4199/2*x^17 - 82317*x^16 + 36495*x^15 + 198109*x^14 - 313441/2*x^13 - 287390*x^12 + 303654*x^11 + 241525*x^10 - 632239/2*x^9 - 226079/2*x^8 + 180589*x^7 + 63039/2*x^6 - 112779/2*x^5 - 14141/2*x^4 + 9151*x^3 + 2823/2*x^2 - 1245/2*x - 135, -1/2*x^27 + 7/2*x^26 + 15/2*x^25 - 103*x^24 + 47*x^23 + 1247*x^22 - 1837*x^21 - 15887/2*x^20 + 35479/2*x^19 + 55281/2*x^18 - 89590*x^17 - 44422*x^16 + 267180*x^15 - 14426*x^14 - 963165/2*x^13 + 183930*x^12 + 513383*x^11 - 305371*x^10 - 308398*x^9 + 229579*x^8 + 201439/2*x^7 - 86904*x^6 - 34537/2*x^5 + 32143/2*x^4 + 3071/2*x^3 - 1166*x^2 - 155/2*x + 4, -1/2*x^27 + 7/2*x^26 + 15/2*x^25 - 103*x^24 + 47*x^23 + 1247*x^22 - 1837*x^21 - 15887/2*x^20 + 35479/2*x^19 + 55281/2*x^18 - 89590*x^17 - 44422*x^16 + 267180*x^15 - 14426*x^14 - 963165/2*x^13 + 183930*x^12 + 513383*x^11 - 305371*x^10 - 308398*x^9 + 229579*x^8 + 201439/2*x^7 - 86904*x^6 - 34537/2*x^5 + 32143/2*x^4 + 3071/2*x^3 - 1166*x^2 - 155/2*x + 4, 1/2*x^25 - 7/2*x^24 - 4*x^23 + 151/2*x^22 - 103/2*x^21 - 1409/2*x^20 + 1865/2*x^19 + 3818*x^18 - 12729/2*x^17 - 13546*x^16 + 25578*x^15 + 32628*x^14 - 134997/2*x^13 - 102335/2*x^12 + 118095*x^11 + 91885/2*x^10 - 260483/2*x^9 - 17302*x^8 + 83615*x^7 - 1815/2*x^6 - 59535/2*x^5 + 4487/2*x^4 + 10805/2*x^3 - 905/2*x^2 - 386*x + 17, 1/2*x^25 - 7/2*x^24 - 4*x^23 + 151/2*x^22 - 103/2*x^21 - 1409/2*x^20 + 1865/2*x^19 + 3818*x^18 - 12729/2*x^17 - 13546*x^16 + 25578*x^15 + 32628*x^14 - 134997/2*x^13 - 102335/2*x^12 + 118095*x^11 + 91885/2*x^10 - 260483/2*x^9 - 17302*x^8 + 83615*x^7 - 1815/2*x^6 - 59535/2*x^5 + 4487/2*x^4 + 10805/2*x^3 - 905/2*x^2 - 386*x + 17, 1/2*x^25 - 5/2*x^24 - 27/2*x^23 + 179/2*x^22 + 165/2*x^21 - 1180*x^20 + 985/2*x^19 + 7824*x^18 - 8589*x^17 - 28781*x^16 + 92373/2*x^15 + 59105*x^14 - 258673/2*x^13 - 122509/2*x^12 + 205611*x^11 + 17592*x^10 - 372861/2*x^9 + 17673*x^8 + 94831*x^7 - 13135*x^6 - 27284*x^5 + 5135/2*x^4 + 4223*x^3 + 12*x^2 - 553/2*x - 33, 1/2*x^25 - 5/2*x^24 - 27/2*x^23 + 179/2*x^22 + 165/2*x^21 - 1180*x^20 + 985/2*x^19 + 7824*x^18 - 8589*x^17 - 28781*x^16 + 92373/2*x^15 + 59105*x^14 - 258673/2*x^13 - 122509/2*x^12 + 205611*x^11 + 17592*x^10 - 372861/2*x^9 + 17673*x^8 + 94831*x^7 - 13135*x^6 - 27284*x^5 + 5135/2*x^4 + 4223*x^3 + 12*x^2 - 553/2*x - 33, -1/2*x^26 + 4*x^25 + 5/2*x^24 - 97*x^23 + 285/2*x^22 + 1855/2*x^21 - 4763/2*x^20 - 8445/2*x^19 + 33953/2*x^18 + 14305/2*x^17 - 134181/2*x^16 + 14361*x^15 + 156568*x^14 - 183591/2*x^13 - 215253*x^12 + 364337/2*x^11 + 166335*x^10 - 361449/2*x^9 - 64945*x^8 + 191453/2*x^7 + 7847*x^6 - 26474*x^5 + 4255/2*x^4 + 6947/2*x^3 - 1383/2*x^2 - 162*x + 54, -1/2*x^26 + 4*x^25 + 5/2*x^24 - 97*x^23 + 285/2*x^22 + 1855/2*x^21 - 4763/2*x^20 - 8445/2*x^19 + 33953/2*x^18 + 14305/2*x^17 - 134181/2*x^16 + 14361*x^15 + 156568*x^14 - 183591/2*x^13 - 215253*x^12 + 364337/2*x^11 + 166335*x^10 - 361449/2*x^9 - 64945*x^8 + 191453/2*x^7 + 7847*x^6 - 26474*x^5 + 4255/2*x^4 + 6947/2*x^3 - 1383/2*x^2 - 162*x + 54, -1/2*x^27 + 4*x^26 + 2*x^25 - 93*x^24 + 283/2*x^23 + 1719/2*x^22 - 4491/2*x^21 - 7667/2*x^20 + 31317/2*x^19 + 6665*x^18 - 62009*x^17 + 21803/2*x^16 + 150306*x^15 - 77427*x^14 - 228524*x^13 + 328109/2*x^12 + 220418*x^11 - 180839*x^10 - 139681*x^9 + 227657/2*x^8 + 124453/2*x^7 - 43971*x^6 - 18068*x^5 + 20155/2*x^4 + 5741/2*x^3 - 1181*x^2 - 185*x + 50, -1/2*x^27 + 4*x^26 + 2*x^25 - 93*x^24 + 283/2*x^23 + 1719/2*x^22 - 4491/2*x^21 - 7667/2*x^20 + 31317/2*x^19 + 6665*x^18 - 62009*x^17 + 21803/2*x^16 + 150306*x^15 - 77427*x^14 - 228524*x^13 + 328109/2*x^12 + 220418*x^11 - 180839*x^10 - 139681*x^9 + 227657/2*x^8 + 124453/2*x^7 - 43971*x^6 - 18068*x^5 + 20155/2*x^4 + 5741/2*x^3 - 1181*x^2 - 185*x + 50, -1/2*x^27 + 7/2*x^26 + 6*x^25 - 181/2*x^24 + 91/2*x^23 + 1983/2*x^22 - 1297*x^21 - 6075*x^20 + 21637/2*x^19 + 23354*x^18 - 49727*x^17 - 60598*x^16 + 145175*x^15 + 111710*x^14 - 286422*x^13 - 146747*x^12 + 776647/2*x^11 + 253677/2*x^10 - 696509/2*x^9 - 64501*x^8 + 378919/2*x^7 + 23575*x^6 - 60123*x^5 - 7704*x^4 + 20753/2*x^3 + 1765*x^2 - 1519/2*x - 172, -1/2*x^27 + 7/2*x^26 + 6*x^25 - 181/2*x^24 + 91/2*x^23 + 1983/2*x^22 - 1297*x^21 - 6075*x^20 + 21637/2*x^19 + 23354*x^18 - 49727*x^17 - 60598*x^16 + 145175*x^15 + 111710*x^14 - 286422*x^13 - 146747*x^12 + 776647/2*x^11 + 253677/2*x^10 - 696509/2*x^9 - 64501*x^8 + 378919/2*x^7 + 23575*x^6 - 60123*x^5 - 7704*x^4 + 20753/2*x^3 + 1765*x^2 - 1519/2*x - 172, -1/2*x^25 + 4*x^24 + x^23 - 171/2*x^22 + 289/2*x^21 + 712*x^20 - 4073/2*x^19 - 2683*x^18 + 12944*x^17 + 4469/2*x^16 - 46470*x^15 + 18860*x^14 + 198991/2*x^13 - 156891/2*x^12 - 249275/2*x^11 + 140893*x^10 + 163769/2*x^9 - 266679/2*x^8 - 37657/2*x^7 + 65628*x^6 - 3160*x^5 - 16882*x^4 + 3803/2*x^3 + 2188*x^2 - 201*x - 119, -1/2*x^25 + 4*x^24 + x^23 - 171/2*x^22 + 289/2*x^21 + 712*x^20 - 4073/2*x^19 - 2683*x^18 + 12944*x^17 + 4469/2*x^16 - 46470*x^15 + 18860*x^14 + 198991/2*x^13 - 156891/2*x^12 - 249275/2*x^11 + 140893*x^10 + 163769/2*x^9 - 266679/2*x^8 - 37657/2*x^7 + 65628*x^6 - 3160*x^5 - 16882*x^4 + 3803/2*x^3 + 2188*x^2 - 201*x - 119, -1/2*x^27 + 4*x^26 + 5/2*x^25 - 95*x^24 + 125*x^23 + 941*x^22 - 4173/2*x^21 - 5001*x^20 + 30677/2*x^19 + 30085/2*x^18 - 65941*x^17 - 23066*x^16 + 361675/2*x^15 + 6583/2*x^14 - 326139*x^13 + 107147/2*x^12 + 773273/2*x^11 - 199195/2*x^10 - 294383*x^9 + 84381*x^8 + 278117/2*x^7 - 72649/2*x^6 - 39325*x^5 + 7605*x^4 + 6110*x^3 - 1203/2*x^2 - 801/2*x - 3, -1/2*x^27 + 4*x^26 + 5/2*x^25 - 95*x^24 + 125*x^23 + 941*x^22 - 4173/2*x^21 - 5001*x^20 + 30677/2*x^19 + 30085/2*x^18 - 65941*x^17 - 23066*x^16 + 361675/2*x^15 + 6583/2*x^14 - 326139*x^13 + 107147/2*x^12 + 773273/2*x^11 - 199195/2*x^10 - 294383*x^9 + 84381*x^8 + 278117/2*x^7 - 72649/2*x^6 - 39325*x^5 + 7605*x^4 + 6110*x^3 - 1203/2*x^2 - 801/2*x - 3, -1/2*x^25 + 9/2*x^24 - 5/2*x^23 - 179/2*x^22 + 223*x^21 + 637*x^20 - 2737*x^19 - 1347*x^18 + 15973*x^17 - 13097/2*x^16 - 103869/2*x^15 + 97685/2*x^14 + 192341/2*x^13 - 133459*x^12 - 190625/2*x^11 + 189993*x^10 + 81143/2*x^9 - 147450*x^8 - 161*x^7 + 63169*x^6 - 8409/2*x^5 - 29883/2*x^4 + 1735/2*x^3 + 3637/2*x^2 - 37*x - 86, -1/2*x^25 + 9/2*x^24 - 5/2*x^23 - 179/2*x^22 + 223*x^21 + 637*x^20 - 2737*x^19 - 1347*x^18 + 15973*x^17 - 13097/2*x^16 - 103869/2*x^15 + 97685/2*x^14 + 192341/2*x^13 - 133459*x^12 - 190625/2*x^11 + 189993*x^10 + 81143/2*x^9 - 147450*x^8 - 161*x^7 + 63169*x^6 - 8409/2*x^5 - 29883/2*x^4 + 1735/2*x^3 + 3637/2*x^2 - 37*x - 86, -1/2*x^27 + 7/2*x^26 + 13/2*x^25 - 189/2*x^24 + 91/2*x^23 + 1073*x^22 - 2949/2*x^21 - 13223/2*x^20 + 13080*x^19 + 23704*x^18 - 61793*x^17 - 97401/2*x^16 + 174954*x^15 + 100715/2*x^14 - 306474*x^13 - 12179*x^12 + 667911/2*x^11 - 15487*x^10 - 229000*x^9 + 3514*x^8 + 102265*x^7 + 6790*x^6 - 58371/2*x^5 - 3899*x^4 + 4691*x^3 + 1547/2*x^2 - 306*x - 56, -1/2*x^27 + 7/2*x^26 + 13/2*x^25 - 189/2*x^24 + 91/2*x^23 + 1073*x^22 - 2949/2*x^21 - 13223/2*x^20 + 13080*x^19 + 23704*x^18 - 61793*x^17 - 97401/2*x^16 + 174954*x^15 + 100715/2*x^14 - 306474*x^13 - 12179*x^12 + 667911/2*x^11 - 15487*x^10 - 229000*x^9 + 3514*x^8 + 102265*x^7 + 6790*x^6 - 58371/2*x^5 - 3899*x^4 + 4691*x^3 + 1547/2*x^2 - 306*x - 56, -1/2*x^25 + 4*x^24 + 3/2*x^23 - 88*x^22 + 269/2*x^21 + 777*x^20 - 3937/2*x^19 - 6825/2*x^18 + 12901*x^17 + 13655/2*x^16 - 48494*x^15 + 2519/2*x^14 + 225351/2*x^13 - 36870*x^12 - 329563/2*x^11 + 82366*x^10 + 148450*x^9 - 87746*x^8 - 155897/2*x^7 + 94973/2*x^6 + 46653/2*x^5 - 12937*x^4 - 3754*x^3 + 1596*x^2 + 257*x - 60, -1/2*x^25 + 4*x^24 + 3/2*x^23 - 88*x^22 + 269/2*x^21 + 777*x^20 - 3937/2*x^19 - 6825/2*x^18 + 12901*x^17 + 13655/2*x^16 - 48494*x^15 + 2519/2*x^14 + 225351/2*x^13 - 36870*x^12 - 329563/2*x^11 + 82366*x^10 + 148450*x^9 - 87746*x^8 - 155897/2*x^7 + 94973/2*x^6 + 46653/2*x^5 - 12937*x^4 - 3754*x^3 + 1596*x^2 + 257*x - 60, -1/2*x^28 + 4*x^27 + 7/2*x^26 - 211/2*x^25 + 141*x^24 + 1128*x^23 - 2761*x^22 - 12041/2*x^21 + 45457/2*x^20 + 14113*x^19 - 106268*x^18 + 10993*x^17 + 611943/2*x^16 - 322183/2*x^15 - 1109881/2*x^14 + 902031/2*x^13 + 1267049/2*x^12 - 1306193/2*x^11 - 455038*x^10 + 1097267/2*x^9 + 423581/2*x^8 - 276064*x^7 - 67495*x^6 + 81676*x^5 + 31321/2*x^4 - 26137/2*x^3 - 2491*x^2 + 1745/2*x + 191, -1/2*x^28 + 4*x^27 + 7/2*x^26 - 211/2*x^25 + 141*x^24 + 1128*x^23 - 2761*x^22 - 12041/2*x^21 + 45457/2*x^20 + 14113*x^19 - 106268*x^18 + 10993*x^17 + 611943/2*x^16 - 322183/2*x^15 - 1109881/2*x^14 + 902031/2*x^13 + 1267049/2*x^12 - 1306193/2*x^11 - 455038*x^10 + 1097267/2*x^9 + 423581/2*x^8 - 276064*x^7 - 67495*x^6 + 81676*x^5 + 31321/2*x^4 - 26137/2*x^3 - 2491*x^2 + 1745/2*x + 191, -1/2*x^26 + 4*x^25 + x^24 - 171/2*x^23 + 147*x^22 + 694*x^21 - 2041*x^20 - 4753/2*x^19 + 24991/2*x^18 + 291*x^17 - 83551/2*x^16 + 48351/2*x^15 + 78788*x^14 - 82047*x^13 - 76744*x^12 + 258105/2*x^11 + 40283/2*x^10 - 211909/2*x^9 + 54199/2*x^8 + 41820*x^7 - 46505/2*x^6 - 6496*x^5 + 13879/2*x^4 - 105/2*x^3 - 1773/2*x^2 + 69*x + 43, -1/2*x^26 + 4*x^25 + x^24 - 171/2*x^23 + 147*x^22 + 694*x^21 - 2041*x^20 - 4753/2*x^19 + 24991/2*x^18 + 291*x^17 - 83551/2*x^16 + 48351/2*x^15 + 78788*x^14 - 82047*x^13 - 76744*x^12 + 258105/2*x^11 + 40283/2*x^10 - 211909/2*x^9 + 54199/2*x^8 + 41820*x^7 - 46505/2*x^6 - 6496*x^5 + 13879/2*x^4 - 105/2*x^3 - 1773/2*x^2 + 69*x + 43, -1/2*x^28 + 7/2*x^27 + 15/2*x^26 - 103*x^25 + 87/2*x^24 + 2543/2*x^23 - 1808*x^22 - 16991/2*x^21 + 18229*x^20 + 32648*x^19 - 98467*x^18 - 67368*x^17 + 652311/2*x^16 + 37860*x^15 - 1381237/2*x^14 + 299925/2*x^13 + 939939*x^12 - 398535*x^11 - 809805*x^10 + 445074*x^9 + 431068*x^8 - 524849/2*x^7 - 281299/2*x^6 + 167745/2*x^5 + 55957/2*x^4 - 27297/2*x^3 - 6521/2*x^2 + 1763/2*x + 180, -1/2*x^28 + 7/2*x^27 + 15/2*x^26 - 103*x^25 + 87/2*x^24 + 2543/2*x^23 - 1808*x^22 - 16991/2*x^21 + 18229*x^20 + 32648*x^19 - 98467*x^18 - 67368*x^17 + 652311/2*x^16 + 37860*x^15 - 1381237/2*x^14 + 299925/2*x^13 + 939939*x^12 - 398535*x^11 - 809805*x^10 + 445074*x^9 + 431068*x^8 - 524849/2*x^7 - 281299/2*x^6 + 167745/2*x^5 + 55957/2*x^4 - 27297/2*x^3 - 6521/2*x^2 + 1763/2*x + 180, -1/2*x^25 + 7/2*x^24 + 4*x^23 - 155/2*x^22 + 70*x^21 + 680*x^20 - 2389/2*x^19 - 5923/2*x^18 + 14665/2*x^17 + 12893/2*x^16 - 23024*x^15 - 11759/2*x^14 + 78209/2*x^13 + 1868*x^12 - 35495*x^11 - 14963/2*x^10 + 36661/2*x^9 + 31475/2*x^8 - 15061/2*x^7 - 20023/2*x^6 + 1681*x^5 + 2807*x^4 - 3*x^3 - 346*x^2 - 29*x + 10, -1/2*x^25 + 7/2*x^24 + 4*x^23 - 155/2*x^22 + 70*x^21 + 680*x^20 - 2389/2*x^19 - 5923/2*x^18 + 14665/2*x^17 + 12893/2*x^16 - 23024*x^15 - 11759/2*x^14 + 78209/2*x^13 + 1868*x^12 - 35495*x^11 - 14963/2*x^10 + 36661/2*x^9 + 31475/2*x^8 - 15061/2*x^7 - 20023/2*x^6 + 1681*x^5 + 2807*x^4 - 3*x^3 - 346*x^2 - 29*x + 10, -x^24 + 7*x^23 + 17/2*x^22 - 317/2*x^21 + 269/2*x^20 + 2903/2*x^19 - 2480*x^18 - 13577/2*x^17 + 16517*x^16 + 16415*x^15 - 117087/2*x^14 - 31161/2*x^13 + 239389/2*x^12 - 23793/2*x^11 - 142704*x^10 + 79615/2*x^9 + 197419/2*x^8 - 33003*x^7 - 81389/2*x^6 + 12463*x^5 + 19879/2*x^4 - 2195*x^3 - 2661/2*x^2 + 142*x + 76, -x^24 + 7*x^23 + 17/2*x^22 - 317/2*x^21 + 269/2*x^20 + 2903/2*x^19 - 2480*x^18 - 13577/2*x^17 + 16517*x^16 + 16415*x^15 - 117087/2*x^14 - 31161/2*x^13 + 239389/2*x^12 - 23793/2*x^11 - 142704*x^10 + 79615/2*x^9 + 197419/2*x^8 - 33003*x^7 - 81389/2*x^6 + 12463*x^5 + 19879/2*x^4 - 2195*x^3 - 2661/2*x^2 + 142*x + 76]>
       ]
>;

MOG[719] := 	// J_0(719)
   rec<SupersingularModule | 
       MonodromyWeights   := [2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [290, 615, 436, 416, 371*x + 549, 348*x + 549, 82, 75, 99, 548*x + 109, 171*x + 109, 378*x + 138, 341*x + 138, 0, 246, 383, 379*x + 637, x + 675, 718*x + 675, 340*x + 637, 559*x + 435, 27*x + 545, 692*x + 545, 160*x + 435, 516, 396, 441, 680, 632, 312*x + 401, 592*x + 221, 127*x + 221, 407*x + 401, 363, 69, 220, 552, 599, 427, 10, 85, 597*x + 29, 545*x + 651, 429, 174*x + 651, 122*x + 29, 91, 216, 342, 280, 626, 351*x + 405, 518*x + 463, 136*x + 31, 583*x + 31, 368*x + 405, 201*x + 463, 183, 64, 269*x + 607, 450*x + 607]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^5 + 2*x^4 - 4*x^3 - 9*x^2 - 2*x + 1,
           Coordinates        := [0, 0, 0, 0, -x^4 - x^3 + 4*x^2 + 6*x + 2, x^4 + x^3 - 4*x^2 - 6*x - 2, 0, 0, 0, x^4 - 3*x^2 + 1, -x^4 + 3*x^2 - 1, x^4 - 4*x^2 - 2*x, -x^4 + 4*x^2 + 2*x, 0, 0, 0, x^3 - 4*x - 2, -x^4 + x^3 + 5*x^2 + x - 1, x^4 - x^3 - 5*x^2 - x + 1, -x^3 + 4*x + 2, -x^4 + 3*x^2 - 1, -x^4 + 4*x^2 + 2*x, x^4 - 4*x^2 - 2*x, x^4 - 3*x^2 + 1, 0, 0, 0, 0, 0, -x^2 - 2*x - 1, x^4 + x^3 - 2*x^2 - 3*x - 1, -x^4 - x^3 + 2*x^2 + 3*x + 1, x^2 + 2*x + 1, 0, 0, 0, 0, 0, 0, 0, 0, -x^4 - 2*x^3 + 2*x^2 + 5*x + 2, x^3 + x^2, 0, -x^3 - x^2, x^4 + 2*x^3 - 2*x^2 - 5*x - 2, 0, 0, 0, 0, 0, -x^3 - 2*x^2 - x, -x^3 - x^2 + 3*x + 2, 2*x^2 + 3*x + 1, -2*x^2 - 3*x - 1, x^3 + 2*x^2 + x, x^3 + x^2 - 3*x - 2, 0, 0, -x^2 - 2*x - 1, x^2 + 2*x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^10 - 11*x^8 + 2*x^7 + 39*x^6 - 12*x^5 - 52*x^4 + 16*x^3 + 24*x^2 - 5*x - 1,
           Coordinates        := [0, 0, 0, 0, -x^9 + 9*x^7 - 2*x^6 - 23*x^5 + 9*x^4 + 16*x^3 - 7*x^2, x^9 - 9*x^7 + 2*x^6 + 23*x^5 - 9*x^4 - 16*x^3 + 7*x^2, 0, 0, 0, -2*x^8 + 16*x^6 - 3*x^5 - 36*x^4 + 9*x^3 + 24*x^2 - 5*x - 1, 2*x^8 - 16*x^6 + 3*x^5 + 36*x^4 - 9*x^3 - 24*x^2 + 5*x + 1, -x^9 + 9*x^7 - 23*x^5 + x^4 + 18*x^3 - x^2 - x, x^9 - 9*x^7 + 23*x^5 - x^4 - 18*x^3 + x^2 + x, 0, 0, 0, -x^9 + 8*x^7 - x^6 - 18*x^5 + 3*x^4 + 12*x^3 - x^2 - x, -x^7 + 5*x^5 - 3*x^4 - 4*x^3 + 3*x^2, x^7 - 5*x^5 + 3*x^4 + 4*x^3 - 3*x^2, x^9 - 8*x^7 + x^6 + 18*x^5 - 3*x^4 - 12*x^3 + x^2 + x, -x^8 + 10*x^6 - 28*x^4 + 4*x^3 + 22*x^2 - 4*x - 1, -x^8 + 2*x^7 + 6*x^6 - 11*x^5 - 6*x^4 + 11*x^3 + x^2 - x, x^8 - 2*x^7 - 6*x^6 + 11*x^5 + 6*x^4 - 11*x^3 - x^2 + x, x^8 - 10*x^6 + 28*x^4 - 4*x^3 - 22*x^2 + 4*x + 1, 0, 0, 0, 0, 0, -x^8 + x^7 + 5*x^6 - 6*x^5 - 4*x^4 + 6*x^3 - x^2, -x^6 + 4*x^4 - 2*x^3 - 2*x^2 + x, x^6 - 4*x^4 + 2*x^3 + 2*x^2 - x, x^8 - x^7 - 5*x^6 + 6*x^5 + 4*x^4 - 6*x^3 + x^2, 0, 0, 0, 0, 0, 0, 0, 0, -x^7 + x^6 + 3*x^5 - 3*x^4 - 2*x^3 + 2*x^2, -x^5 + x^4 + 2*x^3 - 2*x^2, 0, x^5 - x^4 - 2*x^3 + 2*x^2, x^7 - x^6 - 3*x^5 + 3*x^4 + 2*x^3 - 2*x^2, 0, 0, 0, 0, 0, -x^6 + x^5 + x^4 - x^2, -x^6 + 2*x^5 + x^4 - 4*x^3 + 2*x^2, x^5 - 2*x^4 + 2*x^2 - x, -x^5 + 2*x^4 - 2*x^2 + x, x^6 - x^5 - x^4 + x^2, x^6 - 2*x^5 - x^4 + 4*x^3 - 2*x^2, 0, 0, -x^5 + x^4 + x^3 - x, x^5 - x^4 - x^3 + x]>,
         rec<Eigen |
           DefiningPolynomial := x^45 - 3*x^44 - 70*x^43 + 213*x^42 + 2262*x^41 - 6994*x^40 - 44776*x^39 + 140990*x^38 + 607530*x^37 - 1953464*x^36 - 5989843*x^35 + 19735509*x^34 + 44382526*x^33 - 150521331*x^32 - 252059406*x^31 + 885296507*x^30 + 1108475311*x^29 - 4066687909*x^28 - 3784040635*x^27 + 14686407291*x^26 + 9972010809*x^25 - 41767234589*x^24 - 19954341271*x^23 + 93279955127*x^22 + 29222374321*x^21 - 162400294997*x^20 - 28579414135*x^19 + 217665166123*x^18 + 12796473225*x^17 - 220335859889*x^16 + 9622623405*x^15 + 163733642614*x^14 - 22197668520*x^13 - 85577194157*x^12 + 18847248470*x^11 + 29400828921*x^10 - 8841307319*x^9 - 5911792829*x^8 + 2257729191*x^7 + 557359333*x^6 - 270033279*x^5 - 16887454*x^4 + 13070896*x^3 - 144421*x^2 - 147502*x - 5479,
           Coordinates        := [-x^44 + 3*x^43 + 68*x^42 - 207*x^41 - 2130*x^40 + 6592*x^39 + 40772*x^38 - 128582*x^37 - 533514*x^36 + 1719376*x^35 + 5057745*x^34 - 16715397*x^33 - 35915956*x^32 + 122274059*x^31 + 194787606*x^30 - 687179357*x^29 - 814947001*x^28 + 3003511651*x^27 + 2636724065*x^26 - 10271323701*x^25 - 6563895621*x^24 + 27510663451*x^23 + 12387305197*x^22 - 57506585163*x^21 - 17170705487*x^20 + 93052869311*x^19 + 16271179343*x^18 - 115005593801*x^17 - 8334107843*x^16 + 106426184733*x^15 - 1429055940*x^14 - 71661916924*x^13 + 6177483557*x^12 + 33690262688*x^11 - 4978361015*x^10 - 10404187901*x^9 + 2061192071*x^8 + 1923024835*x^7 - 450128945*x^6 - 184459205*x^5 + 45542276*x^4 + 7594004*x^3 - 1695177*x^2 - 72524*x + 2213, x^44 - 5*x^43 - 62*x^42 + 339*x^41 + 1728*x^40 - 10596*x^39 - 28364*x^38 + 202598*x^37 + 299426*x^36 - 2651474*x^35 - 2037633*x^34 + 25181967*x^33 + 7668684*x^32 - 179545859*x^31 + 3329544*x^30 + 980707667*x^29 - 248229257*x^28 - 4150828221*x^27 + 1778359525*x^26 + 13679438889*x^25 - 7692675517*x^24 - 35077699525*x^23 + 23386064767*x^22 + 69558253997*x^21 - 52176720199*x^20 - 105361104103*x^19 + 86388392979*x^18 + 119467959183*x^17 - 105575567313*x^16 - 98232617268*x^15 + 93500781630*x^14 + 55641731961*x^13 - 58064415026*x^12 - 19821375233*x^11 + 23975002035*x^10 + 3624072653*x^9 - 6049960065*x^8 - 115424589*x^7 + 823029073*x^6 - 40031798*x^5 - 54835726*x^4 + 3781715*x^3 + 1478232*x^2 - 72765*x - 7692, x^43 - 5*x^42 - 60*x^41 + 329*x^40 + 1614*x^39 - 9968*x^38 - 25470*x^37 + 184508*x^36 + 256734*x^35 - 2334470*x^34 - 1641785*x^33 + 21402787*x^32 + 5426560*x^31 - 147072375*x^30 + 8740710*x^29 + 772822029*x^28 - 221502371*x^27 - 3140139813*x^26 + 1433636621*x^25 + 9910108193*x^24 - 5814809393*x^23 - 24261266343*x^22 + 16716060287*x^21 + 45751857099*x^20 - 35328945999*x^19 - 65558648123*x^18 + 55349096039*x^17 + 69786494467*x^16 - 63807687451*x^15 - 53211885198*x^14 + 53017354478*x^13 + 27312344715*x^12 - 30600515066*x^11 - 8335686455*x^10 + 11535994601*x^9 + 1030926833*x^8 - 2556679553*x^7 + 95605563*x^6 + 277962565*x^5 - 25849210*x^4 - 12851638*x^3 + 1165587*x^2 + 163270*x + 4401, x^43 - 5*x^42 - 60*x^41 + 329*x^40 + 1614*x^39 - 9968*x^38 - 25470*x^37 + 184510*x^36 + 256724*x^35 - 2334562*x^34 - 1641263*x^33 + 21404597*x^32 + 5414272*x^31 - 147091677*x^30 + 8913436*x^29 + 772931661*x^28 - 223120771*x^27 - 3140276719*x^26 + 1444324455*x^25 + 9907218113*x^24 - 5866111471*x^23 - 24235045181*x^22 + 16898015519*x^21 + 45628744769*x^20 - 35808985509*x^19 - 65180917503*x^18 + 56290051025*x^17 + 68984963840*x^16 - 65166523790*x^15 - 52021913575*x^14 + 54439732864*x^13 + 26088507095*x^12 - 31652256745*x^11 - 7484347783*x^10 + 12063728455*x^9 + 643057265*x^8 - 2724070235*x^7 + 207261196*x^6 + 306153398*x^5 - 44566173*x^4 - 13929034*x^3 + 2296423*x^2 + 121588*x - 3348, x^42 - 5*x^41 - 57*x^40 + 314*x^39 + 1447*x^38 - 9045*x^37 - 21346*x^36 + 158502*x^35 + 197924*x^34 - 1889590*x^33 - 1121062*x^32 + 16236742*x^31 + 2705583*x^30 - 103942819*x^29 + 13363443*x^28 + 505344204*x^27 - 172361452*x^26 - 1884665348*x^25 + 938933062*x^24 + 5408216591*x^23 - 3335002240*x^22 - 11903198449*x^21 + 8423887100*x^20 + 19901227990*x^19 - 15519648470*x^18 - 24840732358*x^17 + 20883939931*x^16 + 22510366035*x^15 - 20241713576*x^14 - 14164693623*x^13 + 13731949980*x^12 + 5742844389*x^11 - 6219503717*x^10 - 1296572910*x^9 + 1746640256*x^8 + 105515076*x^7 - 272533254*x^6 + 7091294*x^5 + 20992044*x^4 - 1308064*x^3 - 657481*x^2 + 38583*x + 3846, x^42 - 5*x^41 - 57*x^40 + 314*x^39 + 1447*x^38 - 9045*x^37 - 21346*x^36 + 158502*x^35 + 197924*x^34 - 1889590*x^33 - 1121062*x^32 + 16236742*x^31 + 2705583*x^30 - 103942819*x^29 + 13363443*x^28 + 505344204*x^27 - 172361452*x^26 - 1884665348*x^25 + 938933062*x^24 + 5408216591*x^23 - 3335002240*x^22 - 11903198449*x^21 + 8423887100*x^20 + 19901227990*x^19 - 15519648470*x^18 - 24840732358*x^17 + 20883939931*x^16 + 22510366035*x^15 - 20241713576*x^14 - 14164693623*x^13 + 13731949980*x^12 + 5742844389*x^11 - 6219503717*x^10 - 1296572910*x^9 + 1746640256*x^8 + 105515076*x^7 - 272533254*x^6 + 7091294*x^5 + 20992044*x^4 - 1308064*x^3 - 657481*x^2 + 38583*x + 3846, x^42 - 5*x^41 - 58*x^40 + 319*x^39 + 1502*x^38 - 9346*x^37 - 22698*x^36 + 166796*x^35 + 217404*x^34 - 2028286*x^33 - 1301321*x^32 + 17810215*x^31 + 3792320*x^30 - 116766949*x^29 + 9466498*x^28 + 582909201*x^27 - 168785605*x^26 - 2239292047*x^25 + 984773483*x^24 + 6644996693*x^23 - 3642051007*x^22 - 15199675205*x^21 + 9501474717*x^20 + 26585574441*x^19 - 18032505255*x^18 - 35036460535*x^17 + 24997688399*x^16 + 33985973806*x^15 - 25019168798*x^14 - 23416526405*x^13 + 17624236470*x^12 + 10851438959*x^11 - 8379148089*x^10 - 3100667013*x^9 + 2519556173*x^8 + 471156085*x^7 - 435091197*x^6 - 28223950*x^5 + 38363434*x^4 - 326819*x^3 - 1389536*x^2 + 63269*x + 7692, x^42 - 5*x^41 - 56*x^40 + 309*x^39 + 1392*x^38 - 8742*x^37 - 20004*x^36 + 150116*x^35 + 178966*x^34 - 1749084*x^33 - 953091*x^32 + 14643967*x^31 + 1791572*x^30 - 91009057*x^29 + 15641988*x^28 + 427642301*x^27 - 165249465*x^26 - 1532928729*x^25 + 841790563*x^24 + 4197657651*x^23 - 2845998241*x^22 - 8729834023*x^21 + 6866259973*x^20 + 13594612159*x^19 - 12065836699*x^18 - 15446534808*x^17 + 15411355124*x^16 + 12224729887*x^15 - 14041879968*x^14 - 6136698461*x^13 + 8787921811*x^12 + 1485588491*x^11 - 3532125491*x^10 + 119651625*x^9 + 806333657*x^8 - 148470300*x^7 - 81784478*x^6 + 23689575*x^5 + 2543258*x^4 - 1158473*x^3 + 32892*x^2 + 6148*x, 2*x^41 - 10*x^40 - 112*x^39 + 618*x^38 + 2786*x^37 - 17490*x^36 - 40124*x^35 + 300582*x^34 + 360991*x^33 - 3507439*x^32 - 1954812*x^31 + 29435709*x^30 + 4104146*x^29 - 183601570*x^28 + 27300540*x^27 + 867353720*x^26 - 308050780*x^25 - 3133384007*x^24 + 1588659460*x^23 + 8677448799*x^22 - 5388477319*x^21 - 18346542665*x^20 + 12999249248*x^19 + 29286268039*x^18 - 22806538399*x^17 - 34595537351*x^16 + 29069905375*x^15 + 29256917344*x^14 - 26453208672*x^13 - 16750402933*x^12 + 16586254038*x^11 + 5846665103*x^10 - 6734404700*x^9 - 959213092*x^8 + 1588025864*x^7 - 2479424*x^6 - 179679590*x^5 + 10775574*x^4 + 8645988*x^3 - 476836*x^2 - 123116*x - 5400, x^41 - 5*x^40 - 55*x^39 + 305*x^38 + 1338*x^37 - 8516*x^36 - 18686*x^35 + 144298*x^34 + 159732*x^33 - 1658606*x^32 - 766165*x^31 + 13693847*x^30 + 518587*x^29 - 83876255*x^28 + 21840379*x^27 + 388120745*x^26 - 186652779*x^25 - 1368507595*x^24 + 891147693*x^23 + 3680619095*x^22 - 2903695868*x^21 - 7504086444*x^20 + 6810048281*x^19 + 11431647726*x^18 - 11658617709*x^17 - 12680591081*x^16 + 14496068500*x^15 + 9790274231*x^14 - 12832195826*x^13 - 4819097393*x^12 + 7794757311*x^11 + 1192448442*x^10 - 3054949645*x^9 + 33801335*x^8 + 696120435*x^7 - 86034845*x^6 - 77290931*x^5 + 13765572*x^4 + 3548169*x^3 - 650168*x^2 - 36308*x + 999, x^41 - 5*x^40 - 55*x^39 + 305*x^38 + 1338*x^37 - 8516*x^36 - 18686*x^35 + 144298*x^34 + 159732*x^33 - 1658606*x^32 - 766165*x^31 + 13693847*x^30 + 518587*x^29 - 83876255*x^28 + 21840379*x^27 + 388120745*x^26 - 186652779*x^25 - 1368507595*x^24 + 891147693*x^23 + 3680619095*x^22 - 2903695868*x^21 - 7504086444*x^20 + 6810048281*x^19 + 11431647726*x^18 - 11658617709*x^17 - 12680591081*x^16 + 14496068500*x^15 + 9790274231*x^14 - 12832195826*x^13 - 4819097393*x^12 + 7794757311*x^11 + 1192448442*x^10 - 3054949645*x^9 + 33801335*x^8 + 696120435*x^7 - 86034845*x^6 - 77290931*x^5 + 13765572*x^4 + 3548169*x^3 - 650168*x^2 - 36308*x + 999, x^41 - 5*x^40 - 56*x^39 + 311*x^38 + 1386*x^37 - 8857*x^36 - 19660*x^35 + 153138*x^34 + 169971*x^33 - 1797191*x^32 - 810976*x^31 + 15162364*x^30 + 276531*x^29 - 95011230*x^28 + 27167583*x^27 + 450492336*x^26 - 229775486*x^25 - 1631110710*x^24 + 1112030232*x^23 + 4517684988*x^22 - 3698270401*x^21 - 9521585164*x^20 + 8888240127*x^19 + 15072228484*x^18 - 15646181313*x^17 - 17499495017*x^16 + 20073677496*x^15 + 14302693585*x^14 - 18407748197*x^13 - 7618534068*x^12 + 11636554328*x^11 + 2191840385*x^10 - 4772086141*x^9 - 85950590*x^8 + 1144489519*x^7 - 117742573*x^6 - 133894982*x^5 + 22119677*x^4 + 6269749*x^3 - 1116577*x^2 - 56948*x + 1674, x^41 - 5*x^40 - 56*x^39 + 311*x^38 + 1386*x^37 - 8857*x^36 - 19660*x^35 + 153138*x^34 + 169971*x^33 - 1797191*x^32 - 810976*x^31 + 15162364*x^30 + 276531*x^29 - 95011230*x^28 + 27167583*x^27 + 450492336*x^26 - 229775486*x^25 - 1631110710*x^24 + 1112030232*x^23 + 4517684988*x^22 - 3698270401*x^21 - 9521585164*x^20 + 8888240127*x^19 + 15072228484*x^18 - 15646181313*x^17 - 17499495017*x^16 + 20073677496*x^15 + 14302693585*x^14 - 18407748197*x^13 - 7618534068*x^12 + 11636554328*x^11 + 2191840385*x^10 - 4772086141*x^9 - 85950590*x^8 + 1144489519*x^7 - 117742573*x^6 - 133894982*x^5 + 22119677*x^4 + 6269749*x^3 - 1116577*x^2 - 56948*x + 1674, x^41 - 5*x^40 - 56*x^39 + 309*x^38 + 1392*x^37 - 8742*x^36 - 20004*x^35 + 150116*x^34 + 178966*x^33 - 1749084*x^32 - 953091*x^31 + 14643967*x^30 + 1791572*x^29 - 91009057*x^28 + 15641988*x^27 + 427642301*x^26 - 165249465*x^25 - 1532928729*x^24 + 841790563*x^23 + 4197657651*x^22 - 2845998241*x^21 - 8729834023*x^20 + 6866259973*x^19 + 13594612159*x^18 - 12065836699*x^17 - 15446534808*x^16 + 15411355124*x^15 + 12224729887*x^14 - 14041879968*x^13 - 6136698461*x^12 + 8787921811*x^11 + 1485588491*x^10 - 3532125491*x^9 + 119651625*x^8 + 806333657*x^7 - 148470300*x^6 - 81784478*x^5 + 23689575*x^4 + 2543258*x^3 - 1158473*x^2 + 32892*x + 6148, x^41 - 5*x^40 - 54*x^39 + 299*x^38 + 1290*x^37 - 8168*x^36 - 17746*x^35 + 135130*x^34 + 151274*x^33 - 1513378*x^32 - 763427*x^31 + 12150719*x^30 + 1353836*x^29 - 72262189*x^28 + 10945342*x^27 + 324421087*x^26 - 106785497*x^25 - 1110774275*x^24 + 494741541*x^23 + 2912238205*x^22 - 1493760823*x^21 - 5844630541*x^20 + 3144368891*x^19 + 8950546218*x^18 - 4681185804*x^17 - 10420629529*x^16 + 4890578450*x^15 + 9211025453*x^14 - 3526171149*x^13 - 6192823221*x^12 + 1756365821*x^11 + 3147233935*x^10 - 661018325*x^9 - 1150482440*x^8 + 223284786*x^7 + 261839279*x^6 - 58256706*x^5 - 27661025*x^4 + 6332152*x^3 + 1185144*x^2 - 220264*x - 15096, 2*x^40 - 10*x^39 - 108*x^38 + 600*x^37 + 2568*x^36 - 16422*x^35 - 34857*x^34 + 271741*x^33 + 287312*x^32 - 3037775*x^31 - 1307020*x^30 + 24284068*x^29 + 573654*x^28 - 143334688*x^27 + 36672124*x^26 + 635946689*x^25 - 289206664*x^24 - 2138984383*x^23 + 1281527161*x^22 + 5459854233*x^21 - 3848524952*x^20 - 10516187941*x^19 + 8232758541*x^18 + 15085927365*x^17 - 12697974487*x^16 - 15763814726*x^15 + 14030218480*x^14 + 11578984313*x^13 - 10877645922*x^12 - 5639023675*x^11 + 5704602734*x^10 + 1633932728*x^9 - 1905254648*x^8 - 213509576*x^7 + 365386918*x^6 - 3407014*x^5 - 33338100*x^4 + 2139292*x^3 + 1191846*x^2 - 82566*x - 7692, x^40 - 5*x^39 - 51*x^38 + 286*x^37 + 1132*x^36 - 7438*x^35 - 14012*x^34 + 116487*x^33 + 98975*x^32 - 1226310*x^31 - 280671*x^30 + 9171221*x^29 - 1732614*x^28 - 50184256*x^27 + 24895778*x^26 + 203723521*x^25 - 151232986*x^24 - 614598886*x^23 + 590956269*x^22 + 1362953278*x^21 - 1617166894*x^20 - 2157806760*x^19 + 3169413468*x^18 + 2278409666*x^17 - 4426564803*x^16 - 1303803256*x^15 + 4286444378*x^14 - 78701200*x^13 - 2712633690*x^12 + 732456854*x^11 + 984715230*x^10 - 514192192*x^9 - 130235038*x^8 + 146024007*x^7 - 22180013*x^6 - 12028675*x^5 + 5860231*x^4 - 329772*x^3 - 341564*x^2 + 50607*x + 3720, x^40 - 4*x^39 - 58*x^38 + 243*x^37 + 1528*x^36 - 6766*x^35 - 24180*x^34 + 114497*x^33 + 255922*x^32 - 1316585*x^31 - 1906325*x^30 + 10895343*x^29 + 10209550*x^28 - 67039203*x^27 - 39187105*x^26 + 312434232*x^25 + 103447617*x^24 - 1112998610*x^23 - 159649897*x^22 + 3036158727*x^21 + 3328075*x^20 - 6311773504*x^19 + 691617293*x^18 + 9881731611*x^17 - 1961306628*x^16 - 11416288548*x^15 + 3123073372*x^14 + 9424297430*x^13 - 3224558979*x^12 - 5282852801*x^11 + 2179838842*x^10 + 1844566437*x^9 - 920284783*x^8 - 337573928*x^7 + 217422336*x^6 + 18702953*x^5 - 23304106*x^4 + 987668*x^3 + 962737*x^2 - 88191*x - 7566, x^40 - 4*x^39 - 58*x^38 + 243*x^37 + 1528*x^36 - 6766*x^35 - 24180*x^34 + 114497*x^33 + 255922*x^32 - 1316585*x^31 - 1906325*x^30 + 10895343*x^29 + 10209550*x^28 - 67039203*x^27 - 39187105*x^26 + 312434232*x^25 + 103447617*x^24 - 1112998610*x^23 - 159649897*x^22 + 3036158727*x^21 + 3328075*x^20 - 6311773504*x^19 + 691617293*x^18 + 9881731611*x^17 - 1961306628*x^16 - 11416288548*x^15 + 3123073372*x^14 + 9424297430*x^13 - 3224558979*x^12 - 5282852801*x^11 + 2179838842*x^10 + 1844566437*x^9 - 920284783*x^8 - 337573928*x^7 + 217422336*x^6 + 18702953*x^5 - 23304106*x^4 + 987668*x^3 + 962737*x^2 - 88191*x - 7566, x^40 - 5*x^39 - 51*x^38 + 286*x^37 + 1132*x^36 - 7438*x^35 - 14012*x^34 + 116487*x^33 + 98975*x^32 - 1226310*x^31 - 280671*x^30 + 9171221*x^29 - 1732614*x^28 - 50184256*x^27 + 24895778*x^26 + 203723521*x^25 - 151232986*x^24 - 614598886*x^23 + 590956269*x^22 + 1362953278*x^21 - 1617166894*x^20 - 2157806760*x^19 + 3169413468*x^18 + 2278409666*x^17 - 4426564803*x^16 - 1303803256*x^15 + 4286444378*x^14 - 78701200*x^13 - 2712633690*x^12 + 732456854*x^11 + 984715230*x^10 - 514192192*x^9 - 130235038*x^8 + 146024007*x^7 - 22180013*x^6 - 12028675*x^5 + 5860231*x^4 - 329772*x^3 - 341564*x^2 + 50607*x + 3720, x^40 - 4*x^39 - 58*x^38 + 245*x^37 + 1515*x^36 - 6845*x^35 - 23512*x^34 + 115620*x^33 + 240500*x^32 - 1319411*x^31 - 1695017*x^30 + 10767697*x^29 + 8298497*x^28 - 64888090*x^27 - 27195829*x^26 + 293950498*x^25 + 50143887*x^24 - 1009495007*x^23 + 7942104*x^22 + 2630786469*x^21 - 357909410*x^20 - 5172512399*x^19 + 1172487486*x^18 + 7573869737*x^17 - 2184686615*x^16 - 8083002364*x^15 + 2648290943*x^14 + 6084285000*x^13 - 2122486205*x^12 - 3077236773*x^11 + 1092538571*x^10 + 975096933*x^9 - 337762068*x^8 - 176799383*x^7 + 56312873*x^6 + 17065205*x^5 - 4709013*x^4 - 725553*x^3 + 164633*x^2 + 5416*x - 927, x^40 - 4*x^39 - 58*x^38 + 244*x^37 + 1523*x^36 - 6813*x^35 - 23921*x^34 + 115475*x^33 + 249845*x^32 - 1328440*x^31 - 1820772*x^30 + 10988022*x^29 + 9402588*x^28 - 67528775*x^27 - 33794052*x^26 + 314230839*x^25 + 77112862*x^24 - 1117816698*x^23 - 64161498*x^22 + 3047303572*x^21 - 255325180*x^20 - 6340833558*x^19 + 1213836456*x^18 + 9963095781*x^17 - 2739324288*x^16 - 11600277857*x^15 + 3963129658*x^14 + 9713707337*x^13 - 3865195937*x^12 - 5582361801*x^11 + 2514523377*x^10 + 2039619490*x^9 - 1037304586*x^8 - 412099275*x^7 + 244883342*x^6 + 33278422*x^5 - 27384672*x^4 - 64205*x^3 + 1167955*x^2 - 67011*x - 6765, x^40 - 4*x^39 - 58*x^38 + 244*x^37 + 1523*x^36 - 6813*x^35 - 23921*x^34 + 115475*x^33 + 249845*x^32 - 1328440*x^31 - 1820772*x^30 + 10988022*x^29 + 9402588*x^28 - 67528775*x^27 - 33794052*x^26 + 314230839*x^25 + 77112862*x^24 - 1117816698*x^23 - 64161498*x^22 + 3047303572*x^21 - 255325180*x^20 - 6340833558*x^19 + 1213836456*x^18 + 9963095781*x^17 - 2739324288*x^16 - 11600277857*x^15 + 3963129658*x^14 + 9713707337*x^13 - 3865195937*x^12 - 5582361801*x^11 + 2514523377*x^10 + 2039619490*x^9 - 1037304586*x^8 - 412099275*x^7 + 244883342*x^6 + 33278422*x^5 - 27384672*x^4 - 64205*x^3 + 1167955*x^2 - 67011*x - 6765, x^40 - 4*x^39 - 58*x^38 + 245*x^37 + 1515*x^36 - 6845*x^35 - 23512*x^34 + 115620*x^33 + 240500*x^32 - 1319411*x^31 - 1695017*x^30 + 10767697*x^29 + 8298497*x^28 - 64888090*x^27 - 27195829*x^26 + 293950498*x^25 + 50143887*x^24 - 1009495007*x^23 + 7942104*x^22 + 2630786469*x^21 - 357909410*x^20 - 5172512399*x^19 + 1172487486*x^18 + 7573869737*x^17 - 2184686615*x^16 - 8083002364*x^15 + 2648290943*x^14 + 6084285000*x^13 - 2122486205*x^12 - 3077236773*x^11 + 1092538571*x^10 + 975096933*x^9 - 337762068*x^8 - 176799383*x^7 + 56312873*x^6 + 17065205*x^5 - 4709013*x^4 - 725553*x^3 + 164633*x^2 + 5416*x - 927, x^40 - 5*x^39 - 52*x^38 + 291*x^37 + 1184*x^36 - 7722*x^35 - 15214*x^34 + 123822*x^33 + 115180*x^32 - 1340462*x^31 - 420439*x^30 + 10366905*x^29 - 947922*x^28 - 59099733*x^27 + 22245126*x^26 + 252514591*x^25 - 148399721*x^24 - 813641045*x^23 + 612204585*x^22 + 1971125195*x^21 - 1752784509*x^20 - 3543427426*x^19 + 3594718218*x^18 + 4600089703*x^17 - 5285638288*x^16 - 4094877459*x^15 + 5462961539*x^14 + 2236827153*x^13 - 3803747249*x^12 - 517327507*x^11 + 1652309251*x^10 - 112485652*x^9 - 389763612*x^8 + 79123635*x^7 + 40404634*x^6 - 8519191*x^5 - 3560632*x^4 + 554762*x^3 + 247144*x^2 - 39644*x - 2520, x^40 - 5*x^39 - 50*x^38 + 283*x^37 + 1074*x^36 - 7264*x^35 - 12478*x^34 + 111884*x^33 + 74484*x^32 - 1152786*x^31 - 17297*x^30 + 8379963*x^29 - 3748724*x^28 - 44121481*x^27 + 36218842*x^26 + 169639863*x^25 - 198649301*x^24 - 471778401*x^23 + 740032833*x^22 + 914078287*x^21 - 1969106573*x^20 - 1100638515*x^19 + 3789932677*x^18 + 425815576*x^17 - 5235138386*x^16 + 1081173025*x^15 + 5052747280*x^14 - 2292951913*x^13 - 3227808741*x^12 + 2178972951*x^11 + 1218797915*x^10 - 1157648413*x^9 - 193285259*x^8 + 331185944*x^7 - 16876862*x^6 - 42831409*x^5 + 7349526*x^4 + 1788855*x^3 - 500300*x^2 + 18400*x + 2520, 2*x^39 - 8*x^38 - 114*x^37 + 486*x^36 + 2905*x^35 - 13439*x^34 - 43472*x^33 + 224097*x^32 + 420194*x^31 - 2516686*x^30 - 2689572*x^29 + 20134198*x^28 + 10852350*x^27 - 118369586*x^26 - 19781789*x^25 + 519944248*x^24 - 55523157*x^23 - 1717738541*x^22 + 543839439*x^21 + 4260995039*x^20 - 2061088291*x^19 - 7856841645*x^18 + 4899270125*x^17 + 10551361187*x^16 - 7914334733*x^15 - 9956313356*x^14 + 8771801912*x^13 + 6186833529*x^12 - 6510387076*x^11 - 2203729297*x^10 + 3056131018*x^9 + 266489694*x^8 - 814707232*x^7 + 66556840*x^6 + 100387758*x^5 - 18115278*x^4 - 4161082*x^3 + 1111992*x^2 - 29252*x - 5040, 2*x^39 - 10*x^38 - 104*x^37 + 582*x^36 + 2362*x^35 - 15402*x^34 - 30207*x^33 + 245567*x^32 + 227598*x^31 - 2634955*x^30 - 840920*x^29 + 20132684*x^28 - 1480766*x^27 - 113037445*x^26 + 38625905*x^25 + 474455376*x^24 - 251609142*x^23 - 1499856025*x^22 + 996112928*x^21 + 3569359685*x^20 - 2705402416*x^19 - 6343499029*x^18 + 5209293787*x^17 + 8280361438*x^16 - 7125352162*x^15 - 7721619675*x^14 + 6803760838*x^13 + 4924545729*x^12 - 4371264228*x^11 - 2009003078*x^10 + 1773019034*x^9 + 479213822*x^8 - 407931714*x^7 - 67484430*x^6 + 45953732*x^5 + 9478996*x^4 - 3293060*x^3 - 717722*x^2 + 144676*x + 10440, 2*x^39 - 10*x^38 - 99*x^37 + 557*x^36 + 2122*x^35 - 14069*x^34 - 25156*x^33 + 213390*x^32 + 166850*x^31 - 2169056*x^30 - 389236*x^29 + 15612132*x^28 - 3511741*x^27 - 81929779*x^26 + 42762284*x^25 + 317727559*x^24 - 241816392*x^23 - 911445899*x^22 + 890887325*x^21 + 1910202898*x^20 - 2307064700*x^19 - 2830268901*x^18 + 4288291662*x^17 + 2738246377*x^16 - 5699354141*x^15 - 1316859525*x^14 + 5290717213*x^13 - 349813957*x^12 - 3270372931*x^11 + 960103638*x^10 + 1229552542*x^9 - 598933229*x^8 - 230793546*x^7 + 167868517*x^6 + 9919274*x^5 - 19296134*x^4 + 1147856*x^3 + 819164*x^2 - 77166*x - 6090, 2*x^39 - 9*x^38 - 107*x^37 + 521*x^36 + 2552*x^35 - 13742*x^34 - 35601*x^33 + 218906*x^32 + 318644*x^31 - 2353570*x^30 - 1861965*x^29 + 18079867*x^28 + 6567140*x^27 - 102467445*x^26 - 7342491*x^25 + 436181150*x^24 - 58375032*x^23 - 1406219918*x^22 + 395641649*x^21 + 3436076786*x^20 - 1333570113*x^19 - 6322969159*x^18 + 2943761244*x^17 + 8638541448*x^16 - 4510269981*x^15 - 8552115906*x^14 + 4828844923*x^13 + 5901368204*x^12 - 3539669150*x^11 - 2666744272*x^10 + 1695162065*x^9 + 711155901*x^8 - 487506902*x^7 - 93862347*x^6 + 73231888*x^5 + 5200790*x^4 - 5037589*x^3 - 118389*x^2 + 117194*x + 5091, x^39 - 4*x^38 - 55*x^37 + 235*x^36 + 1351*x^35 - 6289*x^34 - 19430*x^33 + 101521*x^32 + 179251*x^31 - 1103487*x^30 - 1076734*x^29 + 8538555*x^28 + 3860606*x^27 - 48490684*x^26 - 3850102*x^25 + 205365098*x^24 - 41302583*x^23 - 652402472*x^22 + 276237474*x^21 + 1550222350*x^20 - 945918589*x^19 - 2722403601*x^18 + 2123441344*x^17 + 3448989148*x^16 - 3289992764*x^15 - 3014267744*x^14 + 3523351847*x^13 + 1658730797*x^12 - 2537681696*x^11 - 440420576*x^10 + 1159567929*x^9 - 33613195*x^8 - 301898716*x^7 + 48424925*x^6 + 36921620*x^5 - 8068891*x^4 - 1859879*x^3 + 397344*x^2 + 23326*x - 72, x^39 - 4*x^38 - 55*x^37 + 235*x^36 + 1351*x^35 - 6289*x^34 - 19430*x^33 + 101521*x^32 + 179251*x^31 - 1103487*x^30 - 1076734*x^29 + 8538555*x^28 + 3860606*x^27 - 48490684*x^26 - 3850102*x^25 + 205365098*x^24 - 41302583*x^23 - 652402472*x^22 + 276237474*x^21 + 1550222350*x^20 - 945918589*x^19 - 2722403601*x^18 + 2123441344*x^17 + 3448989148*x^16 - 3289992764*x^15 - 3014267744*x^14 + 3523351847*x^13 + 1658730797*x^12 - 2537681696*x^11 - 440420576*x^10 + 1159567929*x^9 - 33613195*x^8 - 301898716*x^7 + 48424925*x^6 + 36921620*x^5 - 8068891*x^4 - 1859879*x^3 + 397344*x^2 + 23326*x - 72, 2*x^39 - 9*x^38 - 107*x^37 + 521*x^36 + 2552*x^35 - 13742*x^34 - 35601*x^33 + 218906*x^32 + 318644*x^31 - 2353570*x^30 - 1861965*x^29 + 18079867*x^28 + 6567140*x^27 - 102467445*x^26 - 7342491*x^25 + 436181150*x^24 - 58375032*x^23 - 1406219918*x^22 + 395641649*x^21 + 3436076786*x^20 - 1333570113*x^19 - 6322969159*x^18 + 2943761244*x^17 + 8638541448*x^16 - 4510269981*x^15 - 8552115906*x^14 + 4828844923*x^13 + 5901368204*x^12 - 3539669150*x^11 - 2666744272*x^10 + 1695162065*x^9 + 711155901*x^8 - 487506902*x^7 - 93862347*x^6 + 73231888*x^5 + 5200790*x^4 - 5037589*x^3 - 118389*x^2 + 117194*x + 5091, 2*x^39 - 8*x^38 - 114*x^37 + 484*x^36 + 2914*x^35 - 13338*x^34 - 43968*x^33 + 221858*x^32 + 432544*x^31 - 2488342*x^30 - 2873377*x^29 + 19913590*x^28 + 12675791*x^27 - 117354733*x^26 - 32514859*x^25 + 518168086*x^24 + 8910482*x^23 - 1727248622*x^22 + 304202264*x^21 + 4345744690*x^20 - 1403979137*x^19 - 8189976040*x^18 + 3579763087*x^17 + 11377799281*x^16 - 6009098005*x^15 - 11341481957*x^14 + 6860964562*x^13 + 7765856274*x^12 - 5261162956*x^11 - 3396582294*x^10 + 2589757636*x^9 + 829435990*x^8 - 750602718*x^7 - 82614558*x^6 + 110483016*x^5 + 458876*x^4 - 7092784*x^3 + 159256*x^2 + 144212*x + 5892, x^39 - 5*x^38 - 48*x^37 + 271*x^36 + 998*x^35 - 6654*x^34 - 11572*x^33 + 98138*x^32 + 78252*x^31 - 972824*x^30 - 259339*x^29 + 6880389*x^28 - 316428*x^27 - 36039187*x^26 + 7875268*x^25 + 143597623*x^24 - 41208449*x^23 - 444814951*x^22 + 121367847*x^21 + 1090860986*x^20 - 217550422*x^19 - 2142828587*x^18 + 216085154*x^17 + 3366737643*x^16 - 60007477*x^15 - 4144101973*x^14 - 80344985*x^13 + 3833130791*x^12 + 14960833*x^11 - 2504357274*x^10 + 129670088*x^9 + 1058922477*x^8 - 134483736*x^7 - 252689273*x^6 + 49629834*x^5 + 26602498*x^4 - 5750954*x^3 - 1111442*x^2 + 197292*x + 13836, x^39 - 3*x^38 - 58*x^37 + 175*x^36 + 1534*x^35 - 4654*x^34 - 24522*x^33 + 74778*x^32 + 264736*x^31 - 810990*x^30 - 2042419*x^29 + 6282067*x^28 + 11616212*x^27 - 35867309*x^26 - 49489492*x^25 + 153535607*x^24 + 158671493*x^23 - 496298059*x^22 - 380391533*x^21 + 1210342129*x^20 + 667899749*x^19 - 2207627928*x^18 - 820537638*x^17 + 2959014427*x^16 + 632390566*x^15 - 2830096327*x^14 - 197231115*x^13 + 1842364923*x^12 - 119017403*x^11 - 755362313*x^10 + 141584625*x^9 + 170683598*x^8 - 48396416*x^7 - 17669197*x^6 + 5066240*x^5 + 1613289*x^4 - 334054*x^3 - 113346*x^2 + 20452*x + 1260, 2*x^39 - 8*x^38 - 108*x^37 + 452*x^36 + 2634*x^35 - 11623*x^34 - 38395*x^33 + 180296*x^32 + 373065*x^31 - 1885378*x^30 - 2551280*x^29 + 14070354*x^28 + 12636750*x^27 - 77390612*x^26 - 45931902*x^25 + 319497937*x^24 + 122645646*x^23 - 999079959*x^22 - 237672875*x^21 + 2371996013*x^20 + 322781893*x^19 - 4262365321*x^18 - 276976291*x^17 + 5750901277*x^16 + 81084415*x^15 - 5751988683*x^14 + 149181204*x^13 + 4185898086*x^12 - 268783953*x^11 - 2152441174*x^10 + 233866533*x^9 + 740834192*x^8 - 120080824*x^7 - 152335344*x^6 + 32803116*x^5 + 14724940*x^4 - 3416226*x^3 - 583372*x^2 + 111392*x + 7548, 2*x^38 - 6*x^37 - 115*x^36 + 349*x^35 + 3008*x^34 - 9249*x^33 - 47414*x^32 + 148024*x^31 + 502826*x^30 - 1598590*x^29 - 3791658*x^28 + 12328352*x^27 + 20936699*x^26 - 70070539*x^25 - 85814430*x^24 + 298600196*x^23 + 261392237*x^22 - 961186319*x^21 - 584559352*x^20 + 2336564403*x^19 + 928876905*x^18 - 4257589887*x^17 - 967261523*x^16 + 5726416955*x^15 + 493572115*x^14 - 5541331988*x^13 + 181360760*x^12 + 3704078331*x^11 - 496030542*x^10 - 1601309567*x^9 + 349713224*x^8 + 400147240*x^7 - 112663816*x^6 - 47511380*x^5 + 14452078*x^4 + 2388926*x^3 - 637726*x^2 - 33866*x + 144, 2*x^38 - 10*x^37 - 98*x^36 + 560*x^35 + 2044*x^34 - 14170*x^33 - 22695*x^32 + 214377*x^31 + 123562*x^30 - 2162559*x^29 + 91780*x^28 + 15358331*x^27 - 7091587*x^26 - 79028746*x^25 + 61020547*x^24 + 298631896*x^23 - 305165835*x^22 - 830423205*x^21 + 1032056948*x^20 + 1684399813*x^19 - 2465031448*x^18 - 2436260550*x^17 + 4196952870*x^16 + 2397791487*x^15 - 5043713542*x^14 - 1440513005*x^13 + 4163827376*x^12 + 342463714*x^11 - 2247539214*x^10 + 152255876*x^9 + 726919776*x^8 - 134308228*x^7 - 118525510*x^6 + 34071488*x^5 + 6007064*x^4 - 2560744*x^3 + 55130*x^2 + 27886*x + 702, 2*x^38 - 8*x^37 - 108*x^36 + 460*x^35 + 2606*x^34 - 12004*x^33 - 37019*x^32 + 188443*x^31 + 342538*x^30 - 1988825*x^29 - 2146200*x^28 + 14938912*x^27 + 9045368*x^26 - 82462567*x^25 - 23423025*x^24 + 340496462*x^23 + 19751602*x^22 - 1060071343*x^21 + 111065588*x^20 + 2488289099*x^19 - 558433306*x^18 - 4369305377*x^17 + 1375669455*x^16 + 5644403564*x^15 - 2182744100*x^14 - 5213925579*x^13 + 2342554318*x^12 + 3287556883*x^11 - 1684044486*x^10 - 1306974782*x^9 + 770403158*x^8 + 280333374*x^7 - 200907676*x^6 - 21185478*x^5 + 24037976*x^4 - 296270*x^3 - 1102300*x^2 + 65120*x + 6990, 3*x^38 - 15*x^37 - 142*x^36 + 807*x^35 + 2868*x^34 - 19584*x^33 - 31100*x^32 + 283564*x^31 + 172106*x^30 - 2730310*x^29 - 46513*x^28 + 18438733*x^27 - 7029272*x^26 - 89719483*x^25 + 60649580*x^24 + 317751873*x^23 - 291025213*x^22 - 815703658*x^21 + 927269088*x^20 + 1485344619*x^19 - 2050535274*x^18 - 1818572955*x^17 + 3153775465*x^16 + 1290746987*x^15 - 3282171543*x^14 - 192411557*x^13 + 2154894449*x^12 - 504810070*x^11 - 739877918*x^10 + 429451155*x^9 + 29676530*x^8 - 124179497*x^7 + 54279300*x^6 + 4761216*x^5 - 10572606*x^4 + 1478708*x^3 + 605962*x^2 - 107304*x - 7440, 2*x^38 - 9*x^37 - 103*x^36 + 509*x^35 + 2332*x^34 - 13056*x^33 - 30176*x^32 + 201180*x^31 + 239478*x^30 - 2079376*x^29 - 1102834*x^28 + 15245586*x^27 + 1555783*x^26 - 81773210*x^25 + 15745092*x^24 + 326195666*x^23 - 131153122*x^22 - 974180064*x^21 + 538921961*x^20 + 2175671159*x^19 - 1439488680*x^18 - 3602963999*x^17 + 2655619110*x^16 + 4351965207*x^15 - 3420729113*x^14 - 3733637933*x^13 + 3038160477*x^12 + 2183160675*x^11 - 1804076542*x^10 - 814271397*x^9 + 680032722*x^8 + 172212921*x^7 - 149471441*x^6 - 16048957*x^5 + 16486852*x^4 + 275588*x^3 - 709197*x^2 + 21495*x + 3045, x^38 - 2*x^37 - 61*x^36 + 122*x^35 + 1699*x^34 - 3406*x^33 - 28562*x^32 + 57470*x^31 + 323065*x^30 - 652640*x^29 - 2596886*x^28 + 5263067*x^27 + 15287439*x^26 - 31024465*x^25 - 66979457*x^24 + 135680372*x^23 + 219892341*x^22 - 442523670*x^21 - 540535293*x^20 + 1073484555*x^19 + 987096826*x^18 - 1916812166*x^17 - 1317978937*x^16 + 2471304031*x^15 + 1253847048*x^14 - 2230603260*x^13 - 818494423*x^12 + 1343609871*x^11 + 351014148*x^10 - 501307938*x^9 - 99440224*x^8 + 103512019*x^7 + 23149476*x^6 - 10957878*x^5 - 4887633*x^4 + 1095380*x^3 + 391421*x^2 - 68843*x - 5220, 2*x^38 - 6*x^37 - 116*x^36 + 355*x^35 + 3051*x^34 - 9570*x^33 - 48109*x^32 + 155628*x^31 + 506526*x^30 - 1704148*x^29 - 3752058*x^28 + 13285452*x^27 + 20049564*x^26 - 76044669*x^25 - 77770743*x^24 + 324915766*x^23 + 215995030*x^22 - 1043412707*x^21 - 408711371*x^20 + 2515885348*x^19 + 444727225*x^18 - 4515930297*x^17 - 10707199*x^16 + 5930716773*x^15 - 853568573*x^14 - 5534963373*x^13 + 1505371706*x^12 + 3498822354*x^11 - 1371285061*x^10 - 1376871694*x^9 + 717826291*x^8 + 282486834*x^7 - 203650192*x^6 - 15813966*x^5 + 26331860*x^4 - 1685704*x^3 - 1330832*x^2 + 156962*x + 12786, x^38 - 2*x^37 - 61*x^36 + 122*x^35 + 1699*x^34 - 3406*x^33 - 28562*x^32 + 57470*x^31 + 323065*x^30 - 652640*x^29 - 2596886*x^28 + 5263067*x^27 + 15287439*x^26 - 31024465*x^25 - 66979457*x^24 + 135680372*x^23 + 219892341*x^22 - 442523670*x^21 - 540535293*x^20 + 1073484555*x^19 + 987096826*x^18 - 1916812166*x^17 - 1317978937*x^16 + 2471304031*x^15 + 1253847048*x^14 - 2230603260*x^13 - 818494423*x^12 + 1343609871*x^11 + 351014148*x^10 - 501307938*x^9 - 99440224*x^8 + 103512019*x^7 + 23149476*x^6 - 10957878*x^5 - 4887633*x^4 + 1095380*x^3 + 391421*x^2 - 68843*x - 5220, 2*x^38 - 9*x^37 - 103*x^36 + 509*x^35 + 2332*x^34 - 13056*x^33 - 30176*x^32 + 201180*x^31 + 239478*x^30 - 2079376*x^29 - 1102834*x^28 + 15245586*x^27 + 1555783*x^26 - 81773210*x^25 + 15745092*x^24 + 326195666*x^23 - 131153122*x^22 - 974180064*x^21 + 538921961*x^20 + 2175671159*x^19 - 1439488680*x^18 - 3602963999*x^17 + 2655619110*x^16 + 4351965207*x^15 - 3420729113*x^14 - 3733637933*x^13 + 3038160477*x^12 + 2183160675*x^11 - 1804076542*x^10 - 814271397*x^9 + 680032722*x^8 + 172212921*x^7 - 149471441*x^6 - 16048957*x^5 + 16486852*x^4 + 275588*x^3 - 709197*x^2 + 21495*x + 3045, 2*x^38 - 6*x^37 - 116*x^36 + 352*x^35 + 3056*x^34 - 9382*x^33 - 48456*x^32 + 150480*x^31 + 516657*x^30 - 1621804*x^29 - 3921203*x^28 + 12421447*x^27 + 21876799*x^26 - 69732910*x^25 - 91377292*x^24 + 291741392*x^23 + 288318056*x^22 - 915828248*x^21 - 688160317*x^20 + 2155048758*x^19 + 1234788115*x^18 - 3769940193*x^17 - 1639724775*x^16 + 4824522771*x^15 + 1564382676*x^14 - 4402713726*x^13 - 1016190546*x^12 + 2757891252*x^11 + 404680494*x^10 - 1120757876*x^9 - 75078582*x^8 + 270984208*x^7 - 2142730*x^6 - 33671534*x^5 + 2325242*x^4 + 1610362*x^3 - 185054*x^2 - 4940*x + 1854, x^38 - 5*x^37 - 44*x^36 + 261*x^35 + 774*x^34 - 6100*x^33 - 5828*x^32 + 84074*x^31 - 11006*x^30 - 756206*x^29 + 678007*x^28 + 4621813*x^27 - 7340586*x^26 - 19197485*x^25 + 46541692*x^24 + 51074221*x^23 - 199811525*x^22 - 64560551*x^21 + 607964999*x^20 - 84745780*x^19 - 1328097790*x^18 + 585220895*x^17 + 2071855346*x^16 - 1339971501*x^15 - 2261134981*x^14 + 1788715195*x^13 + 1663813633*x^12 - 1482219697*x^11 - 782761245*x^10 + 741956974*x^9 + 225603346*x^8 - 207633411*x^7 - 45054100*x^6 + 30360473*x^5 + 8382284*x^4 - 3144912*x^3 - 655814*x^2 + 160784*x + 9960, 5*x^37 - 21*x^36 - 252*x^35 + 1139*x^34 + 5628*x^33 - 27964*x^32 - 72996*x^31 + 411570*x^30 + 602062*x^29 - 4053788*x^28 - 3201103*x^27 + 28249483*x^26 + 10012028*x^25 - 143573309*x^24 - 8000372*x^23 + 540557192*x^22 - 84986084*x^21 - 1515719265*x^20 + 474079848*x^19 + 3154524533*x^18 - 1350601351*x^17 - 4814237033*x^16 + 2477190075*x^15 + 5268549941*x^14 - 3055477779*x^13 - 3988126904*x^12 + 2515534180*x^11 + 1973704791*x^10 - 1329546100*x^9 - 584168745*x^8 + 419556582*x^7 + 89581972*x^6 - 70121714*x^5 - 5827656*x^4 + 5209060*x^3 + 184974*x^2 - 127566*x - 7746, 2*x^37 - 6*x^36 - 108*x^35 + 332*x^34 + 2618*x^33 - 8268*x^32 - 37669*x^31 + 122515*x^30 + 358722*x^29 - 1203413*x^28 - 2390382*x^27 + 8263675*x^26 + 11524165*x^25 - 40774078*x^24 - 41222875*x^23 + 146330502*x^22 + 112478353*x^21 - 382424257*x^20 - 243347526*x^19 + 721990747*x^18 + 437206752*x^17 - 969018216*x^16 - 667319290*x^15 + 906721115*x^14 + 834507920*x^13 - 590307539*x^12 - 784227184*x^11 + 290115030*x^10 + 497979084*x^9 - 130148850*x^8 - 188069576*x^7 + 50470164*x^6 + 34539572*x^5 - 10865984*x^4 - 1949178*x^3 + 724750*x^2 - 6556*x - 2694, 4*x^37 - 16*x^36 - 210*x^35 + 900*x^34 + 4894*x^33 - 22922*x^32 - 66367*x^31 + 349881*x^30 + 573978*x^29 - 3570940*x^28 - 3220439*x^27 + 25745024*x^26 + 10870477*x^25 - 135049402*x^24 - 12333818*x^23 + 523102318*x^22 - 76534333*x^21 - 1502535615*x^20 + 483718494*x^19 + 3185247732*x^18 - 1449547669*x^17 - 4913551735*x^16 + 2748957910*x^15 + 5374385555*x^14 - 3474441382*x^13 - 3991774476*x^12 + 2907952198*x^11 + 1871143924*x^10 - 1544078342*x^9 - 483373200*x^8 + 477475780*x^7 + 51085754*x^6 - 74486240*x^5 - 1173756*x^4 + 5297368*x^3 + 20858*x^2 - 137418*x - 7746, 2*x^37 - 7*x^36 - 106*x^35 + 399*x^34 + 2474*x^33 - 10239*x^32 - 33235*x^31 + 156614*x^30 + 279558*x^29 - 1593200*x^28 - 1464029*x^27 + 11386359*x^26 + 3960249*x^25 - 58863773*x^24 + 3372607*x^23 + 223217760*x^22 - 80719162*x^21 - 622703390*x^20 + 375285966*x^19 + 1268886060*x^18 - 1021763301*x^17 - 1854440161*x^16 + 1835076054*x^15 + 1879367242*x^14 - 2215787179*x^13 - 1244180249*x^12 + 1761766950*x^11 + 479713726*x^10 - 873926980*x^9 - 81448304*x^8 + 245646265*x^7 + 1280849*x^6 - 34276300*x^5 - 947081*x^4 + 2685645*x^3 + 170727*x^2 - 98859*x - 4740, 2*x^37 - 5*x^36 - 114*x^35 + 287*x^34 + 2951*x^33 - 7487*x^32 - 45931*x^31 + 117580*x^30 + 479573*x^29 - 1241081*x^28 - 3547328*x^27 + 9307876*x^26 + 19127334*x^25 - 51121711*x^24 - 76150697*x^23 + 208822094*x^22 + 223999474*x^21 - 637702237*x^20 - 481204533*x^19 + 1451119100*x^18 + 733621167*x^17 - 2432136080*x^16 - 745535186*x^15 + 2939110731*x^14 + 425102733*x^13 - 2474027280*x^12 - 26174342*x^11 + 1372759149*x^10 - 141202363*x^9 - 457494676*x^8 + 92389196*x^7 + 76532541*x^6 - 22468736*x^5 - 3978121*x^4 + 1642747*x^3 - 30843*x^2 - 15290*x - 351, 2*x^37 - 5*x^36 - 112*x^35 + 277*x^34 + 2872*x^33 - 7032*x^32 - 44629*x^31 + 108309*x^30 + 468673*x^29 - 1129288*x^28 - 3512079*x^27 + 8420851*x^26 + 19333212*x^25 - 46261701*x^24 - 79301538*x^23 + 190127200*x^22 + 243298576*x^21 - 587803383*x^20 - 555273684*x^19 + 1364024741*x^18 + 927885096*x^17 - 2353354572*x^16 - 1100563752*x^15 + 2966408584*x^14 + 872079309*x^13 - 2657675244*x^12 - 398861039*x^11 + 1623157124*x^10 + 47966629*x^9 - 633277944*x^8 + 44714818*x^7 + 141524873*x^6 - 20623775*x^5 - 14873705*x^4 + 2547570*x^3 + 636113*x^2 - 93666*x - 6918, 2*x^37 - 5*x^36 - 112*x^35 + 277*x^34 + 2872*x^33 - 7032*x^32 - 44629*x^31 + 108309*x^30 + 468673*x^29 - 1129288*x^28 - 3512079*x^27 + 8420851*x^26 + 19333212*x^25 - 46261701*x^24 - 79301538*x^23 + 190127200*x^22 + 243298576*x^21 - 587803383*x^20 - 555273684*x^19 + 1364024741*x^18 + 927885096*x^17 - 2353354572*x^16 - 1100563752*x^15 + 2966408584*x^14 + 872079309*x^13 - 2657675244*x^12 - 398861039*x^11 + 1623157124*x^10 + 47966629*x^9 - 633277944*x^8 + 44714818*x^7 + 141524873*x^6 - 20623775*x^5 - 14873705*x^4 + 2547570*x^3 + 636113*x^2 - 93666*x - 6918, 2*x^37 - 7*x^36 - 106*x^35 + 399*x^34 + 2474*x^33 - 10239*x^32 - 33235*x^31 + 156614*x^30 + 279558*x^29 - 1593200*x^28 - 1464029*x^27 + 11386359*x^26 + 3960249*x^25 - 58863773*x^24 + 3372607*x^23 + 223217760*x^22 - 80719162*x^21 - 622703390*x^20 + 375285966*x^19 + 1268886060*x^18 - 1021763301*x^17 - 1854440161*x^16 + 1835076054*x^15 + 1879367242*x^14 - 2215787179*x^13 - 1244180249*x^12 + 1761766950*x^11 + 479713726*x^10 - 873926980*x^9 - 81448304*x^8 + 245646265*x^7 + 1280849*x^6 - 34276300*x^5 - 947081*x^4 + 2685645*x^3 + 170727*x^2 - 98859*x - 4740, 2*x^37 - 5*x^36 - 114*x^35 + 287*x^34 + 2951*x^33 - 7487*x^32 - 45931*x^31 + 117580*x^30 + 479573*x^29 - 1241081*x^28 - 3547328*x^27 + 9307876*x^26 + 19127334*x^25 - 51121711*x^24 - 76150697*x^23 + 208822094*x^22 + 223999474*x^21 - 637702237*x^20 - 481204533*x^19 + 1451119100*x^18 + 733621167*x^17 - 2432136080*x^16 - 745535186*x^15 + 2939110731*x^14 + 425102733*x^13 - 2474027280*x^12 - 26174342*x^11 + 1372759149*x^10 - 141202363*x^9 - 457494676*x^8 + 92389196*x^7 + 76532541*x^6 - 22468736*x^5 - 3978121*x^4 + 1642747*x^3 - 30843*x^2 - 15290*x - 351, 5*x^36 - 17*x^35 - 248*x^34 + 869*x^33 + 5518*x^32 - 20018*x^31 - 72870*x^30 + 275112*x^29 + 637068*x^28 - 2517602*x^27 - 3895399*x^26 + 16216713*x^25 + 17164478*x^24 - 75794877*x^23 - 55353108*x^22 + 261170712*x^21 + 131370112*x^20 - 667384489*x^19 - 228942982*x^18 + 1261925809*x^17 + 290676133*x^16 - 1748614001*x^15 - 266878351*x^14 + 1745616641*x^13 + 179278971*x^12 - 1225563470*x^11 - 93637640*x^10 + 587689667*x^9 + 40166828*x^8 - 186385771*x^7 - 11737198*x^6 + 36922508*x^5 + 1329588*x^4 - 3682660*x^3 - 95802*x^2 + 133424*x + 7296, 4*x^36 - 12*x^35 - 206*x^34 + 630*x^33 + 4784*x^32 - 14976*x^31 - 66241*x^30 + 213423*x^29 + 608984*x^28 - 2034754*x^27 - 3914735*x^26 + 13712254*x^25 + 18022927*x^24 - 67270970*x^23 - 59686554*x^22 + 243715838*x^21 + 139821863*x^20 - 654200839*x^19 - 219304336*x^18 + 1292649008*x^17 + 191729815*x^16 - 1847928703*x^15 + 4889484*x^14 + 1851452255*x^13 - 239684632*x^12 - 1229211042*x^11 + 298780378*x^10 + 485128800*x^9 - 174365414*x^8 - 85590226*x^7 + 46182000*x^6 - 1573710*x^5 - 3034938*x^4 + 971240*x^3 - 7494*x^2 - 30692*x - 2556, 2*x^36 + 2*x^35 - 135*x^34 - 55*x^33 + 3973*x^32 + 63*x^31 - 68229*x^30 + 17503*x^29 + 768093*x^28 - 347148*x^27 - 6016385*x^26 + 3576225*x^25 + 33889216*x^24 - 23676368*x^23 - 139693240*x^22 + 108178098*x^21 + 424167388*x^20 - 351511415*x^19 - 946299362*x^18 + 820638742*x^17 + 1532811516*x^16 - 1372034213*x^15 - 1761466650*x^14 + 1617378375*x^13 + 1381281717*x^12 - 1304585910*x^11 - 693007562*x^10 + 684856464*x^9 + 198891487*x^8 - 215646890*x^7 - 26329732*x^6 + 35725651*x^5 + 1072498*x^4 - 2652431*x^3 - 25775*x^2 + 67431*x + 3873, 2*x^36 + 2*x^35 - 135*x^34 - 55*x^33 + 3973*x^32 + 63*x^31 - 68229*x^30 + 17503*x^29 + 768093*x^28 - 347148*x^27 - 6016385*x^26 + 3576225*x^25 + 33889216*x^24 - 23676368*x^23 - 139693240*x^22 + 108178098*x^21 + 424167388*x^20 - 351511415*x^19 - 946299362*x^18 + 820638742*x^17 + 1532811516*x^16 - 1372034213*x^15 - 1761466650*x^14 + 1617378375*x^13 + 1381281717*x^12 - 1304585910*x^11 - 693007562*x^10 + 684856464*x^9 + 198891487*x^8 - 215646890*x^7 - 26329732*x^6 + 35725651*x^5 + 1072498*x^4 - 2652431*x^3 - 25775*x^2 + 67431*x + 3873]>
       ]
>;

MOG[727] := 	// J_0(727)
   rec<SupersingularModule | 
       MonodromyWeights   := [2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [274, 331, 253, 241, 694, 463, 210*x + 363, 517*x + 363, 686, 424, 701*x + 618, 26*x + 618, 170*x + 42, 477*x + 42, 250*x + 42, 557*x + 42, 546, 260, 512*x + 485, 215*x + 485, 91*x + 584, 645*x + 657, 82*x + 657, 636*x + 584, 463*x + 717, 591*x + 116, 136*x + 116, 264*x + 717, 3, 301, 389*x + 351, 338*x + 351, 77*x + 440, 399*x + 614, 328*x + 614, 650*x + 440, 308*x + 565, 692*x + 535, 85*x + 188, 642*x + 188, 35*x + 535, 419*x + 565, 691, 197*x + 592, 530*x + 592, 553*x + 88, 702*x + 691, 174*x + 88, 25*x + 691, 545*x + 569, 182*x + 569, 319*x + 82, 408*x + 82, 627*x + 471, 100*x + 471, 289*x + 98, 438*x + 98, 41*x + 427, 686*x + 427, 34*x + 479, 693*x + 479]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^24 + 13*x^23 + 50*x^22 - 53*x^21 - 834*x^20 - 1322*x^19 + 4089*x^18 + 13930*x^17 - 2948*x^16 - 57153*x^15 - 39948*x^14 + 117133*x^13 + 157305*x^12 - 113276*x^11 - 268943*x^10 + 16118*x^9 + 240943*x^8 + 61637*x^7 - 109566*x^6 - 48202*x^5 + 20160*x^4 + 11556*x^3 - 224*x^2 - 275*x + 17,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x^23 - 13*x^22 - 52*x^21 + 28*x^20 + 739*x^19 + 1382*x^18 - 2809*x^17 - 11748*x^16 - 1749*x^15 + 39738*x^14 + 39135*x^13 - 62719*x^12 - 112278*x^11 + 33005*x^10 + 149837*x^9 + 28975*x^8 - 100580*x^7 - 45718*x^6 + 30423*x^5 + 19194*x^4 - 2848*x^3 - 2197*x^2 + 117*x + 7, x^23 + 13*x^22 + 52*x^21 - 28*x^20 - 739*x^19 - 1382*x^18 + 2809*x^17 + 11748*x^16 + 1749*x^15 - 39738*x^14 - 39135*x^13 + 62719*x^12 + 112278*x^11 - 33005*x^10 - 149837*x^9 - 28975*x^8 + 100580*x^7 + 45718*x^6 - 30423*x^5 - 19194*x^4 + 2848*x^3 + 2197*x^2 - 117*x - 7, 0, 0, -2*x^16 - 22*x^15 - 80*x^14 - 31*x^13 + 513*x^12 + 1149*x^11 - 140*x^10 - 3279*x^9 - 2990*x^8 + 2495*x^7 + 5085*x^6 + 855*x^5 - 2539*x^4 - 1262*x^3 + 233*x^2 + 159*x - 16, 2*x^16 + 22*x^15 + 80*x^14 + 31*x^13 - 513*x^12 - 1149*x^11 + 140*x^10 + 3279*x^9 + 2990*x^8 - 2495*x^7 - 5085*x^6 - 855*x^5 + 2539*x^4 + 1262*x^3 - 233*x^2 - 159*x + 16, -x^22 - 12*x^21 - 41*x^20 + 57*x^19 + 639*x^18 + 777*x^17 - 3024*x^16 - 7868*x^15 + 4094*x^14 + 29101*x^13 + 10540*x^12 - 54175*x^11 - 45715*x^10 + 51594*x^9 + 67010*x^8 - 20119*x^7 - 46134*x^6 - 1684*x^5 + 13483*x^4 + 2279*x^3 - 896*x^2 + 12*x + 3, -x^22 - 13*x^21 - 54*x^20 + 3*x^19 + 641*x^18 + 1405*x^17 - 1673*x^16 - 9547*x^15 - 4907*x^14 + 25313*x^13 + 34487*x^12 - 26096*x^11 - 73391*x^10 - 6501*x^9 + 73353*x^8 + 36038*x^7 - 33009*x^6 - 27324*x^5 + 3829*x^4 + 7080*x^3 + 789*x^2 - 280*x + 14, x^22 + 13*x^21 + 54*x^20 - 3*x^19 - 641*x^18 - 1405*x^17 + 1673*x^16 + 9547*x^15 + 4907*x^14 - 25313*x^13 - 34487*x^12 + 26096*x^11 + 73391*x^10 + 6501*x^9 - 73353*x^8 - 36038*x^7 + 33009*x^6 + 27324*x^5 - 3829*x^4 - 7080*x^3 - 789*x^2 + 280*x - 14, x^22 + 12*x^21 + 41*x^20 - 57*x^19 - 639*x^18 - 777*x^17 + 3024*x^16 + 7868*x^15 - 4094*x^14 - 29101*x^13 - 10540*x^12 + 54175*x^11 + 45715*x^10 - 51594*x^9 - 67010*x^8 + 20119*x^7 + 46134*x^6 + 1684*x^5 - 13483*x^4 - 2279*x^3 + 896*x^2 - 12*x - 3, 0, 0, -x^21 - 13*x^20 - 55*x^19 - 10*x^18 + 584*x^17 + 1372*x^16 - 1172*x^15 - 8160*x^14 - 5285*x^13 + 18588*x^12 + 27509*x^11 - 14945*x^10 - 48564*x^9 - 7064*x^8 + 39686*x^7 + 18413*x^6 - 14229*x^5 - 9491*x^4 + 1668*x^3 + 1422*x^2 - 40*x - 9, x^21 + 13*x^20 + 55*x^19 + 10*x^18 - 584*x^17 - 1372*x^16 + 1172*x^15 + 8160*x^14 + 5285*x^13 - 18588*x^12 - 27509*x^11 + 14945*x^10 + 48564*x^9 + 7064*x^8 - 39686*x^7 - 18413*x^6 + 14229*x^5 + 9491*x^4 - 1668*x^3 - 1422*x^2 + 40*x + 9, -x^17 - 12*x^16 - 50*x^15 - 45*x^14 + 276*x^13 + 832*x^12 + 261*x^11 - 2143*x^10 - 2893*x^9 + 1097*x^8 + 4562*x^7 + 1776*x^6 - 2360*x^5 - 1995*x^4 + 125*x^3 + 556*x^2 + 129*x - 15, -x^17 - 10*x^16 - 30*x^15 + 14*x^14 + 237*x^13 + 317*x^12 - 401*x^11 - 1136*x^10 - 97*x^9 + 1398*x^8 + 523*x^7 - 921*x^6 - 179*x^5 + 733*x^4 + 108*x^3 - 397*x^2 - 145*x + 15, x^17 + 10*x^16 + 30*x^15 - 14*x^14 - 237*x^13 - 317*x^12 + 401*x^11 + 1136*x^10 + 97*x^9 - 1398*x^8 - 523*x^7 + 921*x^6 + 179*x^5 - 733*x^4 - 108*x^3 + 397*x^2 + 145*x - 15, x^17 + 12*x^16 + 50*x^15 + 45*x^14 - 276*x^13 - 832*x^12 - 261*x^11 + 2143*x^10 + 2893*x^9 - 1097*x^8 - 4562*x^7 - 1776*x^6 + 2360*x^5 + 1995*x^4 - 125*x^3 - 556*x^2 - 129*x + 15, -x^21 - 12*x^20 - 43*x^19 + 34*x^18 + 562*x^17 + 856*x^16 - 2025*x^15 - 6543*x^14 + 506*x^13 + 19084*x^12 + 12388*x^11 - 27126*x^10 - 31233*x^9 + 17916*x^8 + 34327*x^7 - 2100*x^6 - 18624*x^5 - 3432*x^4 + 4231*x^3 + 1313*x^2 - 102*x - 4, -x^21 - 12*x^20 - 43*x^19 + 33*x^18 + 552*x^17 + 829*x^16 - 1986*x^15 - 6265*x^14 + 637*x^13 + 18035*x^12 + 11378*x^11 - 24561*x^10 - 27920*x^9 + 14127*x^8 + 27885*x^7 - 19*x^6 - 12365*x^5 - 2623*x^4 + 1969*x^3 + 495*x^2 - 63*x + 2, x^21 + 12*x^20 + 43*x^19 - 33*x^18 - 552*x^17 - 829*x^16 + 1986*x^15 + 6265*x^14 - 637*x^13 - 18035*x^12 - 11378*x^11 + 24561*x^10 + 27920*x^9 - 14127*x^8 - 27885*x^7 + 19*x^6 + 12365*x^5 + 2623*x^4 - 1969*x^3 - 495*x^2 + 63*x - 2, x^21 + 12*x^20 + 43*x^19 - 34*x^18 - 562*x^17 - 856*x^16 + 2025*x^15 + 6543*x^14 - 506*x^13 - 19084*x^12 - 12388*x^11 + 27126*x^10 + 31233*x^9 - 17916*x^8 - 34327*x^7 + 2100*x^6 + 18624*x^5 + 3432*x^4 - 4231*x^3 - 1313*x^2 + 102*x + 4, 0, 0, -x^20 - 13*x^19 - 57*x^18 - 33*x^17 + 501*x^16 + 1387*x^15 - 378*x^14 - 6725*x^13 - 6978*x^12 + 11151*x^11 + 24827*x^10 - 563*x^9 - 33667*x^8 - 17625*x^7 + 18780*x^6 + 17833*x^5 - 2161*x^4 - 5658*x^3 - 829*x^2 + 271*x - 14, x^20 + 13*x^19 + 57*x^18 + 33*x^17 - 501*x^16 - 1387*x^15 + 378*x^14 + 6725*x^13 + 6978*x^12 - 11151*x^11 - 24827*x^10 + 563*x^9 + 33667*x^8 + 17625*x^7 - 18780*x^6 - 17833*x^5 + 2161*x^4 + 5658*x^3 + 829*x^2 - 271*x + 14, -x^18 - 13*x^17 - 60*x^16 - 73*x^15 + 311*x^14 + 1139*x^13 + 580*x^12 - 3031*x^11 - 4896*x^10 + 1483*x^9 + 8649*x^8 + 3843*x^7 - 5669*x^6 - 5210*x^5 + 669*x^4 + 1943*x^3 + 452*x^2 - 45*x + 1, -x^18 - 11*x^17 - 38*x^16 + 6*x^15 + 331*x^14 + 585*x^13 - 597*x^12 - 2686*x^11 - 1093*x^10 + 4580*x^9 + 4911*x^8 - 2893*x^7 - 6185*x^6 - 301*x^5 + 3380*x^4 + 973*x^3 - 775*x^2 - 289*x + 31, x^18 + 11*x^17 + 38*x^16 - 6*x^15 - 331*x^14 - 585*x^13 + 597*x^12 + 2686*x^11 + 1093*x^10 - 4580*x^9 - 4911*x^8 + 2893*x^7 + 6185*x^6 + 301*x^5 - 3380*x^4 - 973*x^3 + 775*x^2 + 289*x - 31, x^18 + 13*x^17 + 60*x^16 + 73*x^15 - 311*x^14 - 1139*x^13 - 580*x^12 + 3031*x^11 + 4896*x^10 - 1483*x^9 - 8649*x^8 - 3843*x^7 + 5669*x^6 + 5210*x^5 - 669*x^4 - 1943*x^3 - 452*x^2 + 45*x - 1, -x^20 - 12*x^19 - 44*x^18 + 22*x^17 + 516*x^16 + 856*x^15 - 1585*x^14 - 5679*x^13 - 456*x^12 + 14466*x^11 + 10835*x^10 - 17051*x^9 - 21474*x^8 + 8049*x^7 + 18106*x^6 + 419*x^5 - 6707*x^4 - 1208*x^3 + 823*x^2 + 133*x - 16, -x^20 - 11*x^19 - 33*x^18 + 57*x^17 + 483*x^16 + 469*x^15 - 2003*x^14 - 4338*x^13 + 2304*x^12 + 12583*x^11 + 3647*x^10 - 16627*x^9 - 11209*x^8 + 9970*x^7 + 9404*x^6 - 2167*x^5 - 2545*x^4 + 242*x^3 - 29*x^2 - 149*x + 13, -x^20 - 13*x^19 - 56*x^18 - 24*x^17 + 516*x^16 + 1296*x^15 - 721*x^14 - 6641*x^13 - 5074*x^12 + 12913*x^11 + 20910*x^10 - 7292*x^9 - 31341*x^8 - 8172*x^7 + 20625*x^6 + 12336*x^5 - 4483*x^4 - 4616*x^3 - 357*x^2 + 219*x - 12, x^20 + 13*x^19 + 56*x^18 + 24*x^17 - 516*x^16 - 1296*x^15 + 721*x^14 + 6641*x^13 + 5074*x^12 - 12913*x^11 - 20910*x^10 + 7292*x^9 + 31341*x^8 + 8172*x^7 - 20625*x^6 - 12336*x^5 + 4483*x^4 + 4616*x^3 + 357*x^2 - 219*x + 12, x^20 + 11*x^19 + 33*x^18 - 57*x^17 - 483*x^16 - 469*x^15 + 2003*x^14 + 4338*x^13 - 2304*x^12 - 12583*x^11 - 3647*x^10 + 16627*x^9 + 11209*x^8 - 9970*x^7 - 9404*x^6 + 2167*x^5 + 2545*x^4 - 242*x^3 + 29*x^2 + 149*x - 13, x^20 + 12*x^19 + 44*x^18 - 22*x^17 - 516*x^16 - 856*x^15 + 1585*x^14 + 5679*x^13 + 456*x^12 - 14466*x^11 - 10835*x^10 + 17051*x^9 + 21474*x^8 - 8049*x^7 - 18106*x^6 - 419*x^5 + 6707*x^4 + 1208*x^3 - 823*x^2 - 133*x + 16, 0, x^17 + 12*x^16 + 48*x^15 + 25*x^14 - 336*x^13 - 803*x^12 + 223*x^11 + 2808*x^10 + 2088*x^9 - 3571*x^8 - 5078*x^7 + 1235*x^6 + 4434*x^5 + 776*x^4 - 1445*x^3 - 498*x^2 + 46*x - 1, -x^17 - 12*x^16 - 48*x^15 - 25*x^14 + 336*x^13 + 803*x^12 - 223*x^11 - 2808*x^10 - 2088*x^9 + 3571*x^8 + 5078*x^7 - 1235*x^6 - 4434*x^5 - 776*x^4 + 1445*x^3 + 498*x^2 - 46*x + 1, -x^19 - 11*x^18 - 35*x^17 + 37*x^16 + 427*x^15 + 533*x^14 - 1444*x^13 - 3837*x^12 + 696*x^11 + 9759*x^10 + 5309*x^9 - 11181*x^8 - 11305*x^7 + 4985*x^6 + 8810*x^5 + 213*x^4 - 2587*x^3 - 484*x^2 + 139*x - 7, -x^19 - 12*x^18 - 48*x^17 - 22*x^16 + 367*x^15 + 902*x^14 - 249*x^13 - 3600*x^12 - 3378*x^11 + 4623*x^10 + 9588*x^9 + 620*x^8 - 9601*x^7 - 5565*x^6 + 3258*x^5 + 3620*x^4 + 90*x^3 - 667*x^2 - 113*x + 16, x^19 + 11*x^18 + 35*x^17 - 37*x^16 - 427*x^15 - 533*x^14 + 1444*x^13 + 3837*x^12 - 696*x^11 - 9759*x^10 - 5309*x^9 + 11181*x^8 + 11305*x^7 - 4985*x^6 - 8810*x^5 - 213*x^4 + 2587*x^3 + 484*x^2 - 139*x + 7, x^19 + 12*x^18 + 48*x^17 + 22*x^16 - 367*x^15 - 902*x^14 + 249*x^13 + 3600*x^12 + 3378*x^11 - 4623*x^10 - 9588*x^9 - 620*x^8 + 9601*x^7 + 5565*x^6 - 3258*x^5 - 3620*x^4 - 90*x^3 + 667*x^2 + 113*x - 16, -x^19 - 13*x^18 - 58*x^17 - 49*x^16 + 409*x^15 + 1209*x^14 - 32*x^13 - 4666*x^12 - 4934*x^11 + 6434*x^10 + 13630*x^9 - 825*x^8 - 15309*x^7 - 5751*x^6 + 7463*x^5 + 4714*x^4 - 1118*x^3 - 1099*x^2 - 82*x + 14, x^19 + 13*x^18 + 58*x^17 + 49*x^16 - 409*x^15 - 1209*x^14 + 32*x^13 + 4666*x^12 + 4934*x^11 - 6434*x^10 - 13630*x^9 + 825*x^8 + 15309*x^7 + 5751*x^6 - 7463*x^5 - 4714*x^4 + 1118*x^3 + 1099*x^2 + 82*x - 14, -x^19 - 10*x^18 - 22*x^17 + 96*x^16 + 491*x^15 + 202*x^14 - 2540*x^13 - 4197*x^12 + 3842*x^11 + 14146*x^10 + 3397*x^9 - 19155*x^8 - 14953*x^7 + 9337*x^6 + 13912*x^5 + 1129*x^4 - 4018*x^3 - 1491*x^2 - 34*x + 17, x^19 + 10*x^18 + 22*x^17 - 96*x^16 - 491*x^15 - 202*x^14 + 2540*x^13 + 4197*x^12 - 3842*x^11 - 14146*x^10 - 3397*x^9 + 19155*x^8 + 14953*x^7 - 9337*x^6 - 13912*x^5 - 1129*x^4 + 4018*x^3 + 1491*x^2 + 34*x - 17, -x^17 - 10*x^16 - 26*x^15 + 55*x^14 + 370*x^13 + 320*x^12 - 1284*x^11 - 2713*x^10 + 539*x^9 + 5797*x^8 + 3662*x^7 - 3840*x^6 - 5211*x^5 - 625*x^4 + 1703*x^3 + 872*x^2 + 90*x - 14, x^17 + 10*x^16 + 26*x^15 - 55*x^14 - 370*x^13 - 320*x^12 + 1284*x^11 + 2713*x^10 - 539*x^9 - 5797*x^8 - 3662*x^7 + 3840*x^6 + 5211*x^5 + 625*x^4 - 1703*x^3 - 872*x^2 - 90*x + 14, -x^18 - 12*x^17 - 47*x^16 - 14*x^15 + 378*x^14 + 836*x^13 - 440*x^12 - 3448*x^11 - 2384*x^10 + 4984*x^9 + 7383*x^8 - 1422*x^7 - 7493*x^6 - 2412*x^5 + 2696*x^4 + 1574*x^3 - 177*x^2 - 160*x + 11, x^18 + 12*x^17 + 47*x^16 + 14*x^15 - 378*x^14 - 836*x^13 + 440*x^12 + 3448*x^11 + 2384*x^10 - 4984*x^9 - 7383*x^8 + 1422*x^7 + 7493*x^6 + 2412*x^5 - 2696*x^4 - 1574*x^3 + 177*x^2 + 160*x - 11, -x^18 - 9*x^17 - 14*x^16 + 100*x^15 + 365*x^14 - 108*x^13 - 2062*x^12 - 1815*x^11 + 4373*x^10 + 7060*x^9 - 3124*x^8 - 10234*x^7 - 1057*x^6 + 6554*x^5 + 2147*x^4 - 1643*x^3 - 672*x^2 + 53*x + 3, x^18 + 9*x^17 + 14*x^16 - 100*x^15 - 365*x^14 + 108*x^13 + 2062*x^12 + 1815*x^11 - 4373*x^10 - 7060*x^9 + 3124*x^8 + 10234*x^7 + 1057*x^6 - 6554*x^5 - 2147*x^4 + 1643*x^3 + 672*x^2 - 53*x - 3, -x^17 - 12*x^16 - 45*x^15 + 5*x^14 + 428*x^13 + 778*x^12 - 898*x^11 - 3834*x^10 - 1263*x^9 + 6786*x^8 + 6394*x^7 - 4154*x^6 - 7179*x^5 - 444*x^4 + 2515*x^3 + 762*x^2 - 67*x - 3, x^17 + 12*x^16 + 45*x^15 - 5*x^14 - 428*x^13 - 778*x^12 + 898*x^11 + 3834*x^10 + 1263*x^9 - 6786*x^8 - 6394*x^7 + 4154*x^6 + 7179*x^5 + 444*x^4 - 2515*x^3 - 762*x^2 + 67*x + 3]>,
         rec<Eigen |
           DefiningPolynomial := x^36 - 14*x^35 + 42*x^34 + 295*x^33 - 2019*x^32 - 287*x^31 + 30706*x^30 - 51568*x^29 - 228646*x^28 + 739761*x^27 + 759085*x^26 - 5299056*x^25 + 999557*x^24 + 23025648*x^23 - 21479872*x^22 - 62608524*x^21 + 102116788*x^20 + 98845507*x^19 - 274009679*x^18 - 53481382*x^17 + 463375340*x^16 - 110946688*x^15 - 499177309*x^14 + 270111464*x^13 + 330800594*x^12 - 265909035*x^11 - 124720505*x^10 + 139724596*x^9 + 23800502*x^8 - 39618955*x^7 - 2697626*x^6 + 5809452*x^5 + 541362*x^4 - 376686*x^3 - 71634*x^2 - 1618*x + 195,
           Coordinates        := [-x^35 + 14*x^34 - 44*x^33 - 267*x^32 + 1927*x^31 - 191*x^30 - 27044*x^29 + 50342*x^28 + 181484*x^27 - 643019*x^26 - 477341*x^25 + 4196492*x^24 - 1531334*x^23 - 16495447*x^22 + 17995028*x^21 + 39542703*x^20 - 73246284*x^19 - 50719855*x^18 + 172621982*x^17 + 5834704*x^16 - 254258292*x^15 + 91191265*x^14 + 232518243*x^13 - 151970115*x^12 - 124264883*x^11 + 119106741*x^10 + 33288110*x^9 - 49883938*x^8 - 2430717*x^7 + 10841236*x^6 - 372228*x^5 - 1103420*x^4 + 6074*x^3 + 45286*x^2 + 2904*x - 99, x^35 - 16*x^34 + 72*x^33 + 175*x^32 - 2405*x^31 + 3853*x^30 + 25818*x^29 - 97504*x^28 - 84742*x^27 + 924763*x^26 - 625223*x^25 - 4728269*x^24 + 8061535*x^23 + 13010603*x^22 - 41060849*x^21 - 10672199*x^20 + 121371936*x^19 - 50667842*x^18 - 220268660*x^17 + 203282344*x^16 + 234502869*x^15 - 357850331*x^14 - 114376894*x^13 + 358505826*x^12 - 22537411*x^11 - 210539136*x^10 + 56552548*x^9 + 71253723*x^8 - 26347002*x^7 - 13911090*x^6 + 5078260*x^5 + 1650856*x^4 - 337474*x^3 - 114016*x^2 - 4621*x + 294, x^34 - 16*x^33 + 74*x^32 + 143*x^31 - 2253*x^30 + 4075*x^29 + 21626*x^28 - 89064*x^27 - 49166*x^26 + 764428*x^25 - 669919*x^24 - 3485292*x^23 + 6763066*x^22 + 7945588*x^21 - 30233417*x^20 - 978372*x^19 + 78372773*x^18 - 46880592*x^17 - 120383167*x^16 + 137480401*x^15 + 97015040*x^14 - 197371365*x^13 - 14036231*x^12 + 157586203*x^11 - 40671314*x^10 - 67585019*x^9 + 31880222*x^8 + 13721174*x^7 - 8960402*x^6 - 1159924*x^5 + 956062*x^4 + 84424*x^3 - 35105*x^2 - 4498*x - 120, x^34 - 16*x^33 + 74*x^32 + 143*x^31 - 2253*x^30 + 4077*x^29 + 21594*x^28 - 88902*x^27 - 49104*x^26 + 761041*x^25 - 661087*x^24 - 3467085*x^23 + 6646851*x^22 + 8000681*x^21 - 29596841*x^20 - 2042409*x^19 + 76807956*x^18 - 41599646*x^17 - 120158712*x^16 + 124132540*x^15 + 105402845*x^14 - 179270759*x^13 - 35361544*x^12 + 146313462*x^11 - 16269115*x^10 - 67462074*x^9 + 17740150*x^8 + 16848125*x^7 - 4946184*x^6 - 2254216*x^5 + 371942*x^4 + 166098*x^3 + 11546*x^2 + 602*x + 123, x^33 - 16*x^32 + 76*x^31 + 111*x^30 - 2095*x^29 + 4203*x^28 + 17888*x^27 - 80267*x^26 - 23794*x^25 + 627383*x^24 - 648652*x^23 - 2584593*x^22 + 5504956*x^21 + 5001905*x^20 - 22151828*x^19 + 2087524*x^18 + 51887622*x^17 - 35370929*x^16 - 70999110*x^15 + 86757157*x^14 + 48968927*x^13 - 107992668*x^12 - 3477580*x^11 + 74766746*x^10 - 17286672*x^9 - 28555662*x^8 + 10353618*x^7 + 6012668*x^6 - 2311304*x^5 - 735060*x^4 + 174741*x^3 + 53478*x^2 + 1604*x - 138, x^33 - 16*x^32 + 76*x^31 + 111*x^30 - 2097*x^29 + 4237*x^28 + 17688*x^27 - 80068*x^26 - 20902*x^25 + 615594*x^24 - 649817*x^23 - 2480422*x^22 + 5322476*x^21 + 4691922*x^20 - 20847335*x^19 + 1699726*x^18 + 47997871*x^17 - 30431014*x^16 - 66488719*x^15 + 73721809*x^14 + 51371736*x^13 - 92926955*x^12 - 14656323*x^11 + 68187371*x^10 - 7385654*x^9 - 28976887*x^8 + 7032982*x^7 + 6738498*x^6 - 1810894*x^5 - 831372*x^4 + 127628*x^3 + 56040*x^2 + 2897*x - 156, x^33 - 16*x^32 + 76*x^31 + 112*x^30 - 2112*x^29 + 4301*x^28 + 17819*x^27 - 81861*x^26 - 17932*x^25 + 630592*x^24 - 707342*x^23 - 2504961*x^22 + 5732004*x^21 + 4314895*x^20 - 22281990*x^19 + 4534098*x^18 + 50054974*x^17 - 39574902*x^16 - 64550012*x^15 + 89289786*x^14 + 39507675*x^13 - 106096182*x^12 + 3134148*x^11 + 71538531*x^10 - 19406199*x^9 - 27202799*x^8 + 10700409*x^7 + 5828437*x^6 - 2353159*x^5 - 742379*x^4 + 174510*x^3 + 57309*x^2 + 2372*x - 147, x^33 - 16*x^32 + 76*x^31 + 112*x^30 - 2112*x^29 + 4301*x^28 + 17819*x^27 - 81861*x^26 - 17932*x^25 + 630592*x^24 - 707342*x^23 - 2504961*x^22 + 5732004*x^21 + 4314895*x^20 - 22281990*x^19 + 4534098*x^18 + 50054974*x^17 - 39574902*x^16 - 64550012*x^15 + 89289786*x^14 + 39507675*x^13 - 106096182*x^12 + 3134148*x^11 + 71538531*x^10 - 19406199*x^9 - 27202799*x^8 + 10700409*x^7 + 5828437*x^6 - 2353159*x^5 - 742379*x^4 + 174510*x^3 + 57309*x^2 + 2372*x - 147, x^32 - 16*x^31 + 78*x^30 + 81*x^29 - 1965*x^28 + 4434*x^27 + 14470*x^26 - 74512*x^25 + 4387*x^24 + 520066*x^23 - 703068*x^22 - 1805662*x^21 + 4876603*x^20 + 2047117*x^19 - 16901431*x^18 + 7511401*x^17 + 32891279*x^16 - 35298301*x^15 - 32498019*x^14 + 64807438*x^13 + 5229762*x^12 - 61712959*x^11 + 19927394*x^10 + 29643031*x^9 - 17690856*x^8 - 6146564*x^7 + 5645106*x^6 + 448548*x^5 - 739265*x^4 - 44388*x^3 + 40342*x^2 + 5564*x + 96, x^32 - 16*x^31 + 80*x^30 + 47*x^29 - 1773*x^28 + 4363*x^27 + 10902*x^26 - 62533*x^25 + 16880*x^24 + 380633*x^23 - 555042*x^22 - 1138021*x^21 + 3204986*x^20 + 1018779*x^19 - 9583720*x^18 + 3998262*x^17 + 16492778*x^16 - 15424943*x^15 - 15548094*x^14 + 24571259*x^13 + 5328889*x^12 - 21106498*x^11 + 3457248*x^10 + 9386326*x^9 - 3835748*x^8 - 1561942*x^7 + 1003992*x^6 - 23684*x^5 - 42056*x^4 + 13442*x^3 - 3633*x^2 - 1204*x + 24, x^32 - 16*x^31 + 78*x^30 + 81*x^29 - 1969*x^28 + 4498*x^27 + 14132*x^26 - 74417*x^25 + 10051*x^24 + 502435*x^23 - 720295*x^22 - 1626833*x^21 + 4693041*x^20 + 1339049*x^19 - 15187451*x^18 + 8224789*x^17 + 26947224*x^16 - 31879296*x^15 - 22821652*x^14 + 52222205*x^13 - 310046*x^12 - 44699416*x^11 + 16642830*x^10 + 19304066*x^9 - 12423620*x^8 - 3491338*x^7 + 3574754*x^6 + 164276*x^5 - 414217*x^4 - 14192*x^3 + 19001*x^2 + 2171*x + 60, x^32 - 16*x^31 + 78*x^30 + 81*x^29 - 1969*x^28 + 4498*x^27 + 14132*x^26 - 74417*x^25 + 10051*x^24 + 502435*x^23 - 720295*x^22 - 1626833*x^21 + 4693041*x^20 + 1339049*x^19 - 15187451*x^18 + 8224789*x^17 + 26947224*x^16 - 31879296*x^15 - 22821652*x^14 + 52222205*x^13 - 310046*x^12 - 44699416*x^11 + 16642830*x^10 + 19304066*x^9 - 12423620*x^8 - 3491338*x^7 + 3574754*x^6 + 164276*x^5 - 414217*x^4 - 14192*x^3 + 19001*x^2 + 2171*x + 60, x^32 - 15*x^31 + 62*x^30 + 159*x^29 - 1889*x^28 + 2544*x^27 + 18562*x^26 - 60360*x^25 - 62806*x^24 + 509230*x^23 - 228007*x^22 - 2298607*x^21 + 3062605*x^20 + 5742338*x^19 - 13477584*x^18 - 6132161*x^17 + 33064488*x^16 - 5638298*x^15 - 48873437*x^14 + 26966601*x^13 + 43154006*x^12 - 36781289*x^11 - 21563344*x^10 + 25325579*x^9 + 5782188*x^8 - 9301517*x^7 - 1039847*x^6 + 1781240*x^5 + 230317*x^4 - 146577*x^3 - 33400*x^2 - 733*x + 159, x^32 - 16*x^31 + 79*x^30 + 65*x^29 - 1886*x^28 + 4497*x^27 + 12610*x^26 - 70089*x^25 + 16551*x^24 + 452894*x^23 - 686840*x^22 - 1387179*x^21 + 4252246*x^20 + 834169*x^19 - 13275398*x^18 + 8156905*x^17 + 22544212*x^16 - 29204456*x^15 - 17021733*x^14 + 46207976*x^13 - 4658314*x^12 - 37993642*x^11 + 18426260*x^10 + 14933696*x^9 - 12821929*x^8 - 1718171*x^7 + 3632872*x^6 - 269403*x^5 - 427749*x^4 + 37788*x^3 + 24226*x^2 - 16*x - 282, x^32 - 16*x^31 + 79*x^30 + 65*x^29 - 1886*x^28 + 4497*x^27 + 12610*x^26 - 70089*x^25 + 16551*x^24 + 452894*x^23 - 686840*x^22 - 1387179*x^21 + 4252246*x^20 + 834169*x^19 - 13275398*x^18 + 8156905*x^17 + 22544212*x^16 - 29204456*x^15 - 17021733*x^14 + 46207976*x^13 - 4658314*x^12 - 37993642*x^11 + 18426260*x^10 + 14933696*x^9 - 12821929*x^8 - 1718171*x^7 + 3632872*x^6 - 269403*x^5 - 427749*x^4 + 37788*x^3 + 24226*x^2 - 16*x - 282, x^32 - 15*x^31 + 62*x^30 + 159*x^29 - 1889*x^28 + 2544*x^27 + 18562*x^26 - 60360*x^25 - 62806*x^24 + 509230*x^23 - 228007*x^22 - 2298607*x^21 + 3062605*x^20 + 5742338*x^19 - 13477584*x^18 - 6132161*x^17 + 33064488*x^16 - 5638298*x^15 - 48873437*x^14 + 26966601*x^13 + 43154006*x^12 - 36781289*x^11 - 21563344*x^10 + 25325579*x^9 + 5782188*x^8 - 9301517*x^7 - 1039847*x^6 + 1781240*x^5 + 230317*x^4 - 146577*x^3 - 33400*x^2 - 733*x + 159, x^31 - 16*x^30 + 80*x^29 + 50*x^28 - 1815*x^27 + 4527*x^26 + 11255*x^25 - 66657*x^24 + 22517*x^23 + 412731*x^22 - 657685*x^21 - 1207790*x^20 + 3867790*x^19 + 611546*x^18 - 11719574*x^17 + 7114765*x^16 + 19694086*x^15 - 24265428*x^14 - 15872564*x^13 + 37205473*x^12 + 26740*x^11 - 30167224*x^10 + 9581404*x^9 + 12737243*x^8 - 6361366*x^7 - 2723264*x^6 + 1608645*x^5 + 315336*x^4 - 145806*x^3 - 26340*x^2 + 1298*x + 186, x^31 - 14*x^30 + 50*x^29 + 181*x^28 - 1603*x^27 + 1228*x^26 + 16926*x^25 - 40660*x^24 - 76933*x^23 + 366200*x^22 + 29332*x^21 - 1746998*x^20 + 1382607*x^19 + 4812331*x^18 - 7276769*x^17 - 7042137*x^16 + 18807005*x^15 + 2315709*x^14 - 27866601*x^13 + 9074236*x^12 + 23378234*x^11 - 14956491*x^10 - 9985588*x^9 + 9671855*x^8 + 1652854*x^7 - 2840856*x^6 - 36606*x^5 + 375336*x^4 + 11407*x^3 - 21574*x^2 - 2806*x - 48, 2*x^31 - 32*x^30 + 161*x^29 + 80*x^28 - 3493*x^27 + 8867*x^26 + 20337*x^25 - 123375*x^24 + 46805*x^23 + 723286*x^22 - 1149985*x^21 - 1991563*x^20 + 6284054*x^19 + 955369*x^18 - 17697422*x^17 + 9972993*x^16 + 27725508*x^15 - 31092949*x^14 - 21820019*x^13 + 43443085*x^12 + 3467414*x^11 - 32690210*x^10 + 6725462*x^9 + 13496860*x^8 - 4674813*x^7 - 3018176*x^6 + 1134624*x^5 + 374251*x^4 - 89187*x^3 - 27341*x^2 - 790*x + 69, 2*x^31 - 32*x^30 + 161*x^29 + 80*x^28 - 3493*x^27 + 8867*x^26 + 20337*x^25 - 123375*x^24 + 46805*x^23 + 723286*x^22 - 1149985*x^21 - 1991563*x^20 + 6284054*x^19 + 955369*x^18 - 17697422*x^17 + 9972993*x^16 + 27725508*x^15 - 31092949*x^14 - 21820019*x^13 + 43443085*x^12 + 3467414*x^11 - 32690210*x^10 + 6725462*x^9 + 13496860*x^8 - 4674813*x^7 - 3018176*x^6 + 1134624*x^5 + 374251*x^4 - 89187*x^3 - 27341*x^2 - 790*x + 69, x^31 - 15*x^30 + 64*x^29 + 130*x^28 - 1771*x^27 + 2799*x^26 + 15407*x^25 - 55855*x^24 - 36096*x^23 + 420640*x^22 - 296711*x^21 - 1659511*x^20 + 2705278*x^19 + 3320198*x^18 - 10096019*x^17 - 1280302*x^16 + 21123190*x^15 - 9049393*x^14 - 25624982*x^13 + 21553577*x^12 + 16642618*x^11 - 22558008*x^10 - 3875635*x^9 + 12148903*x^8 - 1085330*x^7 - 3197135*x^6 + 552350*x^5 + 395755*x^4 - 36688*x^3 - 25276*x^2 - 2194*x - 21, x^31 - 15*x^30 + 64*x^29 + 131*x^28 - 1785*x^27 + 2852*x^26 + 15546*x^25 - 57304*x^24 - 34382*x^23 + 432949*x^22 - 332724*x^21 - 1693362*x^20 + 2954606*x^19 + 3204865*x^18 - 10954628*x^17 - 167980*x^16 + 22543877*x^15 - 12450211*x^14 - 26056800*x^13 + 26673962*x^12 + 14656535*x^11 - 26325297*x^10 - 1162331*x^9 + 13336646*x^8 - 2372898*x^7 - 3377087*x^6 + 844327*x^5 + 421425*x^4 - 71939*x^3 - 28593*x^2 - 643*x + 177, x^31 - 15*x^30 + 64*x^29 + 131*x^28 - 1785*x^27 + 2852*x^26 + 15546*x^25 - 57304*x^24 - 34382*x^23 + 432949*x^22 - 332724*x^21 - 1693362*x^20 + 2954606*x^19 + 3204865*x^18 - 10954628*x^17 - 167980*x^16 + 22543877*x^15 - 12450211*x^14 - 26056800*x^13 + 26673962*x^12 + 14656535*x^11 - 26325297*x^10 - 1162331*x^9 + 13336646*x^8 - 2372898*x^7 - 3377087*x^6 + 844327*x^5 + 421425*x^4 - 71939*x^3 - 28593*x^2 - 643*x + 177, x^31 - 15*x^30 + 64*x^29 + 130*x^28 - 1771*x^27 + 2799*x^26 + 15407*x^25 - 55855*x^24 - 36096*x^23 + 420640*x^22 - 296711*x^21 - 1659511*x^20 + 2705278*x^19 + 3320198*x^18 - 10096019*x^17 - 1280302*x^16 + 21123190*x^15 - 9049393*x^14 - 25624982*x^13 + 21553577*x^12 + 16642618*x^11 - 22558008*x^10 - 3875635*x^9 + 12148903*x^8 - 1085330*x^7 - 3197135*x^6 + 552350*x^5 + 395755*x^4 - 36688*x^3 - 25276*x^2 - 2194*x - 21, x^31 - 15*x^30 + 64*x^29 + 132*x^28 - 1801*x^27 + 2939*x^26 + 15486*x^25 - 58556*x^24 - 29895*x^23 + 434361*x^22 - 370792*x^21 - 1635162*x^20 + 3062068*x^19 + 2811325*x^18 - 10858325*x^17 + 872116*x^16 + 21314873*x^15 - 13449748*x^14 - 23320270*x^13 + 26160887*x^12 + 12083797*x^11 - 24649608*x^10 - 137192*x^9 + 12119094*x^8 - 2438739*x^7 - 3007350*x^6 + 802236*x^5 + 365485*x^4 - 61333*x^3 - 24642*x^2 - 1480*x - 12, x^31 - 15*x^30 + 65*x^29 + 116*x^28 - 1716*x^27 + 2905*x^26 + 14146*x^25 - 54323*x^24 - 26303*x^23 + 394496*x^22 - 329773*x^21 - 1489163*x^20 + 2722538*x^19 + 2667438*x^18 - 9813340*x^17 + 397453*x^16 + 19802771*x^15 - 11988861*x^14 - 22345970*x^13 + 24659455*x^12 + 11824698*x^11 - 23914625*x^10 - 141192*x^9 + 11987768*x^8 - 2392724*x^7 - 3079664*x^6 + 790786*x^5 + 405916*x^4 - 61097*x^3 - 29984*x^2 - 1864*x + 78, x^31 - 15*x^30 + 65*x^29 + 116*x^28 - 1716*x^27 + 2905*x^26 + 14146*x^25 - 54323*x^24 - 26303*x^23 + 394496*x^22 - 329773*x^21 - 1489163*x^20 + 2722538*x^19 + 2667438*x^18 - 9813340*x^17 + 397453*x^16 + 19802771*x^15 - 11988861*x^14 - 22345970*x^13 + 24659455*x^12 + 11824698*x^11 - 23914625*x^10 - 141192*x^9 + 11987768*x^8 - 2392724*x^7 - 3079664*x^6 + 790786*x^5 + 405916*x^4 - 61097*x^3 - 29984*x^2 - 1864*x + 78, x^31 - 15*x^30 + 64*x^29 + 132*x^28 - 1801*x^27 + 2939*x^26 + 15486*x^25 - 58556*x^24 - 29895*x^23 + 434361*x^22 - 370792*x^21 - 1635162*x^20 + 3062068*x^19 + 2811325*x^18 - 10858325*x^17 + 872116*x^16 + 21314873*x^15 - 13449748*x^14 - 23320270*x^13 + 26160887*x^12 + 12083797*x^11 - 24649608*x^10 - 137192*x^9 + 12119094*x^8 - 2438739*x^7 - 3007350*x^6 + 802236*x^5 + 365485*x^4 - 61333*x^3 - 24642*x^2 - 1480*x - 12, x^30 - 15*x^29 + 66*x^28 + 101*x^27 - 1646*x^26 + 2954*x^25 + 12687*x^24 - 50978*x^23 - 17736*x^22 + 348651*x^21 - 319744*x^20 - 1222905*x^19 + 2353585*x^18 + 1904926*x^17 - 7763523*x^16 + 1053472*x^15 + 14021537*x^14 - 9618597*x^13 - 13312480*x^12 + 16412268*x^11 + 4682186*x^10 - 12948162*x^9 + 1515754*x^8 + 4928033*x^7 - 1439365*x^6 - 923818*x^5 + 315674*x^4 + 94102*x^3 - 20966*x^2 - 5866*x - 228, x^30 - 16*x^29 + 84*x^28 - 8*x^27 - 1569*x^26 + 4901*x^25 + 5443*x^24 - 56357*x^23 + 63119*x^22 + 249221*x^21 - 689069*x^20 - 212666*x^19 + 2828272*x^18 - 2301562*x^17 - 5433670*x^16 + 9979401*x^15 + 2603918*x^14 - 17983368*x^13 + 8109458*x^12 + 15133467*x^11 - 15028176*x^10 - 3957626*x^9 + 9813736*x^8 - 1504733*x^7 - 2597096*x^6 + 790606*x^5 + 277785*x^4 - 76054*x^3 - 18078*x^2 + 488*x + 132, 2*x^30 - 32*x^29 + 166*x^28 + 7*x^27 - 3175*x^26 + 9247*x^25 + 13374*x^24 - 110241*x^23 + 91897*x^22 + 533637*x^21 - 1173178*x^20 - 897579*x^19 + 5161696*x^18 - 2182174*x^17 - 11311482*x^16 + 13536450*x^15 + 10749808*x^14 - 27336150*x^13 + 2796839*x^12 + 26409930*x^11 - 15158046*x^10 - 10823162*x^9 + 11982864*x^8 + 261937*x^7 - 3502240*x^6 + 667338*x^5 + 380618*x^4 - 78571*x^3 - 21383*x^2 + 1289*x + 258, 2*x^30 - 32*x^29 + 166*x^28 + 7*x^27 - 3175*x^26 + 9247*x^25 + 13374*x^24 - 110241*x^23 + 91897*x^22 + 533637*x^21 - 1173178*x^20 - 897579*x^19 + 5161696*x^18 - 2182174*x^17 - 11311482*x^16 + 13536450*x^15 + 10749808*x^14 - 27336150*x^13 + 2796839*x^12 + 26409930*x^11 - 15158046*x^10 - 10823162*x^9 + 11982864*x^8 + 261937*x^7 - 3502240*x^6 + 667338*x^5 + 380618*x^4 - 78571*x^3 - 21383*x^2 + 1289*x + 258, x^30 - 15*x^29 + 68*x^28 + 72*x^27 - 1524*x^26 + 3155*x^25 + 9708*x^24 - 45699*x^23 + 2944*x^22 + 264033*x^21 - 328252*x^20 - 724129*x^19 + 1771234*x^18 + 590928*x^17 - 4543732*x^16 + 1706713*x^15 + 6246063*x^14 - 5043646*x^13 - 4600913*x^12 + 5498790*x^11 + 2039543*x^10 - 3279528*x^9 - 810613*x^8 + 1379533*x^7 + 174731*x^6 - 320871*x^5 - 18226*x^4 + 25604*x^3 + 4081*x^2 + 2*x - 39, x^30 - 14*x^29 + 53*x^28 + 139*x^27 - 1438*x^26 + 1567*x^25 + 12871*x^24 - 35104*x^23 - 45378*x^22 + 266195*x^21 - 45073*x^20 - 1088790*x^19 + 1027958*x^18 + 2561859*x^17 - 4235367*x^16 - 3114792*x^15 + 9215063*x^14 + 508557*x^13 - 11707381*x^12 + 3717584*x^11 + 8520136*x^10 - 4805089*x^9 - 3285924*x^8 + 2487149*x^7 + 646660*x^6 - 587178*x^5 - 79147*x^4 + 57538*x^3 + 8949*x^2 - 1351*x - 237, x^30 - 14*x^29 + 53*x^28 + 139*x^27 - 1438*x^26 + 1567*x^25 + 12871*x^24 - 35104*x^23 - 45378*x^22 + 266195*x^21 - 45073*x^20 - 1088790*x^19 + 1027958*x^18 + 2561859*x^17 - 4235367*x^16 - 3114792*x^15 + 9215063*x^14 + 508557*x^13 - 11707381*x^12 + 3717584*x^11 + 8520136*x^10 - 4805089*x^9 - 3285924*x^8 + 2487149*x^7 + 646660*x^6 - 587178*x^5 - 79147*x^4 + 57538*x^3 + 8949*x^2 - 1351*x - 237, x^30 - 15*x^29 + 68*x^28 + 72*x^27 - 1524*x^26 + 3155*x^25 + 9708*x^24 - 45699*x^23 + 2944*x^22 + 264033*x^21 - 328252*x^20 - 724129*x^19 + 1771234*x^18 + 590928*x^17 - 4543732*x^16 + 1706713*x^15 + 6246063*x^14 - 5043646*x^13 - 4600913*x^12 + 5498790*x^11 + 2039543*x^10 - 3279528*x^9 - 810613*x^8 + 1379533*x^7 + 174731*x^6 - 320871*x^5 - 18226*x^4 + 25604*x^3 + 4081*x^2 + 2*x - 39, x^30 - 13*x^29 + 37*x^28 + 223*x^27 - 1454*x^26 + 116*x^25 + 17222*x^24 - 29865*x^23 - 91855*x^22 + 305077*x^21 + 162074*x^20 - 1513633*x^19 + 659166*x^18 + 4265111*x^17 - 4539326*x^16 - 6806104*x^15 + 11921593*x^14 + 5136469*x^13 - 17386352*x^12 + 598092*x^11 + 14936208*x^10 - 4366227*x^9 - 7308155*x^8 + 3252376*x^7 + 1844868*x^6 - 924904*x^5 - 238135*x^4 + 88086*x^3 + 20078*x^2 - 670*x - 192, x^30 - 14*x^29 + 51*x^28 + 172*x^27 - 1622*x^26 + 1688*x^25 + 15689*x^24 - 45004*x^23 - 50930*x^22 + 358368*x^21 - 162611*x^20 - 1417380*x^19 + 1960093*x^18 + 2739166*x^17 - 7210289*x^16 - 1005346*x^15 + 13631574*x^14 - 5942183*x^13 - 13683857*x^12 + 11533589*x^11 + 6489944*x^10 - 8840258*x^9 - 912772*x^8 + 3041791*x^7 - 2785*x^6 - 490851*x^5 - 53515*x^4 + 33849*x^3 + 11842*x^2 + 1391*x + 33, x^30 - 14*x^29 + 54*x^28 + 124*x^27 - 1369*x^26 + 1620*x^25 + 11469*x^24 - 32095*x^23 - 37429*x^22 + 227789*x^21 - 40545*x^20 - 889269*x^19 + 794620*x^18 + 2053888*x^17 - 3138894*x^16 - 2587176*x^15 + 6664624*x^14 + 797449*x^13 - 8176443*x^12 + 2254319*x^11 + 5347173*x^10 - 2804736*x^9 - 1558563*x^8 + 1031231*x^7 + 237578*x^6 - 115467*x^5 - 39264*x^4 - 6675*x^3 + 3894*x^2 + 1958*x + 204, x^30 - 14*x^29 + 54*x^28 + 124*x^27 - 1369*x^26 + 1620*x^25 + 11469*x^24 - 32095*x^23 - 37429*x^22 + 227789*x^21 - 40545*x^20 - 889269*x^19 + 794620*x^18 + 2053888*x^17 - 3138894*x^16 - 2587176*x^15 + 6664624*x^14 + 797449*x^13 - 8176443*x^12 + 2254319*x^11 + 5347173*x^10 - 2804736*x^9 - 1558563*x^8 + 1031231*x^7 + 237578*x^6 - 115467*x^5 - 39264*x^4 - 6675*x^3 + 3894*x^2 + 1958*x + 204, x^30 - 14*x^29 + 51*x^28 + 172*x^27 - 1622*x^26 + 1688*x^25 + 15689*x^24 - 45004*x^23 - 50930*x^22 + 358368*x^21 - 162611*x^20 - 1417380*x^19 + 1960093*x^18 + 2739166*x^17 - 7210289*x^16 - 1005346*x^15 + 13631574*x^14 - 5942183*x^13 - 13683857*x^12 + 11533589*x^11 + 6489944*x^10 - 8840258*x^9 - 912772*x^8 + 3041791*x^7 - 2785*x^6 - 490851*x^5 - 53515*x^4 + 33849*x^3 + 11842*x^2 + 1391*x + 33, x^30 - 13*x^29 + 37*x^28 + 223*x^27 - 1454*x^26 + 116*x^25 + 17222*x^24 - 29865*x^23 - 91855*x^22 + 305077*x^21 + 162074*x^20 - 1513633*x^19 + 659166*x^18 + 4265111*x^17 - 4539326*x^16 - 6806104*x^15 + 11921593*x^14 + 5136469*x^13 - 17386352*x^12 + 598092*x^11 + 14936208*x^10 - 4366227*x^9 - 7308155*x^8 + 3252376*x^7 + 1844868*x^6 - 924904*x^5 - 238135*x^4 + 88086*x^3 + 20078*x^2 - 670*x - 192, x^29 - 15*x^28 + 68*x^27 + 73*x^26 - 1522*x^25 + 2992*x^24 + 10725*x^23 - 46344*x^22 - 10710*x^21 + 304629*x^20 - 291300*x^19 - 1060205*x^18 + 2051125*x^17 + 1702230*x^16 - 6726021*x^15 + 625294*x^14 + 12178681*x^13 - 7480725*x^12 - 11756822*x^11 + 12536876*x^10 + 4882512*x^9 - 9324964*x^8 - 6032*x^7 + 3238811*x^6 - 369153*x^5 - 536908*x^4 + 30738*x^3 + 41440*x^2 + 4340*x + 42, 2*x^29 - 29*x^28 + 123*x^27 + 187*x^26 - 2906*x^25 + 5150*x^24 + 20301*x^23 - 81755*x^22 - 15692*x^21 + 497562*x^20 - 519759*x^19 - 1456554*x^18 + 3142952*x^17 + 1432318*x^16 - 8545084*x^15 + 3141030*x^14 + 11991011*x^13 - 11036003*x^12 - 7527458*x^11 + 13104799*x^10 + 116166*x^9 - 7120988*x^8 + 1882135*x^7 + 1756935*x^6 - 665430*x^5 - 195695*x^4 + 63864*x^3 + 13414*x^2 - 583*x - 93, 2*x^29 - 29*x^28 + 123*x^27 + 187*x^26 - 2906*x^25 + 5150*x^24 + 20301*x^23 - 81755*x^22 - 15692*x^21 + 497562*x^20 - 519759*x^19 - 1456554*x^18 + 3142952*x^17 + 1432318*x^16 - 8545084*x^15 + 3141030*x^14 + 11991011*x^13 - 11036003*x^12 - 7527458*x^11 + 13104799*x^10 + 116166*x^9 - 7120988*x^8 + 1882135*x^7 + 1756935*x^6 - 665430*x^5 - 195695*x^4 + 63864*x^3 + 13414*x^2 - 583*x - 93, 2*x^29 - 28*x^28 + 110*x^27 + 227*x^26 - 2721*x^25 + 3805*x^24 + 20984*x^23 - 68273*x^22 - 44649*x^21 + 444339*x^20 - 284500*x^19 - 1466579*x^18 + 2228538*x^17 + 2274902*x^16 - 6761678*x^15 + 13094*x^14 + 10775996*x^13 - 5784158*x^12 - 8771477*x^11 + 8866976*x^10 + 2575906*x^9 - 5671350*x^8 + 640164*x^7 + 1542265*x^6 - 417710*x^5 - 168082*x^4 + 44454*x^3 + 10337*x^2 - 709*x - 129, 3*x^29 - 45*x^28 + 208*x^27 + 153*x^26 - 4242*x^25 + 9329*x^24 + 24108*x^23 - 121376*x^22 + 21456*x^21 + 649645*x^20 - 837858*x^19 - 1670964*x^18 + 4157402*x^17 + 1288555*x^16 - 10214022*x^15 + 3743705*x^14 + 13840862*x^13 - 11248997*x^12 - 9853983*x^11 + 13000072*x^10 + 2681496*x^9 - 7563573*x^8 + 532409*x^7 + 2143249*x^6 - 336296*x^5 - 284740*x^4 + 23350*x^3 + 18293*x^2 + 1757*x + 60, 2*x^29 - 28*x^28 + 110*x^27 + 227*x^26 - 2721*x^25 + 3805*x^24 + 20984*x^23 - 68273*x^22 - 44649*x^21 + 444339*x^20 - 284500*x^19 - 1466579*x^18 + 2228538*x^17 + 2274902*x^16 - 6761678*x^15 + 13094*x^14 + 10775996*x^13 - 5784158*x^12 - 8771477*x^11 + 8866976*x^10 + 2575906*x^9 - 5671350*x^8 + 640164*x^7 + 1542265*x^6 - 417710*x^5 - 168082*x^4 + 44454*x^3 + 10337*x^2 - 709*x - 129, 3*x^29 - 45*x^28 + 208*x^27 + 153*x^26 - 4242*x^25 + 9329*x^24 + 24108*x^23 - 121376*x^22 + 21456*x^21 + 649645*x^20 - 837858*x^19 - 1670964*x^18 + 4157402*x^17 + 1288555*x^16 - 10214022*x^15 + 3743705*x^14 + 13840862*x^13 - 11248997*x^12 - 9853983*x^11 + 13000072*x^10 + 2681496*x^9 - 7563573*x^8 + 532409*x^7 + 2143249*x^6 - 336296*x^5 - 284740*x^4 + 23350*x^3 + 18293*x^2 + 1757*x + 60, 2*x^29 - 29*x^28 + 124*x^27 + 169*x^26 - 2793*x^25 + 5006*x^24 + 18739*x^23 - 74852*x^22 - 15849*x^21 + 437820*x^20 - 414285*x^19 - 1272716*x^18 + 2409335*x^17 + 1554697*x^16 - 6332043*x^15 + 864717*x^14 + 9033058*x^13 - 5018784*x^12 - 7075617*x^11 + 6173681*x^10 + 2948856*x^9 - 3648382*x^8 - 622074*x^7 + 1119329*x^6 + 94854*x^5 - 174456*x^4 - 23095*x^3 + 11864*x^2 + 2738*x + 114, 2*x^29 - 29*x^28 + 124*x^27 + 169*x^26 - 2793*x^25 + 5006*x^24 + 18739*x^23 - 74852*x^22 - 15849*x^21 + 437820*x^20 - 414285*x^19 - 1272716*x^18 + 2409335*x^17 + 1554697*x^16 - 6332043*x^15 + 864717*x^14 + 9033058*x^13 - 5018784*x^12 - 7075617*x^11 + 6173681*x^10 + 2948856*x^9 - 3648382*x^8 - 622074*x^7 + 1119329*x^6 + 94854*x^5 - 174456*x^4 - 23095*x^3 + 11864*x^2 + 2738*x + 114, x^29 - 11*x^28 + 7*x^27 + 371*x^26 - 1485*x^25 - 2137*x^24 + 23969*x^23 - 25063*x^22 - 150187*x^21 + 380393*x^20 + 315405*x^19 - 2032252*x^18 + 908870*x^17 + 5332827*x^16 - 6677953*x^15 - 6124009*x^14 + 15578596*x^13 - 943441*x^12 - 17127442*x^11 + 9319406*x^10 + 8064678*x^9 - 8164531*x^8 - 605837*x^7 + 2519284*x^6 - 364900*x^5 - 278121*x^4 + 39326*x^3 + 14191*x^2 + 122*x - 21, x^29 - 11*x^28 + 7*x^27 + 371*x^26 - 1485*x^25 - 2137*x^24 + 23969*x^23 - 25063*x^22 - 150187*x^21 + 380393*x^20 + 315405*x^19 - 2032252*x^18 + 908870*x^17 + 5332827*x^16 - 6677953*x^15 - 6124009*x^14 + 15578596*x^13 - 943441*x^12 - 17127442*x^11 + 9319406*x^10 + 8064678*x^9 - 8164531*x^8 - 605837*x^7 + 2519284*x^6 - 364900*x^5 - 278121*x^4 + 39326*x^3 + 14191*x^2 + 122*x - 21, x^28 - 14*x^27 + 62*x^26 + 19*x^25 - 981*x^24 + 2317*x^23 + 3513*x^22 - 22011*x^21 + 14222*x^20 + 81350*x^19 - 151230*x^18 - 101348*x^17 + 518751*x^16 - 214089*x^15 - 921428*x^14 + 1068936*x^13 + 777829*x^12 - 1937696*x^11 + 100163*x^10 + 1811599*x^9 - 760893*x^8 - 844611*x^7 + 535106*x^6 + 193455*x^5 - 142468*x^4 - 26331*x^3 + 12653*x^2 + 2954*x + 114, x^28 - 14*x^27 + 62*x^26 + 19*x^25 - 981*x^24 + 2317*x^23 + 3513*x^22 - 22011*x^21 + 14222*x^20 + 81350*x^19 - 151230*x^18 - 101348*x^17 + 518751*x^16 - 214089*x^15 - 921428*x^14 + 1068936*x^13 + 777829*x^12 - 1937696*x^11 + 100163*x^10 + 1811599*x^9 - 760893*x^8 - 844611*x^7 + 535106*x^6 + 193455*x^5 - 142468*x^4 - 26331*x^3 + 12653*x^2 + 2954*x + 114, 2*x^28 - 27*x^27 + 100*x^26 + 231*x^25 - 2438*x^24 + 2942*x^23 + 18636*x^22 - 54002*x^21 - 45488*x^20 + 340682*x^19 - 156519*x^18 - 1090119*x^17 + 1350583*x^16 + 1745180*x^15 - 3877629*x^14 - 772587*x^13 + 5701739*x^12 - 1579428*x^11 - 4437860*x^10 + 2435882*x^9 + 1747102*x^8 - 1291435*x^7 - 317455*x^6 + 261882*x^5 + 34395*x^4 - 7065*x^3 - 5237*x^2 - 1846*x - 165, 2*x^28 - 27*x^27 + 100*x^26 + 231*x^25 - 2438*x^24 + 2942*x^23 + 18636*x^22 - 54002*x^21 - 45488*x^20 + 340682*x^19 - 156519*x^18 - 1090119*x^17 + 1350583*x^16 + 1745180*x^15 - 3877629*x^14 - 772587*x^13 + 5701739*x^12 - 1579428*x^11 - 4437860*x^10 + 2435882*x^9 + 1747102*x^8 - 1291435*x^7 - 317455*x^6 + 261882*x^5 + 34395*x^4 - 7065*x^3 - 5237*x^2 - 1846*x - 165, x^28 - 9*x^27 - 16*x^26 + 417*x^25 - 1049*x^24 - 4167*x^23 + 22119*x^22 + 569*x^21 - 171629*x^20 + 222986*x^19 + 619741*x^18 - 1563741*x^17 - 756219*x^16 + 5095359*x^15 - 1796683*x^14 - 8842120*x^13 + 7805412*x^12 + 7639800*x^11 - 11425338*x^10 - 2005769*x^9 + 7870508*x^8 - 1054916*x^7 - 2505364*x^6 + 549026*x^5 + 377581*x^4 - 43008*x^3 - 30013*x^2 - 3169*x - 93, x^28 - 9*x^27 - 16*x^26 + 417*x^25 - 1049*x^24 - 4167*x^23 + 22119*x^22 + 569*x^21 - 171629*x^20 + 222986*x^19 + 619741*x^18 - 1563741*x^17 - 756219*x^16 + 5095359*x^15 - 1796683*x^14 - 8842120*x^13 + 7805412*x^12 + 7639800*x^11 - 11425338*x^10 - 2005769*x^9 + 7870508*x^8 - 1054916*x^7 - 2505364*x^6 + 549026*x^5 + 377581*x^4 - 43008*x^3 - 30013*x^2 - 3169*x - 93, 3*x^27 - 38*x^26 + 124*x^25 + 374*x^24 - 3045*x^23 + 2214*x^22 + 24363*x^21 - 51650*x^20 - 82916*x^19 + 339116*x^18 + 31367*x^17 - 1160100*x^16 + 709234*x^15 + 2240325*x^14 - 2558732*x^13 - 2262383*x^12 + 4217185*x^11 + 700061*x^10 - 3637636*x^9 + 609845*x^8 + 1596054*x^7 - 539992*x^6 - 322341*x^5 + 132996*x^4 + 24923*x^3 - 8473*x^2 - 1057*x + 51, 3*x^27 - 38*x^26 + 124*x^25 + 374*x^24 - 3045*x^23 + 2214*x^22 + 24363*x^21 - 51650*x^20 - 82916*x^19 + 339116*x^18 + 31367*x^17 - 1160100*x^16 + 709234*x^15 + 2240325*x^14 - 2558732*x^13 - 2262383*x^12 + 4217185*x^11 + 700061*x^10 - 3637636*x^9 + 609845*x^8 + 1596054*x^7 - 539992*x^6 - 322341*x^5 + 132996*x^4 + 24923*x^3 - 8473*x^2 - 1057*x + 51]>
       ]
>;

MOG[733] := 	// J_0(733)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [670, 158*x + 147, 575*x + 147, 102*x + 167, 360*x + 602, 373*x + 602, 631*x + 167, 589*x + 181, 291*x + 154, 89*x + 310, 133*x + 84, 600*x + 84, 644*x + 310, 144*x + 181, 442*x + 154, 685*x + 435, 97*x + 639, 586*x + 184, 388*x + 38, 431*x + 238, 133*x + 670, 600*x + 670, 302*x + 238, 345*x + 38, 636*x + 639, 48*x + 435, 147*x + 184, 440*x + 717, 131, 298*x + 577, 305*x + 399, 585*x + 704, 727*x + 442, 107*x + 16, 626*x + 16, 428*x + 399, 6*x + 442, 435*x + 577, 293*x + 717, 148*x + 704, 204*x + 452, 273*x + 285, 547, 638*x + 401, 154*x + 125, 370*x + 608, 448*x + 144, 544*x + 597, 115*x + 224, 189*x + 597, 80, 529*x + 452, 363*x + 608, 618*x + 224, 95*x + 401, 579*x + 125, 460*x + 285, 285*x + 144, 182, 217, 290]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [0, 0, 0, 1, -1, -1, 1, 1, 0, 0, -1, -1, 0, 1, 0, 1, -1, -1, 0, 1, 1, 1, 1, 0, -1, 1, -1, -1, -2, 0, 0, -1, 0, 1, 1, 0, 0, 0, -1, -1, -2, 0, 0, 1, 0, 0, 1, -1, 1, -1, 2, -2, 0, 1, 1, 0, 0, 1, 0, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^2 + 2*x + 1,
           Coordinates        := [0, 0, 0, x + 3, -x - 3, x + 3, -x - 3, -x - 3, 0, 0, x + 3, -x - 3, 0, x + 3, 0, -x - 5, x + 5, -x - 3, -2, x + 5, x + 3, -x - 3, -x - 5, 2, -x - 5, x + 5, x + 3, x + 3, 0, -2, 0, x + 3, 0, -x - 3, x + 3, 0, 0, 2, -x - 3, -x - 3, 0, 2, 0, -x - 3, 0, -2, x + 3, -x - 3, -x - 1, x + 3, 0, 0, 2, x + 1, x + 3, 0, -2, -x - 3, 0, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^25 + 11*x^24 + 23*x^23 - 162*x^22 - 734*x^21 + 509*x^20 + 7112*x^19 + 4581*x^18 - 35020*x^17 - 47369*x^16 + 97791*x^15 + 193541*x^14 - 154023*x^13 - 443695*x^12 + 116394*x^11 + 611323*x^10 + 22*x^9 - 504402*x^8 - 62327*x^7 + 235777*x^6 + 38541*x^5 - 54146*x^4 - 8289*x^3 + 4179*x^2 + 491*x - 41,
           Coordinates        := [0, -x^24 - 11*x^23 - 25*x^22 + 140*x^21 + 680*x^20 - 271*x^19 - 5846*x^18 - 4671*x^17 + 25483*x^16 + 37497*x^15 - 62369*x^14 - 131494*x^13 + 84716*x^12 + 261142*x^11 - 53681*x^10 - 309333*x^9 - 956*x^8 + 215194*x^7 + 19269*x^6 - 81785*x^5 - 8132*x^4 + 14439*x^3 + 747*x^2 - 817*x + 21, x^24 + 11*x^23 + 25*x^22 - 140*x^21 - 680*x^20 + 271*x^19 + 5846*x^18 + 4671*x^17 - 25483*x^16 - 37497*x^15 + 62369*x^14 + 131494*x^13 - 84716*x^12 - 261142*x^11 + 53681*x^10 + 309333*x^9 + 956*x^8 - 215194*x^7 - 19269*x^6 + 81785*x^5 + 8132*x^4 - 14439*x^3 - 747*x^2 + 817*x - 21, -x^23 - 11*x^22 - 27*x^21 + 119*x^20 + 633*x^19 - 46*x^18 - 4778*x^17 - 4956*x^16 + 17783*x^15 + 31339*x^14 - 34684*x^13 - 92800*x^12 + 30287*x^11 + 154460*x^10 + 3242*x^9 - 148664*x^8 - 26631*x^7 + 79478*x^6 + 18174*x^5 - 20688*x^4 - 4238*x^3 + 1865*x^2 + 179*x - 55, -x^23 - 11*x^22 - 27*x^21 + 119*x^20 + 633*x^19 - 44*x^18 - 4759*x^17 - 4916*x^16 + 17639*x^15 + 30708*x^14 - 34623*x^13 - 89753*x^12 + 32426*x^11 + 147530*x^10 - 4176*x^9 - 140544*x^8 - 16427*x^7 + 74514*x^6 + 12235*x^5 - 19019*x^4 - 3304*x^3 + 1497*x^2 + 333*x + 14, x^23 + 11*x^22 + 27*x^21 - 119*x^20 - 633*x^19 + 44*x^18 + 4759*x^17 + 4916*x^16 - 17639*x^15 - 30708*x^14 + 34623*x^13 + 89753*x^12 - 32426*x^11 - 147530*x^10 + 4176*x^9 + 140544*x^8 + 16427*x^7 - 74514*x^6 - 12235*x^5 + 19019*x^4 + 3304*x^3 - 1497*x^2 - 333*x - 14, x^23 + 11*x^22 + 27*x^21 - 119*x^20 - 633*x^19 + 46*x^18 + 4778*x^17 + 4956*x^16 - 17783*x^15 - 31339*x^14 + 34684*x^13 + 92800*x^12 - 30287*x^11 - 154460*x^10 - 3242*x^9 + 148664*x^8 + 26631*x^7 - 79478*x^6 - 18174*x^5 + 20688*x^4 + 4238*x^3 - 1865*x^2 - 179*x + 55, -x^22 - 11*x^21 - 29*x^20 + 98*x^19 + 583*x^18 + 149*x^17 - 3775*x^16 - 4962*x^15 + 11370*x^14 + 24996*x^13 - 14859*x^12 - 60730*x^11 - 1166*x^10 + 80176*x^9 + 25401*x^8 - 56873*x^7 - 26501*x^6 + 19814*x^5 + 10060*x^4 - 2706*x^3 - 1043*x^2 + 88*x + 21, -x^22 - 10*x^21 - 18*x^20 + 127*x^19 + 485*x^18 - 434*x^17 - 3925*x^16 - 1196*x^15 + 16315*x^14 + 13698*x^13 - 39570*x^12 - 45952*x^11 + 58089*x^10 + 80493*x^9 - 51076*x^8 - 78843*x^7 + 25406*x^6 + 41283*x^5 - 6166*x^4 - 9868*x^3 + 475*x^2 + 674*x - 42, -x^22 - 11*x^21 - 29*x^20 + 99*x^19 + 592*x^18 + 165*x^17 - 3849*x^16 - 5216*x^15 + 11541*x^14 + 26245*x^13 - 14911*x^12 - 64074*x^11 - 1227*x^10 + 86135*x^9 + 24963*x^8 - 63947*x^7 - 25774*x^6 + 24452*x^5 + 9786*x^4 - 3931*x^3 - 1011*x^2 + 135*x - 28, -x^22 - 10*x^21 - 18*x^20 + 128*x^19 + 495*x^18 - 410*x^17 - 3995*x^16 - 1573*x^15 + 16205*x^14 + 15496*x^13 - 37379*x^12 - 49538*x^11 + 50732*x^10 + 82654*x^9 - 40434*x^8 - 76733*x^7 + 18740*x^6 + 38314*x^5 - 4958*x^4 - 9011*x^3 + 597*x^2 + 696*x + 7, x^22 + 10*x^21 + 18*x^20 - 128*x^19 - 495*x^18 + 410*x^17 + 3995*x^16 + 1573*x^15 - 16205*x^14 - 15496*x^13 + 37379*x^12 + 49538*x^11 - 50732*x^10 - 82654*x^9 + 40434*x^8 + 76733*x^7 - 18740*x^6 - 38314*x^5 + 4958*x^4 + 9011*x^3 - 597*x^2 - 696*x - 7, x^22 + 11*x^21 + 29*x^20 - 99*x^19 - 592*x^18 - 165*x^17 + 3849*x^16 + 5216*x^15 - 11541*x^14 - 26245*x^13 + 14911*x^12 + 64074*x^11 + 1227*x^10 - 86135*x^9 - 24963*x^8 + 63947*x^7 + 25774*x^6 - 24452*x^5 - 9786*x^4 + 3931*x^3 + 1011*x^2 - 135*x + 28, x^22 + 11*x^21 + 29*x^20 - 98*x^19 - 583*x^18 - 149*x^17 + 3775*x^16 + 4962*x^15 - 11370*x^14 - 24996*x^13 + 14859*x^12 + 60730*x^11 + 1166*x^10 - 80176*x^9 - 25401*x^8 + 56873*x^7 + 26501*x^6 - 19814*x^5 - 10060*x^4 + 2706*x^3 + 1043*x^2 - 88*x - 21, x^22 + 10*x^21 + 18*x^20 - 127*x^19 - 485*x^18 + 434*x^17 + 3925*x^16 + 1196*x^15 - 16315*x^14 - 13698*x^13 + 39570*x^12 + 45952*x^11 - 58089*x^10 - 80493*x^9 + 51076*x^8 + 78843*x^7 - 25406*x^6 - 41283*x^5 + 6166*x^4 + 9868*x^3 - 475*x^2 - 674*x + 42, -x^21 - 10*x^20 - 20*x^19 + 108*x^18 + 452*x^17 - 222*x^16 - 3143*x^15 - 1756*x^14 + 10928*x^13 + 11557*x^12 - 21321*x^11 - 29556*x^10 + 23982*x^9 + 39254*x^8 - 15281*x^7 - 27495*x^6 + 5167*x^5 + 9214*x^4 - 726*x^3 - 1127*x^2 + 2*x + 42, -x^21 - 11*x^20 - 30*x^19 + 87*x^18 + 551*x^17 + 216*x^16 - 3270*x^15 - 4587*x^14 + 8897*x^13 + 20513*x^12 - 10132*x^11 - 44728*x^10 - 1823*x^9 + 52537*x^8 + 15411*x^7 - 32169*x^6 - 13281*x^5 + 8768*x^4 + 3921*x^3 - 650*x^2 - 160*x + 13, -x^21 - 10*x^20 - 21*x^19 + 97*x^18 + 419*x^17 - 165*x^16 - 2664*x^15 - 1326*x^14 + 8812*x^13 + 7278*x^12 - 18150*x^11 - 15878*x^10 + 26175*x^9 + 18745*x^8 - 26806*x^7 - 12789*x^6 + 16943*x^5 + 4654*x^4 - 5155*x^3 - 716*x^2 + 453*x + 13, -x^21 - 10*x^20 - 20*x^19 + 109*x^18 + 462*x^17 - 197*x^16 - 3201*x^15 - 2089*x^14 + 10807*x^13 + 12937*x^12 - 19781*x^11 - 32126*x^10 + 19704*x^9 + 41340*x^8 - 9765*x^7 - 27515*x^6 + 1529*x^5 + 8007*x^4 + 428*x^3 - 524*x^2 - 76*x - 22, -x^21 - 10*x^20 - 21*x^19 + 100*x^18 + 448*x^17 - 103*x^16 - 2897*x^15 - 2374*x^14 + 8905*x^13 + 12742*x^12 - 13872*x^11 - 29269*x^10 + 9435*x^9 + 35257*x^8 + 418*x^7 - 22547*x^6 - 3978*x^5 + 7081*x^4 + 1865*x^3 - 838*x^2 - 285*x + 8, -x^21 - 9*x^20 - 10*x^19 + 129*x^18 + 354*x^17 - 652*x^16 - 3007*x^15 + 993*x^14 + 12740*x^13 + 2836*x^12 - 31232*x^11 - 14144*x^10 + 46396*x^9 + 23377*x^8 - 41566*x^7 - 17460*x^6 + 21121*x^5 + 5050*x^4 - 5110*x^3 - 204*x^2 + 370*x - 7, x^21 + 9*x^20 + 10*x^19 - 129*x^18 - 354*x^17 + 652*x^16 + 3007*x^15 - 993*x^14 - 12740*x^13 - 2836*x^12 + 31232*x^11 + 14144*x^10 - 46396*x^9 - 23377*x^8 + 41566*x^7 + 17460*x^6 - 21121*x^5 - 5050*x^4 + 5110*x^3 + 204*x^2 - 370*x + 7, x^21 + 10*x^20 + 21*x^19 - 100*x^18 - 448*x^17 + 103*x^16 + 2897*x^15 + 2374*x^14 - 8905*x^13 - 12742*x^12 + 13872*x^11 + 29269*x^10 - 9435*x^9 - 35257*x^8 - 418*x^7 + 22547*x^6 + 3978*x^5 - 7081*x^4 - 1865*x^3 + 838*x^2 + 285*x - 8, x^21 + 10*x^20 + 20*x^19 - 109*x^18 - 462*x^17 + 197*x^16 + 3201*x^15 + 2089*x^14 - 10807*x^13 - 12937*x^12 + 19781*x^11 + 32126*x^10 - 19704*x^9 - 41340*x^8 + 9765*x^7 + 27515*x^6 - 1529*x^5 - 8007*x^4 - 428*x^3 + 524*x^2 + 76*x + 22, x^21 + 11*x^20 + 30*x^19 - 87*x^18 - 551*x^17 - 216*x^16 + 3270*x^15 + 4587*x^14 - 8897*x^13 - 20513*x^12 + 10132*x^11 + 44728*x^10 + 1823*x^9 - 52537*x^8 - 15411*x^7 + 32169*x^6 + 13281*x^5 - 8768*x^4 - 3921*x^3 + 650*x^2 + 160*x - 13, x^21 + 10*x^20 + 20*x^19 - 108*x^18 - 452*x^17 + 222*x^16 + 3143*x^15 + 1756*x^14 - 10928*x^13 - 11557*x^12 + 21321*x^11 + 29556*x^10 - 23982*x^9 - 39254*x^8 + 15281*x^7 + 27495*x^6 - 5167*x^5 - 9214*x^4 + 726*x^3 + 1127*x^2 - 2*x - 42, x^21 + 10*x^20 + 21*x^19 - 97*x^18 - 419*x^17 + 165*x^16 + 2664*x^15 + 1326*x^14 - 8812*x^13 - 7278*x^12 + 18150*x^11 + 15878*x^10 - 26175*x^9 - 18745*x^8 + 26806*x^7 + 12789*x^6 - 16943*x^5 - 4654*x^4 + 5155*x^3 + 716*x^2 - 453*x - 13, -x^20 - 10*x^19 - 23*x^18 + 81*x^17 + 410*x^16 + 63*x^15 - 2198*x^14 - 2511*x^13 + 5095*x^12 + 9853*x^11 - 4408*x^10 - 16940*x^9 - 1428*x^8 + 14097*x^7 + 4173*x^6 - 5433*x^5 - 1572*x^4 + 853*x^3 - 82*x^2 - 44*x + 21, 0, -x^20 - 11*x^19 - 32*x^18 + 67*x^17 + 505*x^16 + 375*x^15 - 2473*x^14 - 4483*x^13 + 4727*x^12 + 16002*x^11 - 657*x^10 - 27639*x^9 - 9990*x^8 + 24704*x^7 + 13220*x^6 - 11046*x^5 - 6139*x^4 + 2056*x^3 + 883*x^2 - 75*x - 21, -2*x^20 - 20*x^19 - 44*x^18 + 180*x^17 + 849*x^16 - 55*x^15 - 5010*x^14 - 4598*x^13 + 13781*x^12 + 20933*x^11 - 18607*x^10 - 41443*x^9 + 10712*x^8 + 41818*x^7 - 751*x^6 - 21349*x^5 - 840*x^4 + 4958*x^3 - 112*x^2 - 412*x + 36, -x^20 - 10*x^19 - 22*x^18 + 89*x^17 + 412*x^16 - 75*x^15 - 2493*x^14 - 1822*x^13 + 7639*x^12 + 9141*x^11 - 13307*x^10 - 20305*x^9 + 13558*x^8 + 24236*x^7 - 7712*x^6 - 15280*x^5 + 1851*x^4 + 4194*x^3 + 90*x^2 - 249*x + 6, -x^20 - 10*x^19 - 21*x^18 + 100*x^17 + 451*x^16 - 74*x^15 - 2823*x^14 - 2501*x^13 + 8067*x^12 + 12167*x^11 - 11195*x^10 - 25091*x^9 + 6612*x^8 + 26667*x^7 - 212*x^6 - 14916*x^5 - 1351*x^4 + 3835*x^3 + 411*x^2 - 233*x + 6, -x^20 - 9*x^19 - 12*x^18 + 112*x^17 + 336*x^16 - 441*x^15 - 2472*x^14 + 80*x^13 + 8983*x^12 + 4162*x^11 - 18480*x^10 - 12881*x^9 + 22245*x^8 + 17707*x^7 - 15079*x^6 - 12143*x^5 + 4898*x^4 + 3697*x^3 - 431*x^2 - 333*x - 14, x^20 + 9*x^19 + 12*x^18 - 112*x^17 - 336*x^16 + 441*x^15 + 2472*x^14 - 80*x^13 - 8983*x^12 - 4162*x^11 + 18480*x^10 + 12881*x^9 - 22245*x^8 - 17707*x^7 + 15079*x^6 + 12143*x^5 - 4898*x^4 - 3697*x^3 + 431*x^2 + 333*x + 14, 2*x^20 + 20*x^19 + 44*x^18 - 180*x^17 - 849*x^16 + 55*x^15 + 5010*x^14 + 4598*x^13 - 13781*x^12 - 20933*x^11 + 18607*x^10 + 41443*x^9 - 10712*x^8 - 41818*x^7 + 751*x^6 + 21349*x^5 + 840*x^4 - 4958*x^3 + 112*x^2 + 412*x - 36, x^20 + 10*x^19 + 21*x^18 - 100*x^17 - 451*x^16 + 74*x^15 + 2823*x^14 + 2501*x^13 - 8067*x^12 - 12167*x^11 + 11195*x^10 + 25091*x^9 - 6612*x^8 - 26667*x^7 + 212*x^6 + 14916*x^5 + 1351*x^4 - 3835*x^3 - 411*x^2 + 233*x - 6, x^20 + 11*x^19 + 32*x^18 - 67*x^17 - 505*x^16 - 375*x^15 + 2473*x^14 + 4483*x^13 - 4727*x^12 - 16002*x^11 + 657*x^10 + 27639*x^9 + 9990*x^8 - 24704*x^7 - 13220*x^6 + 11046*x^5 + 6139*x^4 - 2056*x^3 - 883*x^2 + 75*x + 21, x^20 + 10*x^19 + 23*x^18 - 81*x^17 - 410*x^16 - 63*x^15 + 2198*x^14 + 2511*x^13 - 5095*x^12 - 9853*x^11 + 4408*x^10 + 16940*x^9 + 1428*x^8 - 14097*x^7 - 4173*x^6 + 5433*x^5 + 1572*x^4 - 853*x^3 + 82*x^2 + 44*x - 21, x^20 + 10*x^19 + 22*x^18 - 89*x^17 - 412*x^16 + 75*x^15 + 2493*x^14 + 1822*x^13 - 7639*x^12 - 9141*x^11 + 13307*x^10 + 20305*x^9 - 13558*x^8 - 24236*x^7 + 7712*x^6 + 15280*x^5 - 1851*x^4 - 4194*x^3 - 90*x^2 + 249*x - 6, -2*x^19 - 17*x^18 - 18*x^17 + 211*x^16 + 535*x^15 - 913*x^14 - 3757*x^13 + 1326*x^12 + 12752*x^11 + 1263*x^10 - 24151*x^9 - 5670*x^8 + 26487*x^7 + 5317*x^6 - 16223*x^5 - 1353*x^4 + 4679*x^3 - 129*x^2 - 384*x + 7, -x^19 - 10*x^18 - 24*x^17 + 74*x^16 + 410*x^15 + 158*x^14 - 2076*x^13 - 3030*x^12 + 4161*x^11 + 11353*x^10 - 1259*x^9 - 19487*x^8 - 7033*x^7 + 16745*x^6 + 9484*x^5 - 7008*x^4 - 4035*x^3 + 1212*x^2 + 403*x - 49, 0, -x^19 - 11*x^18 - 31*x^17 + 74*x^16 + 505*x^15 + 280*x^14 - 2595*x^13 - 3964*x^12 + 5661*x^11 + 14502*x^10 - 3806*x^9 - 25092*x^8 - 4385*x^7 + 22056*x^6 + 7909*x^5 - 9471*x^4 - 3676*x^3 + 1697*x^2 + 398*x - 70, -x^19 - 9*x^18 - 15*x^17 + 85*x^16 + 292*x^15 - 176*x^14 - 1575*x^13 - 547*x^12 + 3814*x^11 + 2587*x^10 - 4361*x^9 - 2741*x^8 + 2194*x^7 - 933*x^6 - 767*x^5 + 2759*x^4 + 638*x^3 - 1122*x^2 - 259*x + 57, -2*x^19 - 17*x^18 - 18*x^17 + 213*x^16 + 551*x^15 - 898*x^14 - 3936*x^13 + 913*x^12 + 13415*x^11 + 3704*x^10 - 24898*x^9 - 12184*x^8 + 25637*x^7 + 13987*x^6 - 13805*x^5 - 6777*x^4 + 3178*x^3 + 1142*x^2 - 132*x - 21, -x^19 - 8*x^18 - 6*x^17 + 101*x^16 + 210*x^15 - 495*x^14 - 1503*x^13 + 1184*x^12 + 5271*x^11 - 1401*x^10 - 10505*x^9 + 705*x^8 + 12148*x^7 - 60*x^6 - 7592*x^5 - 96*x^4 + 2043*x^3 + 108*x^2 - 126*x + 3, -x^17 - 11*x^16 - 39*x^15 - x^14 + 330*x^13 + 679*x^12 - 428*x^11 - 3026*x^10 - 2112*x^9 + 4786*x^8 + 6946*x^7 - 2431*x^6 - 7500*x^5 - 364*x^4 + 3202*x^3 + 359*x^2 - 321*x - 16, -x^19 - 9*x^18 - 12*x^17 + 112*x^16 + 339*x^15 - 413*x^14 - 2410*x^13 - 91*x^12 + 8158*x^11 + 4009*x^10 - 15204*x^9 - 9887*x^8 + 16499*x^7 + 10168*x^6 - 10380*x^5 - 4536*x^4 + 3185*x^3 + 650*x^2 - 239*x + 6, x^17 + 11*x^16 + 39*x^15 + x^14 - 330*x^13 - 679*x^12 + 428*x^11 + 3026*x^10 + 2112*x^9 - 4786*x^8 - 6946*x^7 + 2431*x^6 + 7500*x^5 + 364*x^4 - 3202*x^3 - 359*x^2 + 321*x + 16, 0, 2*x^19 + 17*x^18 + 18*x^17 - 211*x^16 - 535*x^15 + 913*x^14 + 3757*x^13 - 1326*x^12 - 12752*x^11 - 1263*x^10 + 24151*x^9 + 5670*x^8 - 26487*x^7 - 5317*x^6 + 16223*x^5 + 1353*x^4 - 4679*x^3 + 129*x^2 + 384*x - 7, 2*x^19 + 17*x^18 + 18*x^17 - 213*x^16 - 551*x^15 + 898*x^14 + 3936*x^13 - 913*x^12 - 13415*x^11 - 3704*x^10 + 24898*x^9 + 12184*x^8 - 25637*x^7 - 13987*x^6 + 13805*x^5 + 6777*x^4 - 3178*x^3 - 1142*x^2 + 132*x + 21, x^19 + 9*x^18 + 12*x^17 - 112*x^16 - 339*x^15 + 413*x^14 + 2410*x^13 + 91*x^12 - 8158*x^11 - 4009*x^10 + 15204*x^9 + 9887*x^8 - 16499*x^7 - 10168*x^6 + 10380*x^5 + 4536*x^4 - 3185*x^3 - 650*x^2 + 239*x - 6, x^19 + 11*x^18 + 31*x^17 - 74*x^16 - 505*x^15 - 280*x^14 + 2595*x^13 + 3964*x^12 - 5661*x^11 - 14502*x^10 + 3806*x^9 + 25092*x^8 + 4385*x^7 - 22056*x^6 - 7909*x^5 + 9471*x^4 + 3676*x^3 - 1697*x^2 - 398*x + 70, x^19 + 9*x^18 + 15*x^17 - 85*x^16 - 292*x^15 + 176*x^14 + 1575*x^13 + 547*x^12 - 3814*x^11 - 2587*x^10 + 4361*x^9 + 2741*x^8 - 2194*x^7 + 933*x^6 + 767*x^5 - 2759*x^4 - 638*x^3 + 1122*x^2 + 259*x - 57, x^19 + 10*x^18 + 24*x^17 - 74*x^16 - 410*x^15 - 158*x^14 + 2076*x^13 + 3030*x^12 - 4161*x^11 - 11353*x^10 + 1259*x^9 + 19487*x^8 + 7033*x^7 - 16745*x^6 - 9484*x^5 + 7008*x^4 + 4035*x^3 - 1212*x^2 - 403*x + 49, x^19 + 8*x^18 + 6*x^17 - 101*x^16 - 210*x^15 + 495*x^14 + 1503*x^13 - 1184*x^12 - 5271*x^11 + 1401*x^10 + 10505*x^9 - 705*x^8 - 12148*x^7 + 60*x^6 + 7592*x^5 + 96*x^4 - 2043*x^3 - 108*x^2 + 126*x - 3, 0, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^32 - 12*x^31 + 21*x^30 + 295*x^29 - 1291*x^28 - 2146*x^27 + 20838*x^26 - 7745*x^25 - 172540*x^24 + 240974*x^23 + 828368*x^22 - 1914829*x^21 - 2248218*x^20 + 8532242*x^19 + 2331900*x^18 - 24096342*x^17 + 5262870*x^16 + 44513483*x^15 - 23814613*x^14 - 53511607*x^13 + 40948045*x^12 + 40630734*x^11 - 38762135*x^10 - 18558931*x^9 + 20965672*x^8 + 4838021*x^7 - 6286910*x^6 - 686239*x^5 + 952428*x^4 + 54184*x^3 - 56517*x^2 - 2930*x + 241,
           Coordinates        := [-2*x^31 + 24*x^30 - 46*x^29 - 542*x^28 + 2482*x^27 + 3304*x^26 - 36924*x^25 + 20262*x^24 + 280444*x^23 - 434494*x^22 - 1212680*x^21 + 3066068*x^20 + 2806898*x^19 - 12339168*x^18 - 1502164*x^17 + 31352354*x^16 - 10240508*x^15 - 51385670*x^14 + 32195890*x^13 + 53363798*x^12 - 45930004*x^11 - 33254456*x^10 + 36122536*x^9 + 11180760*x^8 - 15541622*x^7 - 1660000*x^6 + 3411284*x^5 + 65328*x^4 - 333176*x^3 - 4212*x^2 + 11256*x + 660, x^31 - 14*x^30 + 47*x^29 + 221*x^28 - 1735*x^27 + 724*x^26 + 20848*x^25 - 42449*x^24 - 116495*x^23 + 439275*x^22 + 224545*x^21 - 2377803*x^20 + 959209*x^19 + 7750402*x^18 - 7669083*x^17 - 15533561*x^16 + 23940902*x^15 + 17976167*x^14 - 42927653*x^13 - 8698856*x^12 + 46968508*x^11 - 4073639*x^10 - 31029819*x^9 + 7604481*x^8 + 11778832*x^7 - 3751268*x^6 - 2359217*x^5 + 753176*x^4 + 218666*x^3 - 48783*x^2 - 8228*x - 89, x^31 - 14*x^30 + 47*x^29 + 221*x^28 - 1735*x^27 + 724*x^26 + 20848*x^25 - 42449*x^24 - 116495*x^23 + 439275*x^22 + 224545*x^21 - 2377803*x^20 + 959209*x^19 + 7750402*x^18 - 7669083*x^17 - 15533561*x^16 + 23940902*x^15 + 17976167*x^14 - 42927653*x^13 - 8698856*x^12 + 46968508*x^11 - 4073639*x^10 - 31029819*x^9 + 7604481*x^8 + 11778832*x^7 - 3751268*x^6 - 2359217*x^5 + 753176*x^4 + 218666*x^3 - 48783*x^2 - 8228*x - 89, x^30 - 14*x^29 + 49*x^28 + 194*x^27 - 1647*x^26 + 1109*x^25 + 17905*x^24 - 41123*x^23 - 84757*x^22 + 375967*x^21 + 69100*x^20 - 1801413*x^19 + 1191507*x^18 + 5042145*x^17 - 6448955*x^16 - 8074989*x^15 + 16399015*x^14 + 5950764*x^13 - 23932168*x^12 + 1258118*x^11 + 20488825*x^10 - 5487494*x^9 - 10031105*x^8 + 3609564*x^7 + 2751607*x^6 - 979701*x^5 - 409593*x^4 + 109865*x^3 + 28857*x^2 - 3968*x - 449, x^30 - 14*x^29 + 49*x^28 + 194*x^27 - 1647*x^26 + 1111*x^25 + 17878*x^24 - 41020*x^23 - 84572*x^22 + 373739*x^21 + 72259*x^20 - 1787325*x^19 + 1146678*x^18 + 5022800*x^17 - 6225367*x^16 - 8221819*x^15 + 15873615*x^14 + 6666097*x^13 - 23411167*x^12 - 32487*x^11 + 20497947*x^10 - 4471630*x^9 - 10336495*x^8 + 3342769*x^7 + 2836086*x^6 - 992168*x^5 - 389497*x^4 + 120344*x^3 + 23644*x^2 - 4447*x - 452, x^30 - 14*x^29 + 49*x^28 + 194*x^27 - 1647*x^26 + 1111*x^25 + 17878*x^24 - 41020*x^23 - 84572*x^22 + 373739*x^21 + 72259*x^20 - 1787325*x^19 + 1146678*x^18 + 5022800*x^17 - 6225367*x^16 - 8221819*x^15 + 15873615*x^14 + 6666097*x^13 - 23411167*x^12 - 32487*x^11 + 20497947*x^10 - 4471630*x^9 - 10336495*x^8 + 3342769*x^7 + 2836086*x^6 - 992168*x^5 - 389497*x^4 + 120344*x^3 + 23644*x^2 - 4447*x - 452, x^30 - 14*x^29 + 49*x^28 + 194*x^27 - 1647*x^26 + 1109*x^25 + 17905*x^24 - 41123*x^23 - 84757*x^22 + 375967*x^21 + 69100*x^20 - 1801413*x^19 + 1191507*x^18 + 5042145*x^17 - 6448955*x^16 - 8074989*x^15 + 16399015*x^14 + 5950764*x^13 - 23932168*x^12 + 1258118*x^11 + 20488825*x^10 - 5487494*x^9 - 10031105*x^8 + 3609564*x^7 + 2751607*x^6 - 979701*x^5 - 409593*x^4 + 109865*x^3 + 28857*x^2 - 3968*x - 449, x^29 - 14*x^28 + 51*x^27 + 167*x^26 - 1554*x^25 + 1427*x^24 + 15198*x^23 - 39104*x^22 - 59351*x^21 + 318614*x^20 - 32560*x^19 - 1359716*x^18 + 1248231*x^17 + 3266178*x^16 - 5367680*x^15 - 3941987*x^14 + 11778008*x^13 + 425408*x^12 - 14772625*x^11 + 5052351*x^10 + 10376186*x^9 - 6246516*x^8 - 3663430*x^7 + 3143689*x^6 + 497644*x^5 - 696498*x^4 + 4982*x^3 + 56784*x^2 - 2637*x - 959, x^29 - 13*x^28 + 37*x^27 + 218*x^26 - 1389*x^25 - 101*x^24 + 16540*x^23 - 24204*x^22 - 96094*x^21 + 257776*x^20 + 264858*x^19 - 1348541*x^18 - 28103*x^17 + 4192394*x^16 - 2174207*x^15 - 8083416*x^14 + 7217477*x^13 + 9531566*x^12 - 11707058*x^11 - 6466206*x^10 + 10622528*x^9 + 2251599*x^8 - 5363795*x^7 - 372122*x^6 + 1451980*x^5 + 53187*x^4 - 194791*x^3 - 11969*x^2 + 10416*x + 1048, x^29 - 14*x^28 + 51*x^27 + 168*x^26 - 1568*x^25 + 1487*x^24 + 15242*x^23 - 40186*x^22 - 57010*x^21 + 323040*x^20 - 56892*x^19 - 1344487*x^18 + 1334346*x^17 + 3094282*x^16 - 5413422*x^15 - 3437593*x^14 + 11302386*x^13 - 78525*x^12 - 13450574*x^11 + 4734415*x^10 + 8937013*x^9 - 5195049*x^8 - 2962164*x^7 + 2361849*x^6 + 342373*x^5 - 457289*x^4 + 21063*x^3 + 28626*x^2 - 3325*x - 164, x^29 - 13*x^28 + 37*x^27 + 219*x^26 - 1402*x^25 - 58*x^24 + 16681*x^23 - 25350*x^22 - 95276*x^21 + 267438*x^20 + 244361*x^19 - 1383115*x^18 + 109370*x^17 + 4217460*x^16 - 2653865*x^15 - 7872477*x^14 + 8214100*x^13 + 8744894*x^12 - 13019987*x^11 - 5132406*x^10 + 11756311*x^9 + 933337*x^8 - 5980582*x^7 + 397251*x^6 + 1627347*x^5 - 175543*x^4 - 216085*x^3 + 15710*x^2 + 11101*x + 253, x^29 - 13*x^28 + 37*x^27 + 219*x^26 - 1402*x^25 - 58*x^24 + 16681*x^23 - 25350*x^22 - 95276*x^21 + 267438*x^20 + 244361*x^19 - 1383115*x^18 + 109370*x^17 + 4217460*x^16 - 2653865*x^15 - 7872477*x^14 + 8214100*x^13 + 8744894*x^12 - 13019987*x^11 - 5132406*x^10 + 11756311*x^9 + 933337*x^8 - 5980582*x^7 + 397251*x^6 + 1627347*x^5 - 175543*x^4 - 216085*x^3 + 15710*x^2 + 11101*x + 253, x^29 - 14*x^28 + 51*x^27 + 168*x^26 - 1568*x^25 + 1487*x^24 + 15242*x^23 - 40186*x^22 - 57010*x^21 + 323040*x^20 - 56892*x^19 - 1344487*x^18 + 1334346*x^17 + 3094282*x^16 - 5413422*x^15 - 3437593*x^14 + 11302386*x^13 - 78525*x^12 - 13450574*x^11 + 4734415*x^10 + 8937013*x^9 - 5195049*x^8 - 2962164*x^7 + 2361849*x^6 + 342373*x^5 - 457289*x^4 + 21063*x^3 + 28626*x^2 - 3325*x - 164, x^29 - 14*x^28 + 51*x^27 + 167*x^26 - 1554*x^25 + 1427*x^24 + 15198*x^23 - 39104*x^22 - 59351*x^21 + 318614*x^20 - 32560*x^19 - 1359716*x^18 + 1248231*x^17 + 3266178*x^16 - 5367680*x^15 - 3941987*x^14 + 11778008*x^13 + 425408*x^12 - 14772625*x^11 + 5052351*x^10 + 10376186*x^9 - 6246516*x^8 - 3663430*x^7 + 3143689*x^6 + 497644*x^5 - 696498*x^4 + 4982*x^3 + 56784*x^2 - 2637*x - 959, x^29 - 13*x^28 + 37*x^27 + 218*x^26 - 1389*x^25 - 101*x^24 + 16540*x^23 - 24204*x^22 - 96094*x^21 + 257776*x^20 + 264858*x^19 - 1348541*x^18 - 28103*x^17 + 4192394*x^16 - 2174207*x^15 - 8083416*x^14 + 7217477*x^13 + 9531566*x^12 - 11707058*x^11 - 6466206*x^10 + 10622528*x^9 + 2251599*x^8 - 5363795*x^7 - 372122*x^6 + 1451980*x^5 + 53187*x^4 - 194791*x^3 - 11969*x^2 + 10416*x + 1048, x^28 - 13*x^27 + 39*x^26 + 193*x^25 - 1319*x^24 + 267*x^23 + 14214*x^22 - 24018*x^21 - 71923*x^20 + 220372*x^19 + 147631*x^18 - 1016239*x^17 + 202747*x^16 + 2754665*x^15 - 1904983*x^14 - 4531390*x^13 + 4802723*x^12 + 4422142*x^11 - 6347029*x^10 - 2364384*x^9 + 4731096*x^8 + 552662*x^7 - 1938535*x^6 + 4056*x^5 + 396971*x^4 - 17791*x^3 - 32305*x^2 + 998*x + 592, x^28 - 14*x^27 + 54*x^26 + 125*x^25 - 1388*x^24 + 1752*x^23 + 11192*x^22 - 33335*x^21 - 29737*x^20 + 221325*x^19 - 90907*x^18 - 759728*x^17 + 878528*x^16 + 1378337*x^15 - 2716024*x^14 - 993966*x^13 + 4356820*x^12 - 627909*x^11 - 3765610*x^10 + 1605362*x^9 + 1636579*x^8 - 1018537*x^7 - 315428*x^6 + 279147*x^5 + 17604*x^4 - 35290*x^3 + 811*x^2 + 2011*x - 143, x^28 - 13*x^27 + 40*x^26 + 179*x^25 - 1264*x^24 + 379*x^23 + 12867*x^22 - 22097*x^21 - 62018*x^20 + 188014*x^19 + 128931*x^18 - 821648*x^17 + 82354*x^16 + 2165780*x^15 - 1098122*x^14 - 3636675*x^13 + 2693544*x^12 + 3982734*x^11 - 3400091*x^10 - 2883435*x^9 + 2415711*x^8 + 1382109*x^7 - 927505*x^6 - 419092*x^5 + 161615*x^4 + 72957*x^3 - 6472*x^2 - 5400*x - 599, x^28 - 13*x^27 + 39*x^26 + 194*x^25 - 1332*x^24 + 313*x^23 + 14320*x^22 - 25075*x^21 - 70649*x^20 + 227506*x^19 + 126821*x^18 - 1028244*x^17 + 314758*x^16 + 2681213*x^15 - 2189521*x^14 - 4101333*x^13 + 5097027*x^12 + 3463557*x^11 - 6226208*x^10 - 1289978*x^9 + 4172028*x^8 - 49528*x^7 - 1469463*x^6 + 155290*x^5 + 245173*x^4 - 28896*x^3 - 15164*x^2 + 850*x + 154, x^28 - 13*x^27 + 40*x^26 + 182*x^25 - 1304*x^24 + 521*x^23 + 13242*x^22 - 25624*x^21 - 58502*x^20 + 215332*x^19 + 60847*x^18 - 900274*x^17 + 497187*x^16 + 2103013*x^15 - 2381708*x^14 - 2643289*x^13 + 4863566*x^12 + 1303345*x^11 - 5334726*x^10 + 566559*x^9 + 3202303*x^8 - 931392*x^7 - 1024250*x^6 + 379589*x^5 + 165387*x^4 - 62822*x^3 - 11805*x^2 + 3433*x + 298, x^28 - 12*x^27 + 26*x^26 + 233*x^25 - 1139*x^24 - 1011*x^23 + 14646*x^22 - 11025*x^21 - 95336*x^20 + 159849*x^19 + 345807*x^18 - 914710*x^17 - 645958*x^16 + 3003207*x^15 + 212962*x^14 - 6135303*x^13 + 1646286*x^12 + 7920068*x^11 - 3609230*x^10 - 6351344*x^9 + 3422576*x^8 + 3035064*x^7 - 1605990*x^6 - 810722*x^5 + 348955*x^4 + 111451*x^3 - 28253*x^2 - 6401*x + 199, x^28 - 12*x^27 + 26*x^26 + 233*x^25 - 1139*x^24 - 1011*x^23 + 14646*x^22 - 11025*x^21 - 95336*x^20 + 159849*x^19 + 345807*x^18 - 914710*x^17 - 645958*x^16 + 3003207*x^15 + 212962*x^14 - 6135303*x^13 + 1646286*x^12 + 7920068*x^11 - 3609230*x^10 - 6351344*x^9 + 3422576*x^8 + 3035064*x^7 - 1605990*x^6 - 810722*x^5 + 348955*x^4 + 111451*x^3 - 28253*x^2 - 6401*x + 199, x^28 - 13*x^27 + 40*x^26 + 182*x^25 - 1304*x^24 + 521*x^23 + 13242*x^22 - 25624*x^21 - 58502*x^20 + 215332*x^19 + 60847*x^18 - 900274*x^17 + 497187*x^16 + 2103013*x^15 - 2381708*x^14 - 2643289*x^13 + 4863566*x^12 + 1303345*x^11 - 5334726*x^10 + 566559*x^9 + 3202303*x^8 - 931392*x^7 - 1024250*x^6 + 379589*x^5 + 165387*x^4 - 62822*x^3 - 11805*x^2 + 3433*x + 298, x^28 - 13*x^27 + 39*x^26 + 194*x^25 - 1332*x^24 + 313*x^23 + 14320*x^22 - 25075*x^21 - 70649*x^20 + 227506*x^19 + 126821*x^18 - 1028244*x^17 + 314758*x^16 + 2681213*x^15 - 2189521*x^14 - 4101333*x^13 + 5097027*x^12 + 3463557*x^11 - 6226208*x^10 - 1289978*x^9 + 4172028*x^8 - 49528*x^7 - 1469463*x^6 + 155290*x^5 + 245173*x^4 - 28896*x^3 - 15164*x^2 + 850*x + 154, x^28 - 14*x^27 + 54*x^26 + 125*x^25 - 1388*x^24 + 1752*x^23 + 11192*x^22 - 33335*x^21 - 29737*x^20 + 221325*x^19 - 90907*x^18 - 759728*x^17 + 878528*x^16 + 1378337*x^15 - 2716024*x^14 - 993966*x^13 + 4356820*x^12 - 627909*x^11 - 3765610*x^10 + 1605362*x^9 + 1636579*x^8 - 1018537*x^7 - 315428*x^6 + 279147*x^5 + 17604*x^4 - 35290*x^3 + 811*x^2 + 2011*x - 143, x^28 - 13*x^27 + 39*x^26 + 193*x^25 - 1319*x^24 + 267*x^23 + 14214*x^22 - 24018*x^21 - 71923*x^20 + 220372*x^19 + 147631*x^18 - 1016239*x^17 + 202747*x^16 + 2754665*x^15 - 1904983*x^14 - 4531390*x^13 + 4802723*x^12 + 4422142*x^11 - 6347029*x^10 - 2364384*x^9 + 4731096*x^8 + 552662*x^7 - 1938535*x^6 + 4056*x^5 + 396971*x^4 - 17791*x^3 - 32305*x^2 + 998*x + 592, x^28 - 13*x^27 + 40*x^26 + 179*x^25 - 1264*x^24 + 379*x^23 + 12867*x^22 - 22097*x^21 - 62018*x^20 + 188014*x^19 + 128931*x^18 - 821648*x^17 + 82354*x^16 + 2165780*x^15 - 1098122*x^14 - 3636675*x^13 + 2693544*x^12 + 3982734*x^11 - 3400091*x^10 - 2883435*x^9 + 2415711*x^8 + 1382109*x^7 - 927505*x^6 - 419092*x^5 + 161615*x^4 + 72957*x^3 - 6472*x^2 - 5400*x - 599, x^27 - 13*x^26 + 42*x^25 + 159*x^24 - 1251*x^23 + 872*x^22 + 11446*x^21 - 26319*x^20 - 40181*x^19 + 195846*x^18 - 29245*x^17 - 714260*x^16 + 708032*x^15 + 1315580*x^14 - 2443895*x^13 - 805989*x^12 + 4003454*x^11 - 1069706*x^10 - 3280706*x^9 + 2068082*x^8 + 1172233*x^7 - 1201098*x^6 - 104729*x^5 + 281736*x^4 - 19496*x^3 - 23481*x^2 + 2231*x + 367, 2*x^27 - 28*x^26 + 110*x^25 + 224*x^24 - 2686*x^23 + 3740*x^22 + 20206*x^21 - 64420*x^20 - 43532*x^19 + 401338*x^18 - 220124*x^17 - 1283106*x^16 + 1674168*x^15 + 2100816*x^14 - 4752062*x^13 - 1107638*x^12 + 7152590*x^11 - 1619908*x^10 - 5867072*x^9 + 2895812*x^8 + 2443008*x^7 - 1684178*x^6 - 444078*x^5 + 408136*x^4 + 24514*x^3 - 34356*x^2 - 724*x + 592, x^27 - 14*x^26 + 56*x^25 + 101*x^24 - 1320*x^23 + 2029*x^22 + 9408*x^21 - 32869*x^20 - 14815*x^19 + 198650*x^18 - 149579*x^17 - 604735*x^16 + 977488*x^15 + 847205*x^14 - 2669126*x^13 + 54321*x^12 + 3854425*x^11 - 1827081*x^10 - 2872535*x^9 + 2332167*x^8 + 904994*x^7 - 1180364*x^6 - 35962*x^5 + 253072*x^4 - 28685*x^3 - 20417*x^2 + 3218*x + 367, 2*x^27 - 26*x^26 + 82*x^25 + 338*x^24 - 2521*x^23 + 1320*x^22 + 24132*x^21 - 49206*x^20 - 97593*x^19 + 383366*x^18 + 63115*x^17 - 1488456*x^16 + 928701*x^15 + 3176012*x^14 - 3795531*x^13 - 3481696*x^12 + 6812503*x^11 + 1166870*x^10 - 6301269*x^9 + 1061354*x^8 + 2869306*x^7 - 958010*x^6 - 556575*x^5 + 229080*x^4 + 29954*x^3 - 13388*x^2 + 190*x - 134, x^27 - 13*x^26 + 43*x^25 + 142*x^24 - 1152*x^23 + 787*x^22 + 9944*x^21 - 20556*x^20 - 38334*x^19 + 143527*x^18 + 47342*x^17 - 538158*x^16 + 147384*x^15 + 1270729*x^14 - 728402*x^13 - 2067136*x^12 + 1494464*x^11 + 2415901*x^10 - 1905548*x^9 - 1930844*x^8 + 1566984*x^7 + 911040*x^6 - 733790*x^5 - 209310*x^4 + 158365*x^3 + 19957*x^2 - 11205*x - 914, x^27 - 13*x^26 + 42*x^25 + 158*x^24 - 1235*x^23 + 791*x^22 + 11436*x^21 - 24885*x^20 - 43793*x^19 + 189422*x^18 + 8656*x^17 - 727827*x^16 + 542688*x^15 + 1525781*x^14 - 2104026*x^13 - 1554945*x^12 + 3760809*x^11 + 201815*x^10 - 3475007*x^9 + 973493*x^8 + 1542229*x^7 - 737096*x^6 - 252490*x^5 + 183220*x^4 - 7331*x^3 - 12612*x^2 + 2629*x + 10, x^27 - 12*x^26 + 30*x^25 + 186*x^24 - 1024*x^23 - 321*x^22 + 10965*x^21 - 12253*x^20 - 58403*x^19 + 122598*x^18 + 159382*x^17 - 568295*x^16 - 136380*x^15 + 1524212*x^14 - 432511*x^13 - 2471112*x^12 + 1490689*x^11 + 2390292*x^10 - 1982391*x^9 - 1320849*x^8 + 1339528*x^7 + 398017*x^6 - 467670*x^5 - 61961*x^4 + 76381*x^3 + 6142*x^2 - 4501*x - 452, x^27 - 12*x^26 + 30*x^25 + 186*x^24 - 1024*x^23 - 321*x^22 + 10965*x^21 - 12253*x^20 - 58403*x^19 + 122598*x^18 + 159382*x^17 - 568295*x^16 - 136380*x^15 + 1524212*x^14 - 432511*x^13 - 2471112*x^12 + 1490689*x^11 + 2390292*x^10 - 1982391*x^9 - 1320849*x^8 + 1339528*x^7 + 398017*x^6 - 467670*x^5 - 61961*x^4 + 76381*x^3 + 6142*x^2 - 4501*x - 452, 2*x^27 - 26*x^26 + 82*x^25 + 338*x^24 - 2521*x^23 + 1320*x^22 + 24132*x^21 - 49206*x^20 - 97593*x^19 + 383366*x^18 + 63115*x^17 - 1488456*x^16 + 928701*x^15 + 3176012*x^14 - 3795531*x^13 - 3481696*x^12 + 6812503*x^11 + 1166870*x^10 - 6301269*x^9 + 1061354*x^8 + 2869306*x^7 - 958010*x^6 - 556575*x^5 + 229080*x^4 + 29954*x^3 - 13388*x^2 + 190*x - 134, x^27 - 13*x^26 + 42*x^25 + 158*x^24 - 1235*x^23 + 791*x^22 + 11436*x^21 - 24885*x^20 - 43793*x^19 + 189422*x^18 + 8656*x^17 - 727827*x^16 + 542688*x^15 + 1525781*x^14 - 2104026*x^13 - 1554945*x^12 + 3760809*x^11 + 201815*x^10 - 3475007*x^9 + 973493*x^8 + 1542229*x^7 - 737096*x^6 - 252490*x^5 + 183220*x^4 - 7331*x^3 - 12612*x^2 + 2629*x + 10, x^27 - 14*x^26 + 56*x^25 + 101*x^24 - 1320*x^23 + 2029*x^22 + 9408*x^21 - 32869*x^20 - 14815*x^19 + 198650*x^18 - 149579*x^17 - 604735*x^16 + 977488*x^15 + 847205*x^14 - 2669126*x^13 + 54321*x^12 + 3854425*x^11 - 1827081*x^10 - 2872535*x^9 + 2332167*x^8 + 904994*x^7 - 1180364*x^6 - 35962*x^5 + 253072*x^4 - 28685*x^3 - 20417*x^2 + 3218*x + 367, x^27 - 13*x^26 + 42*x^25 + 159*x^24 - 1251*x^23 + 872*x^22 + 11446*x^21 - 26319*x^20 - 40181*x^19 + 195846*x^18 - 29245*x^17 - 714260*x^16 + 708032*x^15 + 1315580*x^14 - 2443895*x^13 - 805989*x^12 + 4003454*x^11 - 1069706*x^10 - 3280706*x^9 + 2068082*x^8 + 1172233*x^7 - 1201098*x^6 - 104729*x^5 + 281736*x^4 - 19496*x^3 - 23481*x^2 + 2231*x + 367, x^27 - 13*x^26 + 43*x^25 + 142*x^24 - 1152*x^23 + 787*x^22 + 9944*x^21 - 20556*x^20 - 38334*x^19 + 143527*x^18 + 47342*x^17 - 538158*x^16 + 147384*x^15 + 1270729*x^14 - 728402*x^13 - 2067136*x^12 + 1494464*x^11 + 2415901*x^10 - 1905548*x^9 - 1930844*x^8 + 1566984*x^7 + 911040*x^6 - 733790*x^5 - 209310*x^4 + 158365*x^3 + 19957*x^2 - 11205*x - 914, 2*x^26 - 23*x^25 + 49*x^24 + 394*x^23 - 1881*x^22 - 1330*x^21 + 21081*x^20 - 17491*x^19 - 116075*x^18 + 202369*x^17 + 332506*x^16 - 950049*x^15 - 378397*x^14 + 2461395*x^13 - 415011*x^12 - 3692112*x^11 + 1802031*x^10 + 3122617*x^9 - 2140480*x^8 - 1393247*x^7 + 1118514*x^6 + 315433*x^5 - 256966*x^4 - 37191*x^3 + 19694*x^2 + 2355*x + 85, x^26 - 11*x^25 + 19*x^24 + 211*x^23 - 887*x^22 - 971*x^21 + 10661*x^20 - 7035*x^19 - 60801*x^18 + 99610*x^17 + 172779*x^16 - 489036*x^15 - 160515*x^14 + 1264006*x^13 - 384258*x^12 - 1799736*x^11 + 1264292*x^10 + 1309849*x^9 - 1418383*x^8 - 360513*x^7 + 715292*x^6 - 37753*x^5 - 159501*x^4 + 31501*x^3 + 14842*x^2 - 2986*x - 677, 2*x^26 - 26*x^25 + 90*x^24 + 236*x^23 - 2178*x^22 + 2250*x^21 + 15942*x^20 - 41312*x^19 - 38310*x^18 + 236350*x^17 - 82888*x^16 - 655858*x^15 + 679986*x^14 + 880294*x^13 - 1561050*x^12 - 364090*x^11 + 1664148*x^10 - 314912*x^9 - 830150*x^8 + 352896*x^7 + 186778*x^6 - 150158*x^5 - 10694*x^4 + 36224*x^3 - 2346*x^2 - 3430*x + 286, x^26 - 12*x^25 + 33*x^24 + 153*x^23 - 956*x^22 + 186*x^21 + 8623*x^20 - 13585*x^19 - 35435*x^18 + 102414*x^17 + 52445*x^16 - 379511*x^15 + 108941*x^14 + 795631*x^13 - 609489*x^12 - 939426*x^11 + 1115263*x^10 + 552474*x^9 - 1010212*x^8 - 96428*x^7 + 448053*x^6 - 17019*x^5 - 90734*x^4 + 2837*x^3 + 5653*x^2 + 78*x + 310, x^26 - 12*x^25 + 35*x^24 + 124*x^23 - 828*x^22 + 280*x^21 + 6299*x^20 - 9090*x^19 - 23237*x^18 + 52579*x^17 + 46515*x^16 - 151621*x^15 - 62043*x^14 + 252656*x^13 + 107094*x^12 - 259746*x^11 - 222188*x^10 + 174331*x^9 + 278627*x^8 - 65399*x^7 - 168587*x^6 - 9056*x^5 + 44445*x^4 + 12036*x^3 - 3246*x^2 - 1722*x - 167, 2*x^26 - 23*x^25 + 47*x^24 + 420*x^23 - 1977*x^22 - 1485*x^21 + 22927*x^20 - 19980*x^19 - 126663*x^18 + 233466*x^17 + 349160*x^16 - 1092781*x^15 - 315701*x^14 + 2798268*x^13 - 744607*x^12 - 4119209*x^11 + 2433548*x^10 + 3378230*x^9 - 2748708*x^8 - 1408727*x^7 + 1395180*x^6 + 268583*x^5 - 297048*x^4 - 23523*x^3 + 18467*x^2 + 1833*x + 301, x^26 - 11*x^25 + 21*x^24 + 184*x^23 - 784*x^22 - 781*x^21 + 8382*x^20 - 3792*x^19 - 45918*x^18 + 51691*x^17 + 150724*x^16 - 236710*x^15 - 326036*x^14 + 618657*x^13 + 508912*x^12 - 1049312*x^11 - 604160*x^10 + 1207581*x^9 + 509614*x^8 - 911616*x^7 - 256248*x^6 + 398544*x^5 + 63298*x^4 - 82714*x^3 - 7063*x^2 + 5831*x + 457, 2*x^26 - 26*x^25 + 91*x^24 + 224*x^23 - 2139*x^22 + 2322*x^21 + 15302*x^20 - 40695*x^19 - 35671*x^18 + 231799*x^17 - 85694*x^16 - 658341*x^15 + 695756*x^14 + 950882*x^13 - 1707992*x^12 - 517521*x^11 + 2098703*x^10 - 254990*x^9 - 1358341*x^8 + 440547*x^7 + 449963*x^6 - 188762*x^5 - 66548*x^4 + 29714*x^3 + 2330*x^2 - 1345*x + 142, x^26 - 10*x^25 + 6*x^24 + 254*x^23 - 745*x^22 - 2132*x^21 + 11554*x^20 + 2611*x^19 - 82494*x^18 + 68618*x^17 + 313624*x^16 - 497091*x^15 - 610261*x^14 + 1595506*x^13 + 371774*x^12 - 2744221*x^11 + 652498*x^10 + 2518461*x^9 - 1271458*x^8 - 1128115*x^7 + 767010*x^6 + 216692*x^5 - 185956*x^4 - 13430*x^3 + 15463*x^2 + 505*x - 296, 2*x^26 - 26*x^25 + 91*x^24 + 224*x^23 - 2139*x^22 + 2322*x^21 + 15302*x^20 - 40695*x^19 - 35671*x^18 + 231799*x^17 - 85694*x^16 - 658341*x^15 + 695756*x^14 + 950882*x^13 - 1707992*x^12 - 517521*x^11 + 2098703*x^10 - 254990*x^9 - 1358341*x^8 + 440547*x^7 + 449963*x^6 - 188762*x^5 - 66548*x^4 + 29714*x^3 + 2330*x^2 - 1345*x + 142, 2*x^26 - 24*x^25 + 66*x^24 + 296*x^23 - 1800*x^22 + 102*x^21 + 15852*x^20 - 19760*x^19 - 70350*x^18 + 144046*x^17 + 177072*x^16 - 528946*x^15 - 267076*x^14 + 1202796*x^13 + 259414*x^12 - 1837664*x^11 - 175192*x^10 + 1907878*x^9 + 57432*x^8 - 1243800*x^7 + 19806*x^6 + 433328*x^5 - 15608*x^4 - 68118*x^3 + 4058*x^2 + 3594*x - 284, 2*x^26 - 23*x^25 + 49*x^24 + 394*x^23 - 1881*x^22 - 1330*x^21 + 21081*x^20 - 17491*x^19 - 116075*x^18 + 202369*x^17 + 332506*x^16 - 950049*x^15 - 378397*x^14 + 2461395*x^13 - 415011*x^12 - 3692112*x^11 + 1802031*x^10 + 3122617*x^9 - 2140480*x^8 - 1393247*x^7 + 1118514*x^6 + 315433*x^5 - 256966*x^4 - 37191*x^3 + 19694*x^2 + 2355*x + 85, 2*x^26 - 23*x^25 + 47*x^24 + 420*x^23 - 1977*x^22 - 1485*x^21 + 22927*x^20 - 19980*x^19 - 126663*x^18 + 233466*x^17 + 349160*x^16 - 1092781*x^15 - 315701*x^14 + 2798268*x^13 - 744607*x^12 - 4119209*x^11 + 2433548*x^10 + 3378230*x^9 - 2748708*x^8 - 1408727*x^7 + 1395180*x^6 + 268583*x^5 - 297048*x^4 - 23523*x^3 + 18467*x^2 + 1833*x + 301, x^26 - 10*x^25 + 6*x^24 + 254*x^23 - 745*x^22 - 2132*x^21 + 11554*x^20 + 2611*x^19 - 82494*x^18 + 68618*x^17 + 313624*x^16 - 497091*x^15 - 610261*x^14 + 1595506*x^13 + 371774*x^12 - 2744221*x^11 + 652498*x^10 + 2518461*x^9 - 1271458*x^8 - 1128115*x^7 + 767010*x^6 + 216692*x^5 - 185956*x^4 - 13430*x^3 + 15463*x^2 + 505*x - 296, x^26 - 12*x^25 + 33*x^24 + 153*x^23 - 956*x^22 + 186*x^21 + 8623*x^20 - 13585*x^19 - 35435*x^18 + 102414*x^17 + 52445*x^16 - 379511*x^15 + 108941*x^14 + 795631*x^13 - 609489*x^12 - 939426*x^11 + 1115263*x^10 + 552474*x^9 - 1010212*x^8 - 96428*x^7 + 448053*x^6 - 17019*x^5 - 90734*x^4 + 2837*x^3 + 5653*x^2 + 78*x + 310, x^26 - 12*x^25 + 35*x^24 + 124*x^23 - 828*x^22 + 280*x^21 + 6299*x^20 - 9090*x^19 - 23237*x^18 + 52579*x^17 + 46515*x^16 - 151621*x^15 - 62043*x^14 + 252656*x^13 + 107094*x^12 - 259746*x^11 - 222188*x^10 + 174331*x^9 + 278627*x^8 - 65399*x^7 - 168587*x^6 - 9056*x^5 + 44445*x^4 + 12036*x^3 - 3246*x^2 - 1722*x - 167, x^26 - 11*x^25 + 19*x^24 + 211*x^23 - 887*x^22 - 971*x^21 + 10661*x^20 - 7035*x^19 - 60801*x^18 + 99610*x^17 + 172779*x^16 - 489036*x^15 - 160515*x^14 + 1264006*x^13 - 384258*x^12 - 1799736*x^11 + 1264292*x^10 + 1309849*x^9 - 1418383*x^8 - 360513*x^7 + 715292*x^6 - 37753*x^5 - 159501*x^4 + 31501*x^3 + 14842*x^2 - 2986*x - 677, x^26 - 11*x^25 + 21*x^24 + 184*x^23 - 784*x^22 - 781*x^21 + 8382*x^20 - 3792*x^19 - 45918*x^18 + 51691*x^17 + 150724*x^16 - 236710*x^15 - 326036*x^14 + 618657*x^13 + 508912*x^12 - 1049312*x^11 - 604160*x^10 + 1207581*x^9 + 509614*x^8 - 911616*x^7 - 256248*x^6 + 398544*x^5 + 63298*x^4 - 82714*x^3 - 7063*x^2 + 5831*x + 457, 2*x^25 - 24*x^24 + 72*x^23 + 228*x^22 - 1624*x^21 + 852*x^20 + 11558*x^19 - 19408*x^18 - 37372*x^17 + 103954*x^16 + 53250*x^15 - 278848*x^14 - 22048*x^13 + 430540*x^12 + 42596*x^11 - 432136*x^10 - 227068*x^9 + 351142*x^8 + 335146*x^7 - 223872*x^6 - 188176*x^5 + 56012*x^4 + 48962*x^3 + 228*x^2 - 5218*x - 668, 6*x^25 - 76*x^24 + 248*x^23 + 744*x^22 - 6078*x^21 + 4746*x^20 + 46456*x^19 - 101150*x^18 - 141692*x^17 + 607644*x^16 + 5684*x^15 - 1845628*x^14 + 1124436*x^13 + 3104560*x^12 - 3156570*x^11 - 2872706*x^10 + 4022214*x^9 + 1397898*x^8 - 2659250*x^7 - 362706*x^6 + 919732*x^5 + 55804*x^4 - 148704*x^3 - 8690*x^2 + 8718*x + 904, 2*x^24 - 20*x^23 + 32*x^22 + 292*x^21 - 1040*x^20 - 1228*x^19 + 9102*x^18 - 1204*x^17 - 39780*x^16 + 24394*x^15 + 102038*x^14 - 74772*x^13 - 171592*x^12 + 87356*x^11 + 217308*x^10 + 2480*x^9 - 222108*x^8 - 93074*x^7 + 148998*x^6 + 74124*x^5 - 39928*x^4 - 23844*x^3 + 1274*x^2 + 2776*x + 334]>
       ]
>;

MOG[739] := 	// J_0(739)
   rec<SupersingularModule | 
       MonodromyWeights   := [2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [250, 25, 330*x + 142, 409*x + 142, 86*x + 27, 176*x + 109, 653*x + 27, 563*x + 109, 26*x + 620, 472*x + 589, 361*x + 212, 445*x + 312, 267*x + 589, 713*x + 620, 378*x + 212, 294*x + 312, 30*x + 471, 87*x + 295, 292*x + 178, 363*x + 700, 185*x + 236, 554*x + 258, 487, 447*x + 178, 376*x + 700, 652*x + 295, 709*x + 471, 554*x + 236, 185*x + 258, 621*x + 250, 269*x + 372, 252*x + 732, 543*x + 381, 394*x + 203, 176*x + 157, 687*x + 426, 635, 527, 196*x + 381, 487*x + 732, 345*x + 203, 470*x + 372, 118*x + 250, 52*x + 426, 563*x + 157, 716*x + 427, 46*x + 118, 712, 70*x + 77, 126*x + 700, 363*x + 162, 319*x + 344, 414, 219, 699, 693*x + 118, 669*x + 77, 613*x + 700, 23*x + 427, 420*x + 344, 376*x + 162, 532]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 2,
           Coordinates        := [1, 1, 0, 0, 0, -1, 0, -1, 0, 0, -1, -1, 0, 0, -1, -1, 1, -1, 0, 0, -1, 0, -1, 0, 0, -1, 1, -1, 0, 1, -1, 0, 0, 1, 0, -1, 0, 0, 0, 0, 1, -1, 1, -1, 0, 1, 0, -1, 0, 1, 1, 0, 0, 1, 0, 0, 0, 1, 1, 0, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 + x^2 - 2*x - 1,
           Coordinates        := [0, 0, -x - 1, x + 1, 0, -x^2 - x, 0, x^2 + x, -x^2 - x + 1, x^2 + 2*x, -x^2 - 2*x + 1, x^2 + x - 1, -x^2 - 2*x, x^2 + x - 1, x^2 + 2*x - 1, -x^2 - x + 1, 0, -x - 1, 0, x^2 + 2*x + 1, 0, -1, 0, 0, -x^2 - 2*x - 1, x + 1, 0, 0, 1, x^2 + x - 1, -x - 2, -x^2 - x + 1, -x - 1, -x^2 + 2, x^2 + 2*x, -1, 0, 0, x + 1, x^2 + x - 1, x^2 - 2, x + 2, -x^2 - x + 1, 1, -x^2 - 2*x, x + 2, -x^2 - x + 1, 0, -1, -x^2 - 2*x, x + 2, -x - 1, 0, 0, 0, x^2 + x - 1, 1, x^2 + 2*x, -x - 2, x + 1, -x - 2, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^23 + 6*x^22 - 15*x^21 - 148*x^20 + 8*x^19 + 1512*x^18 + 1193*x^17 - 8288*x^16 - 10395*x^15 + 26361*x^14 + 42403*x^13 - 48882*x^12 - 97410*x^11 + 49389*x^10 + 130140*x^9 - 21043*x^8 - 98364*x^7 - 1679*x^6 + 39236*x^5 + 2814*x^4 - 7670*x^3 - 296*x^2 + 587*x - 31,
           Coordinates        := [0, 0, -x^21 - 6*x^20 + 11*x^19 + 124*x^18 + 31*x^17 - 1044*x^16 - 1022*x^15 + 4607*x^14 + 6437*x^13 - 11395*x^12 - 19884*x^11 + 15527*x^10 + 33948*x^9 - 10251*x^8 - 32185*x^7 + 1700*x^6 + 16053*x^5 + 878*x^4 - 3826*x^3 - 224*x^2 + 343*x - 10, x^21 + 6*x^20 - 11*x^19 - 124*x^18 - 31*x^17 + 1044*x^16 + 1022*x^15 - 4607*x^14 - 6437*x^13 + 11395*x^12 + 19884*x^11 - 15527*x^10 - 33948*x^9 + 10251*x^8 + 32185*x^7 - 1700*x^6 - 16053*x^5 - 878*x^4 + 3826*x^3 + 224*x^2 - 343*x + 10, -x^22 - 6*x^21 + 12*x^20 + 130*x^19 + 23*x^18 - 1150*x^17 - 1073*x^16 + 5354*x^15 + 7269*x^14 - 14102*x^13 - 23872*x^12 + 20956*x^11 + 43518*x^10 - 16217*x^9 - 44755*x^8 + 4873*x^7 + 24932*x^6 + 405*x^5 - 6884*x^4 - 306*x^3 + 788*x^2 - 20, -x^20 - 6*x^19 + 8*x^18 + 106*x^17 + 51*x^16 - 747*x^15 - 832*x^14 + 2707*x^13 + 3988*x^12 - 5429*x^11 - 9570*x^10 + 5966*x^9 + 12570*x^8 - 3173*x^7 - 8879*x^6 + 473*x^5 + 3058*x^4 + 82*x^3 - 445*x^2 - 10*x + 20, x^22 + 6*x^21 - 12*x^20 - 130*x^19 - 23*x^18 + 1150*x^17 + 1073*x^16 - 5354*x^15 - 7269*x^14 + 14102*x^13 + 23872*x^12 - 20956*x^11 - 43518*x^10 + 16217*x^9 + 44755*x^8 - 4873*x^7 - 24932*x^6 - 405*x^5 + 6884*x^4 + 306*x^3 - 788*x^2 + 20, x^20 + 6*x^19 - 8*x^18 - 106*x^17 - 51*x^16 + 747*x^15 + 832*x^14 - 2707*x^13 - 3988*x^12 + 5429*x^11 + 9570*x^10 - 5966*x^9 - 12570*x^8 + 3173*x^7 + 8879*x^6 - 473*x^5 - 3058*x^4 - 82*x^3 + 445*x^2 + 10*x - 20, -x^21 - 6*x^20 + 10*x^19 + 120*x^18 + 51*x^17 - 948*x^16 - 1150*x^15 + 3708*x^14 + 6568*x^13 - 7196*x^12 - 18077*x^11 + 5170*x^10 + 25902*x^9 + 2874*x^8 - 18408*x^7 - 5773*x^6 + 5468*x^5 + 2012*x^4 - 548*x^3 - 125*x^2 + 11*x - 9, -x^21 - 6*x^20 + 10*x^19 + 118*x^18 + 38*x^17 - 942*x^16 - 954*x^15 + 3944*x^14 + 5526*x^13 - 9335*x^12 - 15931*x^11 + 12475*x^10 + 25535*x^9 - 8793*x^8 - 22839*x^7 + 2799*x^6 + 10831*x^5 - 382*x^4 - 2508*x^3 + 53*x^2 + 213*x - 12, -x^19 - 6*x^18 + 5*x^17 + 90*x^16 + 75*x^15 - 504*x^14 - 772*x^13 + 1275*x^12 + 2828*x^11 - 1249*x^10 - 5055*x^9 - 422*x^8 + 4625*x^7 + 1757*x^6 - 2048*x^5 - 1213*x^4 + 352*x^3 + 283*x^2 - 14*x - 17, -2*x^19 - 12*x^18 + 15*x^17 + 207*x^16 + 115*x^15 - 1396*x^14 - 1677*x^13 + 4691*x^12 + 7486*x^11 - 8312*x^10 - 16323*x^9 + 7500*x^8 + 18681*x^7 - 2984*x^6 - 10947*x^5 + 417*x^4 + 3029*x^3 - 69*x^2 - 309*x + 27, x^21 + 6*x^20 - 10*x^19 - 118*x^18 - 38*x^17 + 942*x^16 + 954*x^15 - 3944*x^14 - 5526*x^13 + 9335*x^12 + 15931*x^11 - 12475*x^10 - 25535*x^9 + 8793*x^8 + 22839*x^7 - 2799*x^6 - 10831*x^5 + 382*x^4 + 2508*x^3 - 53*x^2 - 213*x + 12, x^21 + 6*x^20 - 10*x^19 - 120*x^18 - 51*x^17 + 948*x^16 + 1150*x^15 - 3708*x^14 - 6568*x^13 + 7196*x^12 + 18077*x^11 - 5170*x^10 - 25902*x^9 - 2874*x^8 + 18408*x^7 + 5773*x^6 - 5468*x^5 - 2012*x^4 + 548*x^3 + 125*x^2 - 11*x + 9, x^19 + 6*x^18 - 5*x^17 - 90*x^16 - 75*x^15 + 504*x^14 + 772*x^13 - 1275*x^12 - 2828*x^11 + 1249*x^10 + 5055*x^9 + 422*x^8 - 4625*x^7 - 1757*x^6 + 2048*x^5 + 1213*x^4 - 352*x^3 - 283*x^2 + 14*x + 17, 2*x^19 + 12*x^18 - 15*x^17 - 207*x^16 - 115*x^15 + 1396*x^14 + 1677*x^13 - 4691*x^12 - 7486*x^11 + 8312*x^10 + 16323*x^9 - 7500*x^8 - 18681*x^7 + 2984*x^6 + 10947*x^5 - 417*x^4 - 3029*x^3 + 69*x^2 + 309*x - 27, -x^20 - 5*x^19 + 14*x^18 + 101*x^17 - 39*x^16 - 825*x^15 - 345*x^14 + 3481*x^13 + 2880*x^12 - 8045*x^11 - 8819*x^10 + 9950*x^9 + 13356*x^8 - 5855*x^7 - 10106*x^6 + 1117*x^5 + 3430*x^4 + 26*x^3 - 432*x^2 + 2*x + 8, -x^20 - 5*x^19 + 14*x^18 + 101*x^17 - 38*x^16 - 821*x^15 - 356*x^14 + 3425*x^13 + 2915*x^12 - 7741*x^11 - 8797*x^10 + 9141*x^9 + 12991*x^8 - 4791*x^7 - 9358*x^6 + 490*x^5 + 2906*x^4 + 155*x^3 - 345*x^2 - 11*x + 12, -x^20 - 6*x^19 + 8*x^18 + 107*x^17 + 55*x^16 - 761*x^15 - 898*x^14 + 2783*x^13 + 4443*x^12 - 5598*x^11 - 11230*x^10 + 5890*x^9 + 15805*x^8 - 2263*x^7 - 12033*x^6 - 731*x^5 + 4405*x^4 + 510*x^3 - 711*x^2 - 49*x + 40, -x^20 - 6*x^19 + 7*x^18 + 101*x^17 + 64*x^16 - 649*x^15 - 845*x^14 + 1984*x^13 + 3498*x^12 - 2883*x^11 - 6753*x^10 + 1534*x^9 + 6111*x^8 + 189*x^7 - 2068*x^6 - 56*x^5 - 29*x^4 - 151*x^3 + 136*x^2 + 37*x - 20, -x^18 - 5*x^17 + 8*x^16 + 69*x^15 + 5*x^14 - 356*x^13 - 181*x^12 + 874*x^11 + 474*x^10 - 1100*x^9 - 294*x^8 + 725*x^7 - 241*x^6 - 227*x^5 + 263*x^4 - 30*x^3 - 63*x^2 + 15*x - 5, -2*x^18 - 11*x^17 + 16*x^16 + 174*x^15 + 55*x^14 - 1076*x^13 - 979*x^12 + 3306*x^11 + 4041*x^10 - 5288*x^9 - 7651*x^8 + 4205*x^7 + 7072*x^6 - 1459*x^5 - 2969*x^4 + 231*x^3 + 494*x^2 - 22*x - 15, 0, x^20 + 6*x^19 - 8*x^18 - 107*x^17 - 55*x^16 + 761*x^15 + 898*x^14 - 2783*x^13 - 4443*x^12 + 5598*x^11 + 11230*x^10 - 5890*x^9 - 15805*x^8 + 2263*x^7 + 12033*x^6 + 731*x^5 - 4405*x^4 - 510*x^3 + 711*x^2 + 49*x - 40, x^20 + 6*x^19 - 7*x^18 - 101*x^17 - 64*x^16 + 649*x^15 + 845*x^14 - 1984*x^13 - 3498*x^12 + 2883*x^11 + 6753*x^10 - 1534*x^9 - 6111*x^8 - 189*x^7 + 2068*x^6 + 56*x^5 + 29*x^4 + 151*x^3 - 136*x^2 - 37*x + 20, x^20 + 5*x^19 - 14*x^18 - 101*x^17 + 38*x^16 + 821*x^15 + 356*x^14 - 3425*x^13 - 2915*x^12 + 7741*x^11 + 8797*x^10 - 9141*x^9 - 12991*x^8 + 4791*x^7 + 9358*x^6 - 490*x^5 - 2906*x^4 - 155*x^3 + 345*x^2 + 11*x - 12, x^20 + 5*x^19 - 14*x^18 - 101*x^17 + 39*x^16 + 825*x^15 + 345*x^14 - 3481*x^13 - 2880*x^12 + 8045*x^11 + 8819*x^10 - 9950*x^9 - 13356*x^8 + 5855*x^7 + 10106*x^6 - 1117*x^5 - 3430*x^4 - 26*x^3 + 432*x^2 - 2*x - 8, x^18 + 5*x^17 - 8*x^16 - 69*x^15 - 5*x^14 + 356*x^13 + 181*x^12 - 874*x^11 - 474*x^10 + 1100*x^9 + 294*x^8 - 725*x^7 + 241*x^6 + 227*x^5 - 263*x^4 + 30*x^3 + 63*x^2 - 15*x + 5, 2*x^18 + 11*x^17 - 16*x^16 - 174*x^15 - 55*x^14 + 1076*x^13 + 979*x^12 - 3306*x^11 - 4041*x^10 + 5288*x^9 + 7651*x^8 - 4205*x^7 - 7072*x^6 + 1459*x^5 + 2969*x^4 - 231*x^3 - 494*x^2 + 22*x + 15, -x^19 - 5*x^18 + 11*x^17 + 84*x^16 - 20*x^15 - 572*x^14 - 207*x^13 + 2031*x^12 + 1213*x^11 - 4039*x^10 - 2596*x^9 + 4627*x^8 + 2447*x^7 - 3216*x^6 - 921*x^5 + 1444*x^4 + 142*x^3 - 305*x^2 - x + 17, -x^19 - 5*x^18 + 12*x^17 + 89*x^16 - 27*x^15 - 639*x^14 - 228*x^13 + 2370*x^12 + 1539*x^11 - 4826*x^10 - 3770*x^9 + 5326*x^8 + 4259*x^7 - 3095*x^6 - 2072*x^5 + 1049*x^4 + 358*x^3 - 231*x^2 - 10*x + 21, -x^19 - 5*x^18 + 12*x^17 + 91*x^16 - 20*x^15 - 662*x^14 - 309*x^13 + 2504*x^12 + 1913*x^11 - 5414*x^10 - 4803*x^9 + 6902*x^8 + 6213*x^7 - 5071*x^6 - 4164*x^5 + 2008*x^4 + 1258*x^3 - 428*x^2 - 134*x + 40, -x^19 - 6*x^18 + 5*x^17 + 90*x^16 + 76*x^15 - 499*x^14 - 774*x^13 + 1233*x^12 + 2788*x^11 - 1171*x^10 - 4927*x^9 - 372*x^8 + 4593*x^7 + 1541*x^6 - 2262*x^5 - 1116*x^4 + 539*x^3 + 326*x^2 - 39*x - 28, -x^19 - 5*x^18 + 11*x^17 + 86*x^16 - 6*x^15 - 564*x^14 - 351*x^13 + 1761*x^12 + 1692*x^11 - 2629*x^10 - 3101*x^9 + 1482*x^8 + 2090*x^7 + 129*x^6 + 87*x^5 - 186*x^4 - 385*x^3 + 53*x^2 + 76*x - 15, x^18 + 4*x^17 - 16*x^16 - 79*x^15 + 73*x^14 + 588*x^13 + 26*x^12 - 2097*x^11 - 1013*x^10 + 3791*x^9 + 2690*x^8 - 3405*x^7 - 2798*x^6 + 1425*x^5 + 1139*x^4 - 320*x^3 - 149*x^2 + 45*x, -x^17 - 5*x^16 + 9*x^15 + 75*x^14 + 3*x^13 - 427*x^12 - 257*x^11 + 1162*x^10 + 970*x^9 - 1543*x^8 - 1461*x^7 + 814*x^6 + 886*x^5 + 44*x^4 - 95*x^3 - 119*x^2 - 36*x + 17, 0, 0, x^19 + 6*x^18 - 5*x^17 - 90*x^16 - 76*x^15 + 499*x^14 + 774*x^13 - 1233*x^12 - 2788*x^11 + 1171*x^10 + 4927*x^9 + 372*x^8 - 4593*x^7 - 1541*x^6 + 2262*x^5 + 1116*x^4 - 539*x^3 - 326*x^2 + 39*x + 28, x^19 + 5*x^18 - 12*x^17 - 91*x^16 + 20*x^15 + 662*x^14 + 309*x^13 - 2504*x^12 - 1913*x^11 + 5414*x^10 + 4803*x^9 - 6902*x^8 - 6213*x^7 + 5071*x^6 + 4164*x^5 - 2008*x^4 - 1258*x^3 + 428*x^2 + 134*x - 40, x^19 + 5*x^18 - 11*x^17 - 86*x^16 + 6*x^15 + 564*x^14 + 351*x^13 - 1761*x^12 - 1692*x^11 + 2629*x^10 + 3101*x^9 - 1482*x^8 - 2090*x^7 - 129*x^6 - 87*x^5 + 186*x^4 + 385*x^3 - 53*x^2 - 76*x + 15, x^19 + 5*x^18 - 12*x^17 - 89*x^16 + 27*x^15 + 639*x^14 + 228*x^13 - 2370*x^12 - 1539*x^11 + 4826*x^10 + 3770*x^9 - 5326*x^8 - 4259*x^7 + 3095*x^6 + 2072*x^5 - 1049*x^4 - 358*x^3 + 231*x^2 + 10*x - 21, x^19 + 5*x^18 - 11*x^17 - 84*x^16 + 20*x^15 + 572*x^14 + 207*x^13 - 2031*x^12 - 1213*x^11 + 4039*x^10 + 2596*x^9 - 4627*x^8 - 2447*x^7 + 3216*x^6 + 921*x^5 - 1444*x^4 - 142*x^3 + 305*x^2 + x - 17, x^17 + 5*x^16 - 9*x^15 - 75*x^14 - 3*x^13 + 427*x^12 + 257*x^11 - 1162*x^10 - 970*x^9 + 1543*x^8 + 1461*x^7 - 814*x^6 - 886*x^5 - 44*x^4 + 95*x^3 + 119*x^2 + 36*x - 17, -x^18 - 4*x^17 + 16*x^16 + 79*x^15 - 73*x^14 - 588*x^13 - 26*x^12 + 2097*x^11 + 1013*x^10 - 3791*x^9 - 2690*x^8 + 3405*x^7 + 2798*x^6 - 1425*x^5 - 1139*x^4 + 320*x^3 + 149*x^2 - 45*x, -x^18 - 6*x^17 + 3*x^16 + 79*x^15 + 83*x^14 - 374*x^13 - 688*x^12 + 700*x^11 + 2182*x^10 - 35*x^9 - 3258*x^8 - 1566*x^7 + 2113*x^6 + 1786*x^5 - 319*x^4 - 562*x^3 - 63*x^2 + 37*x + 7, -2*x^18 - 12*x^17 + 11*x^16 + 182*x^15 + 128*x^14 - 1055*x^13 - 1376*x^12 + 2915*x^11 + 5027*x^10 - 3815*x^9 - 8732*x^8 + 1696*x^7 + 7286*x^6 + 559*x^5 - 2548*x^4 - 386*x^3 + 335*x^2 + 32*x - 12, 0, -x^18 - 5*x^17 + 10*x^16 + 80*x^15 - 4*x^14 - 495*x^13 - 279*x^12 + 1512*x^11 + 1276*x^10 - 2447*x^9 - 2480*x^8 + 2108*x^7 + 2485*x^6 - 944*x^5 - 1318*x^4 + 202*x^3 + 337*x^2 - 11*x - 28, -x^18 - 4*x^17 + 16*x^16 + 79*x^15 - 70*x^14 - 574*x^13 - 45*x^12 + 1946*x^11 + 1023*x^10 - 3153*x^9 - 2539*x^8 + 2030*x^7 + 2284*x^6 - 43*x^5 - 542*x^4 - 181*x^3 - 7*x^2 + 24*x + 5, x^17 + 4*x^16 - 16*x^15 - 79*x^14 + 73*x^13 + 588*x^12 + 26*x^11 - 2097*x^10 - 1013*x^9 + 3791*x^8 + 2690*x^7 - 3405*x^6 - 2798*x^5 + 1425*x^4 + 1139*x^3 - 320*x^2 - 149*x + 45, -x^17 - 4*x^16 + 15*x^15 + 73*x^14 - 68*x^13 - 503*x^12 + 31*x^11 + 1658*x^10 + 527*x^9 - 2710*x^8 - 1372*x^7 + 1941*x^6 + 1157*x^5 - 314*x^4 - 184*x^3 - 92*x^2 - 34*x + 22, 0, 0, 0, 2*x^18 + 12*x^17 - 11*x^16 - 182*x^15 - 128*x^14 + 1055*x^13 + 1376*x^12 - 2915*x^11 - 5027*x^10 + 3815*x^9 + 8732*x^8 - 1696*x^7 - 7286*x^6 - 559*x^5 + 2548*x^4 + 386*x^3 - 335*x^2 - 32*x + 12, x^18 + 5*x^17 - 10*x^16 - 80*x^15 + 4*x^14 + 495*x^13 + 279*x^12 - 1512*x^11 - 1276*x^10 + 2447*x^9 + 2480*x^8 - 2108*x^7 - 2485*x^6 + 944*x^5 + 1318*x^4 - 202*x^3 - 337*x^2 + 11*x + 28, x^18 + 4*x^17 - 16*x^16 - 79*x^15 + 70*x^14 + 574*x^13 + 45*x^12 - 1946*x^11 - 1023*x^10 + 3153*x^9 + 2539*x^8 - 2030*x^7 - 2284*x^6 + 43*x^5 + 542*x^4 + 181*x^3 + 7*x^2 - 24*x - 5, x^18 + 6*x^17 - 3*x^16 - 79*x^15 - 83*x^14 + 374*x^13 + 688*x^12 - 700*x^11 - 2182*x^10 + 35*x^9 + 3258*x^8 + 1566*x^7 - 2113*x^6 - 1786*x^5 + 319*x^4 + 562*x^3 + 63*x^2 - 37*x - 7, x^17 + 4*x^16 - 15*x^15 - 73*x^14 + 68*x^13 + 503*x^12 - 31*x^11 - 1658*x^10 - 527*x^9 + 2710*x^8 + 1372*x^7 - 1941*x^6 - 1157*x^5 + 314*x^4 + 184*x^3 + 92*x^2 + 34*x - 22, -x^17 - 4*x^16 + 16*x^15 + 79*x^14 - 73*x^13 - 588*x^12 - 26*x^11 + 2097*x^10 + 1013*x^9 - 3791*x^8 - 2690*x^7 + 3405*x^6 + 2798*x^5 - 1425*x^4 - 1139*x^3 + 320*x^2 + 149*x - 45, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^34 - 3*x^33 - 47*x^32 + 142*x^31 + 991*x^30 - 3014*x^29 - 12400*x^28 + 37935*x^27 + 102635*x^26 - 315488*x^25 - 592923*x^24 + 1828697*x^23 + 2457946*x^22 - 7594275*x^21 - 7400847*x^20 + 22873525*x^19 + 16194811*x^18 - 50026071*x^17 - 25504759*x^16 + 78779897*x^15 + 28316675*x^14 - 87700415*x^13 - 21423407*x^12 + 66950138*x^11 + 10479570*x^10 - 33450949*x^9 - 3048978*x^8 + 10196676*x^7 + 452407*x^6 - 1710225*x^5 - 20055*x^4 + 138426*x^3 - 2764*x^2 - 4088*x + 240,
           Coordinates        := [2*x^33 - 8*x^32 - 84*x^31 + 358*x^30 + 1550*x^29 - 7154*x^28 - 16496*x^27 + 84374*x^26 + 111454*x^25 - 654002*x^24 - 492636*x^23 + 3511222*x^22 + 1388332*x^21 - 13406358*x^20 - 2122688*x^19 + 36791450*x^18 - 91928*x^17 - 72489718*x^16 + 8098328*x^15 + 101344306*x^14 - 18606284*x^13 - 98233256*x^12 + 22225910*x^11 + 63601656*x^10 - 15502776*x^9 - 25990996*x^8 + 6176982*x^7 + 6149728*x^6 - 1292664*x^5 - 731198*x^4 + 125358*x^3 + 31956*x^2 - 4488*x + 48, -4*x^33 + 18*x^32 + 158*x^31 - 790*x^30 - 2676*x^29 + 15458*x^28 + 25000*x^27 - 178190*x^26 - 134480*x^25 + 1347212*x^24 + 346464*x^23 - 7038782*x^22 + 393860*x^21 + 26085364*x^20 - 6832912*x^19 - 69273000*x^18 + 27654352*x^17 + 131597564*x^16 - 64313816*x^15 - 176583940*x^14 + 95773858*x^13 + 163305980*x^12 - 92524530*x^11 - 100063572*x^10 + 56413678*x^9 + 38265934*x^8 - 20420606*x^7 - 8347206*x^6 + 3981916*x^5 + 896666*x^4 - 370254*x^3 - 30916*x^2 + 12712*x - 528, x^33 - 7*x^32 - 27*x^31 + 286*x^30 + 151*x^29 - 5146*x^28 + 3271*x^27 + 53656*x^26 - 68824*x^25 - 358612*x^24 + 630639*x^23 + 1601600*x^22 - 3534200*x^21 - 4811792*x^20 + 13233238*x^19 + 9425348*x^18 - 34161432*x^17 - 10676708*x^16 + 61169496*x^15 + 3175973*x^14 - 75141556*x^13 + 9124177*x^12 + 61642580*x^11 - 14435677*x^10 - 32266155*x^9 + 9682737*x^8 + 10042767*x^7 - 3253956*x^6 - 1679453*x^5 + 505961*x^4 + 136036*x^3 - 31128*x^2 - 3952*x + 432, x^33 - 7*x^32 - 27*x^31 + 286*x^30 + 151*x^29 - 5146*x^28 + 3271*x^27 + 53656*x^26 - 68824*x^25 - 358612*x^24 + 630639*x^23 + 1601600*x^22 - 3534200*x^21 - 4811792*x^20 + 13233238*x^19 + 9425348*x^18 - 34161432*x^17 - 10676708*x^16 + 61169496*x^15 + 3175973*x^14 - 75141556*x^13 + 9124177*x^12 + 61642580*x^11 - 14435677*x^10 - 32266155*x^9 + 9682737*x^8 + 10042767*x^7 - 3253956*x^6 - 1679453*x^5 + 505961*x^4 + 136036*x^3 - 31128*x^2 - 3952*x + 432, x^32 - 7*x^31 - 25*x^30 + 272*x^29 + 106*x^28 - 4635*x^27 + 3367*x^26 + 45554*x^25 - 61593*x^24 - 285438*x^23 + 519042*x^22 + 1187626*x^21 - 2689962*x^20 - 3299503*x^19 + 9288549*x^18 + 5925415*x^17 - 21973484*x^16 - 6101333*x^15 + 35730989*x^14 + 1695896*x^13 - 39381235*x^12 + 3906201*x^11 + 28517434*x^10 - 5316234*x^9 - 12866693*x^8 + 2928777*x^7 + 3310238*x^6 - 765287*x^5 - 414982*x^4 + 84496*x^3 + 19548*x^2 - 2984*x - 96, x^32 - 7*x^31 - 25*x^30 + 272*x^29 + 107*x^28 - 4644*x^27 + 3364*x^26 + 45802*x^25 - 62057*x^24 - 288123*x^23 + 527594*x^22 + 1200997*x^21 - 2761317*x^20 - 3315762*x^19 + 9628208*x^18 + 5769596*x^17 - 22949825*x^16 - 5188775*x^15 + 37394720*x^14 - 645162*x^13 - 40858758*x^12 + 7232514*x^11 + 28800413*x^10 - 7963758*x^9 - 12307496*x^8 + 4041197*x^7 + 2905108*x^6 - 1000443*x^5 - 325593*x^4 + 116204*x^3 + 10180*x^2 - 5208*x + 384, x^32 - 7*x^31 - 25*x^30 + 272*x^29 + 106*x^28 - 4635*x^27 + 3367*x^26 + 45554*x^25 - 61593*x^24 - 285438*x^23 + 519042*x^22 + 1187626*x^21 - 2689962*x^20 - 3299503*x^19 + 9288549*x^18 + 5925415*x^17 - 21973484*x^16 - 6101333*x^15 + 35730989*x^14 + 1695896*x^13 - 39381235*x^12 + 3906201*x^11 + 28517434*x^10 - 5316234*x^9 - 12866693*x^8 + 2928777*x^7 + 3310238*x^6 - 765287*x^5 - 414982*x^4 + 84496*x^3 + 19548*x^2 - 2984*x - 96, x^32 - 7*x^31 - 25*x^30 + 272*x^29 + 107*x^28 - 4644*x^27 + 3364*x^26 + 45802*x^25 - 62057*x^24 - 288123*x^23 + 527594*x^22 + 1200997*x^21 - 2761317*x^20 - 3315762*x^19 + 9628208*x^18 + 5769596*x^17 - 22949825*x^16 - 5188775*x^15 + 37394720*x^14 - 645162*x^13 - 40858758*x^12 + 7232514*x^11 + 28800413*x^10 - 7963758*x^9 - 12307496*x^8 + 4041197*x^7 + 2905108*x^6 - 1000443*x^5 - 325593*x^4 + 116204*x^3 + 10180*x^2 - 5208*x + 384, x^31 - 7*x^30 - 23*x^29 + 260*x^28 + 51*x^27 - 4189*x^26 + 3847*x^25 + 38303*x^24 - 60857*x^23 - 217560*x^22 + 471269*x^21 + 782538*x^20 - 2250407*x^19 - 1688886*x^18 + 7082919*x^17 + 1601858*x^16 - 14964453*x^15 + 1646160*x^14 + 21039281*x^13 - 7182324*x^12 - 19045401*x^11 + 9731899*x^10 + 10405089*x^9 - 6743206*x^8 - 3043724*x^7 + 2400093*x^6 + 371670*x^5 - 385927*x^4 - 11222*x^3 + 23480*x^2 - 384*x - 192, x^31 - 7*x^30 - 22*x^29 + 251*x^28 + 45*x^27 - 3913*x^26 + 3384*x^25 + 34871*x^24 - 50740*x^23 - 196414*x^22 + 372969*x^21 + 729751*x^20 - 1694282*x^19 - 1811047*x^18 + 5105029*x^17 + 2973517*x^16 - 10474054*x^15 - 3126237*x^14 + 14721040*x^13 + 1964348*x^12 - 14079745*x^11 - 612456*x^10 + 8994373*x^9 - 10754*x^8 - 3688805*x^7 + 88576*x^6 + 892801*x^5 - 35538*x^4 - 105266*x^3 + 4664*x^2 + 4240*x - 240, x^31 - 7*x^30 - 23*x^29 + 258*x^28 + 67*x^27 - 4167*x^26 + 3367*x^25 + 38788*x^24 - 54880*x^23 - 229822*x^22 + 431839*x^21 + 900481*x^20 - 2109212*x^19 - 2330908*x^18 + 6876218*x^17 + 3786253*x^16 - 15316032*x^15 - 3139487*x^14 + 23265873*x^13 - 469383*x^12 - 23590081*x^11 + 3912985*x^10 + 15302024*x^9 - 3835576*x^8 - 5934757*x^7 + 1652440*x^6 + 1256546*x^5 - 306371*x^4 - 133058*x^3 + 21788*x^2 + 5296*x - 384, x^31 - 7*x^30 - 21*x^29 + 244*x^28 + 26*x^27 - 3687*x^26 + 3400*x^25 + 31701*x^24 - 48165*x^23 - 170781*x^22 + 341044*x^21 + 595549*x^20 - 1495818*x^19 - 1324844*x^18 + 4335389*x^17 + 1701680*x^16 - 8458744*x^15 - 681648*x^14 + 11016925*x^13 - 1422280*x^12 - 9252086*x^11 + 2558934*x^10 + 4656635*x^9 - 1805964*x^8 - 1202902*x^7 + 601073*x^6 + 97314*x^5 - 83386*x^4 + 7202*x^3 + 4132*x^2 - 960*x - 48, x^31 - 7*x^30 - 22*x^29 + 251*x^28 + 45*x^27 - 3913*x^26 + 3384*x^25 + 34871*x^24 - 50740*x^23 - 196414*x^22 + 372969*x^21 + 729751*x^20 - 1694282*x^19 - 1811047*x^18 + 5105029*x^17 + 2973517*x^16 - 10474054*x^15 - 3126237*x^14 + 14721040*x^13 + 1964348*x^12 - 14079745*x^11 - 612456*x^10 + 8994373*x^9 - 10754*x^8 - 3688805*x^7 + 88576*x^6 + 892801*x^5 - 35538*x^4 - 105266*x^3 + 4664*x^2 + 4240*x - 240, x^31 - 7*x^30 - 23*x^29 + 260*x^28 + 51*x^27 - 4189*x^26 + 3847*x^25 + 38303*x^24 - 60857*x^23 - 217560*x^22 + 471269*x^21 + 782538*x^20 - 2250407*x^19 - 1688886*x^18 + 7082919*x^17 + 1601858*x^16 - 14964453*x^15 + 1646160*x^14 + 21039281*x^13 - 7182324*x^12 - 19045401*x^11 + 9731899*x^10 + 10405089*x^9 - 6743206*x^8 - 3043724*x^7 + 2400093*x^6 + 371670*x^5 - 385927*x^4 - 11222*x^3 + 23480*x^2 - 384*x - 192, x^31 - 7*x^30 - 23*x^29 + 258*x^28 + 67*x^27 - 4167*x^26 + 3367*x^25 + 38788*x^24 - 54880*x^23 - 229822*x^22 + 431839*x^21 + 900481*x^20 - 2109212*x^19 - 2330908*x^18 + 6876218*x^17 + 3786253*x^16 - 15316032*x^15 - 3139487*x^14 + 23265873*x^13 - 469383*x^12 - 23590081*x^11 + 3912985*x^10 + 15302024*x^9 - 3835576*x^8 - 5934757*x^7 + 1652440*x^6 + 1256546*x^5 - 306371*x^4 - 133058*x^3 + 21788*x^2 + 5296*x - 384, x^31 - 7*x^30 - 21*x^29 + 244*x^28 + 26*x^27 - 3687*x^26 + 3400*x^25 + 31701*x^24 - 48165*x^23 - 170781*x^22 + 341044*x^21 + 595549*x^20 - 1495818*x^19 - 1324844*x^18 + 4335389*x^17 + 1701680*x^16 - 8458744*x^15 - 681648*x^14 + 11016925*x^13 - 1422280*x^12 - 9252086*x^11 + 2558934*x^10 + 4656635*x^9 - 1805964*x^8 - 1202902*x^7 + 601073*x^6 + 97314*x^5 - 83386*x^4 + 7202*x^3 + 4132*x^2 - 960*x - 48, x^30 - 6*x^29 - 27*x^28 + 220*x^27 + 227*x^26 - 3520*x^25 + 477*x^24 + 32314*x^23 - 23781*x^22 - 188140*x^21 + 210918*x^20 + 724173*x^19 - 1025794*x^18 - 1859218*x^17 + 3147344*x^16 + 3119086*x^15 - 6318865*x^14 - 3195954*x^13 + 8274659*x^12 + 1608676*x^11 - 6843161*x^10 + 101060*x^9 + 3342937*x^8 - 535257*x^7 - 847957*x^6 + 230396*x^5 + 80266*x^4 - 32314*x^3 - 76*x^2 + 1328*x - 144, x^30 - 6*x^29 - 28*x^28 + 226*x^27 + 253*x^26 - 3731*x^25 + 259*x^24 + 35564*x^23 - 23992*x^22 - 216948*x^21 + 228637*x^20 + 886444*x^19 - 1179836*x^18 - 2464339*x^17 + 3861687*x^16 + 4628407*x^15 - 8372843*x^14 - 5682266*x^13 + 12061175*x^12 + 4217022*x^11 - 11269184*x^10 - 1528032*x^9 + 6480032*x^8 + 6573*x^7 - 2090611*x^6 + 148964*x^5 + 323494*x^4 - 28702*x^3 - 19856*x^2 + 1464*x + 240, x^30 - 7*x^29 - 20*x^28 + 239*x^27 - 3*x^26 - 3506*x^25 + 3689*x^24 + 28928*x^23 - 48681*x^22 - 147281*x^21 + 328171*x^20 + 475102*x^19 - 1369893*x^18 - 944334*x^17 + 3766875*x^16 + 994875*x^15 - 6971772*x^14 - 69022*x^13 + 8694074*x^12 - 1248871*x^11 - 7194051*x^10 + 1687384*x^9 + 3800658*x^8 - 1095761*x^7 - 1175219*x^6 + 376824*x^5 + 178359*x^4 - 59786*x^3 - 10368*x^2 + 3448*x + 48, 2*x^30 - 14*x^29 - 41*x^28 + 483*x^27 + 20*x^26 - 7177*x^25 + 7164*x^24 + 60096*x^23 - 97392*x^22 - 310594*x^21 + 667509*x^20 + 1013354*x^19 - 2813627*x^18 - 2007564*x^17 + 7732555*x^16 + 1980221*x^15 - 14038177*x^14 + 337474*x^13 + 16607416*x^12 - 3269786*x^11 - 12329010*x^10 + 3618096*x^9 + 5377230*x^8 - 1744440*x^7 - 1242218*x^6 + 352925*x^5 + 131357*x^4 - 20046*x^3 - 4940*x^2 - 704*x + 48, x^30 - 7*x^29 - 21*x^28 + 246*x^27 + 16*x^26 - 3739*x^25 + 3728*x^24 + 32159*x^23 - 52727*x^22 - 171319*x^21 + 376171*x^20 + 576374*x^19 - 1659374*x^18 - 1162993*x^17 + 4805582*x^16 + 1056581*x^15 - 9267619*x^14 + 804085*x^13 + 11754462*x^12 - 3463999*x^11 - 9451016*x^10 + 4198917*x^9 + 4499127*x^8 - 2545465*x^7 - 1118429*x^6 + 785986*x^5 + 108223*x^4 - 110058*x^3 + 120*x^2 + 5520*x - 336, x^30 - 7*x^29 - 19*x^28 + 231*x^27 - 13*x^26 - 3275*x^25 + 3449*x^24 + 26142*x^23 - 43028*x^22 - 129197*x^21 + 275934*x^20 + 408480*x^19 - 1092616*x^18 - 820350*x^17 + 2828211*x^16 + 992707*x^15 - 4861228*x^14 - 628306*x^13 + 5514215*x^12 + 144470*x^11 - 4047373*x^10 - 70735*x^9 + 1873612*x^8 + 156708*x^7 - 530133*x^6 - 91914*x^5 + 84312*x^4 + 15642*x^3 - 5004*x^2 - 696*x - 48, 2*x^30 - 14*x^29 - 40*x^28 + 474*x^27 + 16*x^26 - 6924*x^25 + 6728*x^24 + 57246*x^23 - 89158*x^22 - 294854*x^21 + 597990*x^20 + 977564*x^19 - 2479192*x^18 - 2060352*x^17 + 6758526*x^16 + 2526906*x^15 - 12339618*x^14 - 1114592*x^13 + 14999256*x^12 - 1403794*x^11 - 11814768*x^10 + 2539698*x^9 + 5727364*x^8 - 1695684*x^7 - 1565576*x^6 + 564132*x^5 + 201438*x^4 - 92026*x^3 - 6200*x^2 + 5864*x - 432, x^30 - 7*x^29 - 20*x^28 + 239*x^27 - 3*x^26 - 3506*x^25 + 3689*x^24 + 28928*x^23 - 48681*x^22 - 147281*x^21 + 328171*x^20 + 475102*x^19 - 1369893*x^18 - 944334*x^17 + 3766875*x^16 + 994875*x^15 - 6971772*x^14 - 69022*x^13 + 8694074*x^12 - 1248871*x^11 - 7194051*x^10 + 1687384*x^9 + 3800658*x^8 - 1095761*x^7 - 1175219*x^6 + 376824*x^5 + 178359*x^4 - 59786*x^3 - 10368*x^2 + 3448*x + 48, 2*x^30 - 14*x^29 - 41*x^28 + 483*x^27 + 20*x^26 - 7177*x^25 + 7164*x^24 + 60096*x^23 - 97392*x^22 - 310594*x^21 + 667509*x^20 + 1013354*x^19 - 2813627*x^18 - 2007564*x^17 + 7732555*x^16 + 1980221*x^15 - 14038177*x^14 + 337474*x^13 + 16607416*x^12 - 3269786*x^11 - 12329010*x^10 + 3618096*x^9 + 5377230*x^8 - 1744440*x^7 - 1242218*x^6 + 352925*x^5 + 131357*x^4 - 20046*x^3 - 4940*x^2 - 704*x + 48, x^30 - 6*x^29 - 28*x^28 + 226*x^27 + 253*x^26 - 3731*x^25 + 259*x^24 + 35564*x^23 - 23992*x^22 - 216948*x^21 + 228637*x^20 + 886444*x^19 - 1179836*x^18 - 2464339*x^17 + 3861687*x^16 + 4628407*x^15 - 8372843*x^14 - 5682266*x^13 + 12061175*x^12 + 4217022*x^11 - 11269184*x^10 - 1528032*x^9 + 6480032*x^8 + 6573*x^7 - 2090611*x^6 + 148964*x^5 + 323494*x^4 - 28702*x^3 - 19856*x^2 + 1464*x + 240, x^30 - 6*x^29 - 27*x^28 + 220*x^27 + 227*x^26 - 3520*x^25 + 477*x^24 + 32314*x^23 - 23781*x^22 - 188140*x^21 + 210918*x^20 + 724173*x^19 - 1025794*x^18 - 1859218*x^17 + 3147344*x^16 + 3119086*x^15 - 6318865*x^14 - 3195954*x^13 + 8274659*x^12 + 1608676*x^11 - 6843161*x^10 + 101060*x^9 + 3342937*x^8 - 535257*x^7 - 847957*x^6 + 230396*x^5 + 80266*x^4 - 32314*x^3 - 76*x^2 + 1328*x - 144, x^30 - 7*x^29 - 21*x^28 + 246*x^27 + 16*x^26 - 3739*x^25 + 3728*x^24 + 32159*x^23 - 52727*x^22 - 171319*x^21 + 376171*x^20 + 576374*x^19 - 1659374*x^18 - 1162993*x^17 + 4805582*x^16 + 1056581*x^15 - 9267619*x^14 + 804085*x^13 + 11754462*x^12 - 3463999*x^11 - 9451016*x^10 + 4198917*x^9 + 4499127*x^8 - 2545465*x^7 - 1118429*x^6 + 785986*x^5 + 108223*x^4 - 110058*x^3 + 120*x^2 + 5520*x - 336, x^30 - 7*x^29 - 19*x^28 + 231*x^27 - 13*x^26 - 3275*x^25 + 3449*x^24 + 26142*x^23 - 43028*x^22 - 129197*x^21 + 275934*x^20 + 408480*x^19 - 1092616*x^18 - 820350*x^17 + 2828211*x^16 + 992707*x^15 - 4861228*x^14 - 628306*x^13 + 5514215*x^12 + 144470*x^11 - 4047373*x^10 - 70735*x^9 + 1873612*x^8 + 156708*x^7 - 530133*x^6 - 91914*x^5 + 84312*x^4 + 15642*x^3 - 5004*x^2 - 696*x - 48, 2*x^29 - 13*x^28 - 44*x^27 + 442*x^26 + 150*x^25 - 6466*x^24 + 4762*x^23 + 53201*x^22 - 72211*x^21 - 269283*x^20 + 500440*x^19 + 855462*x^18 - 2076357*x^17 - 1630116*x^16 + 5526502*x^15 + 1476751*x^14 - 9568668*x^13 + 516341*x^12 + 10593564*x^11 - 2787678*x^10 - 7163212*x^9 + 2865012*x^8 + 2731024*x^7 - 1321740*x^6 - 521800*x^5 + 273347*x^4 + 43460*x^3 - 22076*x^2 - 1088*x + 336, x^29 - 6*x^28 - 24*x^27 + 205*x^26 + 143*x^25 - 2998*x^24 + 1301*x^23 + 24604*x^22 - 25684*x^21 - 124731*x^20 + 184127*x^19 + 404383*x^18 - 756893*x^17 - 835138*x^16 + 1963203*x^15 + 1044417*x^14 - 3295840*x^13 - 661829*x^12 + 3559195*x^11 + 9253*x^10 - 2397025*x^9 + 269747*x^8 + 946540*x^7 - 160518*x^6 - 197140*x^5 + 33731*x^4 + 20068*x^3 - 2160*x^2 - 840*x - 48, x^29 - 5*x^28 - 31*x^27 + 183*x^26 + 391*x^25 - 2949*x^24 - 2461*x^23 + 27688*x^22 + 6390*x^21 - 168905*x^20 + 14772*x^19 + 706296*x^18 - 183627*x^17 - 2077239*x^16 + 728862*x^15 + 4320920*x^14 - 1717781*x^13 - 6265533*x^12 + 2665314*x^11 + 6086688*x^10 - 2747869*x^9 - 3667824*x^8 + 1780514*x^7 + 1188049*x^6 - 635077*x^5 - 154745*x^4 + 98990*x^3 + 3560*x^2 - 5328*x + 384, x^29 - 7*x^28 - 17*x^27 + 224*x^26 - 86*x^25 - 2994*x^24 + 4520*x^23 + 21445*x^22 - 51188*x^21 - 85744*x^20 + 309617*x^19 + 160417*x^18 - 1154527*x^17 + 98597*x^16 + 2773420*x^15 - 1263705*x^14 - 4309185*x^13 + 3052314*x^12 + 4220380*x^11 - 3786848*x^10 - 2445846*x^9 + 2582817*x^8 + 733072*x^7 - 899801*x^6 - 79365*x^5 + 130497*x^4 - 4092*x^3 - 4776*x^2 + 1136*x - 144, 2*x^29 - 12*x^28 - 51*x^27 + 423*x^26 + 380*x^25 - 6476*x^24 + 1513*x^23 + 56601*x^22 - 46504*x^21 - 311946*x^20 + 376473*x^19 + 1128327*x^18 - 1707863*x^17 - 2694976*x^16 + 4894621*x^15 + 4145359*x^14 - 9130549*x^13 - 3811854*x^12 + 11002821*x^11 + 1671618*x^10 - 8273778*x^9 + 72278*x^8 + 3649489*x^7 - 336724*x^6 - 858758*x^5 + 98878*x^4 + 93124*x^3 - 9500*x^2 - 3232*x + 288, x^29 - 6*x^28 - 25*x^27 + 211*x^26 + 166*x^25 - 3201*x^24 + 1221*x^23 + 27383*x^22 - 28014*x^21 - 144494*x^20 + 216422*x^19 + 479970*x^18 - 949278*x^17 - 960774*x^16 + 2597183*x^15 + 933071*x^14 - 4478730*x^13 + 236773*x^12 + 4670245*x^11 - 1640506*x^10 - 2607339*x^9 + 1647680*x^8 + 503296*x^7 - 647907*x^6 + 103508*x^5 + 75376*x^4 - 35644*x^3 + 1480*x^2 + 2264*x - 432, x^29 - 6*x^28 - 26*x^27 + 217*x^26 + 195*x^25 - 3428*x^24 + 932*x^23 + 31120*x^22 - 27654*x^21 - 179613*x^20 + 233416*x^19 + 687945*x^18 - 1121358*x^17 - 1768898*x^16 + 3451230*x^15 + 3010501*x^14 - 7032681*x^13 - 3231389*x^12 + 9468820*x^11 + 1926438*x^10 - 8195558*x^9 - 357569*x^8 + 4313032*x^7 - 218547*x^6 - 1251831*x^5 + 120937*x^4 + 168822*x^3 - 17748*x^2 - 7896*x + 816, 2*x^29 - 14*x^28 - 36*x^27 + 450*x^26 - 68*x^25 - 6180*x^24 + 7090*x^23 + 47424*x^22 - 83694*x^21 - 222718*x^20 + 516156*x^19 + 655096*x^18 - 1971650*x^17 - 1163430*x^16 + 4928302*x^15 + 1034430*x^14 - 8182990*x^13 + 97512*x^12 + 8949144*x^11 - 1196042*x^10 - 6265200*x^9 + 1127272*x^8 + 2673600*x^7 - 422614*x^6 - 650434*x^5 + 48666*x^4 + 84594*x^3 - 408*x^2 - 4256*x + 48, 2*x^29 - 14*x^28 - 36*x^27 + 450*x^26 - 72*x^25 - 6156*x^24 + 7172*x^23 + 46708*x^22 - 84098*x^21 - 213534*x^20 + 512444*x^19 + 589336*x^18 - 1912252*x^17 - 876454*x^16 + 4577870*x^15 + 248704*x^14 - 7034594*x^13 + 1440766*x^12 + 6689404*x^11 - 2578170*x^10 - 3585906*x^9 + 1916244*x^8 + 840228*x^7 - 638014*x^6 + 6810*x^5 + 74746*x^4 - 20604*x^3 - 2400*x^2 + 1488*x + 96, x^29 - 7*x^28 - 17*x^27 + 224*x^26 - 86*x^25 - 2994*x^24 + 4520*x^23 + 21445*x^22 - 51188*x^21 - 85744*x^20 + 309617*x^19 + 160417*x^18 - 1154527*x^17 + 98597*x^16 + 2773420*x^15 - 1263705*x^14 - 4309185*x^13 + 3052314*x^12 + 4220380*x^11 - 3786848*x^10 - 2445846*x^9 + 2582817*x^8 + 733072*x^7 - 899801*x^6 - 79365*x^5 + 130497*x^4 - 4092*x^3 - 4776*x^2 + 1136*x - 144, x^29 - 5*x^28 - 31*x^27 + 183*x^26 + 391*x^25 - 2949*x^24 - 2461*x^23 + 27688*x^22 + 6390*x^21 - 168905*x^20 + 14772*x^19 + 706296*x^18 - 183627*x^17 - 2077239*x^16 + 728862*x^15 + 4320920*x^14 - 1717781*x^13 - 6265533*x^12 + 2665314*x^11 + 6086688*x^10 - 2747869*x^9 - 3667824*x^8 + 1780514*x^7 + 1188049*x^6 - 635077*x^5 - 154745*x^4 + 98990*x^3 + 3560*x^2 - 5328*x + 384, 2*x^29 - 12*x^28 - 51*x^27 + 423*x^26 + 380*x^25 - 6476*x^24 + 1513*x^23 + 56601*x^22 - 46504*x^21 - 311946*x^20 + 376473*x^19 + 1128327*x^18 - 1707863*x^17 - 2694976*x^16 + 4894621*x^15 + 4145359*x^14 - 9130549*x^13 - 3811854*x^12 + 11002821*x^11 + 1671618*x^10 - 8273778*x^9 + 72278*x^8 + 3649489*x^7 - 336724*x^6 - 858758*x^5 + 98878*x^4 + 93124*x^3 - 9500*x^2 - 3232*x + 288, x^29 - 6*x^28 - 24*x^27 + 205*x^26 + 143*x^25 - 2998*x^24 + 1301*x^23 + 24604*x^22 - 25684*x^21 - 124731*x^20 + 184127*x^19 + 404383*x^18 - 756893*x^17 - 835138*x^16 + 1963203*x^15 + 1044417*x^14 - 3295840*x^13 - 661829*x^12 + 3559195*x^11 + 9253*x^10 - 2397025*x^9 + 269747*x^8 + 946540*x^7 - 160518*x^6 - 197140*x^5 + 33731*x^4 + 20068*x^3 - 2160*x^2 - 840*x - 48, 2*x^29 - 13*x^28 - 44*x^27 + 442*x^26 + 150*x^25 - 6466*x^24 + 4762*x^23 + 53201*x^22 - 72211*x^21 - 269283*x^20 + 500440*x^19 + 855462*x^18 - 2076357*x^17 - 1630116*x^16 + 5526502*x^15 + 1476751*x^14 - 9568668*x^13 + 516341*x^12 + 10593564*x^11 - 2787678*x^10 - 7163212*x^9 + 2865012*x^8 + 2731024*x^7 - 1321740*x^6 - 521800*x^5 + 273347*x^4 + 43460*x^3 - 22076*x^2 - 1088*x + 336, x^29 - 6*x^28 - 26*x^27 + 217*x^26 + 195*x^25 - 3428*x^24 + 932*x^23 + 31120*x^22 - 27654*x^21 - 179613*x^20 + 233416*x^19 + 687945*x^18 - 1121358*x^17 - 1768898*x^16 + 3451230*x^15 + 3010501*x^14 - 7032681*x^13 - 3231389*x^12 + 9468820*x^11 + 1926438*x^10 - 8195558*x^9 - 357569*x^8 + 4313032*x^7 - 218547*x^6 - 1251831*x^5 + 120937*x^4 + 168822*x^3 - 17748*x^2 - 7896*x + 816, x^29 - 6*x^28 - 25*x^27 + 211*x^26 + 166*x^25 - 3201*x^24 + 1221*x^23 + 27383*x^22 - 28014*x^21 - 144494*x^20 + 216422*x^19 + 479970*x^18 - 949278*x^17 - 960774*x^16 + 2597183*x^15 + 933071*x^14 - 4478730*x^13 + 236773*x^12 + 4670245*x^11 - 1640506*x^10 - 2607339*x^9 + 1647680*x^8 + 503296*x^7 - 647907*x^6 + 103508*x^5 + 75376*x^4 - 35644*x^3 + 1480*x^2 + 2264*x - 432, 2*x^28 - 9*x^27 - 64*x^26 + 329*x^25 + 836*x^24 - 5255*x^23 - 5402*x^22 + 48054*x^21 + 13588*x^20 - 277191*x^19 + 42053*x^18 + 1049452*x^17 - 449053*x^16 - 2635042*x^15 + 1611425*x^14 + 4340601*x^13 - 3195310*x^12 - 4540824*x^11 + 3727322*x^10 + 2834687*x^9 - 2485525*x^8 - 943191*x^7 + 856290*x^6 + 134865*x^5 - 121118*x^4 - 5404*x^3 + 3992*x^2 - 296*x + 192, 2*x^28 - 11*x^27 - 50*x^26 + 365*x^25 + 386*x^24 - 5156*x^23 + 566*x^22 + 40647*x^21 - 28818*x^20 - 196887*x^19 + 216553*x^18 + 606853*x^17 - 861968*x^16 - 1185594*x^15 + 2101581*x^14 + 1392137*x^13 - 3264424*x^12 - 804825*x^11 + 3238751*x^10 - 50273*x^9 - 2008184*x^8 + 367039*x^7 + 736421*x^6 - 204029*x^5 - 141640*x^4 + 43110*x^3 + 10572*x^2 - 2944*x, 2*x^28 - 10*x^27 - 60*x^26 + 368*x^25 + 656*x^24 - 5804*x^23 - 2258*x^22 + 51570*x^21 - 15692*x^20 - 285174*x^19 + 206390*x^18 + 1022348*x^17 - 1036516*x^16 - 2398396*x^15 + 2975422*x^14 + 3628300*x^13 - 5237556*x^12 - 3402944*x^11 + 5633408*x^10 + 1848052*x^9 - 3525308*x^8 - 534130*x^7 + 1157050*x^6 + 88796*x^5 - 161786*x^4 - 16568*x^3 + 8444*x^2 + 1432*x - 240, x^28 - 4*x^27 - 33*x^26 + 147*x^25 + 445*x^24 - 2327*x^23 - 3073*x^22 + 20890*x^21 + 10264*x^20 - 117798*x^19 - 1187*x^18 + 436078*x^17 - 131487*x^16 - 1072986*x^15 + 561006*x^14 + 1729199*x^13 - 1209270*x^12 - 1733152*x^11 + 1509454*x^10 + 945706*x^9 - 1059402*x^8 - 171079*x^7 + 359433*x^6 - 42298*x^5 - 40811*x^4 + 11900*x^3 + 932*x^2 - 648*x - 48, 2*x^28 - 9*x^27 - 63*x^26 + 321*x^25 + 825*x^24 - 5008*x^23 - 5713*x^22 + 45152*x^21 + 20910*x^20 - 261500*x^19 - 22563*x^18 + 1020451*x^17 - 142958*x^16 - 2729483*x^15 + 762269*x^14 + 4981221*x^13 - 1792741*x^12 - 6061417*x^11 + 2383614*x^10 + 4727960*x^9 - 1800019*x^8 - 2241773*x^7 + 720184*x^6 + 604711*x^5 - 137111*x^4 - 82578*x^3 + 11208*x^2 + 4224*x - 336, x^28 - 4*x^27 - 33*x^26 + 147*x^25 + 442*x^24 - 2315*x^23 - 2975*x^22 + 20435*x^21 + 9156*x^20 - 111176*x^19 + 3800*x^18 + 385846*x^17 - 131160*x^16 - 852372*x^15 + 467969*x^14 + 1150469*x^13 - 818684*x^12 - 841821*x^11 + 756989*x^10 + 196632*x^9 - 328007*x^8 + 117044*x^7 + 33888*x^6 - 75533*x^5 + 10878*x^4 + 12548*x^3 - 1416*x^2 - 624*x - 48, x^28 - 3*x^27 - 38*x^26 + 116*x^25 + 632*x^24 - 1971*x^23 - 6047*x^22 + 19360*x^21 + 36858*x^20 - 121845*x^19 - 149929*x^18 + 515453*x^17 + 414546*x^16 - 1497310*x^15 - 775563*x^14 + 2997207*x^13 + 945747*x^12 - 4078383*x^11 - 670980*x^10 + 3639072*x^9 + 171474*x^8 - 1986114*x^7 + 85145*x^6 + 586782*x^5 - 60338*x^4 - 76512*x^3 + 9732*x^2 + 3192*x - 480, 2*x^28 - 12*x^27 - 42*x^26 + 370*x^25 + 192*x^24 - 4860*x^23 + 2362*x^22 + 35676*x^21 - 35712*x^20 - 161864*x^19 + 213582*x^18 + 477270*x^17 - 728120*x^16 - 950984*x^15 + 1539466*x^14 + 1354124*x^13 - 2079286*x^12 - 1484982*x^11 + 1829546*x^10 + 1268742*x^9 - 1073624*x^8 - 736030*x^7 + 409832*x^6 + 232494*x^5 - 84030*x^4 - 31692*x^3 + 5752*x^2 + 1440*x + 96, 2*x^28 - 12*x^27 - 44*x^26 + 384*x^25 + 222*x^24 - 5272*x^23 + 2542*x^22 + 40758*x^21 - 43228*x^20 - 195222*x^19 + 290092*x^18 + 596936*x^17 - 1140560*x^16 - 1138774*x^15 + 2873126*x^14 + 1184642*x^13 - 4733656*x^12 - 196602*x^11 + 5005762*x^10 - 1064192*x^9 - 3192642*x^8 + 1260230*x^7 + 1074316*x^6 - 570238*x^5 - 144256*x^4 + 96502*x^3 + 4492*x^2 - 5232*x + 240, 2*x^28 - 12*x^27 - 44*x^26 + 384*x^25 + 222*x^24 - 5266*x^23 + 2518*x^22 + 40562*x^21 - 42318*x^20 - 193006*x^19 + 276848*x^18 + 586962*x^17 - 1040096*x^16 - 1139428*x^15 + 2431898*x^14 + 1370716*x^13 - 3576196*x^12 - 977774*x^11 + 3223100*x^10 + 440738*x^9 - 1694494*x^8 - 202560*x^7 + 498070*x^6 + 80852*x^5 - 77786*x^4 - 6876*x^3 + 3196*x^2 - 536*x + 192, 2*x^28 - 11*x^27 - 50*x^26 + 365*x^25 + 386*x^24 - 5156*x^23 + 566*x^22 + 40647*x^21 - 28818*x^20 - 196887*x^19 + 216553*x^18 + 606853*x^17 - 861968*x^16 - 1185594*x^15 + 2101581*x^14 + 1392137*x^13 - 3264424*x^12 - 804825*x^11 + 3238751*x^10 - 50273*x^9 - 2008184*x^8 + 367039*x^7 + 736421*x^6 - 204029*x^5 - 141640*x^4 + 43110*x^3 + 10572*x^2 - 2944*x, x^28 - 4*x^27 - 33*x^26 + 147*x^25 + 445*x^24 - 2327*x^23 - 3073*x^22 + 20890*x^21 + 10264*x^20 - 117798*x^19 - 1187*x^18 + 436078*x^17 - 131487*x^16 - 1072986*x^15 + 561006*x^14 + 1729199*x^13 - 1209270*x^12 - 1733152*x^11 + 1509454*x^10 + 945706*x^9 - 1059402*x^8 - 171079*x^7 + 359433*x^6 - 42298*x^5 - 40811*x^4 + 11900*x^3 + 932*x^2 - 648*x - 48, 2*x^28 - 9*x^27 - 63*x^26 + 321*x^25 + 825*x^24 - 5008*x^23 - 5713*x^22 + 45152*x^21 + 20910*x^20 - 261500*x^19 - 22563*x^18 + 1020451*x^17 - 142958*x^16 - 2729483*x^15 + 762269*x^14 + 4981221*x^13 - 1792741*x^12 - 6061417*x^11 + 2383614*x^10 + 4727960*x^9 - 1800019*x^8 - 2241773*x^7 + 720184*x^6 + 604711*x^5 - 137111*x^4 - 82578*x^3 + 11208*x^2 + 4224*x - 336, 2*x^28 - 9*x^27 - 64*x^26 + 329*x^25 + 836*x^24 - 5255*x^23 - 5402*x^22 + 48054*x^21 + 13588*x^20 - 277191*x^19 + 42053*x^18 + 1049452*x^17 - 449053*x^16 - 2635042*x^15 + 1611425*x^14 + 4340601*x^13 - 3195310*x^12 - 4540824*x^11 + 3727322*x^10 + 2834687*x^9 - 2485525*x^8 - 943191*x^7 + 856290*x^6 + 134865*x^5 - 121118*x^4 - 5404*x^3 + 3992*x^2 - 296*x + 192, x^28 - 3*x^27 - 38*x^26 + 116*x^25 + 632*x^24 - 1971*x^23 - 6047*x^22 + 19360*x^21 + 36858*x^20 - 121845*x^19 - 149929*x^18 + 515453*x^17 + 414546*x^16 - 1497310*x^15 - 775563*x^14 + 2997207*x^13 + 945747*x^12 - 4078383*x^11 - 670980*x^10 + 3639072*x^9 + 171474*x^8 - 1986114*x^7 + 85145*x^6 + 586782*x^5 - 60338*x^4 - 76512*x^3 + 9732*x^2 + 3192*x - 480, x^28 - 4*x^27 - 33*x^26 + 147*x^25 + 442*x^24 - 2315*x^23 - 2975*x^22 + 20435*x^21 + 9156*x^20 - 111176*x^19 + 3800*x^18 + 385846*x^17 - 131160*x^16 - 852372*x^15 + 467969*x^14 + 1150469*x^13 - 818684*x^12 - 841821*x^11 + 756989*x^10 + 196632*x^9 - 328007*x^8 + 117044*x^7 + 33888*x^6 - 75533*x^5 + 10878*x^4 + 12548*x^3 - 1416*x^2 - 624*x - 48, 4*x^27 - 20*x^26 - 108*x^25 + 664*x^24 + 1076*x^23 - 9490*x^22 - 3588*x^21 + 76546*x^20 - 17400*x^19 - 384216*x^18 + 221182*x^17 + 1248962*x^16 - 990440*x^15 - 2655728*x^14 + 2475404*x^13 + 3655062*x^12 - 3716654*x^11 - 3168624*x^10 + 3343524*x^9 + 1662006*x^8 - 1729638*x^7 - 501942*x^6 + 477608*x^5 + 81428*x^4 - 62274*x^3 - 6596*x^2 + 2920*x + 192]>
       ]
>;

MOG[743] := 	// J_0(743)
   rec<SupersingularModule | 
       MonodromyWeights   := [2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [242, 698, 83, 330, 345*x + 425, 398*x + 425, 72, 504, 682*x + 124, 622*x + 386, 121*x + 386, 61*x + 124, 410*x + 139, 333*x + 139, 0, 84, 377*x + 412, 618*x + 194, 725*x + 544, 18*x + 544, 125*x + 194, 366*x + 412, 634*x + 101, 109*x + 101, 177, 289, 149*x + 33, 718*x + 655, 339*x + 494, 510*x + 227, 578, 404*x + 494, 233*x + 227, 594*x + 33, 25*x + 655, 98*x + 433, 645*x + 433, 667, 488, 647*x + 232, 550*x + 218, 551*x + 4, 623*x + 130, 315*x + 156, 120*x + 130, 428*x + 156, 96*x + 232, 192*x + 4, 193*x + 218, 477, 79*x + 376, 664*x + 376, 53, 650*x + 138, 280*x + 32, 148, 166, 93*x + 138, 463*x + 32, 606, 565, 190, 570]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^21 + 4*x^20 - 19*x^19 - 90*x^18 + 130*x^17 + 829*x^16 - 326*x^15 - 4084*x^14 - 396*x^13 + 11740*x^12 + 4274*x^11 - 20075*x^10 - 10486*x^9 + 19851*x^8 + 12448*x^7 - 10398*x^6 - 7553*x^5 + 2278*x^4 + 2162*x^3 - 6*x^2 - 220*x - 35,
           Coordinates        := [0, 0, 0, 0, -x^20 - 4*x^19 + 17*x^18 + 83*x^17 - 96*x^16 - 693*x^15 + 117*x^14 + 3027*x^13 + 900*x^12 - 7487*x^11 - 4185*x^10 + 10527*x^9 + 7646*x^8 - 7884*x^7 - 6805*x^6 + 2552*x^5 + 2765*x^4 - 97*x^3 - 381*x^2 - 40*x + 7, x^20 + 4*x^19 - 17*x^18 - 83*x^17 + 96*x^16 + 693*x^15 - 117*x^14 - 3027*x^13 - 900*x^12 + 7487*x^11 + 4185*x^10 - 10527*x^9 - 7646*x^8 + 7884*x^7 + 6805*x^6 - 2552*x^5 - 2765*x^4 + 97*x^3 + 381*x^2 + 40*x - 7, 0, 0, -x^19 - 4*x^18 + 15*x^17 + 75*x^16 - 70*x^15 - 561*x^14 + 14*x^13 + 2159*x^12 + 885*x^11 - 4584*x^10 - 3026*x^9 + 5331*x^8 + 4425*x^7 - 3136*x^6 - 3130*x^5 + 708*x^4 + 1007*x^3 + 37*x^2 - 114*x - 21, -x^19 - 3*x^18 + 19*x^17 + 61*x^16 - 139*x^15 - 496*x^14 + 490*x^13 + 2094*x^12 - 796*x^11 - 4964*x^10 + 186*x^9 + 6636*x^8 + 1218*x^7 - 4710*x^6 - 1658*x^5 + 1473*x^4 + 774*x^3 - 83*x^2 - 99*x - 14, x^19 + 3*x^18 - 19*x^17 - 61*x^16 + 139*x^15 + 496*x^14 - 490*x^13 - 2094*x^12 + 796*x^11 + 4964*x^10 - 186*x^9 - 6636*x^8 - 1218*x^7 + 4710*x^6 + 1658*x^5 - 1473*x^4 - 774*x^3 + 83*x^2 + 99*x + 14, x^19 + 4*x^18 - 15*x^17 - 75*x^16 + 70*x^15 + 561*x^14 - 14*x^13 - 2159*x^12 - 885*x^11 + 4584*x^10 + 3026*x^9 - 5331*x^8 - 4425*x^7 + 3136*x^6 + 3130*x^5 - 708*x^4 - 1007*x^3 - 37*x^2 + 114*x + 21, -x^16 - 2*x^15 + 18*x^14 + 35*x^13 - 127*x^12 - 240*x^11 + 443*x^10 + 816*x^9 - 794*x^8 - 1450*x^7 + 669*x^6 + 1304*x^5 - 164*x^4 - 521*x^3 - 54*x^2 + 64*x + 14, x^16 + 2*x^15 - 18*x^14 - 35*x^13 + 127*x^12 + 240*x^11 - 443*x^10 - 816*x^9 + 794*x^8 + 1450*x^7 - 669*x^6 - 1304*x^5 + 164*x^4 + 521*x^3 + 54*x^2 - 64*x - 14, 0, 0, -x^18 - 4*x^17 + 13*x^16 + 66*x^15 - 52*x^14 - 436*x^13 - 7*x^12 + 1463*x^11 + 597*x^10 - 2598*x^9 - 1667*x^8 + 2283*x^7 + 1866*x^6 - 775*x^5 - 837*x^4 + x^3 + 105*x^2 + 17*x, -x^18 - 4*x^17 + 13*x^16 + 66*x^15 - 51*x^14 - 432*x^13 - 8*x^12 + 1440*x^11 + 562*x^10 - 2598*x^9 - 1554*x^8 + 2465*x^7 + 1809*x^6 - 1069*x^5 - 921*x^4 + 133*x^3 + 162*x^2 + 2*x - 7, -x^18 - 3*x^17 + 18*x^16 + 58*x^15 - 123*x^14 - 443*x^13 + 398*x^12 + 1727*x^11 - 593*x^10 - 3705*x^9 + 208*x^8 + 4392*x^7 + 437*x^6 - 2737*x^5 - 518*x^4 + 788*x^3 + 199*x^2 - 73*x - 21, x^18 + 3*x^17 - 18*x^16 - 58*x^15 + 123*x^14 + 443*x^13 - 398*x^12 - 1727*x^11 + 593*x^10 + 3705*x^9 - 208*x^8 - 4392*x^7 - 437*x^6 + 2737*x^5 + 518*x^4 - 788*x^3 - 199*x^2 + 73*x + 21, x^18 + 4*x^17 - 13*x^16 - 66*x^15 + 51*x^14 + 432*x^13 + 8*x^12 - 1440*x^11 - 562*x^10 + 2598*x^9 + 1554*x^8 - 2465*x^7 - 1809*x^6 + 1069*x^5 + 921*x^4 - 133*x^3 - 162*x^2 - 2*x + 7, x^18 + 4*x^17 - 13*x^16 - 66*x^15 + 52*x^14 + 436*x^13 + 7*x^12 - 1463*x^11 - 597*x^10 + 2598*x^9 + 1667*x^8 - 2283*x^7 - 1866*x^6 + 775*x^5 + 837*x^4 - x^3 - 105*x^2 - 17*x, -x^17 - 3*x^16 + 16*x^15 + 53*x^14 - 92*x^13 - 367*x^12 + 203*x^11 + 1259*x^10 + 22*x^9 - 2244*x^8 - 781*x^7 + 1973*x^6 + 1140*x^5 - 685*x^4 - 575*x^3 + 10*x^2 + 78*x + 14, x^17 + 3*x^16 - 16*x^15 - 53*x^14 + 92*x^13 + 367*x^12 - 203*x^11 - 1259*x^10 - 22*x^9 + 2244*x^8 + 781*x^7 - 1973*x^6 - 1140*x^5 + 685*x^4 + 575*x^3 - 10*x^2 - 78*x - 14, 0, 0, -x^17 - 5*x^16 + 7*x^15 + 68*x^14 + 20*x^13 - 358*x^12 - 315*x^11 + 917*x^10 + 1123*x^9 - 1162*x^8 - 1825*x^7 + 610*x^6 + 1431*x^5 + 3*x^4 - 490*x^3 - 78*x^2 + 57*x + 14, -x^17 - 4*x^16 + 11*x^15 + 57*x^14 - 41*x^13 - 338*x^12 + 27*x^11 + 1069*x^10 + 236*x^9 - 1886*x^8 - 734*x^7 + 1751*x^6 + 862*x^5 - 710*x^4 - 412*x^3 + 58*x^2 + 57*x + 7, -x^17 - 5*x^16 + 7*x^15 + 68*x^14 + 22*x^13 - 352*x^12 - 327*x^11 + 872*x^10 + 1133*x^9 - 1064*x^8 - 1786*x^7 + 575*x^6 + 1393*x^5 - 51*x^4 - 510*x^3 - 66*x^2 + 62*x + 14, -x^17 - 4*x^16 + 12*x^15 + 61*x^14 - 44*x^13 - 367*x^12 + 4*x^11 + 1114*x^10 + 339*x^9 - 1802*x^8 - 830*x^7 + 1492*x^6 + 816*x^5 - 524*x^4 - 335*x^3 + 31*x^2 + 45*x + 7, 0, x^17 + 5*x^16 - 7*x^15 - 68*x^14 - 22*x^13 + 352*x^12 + 327*x^11 - 872*x^10 - 1133*x^9 + 1064*x^8 + 1786*x^7 - 575*x^6 - 1393*x^5 + 51*x^4 + 510*x^3 + 66*x^2 - 62*x - 14, x^17 + 4*x^16 - 12*x^15 - 61*x^14 + 44*x^13 + 367*x^12 - 4*x^11 - 1114*x^10 - 339*x^9 + 1802*x^8 + 830*x^7 - 1492*x^6 - 816*x^5 + 524*x^4 + 335*x^3 - 31*x^2 - 45*x - 7, x^17 + 5*x^16 - 7*x^15 - 68*x^14 - 20*x^13 + 358*x^12 + 315*x^11 - 917*x^10 - 1123*x^9 + 1162*x^8 + 1825*x^7 - 610*x^6 - 1431*x^5 - 3*x^4 + 490*x^3 + 78*x^2 - 57*x - 14, x^17 + 4*x^16 - 11*x^15 - 57*x^14 + 41*x^13 + 338*x^12 - 27*x^11 - 1069*x^10 - 236*x^9 + 1886*x^8 + 734*x^7 - 1751*x^6 - 862*x^5 + 710*x^4 + 412*x^3 - 58*x^2 - 57*x - 7, -x^16 - 3*x^15 + 13*x^14 + 41*x^13 - 68*x^12 - 228*x^11 + 172*x^10 + 645*x^9 - 195*x^8 - 969*x^7 + 34*x^6 + 748*x^5 + 107*x^4 - 257*x^3 - 67*x^2 + 23*x + 7, x^16 + 3*x^15 - 13*x^14 - 41*x^13 + 68*x^12 + 228*x^11 - 172*x^10 - 645*x^9 + 195*x^8 + 969*x^7 - 34*x^6 - 748*x^5 - 107*x^4 + 257*x^3 + 67*x^2 - 23*x - 7, 0, 0, -x^16 - 5*x^15 + 4*x^14 + 56*x^13 + 44*x^12 - 219*x^11 - 346*x^10 + 303*x^9 + 906*x^8 + 113*x^7 - 1010*x^6 - 615*x^5 + 398*x^4 + 431*x^3 + 18*x^2 - 65*x - 14, -x^16 - 5*x^15 + 4*x^14 + 56*x^13 + 41*x^12 - 227*x^11 - 318*x^10 + 385*x^9 + 829*x^8 - 163*x^7 - 947*x^6 - 230*x^5 + 422*x^4 + 218*x^3 - 26*x^2 - 38*x - 7, -x^16 - 4*x^15 + 7*x^14 + 42*x^13 - 7*x^12 - 167*x^11 - 43*x^10 + 327*x^9 + 104*x^8 - 369*x^7 - 57*x^6 + 295*x^5 + 3*x^4 - 161*x^3 - 22*x^2 + 28*x + 7, -x^16 - 5*x^15 + 5*x^14 + 60*x^13 + 39*x^12 - 253*x^11 - 346*x^10 + 411*x^9 + 930*x^8 - 65*x^7 - 1026*x^6 - 413*x^5 + 408*x^4 + 291*x^3 - 22*x^2 - 45*x - 7, -x^16 - 5*x^15 + 7*x^14 + 65*x^13 + 12*x^12 - 326*x^11 - 223*x^10 + 796*x^9 + 724*x^8 - 973*x^7 - 993*x^6 + 545*x^5 + 586*x^4 - 102*x^3 - 117*x^2 + 5*x + 7, x^16 + 5*x^15 - 5*x^14 - 60*x^13 - 39*x^12 + 253*x^11 + 346*x^10 - 411*x^9 - 930*x^8 + 65*x^7 + 1026*x^6 + 413*x^5 - 408*x^4 - 291*x^3 + 22*x^2 + 45*x + 7, x^16 + 5*x^15 - 7*x^14 - 65*x^13 - 12*x^12 + 326*x^11 + 223*x^10 - 796*x^9 - 724*x^8 + 973*x^7 + 993*x^6 - 545*x^5 - 586*x^4 + 102*x^3 + 117*x^2 - 5*x - 7, x^16 + 5*x^15 - 4*x^14 - 56*x^13 - 44*x^12 + 219*x^11 + 346*x^10 - 303*x^9 - 906*x^8 - 113*x^7 + 1010*x^6 + 615*x^5 - 398*x^4 - 431*x^3 - 18*x^2 + 65*x + 14, x^16 + 4*x^15 - 7*x^14 - 42*x^13 + 7*x^12 + 167*x^11 + 43*x^10 - 327*x^9 - 104*x^8 + 369*x^7 + 57*x^6 - 295*x^5 - 3*x^4 + 161*x^3 + 22*x^2 - 28*x - 7, x^16 + 5*x^15 - 4*x^14 - 56*x^13 - 41*x^12 + 227*x^11 + 318*x^10 - 385*x^9 - 829*x^8 + 163*x^7 + 947*x^6 + 230*x^5 - 422*x^4 - 218*x^3 + 26*x^2 + 38*x + 7, 0, -3*x^15 - 12*x^14 + 24*x^13 + 139*x^12 - 31*x^11 - 614*x^10 - 217*x^9 + 1275*x^8 + 815*x^7 - 1225*x^6 - 1033*x^5 + 428*x^4 + 508*x^3 + 13*x^2 - 71*x - 14, 3*x^15 + 12*x^14 - 24*x^13 - 139*x^12 + 31*x^11 + 614*x^10 + 217*x^9 - 1275*x^8 - 815*x^7 + 1225*x^6 + 1033*x^5 - 428*x^4 - 508*x^3 - 13*x^2 + 71*x + 14, 0, -2*x^15 - 8*x^14 + 17*x^13 + 99*x^12 - 19*x^11 - 461*x^10 - 203*x^9 + 999*x^8 + 760*x^7 - 988*x^6 - 985*x^5 + 342*x^4 + 488*x^3 + 21*x^2 - 69*x - 14, -x^15 - 3*x^14 + 10*x^13 + 32*x^12 - 39*x^11 - 128*x^10 + 85*x^9 + 242*x^8 - 138*x^7 - 231*x^6 + 174*x^5 + 121*x^4 - 118*x^3 - 43*x^2 + 21*x + 7, 0, 0, 2*x^15 + 8*x^14 - 17*x^13 - 99*x^12 + 19*x^11 + 461*x^10 + 203*x^9 - 999*x^8 - 760*x^7 + 988*x^6 + 985*x^5 - 342*x^4 - 488*x^3 - 21*x^2 + 69*x + 14, x^15 + 3*x^14 - 10*x^13 - 32*x^12 + 39*x^11 + 128*x^10 - 85*x^9 - 242*x^8 + 138*x^7 + 231*x^6 - 174*x^5 - 121*x^4 + 118*x^3 + 43*x^2 - 21*x - 7, 0, 0, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^41 - 3*x^40 - 60*x^39 + 182*x^38 + 1650*x^37 - 5069*x^36 - 27571*x^35 + 85963*x^34 + 312879*x^33 - 992721*x^32 - 2552707*x^31 + 8272258*x^30 + 15458352*x^29 - 51426743*x^28 - 70686355*x^27 + 243259405*x^26 + 245682572*x^25 - 885084270*x^24 - 646802366*x^23 + 2487947892*x^22 + 1268519100*x^21 - 5397481690*x^20 - 1777906518*x^19 + 8980717313*x^18 + 1588697815*x^17 - 11321976539*x^16 - 488973766*x^15 + 10602085708*x^14 - 836207984*x^13 - 7143672076*x^12 + 1396044584*x^11 + 3283256690*x^10 - 1030954725*x^9 - 929131163*x^8 + 420961548*x^7 + 124053484*x^6 - 88241066*x^5 + 1330649*x^4 + 6647191*x^3 - 1218735*x^2 + 47359*x + 155,
           Coordinates        := [-x^40 + 3*x^39 + 58*x^38 - 176*x^37 - 1538*x^36 + 4729*x^35 + 24711*x^34 - 77159*x^33 - 268765*x^32 + 854637*x^31 + 2093817*x^30 - 6806164*x^29 - 12055192*x^28 + 40270045*x^27 + 52149273*x^26 - 180407465*x^25 - 170468700*x^24 + 618080044*x^23 + 419160164*x^22 - 1624650602*x^21 - 761321801*x^20 + 3268191814*x^19 + 977449453*x^18 - 4990258547*x^17 - 786560677*x^16 + 5699232866*x^15 + 202093624*x^14 - 4756276214*x^13 + 352170850*x^12 + 2796783064*x^11 - 492719356*x^10 - 1091397565*x^9 + 301617127*x^8 + 252875728*x^7 - 97786576*x^6 - 26488336*x^5 + 15166907*x^4 - 40337*x^3 - 759203*x^2 + 92731*x - 751, x^40 - 5*x^39 - 52*x^38 + 288*x^37 + 1198*x^36 - 7589*x^35 - 15907*x^34 + 121273*x^33 + 130681*x^32 - 1313527*x^31 - 627723*x^30 + 10209324*x^29 + 898494*x^28 - 58807127*x^27 + 10702667*x^26 + 255621337*x^25 - 96535526*x^24 - 845722246*x^23 + 444137126*x^22 + 2131847901*x^21 - 1367968075*x^20 - 4068648879*x^19 + 3013009313*x^18 + 5792395685*x^17 - 4836182996*x^16 - 5986113008*x^15 + 5643715870*x^14 + 4272239080*x^13 - 4699059862*x^12 - 1893457836*x^11 + 2684578481*x^10 + 362059967*x^9 - 977872562*x^8 + 70299244*x^7 + 195351724*x^6 - 46585823*x^5 - 13876595*x^4 + 5928325*x^3 - 366801*x^2 - 46123*x + 906, x^39 - 5*x^38 - 50*x^37 + 278*x^36 + 1102*x^35 - 7051*x^34 - 13897*x^33 + 108119*x^32 + 107059*x^31 - 1119957*x^30 - 465667*x^29 + 8295312*x^28 + 378620*x^27 - 45361737*x^26 + 9391393*x^25 + 186442063*x^24 - 71969422*x^23 - 580840358*x^22 + 299882030*x^21 + 1372874637*x^20 - 842865113*x^19 - 2446684919*x^18 + 1690581611*x^17 + 3240958773*x^16 - 2457716516*x^15 - 3110333456*x^14 + 2578936342*x^13 + 2068339762*x^12 - 1914100388*x^11 - 874425652*x^10 + 964758475*x^9 + 186985489*x^8 - 306066646*x^7 + 2371958*x^6 + 52342440*x^5 - 8541735*x^4 - 3105865*x^3 + 952249*x^2 - 60845*x - 729, x^39 - 5*x^38 - 50*x^37 + 278*x^36 + 1104*x^35 - 7061*x^34 - 13983*x^33 + 108605*x^32 + 108651*x^31 - 1130611*x^30 - 481863*x^29 + 8434688*x^28 + 470312*x^27 - 46574877*x^26 + 9205439*x^25 + 193857361*x^24 - 73251174*x^23 - 613579961*x^22 + 312931999*x^21 + 1478601776*x^20 - 902602684*x^19 - 2696535615*x^18 + 1865054672*x^17 + 3668026112*x^16 - 2808059580*x^15 - 3623700420*x^14 + 3070764208*x^13 + 2477532778*x^12 - 2390931843*x^11 - 1061332359*x^10 + 1271118818*x^9 + 209210664*x^8 - 425294634*x^7 + 22561887*x^6 + 74998703*x^5 - 17194403*x^4 - 3827453*x^3 + 1738769*x^2 - 171070*x + 2076, x^38 - 5*x^37 - 48*x^36 + 269*x^35 + 1005*x^34 - 6577*x^33 - 11811*x^32 + 96785*x^31 + 81028*x^30 - 957006*x^29 - 259937*x^28 + 6722695*x^27 - 655637*x^26 - 34589637*x^25 + 12283052*x^24 + 132440944*x^23 - 72127548*x^22 - 379486632*x^21 + 262551481*x^20 + 810981980*x^19 - 661213851*x^18 - 1275718456*x^17 + 1189233240*x^16 + 1437889776*x^15 - 1532389764*x^14 - 1101949659*x^13 + 1392479737*x^12 + 509516092*x^11 - 859910003*x^10 - 87537239*x^9 + 335902958*x^8 - 33963643*x^7 - 71504642*x^6 + 19022044*x^5 + 5385365*x^4 - 2488038*x^3 + 152978*x^2 + 22697*x - 453, x^38 - 5*x^37 - 48*x^36 + 269*x^35 + 1005*x^34 - 6577*x^33 - 11811*x^32 + 96785*x^31 + 81028*x^30 - 957006*x^29 - 259937*x^28 + 6722695*x^27 - 655637*x^26 - 34589637*x^25 + 12283052*x^24 + 132440944*x^23 - 72127548*x^22 - 379486632*x^21 + 262551481*x^20 + 810981980*x^19 - 661213851*x^18 - 1275718456*x^17 + 1189233240*x^16 + 1437889776*x^15 - 1532389764*x^14 - 1101949659*x^13 + 1392479737*x^12 + 509516092*x^11 - 859910003*x^10 - 87537239*x^9 + 335902958*x^8 - 33963643*x^7 - 71504642*x^6 + 19022044*x^5 + 5385365*x^4 - 2488038*x^3 + 152978*x^2 + 22697*x - 453, x^38 - 5*x^37 - 48*x^36 + 270*x^35 + 1002*x^34 - 6629*x^33 - 11653*x^32 + 97999*x^31 + 77283*x^30 - 973833*x^29 - 207087*x^28 + 6877008*x^27 - 1150762*x^26 - 35577371*x^25 + 15534285*x^24 + 136977769*x^23 - 87531830*x^22 - 394621297*x^21 + 315975873*x^20 + 847638112*x^19 - 797424844*x^18 - 1339265659*x^17 + 1443551466*x^16 + 1513855456*x^15 - 1876088594*x^14 - 1158795036*x^13 + 1721954250*x^12 + 527239476*x^11 - 1076981441*x^10 - 77593303*x^9 + 429346624*x^8 - 47072704*x^7 - 95423656*x^6 + 24649451*x^5 + 8262537*x^4 - 3476319*x^3 + 120663*x^2 + 50025*x - 906, x^38 - 5*x^37 - 46*x^36 + 258*x^35 + 922*x^34 - 6039*x^33 - 10377*x^32 + 84917*x^31 + 68577*x^30 - 800803*x^29 - 221095*x^28 + 5355242*x^27 - 346466*x^26 - 26186605*x^25 + 7750067*x^24 + 95164516*x^23 - 43673297*x^22 - 258624828*x^21 + 149389518*x^20 + 524475152*x^19 - 350529797*x^18 - 785103914*x^17 + 584571950*x^16 + 848557132*x^15 - 696863068*x^14 - 635911266*x^13 + 586173769*x^12 + 304886001*x^11 - 336478222*x^10 - 75256000*x^9 + 123231304*x^8 - 664653*x^7 - 24929365*x^6 + 4741969*x^5 + 1786605*x^4 - 713237*x^3 + 75068*x^2 - 1826*x, x^37 - 5*x^36 - 46*x^35 + 259*x^34 + 918*x^33 - 6082*x^32 - 10190*x^31 + 85719*x^30 + 64663*x^29 - 809182*x^28 - 172660*x^27 + 5406992*x^26 - 740612*x^25 - 26353108*x^24 + 9968892*x^23 + 95128012*x^22 - 52518016*x^21 - 255557579*x^20 + 174473307*x^19 + 508763565*x^18 - 400445547*x^17 - 739887147*x^16 + 651303253*x^15 + 763950066*x^14 - 749773947*x^13 - 530430047*x^12 + 598338948*x^11 + 219561893*x^10 - 316314250*x^9 - 34309736*x^8 + 101158802*x^7 - 9378209*x^6 - 15867170*x^5 + 4102549*x^4 + 505586*x^3 - 271876*x^2 + 23926*x + 423, x^37 - 4*x^36 - 51*x^35 + 215*x^34 + 1168*x^33 - 5252*x^32 - 15841*x^31 + 77232*x^30 + 141067*x^29 - 763435*x^28 - 861597*x^27 + 5365108*x^26 + 3632271*x^25 - 27648011*x^24 - 10127018*x^23 + 106225714*x^22 + 15187467*x^21 - 306335078*x^20 + 7177955*x^19 + 662202898*x^18 - 100902824*x^17 - 1063181850*x^16 + 274023499*x^15 + 1244433731*x^14 - 436682658*x^13 - 1028393623*x^12 + 455851437*x^11 + 567326520*x^10 - 312541267*x^9 - 186639396*x^8 + 133403202*x^7 + 26028295*x^6 - 31089905*x^5 + 1951148*x^4 + 2753257*x^3 - 657676*x^2 + 36466*x + 306, x^37 - 4*x^36 - 51*x^35 + 215*x^34 + 1168*x^33 - 5252*x^32 - 15841*x^31 + 77232*x^30 + 141067*x^29 - 763435*x^28 - 861597*x^27 + 5365108*x^26 + 3632271*x^25 - 27648011*x^24 - 10127018*x^23 + 106225714*x^22 + 15187467*x^21 - 306335078*x^20 + 7177955*x^19 + 662202898*x^18 - 100902824*x^17 - 1063181850*x^16 + 274023499*x^15 + 1244433731*x^14 - 436682658*x^13 - 1028393623*x^12 + 455851437*x^11 + 567326520*x^10 - 312541267*x^9 - 186639396*x^8 + 133403202*x^7 + 26028295*x^6 - 31089905*x^5 + 1951148*x^4 + 2753257*x^3 - 657676*x^2 + 36466*x + 306, x^37 - 5*x^36 - 46*x^35 + 259*x^34 + 918*x^33 - 6082*x^32 - 10190*x^31 + 85719*x^30 + 64663*x^29 - 809182*x^28 - 172660*x^27 + 5406992*x^26 - 740612*x^25 - 26353108*x^24 + 9968892*x^23 + 95128012*x^22 - 52518016*x^21 - 255557579*x^20 + 174473307*x^19 + 508763565*x^18 - 400445547*x^17 - 739887147*x^16 + 651303253*x^15 + 763950066*x^14 - 749773947*x^13 - 530430047*x^12 + 598338948*x^11 + 219561893*x^10 - 316314250*x^9 - 34309736*x^8 + 101158802*x^7 - 9378209*x^6 - 15867170*x^5 + 4102549*x^4 + 505586*x^3 - 271876*x^2 + 23926*x + 423, x^37 - 4*x^36 - 51*x^35 + 216*x^34 + 1165*x^33 - 5303*x^32 - 15684*x^31 + 78389*x^30 + 137388*x^29 - 778840*x^28 - 810537*x^27 + 5498753*x^26 + 3164423*x^25 - 28439796*x^24 - 7140328*x^23 + 109479332*x^22 + 1521937*x^21 - 315481832*x^20 + 52588920*x^19 + 678634978*x^18 - 210751603*x^17 - 1077085328*x^16 + 465985493*x^15 + 1232452692*x^14 - 674404979*x^13 - 975146651*x^12 + 656975201*x^11 + 491869528*x^10 - 420886097*x^9 - 128141684*x^8 + 164935489*x^7 + 1043782*x^6 - 33368083*x^5 + 6859042*x^4 + 1974058*x^3 - 844372*x^2 + 85082*x - 1038, x^37 - 4*x^36 - 51*x^35 + 216*x^34 + 1165*x^33 - 5303*x^32 - 15684*x^31 + 78389*x^30 + 137388*x^29 - 778840*x^28 - 810537*x^27 + 5498753*x^26 + 3164423*x^25 - 28439796*x^24 - 7140328*x^23 + 109479332*x^22 + 1521937*x^21 - 315481832*x^20 + 52588920*x^19 + 678634978*x^18 - 210751603*x^17 - 1077085328*x^16 + 465985493*x^15 + 1232452692*x^14 - 674404979*x^13 - 975146651*x^12 + 656975201*x^11 + 491869528*x^10 - 420886097*x^9 - 128141684*x^8 + 164935489*x^7 + 1043782*x^6 - 33368083*x^5 + 6859042*x^4 + 1974058*x^3 - 844372*x^2 + 85082*x - 1038, x^37 - 5*x^36 - 46*x^35 + 258*x^34 + 922*x^33 - 6039*x^32 - 10377*x^31 + 84917*x^30 + 68577*x^29 - 800803*x^28 - 221095*x^27 + 5355242*x^26 - 346466*x^25 - 26186605*x^24 + 7750067*x^23 + 95164516*x^22 - 43673297*x^21 - 258624828*x^20 + 149389518*x^19 + 524475152*x^18 - 350529797*x^17 - 785103914*x^16 + 584571950*x^15 + 848557132*x^14 - 696863068*x^13 - 635911266*x^12 + 586173769*x^11 + 304886001*x^10 - 336478222*x^9 - 75256000*x^8 + 123231304*x^7 - 664653*x^6 - 24929365*x^5 + 4741969*x^4 + 1786605*x^3 - 713237*x^2 + 75068*x - 1826, x^37 - 5*x^36 - 44*x^35 + 248*x^34 + 840*x^33 - 5571*x^32 - 8943*x^31 + 75057*x^30 + 55037*x^29 - 677037*x^28 - 153493*x^27 + 4322546*x^26 - 415974*x^25 - 20133030*x^24 + 6327676*x^23 + 69461585*x^22 - 32522590*x^21 - 178252140*x^20 + 103904333*x^19 + 338006245*x^18 - 228893331*x^17 - 464157238*x^16 + 357480662*x^15 + 442117758*x^14 - 394001235*x^13 - 264912979*x^12 + 295932314*x^11 + 71418356*x^10 - 138452848*x^9 + 15892683*x^8 + 30671357*x^7 - 15825959*x^6 + 1575997*x^5 + 2255259*x^4 - 1457294*x^3 + 399116*x^2 - 54134*x + 3402, x^36 - 5*x^35 - 44*x^34 + 250*x^33 + 830*x^32 - 5643*x^31 - 8509*x^30 + 76073*x^29 + 46672*x^28 - 682897*x^27 - 59101*x^26 + 4308862*x^25 - 1107746*x^24 - 19659087*x^23 + 9777161*x^22 + 65697981*x^21 - 44416544*x^20 - 160991617*x^19 + 132002457*x^18 + 286193008*x^17 - 272293534*x^16 - 359299840*x^15 + 395030838*x^14 + 300735285*x^13 - 398453933*x^12 - 144751436*x^11 + 269375684*x^10 + 16527046*x^9 - 112645913*x^8 + 20969840*x^7 + 23799428*x^6 - 10586521*x^5 - 667683*x^4 + 1425991*x^3 - 383900*x^2 + 39679*x - 630, x^36 - 5*x^35 - 43*x^34 + 245*x^33 + 791*x^32 - 5423*x^31 - 7856*x^30 + 71751*x^29 + 40605*x^28 - 632806*x^27 - 25874*x^26 + 3927667*x^25 - 1206414*x^24 - 17653845*x^23 + 9832371*x^22 + 58231072*x^21 - 43661630*x^20 - 141226798*x^19 + 128765847*x^18 + 249638301*x^17 - 265636453*x^16 - 314639870*x^15 + 387584979*x^14 + 270784327*x^13 - 395686856*x^12 - 145202763*x^11 + 274220069*x^10 + 36700457*x^9 - 122098243*x^8 + 3615594*x^7 + 31838044*x^6 - 4332974*x^5 - 4212096*x^4 + 790171*x^3 + 254848*x^2 - 61953*x + 1083, x^36 - 3*x^35 - 52*x^34 + 157*x^33 + 1222*x^32 - 3712*x^31 - 17193*x^30 + 52504*x^29 + 161775*x^28 - 495990*x^27 - 1077200*x^26 + 3309355*x^25 + 5237941*x^24 - 16088212*x^23 - 18910699*x^22 + 57964087*x^21 + 50961552*x^20 - 155957037*x^19 - 101891871*x^18 + 313439430*x^17 + 147972109*x^16 - 467479544*x^15 - 148726625*x^14 + 510238694*x^13 + 91765323*x^12 - 398041009*x^11 - 19957784*x^10 + 213439110*x^9 - 15860360*x^8 - 73411264*x^7 + 14386442*x^6 + 14019009*x^5 - 4583256*x^4 - 922895*x^3 + 541164*x^2 - 58857*x + 147, x^36 - 3*x^35 - 52*x^34 + 157*x^33 + 1222*x^32 - 3712*x^31 - 17193*x^30 + 52504*x^29 + 161775*x^28 - 495990*x^27 - 1077200*x^26 + 3309355*x^25 + 5237941*x^24 - 16088212*x^23 - 18910699*x^22 + 57964087*x^21 + 50961552*x^20 - 155957037*x^19 - 101891871*x^18 + 313439430*x^17 + 147972109*x^16 - 467479544*x^15 - 148726625*x^14 + 510238694*x^13 + 91765323*x^12 - 398041009*x^11 - 19957784*x^10 + 213439110*x^9 - 15860360*x^8 - 73411264*x^7 + 14386442*x^6 + 14019009*x^5 - 4583256*x^4 - 922895*x^3 + 541164*x^2 - 58857*x + 147, x^36 - 5*x^35 - 43*x^34 + 245*x^33 + 791*x^32 - 5423*x^31 - 7856*x^30 + 71751*x^29 + 40605*x^28 - 632806*x^27 - 25874*x^26 + 3927667*x^25 - 1206414*x^24 - 17653845*x^23 + 9832371*x^22 + 58231072*x^21 - 43661630*x^20 - 141226798*x^19 + 128765847*x^18 + 249638301*x^17 - 265636453*x^16 - 314639870*x^15 + 387584979*x^14 + 270784327*x^13 - 395686856*x^12 - 145202763*x^11 + 274220069*x^10 + 36700457*x^9 - 122098243*x^8 + 3615594*x^7 + 31838044*x^6 - 4332974*x^5 - 4212096*x^4 + 790171*x^3 + 254848*x^2 - 61953*x + 1083, x^36 - 5*x^35 - 44*x^34 + 250*x^33 + 830*x^32 - 5643*x^31 - 8509*x^30 + 76073*x^29 + 46672*x^28 - 682897*x^27 - 59101*x^26 + 4308862*x^25 - 1107746*x^24 - 19659087*x^23 + 9777161*x^22 + 65697981*x^21 - 44416544*x^20 - 160991617*x^19 + 132002457*x^18 + 286193008*x^17 - 272293534*x^16 - 359299840*x^15 + 395030838*x^14 + 300735285*x^13 - 398453933*x^12 - 144751436*x^11 + 269375684*x^10 + 16527046*x^9 - 112645913*x^8 + 20969840*x^7 + 23799428*x^6 - 10586521*x^5 - 667683*x^4 + 1425991*x^3 - 383900*x^2 + 39679*x - 630, x^36 - 3*x^35 - 53*x^34 + 161*x^33 + 1272*x^32 - 3926*x^31 - 18284*x^30 + 57605*x^29 + 175390*x^28 - 567718*x^27 - 1183568*x^26 + 3973152*x^25 + 5765183*x^24 - 20358109*x^23 - 20425565*x^22 + 77617528*x^21 + 52094879*x^20 - 221592054*x^19 - 91961737*x^18 + 472931934*x^17 + 99519355*x^16 - 747388257*x^15 - 30769077*x^14 + 858053364*x^13 - 89832398*x^12 - 692345149*x^11 + 164225816*x^10 + 370337716*x^9 - 136269451*x^8 - 116819003*x^7 + 61011791*x^6 + 15577674*x^5 - 13147521*x^4 + 657889*x^3 + 808791*x^2 - 136145*x + 1944, x^36 - 3*x^35 - 53*x^34 + 161*x^33 + 1272*x^32 - 3926*x^31 - 18284*x^30 + 57605*x^29 + 175390*x^28 - 567718*x^27 - 1183568*x^26 + 3973152*x^25 + 5765183*x^24 - 20358109*x^23 - 20425565*x^22 + 77617528*x^21 + 52094879*x^20 - 221592054*x^19 - 91961737*x^18 + 472931934*x^17 + 99519355*x^16 - 747388257*x^15 - 30769077*x^14 + 858053364*x^13 - 89832398*x^12 - 692345149*x^11 + 164225816*x^10 + 370337716*x^9 - 136269451*x^8 - 116819003*x^7 + 61011791*x^6 + 15577674*x^5 - 13147521*x^4 + 657889*x^3 + 808791*x^2 - 136145*x + 1944, x^36 - 5*x^35 - 40*x^34 + 228*x^33 + 678*x^32 - 4643*x^31 - 6165*x^30 + 55721*x^29 + 29775*x^28 - 437885*x^27 - 40011*x^26 + 2367220*x^25 - 385234*x^24 - 8995990*x^23 + 2582492*x^22 + 24107829*x^21 - 7012568*x^20 - 44957388*x^19 + 5967957*x^18 + 56560049*x^17 + 19037033*x^16 - 46004944*x^15 - 72922972*x^14 + 25579168*x^13 + 117990399*x^12 - 18213935*x^11 - 108618752*x^10 + 20730030*x^9 + 57716234*x^8 - 15901031*x^7 - 16081585*x^6 + 5937265*x^5 + 1760229*x^4 - 855153*x^3 - 17368*x^2 + 29710*x - 1296, x^36 - 5*x^35 - 42*x^34 + 240*x^33 + 756*x^32 - 5217*x^31 - 7375*x^30 + 68045*x^29 + 37827*x^28 - 594811*x^27 - 29497*x^26 + 3686355*x^25 - 1037157*x^24 - 16706941*x^23 + 8568215*x^22 + 56264859*x^21 - 38472617*x^20 - 141511519*x^19 + 115668509*x^18 + 264386627*x^17 - 246128321*x^16 - 360434430*x^15 + 375784805*x^14 + 345419119*x^13 - 408231854*x^12 - 215253710*x^11 + 306644126*x^10 + 70418653*x^9 - 150276181*x^8 + 739725*x^7 + 42586947*x^6 - 8423975*x^5 - 5004128*x^4 + 1967506*x^3 - 111834*x^2 - 24482*x + 1296, x^35 - 4*x^34 - 46*x^33 + 196*x^32 + 941*x^31 - 4340*x^30 - 11250*x^29 + 57454*x^28 + 86659*x^27 - 507001*x^26 - 444559*x^25 + 3148284*x^24 + 1491664*x^23 - 14156886*x^22 - 2879516*x^21 + 46737675*x^20 + 829086*x^19 - 113648309*x^18 + 12496496*x^17 + 202358053*x^16 - 39672736*x^15 - 259872335*x^14 + 65272870*x^13 + 234443993*x^12 - 66088734*x^11 - 142597158*x^10 + 41315000*x^9 + 55111225*x^8 - 14628566*x^7 - 12721363*x^6 + 2261785*x^5 + 1896283*x^4 - 67970*x^3 - 249011*x^2 + 36626*x + 1104, x^35 - 5*x^34 - 42*x^33 + 243*x^32 + 740*x^31 - 5306*x^30 - 6741*x^29 + 68831*x^28 + 26900*x^27 - 591129*x^26 + 77425*x^25 + 3545737*x^24 - 1683395*x^23 - 15273145*x^22 + 10980988*x^21 + 47828287*x^20 - 43299936*x^19 - 108922248*x^18 + 115655517*x^17 + 178229254*x^16 - 216599679*x^15 - 203342446*x^14 + 286047144*x^13 + 151234618*x^12 - 262874530*x^11 - 60437689*x^10 + 162353337*x^9 + 168351*x^8 - 62730808*x^7 + 11513051*x^6 + 12937702*x^5 - 4572841*x^4 - 821516*x^3 + 560566*x^2 - 61182*x - 1527, x^35 - 4*x^34 - 46*x^33 + 195*x^32 + 945*x^31 - 4300*x^30 - 11427*x^29 + 56800*x^28 + 90045*x^27 - 501662*x^26 - 481172*x^25 + 3130743*x^24 + 1736071*x^23 - 14220062*x^22 - 3898625*x^21 + 47683405*x^20 + 3260728*x^19 - 118402166*x^18 + 10843912*x^17 + 216171130*x^16 - 48516457*x^15 - 284896444*x^14 + 98091274*x^13 + 261877762*x^12 - 121843346*x^11 - 157517273*x^10 + 96131466*x^9 + 53822187*x^8 - 45944287*x^7 - 5836377*x^6 + 11562958*x^5 - 1757172*x^4 - 970701*x^3 + 394626*x^2 - 49262*x + 1278, 2*x^35 - 10*x^34 - 81*x^33 + 464*x^32 + 1389*x^31 - 9668*x^30 - 12631*x^29 + 119576*x^28 + 56741*x^27 - 977663*x^26 + 15370*x^25 + 5568520*x^24 - 1872592*x^23 - 22676878*x^22 + 12755011*x^21 + 66647376*x^20 - 48968188*x^19 - 140723098*x^18 + 123965182*x^17 + 209076147*x^16 - 215201817*x^15 - 208269295*x^14 + 255995817*x^13 + 123349522*x^12 - 202275533*x^11 - 25344163*x^10 + 98084541*x^9 - 15896857*x^8 - 23376471*x^7 + 10881612*x^6 + 92116*x^5 - 1555206*x^4 + 719963*x^3 - 184703*x^2 + 26419*x - 1701, 2*x^35 - 5*x^34 - 107*x^33 + 268*x^32 + 2574*x^31 - 6444*x^30 - 36897*x^29 + 92055*x^28 + 352115*x^27 - 872185*x^26 - 2367482*x^25 + 5794616*x^24 + 11574428*x^23 - 27836062*x^22 - 41843443*x^21 + 98283162*x^20 + 112522228*x^19 - 256801731*x^18 - 224057001*x^17 + 496182951*x^16 + 324638133*x^15 - 703425960*x^14 - 329605383*x^13 + 720185012*x^12 + 216535928*x^11 - 518113226*x^10 - 73656809*x^9 + 249497583*x^8 - 2197757*x^7 - 73021077*x^6 + 10928975*x^5 + 10273478*x^4 - 2869982*x^3 - 209972*x^2 + 99826*x - 2250, x^35 - 4*x^34 - 46*x^33 + 195*x^32 + 945*x^31 - 4300*x^30 - 11427*x^29 + 56800*x^28 + 90045*x^27 - 501662*x^26 - 481172*x^25 + 3130743*x^24 + 1736071*x^23 - 14220062*x^22 - 3898625*x^21 + 47683405*x^20 + 3260728*x^19 - 118402166*x^18 + 10843912*x^17 + 216171130*x^16 - 48516457*x^15 - 284896444*x^14 + 98091274*x^13 + 261877762*x^12 - 121843346*x^11 - 157517273*x^10 + 96131466*x^9 + 53822187*x^8 - 45944287*x^7 - 5836377*x^6 + 11562958*x^5 - 1757172*x^4 - 970701*x^3 + 394626*x^2 - 49262*x + 1278, 2*x^35 - 10*x^34 - 81*x^33 + 464*x^32 + 1389*x^31 - 9668*x^30 - 12631*x^29 + 119576*x^28 + 56741*x^27 - 977663*x^26 + 15370*x^25 + 5568520*x^24 - 1872592*x^23 - 22676878*x^22 + 12755011*x^21 + 66647376*x^20 - 48968188*x^19 - 140723098*x^18 + 123965182*x^17 + 209076147*x^16 - 215201817*x^15 - 208269295*x^14 + 255995817*x^13 + 123349522*x^12 - 202275533*x^11 - 25344163*x^10 + 98084541*x^9 - 15896857*x^8 - 23376471*x^7 + 10881612*x^6 + 92116*x^5 - 1555206*x^4 + 719963*x^3 - 184703*x^2 + 26419*x - 1701, x^35 - 4*x^34 - 46*x^33 + 196*x^32 + 941*x^31 - 4340*x^30 - 11250*x^29 + 57454*x^28 + 86659*x^27 - 507001*x^26 - 444559*x^25 + 3148284*x^24 + 1491664*x^23 - 14156886*x^22 - 2879516*x^21 + 46737675*x^20 + 829086*x^19 - 113648309*x^18 + 12496496*x^17 + 202358053*x^16 - 39672736*x^15 - 259872335*x^14 + 65272870*x^13 + 234443993*x^12 - 66088734*x^11 - 142597158*x^10 + 41315000*x^9 + 55111225*x^8 - 14628566*x^7 - 12721363*x^6 + 2261785*x^5 + 1896283*x^4 - 67970*x^3 - 249011*x^2 + 36626*x + 1104, x^35 - 5*x^34 - 42*x^33 + 243*x^32 + 740*x^31 - 5306*x^30 - 6741*x^29 + 68831*x^28 + 26900*x^27 - 591129*x^26 + 77425*x^25 + 3545737*x^24 - 1683395*x^23 - 15273145*x^22 + 10980988*x^21 + 47828287*x^20 - 43299936*x^19 - 108922248*x^18 + 115655517*x^17 + 178229254*x^16 - 216599679*x^15 - 203342446*x^14 + 286047144*x^13 + 151234618*x^12 - 262874530*x^11 - 60437689*x^10 + 162353337*x^9 + 168351*x^8 - 62730808*x^7 + 11513051*x^6 + 12937702*x^5 - 4572841*x^4 - 821516*x^3 + 560566*x^2 - 61182*x - 1527, x^35 - 3*x^34 - 50*x^33 + 155*x^32 + 1112*x^31 - 3591*x^30 - 14502*x^29 + 49347*x^28 + 122959*x^27 - 448401*x^26 - 708595*x^25 + 2843746*x^24 + 2802975*x^23 - 12951105*x^22 - 7391145*x^21 + 42928226*x^20 + 11406380*x^19 - 103811173*x^18 - 3168472*x^17 + 181724962*x^16 - 29275026*x^15 - 225672703*x^14 + 74333887*x^13 + 191036179*x^12 - 94708376*x^11 - 101574028*x^10 + 71177536*x^9 + 27183041*x^8 - 30512434*x^7 + 147450*x^6 + 6201553*x^5 - 1617897*x^4 - 242372*x^3 + 167063*x^2 - 24281*x + 891, x^35 - 3*x^34 - 50*x^33 + 155*x^32 + 1112*x^31 - 3591*x^30 - 14502*x^29 + 49347*x^28 + 122959*x^27 - 448401*x^26 - 708595*x^25 + 2843746*x^24 + 2802975*x^23 - 12951105*x^22 - 7391145*x^21 + 42928226*x^20 + 11406380*x^19 - 103811173*x^18 - 3168472*x^17 + 181724962*x^16 - 29275026*x^15 - 225672703*x^14 + 74333887*x^13 + 191036179*x^12 - 94708376*x^11 - 101574028*x^10 + 71177536*x^9 + 27183041*x^8 - 30512434*x^7 + 147450*x^6 + 6201553*x^5 - 1617897*x^4 - 242372*x^3 + 167063*x^2 - 24281*x + 891, x^35 - 5*x^34 - 38*x^33 + 224*x^32 + 588*x^31 - 4501*x^30 - 4257*x^29 + 53661*x^28 + 4201*x^27 - 423109*x^26 + 202911*x^25 + 2327543*x^24 - 2099823*x^23 - 9174681*x^22 + 11694985*x^21 + 26141497*x^20 - 43348167*x^19 - 53346359*x^18 + 113460919*x^17 + 75028893*x^16 - 213228985*x^15 - 64546506*x^14 + 286061757*x^13 + 16653987*x^12 - 267256980*x^11 + 32741538*x^10 + 165557304*x^9 - 44675921*x^8 - 61885861*x^7 + 25245893*x^6 + 11184415*x^5 - 6584283*x^4 - 290358*x^3 + 558904*x^2 - 60034*x - 3108, x^35 - 3*x^34 - 46*x^33 + 130*x^32 + 980*x^31 - 2511*x^30 - 12953*x^29 + 28565*x^28 + 119795*x^27 - 213082*x^26 - 824094*x^25 + 1098546*x^24 + 4340362*x^23 - 4022045*x^22 - 17645012*x^21 + 10599124*x^20 + 55112343*x^19 - 20273259*x^18 - 130695909*x^17 + 28693915*x^16 + 231533128*x^15 - 32152133*x^14 - 300292376*x^13 + 33005282*x^12 + 277968792*x^11 - 33741241*x^10 - 177380637*x^9 + 29522963*x^8 + 73801451*x^7 - 17843909*x^6 - 17764540*x^5 + 6296530*x^4 + 1635818*x^3 - 982502*x^2 + 115464*x - 294, 2*x^34 - 8*x^33 - 84*x^32 + 358*x^31 + 1559*x^30 - 7192*x^29 - 16813*x^28 + 85851*x^27 + 116204*x^26 - 679406*x^25 - 531333*x^24 + 3766130*x^23 + 1563385*x^22 - 15061681*x^21 - 2437775*x^20 + 44082580*x^19 - 1103795*x^18 - 94678867*x^17 + 16449668*x^16 + 147943962*x^15 - 44861524*x^14 - 164382566*x^13 + 70487437*x^12 + 123997624*x^11 - 70543411*x^10 - 57547287*x^9 + 44195160*x^8 + 12253084*x^7 - 15701266*x^6 + 919846*x^5 + 2356885*x^4 - 704301*x^3 + 25900*x^2 + 10687*x - 648, x^34 - 3*x^33 - 49*x^32 + 158*x^31 + 1042*x^30 - 3672*x^29 - 12582*x^28 + 49874*x^27 + 94014*x^26 - 441429*x^25 - 434780*x^24 + 2685161*x^23 + 1069351*x^22 - 11525928*x^21 + 191773*x^20 + 35242528*x^19 - 11754161*x^18 - 76368109*x^17 + 45828288*x^16 + 114590055*x^15 - 98670731*x^14 - 112448990*x^13 + 134300716*x^12 + 61294662*x^11 - 116462642*x^10 - 4546226*x^9 + 60480145*x^8 - 16111455*x^7 - 15326227*x^6 + 9151380*x^5 + 200927*x^4 - 1512892*x^3 + 492921*x^2 - 56804*x + 873, x^34 - 4*x^33 - 41*x^32 + 179*x^31 + 726*x^30 - 3570*x^29 - 7190*x^28 + 41894*x^27 + 42512*x^26 - 321696*x^25 - 140869*x^24 + 1700781*x^23 + 134476*x^22 - 6343766*x^21 + 924835*x^20 + 16826841*x^19 - 4592779*x^18 - 31595645*x^17 + 9865567*x^16 + 41367339*x^15 - 10312963*x^14 - 37051677*x^13 + 1278687*x^12 + 23019085*x^11 + 9440295*x^10 - 11812469*x^9 - 10565040*x^8 + 6654666*x^7 + 4464501*x^6 - 3137700*x^5 - 354760*x^4 + 647467*x^3 - 170203*x^2 + 15598*x - 243, x^34 - 4*x^33 - 42*x^32 + 182*x^31 + 769*x^30 - 3701*x^29 - 8014*x^28 + 44485*x^27 + 51703*x^26 - 352365*x^25 - 205799*x^24 + 1942119*x^23 + 425890*x^22 - 7668151*x^21 + 184683*x^20 + 21995546*x^19 - 4273626*x^18 - 45963667*x^17 + 14761943*x^16 + 69416162*x^15 - 29621370*x^14 - 74179435*x^13 + 39399517*x^12 + 53774224*x^11 - 35491445*x^10 - 24193270*x^9 + 21042731*x^8 + 5176595*x^7 - 7553723*x^6 + 314017*x^5 + 1345112*x^4 - 327575*x^3 - 55099*x^2 + 26605*x - 2187, 2*x^34 - 9*x^33 - 80*x^32 + 398*x^31 + 1390*x^30 - 7896*x^29 - 13639*x^28 + 93028*x^27 + 81255*x^26 - 726367*x^25 - 280944*x^24 + 3972957*x^23 + 340148*x^22 - 15691525*x^21 + 1706010*x^20 + 45461088*x^19 - 10768622*x^18 - 97122203*x^17 + 31397603*x^16 + 152375519*x^15 - 58666190*x^14 - 173013973*x^13 + 75420924*x^12 + 138072535*x^11 - 67516776*x^10 - 73327344*x^9 + 41005538*x^8 + 23167049*x^7 - 15664343*x^6 - 3159497*x^5 + 3171830*x^4 - 119721*x^3 - 211061*x^2 + 30542*x + 213, x^34 - 4*x^33 - 42*x^32 + 182*x^31 + 769*x^30 - 3701*x^29 - 8014*x^28 + 44485*x^27 + 51703*x^26 - 352365*x^25 - 205799*x^24 + 1942119*x^23 + 425890*x^22 - 7668151*x^21 + 184683*x^20 + 21995546*x^19 - 4273626*x^18 - 45963667*x^17 + 14761943*x^16 + 69416162*x^15 - 29621370*x^14 - 74179435*x^13 + 39399517*x^12 + 53774224*x^11 - 35491445*x^10 - 24193270*x^9 + 21042731*x^8 + 5176595*x^7 - 7553723*x^6 + 314017*x^5 + 1345112*x^4 - 327575*x^3 - 55099*x^2 + 26605*x - 2187, 2*x^34 - 9*x^33 - 80*x^32 + 398*x^31 + 1390*x^30 - 7896*x^29 - 13639*x^28 + 93028*x^27 + 81255*x^26 - 726367*x^25 - 280944*x^24 + 3972957*x^23 + 340148*x^22 - 15691525*x^21 + 1706010*x^20 + 45461088*x^19 - 10768622*x^18 - 97122203*x^17 + 31397603*x^16 + 152375519*x^15 - 58666190*x^14 - 173013973*x^13 + 75420924*x^12 + 138072535*x^11 - 67516776*x^10 - 73327344*x^9 + 41005538*x^8 + 23167049*x^7 - 15664343*x^6 - 3159497*x^5 + 3171830*x^4 - 119721*x^3 - 211061*x^2 + 30542*x + 213, 2*x^34 - 8*x^33 - 84*x^32 + 358*x^31 + 1559*x^30 - 7192*x^29 - 16813*x^28 + 85851*x^27 + 116204*x^26 - 679406*x^25 - 531333*x^24 + 3766130*x^23 + 1563385*x^22 - 15061681*x^21 - 2437775*x^20 + 44082580*x^19 - 1103795*x^18 - 94678867*x^17 + 16449668*x^16 + 147943962*x^15 - 44861524*x^14 - 164382566*x^13 + 70487437*x^12 + 123997624*x^11 - 70543411*x^10 - 57547287*x^9 + 44195160*x^8 + 12253084*x^7 - 15701266*x^6 + 919846*x^5 + 2356885*x^4 - 704301*x^3 + 25900*x^2 + 10687*x - 648, x^34 - 4*x^33 - 41*x^32 + 179*x^31 + 726*x^30 - 3570*x^29 - 7190*x^28 + 41894*x^27 + 42512*x^26 - 321696*x^25 - 140869*x^24 + 1700781*x^23 + 134476*x^22 - 6343766*x^21 + 924835*x^20 + 16826841*x^19 - 4592779*x^18 - 31595645*x^17 + 9865567*x^16 + 41367339*x^15 - 10312963*x^14 - 37051677*x^13 + 1278687*x^12 + 23019085*x^11 + 9440295*x^10 - 11812469*x^9 - 10565040*x^8 + 6654666*x^7 + 4464501*x^6 - 3137700*x^5 - 354760*x^4 + 647467*x^3 - 170203*x^2 + 15598*x - 243, x^34 - 3*x^33 - 49*x^32 + 158*x^31 + 1042*x^30 - 3672*x^29 - 12582*x^28 + 49874*x^27 + 94014*x^26 - 441429*x^25 - 434780*x^24 + 2685161*x^23 + 1069351*x^22 - 11525928*x^21 + 191773*x^20 + 35242528*x^19 - 11754161*x^18 - 76368109*x^17 + 45828288*x^16 + 114590055*x^15 - 98670731*x^14 - 112448990*x^13 + 134300716*x^12 + 61294662*x^11 - 116462642*x^10 - 4546226*x^9 + 60480145*x^8 - 16111455*x^7 - 15326227*x^6 + 9151380*x^5 + 200927*x^4 - 1512892*x^3 + 492921*x^2 - 56804*x + 873, 2*x^34 - 6*x^33 - 98*x^32 + 305*x^31 + 2133*x^30 - 6952*x^29 - 27167*x^28 + 93973*x^27 + 224269*x^26 - 839721*x^25 - 1252511*x^24 + 5235460*x^23 + 4764534*x^22 - 23436058*x^21 - 11891907*x^20 + 76365595*x^19 + 16477464*x^18 - 181699225*x^17 + 648603*x^16 + 313675357*x^15 - 54933311*x^14 - 386169995*x^13 + 122224378*x^12 + 327968818*x^11 - 145356613*x^10 - 180477531*x^9 + 103939237*x^8 + 56153292*x^7 - 43205554*x^6 - 6106256*x^5 + 8921450*x^4 - 875054*x^3 - 533866*x^2 + 114276*x - 3948, x^34 - 62*x^32 + 30*x^31 + 1649*x^30 - 1306*x^29 - 25264*x^28 + 25344*x^27 + 250704*x^26 - 289685*x^25 - 1709697*x^24 + 2171544*x^23 + 8269886*x^22 - 11253244*x^21 - 28796592*x^20 + 41415286*x^19 + 72315801*x^18 - 109507747*x^17 - 129442984*x^16 + 208040197*x^15 + 160036275*x^14 - 280847190*x^13 - 127100356*x^12 + 262802303*x^11 + 52308333*x^10 - 162677144*x^9 + 1817780*x^8 + 60813161*x^7 - 11604684*x^6 - 11089315*x^5 + 3983699*x^4 + 384228*x^3 - 299206*x^2 + 22760*x + 2004, x^34 - 62*x^32 + 30*x^31 + 1649*x^30 - 1306*x^29 - 25264*x^28 + 25344*x^27 + 250704*x^26 - 289685*x^25 - 1709697*x^24 + 2171544*x^23 + 8269886*x^22 - 11253244*x^21 - 28796592*x^20 + 41415286*x^19 + 72315801*x^18 - 109507747*x^17 - 129442984*x^16 + 208040197*x^15 + 160036275*x^14 - 280847190*x^13 - 127100356*x^12 + 262802303*x^11 + 52308333*x^10 - 162677144*x^9 + 1817780*x^8 + 60813161*x^7 - 11604684*x^6 - 11089315*x^5 + 3983699*x^4 + 384228*x^3 - 299206*x^2 + 22760*x + 2004, x^34 - 3*x^33 - 44*x^32 + 132*x^31 + 866*x^30 - 2583*x^29 - 10087*x^28 + 29614*x^27 + 77588*x^26 - 220327*x^25 - 417097*x^24 + 1110468*x^23 + 1622835*x^22 - 3822292*x^21 - 4698202*x^20 + 8716032*x^19 + 10437313*x^18 - 11635711*x^17 - 18521502*x^16 + 3644164*x^15 + 27348779*x^14 + 17191546*x^13 - 33984366*x^12 - 35023459*x^11 + 34088463*x^10 + 32761119*x^9 - 25419951*x^8 - 16385877*x^7 + 12669590*x^6 + 3791530*x^5 - 3633532*x^4 - 80026*x^3 + 437270*x^2 - 75638*x + 954, 2*x^33 - 5*x^32 - 96*x^31 + 244*x^30 + 2055*x^29 - 5318*x^28 - 25914*x^27 + 68445*x^26 + 214162*x^25 - 579632*x^24 - 1220211*x^23 + 3407069*x^22 + 4902310*x^21 - 14291769*x^20 - 13915313*x^19 + 43322761*x^18 + 27294974*x^17 - 95036802*x^16 - 34446571*x^15 + 149559646*x^14 + 21267545*x^13 - 165360880*x^12 + 8339353*x^11 + 123408239*x^10 - 28545848*x^9 - 57285344*x^8 + 24237532*x^7 + 13302672*x^6 - 9577278*x^5 - 111881*x^4 + 1434158*x^3 - 406309*x^2 + 31513*x + 1314, x^33 - 2*x^32 - 44*x^31 + 87*x^30 + 857*x^29 - 1673*x^28 - 9732*x^27 + 18729*x^26 + 71391*x^25 - 135259*x^24 - 353673*x^23 + 659493*x^22 + 1197091*x^21 - 2204854*x^20 - 2708129*x^19 + 5010802*x^18 + 3717797*x^17 - 7418931*x^16 - 1753481*x^15 + 6254494*x^14 - 3921267*x^13 - 1115177*x^12 + 9512522*x^11 - 3683113*x^10 - 10241233*x^9 + 4668535*x^8 + 6382148*x^7 - 3046067*x^6 - 2203147*x^5 + 1236609*x^4 + 267085*x^3 - 245762*x^2 + 38179*x - 477, 2*x^33 - 8*x^32 - 80*x^31 + 355*x^30 + 1358*x^29 - 6997*x^28 - 12428*x^27 + 80852*x^26 + 61211*x^25 - 608992*x^24 - 89970*x^23 + 3144842*x^22 - 819002*x^21 - 11396090*x^20 + 6380959*x^19 + 29115738*x^18 - 23376943*x^17 - 51718166*x^16 + 53341658*x^15 + 61157363*x^14 - 79959302*x^13 - 42742658*x^12 + 78012548*x^11 + 9915764*x^10 - 46542887*x^9 + 8639752*x^8 + 14153032*x^7 - 7152278*x^6 - 640568*x^5 + 1541478*x^4 - 518556*x^3 + 38288*x^2 + 15562*x - 2592, 4*x^33 - 17*x^32 - 157*x^31 + 730*x^30 + 2664*x^29 - 13966*x^28 - 25360*x^27 + 157282*x^26 + 145115*x^25 - 1160783*x^24 - 472421*x^23 + 5916002*x^22 + 476927*x^21 - 21378061*x^20 + 2957038*x^19 + 55355056*x^18 - 16199470*x^17 - 102528916*x^16 + 41945572*x^15 + 133926053*x^14 - 68125903*x^13 - 119577703*x^12 + 73464095*x^11 + 68479461*x^10 - 52532777*x^9 - 21416239*x^8 + 23823583*x^7 + 1285118*x^6 - 6071666*x^5 + 1234558*x^4 + 581868*x^3 - 277676*x^2 + 30598*x + 828, 2*x^33 - 5*x^32 - 96*x^31 + 244*x^30 + 2055*x^29 - 5318*x^28 - 25914*x^27 + 68445*x^26 + 214162*x^25 - 579632*x^24 - 1220211*x^23 + 3407069*x^22 + 4902310*x^21 - 14291769*x^20 - 13915313*x^19 + 43322761*x^18 + 27294974*x^17 - 95036802*x^16 - 34446571*x^15 + 149559646*x^14 + 21267545*x^13 - 165360880*x^12 + 8339353*x^11 + 123408239*x^10 - 28545848*x^9 - 57285344*x^8 + 24237532*x^7 + 13302672*x^6 - 9577278*x^5 - 111881*x^4 + 1434158*x^3 - 406309*x^2 + 31513*x + 1314, x^33 - 2*x^32 - 44*x^31 + 87*x^30 + 857*x^29 - 1673*x^28 - 9732*x^27 + 18729*x^26 + 71391*x^25 - 135259*x^24 - 353673*x^23 + 659493*x^22 + 1197091*x^21 - 2204854*x^20 - 2708129*x^19 + 5010802*x^18 + 3717797*x^17 - 7418931*x^16 - 1753481*x^15 + 6254494*x^14 - 3921267*x^13 - 1115177*x^12 + 9512522*x^11 - 3683113*x^10 - 10241233*x^9 + 4668535*x^8 + 6382148*x^7 - 3046067*x^6 - 2203147*x^5 + 1236609*x^4 + 267085*x^3 - 245762*x^2 + 38179*x - 477, 2*x^33 - 5*x^32 - 91*x^31 + 230*x^30 + 1837*x^29 - 4721*x^28 - 21649*x^27 + 57081*x^26 + 164679*x^25 - 452032*x^24 - 841416*x^23 + 2466152*x^22 + 2890383*x^21 - 9490857*x^20 - 6335296*x^19 + 25923121*x^18 + 6985547*x^17 - 49774567*x^16 + 3616741*x^15 + 65175411*x^14 - 26443396*x^13 - 54103540*x^12 + 44060139*x^11 + 22670525*x^10 - 38415835*x^9 + 1787210*x^8 + 17819314*x^7 - 6401156*x^6 - 3481656*x^5 + 2360740*x^4 - 49122*x^3 - 219850*x^2 + 44614*x - 1782, x^33 - x^32 - 48*x^31 + 44*x^30 + 1040*x^29 - 869*x^28 - 13433*x^27 + 10150*x^26 + 115046*x^25 - 77545*x^24 - 687615*x^23 + 403122*x^22 + 2941821*x^21 - 1428110*x^20 - 9107910*x^19 + 3299774*x^18 + 20458917*x^17 - 4200117*x^16 - 33359364*x^15 + 137202*x^14 + 39857767*x^13 + 9349012*x^12 - 36214720*x^11 - 15998415*x^10 + 26722237*x^9 + 12278653*x^8 - 16082881*x^7 - 3621581*x^6 + 6577456*x^5 - 614764*x^4 - 1160314*x^3 + 454144*x^2 - 54254*x + 720, x^33 + 3*x^32 - 66*x^31 - 116*x^30 + 1826*x^29 + 1918*x^28 - 28774*x^27 - 17395*x^26 + 291951*x^25 + 89467*x^24 - 2029912*x^23 - 203369*x^22 + 10004989*x^21 - 454982*x^20 - 35567120*x^19 + 5337774*x^18 + 91715490*x^17 - 20849634*x^16 - 170824985*x^15 + 49206477*x^14 + 226450243*x^13 - 77377753*x^12 - 207665609*x^11 + 82500775*x^10 + 125238449*x^9 - 58187493*x^8 - 45048980*x^7 + 25257020*x^6 + 7553552*x^5 - 5761792*x^4 - 38234*x^3 + 452720*x^2 - 60256*x - 426, 4*x^32 - 9*x^31 - 180*x^30 + 405*x^29 + 3600*x^28 - 8118*x^27 - 42195*x^26 + 95738*x^25 + 321628*x^24 - 739396*x^23 - 1670782*x^22 + 3940212*x^21 + 6011593*x^20 - 14875354*x^19 - 14829691*x^18 + 40209168*x^17 + 23817772*x^16 - 77674961*x^15 - 20716562*x^14 + 105616212*x^13 - 786486*x^12 - 97632684*x^11 + 24440003*x^10 + 57026292*x^9 - 27932430*x^8 - 17505468*x^7 + 14466878*x^6 + 913444*x^5 - 3208780*x^4 + 693438*x^3 + 125760*x^2 - 55802*x + 4374]>
       ]
>;

MOG[751] := 	// J_0(751)
   rec<SupersingularModule | 
       MonodromyWeights   := [2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [226, 614, 447, 191, 488*x + 107, 263*x + 107, 715, 60, 103*x + 76, 13*x + 115, 738*x + 115, 648*x + 76, 429*x + 568, 322*x + 568, 7, 271, 191*x + 338, 389*x + 695, 42*x + 130, 362*x + 695, 709*x + 130, 560*x + 338, 465*x + 75, 229*x + 586, 286*x + 75, 522*x + 586, 743*x + 311, 8*x + 311, 162, 195, 270*x + 33, 166*x + 207, 693, 695*x + 28, 585*x + 207, 56*x + 28, 481*x + 33, 22*x + 567, 283*x + 393, 729*x + 567, 468*x + 393, 268*x + 119, 483*x + 119, 523, 651*x + 160, 619*x + 700, 197*x + 58, 734*x + 617, 561*x + 81, 132*x + 700, 554*x + 58, 190*x + 81, 17*x + 617, 100*x + 160, 154, 549*x + 696, 322*x + 260, 429*x + 260, 202*x + 696, 214*x + 582, 537*x + 582, 490, 578]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^24 + 5*x^23 - 20*x^22 - 131*x^21 + 127*x^20 + 1446*x^19 + 23*x^18 - 8822*x^17 - 4341*x^16 + 32732*x^15 + 25085*x^14 - 76366*x^13 - 71923*x^12 + 111649*x^11 + 118741*x^10 - 98749*x^9 - 114020*x^8 + 49414*x^7 + 60374*x^6 - 12906*x^5 - 15701*x^4 + 1688*x^3 + 1493*x^2 - 126*x - 4,
           Coordinates        := [0, 0, 0, 0, -x^23 - 5*x^22 + 18*x^21 + 122*x^20 - 90*x^19 - 1237*x^18 - 252*x^17 + 6815*x^16 + 4600*x^15 - 22312*x^14 - 21684*x^13 + 44380*x^12 + 53491*x^11 - 52149*x^10 - 75877*x^9 + 32664*x^8 + 61292*x^7 - 7577*x^6 - 26108*x^5 - 1187*x^4 + 4913*x^3 + 562*x^2 - 234*x - 6, x^23 + 5*x^22 - 18*x^21 - 122*x^20 + 90*x^19 + 1237*x^18 + 252*x^17 - 6815*x^16 - 4600*x^15 + 22312*x^14 + 21684*x^13 - 44380*x^12 - 53491*x^11 + 52149*x^10 + 75877*x^9 - 32664*x^8 - 61292*x^7 + 7577*x^6 + 26108*x^5 + 1187*x^4 - 4913*x^3 - 562*x^2 + 234*x + 6, 0, 0, -x^22 - 4*x^21 + 21*x^20 + 97*x^19 - 168*x^18 - 979*x^17 + 597*x^16 + 5387*x^15 - 464*x^14 - 17725*x^13 - 3495*x^12 + 35883*x^11 + 12861*x^10 - 44205*x^9 - 19740*x^8 + 31558*x^7 + 15229*x^6 - 11795*x^5 - 5544*x^4 + 1849*x^3 + 719*x^2 - 52*x - 2, -x^22 - 5*x^21 + 16*x^20 + 112*x^19 - 61*x^18 - 1028*x^17 - 338*x^16 + 5033*x^15 + 3865*x^14 - 14261*x^13 - 14937*x^12 + 23617*x^11 + 30003*x^10 - 21880*x^9 - 32988*x^8 + 10279*x^7 + 19037*x^6 - 2298*x^5 - 5244*x^4 + 401*x^3 + 540*x^2 - 80*x - 2, x^22 + 5*x^21 - 16*x^20 - 112*x^19 + 61*x^18 + 1028*x^17 + 338*x^16 - 5033*x^15 - 3865*x^14 + 14261*x^13 + 14937*x^12 - 23617*x^11 - 30003*x^10 + 21880*x^9 + 32988*x^8 - 10279*x^7 - 19037*x^6 + 2298*x^5 + 5244*x^4 - 401*x^3 - 540*x^2 + 80*x + 2, x^22 + 4*x^21 - 21*x^20 - 97*x^19 + 168*x^18 + 979*x^17 - 597*x^16 - 5387*x^15 + 464*x^14 + 17725*x^13 + 3495*x^12 - 35883*x^11 - 12861*x^10 + 44205*x^9 + 19740*x^8 - 31558*x^7 - 15229*x^6 + 11795*x^5 + 5544*x^4 - 1849*x^3 - 719*x^2 + 52*x + 2, x^19 + 5*x^18 - 10*x^17 - 84*x^16 - 13*x^15 + 534*x^14 + 511*x^13 - 1590*x^12 - 2512*x^11 + 2004*x^10 + 5550*x^9 + 170*x^8 - 5942*x^7 - 2753*x^6 + 2660*x^5 + 2089*x^4 - 235*x^3 - 414*x^2 - 49*x - 2, -x^19 - 5*x^18 + 10*x^17 + 84*x^16 + 13*x^15 - 534*x^14 - 511*x^13 + 1590*x^12 + 2512*x^11 - 2004*x^10 - 5550*x^9 - 170*x^8 + 5942*x^7 + 2753*x^6 - 2660*x^5 - 2089*x^4 + 235*x^3 + 414*x^2 + 49*x + 2, 0, 0, -x^21 - 4*x^20 + 19*x^19 + 90*x^18 - 130*x^17 - 831*x^16 + 323*x^15 + 4123*x^14 + 464*x^13 - 11992*x^12 - 4747*x^11 + 20805*x^10 + 11932*x^9 - 20846*x^8 - 14505*x^7 + 11011*x^6 + 8769*x^5 - 2508*x^4 - 2345*x^3 + 105*x^2 + 180*x + 4, -x^21 - 5*x^20 + 15*x^19 + 107*x^18 - 48*x^17 - 932*x^16 - 371*x^15 + 4275*x^14 + 3571*x^13 - 11077*x^12 - 12605*x^11 + 15921*x^10 + 22966*x^9 - 11059*x^8 - 22155*x^7 + 1698*x^6 + 10426*x^5 + 1348*x^4 - 2029*x^3 - 413*x^2 + 101*x + 4, -x^21 - 5*x^20 + 14*x^19 + 102*x^18 - 38*x^17 - 850*x^16 - 364*x^15 + 3776*x^14 + 3176*x^13 - 9686*x^12 - 10883*x^11 + 14348*x^10 + 19923*x^9 - 11326*x^8 - 20100*x^7 + 3581*x^6 + 10438*x^5 + 240*x^4 - 2344*x^3 - 229*x^2 + 131*x + 2, x^21 + 5*x^20 - 15*x^19 - 107*x^18 + 48*x^17 + 932*x^16 + 371*x^15 - 4275*x^14 - 3571*x^13 + 11077*x^12 + 12605*x^11 - 15921*x^10 - 22966*x^9 + 11059*x^8 + 22155*x^7 - 1698*x^6 - 10426*x^5 - 1348*x^4 + 2029*x^3 + 413*x^2 - 101*x - 4, x^21 + 5*x^20 - 14*x^19 - 102*x^18 + 38*x^17 + 850*x^16 + 364*x^15 - 3776*x^14 - 3176*x^13 + 9686*x^12 + 10883*x^11 - 14348*x^10 - 19923*x^9 + 11326*x^8 + 20100*x^7 - 3581*x^6 - 10438*x^5 - 240*x^4 + 2344*x^3 + 229*x^2 - 131*x - 2, x^21 + 4*x^20 - 19*x^19 - 90*x^18 + 130*x^17 + 831*x^16 - 323*x^15 - 4123*x^14 - 464*x^13 + 11992*x^12 + 4747*x^11 - 20805*x^10 - 11932*x^9 + 20846*x^8 + 14505*x^7 - 11011*x^6 - 8769*x^5 + 2508*x^4 + 2345*x^3 - 105*x^2 - 180*x - 4, x^20 + 5*x^19 - 11*x^18 - 88*x^17 + 597*x^15 + 453*x^14 - 1983*x^13 - 2433*x^12 + 3249*x^11 + 5706*x^10 - 1950*x^9 - 6585*x^8 - 865*x^7 + 3429*x^6 + 1286*x^5 - 573*x^4 - 256*x^3 - 28*x^2 - 38*x, x^18 + 4*x^17 - 13*x^16 - 63*x^15 + 58*x^14 + 393*x^13 - 79*x^12 - 1245*x^11 - 156*x^10 + 2120*x^9 + 643*x^8 - 1888*x^7 - 769*x^6 + 803*x^5 + 338*x^4 - 158*x^3 - 21*x^2 + 36*x, -x^20 - 5*x^19 + 11*x^18 + 88*x^17 - 597*x^15 - 453*x^14 + 1983*x^13 + 2433*x^12 - 3249*x^11 - 5706*x^10 + 1950*x^9 + 6585*x^8 + 865*x^7 - 3429*x^6 - 1286*x^5 + 573*x^4 + 256*x^3 + 28*x^2 + 38*x, -x^18 - 4*x^17 + 13*x^16 + 63*x^15 - 58*x^14 - 393*x^13 + 79*x^12 + 1245*x^11 + 156*x^10 - 2120*x^9 - 643*x^8 + 1888*x^7 + 769*x^6 - 803*x^5 - 338*x^4 + 158*x^3 + 21*x^2 - 36*x, -x^20 - 4*x^19 + 17*x^18 + 81*x^17 - 102*x^16 - 662*x^15 + 221*x^14 + 2864*x^13 + 232*x^12 - 7145*x^11 - 2082*x^10 + 10411*x^9 + 4144*x^8 - 8485*x^7 - 3776*x^6 + 3391*x^5 + 1564*x^4 - 403*x^3 - 208*x^2 - 42*x, x^20 + 4*x^19 - 17*x^18 - 81*x^17 + 102*x^16 + 662*x^15 - 221*x^14 - 2864*x^13 - 232*x^12 + 7145*x^11 + 2082*x^10 - 10411*x^9 - 4144*x^8 + 8485*x^7 + 3776*x^6 - 3391*x^5 - 1564*x^4 + 403*x^3 + 208*x^2 + 42*x, 0, 0, -x^20 - 3*x^19 + 21*x^18 + 67*x^17 - 172*x^16 - 602*x^15 + 707*x^14 + 2869*x^13 - 1484*x^12 - 7933*x^11 + 1153*x^10 + 12948*x^9 + 1091*x^8 - 12062*x^7 - 2684*x^6 + 5896*x^5 + 1635*x^4 - 1341*x^3 - 331*x^2 + 98*x + 2, -x^20 - 5*x^19 + 13*x^18 + 96*x^17 - 33*x^16 - 758*x^15 - 294*x^14 + 3184*x^13 + 2332*x^12 - 7696*x^11 - 7037*x^10 + 10821*x^9 + 10833*x^8 - 8581*x^7 - 8611*x^6 + 3646*x^5 + 3215*x^4 - 814*x^3 - 439*x^2 + 84*x + 2, 0, -x^20 - 5*x^19 + 12*x^18 + 90*x^17 - 26*x^16 - 660*x^15 - 236*x^14 + 2592*x^13 + 1621*x^12 - 6020*x^11 - 4374*x^10 + 8604*x^9 + 6303*x^8 - 7563*x^7 - 5170*x^6 + 3824*x^5 + 2327*x^4 - 886*x^3 - 437*x^2 + 44*x + 2, x^20 + 5*x^19 - 13*x^18 - 96*x^17 + 33*x^16 + 758*x^15 + 294*x^14 - 3184*x^13 - 2332*x^12 + 7696*x^11 + 7037*x^10 - 10821*x^9 - 10833*x^8 + 8581*x^7 + 8611*x^6 - 3646*x^5 - 3215*x^4 + 814*x^3 + 439*x^2 - 84*x - 2, x^20 + 5*x^19 - 12*x^18 - 90*x^17 + 26*x^16 + 660*x^15 + 236*x^14 - 2592*x^13 - 1621*x^12 + 6020*x^11 + 4374*x^10 - 8604*x^9 - 6303*x^8 + 7563*x^7 + 5170*x^6 - 3824*x^5 - 2327*x^4 + 886*x^3 + 437*x^2 - 44*x - 2, x^20 + 3*x^19 - 21*x^18 - 67*x^17 + 172*x^16 + 602*x^15 - 707*x^14 - 2869*x^13 + 1484*x^12 + 7933*x^11 - 1153*x^10 - 12948*x^9 - 1091*x^8 + 12062*x^7 + 2684*x^6 - 5896*x^5 - 1635*x^4 + 1341*x^3 + 331*x^2 - 98*x - 2, 2*x^19 + 9*x^18 - 28*x^17 - 169*x^16 + 102*x^15 + 1259*x^14 + 232*x^13 - 4847*x^12 - 2665*x^11 + 10394*x^10 + 7788*x^9 - 12361*x^8 - 10729*x^7 + 7620*x^6 + 7205*x^5 - 2105*x^4 - 2137*x^3 + 147*x^2 + 180*x + 4, x^17 + 8*x^16 + 8*x^15 - 83*x^14 - 197*x^13 + 266*x^12 + 1111*x^11 - 40*x^10 - 2787*x^9 - 1415*x^8 + 3285*x^7 + 2787*x^6 - 1519*x^5 - 1909*x^4 + 56*x^3 + 429*x^2 + 85*x + 2, -2*x^19 - 9*x^18 + 28*x^17 + 169*x^16 - 102*x^15 - 1259*x^14 - 232*x^13 + 4847*x^12 + 2665*x^11 - 10394*x^10 - 7788*x^9 + 12361*x^8 + 10729*x^7 - 7620*x^6 - 7205*x^5 + 2105*x^4 + 2137*x^3 - 147*x^2 - 180*x - 4, -x^17 - 8*x^16 - 8*x^15 + 83*x^14 + 197*x^13 - 266*x^12 - 1111*x^11 + 40*x^10 + 2787*x^9 + 1415*x^8 - 3285*x^7 - 2787*x^6 + 1519*x^5 + 1909*x^4 - 56*x^3 - 429*x^2 - 85*x - 2, -x^17 - 4*x^16 + 10*x^15 + 49*x^14 - 41*x^13 - 238*x^12 + 124*x^11 + 604*x^10 - 376*x^9 - 936*x^8 + 782*x^7 + 1043*x^6 - 762*x^5 - 801*x^4 + 216*x^3 + 239*x^2 + 9*x, x^17 + 4*x^16 - 10*x^15 - 49*x^14 + 41*x^13 + 238*x^12 - 124*x^11 - 604*x^10 + 376*x^9 + 936*x^8 - 782*x^7 - 1043*x^6 + 762*x^5 + 801*x^4 - 216*x^3 - 239*x^2 - 9*x, 0, -x^19 - 2*x^18 + 25*x^17 + 57*x^16 - 218*x^15 - 547*x^14 + 921*x^13 + 2575*x^12 - 2033*x^11 - 6704*x^10 + 2107*x^9 + 9875*x^8 - 241*x^7 - 7799*x^6 - 1238*x^5 + 2802*x^4 + 673*x^3 - 338*x^2 - 80*x - 2, -x^19 - 6*x^18 + 6*x^17 + 97*x^16 + 73*x^15 - 608*x^14 - 895*x^13 + 1829*x^12 + 3842*x^11 - 2496*x^10 - 8234*x^9 + 514*x^8 + 9193*x^7 + 2175*x^6 - 5012*x^5 - 1930*x^4 + 1115*x^3 + 474*x^2 - 42*x - 2, -x^19 - 5*x^18 + 9*x^17 + 77*x^16 + 4*x^15 - 483*x^14 - 344*x^13 + 1552*x^12 + 1726*x^11 - 2604*x^10 - 3899*x^9 + 1964*x^8 + 4351*x^7 - 227*x^6 - 2199*x^5 - 232*x^4 + 475*x^3 + 23*x^2 - 57*x - 2, -x^19 - 6*x^18 + 6*x^17 + 96*x^16 + 71*x^15 - 587*x^14 - 844*x^13 + 1697*x^12 + 3450*x^11 - 2178*x^10 - 6870*x^9 + 370*x^8 + 6817*x^7 + 1630*x^6 - 2995*x^5 - 1188*x^4 + 397*x^3 + 229*x^2 + 37*x + 2, -x^19 - 6*x^18 + 6*x^17 + 94*x^16 + 57*x^15 - 597*x^14 - 711*x^13 + 1969*x^12 + 3059*x^11 - 3566*x^10 - 6750*x^9 + 3393*x^8 + 8113*x^7 - 1387*x^6 - 5116*x^5 + 62*x^4 + 1510*x^3 + 44*x^2 - 166*x - 4, x^19 + 6*x^18 - 6*x^17 - 97*x^16 - 73*x^15 + 608*x^14 + 895*x^13 - 1829*x^12 - 3842*x^11 + 2496*x^10 + 8234*x^9 - 514*x^8 - 9193*x^7 - 2175*x^6 + 5012*x^5 + 1930*x^4 - 1115*x^3 - 474*x^2 + 42*x + 2, x^19 + 5*x^18 - 9*x^17 - 77*x^16 - 4*x^15 + 483*x^14 + 344*x^13 - 1552*x^12 - 1726*x^11 + 2604*x^10 + 3899*x^9 - 1964*x^8 - 4351*x^7 + 227*x^6 + 2199*x^5 + 232*x^4 - 475*x^3 - 23*x^2 + 57*x + 2, x^19 + 6*x^18 - 6*x^17 - 94*x^16 - 57*x^15 + 597*x^14 + 711*x^13 - 1969*x^12 - 3059*x^11 + 3566*x^10 + 6750*x^9 - 3393*x^8 - 8113*x^7 + 1387*x^6 + 5116*x^5 - 62*x^4 - 1510*x^3 - 44*x^2 + 166*x + 4, x^19 + 6*x^18 - 6*x^17 - 96*x^16 - 71*x^15 + 587*x^14 + 844*x^13 - 1697*x^12 - 3450*x^11 + 2178*x^10 + 6870*x^9 - 370*x^8 - 6817*x^7 - 1630*x^6 + 2995*x^5 + 1188*x^4 - 397*x^3 - 229*x^2 - 37*x - 2, x^19 + 2*x^18 - 25*x^17 - 57*x^16 + 218*x^15 + 547*x^14 - 921*x^13 - 2575*x^12 + 2033*x^11 + 6704*x^10 - 2107*x^9 - 9875*x^8 + 241*x^7 + 7799*x^6 + 1238*x^5 - 2802*x^4 - 673*x^3 + 338*x^2 + 80*x + 2, 0, x^18 + 5*x^17 - 10*x^16 - 79*x^15 + 14*x^14 + 511*x^13 + 187*x^12 - 1750*x^11 - 981*x^10 + 3437*x^9 + 2010*x^8 - 3939*x^7 - 1969*x^6 + 2581*x^5 + 912*x^4 - 891*x^3 - 168*x^2 + 123*x + 4, -x^18 - x^17 + 31*x^16 + 59*x^15 - 269*x^14 - 638*x^13 + 1003*x^12 + 2955*x^11 - 1650*x^10 - 6972*x^9 + 632*x^8 + 8614*x^7 + 1219*x^6 - 5293*x^5 - 1194*x^4 + 1478*x^3 + 274*x^2 - 157*x - 4, x^18 + x^17 - 31*x^16 - 59*x^15 + 269*x^14 + 638*x^13 - 1003*x^12 - 2955*x^11 + 1650*x^10 + 6972*x^9 - 632*x^8 - 8614*x^7 - 1219*x^6 + 5293*x^5 + 1194*x^4 - 1478*x^3 - 274*x^2 + 157*x + 4, -x^18 - 5*x^17 + 10*x^16 + 79*x^15 - 14*x^14 - 511*x^13 - 187*x^12 + 1750*x^11 + 981*x^10 - 3437*x^9 - 2010*x^8 + 3939*x^7 + 1969*x^6 - 2581*x^5 - 912*x^4 + 891*x^3 + 168*x^2 - 123*x - 4, -x^18 - 5*x^17 + 6*x^16 + 59*x^15 + 8*x^14 - 279*x^13 - 114*x^12 + 728*x^11 + 228*x^10 - 1312*x^9 - 154*x^8 + 1825*x^7 + 281*x^6 - 1563*x^5 - 585*x^4 + 455*x^3 + 248*x^2 + 9*x, x^18 + 5*x^17 - 6*x^16 - 59*x^15 - 8*x^14 + 279*x^13 + 114*x^12 - 728*x^11 - 228*x^10 + 1312*x^9 + 154*x^8 - 1825*x^7 - 281*x^6 + 1563*x^5 + 585*x^4 - 455*x^3 - 248*x^2 - 9*x, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^38 - 4*x^37 - 50*x^36 + 213*x^35 + 1118*x^34 - 5158*x^33 - 14701*x^32 + 75251*x^31 + 125338*x^30 - 738678*x^29 - 714747*x^28 + 5160697*x^27 + 2650798*x^26 - 26472925*x^25 - 5290540*x^24 + 101404716*x^23 - 2609947*x^22 - 292148305*x^21 + 56074410*x^20 + 632756697*x^19 - 199964492*x^18 - 1022474115*x^17 + 418064412*x^16 + 1213783735*x^15 - 579558905*x^14 - 1032015492*x^13 + 542800458*x^12 + 604123689*x^11 - 335579250*x^10 - 228940739*x^9 + 128705016*x^8 + 50964376*x^7 - 26969538*x^6 - 5769232*x^5 + 2304666*x^4 + 296371*x^3 - 23999*x^2 - 1134*x + 36,
           Coordinates        := [-x^37 + 4*x^36 + 48*x^35 - 205*x^34 - 1026*x^33 + 4764*x^32 + 12825*x^31 - 66479*x^30 - 103102*x^29 + 621806*x^28 + 546765*x^27 - 4121043*x^26 - 1827252*x^25 + 19949425*x^24 + 2851819*x^23 - 71668113*x^22 + 5161139*x^21 + 192223006*x^20 - 44053801*x^19 - 384189939*x^18 + 132544005*x^17 + 566896605*x^16 - 243565431*x^15 - 606898547*x^14 + 296991714*x^13 + 458592086*x^12 - 241797183*x^11 - 234638262*x^10 + 127414499*x^9 + 76391282*x^8 - 40543416*x^7 - 14429582*x^6 + 6829270*x^5 + 1384954*x^4 - 464717*x^3 - 52067*x^2 + 4206*x + 72, x^37 - 6*x^36 - 40*x^35 + 297*x^34 + 632*x^33 - 6640*x^32 - 4053*x^31 + 88715*x^30 - 13770*x^29 - 789788*x^28 + 492889*x^27 + 4944589*x^26 - 4696248*x^25 - 22388146*x^24 + 26884784*x^23 + 74219305*x^22 - 105086438*x^21 - 180202397*x^20 + 292620559*x^19 + 316769452*x^18 - 588121515*x^17 - 392397624*x^16 + 850450619*x^15 + 324331356*x^14 - 870415120*x^13 - 157588811*x^12 + 611282610*x^11 + 26473511*x^10 - 279963956*x^9 + 11770318*x^8 + 77078210*x^7 - 5710686*x^6 - 11213548*x^5 + 454995*x^4 + 709021*x^3 + 32274*x^2 - 5268*x - 36, x^36 - 6*x^35 - 38*x^34 + 285*x^33 + 560*x^32 - 6092*x^31 - 3081*x^30 + 77517*x^29 - 17752*x^28 - 654504*x^27 + 443413*x^26 + 3869169*x^25 - 3820056*x^24 - 16465134*x^23 + 20155332*x^22 + 51047935*x^21 - 72719108*x^20 - 115300223*x^19 + 186266301*x^18 + 187424688*x^17 - 342280323*x^16 - 213093516*x^15 + 448612391*x^14 + 159771452*x^13 - 410903244*x^12 - 68455651*x^11 + 253037804*x^10 + 8114893*x^9 - 97872138*x^8 + 5696396*x^7 + 20958756*x^6 - 2203062*x^5 - 1893202*x^4 + 180341*x^3 + 33817*x^2 - 4032*x, x^36 - 6*x^35 - 38*x^34 + 285*x^33 + 560*x^32 - 6094*x^31 - 3069*x^30 + 77577*x^29 - 18224*x^28 - 655134*x^27 + 451627*x^26 + 3870114*x^25 - 3903470*x^24 - 16423915*x^23 + 20704403*x^22 + 50575695*x^21 - 75180755*x^20 - 112579420*x^19 + 193956554*x^18 + 177563793*x^17 - 359126680*x^16 - 189228001*x^15 + 474328488*x^14 + 120671801*x^13 - 437798776*x^12 - 25600161*x^11 + 271854014*x^10 - 22232834*x^9 - 106537232*x^8 + 18715374*x^7 + 23656398*x^6 - 5231251*x^5 - 2472351*x^4 + 484996*x^3 + 89048*x^2 - 3282*x - 180, x^35 - 6*x^34 - 36*x^33 + 274*x^32 + 486*x^31 - 5599*x^30 - 1991*x^29 + 67642*x^28 - 24738*x^27 - 537710*x^26 + 438096*x^25 + 2961506*x^24 - 3364726*x^23 - 11585685*x^22 + 16183665*x^21 + 32451087*x^20 - 53177129*x^19 - 64672382*x^18 + 122920596*x^17 + 89652054*x^16 - 200919114*x^15 - 82279952*x^14 + 229755938*x^13 + 44566580*x^12 - 179122403*x^11 - 9179309*x^10 + 91045909*x^9 - 3036961*x^8 - 28059727*x^7 + 1753812*x^6 + 4660173*x^5 - 137327*x^4 - 337602*x^3 - 18153*x^2 + 2634*x + 18, x^35 - 6*x^34 - 36*x^33 + 274*x^32 + 486*x^31 - 5599*x^30 - 1991*x^29 + 67642*x^28 - 24738*x^27 - 537710*x^26 + 438096*x^25 + 2961506*x^24 - 3364726*x^23 - 11585685*x^22 + 16183665*x^21 + 32451087*x^20 - 53177129*x^19 - 64672382*x^18 + 122920596*x^17 + 89652054*x^16 - 200919114*x^15 - 82279952*x^14 + 229755938*x^13 + 44566580*x^12 - 179122403*x^11 - 9179309*x^10 + 91045909*x^9 - 3036961*x^8 - 28059727*x^7 + 1753812*x^6 + 4660173*x^5 - 137327*x^4 - 337602*x^3 - 18153*x^2 + 2634*x + 18, x^35 - 6*x^34 - 36*x^33 + 273*x^32 + 492*x^31 - 5568*x^30 - 2235*x^29 + 67311*x^28 - 20354*x^27 - 537410*x^26 + 392293*x^25 + 2988896*x^24 - 3056562*x^23 - 11902479*x^22 + 14787243*x^21 + 34348121*x^20 - 48851041*x^19 - 71869416*x^18 + 113835578*x^17 + 107946143*x^16 - 188472556*x^15 - 113848245*x^14 + 219734084*x^13 + 81182161*x^12 - 176036486*x^11 - 36924309*x^10 + 92698140*x^9 + 10079268*x^8 - 29767618*x^7 - 1897792*x^6 + 5145104*x^5 + 428297*x^4 - 388907*x^3 - 55896*x^2 + 3132*x + 252, x^35 - 6*x^34 - 36*x^33 + 273*x^32 + 492*x^31 - 5570*x^30 - 2219*x^29 + 67343*x^28 - 20908*x^27 - 537065*x^26 + 400485*x^25 + 2975335*x^24 - 3123819*x^23 - 11741131*x^22 + 15118440*x^21 + 33274856*x^20 - 49812964*x^19 - 67336243*x^18 + 115159257*x^17 + 95223480*x^16 - 187649575*x^15 - 89811310*x^14 + 212882260*x^13 + 50806489*x^12 - 163392110*x^11 - 11782036*x^10 + 80728584*x^9 - 3134212*x^8 - 23654194*x^7 + 2377227*x^6 + 3596093*x^5 - 398296*x^4 - 231066*x^3 + 20340*x^2 + 1956*x - 216, x^34 - 5*x^33 - 40*x^32 + 230*x^31 + 672*x^30 - 4736*x^29 - 5892*x^28 + 57700*x^27 + 24084*x^26 - 463191*x^25 + 31599*x^24 + 2582142*x^23 - 988246*x^22 - 10263921*x^21 + 6147583*x^20 + 29401257*x^19 - 22149246*x^18 - 60615905*x^17 + 52500852*x^16 + 88851713*x^15 - 84333174*x^14 - 90370363*x^13 + 91157286*x^12 + 61308628*x^11 - 64026772*x^10 - 26187964*x^9 + 27196658*x^8 + 6597333*x^7 - 6051140*x^6 - 992031*x^5 + 491934*x^4 + 99655*x^3 + 4470*x^2 - 984*x + 18, x^34 - 6*x^33 - 34*x^32 + 263*x^31 + 418*x^30 - 5139*x^29 - 1094*x^28 + 59094*x^27 - 29401*x^26 - 444472*x^25 + 423731*x^24 + 2297307*x^23 - 2983421*x^22 - 8332927*x^21 + 13394396*x^20 + 21226584*x^19 - 41196459*x^18 - 37156729*x^17 + 88860357*x^16 + 41961851*x^15 - 134523279*x^14 - 24834509*x^13 + 140623555*x^12 - 2032286*x^11 - 97965123*x^10 + 15036110*x^9 + 42615753*x^8 - 10539917*x^7 - 10247443*x^6 + 3057766*x^5 + 1063666*x^4 - 298149*x^3 - 35653*x^2 + 5034*x - 18, x^34 - 6*x^33 - 34*x^32 + 263*x^31 + 418*x^30 - 5139*x^29 - 1094*x^28 + 59094*x^27 - 29401*x^26 - 444472*x^25 + 423731*x^24 + 2297307*x^23 - 2983421*x^22 - 8332927*x^21 + 13394396*x^20 + 21226584*x^19 - 41196459*x^18 - 37156729*x^17 + 88860357*x^16 + 41961851*x^15 - 134523279*x^14 - 24834509*x^13 + 140623555*x^12 - 2032286*x^11 - 97965123*x^10 + 15036110*x^9 + 42615753*x^8 - 10539917*x^7 - 10247443*x^6 + 3057766*x^5 + 1063666*x^4 - 298149*x^3 - 35653*x^2 + 5034*x - 18, x^34 - 5*x^33 - 40*x^32 + 230*x^31 + 672*x^30 - 4736*x^29 - 5892*x^28 + 57700*x^27 + 24084*x^26 - 463191*x^25 + 31599*x^24 + 2582142*x^23 - 988246*x^22 - 10263921*x^21 + 6147583*x^20 + 29401257*x^19 - 22149246*x^18 - 60615905*x^17 + 52500852*x^16 + 88851713*x^15 - 84333174*x^14 - 90370363*x^13 + 91157286*x^12 + 61308628*x^11 - 64026772*x^10 - 26187964*x^9 + 27196658*x^8 + 6597333*x^7 - 6051140*x^6 - 992031*x^5 + 491934*x^4 + 99655*x^3 + 4470*x^2 - 984*x + 18, x^34 - 6*x^33 - 34*x^32 + 263*x^31 + 417*x^30 - 5133*x^29 - 1065*x^28 + 58862*x^27 - 29667*x^26 - 440609*x^25 + 423454*x^24 + 2260718*x^23 - 2958580*x^22 - 8113787*x^21 + 13164857*x^20 + 20355002*x^19 - 40060488*x^18 - 34808825*x^17 + 85327062*x^16 + 37689878*x^15 - 127297202*x^14 - 19744820*x^13 + 130881145*x^12 - 5662074*x^11 - 89577937*x^10 + 16156051*x^9 + 38384807*x^8 - 10306583*x^7 - 9255647*x^6 + 2829774*x^5 + 1041722*x^4 - 270446*x^3 - 42958*x^2 + 1767*x + 90, x^34 - 6*x^33 - 34*x^32 + 263*x^31 + 417*x^30 - 5133*x^29 - 1065*x^28 + 58862*x^27 - 29667*x^26 - 440609*x^25 + 423454*x^24 + 2260718*x^23 - 2958580*x^22 - 8113787*x^21 + 13164857*x^20 + 20355002*x^19 - 40060488*x^18 - 34808825*x^17 + 85327062*x^16 + 37689878*x^15 - 127297202*x^14 - 19744820*x^13 + 130881145*x^12 - 5662074*x^11 - 89577937*x^10 + 16156051*x^9 + 38384807*x^8 - 10306583*x^7 - 9255647*x^6 + 2829774*x^5 + 1041722*x^4 - 270446*x^3 - 42958*x^2 + 1767*x + 90, x^34 - 6*x^33 - 34*x^32 + 263*x^31 + 420*x^30 - 5152*x^29 - 1135*x^28 + 59519*x^27 - 29334*x^26 - 450345*x^25 + 429343*x^24 + 2341435*x^23 - 3058249*x^22 - 8522435*x^21 + 13872366*x^20 + 21637788*x^19 - 42994816*x^18 - 37157625*x^17 + 92977573*x^16 + 39479088*x^15 - 139892619*x^14 - 18092232*x^13 + 143344802*x^12 - 10703353*x^11 - 95872416*x^10 + 20550976*x^9 + 38886344*x^8 - 11716788*x^7 - 8438772*x^6 + 2792557*x^5 + 803967*x^4 - 214500*x^3 - 27274*x^2 + 348*x + 108, x^34 - 6*x^33 - 34*x^32 + 261*x^31 + 430*x^30 - 5082*x^29 - 1549*x^28 + 58550*x^27 - 21808*x^26 - 444434*x^25 + 350308*x^24 + 2341349*x^23 - 2527714*x^22 - 8778404*x^21 + 11495425*x^20 + 23605389*x^19 - 35802481*x^18 - 45182688*x^17 + 78499532*x^16 + 59937603*x^15 - 121553609*x^14 - 51773080*x^13 + 131061864*x^12 + 24521478*x^11 - 95253014*x^10 - 1452354*x^9 + 43996694*x^8 - 4621359*x^7 - 11621533*x^6 + 2040398*x^5 + 1437318*x^4 - 250156*x^3 - 59818*x^2 + 2718*x + 72, x^33 - 4*x^32 - 44*x^31 + 191*x^30 + 835*x^29 - 4050*x^28 - 8878*x^27 + 50435*x^26 + 56694*x^25 - 410963*x^24 - 205662*x^23 + 2310010*x^22 + 227839*x^21 - 9197413*x^20 + 1626626*x^19 + 26205723*x^18 - 9803839*x^17 - 53301193*x^16 + 27734227*x^15 + 76242763*x^14 - 48228289*x^13 - 74415238*x^12 + 53787003*x^11 + 47018117*x^10 - 37661287*x^9 - 17562364*x^8 + 15411254*x^7 + 3305297*x^6 - 3176208*x^5 - 254952*x^4 + 242417*x^3 + 12699*x^2 - 1632*x - 36, x^33 - 6*x^32 - 30*x^31 + 239*x^30 + 300*x^29 - 4193*x^28 + 52*x^27 + 42659*x^26 - 28687*x^25 - 278689*x^24 + 308259*x^23 + 1221150*x^22 - 1774340*x^21 - 3628322*x^20 + 6527975*x^19 + 7164381*x^18 - 16151175*x^17 - 8693253*x^16 + 27145754*x^15 + 4644298*x^14 - 30520680*x^13 + 2773432*x^12 + 21971802*x^11 - 6532708*x^10 - 9205282*x^9 + 4574511*x^8 + 1733554*x^7 - 1471429*x^6 + 33621*x^5 + 191958*x^4 - 42402*x^3 - 3522*x^2 + 651*x, x^33 - 5*x^32 - 38*x^31 + 221*x^30 + 597*x^29 - 4355*x^28 - 4715*x^27 + 50579*x^26 + 14322*x^25 - 385510*x^24 + 73046*x^23 + 2031608*x^22 - 1014929*x^21 - 7596181*x^20 + 5452695*x^19 + 20351272*x^18 - 17909064*x^17 - 38996950*x^16 + 39250081*x^15 + 52801145*x^14 - 58611703*x^13 - 49372298*x^12 + 59185478*x^11 + 30748127*x^10 - 39224874*x^9 - 12077467*x^8 + 16078730*x^7 + 2775383*x^6 - 3630128*x^5 - 352780*x^4 + 344351*x^3 + 26709*x^2 - 3303*x - 18, x^33 - 6*x^32 - 30*x^31 + 239*x^30 + 300*x^29 - 4193*x^28 + 52*x^27 + 42659*x^26 - 28687*x^25 - 278689*x^24 + 308259*x^23 + 1221150*x^22 - 1774340*x^21 - 3628322*x^20 + 6527975*x^19 + 7164381*x^18 - 16151175*x^17 - 8693253*x^16 + 27145754*x^15 + 4644298*x^14 - 30520680*x^13 + 2773432*x^12 + 21971802*x^11 - 6532708*x^10 - 9205282*x^9 + 4574511*x^8 + 1733554*x^7 - 1471429*x^6 + 33621*x^5 + 191958*x^4 - 42402*x^3 - 3522*x^2 + 651*x, x^33 - 5*x^32 - 38*x^31 + 221*x^30 + 597*x^29 - 4355*x^28 - 4715*x^27 + 50579*x^26 + 14322*x^25 - 385510*x^24 + 73046*x^23 + 2031608*x^22 - 1014929*x^21 - 7596181*x^20 + 5452695*x^19 + 20351272*x^18 - 17909064*x^17 - 38996950*x^16 + 39250081*x^15 + 52801145*x^14 - 58611703*x^13 - 49372298*x^12 + 59185478*x^11 + 30748127*x^10 - 39224874*x^9 - 12077467*x^8 + 16078730*x^7 + 2775383*x^6 - 3630128*x^5 - 352780*x^4 + 344351*x^3 + 26709*x^2 - 3303*x - 18, x^33 - 4*x^32 - 44*x^31 + 191*x^30 + 835*x^29 - 4050*x^28 - 8878*x^27 + 50435*x^26 + 56694*x^25 - 410963*x^24 - 205662*x^23 + 2310010*x^22 + 227839*x^21 - 9197413*x^20 + 1626626*x^19 + 26205723*x^18 - 9803839*x^17 - 53301193*x^16 + 27734227*x^15 + 76242763*x^14 - 48228289*x^13 - 74415238*x^12 + 53787003*x^11 + 47018117*x^10 - 37661287*x^9 - 17562364*x^8 + 15411254*x^7 + 3305297*x^6 - 3176208*x^5 - 254952*x^4 + 242417*x^3 + 12699*x^2 - 1632*x - 36, x^33 - 5*x^32 - 37*x^31 + 215*x^30 + 569*x^29 - 4131*x^28 - 4448*x^27 + 46866*x^26 + 14240*x^25 - 349586*x^24 + 52349*x^23 + 1807339*x^22 - 801770*x^21 - 6652654*x^20 + 4302797*x^19 + 17632592*x^18 - 14010965*x^17 - 33628621*x^16 + 30532210*x^15 + 45586183*x^14 - 45614930*x^13 - 42790923*x^12 + 46339130*x^11 + 26606260*x^10 - 30896631*x^9 - 10249800*x^8 + 12591071*x^7 + 2285346*x^6 - 2742852*x^5 - 324805*x^4 + 241823*x^3 + 35992*x^2 - 2598*x - 144, x^33 - 5*x^32 - 38*x^31 + 220*x^30 + 601*x^29 - 4318*x^28 - 4865*x^27 + 49935*x^26 + 16921*x^25 - 378592*x^24 + 45633*x^23 + 1981353*x^22 - 820616*x^21 - 7340465*x^20 + 4487756*x^19 + 19427999*x^18 - 14497551*x^17 - 36627644*x^16 + 30643144*x^15 + 48517242*x^14 - 43238009*x^13 - 44053312*x^12 + 40119419*x^11 + 26474100*x^10 - 23416702*x^9 - 10136051*x^8 + 7920900*x^7 + 2442220*x^6 - 1360530*x^5 - 373938*x^4 + 104126*x^3 + 21671*x^2 - 444*x - 108, x^33 - 5*x^32 - 37*x^31 + 215*x^30 + 569*x^29 - 4131*x^28 - 4448*x^27 + 46866*x^26 + 14240*x^25 - 349586*x^24 + 52349*x^23 + 1807339*x^22 - 801770*x^21 - 6652654*x^20 + 4302797*x^19 + 17632592*x^18 - 14010965*x^17 - 33628621*x^16 + 30532210*x^15 + 45586183*x^14 - 45614930*x^13 - 42790923*x^12 + 46339130*x^11 + 26606260*x^10 - 30896631*x^9 - 10249800*x^8 + 12591071*x^7 + 2285346*x^6 - 2742852*x^5 - 324805*x^4 + 241823*x^3 + 35992*x^2 - 2598*x - 144, x^33 - 5*x^32 - 38*x^31 + 220*x^30 + 601*x^29 - 4318*x^28 - 4865*x^27 + 49935*x^26 + 16921*x^25 - 378592*x^24 + 45633*x^23 + 1981353*x^22 - 820616*x^21 - 7340465*x^20 + 4487756*x^19 + 19427999*x^18 - 14497551*x^17 - 36627644*x^16 + 30643144*x^15 + 48517242*x^14 - 43238009*x^13 - 44053312*x^12 + 40119419*x^11 + 26474100*x^10 - 23416702*x^9 - 10136051*x^8 + 7920900*x^7 + 2442220*x^6 - 1360530*x^5 - 373938*x^4 + 104126*x^3 + 21671*x^2 - 444*x - 108, x^33 - 5*x^32 - 36*x^31 + 209*x^30 + 542*x^29 - 3912*x^28 - 4213*x^27 + 43360*x^26 + 14429*x^25 - 316950*x^24 + 32785*x^23 + 1609348*x^22 - 623037*x^21 - 5818534*x^20 + 3409074*x^19 + 15089309*x^18 - 11090842*x^17 - 27872196*x^16 + 23878478*x^15 + 35859539*x^14 - 34768729*x^13 - 30754921*x^12 + 33759847*x^11 + 16166506*x^10 - 20921120*x^9 - 4291288*x^8 + 7607711*x^7 + 207665*x^6 - 1396063*x^5 + 91898*x^4 + 101896*x^3 - 9996*x^2 - 924*x + 108, x^33 - 5*x^32 - 36*x^31 + 209*x^30 + 542*x^29 - 3912*x^28 - 4213*x^27 + 43360*x^26 + 14429*x^25 - 316950*x^24 + 32785*x^23 + 1609348*x^22 - 623037*x^21 - 5818534*x^20 + 3409074*x^19 + 15089309*x^18 - 11090842*x^17 - 27872196*x^16 + 23878478*x^15 + 35859539*x^14 - 34768729*x^13 - 30754921*x^12 + 33759847*x^11 + 16166506*x^10 - 20921120*x^9 - 4291288*x^8 + 7607711*x^7 + 207665*x^6 - 1396063*x^5 + 91898*x^4 + 101896*x^3 - 9996*x^2 - 924*x + 108, x^33 - 6*x^32 - 32*x^31 + 251*x^30 + 358*x^29 - 4658*x^28 - 493*x^27 + 50548*x^26 - 29220*x^25 - 355766*x^24 + 363272*x^23 + 1700745*x^22 - 2320712*x^21 - 5610596*x^20 + 9462685*x^19 + 12660235*x^18 - 26154727*x^17 - 18719104*x^16 + 49789636*x^15 + 15900087*x^14 - 64790559*x^13 - 3400864*x^12 + 56070220*x^11 - 7374890*x^10 - 30626216*x^9 + 7872606*x^8 + 9621520*x^7 - 3226941*x^6 - 1459877*x^5 + 532010*x^4 + 73528*x^3 - 22506*x^2 - 690*x + 216, x^33 - 6*x^32 - 30*x^31 + 237*x^30 + 312*x^29 - 4135*x^28 - 407*x^27 + 42083*x^26 - 20957*x^25 - 278220*x^24 + 232833*x^23 + 1261982*x^22 - 1302303*x^21 - 4058871*x^20 + 4547798*x^19 + 9493320*x^18 - 10504998*x^17 - 16566773*x^16 + 16306330*x^15 + 22138143*x^14 - 17029837*x^13 - 22884147*x^12 + 12068876*x^11 + 17704572*x^10 - 6105674*x^9 - 9359753*x^8 + 2411141*x^7 + 2890112*x^6 - 698898*x^5 - 383870*x^4 + 97720*x^3 + 4884*x^2 - 1194*x, x^32 - 3*x^31 - 46*x^30 + 144*x^29 + 926*x^28 - 3052*x^27 - 10750*x^26 + 37799*x^25 + 79689*x^24 - 304917*x^23 - 393263*x^22 + 1689545*x^21 + 1297577*x^20 - 6604608*x^19 - 2743902*x^18 + 18405554*x^17 + 3105571*x^16 - 36487428*x^15 + 245346*x^14 + 50723854*x^13 - 6615362*x^12 - 48050358*x^11 + 10198979*x^10 + 29546720*x^9 - 7494116*x^8 - 10899747*x^7 + 2667267*x^6 + 2133142*x^5 - 341415*x^4 - 188852*x^3 + 3894*x^2 + 1872*x - 126, x^32 - 6*x^31 - 28*x^30 + 231*x^29 + 234*x^28 - 3914*x^27 + 1017*x^26 + 38382*x^25 - 37141*x^24 - 240559*x^23 + 359730*x^22 + 1000323*x^21 - 2015438*x^20 - 2746688*x^19 + 7441536*x^18 + 4641394*x^17 - 18907255*x^16 - 3364274*x^15 + 33404761*x^14 - 3818798*x^13 - 40580556*x^12 + 12836861*x^11 + 32747361*x^10 - 15100755*x^9 - 16365961*x^8 + 9279219*x^7 + 4402815*x^6 - 2813062*x^5 - 474412*x^4 + 294581*x^3 + 23388*x^2 - 2874*x - 90, 3*x^32 - 18*x^31 - 90*x^30 + 715*x^29 + 912*x^28 - 12521*x^27 - 303*x^26 + 127401*x^25 - 78331*x^24 - 835598*x^23 + 849351*x^22 + 3704282*x^21 - 4850983*x^20 - 11315515*x^19 + 17603748*x^18 + 23822082*x^17 - 42807348*x^16 - 33953279*x^15 + 70597838*x^14 + 31426739*x^13 - 78071197*x^12 - 17337283*x^11 + 56012480*x^10 + 4639156*x^9 - 24516238*x^8 - 210731*x^7 + 5878249*x^6 - 52746*x^5 - 631656*x^4 + 46*x^3 + 12916*x^2 - 2160*x + 108, x^32 - 5*x^31 - 36*x^30 + 215*x^29 + 510*x^28 - 4067*x^27 - 3143*x^26 + 44722*x^25 - 1099*x^24 - 318048*x^23 + 161153*x^22 + 1538516*x^21 - 1289047*x^20 - 5178109*x^19 + 5654803*x^18 + 12170744*x^17 - 15981655*x^16 - 19692916*x^15 + 30325393*x^14 + 21077141*x^13 - 38647154*x^12 - 13558717*x^11 + 32133989*x^10 + 3783054*x^9 - 16287223*x^8 + 724229*x^7 + 4331969*x^6 - 667694*x^5 - 394510*x^4 + 83035*x^3 - 3642*x^2 - 2454*x + 162, x^32 - 6*x^31 - 28*x^30 + 231*x^29 + 234*x^28 - 3914*x^27 + 1017*x^26 + 38382*x^25 - 37141*x^24 - 240559*x^23 + 359730*x^22 + 1000323*x^21 - 2015438*x^20 - 2746688*x^19 + 7441536*x^18 + 4641394*x^17 - 18907255*x^16 - 3364274*x^15 + 33404761*x^14 - 3818798*x^13 - 40580556*x^12 + 12836861*x^11 + 32747361*x^10 - 15100755*x^9 - 16365961*x^8 + 9279219*x^7 + 4402815*x^6 - 2813062*x^5 - 474412*x^4 + 294581*x^3 + 23388*x^2 - 2874*x - 90, x^32 - 5*x^31 - 36*x^30 + 215*x^29 + 510*x^28 - 4067*x^27 - 3143*x^26 + 44722*x^25 - 1099*x^24 - 318048*x^23 + 161153*x^22 + 1538516*x^21 - 1289047*x^20 - 5178109*x^19 + 5654803*x^18 + 12170744*x^17 - 15981655*x^16 - 19692916*x^15 + 30325393*x^14 + 21077141*x^13 - 38647154*x^12 - 13558717*x^11 + 32133989*x^10 + 3783054*x^9 - 16287223*x^8 + 724229*x^7 + 4331969*x^6 - 667694*x^5 - 394510*x^4 + 83035*x^3 - 3642*x^2 - 2454*x + 162, x^32 - 3*x^31 - 46*x^30 + 144*x^29 + 926*x^28 - 3052*x^27 - 10750*x^26 + 37799*x^25 + 79689*x^24 - 304917*x^23 - 393263*x^22 + 1689545*x^21 + 1297577*x^20 - 6604608*x^19 - 2743902*x^18 + 18405554*x^17 + 3105571*x^16 - 36487428*x^15 + 245346*x^14 + 50723854*x^13 - 6615362*x^12 - 48050358*x^11 + 10198979*x^10 + 29546720*x^9 - 7494116*x^8 - 10899747*x^7 + 2667267*x^6 + 2133142*x^5 - 341415*x^4 - 188852*x^3 + 3894*x^2 + 1872*x - 126, 2*x^32 - 10*x^31 - 69*x^30 + 405*x^29 + 972*x^28 - 7281*x^27 - 6672*x^26 + 76701*x^25 + 14405*x^24 - 526425*x^23 + 125202*x^22 + 2476062*x^21 - 1265879*x^20 - 8175105*x^19 + 5698251*x^18 + 19089268*x^17 - 15797902*x^16 - 31353776*x^15 + 28881127*x^14 + 35565600*x^13 - 35169717*x^12 - 26917144*x^11 + 27933179*x^10 + 12819023*x^9 - 13716269*x^8 - 3486801*x^7 + 3737412*x^6 + 475549*x^5 - 447119*x^4 - 37913*x^3 + 13651*x^2 + 1392*x - 72, x^32 - 5*x^31 - 36*x^30 + 214*x^29 + 518*x^28 - 4062*x^27 - 3347*x^26 + 45096*x^25 + 771*x^24 - 324998*x^23 + 156611*x^22 + 1593938*x^21 - 1336636*x^20 - 5414759*x^19 + 6134938*x^18 + 12678732*x^17 - 18056274*x^16 - 19815780*x^15 + 35541951*x^14 + 18929517*x^13 - 46708414*x^12 - 7983245*x^11 + 39687135*x^10 - 2875400*x^9 - 20327856*x^8 + 4827903*x^7 + 5452897*x^6 - 1843182*x^5 - 563658*x^4 + 187991*x^3 + 20843*x^2 - 1431*x + 18, 2*x^32 - 10*x^31 - 69*x^30 + 405*x^29 + 972*x^28 - 7281*x^27 - 6672*x^26 + 76701*x^25 + 14405*x^24 - 526425*x^23 + 125202*x^22 + 2476062*x^21 - 1265879*x^20 - 8175105*x^19 + 5698251*x^18 + 19089268*x^17 - 15797902*x^16 - 31353776*x^15 + 28881127*x^14 + 35565600*x^13 - 35169717*x^12 - 26917144*x^11 + 27933179*x^10 + 12819023*x^9 - 13716269*x^8 - 3486801*x^7 + 3737412*x^6 + 475549*x^5 - 447119*x^4 - 37913*x^3 + 13651*x^2 + 1392*x - 72, x^32 - 5*x^31 - 36*x^30 + 214*x^29 + 518*x^28 - 4062*x^27 - 3347*x^26 + 45096*x^25 + 771*x^24 - 324998*x^23 + 156611*x^22 + 1593938*x^21 - 1336636*x^20 - 5414759*x^19 + 6134938*x^18 + 12678732*x^17 - 18056274*x^16 - 19815780*x^15 + 35541951*x^14 + 18929517*x^13 - 46708414*x^12 - 7983245*x^11 + 39687135*x^10 - 2875400*x^9 - 20327856*x^8 + 4827903*x^7 + 5452897*x^6 - 1843182*x^5 - 563658*x^4 + 187991*x^3 + 20843*x^2 - 1431*x + 18, x^32 - 5*x^31 - 36*x^30 + 212*x^29 + 528*x^28 - 4001*x^27 - 3706*x^26 + 44334*x^25 + 6482*x^24 - 320302*x^23 + 103501*x^22 + 1583904*x^21 - 1016370*x^20 - 5472577*x^19 + 4823877*x^18 + 13231792*x^17 - 14354948*x^16 - 22018758*x^15 + 28381525*x^14 + 24186108*x^13 - 37495822*x^12 - 15948184*x^11 + 32313399*x^10 + 4662480*x^9 - 17187587*x^8 + 697209*x^7 + 5080828*x^6 - 754194*x^5 - 681895*x^4 + 113825*x^3 + 29564*x^2 - 1251*x - 36, x^32 - 5*x^31 - 36*x^30 + 212*x^29 + 528*x^28 - 4001*x^27 - 3706*x^26 + 44334*x^25 + 6482*x^24 - 320302*x^23 + 103501*x^22 + 1583904*x^21 - 1016370*x^20 - 5472577*x^19 + 4823877*x^18 + 13231792*x^17 - 14354948*x^16 - 22018758*x^15 + 28381525*x^14 + 24186108*x^13 - 37495822*x^12 - 15948184*x^11 + 32313399*x^10 + 4662480*x^9 - 17187587*x^8 + 697209*x^7 + 5080828*x^6 - 754194*x^5 - 681895*x^4 + 113825*x^3 + 29564*x^2 - 1251*x - 36, x^32 - 6*x^31 - 28*x^30 + 232*x^29 + 230*x^28 - 3946*x^27 + 1154*x^26 + 38813*x^25 - 39144*x^24 - 243769*x^23 + 376060*x^22 + 1015251*x^21 - 2096644*x^20 - 2796554*x^19 + 7693735*x^18 + 4793833*x^17 - 19385854*x^16 - 3846181*x^15 + 33925934*x^14 - 2537806*x^13 - 40921791*x^12 + 10520377*x^11 + 33134860*x^10 - 12546555*x^9 - 17069315*x^8 + 7722202*x^7 + 5044386*x^6 - 2371522*x^5 - 707942*x^4 + 254994*x^3 + 45708*x^2 - 558*x - 180, x^31 - x^30 - 53*x^29 + 72*x^28 + 1180*x^27 - 1886*x^26 - 14804*x^25 + 26357*x^24 + 117316*x^23 - 227202*x^22 - 619807*x^21 + 1295228*x^20 + 2234080*x^19 - 5056267*x^18 - 5496144*x^17 + 13708194*x^16 + 8998547*x^15 - 25764255*x^14 - 9110927*x^13 + 32980242*x^12 + 4462334*x^11 - 27670376*x^10 + 620451*x^9 + 14156733*x^8 - 1844240*x^7 - 3839422*x^6 + 701651*x^5 + 407515*x^4 - 49671*x^3 - 14721*x^2 - 366*x + 162, x^31 - 4*x^30 - 34*x^29 + 144*x^28 + 518*x^27 - 2317*x^26 - 4753*x^25 + 22163*x^24 + 29866*x^23 - 141434*x^22 - 137714*x^21 + 639700*x^20 + 478201*x^19 - 2117655*x^18 - 1232369*x^17 + 5186578*x^16 + 2243048*x^15 - 9313409*x^14 - 2634072*x^13 + 11912952*x^12 + 1615907*x^11 - 10319067*x^10 - 29962*x^9 + 5576032*x^8 - 549997*x^7 - 1630255*x^6 + 222988*x^5 + 201524*x^4 - 774*x^3 - 14561*x^2 - 1218*x - 18, x^31 - 4*x^30 - 32*x^29 + 135*x^28 + 447*x^27 - 1960*x^26 - 3701*x^25 + 15967*x^24 + 21605*x^23 - 79393*x^22 - 103384*x^21 + 241934*x^20 + 435360*x^19 - 405332*x^18 - 1523711*x^17 + 142401*x^16 + 4015959*x^15 + 850313*x^14 - 7425804*x^13 - 1849523*x^12 + 9159652*x^11 + 1751020*x^10 - 7130717*x^9 - 871324*x^8 + 3219258*x^7 + 288622*x^6 - 731021*x^5 - 98901*x^4 + 66564*x^3 + 15209*x^2 + 477*x + 18, x^31 - 3*x^30 - 44*x^29 + 147*x^28 + 798*x^27 - 3025*x^26 - 7810*x^25 + 35073*x^24 + 44257*x^23 - 257180*x^22 - 135536*x^21 + 1262502*x^20 + 94832*x^19 - 4271548*x^18 + 930258*x^17 + 10089014*x^16 - 4140728*x^15 - 16657694*x^14 + 8884347*x^13 + 19053615*x^12 - 11503314*x^11 - 14757371*x^10 + 9328671*x^9 + 7373210*x^8 - 4600404*x^7 - 2148663*x^6 + 1223108*x^5 + 302354*x^4 - 118292*x^3 - 20973*x^2 + 207*x + 90, x^31 - 3*x^30 - 43*x^29 + 141*x^28 + 774*x^27 - 2832*x^26 - 7611*x^25 + 32389*x^24 + 43850*x^23 - 235912*x^22 - 138582*x^21 + 1155570*x^20 + 107276*x^19 - 3908980*x^18 + 997151*x^17 + 9215020*x^16 - 4783960*x^15 - 15066310*x^14 + 11080202*x^13 + 16759966*x^12 - 15548175*x^11 - 12207702*x^10 + 13608980*x^9 + 5428486*x^8 - 7146357*x^7 - 1294414*x^6 + 2012510*x^5 + 133461*x^4 - 229701*x^3 - 8190*x^2 + 3258*x - 72, x^31 - 4*x^30 - 34*x^29 + 144*x^28 + 518*x^27 - 2317*x^26 - 4753*x^25 + 22163*x^24 + 29866*x^23 - 141434*x^22 - 137714*x^21 + 639700*x^20 + 478201*x^19 - 2117655*x^18 - 1232369*x^17 + 5186578*x^16 + 2243048*x^15 - 9313409*x^14 - 2634072*x^13 + 11912952*x^12 + 1615907*x^11 - 10319067*x^10 - 29962*x^9 + 5576032*x^8 - 549997*x^7 - 1630255*x^6 + 222988*x^5 + 201524*x^4 - 774*x^3 - 14561*x^2 - 1218*x - 18, x^31 - 4*x^30 - 32*x^29 + 135*x^28 + 447*x^27 - 1960*x^26 - 3701*x^25 + 15967*x^24 + 21605*x^23 - 79393*x^22 - 103384*x^21 + 241934*x^20 + 435360*x^19 - 405332*x^18 - 1523711*x^17 + 142401*x^16 + 4015959*x^15 + 850313*x^14 - 7425804*x^13 - 1849523*x^12 + 9159652*x^11 + 1751020*x^10 - 7130717*x^9 - 871324*x^8 + 3219258*x^7 + 288622*x^6 - 731021*x^5 - 98901*x^4 + 66564*x^3 + 15209*x^2 + 477*x + 18, x^31 - 3*x^30 - 43*x^29 + 141*x^28 + 774*x^27 - 2832*x^26 - 7611*x^25 + 32389*x^24 + 43850*x^23 - 235912*x^22 - 138582*x^21 + 1155570*x^20 + 107276*x^19 - 3908980*x^18 + 997151*x^17 + 9215020*x^16 - 4783960*x^15 - 15066310*x^14 + 11080202*x^13 + 16759966*x^12 - 15548175*x^11 - 12207702*x^10 + 13608980*x^9 + 5428486*x^8 - 7146357*x^7 - 1294414*x^6 + 2012510*x^5 + 133461*x^4 - 229701*x^3 - 8190*x^2 + 3258*x - 72, x^31 - 3*x^30 - 44*x^29 + 147*x^28 + 798*x^27 - 3025*x^26 - 7810*x^25 + 35073*x^24 + 44257*x^23 - 257180*x^22 - 135536*x^21 + 1262502*x^20 + 94832*x^19 - 4271548*x^18 + 930258*x^17 + 10089014*x^16 - 4140728*x^15 - 16657694*x^14 + 8884347*x^13 + 19053615*x^12 - 11503314*x^11 - 14757371*x^10 + 9328671*x^9 + 7373210*x^8 - 4600404*x^7 - 2148663*x^6 + 1223108*x^5 + 302354*x^4 - 118292*x^3 - 20973*x^2 + 207*x + 90, x^31 - x^30 - 53*x^29 + 72*x^28 + 1180*x^27 - 1886*x^26 - 14804*x^25 + 26357*x^24 + 117316*x^23 - 227202*x^22 - 619807*x^21 + 1295228*x^20 + 2234080*x^19 - 5056267*x^18 - 5496144*x^17 + 13708194*x^16 + 8998547*x^15 - 25764255*x^14 - 9110927*x^13 + 32980242*x^12 + 4462334*x^11 - 27670376*x^10 + 620451*x^9 + 14156733*x^8 - 1844240*x^7 - 3839422*x^6 + 701651*x^5 + 407515*x^4 - 49671*x^3 - 14721*x^2 - 366*x + 162, 4*x^31 - 19*x^30 - 139*x^29 + 762*x^28 + 1989*x^27 - 13525*x^26 - 14264*x^25 + 140111*x^24 + 40068*x^23 - 940625*x^22 + 158928*x^21 + 4296083*x^20 - 2013620*x^19 - 13632633*x^18 + 9303905*x^17 + 30147041*x^16 - 25529561*x^15 - 45880122*x^14 + 45213942*x^13 + 46628700*x^12 - 52165798*x^11 - 29953743*x^10 + 38101482*x^9 + 11054287*x^8 - 16461370*x^7 - 2017462*x^6 + 3691796*x^5 + 194994*x^4 - 330068*x^3 - 24604*x^2 + 3450*x + 36, x^31 - 3*x^30 - 43*x^29 + 137*x^28 + 799*x^27 - 2745*x^26 - 8409*x^25 + 31934*x^24 + 54868*x^23 - 240264*x^22 - 225087*x^21 + 1231137*x^20 + 534201*x^19 - 4402357*x^18 - 385074*x^17 + 11061289*x^16 - 1808407*x^15 - 19381139*x^14 + 6847403*x^13 + 23142848*x^12 - 11652614*x^11 - 18019952*x^10 + 11348116*x^9 + 8442754*x^8 - 6309070*x^7 - 2031164*x^6 + 1791478*x^5 + 171284*x^4 - 190850*x^3 - 3633*x^2 + 2649*x, x^31 - 3*x^30 - 40*x^29 + 119*x^28 + 719*x^27 - 2094*x^26 - 7741*x^25 + 21660*x^24 + 56110*x^23 - 147151*x^22 - 290933*x^21 + 694569*x^20 + 1112981*x^19 - 2346910*x^18 - 3173649*x^17 + 5750575*x^16 + 6707214*x^15 - 10206586*x^14 - 10317808*x^13 + 12927219*x^12 + 11220330*x^11 - 11329548*x^10 - 8259270*x^9 + 6521200*x^8 + 3841067*x^7 - 2254238*x^6 - 994606*x^5 + 390645*x^4 + 107567*x^3 - 19469*x^2 - 2187*x + 108, x^31 - 3*x^30 - 40*x^29 + 119*x^28 + 719*x^27 - 2094*x^26 - 7741*x^25 + 21660*x^24 + 56110*x^23 - 147151*x^22 - 290933*x^21 + 694569*x^20 + 1112981*x^19 - 2346910*x^18 - 3173649*x^17 + 5750575*x^16 + 6707214*x^15 - 10206586*x^14 - 10317808*x^13 + 12927219*x^12 + 11220330*x^11 - 11329548*x^10 - 8259270*x^9 + 6521200*x^8 + 3841067*x^7 - 2254238*x^6 - 994606*x^5 + 390645*x^4 + 107567*x^3 - 19469*x^2 - 2187*x + 108, x^31 - 3*x^30 - 43*x^29 + 137*x^28 + 799*x^27 - 2745*x^26 - 8409*x^25 + 31934*x^24 + 54868*x^23 - 240264*x^22 - 225087*x^21 + 1231137*x^20 + 534201*x^19 - 4402357*x^18 - 385074*x^17 + 11061289*x^16 - 1808407*x^15 - 19381139*x^14 + 6847403*x^13 + 23142848*x^12 - 11652614*x^11 - 18019952*x^10 + 11348116*x^9 + 8442754*x^8 - 6309070*x^7 - 2031164*x^6 + 1791478*x^5 + 171284*x^4 - 190850*x^3 - 3633*x^2 + 2649*x, x^31 - 3*x^30 - 42*x^29 + 129*x^28 + 788*x^27 - 2508*x^26 - 8632*x^25 + 28982*x^24 + 60531*x^23 - 220342*x^22 - 279562*x^21 + 1154389*x^20 + 833769*x^19 - 4252320*x^18 - 1432013*x^17 + 11055294*x^16 + 610647*x^15 - 20095504*x^14 + 3108629*x^13 + 24948502*x^12 - 7808637*x^11 - 20276029*x^10 + 8776149*x^9 + 10012190*x^8 - 5237901*x^7 - 2608081*x^6 + 1532176*x^5 + 263710*x^4 - 157789*x^3 - 8309*x^2 + 1905*x - 180, x^31 - 3*x^30 - 42*x^29 + 129*x^28 + 788*x^27 - 2508*x^26 - 8632*x^25 + 28982*x^24 + 60531*x^23 - 220342*x^22 - 279562*x^21 + 1154389*x^20 + 833769*x^19 - 4252320*x^18 - 1432013*x^17 + 11055294*x^16 + 610647*x^15 - 20095504*x^14 + 3108629*x^13 + 24948502*x^12 - 7808637*x^11 - 20276029*x^10 + 8776149*x^9 + 10012190*x^8 - 5237901*x^7 - 2608081*x^6 + 1532176*x^5 + 263710*x^4 - 157789*x^3 - 8309*x^2 + 1905*x - 180, x^31 - x^30 - 48*x^29 + 45*x^28 + 1037*x^27 - 920*x^26 - 13291*x^25 + 11258*x^24 + 112225*x^23 - 91476*x^22 - 656041*x^21 + 518138*x^20 + 2717577*x^19 - 2092597*x^18 - 8031495*x^17 + 6066243*x^16 + 16827430*x^15 - 12548312*x^14 - 24502500*x^13 + 18173636*x^12 + 23880545*x^11 - 17764876*x^10 - 14583759*x^9 + 10971168*x^8 + 4956140*x^7 - 3783028*x^6 - 756104*x^5 + 564170*x^4 + 51222*x^3 - 23852*x^2 - 2748*x + 144, x^31 - 4*x^30 - 34*x^29 + 144*x^28 + 524*x^27 - 2350*x^26 - 4896*x^25 + 23193*x^24 + 31002*x^23 - 155255*x^22 - 138300*x^21 + 744179*x^20 + 428360*x^19 - 2606890*x^18 - 849361*x^17 + 6654349*x^16 + 792174*x^15 - 12127637*x^14 + 610546*x^13 + 15230888*x^12 - 2814561*x^11 - 12486251*x^10 + 3620118*x^9 + 6110787*x^8 - 2322895*x^7 - 1478606*x^6 + 747060*x^5 + 74694*x^4 - 103234*x^3 + 18410*x^2 + 3762*x - 144]>
       ]
>;

MOG[757] := 	// J_0(757)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [430, 121*x + 173, 636*x + 173, 389*x + 435, 717*x + 497, 368*x + 435, 40*x + 497, 416*x + 12, 544*x + 662, 287*x + 426, 427*x + 268, 213*x + 662, 341*x + 12, 470*x + 426, 330*x + 268, 31*x + 610, 698*x + 7, 265*x + 263, 180, 702*x + 644, 472*x + 274, 492*x + 263, 726*x + 610, 59*x + 7, 55*x + 644, 285*x + 274, 415*x + 71, 11*x + 458, 241*x + 371, 170*x + 349, 222*x + 407, 651, 84*x + 476, 191*x + 492, 61*x + 748, 587*x + 349, 535*x + 407, 342*x + 71, 746*x + 458, 516*x + 371, 673*x + 476, 566*x + 492, 696*x + 748, 460*x + 137, 10*x + 350, 570*x + 31, 680*x + 469, 747*x + 407, 77*x + 469, 243*x + 366, 514*x + 366, 747*x + 350, 10*x + 407, 297*x + 137, 187*x + 31, 271*x + 135, 627*x + 248, 229, 46, 514*x + 14, 486*x + 135, 130*x + 248, 243*x + 14]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^29 + 12*x^28 + 30*x^27 - 190*x^26 - 1069*x^25 + 215*x^24 + 11562*x^23 + 15320*x^22 - 59246*x^21 - 150129*x^20 + 132149*x^19 + 692478*x^18 + 87898*x^17 - 1826222*x^16 - 1298453*x^15 + 2782118*x^14 + 3440047*x^13 - 2124160*x^12 - 4599953*x^11 + 154658*x^10 + 3306932*x^9 + 927939*x^8 - 1173239*x^7 - 582310*x^6 + 165167*x^5 + 129585*x^4 - 2179*x^3 - 10510*x^2 - 633*x + 226,
           Coordinates        := [0, -x^28 - 12*x^27 - 32*x^26 + 166*x^25 + 1001*x^24 + 71*x^23 - 9679*x^22 - 14618*x^21 + 43153*x^20 + 121267*x^19 - 73478*x^18 - 489971*x^17 - 128277*x^16 + 1130217*x^15 + 890495*x^14 - 1493834*x^13 - 1915348*x^12 + 987501*x^11 + 2154561*x^10 - 91323*x^9 - 1326426*x^8 - 267529*x^7 + 423316*x^6 + 144022*x^5 - 61166*x^4 - 26701*x^3 + 2663*x^2 + 1562*x + 40, x^28 + 12*x^27 + 32*x^26 - 166*x^25 - 1001*x^24 - 71*x^23 + 9679*x^22 + 14618*x^21 - 43153*x^20 - 121267*x^19 + 73478*x^18 + 489971*x^17 + 128277*x^16 - 1130217*x^15 - 890495*x^14 + 1493834*x^13 + 1915348*x^12 - 987501*x^11 - 2154561*x^10 + 91323*x^9 + 1326426*x^8 + 267529*x^7 - 423316*x^6 - 144022*x^5 + 61166*x^4 + 26701*x^3 - 2663*x^2 - 1562*x - 40, -x^27 - 12*x^26 - 34*x^25 + 143*x^24 + 941*x^23 + 345*x^22 - 8067*x^21 - 14401*x^20 + 29674*x^19 + 101720*x^18 - 21686*x^17 - 352688*x^16 - 203603*x^15 + 660129*x^14 + 776684*x^13 - 590053*x^12 - 1263932*x^11 + 31818*x^10 + 1034669*x^9 + 357453*x^8 - 388298*x^7 - 239972*x^6 + 46548*x^5 + 54351*x^4 + 2084*x^3 - 4324*x^2 - 378*x + 100, -x^27 - 12*x^26 - 34*x^25 + 143*x^24 + 942*x^23 + 357*x^22 - 8026*x^21 - 14461*x^20 + 28997*x^19 + 100787*x^18 - 18693*x^17 - 343317*x^16 - 204355*x^15 + 628155*x^14 + 748015*x^13 - 546606*x^12 - 1181460*x^11 + 31517*x^10 + 945837*x^9 + 302957*x^8 - 361625*x^7 - 198316*x^6 + 57453*x^5 + 48533*x^4 - 1600*x^3 - 4624*x^2 - 215*x + 126, x^27 + 12*x^26 + 34*x^25 - 143*x^24 - 941*x^23 - 345*x^22 + 8067*x^21 + 14401*x^20 - 29674*x^19 - 101720*x^18 + 21686*x^17 + 352688*x^16 + 203603*x^15 - 660129*x^14 - 776684*x^13 + 590053*x^12 + 1263932*x^11 - 31818*x^10 - 1034669*x^9 - 357453*x^8 + 388298*x^7 + 239972*x^6 - 46548*x^5 - 54351*x^4 - 2084*x^3 + 4324*x^2 + 378*x - 100, x^27 + 12*x^26 + 34*x^25 - 143*x^24 - 942*x^23 - 357*x^22 + 8026*x^21 + 14461*x^20 - 28997*x^19 - 100787*x^18 + 18693*x^17 + 343317*x^16 + 204355*x^15 - 628155*x^14 - 748015*x^13 + 546606*x^12 + 1181460*x^11 - 31517*x^10 - 945837*x^9 - 302957*x^8 + 361625*x^7 + 198316*x^6 - 57453*x^5 - 48533*x^4 + 1600*x^3 + 4624*x^2 + 215*x - 126, -x^26 - 12*x^25 - 36*x^24 + 118*x^23 + 853*x^22 + 497*x^21 - 6396*x^20 - 12186*x^19 + 20497*x^18 + 73934*x^17 - 11856*x^16 - 229855*x^15 - 117140*x^14 + 404554*x^13 + 396265*x^12 - 386750*x^11 - 593805*x^10 + 146965*x^9 + 469240*x^8 + 43148*x^7 - 187857*x^6 - 51050*x^5 + 33029*x^4 + 12597*x^3 - 1680*x^2 - 865*x - 26, -x^26 - 11*x^25 - 24*x^24 + 156*x^23 + 759*x^22 - 280*x^21 - 7083*x^20 - 7361*x^19 + 31295*x^18 + 63349*x^17 - 63470*x^16 - 240233*x^15 + 3329*x^14 + 499227*x^13 + 255151*x^12 - 568933*x^11 - 526087*x^10 + 301811*x^9 + 468888*x^8 - 15591*x^7 - 188911*x^6 - 38621*x^5 + 30221*x^4 + 9780*x^3 - 1361*x^2 - 597*x - 14, -x^26 - 12*x^25 - 35*x^24 + 130*x^23 + 893*x^22 + 426*x^21 - 7104*x^20 - 13039*x^19 + 24053*x^18 + 83725*x^17 - 15525*x^16 - 267597*x^15 - 140878*x^14 + 469583*x^13 + 483691*x^12 - 423220*x^11 - 709737*x^10 + 118576*x^9 + 527791*x^8 + 80310*x^7 - 189793*x^6 - 57733*x^5 + 30282*x^4 + 11541*x^3 - 1636*x^2 - 655*x + 18, -x^26 - 11*x^25 - 24*x^24 + 156*x^23 + 760*x^22 - 269*x^21 - 7052*x^20 - 7441*x^19 + 30732*x^18 + 62929*x^17 - 60553*x^16 - 234465*x^15 - 1602*x^14 + 477645*x^13 + 250197*x^12 - 532764*x^11 - 498987*x^10 + 275704*x^9 + 437010*x^8 - 11097*x^7 - 176070*x^6 - 37756*x^5 + 29284*x^4 + 10536*x^3 - 1242*x^2 - 781*x - 58, x^26 + 11*x^25 + 24*x^24 - 156*x^23 - 759*x^22 + 280*x^21 + 7083*x^20 + 7361*x^19 - 31295*x^18 - 63349*x^17 + 63470*x^16 + 240233*x^15 - 3329*x^14 - 499227*x^13 - 255151*x^12 + 568933*x^11 + 526087*x^10 - 301811*x^9 - 468888*x^8 + 15591*x^7 + 188911*x^6 + 38621*x^5 - 30221*x^4 - 9780*x^3 + 1361*x^2 + 597*x + 14, x^26 + 12*x^25 + 36*x^24 - 118*x^23 - 853*x^22 - 497*x^21 + 6396*x^20 + 12186*x^19 - 20497*x^18 - 73934*x^17 + 11856*x^16 + 229855*x^15 + 117140*x^14 - 404554*x^13 - 396265*x^12 + 386750*x^11 + 593805*x^10 - 146965*x^9 - 469240*x^8 - 43148*x^7 + 187857*x^6 + 51050*x^5 - 33029*x^4 - 12597*x^3 + 1680*x^2 + 865*x + 26, x^26 + 12*x^25 + 35*x^24 - 130*x^23 - 893*x^22 - 426*x^21 + 7104*x^20 + 13039*x^19 - 24053*x^18 - 83725*x^17 + 15525*x^16 + 267597*x^15 + 140878*x^14 - 469583*x^13 - 483691*x^12 + 423220*x^11 + 709737*x^10 - 118576*x^9 - 527791*x^8 - 80310*x^7 + 189793*x^6 + 57733*x^5 - 30282*x^4 - 11541*x^3 + 1636*x^2 + 655*x - 18, x^26 + 11*x^25 + 24*x^24 - 156*x^23 - 760*x^22 + 269*x^21 + 7052*x^20 + 7441*x^19 - 30732*x^18 - 62929*x^17 + 60553*x^16 + 234465*x^15 + 1602*x^14 - 477645*x^13 - 250197*x^12 + 532764*x^11 + 498987*x^10 - 275704*x^9 - 437010*x^8 + 11097*x^7 + 176070*x^6 + 37756*x^5 - 29284*x^4 - 10536*x^3 + 1242*x^2 + 781*x + 58, -x^25 - 13*x^24 - 50*x^23 + 57*x^22 + 883*x^21 + 1504*x^20 - 4205*x^19 - 16293*x^18 - 982*x^17 + 65489*x^16 + 70479*x^15 - 114056*x^14 - 246969*x^13 + 29687*x^12 + 377875*x^11 + 180079*x^10 - 256040*x^9 - 244595*x^8 + 40600*x^7 + 111517*x^6 + 21013*x^5 - 17255*x^4 - 6473*x^3 + 330*x^2 + 355*x + 30, -x^25 - 12*x^24 - 38*x^23 + 95*x^22 + 788*x^21 + 711*x^20 - 4972*x^19 - 11493*x^18 + 10812*x^17 + 57344*x^16 + 15984*x^15 - 141519*x^14 - 133450*x^13 + 173616*x^12 + 292252*x^11 - 64932*x^10 - 309389*x^9 - 69710*x^8 + 159841*x^7 + 77405*x^6 - 34532*x^5 - 24499*x^4 + 2709*x^3 + 3129*x^2 - 3*x - 130, -x^25 - 11*x^24 - 26*x^23 + 134*x^22 + 704*x^21 - 43*x^20 - 5740*x^19 - 7076*x^18 + 21565*x^17 + 48985*x^16 - 33301*x^15 - 157573*x^14 - 22306*x^13 + 276271*x^12 + 168912*x^11 - 256094*x^10 - 263970*x^9 + 95844*x^8 + 183796*x^7 + 12440*x^6 - 54948*x^5 - 14350*x^4 + 6335*x^3 + 2366*x^2 - 233*x - 114, 0, -x^25 - 13*x^24 - 49*x^23 + 69*x^22 + 922*x^21 + 1422*x^20 - 4944*x^19 - 17062*x^18 + 3168*x^17 + 75720*x^16 + 63477*x^15 - 158572*x^14 - 264324*x^13 + 123386*x^12 + 471723*x^11 + 87059*x^10 - 418046*x^9 - 222647*x^8 + 171832*x^7 + 140583*x^6 - 27171*x^5 - 36992*x^4 - 36*x^3 + 3969*x^2 + 233*x - 126, -x^25 - 11*x^24 - 26*x^23 + 134*x^22 + 705*x^21 - 32*x^20 - 5706*x^19 - 7126*x^18 + 21069*x^17 + 48299*x^16 - 31712*x^15 - 152112*x^14 - 20173*x^13 + 264039*x^12 + 149709*x^11 - 254800*x^10 - 233123*x^9 + 122956*x^8 + 174458*x^7 - 15510*x^6 - 65925*x^5 - 8713*x^4 + 10894*x^3 + 2601*x^2 - 624*x - 184, x^25 + 11*x^24 + 26*x^23 - 134*x^22 - 704*x^21 + 43*x^20 + 5740*x^19 + 7076*x^18 - 21565*x^17 - 48985*x^16 + 33301*x^15 + 157573*x^14 + 22306*x^13 - 276271*x^12 - 168912*x^11 + 256094*x^10 + 263970*x^9 - 95844*x^8 - 183796*x^7 - 12440*x^6 + 54948*x^5 + 14350*x^4 - 6335*x^3 - 2366*x^2 + 233*x + 114, x^25 + 13*x^24 + 50*x^23 - 57*x^22 - 883*x^21 - 1504*x^20 + 4205*x^19 + 16293*x^18 + 982*x^17 - 65489*x^16 - 70479*x^15 + 114056*x^14 + 246969*x^13 - 29687*x^12 - 377875*x^11 - 180079*x^10 + 256040*x^9 + 244595*x^8 - 40600*x^7 - 111517*x^6 - 21013*x^5 + 17255*x^4 + 6473*x^3 - 330*x^2 - 355*x - 30, x^25 + 12*x^24 + 38*x^23 - 95*x^22 - 788*x^21 - 711*x^20 + 4972*x^19 + 11493*x^18 - 10812*x^17 - 57344*x^16 - 15984*x^15 + 141519*x^14 + 133450*x^13 - 173616*x^12 - 292252*x^11 + 64932*x^10 + 309389*x^9 + 69710*x^8 - 159841*x^7 - 77405*x^6 + 34532*x^5 + 24499*x^4 - 2709*x^3 - 3129*x^2 + 3*x + 130, x^25 + 13*x^24 + 49*x^23 - 69*x^22 - 922*x^21 - 1422*x^20 + 4944*x^19 + 17062*x^18 - 3168*x^17 - 75720*x^16 - 63477*x^15 + 158572*x^14 + 264324*x^13 - 123386*x^12 - 471723*x^11 - 87059*x^10 + 418046*x^9 + 222647*x^8 - 171832*x^7 - 140583*x^6 + 27171*x^5 + 36992*x^4 + 36*x^3 - 3969*x^2 - 233*x + 126, x^25 + 11*x^24 + 26*x^23 - 134*x^22 - 705*x^21 + 32*x^20 + 5706*x^19 + 7126*x^18 - 21069*x^17 - 48299*x^16 + 31712*x^15 + 152112*x^14 + 20173*x^13 - 264039*x^12 - 149709*x^11 + 254800*x^10 + 233123*x^9 - 122956*x^8 - 174458*x^7 + 15510*x^6 + 65925*x^5 + 8713*x^4 - 10894*x^3 - 2601*x^2 + 624*x + 184, -x^24 - 12*x^23 - 39*x^22 + 85*x^21 + 769*x^20 + 837*x^19 - 4417*x^18 - 11613*x^17 + 6615*x^16 + 52322*x^15 + 28743*x^14 - 110543*x^13 - 141776*x^12 + 95106*x^11 + 250706*x^10 + 26486*x^9 - 205993*x^8 - 103463*x^7 + 68287*x^6 + 60966*x^5 - 2510*x^4 - 12231*x^3 - 1934*x^2 + 662*x + 152, -x^24 - 12*x^23 - 39*x^22 + 84*x^21 + 759*x^20 + 812*x^19 - 4357*x^18 - 11263*x^17 + 6774*x^16 + 50907*x^15 + 27028*x^14 - 108015*x^13 - 137771*x^12 + 91741*x^11 + 246363*x^10 + 32517*x^9 - 201371*x^8 - 110215*x^7 + 63583*x^6 + 63717*x^5 - 1108*x^4 - 13370*x^3 - 2308*x^2 + 871*x + 222, -x^24 - 11*x^23 - 26*x^22 + 130*x^21 + 665*x^20 - 119*x^19 - 5328*x^18 - 5327*x^17 + 21066*x^16 + 37429*x^15 - 43338*x^14 - 122923*x^13 + 33758*x^12 + 230077*x^11 + 38053*x^10 - 249192*x^9 - 108028*x^8 + 144472*x^7 + 89742*x^6 - 37166*x^5 - 29212*x^4 + 3902*x^3 + 3985*x^2 - 136*x - 196, -x^24 - 12*x^23 - 39*x^22 + 84*x^21 + 759*x^20 + 819*x^19 - 4283*x^18 - 11042*x^17 + 6508*x^16 + 48339*x^15 + 24319*x^14 - 99515*x^13 - 118876*x^12 + 85132*x^11 + 201487*x^10 + 15532*x^9 - 154136*x^8 - 73023*x^7 + 44213*x^6 + 38107*x^5 - 1056*x^4 - 6938*x^3 - 1128*x^2 + 376*x + 92, -x^24 - 10*x^23 - 16*x^22 + 153*x^21 + 584*x^20 - 534*x^19 - 5447*x^18 - 3322*x^17 + 23661*x^16 + 34321*x^15 - 49954*x^14 - 123441*x^13 + 32637*x^12 + 227707*x^11 + 60630*x^10 - 221499*x^9 - 130956*x^8 + 101054*x^7 + 89750*x^6 - 13836*x^5 - 22830*x^4 - 476*x^3 + 2256*x^2 + 107*x - 78, 0, -x^24 - 11*x^23 - 28*x^22 + 113*x^21 + 656*x^20 + 182*x^19 - 4592*x^18 - 7023*x^17 + 13513*x^16 + 38546*x^15 - 9390*x^14 - 99228*x^13 - 41655*x^12 + 132404*x^11 + 111612*x^10 - 85183*x^9 - 111364*x^8 + 19673*x^7 + 51105*x^6 - 272*x^5 - 13063*x^4 - 1099*x^3 + 1539*x^2 + 174*x - 48, -x^24 - 12*x^23 - 38*x^22 + 95*x^21 + 790*x^20 + 738*x^19 - 4855*x^18 - 11474*x^17 + 9543*x^16 + 54503*x^15 + 19098*x^14 - 123905*x^13 - 125731*x^12 + 129387*x^11 + 240610*x^10 - 18901*x^9 - 211107*x^8 - 72660*x^7 + 78307*x^6 + 51562*x^5 - 6830*x^4 - 11593*x^3 - 1440*x^2 + 774*x + 176, -x^24 - 10*x^23 - 17*x^22 + 142*x^21 + 556*x^20 - 423*x^19 - 4808*x^18 - 3156*x^17 + 19298*x^16 + 27850*x^15 - 37669*x^14 - 89701*x^13 + 25243*x^12 + 148577*x^11 + 25254*x^10 - 133847*x^9 - 51445*x^8 + 68247*x^7 + 31838*x^6 - 22519*x^5 - 11560*x^4 + 3658*x^3 + 2058*x^2 - 177*x - 118, x^24 + 12*x^23 + 39*x^22 - 84*x^21 - 759*x^20 - 819*x^19 + 4283*x^18 + 11042*x^17 - 6508*x^16 - 48339*x^15 - 24319*x^14 + 99515*x^13 + 118876*x^12 - 85132*x^11 - 201487*x^10 - 15532*x^9 + 154136*x^8 + 73023*x^7 - 44213*x^6 - 38107*x^5 + 1056*x^4 + 6938*x^3 + 1128*x^2 - 376*x - 92, x^24 + 10*x^23 + 16*x^22 - 153*x^21 - 584*x^20 + 534*x^19 + 5447*x^18 + 3322*x^17 - 23661*x^16 - 34321*x^15 + 49954*x^14 + 123441*x^13 - 32637*x^12 - 227707*x^11 - 60630*x^10 + 221499*x^9 + 130956*x^8 - 101054*x^7 - 89750*x^6 + 13836*x^5 + 22830*x^4 + 476*x^3 - 2256*x^2 - 107*x + 78, x^24 + 12*x^23 + 39*x^22 - 85*x^21 - 769*x^20 - 837*x^19 + 4417*x^18 + 11613*x^17 - 6615*x^16 - 52322*x^15 - 28743*x^14 + 110543*x^13 + 141776*x^12 - 95106*x^11 - 250706*x^10 - 26486*x^9 + 205993*x^8 + 103463*x^7 - 68287*x^6 - 60966*x^5 + 2510*x^4 + 12231*x^3 + 1934*x^2 - 662*x - 152, x^24 + 12*x^23 + 39*x^22 - 84*x^21 - 759*x^20 - 812*x^19 + 4357*x^18 + 11263*x^17 - 6774*x^16 - 50907*x^15 - 27028*x^14 + 108015*x^13 + 137771*x^12 - 91741*x^11 - 246363*x^10 - 32517*x^9 + 201371*x^8 + 110215*x^7 - 63583*x^6 - 63717*x^5 + 1108*x^4 + 13370*x^3 + 2308*x^2 - 871*x - 222, x^24 + 11*x^23 + 26*x^22 - 130*x^21 - 665*x^20 + 119*x^19 + 5328*x^18 + 5327*x^17 - 21066*x^16 - 37429*x^15 + 43338*x^14 + 122923*x^13 - 33758*x^12 - 230077*x^11 - 38053*x^10 + 249192*x^9 + 108028*x^8 - 144472*x^7 - 89742*x^6 + 37166*x^5 + 29212*x^4 - 3902*x^3 - 3985*x^2 + 136*x + 196, x^24 + 11*x^23 + 28*x^22 - 113*x^21 - 656*x^20 - 182*x^19 + 4592*x^18 + 7023*x^17 - 13513*x^16 - 38546*x^15 + 9390*x^14 + 99228*x^13 + 41655*x^12 - 132404*x^11 - 111612*x^10 + 85183*x^9 + 111364*x^8 - 19673*x^7 - 51105*x^6 + 272*x^5 + 13063*x^4 + 1099*x^3 - 1539*x^2 - 174*x + 48, x^24 + 12*x^23 + 38*x^22 - 95*x^21 - 790*x^20 - 738*x^19 + 4855*x^18 + 11474*x^17 - 9543*x^16 - 54503*x^15 - 19098*x^14 + 123905*x^13 + 125731*x^12 - 129387*x^11 - 240610*x^10 + 18901*x^9 + 211107*x^8 + 72660*x^7 - 78307*x^6 - 51562*x^5 + 6830*x^4 + 11593*x^3 + 1440*x^2 - 774*x - 176, x^24 + 10*x^23 + 17*x^22 - 142*x^21 - 556*x^20 + 423*x^19 + 4808*x^18 + 3156*x^17 - 19298*x^16 - 27850*x^15 + 37669*x^14 + 89701*x^13 - 25243*x^12 - 148577*x^11 - 25254*x^10 + 133847*x^9 + 51445*x^8 - 68247*x^7 - 31838*x^6 + 22519*x^5 + 11560*x^4 - 3658*x^3 - 2058*x^2 + 177*x + 118, -x^23 - 11*x^22 - 29*x^21 + 102*x^20 + 625*x^19 + 263*x^18 - 4016*x^17 - 6552*x^16 + 10586*x^15 + 32256*x^14 - 5350*x^13 - 76357*x^12 - 32063*x^11 + 97113*x^10 + 76533*x^9 - 64861*x^8 - 75776*x^7 + 17736*x^6 + 37443*x^5 + 2514*x^4 - 7692*x^3 - 1602*x^2 + 459*x + 122, -x^21 - 11*x^20 - 32*x^19 + 65*x^18 + 484*x^17 + 304*x^16 - 2471*x^15 - 3888*x^14 + 6043*x^13 + 15776*x^12 - 5769*x^11 - 34412*x^10 - 6484*x^9 + 41480*x^8 + 23128*x^7 - 22859*x^6 - 20988*x^5 + 1824*x^4 + 5396*x^3 + 699*x^2 - 424*x - 92, -x^23 - 11*x^22 - 28*x^21 + 112*x^20 + 647*x^19 + 165*x^18 - 4522*x^17 - 6741*x^16 + 13515*x^15 + 37392*x^14 - 10364*x^13 - 97651*x^12 - 40120*x^11 + 131861*x^10 + 114502*x^9 - 81985*x^8 - 119386*x^7 + 9171*x^6 + 54412*x^5 + 9305*x^4 - 10413*x^3 - 2957*x^2 + 649*x + 222, x^23 + 9*x^22 + 7*x^21 - 165*x^20 - 475*x^19 + 838*x^18 + 4927*x^17 + 1151*x^16 - 21893*x^15 - 24742*x^14 + 44285*x^13 + 90219*x^12 - 24122*x^11 - 146207*x^10 - 47831*x^9 + 106154*x^8 + 74373*x^7 - 24829*x^6 - 31846*x^5 - 811*x^4 + 5178*x^3 + 720*x^2 - 329*x - 66, -x^23 - 12*x^22 - 40*x^21 + 72*x^20 + 719*x^19 + 889*x^18 - 3583*x^17 - 10189*x^16 + 3117*x^15 + 38960*x^14 + 27335*x^13 - 65408*x^12 - 96812*x^11 + 31016*x^10 + 128735*x^9 + 42240*x^8 - 66923*x^7 - 52640*x^6 + 2330*x^5 + 14242*x^4 + 4130*x^3 - 550*x^2 - 449*x - 62, -x^23 - 9*x^22 - 7*x^21 + 165*x^20 + 475*x^19 - 838*x^18 - 4927*x^17 - 1151*x^16 + 21893*x^15 + 24742*x^14 - 44285*x^13 - 90219*x^12 + 24122*x^11 + 146207*x^10 + 47831*x^9 - 106154*x^8 - 74373*x^7 + 24829*x^6 + 31846*x^5 + 811*x^4 - 5178*x^3 - 720*x^2 + 329*x + 66, x^21 + 11*x^20 + 31*x^19 - 82*x^18 - 582*x^17 - 463*x^16 + 3044*x^15 + 6436*x^14 - 4599*x^13 - 24237*x^12 - 9119*x^11 + 39175*x^10 + 37885*x^9 - 23071*x^8 - 42285*x^7 - 3138*x^6 + 16246*x^5 + 4763*x^4 - 2095*x^3 - 842*x^2 + 51*x + 30, -x^21 - 11*x^20 - 31*x^19 + 82*x^18 + 582*x^17 + 463*x^16 - 3044*x^15 - 6436*x^14 + 4599*x^13 + 24237*x^12 + 9119*x^11 - 39175*x^10 - 37885*x^9 + 23071*x^8 + 42285*x^7 + 3138*x^6 - 16246*x^5 - 4763*x^4 + 2095*x^3 + 842*x^2 - 51*x - 30, x^21 + 11*x^20 + 32*x^19 - 65*x^18 - 484*x^17 - 304*x^16 + 2471*x^15 + 3888*x^14 - 6043*x^13 - 15776*x^12 + 5769*x^11 + 34412*x^10 + 6484*x^9 - 41480*x^8 - 23128*x^7 + 22859*x^6 + 20988*x^5 - 1824*x^4 - 5396*x^3 - 699*x^2 + 424*x + 92, x^23 + 12*x^22 + 40*x^21 - 72*x^20 - 719*x^19 - 889*x^18 + 3583*x^17 + 10189*x^16 - 3117*x^15 - 38960*x^14 - 27335*x^13 + 65408*x^12 + 96812*x^11 - 31016*x^10 - 128735*x^9 - 42240*x^8 + 66923*x^7 + 52640*x^6 - 2330*x^5 - 14242*x^4 - 4130*x^3 + 550*x^2 + 449*x + 62, x^23 + 11*x^22 + 29*x^21 - 102*x^20 - 625*x^19 - 263*x^18 + 4016*x^17 + 6552*x^16 - 10586*x^15 - 32256*x^14 + 5350*x^13 + 76357*x^12 + 32063*x^11 - 97113*x^10 - 76533*x^9 + 64861*x^8 + 75776*x^7 - 17736*x^6 - 37443*x^5 - 2514*x^4 + 7692*x^3 + 1602*x^2 - 459*x - 122, x^23 + 11*x^22 + 28*x^21 - 112*x^20 - 647*x^19 - 165*x^18 + 4522*x^17 + 6741*x^16 - 13515*x^15 - 37392*x^14 + 10364*x^13 + 97651*x^12 + 40120*x^11 - 131861*x^10 - 114502*x^9 + 81985*x^8 + 119386*x^7 - 9171*x^6 - 54412*x^5 - 9305*x^4 + 10413*x^3 + 2957*x^2 - 649*x - 222, -x^22 - 12*x^21 - 42*x^20 + 51*x^19 + 664*x^18 + 1045*x^17 - 2581*x^16 - 9480*x^15 - 1837*x^14 + 28836*x^13 + 33356*x^12 - 30056*x^11 - 77060*x^10 - 14814*x^9 + 65356*x^8 + 45423*x^7 - 13108*x^6 - 21009*x^5 - 2668*x^4 + 2937*x^3 + 791*x^2 - 81*x - 30, -x^20 - 9*x^19 - 14*x^18 + 93*x^17 + 298*x^16 - 292*x^15 - 1887*x^14 - 114*x^13 + 6271*x^12 + 3234*x^11 - 12237*x^10 - 9938*x^9 + 13392*x^8 + 14696*x^7 - 6264*x^6 - 10331*x^5 - 326*x^4 + 2476*x^3 + 444*x^2 - 189*x - 46, 0, 0, -x^22 - 12*x^21 - 40*x^20 + 70*x^19 + 700*x^18 + 853*x^17 - 3391*x^16 - 9379*x^15 + 3016*x^14 + 34107*x^13 + 22064*x^12 - 54116*x^11 - 72752*x^10 + 26708*x^9 + 87213*x^8 + 20383*x^7 - 41883*x^6 - 23865*x^5 + 5186*x^4 + 6388*x^3 + 679*x^2 - 438*x - 92, x^22 + 12*x^21 + 42*x^20 - 51*x^19 - 664*x^18 - 1045*x^17 + 2581*x^16 + 9480*x^15 + 1837*x^14 - 28836*x^13 - 33356*x^12 + 30056*x^11 + 77060*x^10 + 14814*x^9 - 65356*x^8 - 45423*x^7 + 13108*x^6 + 21009*x^5 + 2668*x^4 - 2937*x^3 - 791*x^2 + 81*x + 30, x^20 + 9*x^19 + 14*x^18 - 93*x^17 - 298*x^16 + 292*x^15 + 1887*x^14 + 114*x^13 - 6271*x^12 - 3234*x^11 + 12237*x^10 + 9938*x^9 - 13392*x^8 - 14696*x^7 + 6264*x^6 + 10331*x^5 + 326*x^4 - 2476*x^3 - 444*x^2 + 189*x + 46, x^22 + 12*x^21 + 40*x^20 - 70*x^19 - 700*x^18 - 853*x^17 + 3391*x^16 + 9379*x^15 - 3016*x^14 - 34107*x^13 - 22064*x^12 + 54116*x^11 + 72752*x^10 - 26708*x^9 - 87213*x^8 - 20383*x^7 + 41883*x^6 + 23865*x^5 - 5186*x^4 - 6388*x^3 - 679*x^2 + 438*x + 92]>,
         rec<Eigen |
           DefiningPolynomial := x^33 - 10*x^32 + 310*x^30 - 724*x^29 - 3857*x^28 + 15216*x^27 + 22188*x^26 - 156015*x^25 - 20742*x^24 + 970431*x^23 - 560510*x^22 - 3936270*x^21 + 4231029*x^20 + 10631384*x^19 - 16202400*x^18 - 18796337*x^17 + 38996938*x^16 + 20056522*x^15 - 62014222*x^14 - 8887037*x^13 + 65273667*x^12 - 6032806*x^11 - 44099270*x^10 + 11245891*x^9 + 17744280*x^8 - 6811772*x^7 - 3558226*x^6 + 1896980*x^5 + 170601*x^4 - 197203*x^3 + 21198*x^2 + 2347*x - 354,
           Coordinates        := [-2*x^32 + 20*x^31 - 4*x^30 - 580*x^29 + 1432*x^28 + 6634*x^27 - 27612*x^26 - 33150*x^25 + 262372*x^24 - 5176*x^23 - 1507674*x^22 + 1041904*x^21 + 5605942*x^20 - 6604380*x^19 - 13705352*x^18 + 22534158*x^17 + 21453690*x^16 - 48657168*x^15 - 19223996*x^14 + 69099140*x^13 + 5010796*x^12 - 64316194*x^11 + 8281946*x^10 + 37933256*x^9 - 9841760*x^8 - 13167520*x^7 + 4604268*x^6 + 2300214*x^5 - 994782*x^4 - 126620*x^3 + 81084*x^2 - 4850*x - 460, x^32 - 12*x^31 + 22*x^30 + 282*x^29 - 1256*x^28 - 1907*x^27 + 19419*x^26 - 8254*x^25 - 154516*x^24 + 219182*x^23 + 714279*x^22 - 1654251*x^21 - 1874132*x^20 + 7080898*x^19 + 1917355*x^18 - 19336571*x^17 + 3941509*x^16 + 34773108*x^15 - 17852654*x^14 - 40931209*x^13 + 30610172*x^12 + 30266264*x^11 - 29273615*x^10 - 12641617*x^9 + 16081400*x^8 + 2074122*x^7 - 4710253*x^6 + 249482*x^5 + 604682*x^4 - 93351*x^3 - 21769*x^2 + 4542*x - 124, x^32 - 12*x^31 + 22*x^30 + 282*x^29 - 1256*x^28 - 1907*x^27 + 19419*x^26 - 8254*x^25 - 154516*x^24 + 219182*x^23 + 714279*x^22 - 1654251*x^21 - 1874132*x^20 + 7080898*x^19 + 1917355*x^18 - 19336571*x^17 + 3941509*x^16 + 34773108*x^15 - 17852654*x^14 - 40931209*x^13 + 30610172*x^12 + 30266264*x^11 - 29273615*x^10 - 12641617*x^9 + 16081400*x^8 + 2074122*x^7 - 4710253*x^6 + 249482*x^5 + 604682*x^4 - 93351*x^3 - 21769*x^2 + 4542*x - 124, x^31 - 12*x^30 + 24*x^29 + 259*x^28 - 1216*x^27 - 1409*x^26 + 17309*x^25 - 11312*x^24 - 124979*x^23 + 207001*x^22 + 505009*x^21 - 1370955*x^20 - 1030953*x^19 + 5223759*x^18 + 55862*x^17 - 12582753*x^16 + 5328865*x^15 + 19556033*x^14 - 14375935*x^13 - 19221864*x^12 + 19601962*x^11 + 11084452*x^10 - 15528941*x^9 - 2886314*x^8 + 7070024*x^7 - 264736*x^6 - 1663596*x^5 + 313133*x^4 + 145628*x^3 - 45790*x^2 + 1344*x + 344, x^31 - 12*x^30 + 24*x^29 + 259*x^28 - 1215*x^27 - 1421*x^26 + 17340*x^25 - 11136*x^24 - 125997*x^23 + 206932*x^22 + 515225*x^21 - 1385118*x^20 - 1078696*x^19 + 5347422*x^18 + 147826*x^17 - 13094767*x^16 + 5419127*x^15 + 20750976*x^14 - 15225996*x^13 - 20796335*x^12 + 21473423*x^11 + 12091255*x^10 - 17568806*x^9 - 2942084*x^8 + 8199015*x^7 - 531824*x^6 - 1928916*x^5 + 417697*x^4 + 156426*x^3 - 51950*x^2 + 1035*x + 470, x^31 - 12*x^30 + 24*x^29 + 259*x^28 - 1216*x^27 - 1409*x^26 + 17309*x^25 - 11312*x^24 - 124979*x^23 + 207001*x^22 + 505009*x^21 - 1370955*x^20 - 1030953*x^19 + 5223759*x^18 + 55862*x^17 - 12582753*x^16 + 5328865*x^15 + 19556033*x^14 - 14375935*x^13 - 19221864*x^12 + 19601962*x^11 + 11084452*x^10 - 15528941*x^9 - 2886314*x^8 + 7070024*x^7 - 264736*x^6 - 1663596*x^5 + 313133*x^4 + 145628*x^3 - 45790*x^2 + 1344*x + 344, x^31 - 12*x^30 + 24*x^29 + 259*x^28 - 1215*x^27 - 1421*x^26 + 17340*x^25 - 11136*x^24 - 125997*x^23 + 206932*x^22 + 515225*x^21 - 1385118*x^20 - 1078696*x^19 + 5347422*x^18 + 147826*x^17 - 13094767*x^16 + 5419127*x^15 + 20750976*x^14 - 15225996*x^13 - 20796335*x^12 + 21473423*x^11 + 12091255*x^10 - 17568806*x^9 - 2942084*x^8 + 8199015*x^7 - 531824*x^6 - 1928916*x^5 + 417697*x^4 + 156426*x^3 - 51950*x^2 + 1035*x + 470, x^30 - 12*x^29 + 26*x^28 + 236*x^27 - 1172*x^26 - 953*x^25 + 15254*x^24 - 13496*x^23 - 98562*x^22 + 189245*x^21 + 336330*x^20 - 1094555*x^19 - 447027*x^18 + 3645220*x^17 - 883695*x^16 - 7493161*x^15 + 4937385*x^14 + 9476051*x^13 - 9601979*x^12 - 6871520*x^11 + 10124932*x^10 + 2171251*x^9 - 6009477*x^8 + 297747*x^7 + 1866529*x^6 - 372041*x^5 - 247325*x^4 + 69029*x^3 + 8628*x^2 - 3229*x + 176, x^30 - 11*x^29 + 14*x^28 + 262*x^27 - 938*x^26 - 2105*x^25 + 14283*x^24 + 1315*x^23 - 110708*x^22 + 94051*x^21 + 506849*x^20 - 762584*x^19 - 1414466*x^18 + 3108598*x^17 + 2271051*x^16 - 7723914*x^15 - 1460666*x^14 + 12233294*x^13 - 1406231*x^12 - 12310292*x^11 + 3619742*x^10 + 7584052*x^9 - 3001899*x^8 - 2636605*x^7 + 1180128*x^6 + 435692*x^5 - 211729*x^4 - 21468*x^3 + 14485*x^2 - 969*x - 52, x^30 - 12*x^29 + 27*x^28 + 224*x^27 - 1142*x^26 - 766*x^25 + 14215*x^24 - 13749*x^23 - 87560*x^22 + 175859*x^21 + 280077*x^20 - 966504*x^19 - 308257*x^18 + 3072256*x^17 - 938644*x^16 - 6003717*x^15 + 4327235*x^14 + 7111455*x^13 - 7839582*x^12 - 4601216*x^11 + 7773484*x^10 + 941395*x^9 - 4283721*x^8 + 596649*x^7 + 1179771*x^6 - 364138*x^5 - 117092*x^4 + 54455*x^3 + 944*x^2 - 2275*x + 212, x^30 - 11*x^29 + 14*x^28 + 262*x^27 - 937*x^26 - 2116*x^25 + 14304*x^24 + 1499*x^23 - 111494*x^22 + 93274*x^21 + 515359*x^20 - 766972*x^19 - 1461272*x^18 + 3169548*x^17 + 2416262*x^16 - 8018415*x^15 - 1700577*x^14 + 13023419*x^13 - 1297167*x^12 - 13573793*x^11 + 3931325*x^10 + 8758138*x^9 - 3598664*x^8 - 3202595*x^7 + 1601566*x^6 + 532353*x^5 - 331164*x^4 - 13054*x^3 + 21860*x^2 - 1797*x - 88, x^30 - 11*x^29 + 14*x^28 + 262*x^27 - 938*x^26 - 2105*x^25 + 14283*x^24 + 1315*x^23 - 110708*x^22 + 94051*x^21 + 506849*x^20 - 762584*x^19 - 1414466*x^18 + 3108598*x^17 + 2271051*x^16 - 7723914*x^15 - 1460666*x^14 + 12233294*x^13 - 1406231*x^12 - 12310292*x^11 + 3619742*x^10 + 7584052*x^9 - 3001899*x^8 - 2636605*x^7 + 1180128*x^6 + 435692*x^5 - 211729*x^4 - 21468*x^3 + 14485*x^2 - 969*x - 52, x^30 - 12*x^29 + 26*x^28 + 236*x^27 - 1172*x^26 - 953*x^25 + 15254*x^24 - 13496*x^23 - 98562*x^22 + 189245*x^21 + 336330*x^20 - 1094555*x^19 - 447027*x^18 + 3645220*x^17 - 883695*x^16 - 7493161*x^15 + 4937385*x^14 + 9476051*x^13 - 9601979*x^12 - 6871520*x^11 + 10124932*x^10 + 2171251*x^9 - 6009477*x^8 + 297747*x^7 + 1866529*x^6 - 372041*x^5 - 247325*x^4 + 69029*x^3 + 8628*x^2 - 3229*x + 176, x^30 - 12*x^29 + 27*x^28 + 224*x^27 - 1142*x^26 - 766*x^25 + 14215*x^24 - 13749*x^23 - 87560*x^22 + 175859*x^21 + 280077*x^20 - 966504*x^19 - 308257*x^18 + 3072256*x^17 - 938644*x^16 - 6003717*x^15 + 4327235*x^14 + 7111455*x^13 - 7839582*x^12 - 4601216*x^11 + 7773484*x^10 + 941395*x^9 - 4283721*x^8 + 596649*x^7 + 1179771*x^6 - 364138*x^5 - 117092*x^4 + 54455*x^3 + 944*x^2 - 2275*x + 212, x^30 - 11*x^29 + 14*x^28 + 262*x^27 - 937*x^26 - 2116*x^25 + 14304*x^24 + 1499*x^23 - 111494*x^22 + 93274*x^21 + 515359*x^20 - 766972*x^19 - 1461272*x^18 + 3169548*x^17 + 2416262*x^16 - 8018415*x^15 - 1700577*x^14 + 13023419*x^13 - 1297167*x^12 - 13573793*x^11 + 3931325*x^10 + 8758138*x^9 - 3598664*x^8 - 3202595*x^7 + 1601566*x^6 + 532353*x^5 - 331164*x^4 - 13054*x^3 + 21860*x^2 - 1797*x - 88, x^29 - 11*x^28 + 16*x^27 + 243*x^26 - 934*x^25 - 1613*x^24 + 13101*x^23 - 3440*x^22 - 91203*x^21 + 111523*x^20 + 354742*x^19 - 730227*x^18 - 733033*x^17 + 2545334*x^16 + 420118*x^15 - 5332299*x^14 + 1561549*x^13 + 6798548*x^12 - 4126797*x^11 - 4990632*x^10 + 4504829*x^9 + 1707170*x^8 - 2476575*x^7 + 39449*x^6 + 607710*x^5 - 165585*x^4 - 29977*x^3 + 21260*x^2 - 3719*x + 224, x^29 - 12*x^28 + 28*x^27 + 213*x^26 - 1121*x^25 - 571*x^24 + 13316*x^23 - 14316*x^22 - 77476*x^21 + 164877*x^20 + 229184*x^19 - 848312*x^18 - 206524*x^17 + 2544258*x^16 - 811598*x^15 - 4747683*x^14 + 3212407*x^13 + 5551796*x^12 - 5350233*x^11 - 3922569*x^10 + 5014635*x^9 + 1476891*x^8 - 2726920*x^7 - 146754*x^6 + 808561*x^5 - 78519*x^4 - 107023*x^3 + 21301*x^2 + 2551*x - 568, x^29 - 11*x^28 + 16*x^27 + 242*x^26 - 921*x^25 - 1656*x^24 + 12956*x^23 - 2242*x^22 - 92211*x^21 + 101522*x^20 + 379071*x^19 - 700695*x^18 - 893409*x^17 + 2587788*x^16 + 934383*x^15 - 5862073*x^14 + 736410*x^13 + 8317803*x^12 - 3671928*x^11 - 7120142*x^10 + 4942990*x^9 + 3251608*x^8 - 3253291*x^7 - 479700*x^6 + 1016175*x^5 - 122872*x^4 - 109675*x^3 + 30336*x^2 - 427*x - 292, 2*x^29 - 24*x^28 + 56*x^27 + 424*x^26 - 2224*x^25 - 1152*x^24 + 26288*x^23 - 27868*x^22 - 152262*x^21 + 320834*x^20 + 446726*x^19 - 1641858*x^18 - 380622*x^17 + 4866774*x^16 - 1681168*x^15 - 8851104*x^14 + 6444348*x^13 + 9770884*x^12 - 10463508*x^11 - 6007440*x^10 + 9364928*x^9 + 1416728*x^8 - 4657392*x^7 + 381862*x^6 + 1158074*x^5 - 261426*x^4 - 103076*x^3 + 33426*x^2 + 14*x - 400, x^29 - 11*x^28 + 17*x^27 + 231*x^26 - 901*x^25 - 1461*x^24 + 12149*x^23 - 3205*x^22 - 82886*x^21 + 97780*x^20 + 323713*x^19 - 633308*x^18 - 705848*x^17 + 2224276*x^16 + 589276*x^15 - 4788417*x^14 + 942066*x^13 + 6424235*x^12 - 3236431*x^11 - 5142420*x^10 + 3920157*x^9 + 2122005*x^8 - 2361852*x^7 - 214176*x^6 + 653750*x^5 - 101816*x^4 - 52406*x^3 + 16249*x^2 - 837*x - 70, x^29 - 11*x^28 + 16*x^27 + 242*x^26 - 920*x^25 - 1669*x^24 + 13004*x^23 - 2164*x^22 - 93140*x^21 + 102787*x^20 + 384396*x^19 - 716602*x^18 - 901112*x^17 + 2660090*x^16 + 898711*x^15 - 6026980*x^14 + 905410*x^13 + 8519709*x^12 - 3968305*x^11 - 7264442*x^10 + 5212004*x^9 + 3338153*x^8 - 3394854*x^7 - 537389*x^6 + 1065399*x^5 - 99587*x^4 - 121512*x^3 + 28293*x^2 + 674*x - 382, x^29 - 11*x^28 + 16*x^27 + 242*x^26 - 921*x^25 - 1656*x^24 + 12956*x^23 - 2242*x^22 - 92211*x^21 + 101522*x^20 + 379071*x^19 - 700695*x^18 - 893409*x^17 + 2587788*x^16 + 934383*x^15 - 5862073*x^14 + 736410*x^13 + 8317803*x^12 - 3671928*x^11 - 7120142*x^10 + 4942990*x^9 + 3251608*x^8 - 3253291*x^7 - 479700*x^6 + 1016175*x^5 - 122872*x^4 - 109675*x^3 + 30336*x^2 - 427*x - 292, x^29 - 11*x^28 + 16*x^27 + 243*x^26 - 934*x^25 - 1613*x^24 + 13101*x^23 - 3440*x^22 - 91203*x^21 + 111523*x^20 + 354742*x^19 - 730227*x^18 - 733033*x^17 + 2545334*x^16 + 420118*x^15 - 5332299*x^14 + 1561549*x^13 + 6798548*x^12 - 4126797*x^11 - 4990632*x^10 + 4504829*x^9 + 1707170*x^8 - 2476575*x^7 + 39449*x^6 + 607710*x^5 - 165585*x^4 - 29977*x^3 + 21260*x^2 - 3719*x + 224, x^29 - 12*x^28 + 28*x^27 + 213*x^26 - 1121*x^25 - 571*x^24 + 13316*x^23 - 14316*x^22 - 77476*x^21 + 164877*x^20 + 229184*x^19 - 848312*x^18 - 206524*x^17 + 2544258*x^16 - 811598*x^15 - 4747683*x^14 + 3212407*x^13 + 5551796*x^12 - 5350233*x^11 - 3922569*x^10 + 5014635*x^9 + 1476891*x^8 - 2726920*x^7 - 146754*x^6 + 808561*x^5 - 78519*x^4 - 107023*x^3 + 21301*x^2 + 2551*x - 568, x^29 - 11*x^28 + 17*x^27 + 231*x^26 - 901*x^25 - 1461*x^24 + 12149*x^23 - 3205*x^22 - 82886*x^21 + 97780*x^20 + 323713*x^19 - 633308*x^18 - 705848*x^17 + 2224276*x^16 + 589276*x^15 - 4788417*x^14 + 942066*x^13 + 6424235*x^12 - 3236431*x^11 - 5142420*x^10 + 3920157*x^9 + 2122005*x^8 - 2361852*x^7 - 214176*x^6 + 653750*x^5 - 101816*x^4 - 52406*x^3 + 16249*x^2 - 837*x - 70, x^29 - 11*x^28 + 16*x^27 + 242*x^26 - 920*x^25 - 1669*x^24 + 13004*x^23 - 2164*x^22 - 93140*x^21 + 102787*x^20 + 384396*x^19 - 716602*x^18 - 901112*x^17 + 2660090*x^16 + 898711*x^15 - 6026980*x^14 + 905410*x^13 + 8519709*x^12 - 3968305*x^11 - 7264442*x^10 + 5212004*x^9 + 3338153*x^8 - 3394854*x^7 - 537389*x^6 + 1065399*x^5 - 99587*x^4 - 121512*x^3 + 28293*x^2 + 674*x - 382, x^28 - 10*x^27 + 7*x^26 + 241*x^25 - 692*x^24 - 2093*x^23 + 10564*x^22 + 5164*x^21 - 79368*x^20 + 40615*x^19 + 347302*x^18 - 394038*x^17 - 920463*x^16 + 1571586*x^15 + 1412581*x^14 - 3619569*x^13 - 949053*x^12 + 5117319*x^11 - 477683*x^10 - 4384238*x^9 + 1410897*x^8 + 2103554*x^7 - 1044643*x^6 - 447294*x^5 + 319164*x^4 + 4637*x^3 - 28596*x^2 + 4290*x - 106, x^28 - 12*x^27 + 31*x^26 + 180*x^25 - 1058*x^24 + 10774*x^22 - 16367*x^21 - 49317*x^20 + 142361*x^19 + 79237*x^18 - 585356*x^17 + 197551*x^16 + 1334376*x^15 - 1187435*x^14 - 1665278*x^13 + 2429202*x^12 + 908874*x^11 - 2567372*x^10 + 169536*x^9 + 1421543*x^8 - 446731*x^7 - 355077*x^6 + 176088*x^5 + 21778*x^4 - 17928*x^3 + 126*x^2 + 381*x - 16, x^28 - 11*x^27 + 20*x^26 + 202*x^25 - 880*x^24 - 820*x^23 + 10312*x^22 - 8001*x^21 - 57829*x^20 + 103882*x^19 + 161266*x^18 - 515606*x^17 - 125454*x^16 + 1411102*x^15 - 537543*x^14 - 2258977*x^13 + 1822544*x^12 + 2040077*x^11 - 2542925*x^10 - 863896*x^9 + 1861014*x^8 + 2230*x^7 - 702891*x^6 + 117434*x^5 + 118524*x^4 - 29800*x^3 - 6203*x^2 + 2280*x - 160, x^28 - 10*x^27 + 7*x^26 + 240*x^25 - 684*x^24 - 2079*x^23 + 10282*x^22 + 5596*x^21 - 76339*x^20 + 31420*x^19 + 335332*x^18 - 324191*x^17 - 924988*x^16 + 1299169*x^15 + 1604558*x^14 - 3026797*x^13 - 1622452*x^12 + 4402007*x^11 + 642352*x^10 - 3951205*x^9 + 419562*x^8 + 2026273*x^7 - 598211*x^6 - 480473*x^5 + 238738*x^4 + 14210*x^3 - 27628*x^2 + 6200*x - 454, x^28 - 10*x^27 + 10*x^26 + 209*x^25 - 643*x^24 - 1478*x^23 + 8215*x^22 + 1875*x^21 - 51439*x^20 + 30469*x^19 + 185725*x^18 - 196619*x^17 - 411680*x^16 + 562672*x^15 + 592518*x^14 - 888694*x^13 - 643245*x^12 + 788143*x^11 + 680896*x^10 - 381239*x^9 - 670954*x^8 + 130632*x^7 + 434258*x^6 - 78091*x^5 - 136684*x^4 + 37594*x^3 + 12716*x^2 - 5523*x + 506, 2*x^28 - 24*x^27 + 60*x^26 + 380*x^25 - 2142*x^24 - 370*x^23 + 22858*x^22 - 30884*x^21 - 113428*x^20 + 291150*x^19 + 235892*x^18 - 1277738*x^17 + 196120*x^16 + 3156330*x^15 - 2210122*x^14 - 4452026*x^13 + 5215656*x^12 + 3194992*x^11 - 6182040*x^10 - 466062*x^9 + 3910050*x^8 - 811436*x^7 - 1201468*x^6 + 466850*x^5 + 131108*x^4 - 75484*x^3 - 1874*x^2 + 4150*x - 424, x^28 - 9*x^27 - 2*x^26 + 239*x^25 - 453*x^24 - 2557*x^23 + 8114*x^22 + 13124*x^21 - 67887*x^20 - 21546*x^19 + 332636*x^18 - 114947*x^17 - 1017414*x^16 + 795182*x^15 + 1947130*x^14 - 2248769*x^13 - 2195397*x^12 + 3585593*x^11 + 1137305*x^10 - 3324219*x^9 + 214699*x^8 + 1665750*x^7 - 565470*x^6 - 345388*x^5 + 230271*x^4 - 8229*x^3 - 23041*x^2 + 5924*x - 436, x^28 - 10*x^27 + 8*x^26 + 227*x^25 - 639*x^24 - 1964*x^23 + 9233*x^22 + 6553*x^21 - 68431*x^20 + 13281*x^19 + 310475*x^18 - 213981*x^17 - 917638*x^16 + 938960*x^15 + 1791848*x^14 - 2317118*x^13 - 2259070*x^12 + 3535973*x^11 + 1708375*x^10 - 3329445*x^9 - 627929*x^8 + 1830989*x^7 + 2671*x^6 - 522792*x^5 + 60872*x^4 + 61959*x^3 - 9682*x^2 - 2556*x + 434, x^28 - 10*x^27 + 9*x^26 + 220*x^25 - 661*x^24 - 1699*x^23 + 9121*x^22 + 2960*x^21 - 62532*x^20 + 37089*x^19 + 249685*x^18 - 295477*x^17 - 599913*x^16 + 1052475*x^15 + 814139*x^14 - 2186592*x^13 - 412068*x^12 + 2773378*x^11 - 427696*x^10 - 2090540*x^9 + 831739*x^8 + 834217*x^7 - 538838*x^6 - 109148*x^5 + 148780*x^4 - 20612*x^3 - 11504*x^2 + 3971*x - 346, x^28 - 10*x^27 + 7*x^26 + 240*x^25 - 684*x^24 - 2079*x^23 + 10282*x^22 + 5596*x^21 - 76339*x^20 + 31420*x^19 + 335332*x^18 - 324191*x^17 - 924988*x^16 + 1299169*x^15 + 1604558*x^14 - 3026797*x^13 - 1622452*x^12 + 4402007*x^11 + 642352*x^10 - 3951205*x^9 + 419562*x^8 + 2026273*x^7 - 598211*x^6 - 480473*x^5 + 238738*x^4 + 14210*x^3 - 27628*x^2 + 6200*x - 454, x^28 - 10*x^27 + 10*x^26 + 209*x^25 - 643*x^24 - 1478*x^23 + 8215*x^22 + 1875*x^21 - 51439*x^20 + 30469*x^19 + 185725*x^18 - 196619*x^17 - 411680*x^16 + 562672*x^15 + 592518*x^14 - 888694*x^13 - 643245*x^12 + 788143*x^11 + 680896*x^10 - 381239*x^9 - 670954*x^8 + 130632*x^7 + 434258*x^6 - 78091*x^5 - 136684*x^4 + 37594*x^3 + 12716*x^2 - 5523*x + 506, x^28 - 10*x^27 + 7*x^26 + 241*x^25 - 692*x^24 - 2093*x^23 + 10564*x^22 + 5164*x^21 - 79368*x^20 + 40615*x^19 + 347302*x^18 - 394038*x^17 - 920463*x^16 + 1571586*x^15 + 1412581*x^14 - 3619569*x^13 - 949053*x^12 + 5117319*x^11 - 477683*x^10 - 4384238*x^9 + 1410897*x^8 + 2103554*x^7 - 1044643*x^6 - 447294*x^5 + 319164*x^4 + 4637*x^3 - 28596*x^2 + 4290*x - 106, x^28 - 12*x^27 + 31*x^26 + 180*x^25 - 1058*x^24 + 10774*x^22 - 16367*x^21 - 49317*x^20 + 142361*x^19 + 79237*x^18 - 585356*x^17 + 197551*x^16 + 1334376*x^15 - 1187435*x^14 - 1665278*x^13 + 2429202*x^12 + 908874*x^11 - 2567372*x^10 + 169536*x^9 + 1421543*x^8 - 446731*x^7 - 355077*x^6 + 176088*x^5 + 21778*x^4 - 17928*x^3 + 126*x^2 + 381*x - 16, x^28 - 11*x^27 + 20*x^26 + 202*x^25 - 880*x^24 - 820*x^23 + 10312*x^22 - 8001*x^21 - 57829*x^20 + 103882*x^19 + 161266*x^18 - 515606*x^17 - 125454*x^16 + 1411102*x^15 - 537543*x^14 - 2258977*x^13 + 1822544*x^12 + 2040077*x^11 - 2542925*x^10 - 863896*x^9 + 1861014*x^8 + 2230*x^7 - 702891*x^6 + 117434*x^5 + 118524*x^4 - 29800*x^3 - 6203*x^2 + 2280*x - 160, x^28 - 9*x^27 - 2*x^26 + 239*x^25 - 453*x^24 - 2557*x^23 + 8114*x^22 + 13124*x^21 - 67887*x^20 - 21546*x^19 + 332636*x^18 - 114947*x^17 - 1017414*x^16 + 795182*x^15 + 1947130*x^14 - 2248769*x^13 - 2195397*x^12 + 3585593*x^11 + 1137305*x^10 - 3324219*x^9 + 214699*x^8 + 1665750*x^7 - 565470*x^6 - 345388*x^5 + 230271*x^4 - 8229*x^3 - 23041*x^2 + 5924*x - 436, x^28 - 10*x^27 + 8*x^26 + 227*x^25 - 639*x^24 - 1964*x^23 + 9233*x^22 + 6553*x^21 - 68431*x^20 + 13281*x^19 + 310475*x^18 - 213981*x^17 - 917638*x^16 + 938960*x^15 + 1791848*x^14 - 2317118*x^13 - 2259070*x^12 + 3535973*x^11 + 1708375*x^10 - 3329445*x^9 - 627929*x^8 + 1830989*x^7 + 2671*x^6 - 522792*x^5 + 60872*x^4 + 61959*x^3 - 9682*x^2 - 2556*x + 434, x^28 - 10*x^27 + 9*x^26 + 220*x^25 - 661*x^24 - 1699*x^23 + 9121*x^22 + 2960*x^21 - 62532*x^20 + 37089*x^19 + 249685*x^18 - 295477*x^17 - 599913*x^16 + 1052475*x^15 + 814139*x^14 - 2186592*x^13 - 412068*x^12 + 2773378*x^11 - 427696*x^10 - 2090540*x^9 + 831739*x^8 + 834217*x^7 - 538838*x^6 - 109148*x^5 + 148780*x^4 - 20612*x^3 - 11504*x^2 + 3971*x - 346, x^27 - 9*x^26 + x^25 + 212*x^24 - 444*x^23 - 1960*x^22 + 6671*x^21 + 8460*x^20 - 48055*x^19 - 11113*x^18 + 206608*x^17 - 53285*x^16 - 579123*x^15 + 300149*x^14 + 1108967*x^13 - 732176*x^12 - 1468205*x^11 + 1084077*x^10 + 1290306*x^9 - 1014513*x^8 - 671622*x^7 + 557900*x^6 + 158748*x^5 - 148942*x^4 - 3256*x^3 + 11626*x^2 - 677*x - 118, 2*x^27 - 22*x^26 + 41*x^25 + 389*x^24 - 1692*x^23 - 1565*x^22 + 19113*x^21 - 13167*x^20 - 105341*x^19 + 167289*x^18 + 307665*x^17 - 796142*x^16 - 406032*x^15 + 2105304*x^14 - 137683*x^13 - 3361284*x^12 + 1274673*x^11 + 3292645*x^10 - 1888728*x^9 - 1926726*x^8 + 1371252*x^7 + 612808*x^6 - 524054*x^5 - 77192*x^4 + 97620*x^3 - 3221*x^2 - 6440*x + 836, x^27 - 11*x^26 + 22*x^25 + 182*x^24 - 850*x^23 - 486*x^22 + 9046*x^21 - 9349*x^20 - 44606*x^19 + 95667*x^18 + 96410*x^17 - 413740*x^16 + 30195*x^15 + 977101*x^14 - 645522*x^13 - 1281638*x^12 + 1508188*x^11 + 799460*x^10 - 1704364*x^9 + 3104*x^8 + 1000591*x^7 - 289966*x^6 - 262729*x^5 + 137783*x^4 + 9529*x^3 - 17699*x^2 + 3873*x - 268, 3*x^27 - 31*x^26 + 39*x^25 + 631*x^24 - 2184*x^23 - 3997*x^22 + 27648*x^21 - 3166*x^20 - 171800*x^19 + 171440*x^18 + 596676*x^17 - 1007702*x^16 - 1137047*x^15 + 3026249*x^14 + 869114*x^13 - 5334263*x^12 + 767231*x^11 + 5601598*x^10 - 2289725*x^9 - 3335675*x^8 + 2021799*x^7 + 967079*x^6 - 807471*x^5 - 69805*x^4 + 130620*x^3 - 12818*x^2 - 4991*x + 728, x^27 - 10*x^26 + 10*x^25 + 216*x^24 - 710*x^23 - 1395*x^22 + 9319*x^21 - 1671*x^20 - 57020*x^19 + 66029*x^18 + 182402*x^17 - 370981*x^16 - 268785*x^15 + 1043428*x^14 - 41744*x^13 - 1656726*x^12 + 778307*x^11 + 1460562*x^10 - 1193983*x^9 - 597406*x^8 + 824091*x^7 - 3444*x^6 - 254645*x^5 + 76210*x^4 + 20088*x^3 - 14454*x^2 + 2529*x - 142, 3*x^27 - 31*x^26 + 39*x^25 + 631*x^24 - 2184*x^23 - 3997*x^22 + 27648*x^21 - 3166*x^20 - 171800*x^19 + 171440*x^18 + 596676*x^17 - 1007702*x^16 - 1137047*x^15 + 3026249*x^14 + 869114*x^13 - 5334263*x^12 + 767231*x^11 + 5601598*x^10 - 2289725*x^9 - 3335675*x^8 + 2021799*x^7 + 967079*x^6 - 807471*x^5 - 69805*x^4 + 130620*x^3 - 12818*x^2 - 4991*x + 728, 2*x^27 - 22*x^26 + 41*x^25 + 391*x^24 - 1715*x^23 - 1508*x^22 + 19417*x^21 - 14842*x^20 - 105417*x^19 + 182060*x^18 + 288371*x^17 - 855222*x^16 - 264477*x^15 + 2199539*x^14 - 614346*x^13 - 3287946*x^12 + 2140734*x^11 + 2770689*x^10 - 2727439*x^9 - 1114082*x^8 + 1727962*x^7 + 42494*x^6 - 513483*x^5 + 92971*x^4 + 50601*x^3 - 14638*x^2 - 219*x + 200, 2*x^27 - 22*x^26 + 41*x^25 + 391*x^24 - 1715*x^23 - 1508*x^22 + 19417*x^21 - 14842*x^20 - 105417*x^19 + 182060*x^18 + 288371*x^17 - 855222*x^16 - 264477*x^15 + 2199539*x^14 - 614346*x^13 - 3287946*x^12 + 2140734*x^11 + 2770689*x^10 - 2727439*x^9 - 1114082*x^8 + 1727962*x^7 + 42494*x^6 - 513483*x^5 + 92971*x^4 + 50601*x^3 - 14638*x^2 - 219*x + 200, 2*x^27 - 22*x^26 + 41*x^25 + 389*x^24 - 1692*x^23 - 1565*x^22 + 19113*x^21 - 13167*x^20 - 105341*x^19 + 167289*x^18 + 307665*x^17 - 796142*x^16 - 406032*x^15 + 2105304*x^14 - 137683*x^13 - 3361284*x^12 + 1274673*x^11 + 3292645*x^10 - 1888728*x^9 - 1926726*x^8 + 1371252*x^7 + 612808*x^6 - 524054*x^5 - 77192*x^4 + 97620*x^3 - 3221*x^2 - 6440*x + 836, x^27 - 10*x^26 + 10*x^25 + 216*x^24 - 710*x^23 - 1395*x^22 + 9319*x^21 - 1671*x^20 - 57020*x^19 + 66029*x^18 + 182402*x^17 - 370981*x^16 - 268785*x^15 + 1043428*x^14 - 41744*x^13 - 1656726*x^12 + 778307*x^11 + 1460562*x^10 - 1193983*x^9 - 597406*x^8 + 824091*x^7 - 3444*x^6 - 254645*x^5 + 76210*x^4 + 20088*x^3 - 14454*x^2 + 2529*x - 142, x^27 - 9*x^26 + x^25 + 212*x^24 - 444*x^23 - 1960*x^22 + 6671*x^21 + 8460*x^20 - 48055*x^19 - 11113*x^18 + 206608*x^17 - 53285*x^16 - 579123*x^15 + 300149*x^14 + 1108967*x^13 - 732176*x^12 - 1468205*x^11 + 1084077*x^10 + 1290306*x^9 - 1014513*x^8 - 671622*x^7 + 557900*x^6 + 158748*x^5 - 148942*x^4 - 3256*x^3 + 11626*x^2 - 677*x - 118, x^27 - 11*x^26 + 22*x^25 + 182*x^24 - 850*x^23 - 486*x^22 + 9046*x^21 - 9349*x^20 - 44606*x^19 + 95667*x^18 + 96410*x^17 - 413740*x^16 + 30195*x^15 + 977101*x^14 - 645522*x^13 - 1281638*x^12 + 1508188*x^11 + 799460*x^10 - 1704364*x^9 + 3104*x^8 + 1000591*x^7 - 289966*x^6 - 262729*x^5 + 137783*x^4 + 9529*x^3 - 17699*x^2 + 3873*x - 268, 3*x^26 - 30*x^25 + 36*x^24 + 577*x^23 - 1933*x^22 - 3375*x^21 + 22853*x^20 - 3673*x^19 - 129581*x^18 + 134145*x^17 + 394625*x^16 - 692314*x^15 - 603763*x^14 + 1778426*x^13 + 213024*x^12 - 2565037*x^11 + 683912*x^10 + 2079419*x^9 - 1068006*x^8 - 874032*x^7 + 645491*x^6 + 139604*x^5 - 173478*x^4 + 10245*x^3 + 16293*x^2 - 3731*x + 224, 2*x^26 - 18*x^25 + 5*x^24 + 399*x^23 - 894*x^22 - 3353*x^21 + 12407*x^20 + 11647*x^19 - 82047*x^18 + 3195*x^17 + 314055*x^16 - 168032*x^15 - 742096*x^14 + 621112*x^13 + 1104541*x^12 - 1152202*x^11 - 1029731*x^10 + 1233183*x^9 + 577638*x^8 - 771450*x^7 - 171648*x^6 + 269512*x^5 + 14970*x^4 - 47252*x^3 + 3116*x^2 + 3011*x - 418, 2*x^26 - 20*x^25 + 26*x^24 + 364*x^23 - 1242*x^22 - 2028*x^21 + 14060*x^20 - 2088*x^19 - 78494*x^18 + 75206*x^17 + 246384*x^16 - 387470*x^15 - 435188*x^14 + 1029162*x^13 + 360624*x^12 - 1617602*x^11 + 63548*x^10 + 1537932*x^9 - 424056*x^8 - 843826*x^7 + 382314*x^6 + 224424*x^5 - 150032*x^4 - 9300*x^3 + 21446*x^2 - 4522*x + 284, 2*x^26 - 18*x^25 + 458*x^23 - 1056*x^22 - 4032*x^21 + 16610*x^20 + 10718*x^19 - 116128*x^18 + 53564*x^17 + 440010*x^16 - 495578*x^15 - 925040*x^14 + 1651668*x^13 + 945674*x^12 - 2952828*x^11 - 60988*x^10 + 2984672*x^9 - 850034*x^8 - 1618868*x^7 + 804356*x^6 + 375426*x^5 - 284866*x^4 + 2388*x^3 + 30876*x^2 - 7462*x + 536, x^26 - 6*x^25 - 26*x^24 + 226*x^23 + 93*x^22 - 3235*x^21 + 2709*x^20 + 23891*x^19 - 36802*x^18 - 100354*x^17 + 216193*x^16 + 239837*x^15 - 721262*x^14 - 281597*x^13 + 1455085*x^12 + 11383*x^11 - 1775347*x^10 + 369127*x^9 + 1254563*x^8 - 410849*x^7 - 460790*x^6 + 181257*x^5 + 66216*x^4 - 31052*x^3 - 719*x^2 + 1120*x - 82, 3*x^26 - 30*x^25 + 36*x^24 + 577*x^23 - 1933*x^22 - 3375*x^21 + 22853*x^20 - 3673*x^19 - 129581*x^18 + 134145*x^17 + 394625*x^16 - 692314*x^15 - 603763*x^14 + 1778426*x^13 + 213024*x^12 - 2565037*x^11 + 683912*x^10 + 2079419*x^9 - 1068006*x^8 - 874032*x^7 + 645491*x^6 + 139604*x^5 - 173478*x^4 + 10245*x^3 + 16293*x^2 - 3731*x + 224, 2*x^26 - 18*x^25 + 5*x^24 + 399*x^23 - 894*x^22 - 3353*x^21 + 12407*x^20 + 11647*x^19 - 82047*x^18 + 3195*x^17 + 314055*x^16 - 168032*x^15 - 742096*x^14 + 621112*x^13 + 1104541*x^12 - 1152202*x^11 - 1029731*x^10 + 1233183*x^9 + 577638*x^8 - 771450*x^7 - 171648*x^6 + 269512*x^5 + 14970*x^4 - 47252*x^3 + 3116*x^2 + 3011*x - 418, x^26 - 6*x^25 - 26*x^24 + 226*x^23 + 93*x^22 - 3235*x^21 + 2709*x^20 + 23891*x^19 - 36802*x^18 - 100354*x^17 + 216193*x^16 + 239837*x^15 - 721262*x^14 - 281597*x^13 + 1455085*x^12 + 11383*x^11 - 1775347*x^10 + 369127*x^9 + 1254563*x^8 - 410849*x^7 - 460790*x^6 + 181257*x^5 + 66216*x^4 - 31052*x^3 - 719*x^2 + 1120*x - 82]>
       ]
>;

MOG[761] := 	// J_0(761)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 730, 404*x + 668, 357*x + 668, 249*x + 659, 745*x + 636, 16*x + 636, 512*x + 659, 643*x + 583, 707, 743*x + 644, 26*x + 70, 735*x + 70, 18*x + 644, 118*x + 583, 744*x + 656, 475*x + 716, 430, 362*x + 292, 210*x + 108, 648, 551*x + 108, 399*x + 292, 17*x + 656, 286*x + 716, 66*x + 630, 716, 153*x + 464, 531, 218, 178, 669*x + 462, 101*x + 553, 323, 660*x + 553, 92*x + 462, 695*x + 630, 608*x + 464, 632*x + 481, 318*x + 692, 612, 316, 599*x + 671, 228, 19*x + 210, 742*x + 210, 162*x + 671, 443*x + 692, 129*x + 481, 59*x + 414, 317, 664*x + 506, 756, 628, 702*x + 414, 154*x + 484, 607*x + 484, 97*x + 506, 719, 194*x + 431, 277, 567*x + 431, 176, 571]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + 2*x + 1,
           Coordinates        := [0, 0, x + 3, -x - 3, -x - 3, 0, 0, x + 3, 0, 0, -x - 2, -1, 1, x + 2, 0, 0, x + 3, 0, x + 2, 0, 0, 0, -x - 2, 0, -x - 3, 0, 0, -x - 3, 0, 0, 0, x + 3, -1, 0, 1, -x - 3, 0, x + 3, 1, -1, 0, 0, 0, 0, 1, -1, 0, 1, -1, -1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, -1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^20 + 2*x^19 - 22*x^18 - 39*x^17 + 208*x^16 + 310*x^15 - 1104*x^14 - 1286*x^13 + 3588*x^12 + 2941*x^11 - 7265*x^10 - 3527*x^9 + 8878*x^8 + 1708*x^7 - 5986*x^6 + 209*x^5 + 1818*x^4 - 304*x^3 - 149*x^2 + 16*x + 4,
           Coordinates        := [0, 0, -x^18 - 2*x^17 + 18*x^16 + 32*x^15 - 136*x^14 - 204*x^13 + 559*x^12 + 660*x^11 - 1350*x^10 - 1141*x^9 + 1924*x^8 + 1009*x^7 - 1535*x^6 - 379*x^5 + 593*x^4 + 27*x^3 - 75*x^2 - x + 2, x^18 + 2*x^17 - 18*x^16 - 32*x^15 + 136*x^14 + 204*x^13 - 559*x^12 - 660*x^11 + 1350*x^10 + 1141*x^9 - 1924*x^8 - 1009*x^7 + 1535*x^6 + 379*x^5 - 593*x^4 - 27*x^3 + 75*x^2 + x - 2, -x^17 - 2*x^16 + 17*x^15 + 30*x^14 - 121*x^13 - 178*x^12 + 465*x^11 + 529*x^10 - 1035*x^9 - 822*x^8 + 1329*x^7 + 630*x^6 - 924*x^5 - 188*x^4 + 290*x^3 + 4*x^2 - 21*x - 2, -x^19 - 2*x^18 + 19*x^17 + 34*x^16 - 153*x^15 - 234*x^14 + 680*x^13 + 838*x^12 - 1815*x^11 - 1670*x^10 + 2959*x^9 + 1831*x^8 - 2864*x^7 - 1009*x^6 + 1517*x^5 + 215*x^4 - 365*x^3 - 5*x^2 + 23*x + 2, x^19 + 2*x^18 - 19*x^17 - 34*x^16 + 153*x^15 + 234*x^14 - 680*x^13 - 838*x^12 + 1815*x^11 + 1670*x^10 - 2959*x^9 - 1831*x^8 + 2864*x^7 + 1009*x^6 - 1517*x^5 - 215*x^4 + 365*x^3 + 5*x^2 - 23*x - 2, x^17 + 2*x^16 - 17*x^15 - 30*x^14 + 121*x^13 + 178*x^12 - 465*x^11 - 529*x^10 + 1035*x^9 + 822*x^8 - 1329*x^7 - 630*x^6 + 924*x^5 + 188*x^4 - 290*x^3 - 4*x^2 + 21*x + 2, -x^16 - 2*x^15 + 15*x^14 + 26*x^13 - 94*x^12 - 131*x^11 + 315*x^10 + 319*x^9 - 595*x^8 - 379*x^7 + 611*x^6 + 191*x^5 - 303*x^4 - 23*x^3 + 54*x^2 - x - 2, 0, -x^18 - 2*x^17 + 17*x^16 + 30*x^15 - 121*x^14 - 177*x^13 + 467*x^12 + 520*x^11 - 1050*x^10 - 791*x^9 + 1367*x^8 + 582*x^7 - 962*x^6 - 160*x^5 + 306*x^4 + 3*x^3 - 25*x^2 - 2*x, -x^18 - x^17 + 20*x^16 + 14*x^15 - 167*x^14 - 67*x^13 + 747*x^12 + 91*x^11 - 1906*x^10 + 236*x^9 + 2723*x^8 - 892*x^7 - 1972*x^6 + 963*x^5 + 554*x^4 - 339*x^3 - 26*x^2 + 21*x + 2, x^18 + x^17 - 20*x^16 - 14*x^15 + 167*x^14 + 67*x^13 - 747*x^12 - 91*x^11 + 1906*x^10 - 236*x^9 - 2723*x^8 + 892*x^7 + 1972*x^6 - 963*x^5 - 554*x^4 + 339*x^3 + 26*x^2 - 21*x - 2, x^18 + 2*x^17 - 17*x^16 - 30*x^15 + 121*x^14 + 177*x^13 - 467*x^12 - 520*x^11 + 1050*x^10 + 791*x^9 - 1367*x^8 - 582*x^7 + 962*x^6 + 160*x^5 - 306*x^4 - 3*x^3 + 25*x^2 + 2*x, x^16 + 2*x^15 - 15*x^14 - 26*x^13 + 94*x^12 + 131*x^11 - 315*x^10 - 319*x^9 + 595*x^8 + 379*x^7 - 611*x^6 - 191*x^5 + 303*x^4 + 23*x^3 - 54*x^2 + x + 2, -x^15 - 2*x^14 + 14*x^13 + 24*x^12 - 82*x^11 - 110*x^10 + 257*x^9 + 236*x^8 - 451*x^7 - 225*x^6 + 416*x^5 + 56*x^4 - 161*x^3 + 21*x^2 + 8*x, -x^15 - 2*x^14 + 13*x^13 + 23*x^12 - 68*x^11 - 100*x^10 + 183*x^9 + 207*x^8 - 267*x^7 - 214*x^6 + 205*x^5 + 109*x^4 - 75*x^3 - 26*x^2 + 11*x + 2, 0, -x^17 - 2*x^16 + 17*x^15 + 30*x^14 - 121*x^13 - 177*x^12 + 467*x^11 + 520*x^10 - 1050*x^9 - 791*x^8 + 1367*x^7 + 582*x^6 - 962*x^5 - 160*x^4 + 306*x^3 + 3*x^2 - 25*x - 2, -x^17 - 2*x^16 + 15*x^15 + 27*x^14 - 92*x^13 - 141*x^12 + 298*x^11 + 359*x^10 - 542*x^9 - 458*x^8 + 535*x^7 + 267*x^6 - 249*x^5 - 52*x^4 + 34*x^3 + 2*x, 0, x^17 + 2*x^16 - 15*x^15 - 27*x^14 + 92*x^13 + 141*x^12 - 298*x^11 - 359*x^10 + 542*x^9 + 458*x^8 - 535*x^7 - 267*x^6 + 249*x^5 + 52*x^4 - 34*x^3 - 2*x, x^17 + 2*x^16 - 17*x^15 - 30*x^14 + 121*x^13 + 177*x^12 - 467*x^11 - 520*x^10 + 1050*x^9 + 791*x^8 - 1367*x^7 - 582*x^6 + 962*x^5 + 160*x^4 - 306*x^3 - 3*x^2 + 25*x + 2, x^15 + 2*x^14 - 14*x^13 - 24*x^12 + 82*x^11 + 110*x^10 - 257*x^9 - 236*x^8 + 451*x^7 + 225*x^6 - 416*x^5 - 56*x^4 + 161*x^3 - 21*x^2 - 8*x, x^15 + 2*x^14 - 13*x^13 - 23*x^12 + 68*x^11 + 100*x^10 - 183*x^9 - 207*x^8 + 267*x^7 + 214*x^6 - 205*x^5 - 109*x^4 + 75*x^3 + 26*x^2 - 11*x - 2, -x^14 - 2*x^13 + 12*x^12 + 21*x^11 - 58*x^10 - 83*x^9 + 144*x^8 + 154*x^7 - 195*x^6 - 135*x^5 + 142*x^4 + 44*x^3 - 46*x^2 + x + 2, 0, -2*x^14 - 3*x^13 + 26*x^12 + 31*x^11 - 132*x^10 - 112*x^9 + 328*x^8 + 165*x^7 - 406*x^6 - 82*x^5 + 228*x^4 - 3*x^3 - 43*x^2 + 3*x + 2, 0, 0, 0, -x^16 - x^15 + 15*x^14 + 11*x^13 - 90*x^12 - 43*x^11 + 277*x^10 + 70*x^9 - 467*x^8 - 33*x^7 + 429*x^6 - 30*x^5 - 196*x^4 + 32*x^3 + 34*x^2 - 5*x - 2, -x^16 - 2*x^15 + 14*x^14 + 25*x^13 - 79*x^12 - 118*x^11 + 231*x^10 + 263*x^9 - 365*x^8 - 282*x^7 + 284*x^6 + 138*x^5 - 76*x^4 - 35*x^3 - 7*x^2 + 7*x + 2, 0, x^16 + 2*x^15 - 14*x^14 - 25*x^13 + 79*x^12 + 118*x^11 - 231*x^10 - 263*x^9 + 365*x^8 + 282*x^7 - 284*x^6 - 138*x^5 + 76*x^4 + 35*x^3 + 7*x^2 - 7*x - 2, x^16 + x^15 - 15*x^14 - 11*x^13 + 90*x^12 + 43*x^11 - 277*x^10 - 70*x^9 + 467*x^8 + 33*x^7 - 429*x^6 + 30*x^5 + 196*x^4 - 32*x^3 - 34*x^2 + 5*x + 2, x^14 + 2*x^13 - 12*x^12 - 21*x^11 + 58*x^10 + 83*x^9 - 144*x^8 - 154*x^7 + 195*x^6 + 135*x^5 - 142*x^4 - 44*x^3 + 46*x^2 - x - 2, 2*x^14 + 3*x^13 - 26*x^12 - 31*x^11 + 132*x^10 + 112*x^9 - 328*x^8 - 165*x^7 + 406*x^6 + 82*x^5 - 228*x^4 + 3*x^3 + 43*x^2 - 3*x - 2, -x^13 - 2*x^12 + 11*x^11 + 19*x^10 - 47*x^9 - 64*x^8 + 97*x^7 + 90*x^6 - 98*x^5 - 45*x^4 + 44*x^3 - x^2 - 2*x, -x^13 - x^12 + 13*x^11 + 8*x^10 - 66*x^9 - 18*x^8 + 159*x^7 - 176*x^5 + 33*x^4 + 71*x^3 - 19*x^2 - 4*x, 0, 0, -x^15 - x^14 + 13*x^13 + 8*x^12 - 64*x^11 - 12*x^10 + 145*x^9 - 42*x^8 - 139*x^7 + 132*x^6 + 23*x^5 - 112*x^4 + 32*x^3 + 29*x^2 - 9*x - 2, 0, -x^15 - 2*x^14 + 13*x^13 + 23*x^12 - 67*x^11 - 96*x^10 + 177*x^9 + 176*x^8 - 251*x^7 - 129*x^6 + 173*x^5 + 17*x^4 - 41*x^3 + 7*x^2, x^15 + 2*x^14 - 13*x^13 - 23*x^12 + 67*x^11 + 96*x^10 - 177*x^9 - 176*x^8 + 251*x^7 + 129*x^6 - 173*x^5 - 17*x^4 + 41*x^3 - 7*x^2, x^15 + x^14 - 13*x^13 - 8*x^12 + 64*x^11 + 12*x^10 - 145*x^9 + 42*x^8 + 139*x^7 - 132*x^6 - 23*x^5 + 112*x^4 - 32*x^3 - 29*x^2 + 9*x + 2, x^13 + x^12 - 13*x^11 - 8*x^10 + 66*x^9 + 18*x^8 - 159*x^7 + 176*x^5 - 33*x^4 - 71*x^3 + 19*x^2 + 4*x, x^13 + 2*x^12 - 11*x^11 - 19*x^10 + 47*x^9 + 64*x^8 - 97*x^7 - 90*x^6 + 98*x^5 + 45*x^4 - 44*x^3 + x^2 + 2*x, -x^12 - 2*x^11 + 11*x^10 + 19*x^9 - 47*x^8 - 64*x^7 + 97*x^6 + 90*x^5 - 98*x^4 - 45*x^3 + 44*x^2 - x - 2, 0, -x^9 - 3*x^8 + 5*x^7 + 19*x^6 - 8*x^5 - 38*x^4 + 8*x^3 + 23*x^2 - 5*x - 2, 0, 0, x^12 + 2*x^11 - 11*x^10 - 19*x^9 + 47*x^8 + 64*x^7 - 97*x^6 - 90*x^5 + 98*x^4 + 45*x^3 - 44*x^2 + x + 2, -x^14 - 2*x^13 + 12*x^12 + 22*x^11 - 54*x^10 - 87*x^9 + 114*x^8 + 153*x^7 - 111*x^6 - 121*x^5 + 35*x^4 + 42*x^3 + 7*x^2 - 7*x - 2, x^14 + 2*x^13 - 12*x^12 - 22*x^11 + 54*x^10 + 87*x^9 - 114*x^8 - 153*x^7 + 111*x^6 + 121*x^5 - 35*x^4 - 42*x^3 - 7*x^2 + 7*x + 2, x^9 + 3*x^8 - 5*x^7 - 19*x^6 + 8*x^5 + 38*x^4 - 8*x^3 - 23*x^2 + 5*x + 2, 0, x^13 + x^12 - 13*x^11 - 9*x^10 + 63*x^9 + 23*x^8 - 140*x^7 - 8*x^6 + 138*x^5 - 25*x^4 - 48*x^3 + 14*x^2 + 2*x, 0, -x^13 - x^12 + 13*x^11 + 9*x^10 - 63*x^9 - 23*x^8 + 140*x^7 + 8*x^6 - 138*x^5 + 25*x^4 + 48*x^3 - 14*x^2 - 2*x, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^41 - 3*x^40 - 66*x^39 + 201*x^38 + 1996*x^37 - 6187*x^36 - 36660*x^35 + 116045*x^34 + 456879*x^33 - 1483303*x^32 - 4087980*x^31 + 13690952*x^30 + 27091883*x^29 - 94336415*x^28 - 135155750*x^27 + 494782435*x^26 + 510243533*x^25 - 1996058687*x^24 - 1450233811*x^23 + 6216748977*x^22 + 3046389045*x^21 - 14917248961*x^20 - 4531957905*x^19 + 27367223524*x^18 + 4280550065*x^17 - 37867251381*x^16 - 1535326570*x^15 + 38711594534*x^14 - 1864471947*x^13 - 28404127453*x^12 + 3179087696*x^11 + 14386095303*x^10 - 2179485890*x^9 - 4780252398*x^8 + 799144203*x^7 + 975208888*x^6 - 155086673*x^5 - 111376584*x^4 + 13989563*x^3 + 6230405*x^2 - 407100*x - 130500,
           Coordinates        := [-x^40 + 4*x^39 + 60*x^38 - 253*x^37 - 1627*x^36 + 7324*x^35 + 26306*x^34 - 128649*x^33 - 281254*x^32 + 1532727*x^31 + 2076721*x^30 - 13115895*x^29 - 10643108*x^28 + 83276521*x^27 + 36070445*x^26 - 399658678*x^25 - 63404327*x^24 + 1463334214*x^23 - 67248139*x^22 - 4097164504*x^21 + 822812859*x^20 + 8738779398*x^19 - 2782910815*x^18 - 14059477795*x^17 + 5717170992*x^16 + 16784691619*x^15 - 7888280669*x^14 - 14516074379*x^13 + 7410745326*x^12 + 8797908205*x^11 - 4646731953*x^10 - 3575243424*x^9 + 1861414502*x^8 + 918783244*x^7 - 444055845*x^6 - 137608809*x^5 + 55936278*x^4 + 10663768*x^3 - 2898879*x^2 - 356670*x + 27000, x^40 - 6*x^39 - 52*x^38 + 369*x^37 + 1137*x^36 - 10354*x^35 - 12604*x^34 + 175625*x^33 + 49424*x^32 - 2011259*x^31 + 575057*x^30 + 16448775*x^29 - 11059894*x^28 - 99085305*x^27 + 95123757*x^26 + 446839206*x^25 - 532724473*x^24 - 1517481950*x^23 + 2119584473*x^22 + 3869201904*x^21 - 6178469563*x^20 - 7314868720*x^19 + 13307745729*x^18 + 9997721057*x^17 - 21082559762*x^16 - 9423607239*x^15 + 24195520155*x^14 + 5546273379*x^13 - 19606219248*x^12 - 1467644257*x^11 + 10810851879*x^10 - 318071388*x^9 - 3861469154*x^8 + 355088358*x^7 + 837600079*x^6 - 99150395*x^5 - 100712816*x^4 + 11090684*x^3 + 5873735*x^2 - 380100*x - 130500, x^39 - 6*x^38 - 50*x^37 + 357*x^36 + 1042*x^35 - 9669*x^34 - 10754*x^33 + 157903*x^32 + 32428*x^31 - 1736170*x^30 + 597954*x^29 + 13590217*x^28 - 9775028*x^27 - 78077282*x^26 + 78004014*x^25 + 334394859*x^24 - 410092179*x^23 - 1072901328*x^22 + 1533317452*x^21 + 2566970832*x^20 - 4188317280*x^19 - 4510385011*x^18 + 8407661779*x^17 + 5646065583*x^16 - 12311614066*x^15 - 4750239574*x^14 + 12903237918*x^13 + 2352123609*x^12 - 9380980216*x^11 - 381985416*x^10 + 4521873504*x^9 - 224451375*x^8 - 1358946928*x^7 + 128904126*x^6 + 233600142*x^5 - 22670783*x^4 - 20053566*x^3 + 1043066*x^2 + 673305*x + 24750, x^39 - 6*x^38 - 50*x^37 + 357*x^36 + 1042*x^35 - 9669*x^34 - 10754*x^33 + 157903*x^32 + 32428*x^31 - 1736170*x^30 + 597954*x^29 + 13590217*x^28 - 9775028*x^27 - 78077282*x^26 + 78004014*x^25 + 334394859*x^24 - 410092179*x^23 - 1072901328*x^22 + 1533317452*x^21 + 2566970832*x^20 - 4188317280*x^19 - 4510385011*x^18 + 8407661779*x^17 + 5646065583*x^16 - 12311614066*x^15 - 4750239574*x^14 + 12903237918*x^13 + 2352123609*x^12 - 9380980216*x^11 - 381985416*x^10 + 4521873504*x^9 - 224451375*x^8 - 1358946928*x^7 + 128904126*x^6 + 233600142*x^5 - 22670783*x^4 - 20053566*x^3 + 1043066*x^2 + 673305*x + 24750, x^38 - 6*x^37 - 47*x^36 + 339*x^35 + 905*x^34 - 8672*x^33 - 8231*x^32 + 132961*x^31 + 11735*x^30 - 1363353*x^29 + 586597*x^28 + 9878646*x^27 - 7699458*x^26 - 52110087*x^25 + 53884981*x^24 + 203146710*x^23 - 250412066*x^22 - 588045086*x^21 + 822049732*x^20 + 1259113464*x^19 - 1945853536*x^18 - 1970470379*x^17 + 3325543777*x^16 + 2208116813*x^15 - 4055765049*x^14 - 1720599773*x^13 + 3449284705*x^12 + 898671626*x^11 - 1976984102*x^10 - 302765469*x^9 + 729687499*x^8 + 63513972*x^7 - 163119749*x^6 - 8064350*x^5 + 20157645*x^4 + 601661*x^3 - 1175033*x^2 - 22425*x + 21150, x^38 - 6*x^37 - 48*x^36 + 346*x^35 + 945*x^34 - 9050*x^33 - 8765*x^32 + 142128*x^31 + 11162*x^30 - 1495205*x^29 + 698269*x^28 + 11129377*x^27 - 9420285*x^26 - 60334260*x^25 + 68747313*x^24 + 241433912*x^23 - 335854955*x^22 - 714185986*x^21 + 1168102551*x^20 + 1545370245*x^19 - 2954230414*x^18 - 2381185095*x^17 + 5445401919*x^16 + 2465250852*x^15 - 7236517188*x^14 - 1473549997*x^13 + 6775954327*x^12 + 186987215*x^11 - 4311994273*x^10 + 396385482*x^9 + 1772834727*x^8 - 289698204*x^7 - 440880188*x^6 + 84543962*x^5 + 60501605*x^4 - 10649279*x^3 - 4025397*x^2 + 427275*x + 109350, x^38 - 6*x^37 - 48*x^36 + 346*x^35 + 945*x^34 - 9050*x^33 - 8765*x^32 + 142128*x^31 + 11162*x^30 - 1495205*x^29 + 698269*x^28 + 11129377*x^27 - 9420285*x^26 - 60334260*x^25 + 68747313*x^24 + 241433912*x^23 - 335854955*x^22 - 714185986*x^21 + 1168102551*x^20 + 1545370245*x^19 - 2954230414*x^18 - 2381185095*x^17 + 5445401919*x^16 + 2465250852*x^15 - 7236517188*x^14 - 1473549997*x^13 + 6775954327*x^12 + 186987215*x^11 - 4311994273*x^10 + 396385482*x^9 + 1772834727*x^8 - 289698204*x^7 - 440880188*x^6 + 84543962*x^5 + 60501605*x^4 - 10649279*x^3 - 4025397*x^2 + 427275*x + 109350, x^38 - 6*x^37 - 47*x^36 + 339*x^35 + 905*x^34 - 8672*x^33 - 8231*x^32 + 132961*x^31 + 11735*x^30 - 1363353*x^29 + 586597*x^28 + 9878646*x^27 - 7699458*x^26 - 52110087*x^25 + 53884981*x^24 + 203146710*x^23 - 250412066*x^22 - 588045086*x^21 + 822049732*x^20 + 1259113464*x^19 - 1945853536*x^18 - 1970470379*x^17 + 3325543777*x^16 + 2208116813*x^15 - 4055765049*x^14 - 1720599773*x^13 + 3449284705*x^12 + 898671626*x^11 - 1976984102*x^10 - 302765469*x^9 + 729687499*x^8 + 63513972*x^7 - 163119749*x^6 - 8064350*x^5 + 20157645*x^4 + 601661*x^3 - 1175033*x^2 - 22425*x + 21150, x^37 - 6*x^36 - 45*x^35 + 327*x^34 + 821*x^33 - 8052*x^32 - 6841*x^31 + 118565*x^30 + 2365*x^29 - 1164733*x^28 + 556362*x^27 + 8064713*x^26 - 6529705*x^25 - 40549633*x^24 + 42456163*x^23 + 150353362*x^22 - 184086458*x^21 - 413555816*x^20 + 561968302*x^19 + 843197300*x^18 - 1227887180*x^17 - 1268677844*x^16 + 1915652621*x^15 + 1404459417*x^14 - 2100513027*x^13 - 1153612645*x^12 + 1576146474*x^11 + 723155573*x^10 - 783509685*x^9 - 353151857*x^8 + 251832217*x^7 + 125646448*x^6 - 51912225*x^5 - 27402384*x^4 + 6486459*x^3 + 2902791*x^2 - 350955*x - 109350, 2*x^37 - 12*x^36 - 92*x^35 + 670*x^34 + 1702*x^33 - 16890*x^32 - 13852*x^31 + 254252*x^30 - 13722*x^29 - 2546838*x^28 + 1519208*x^27 + 17902482*x^26 - 17589328*x^25 - 90698516*x^24 + 117223950*x^23 + 334502880*x^22 - 527181262*x^21 - 894301552*x^20 + 1680495442*x^19 + 1696717332*x^18 - 3854230822*x^17 - 2169270926*x^16 + 6340196396*x^15 + 1625180384*x^14 - 7353440186*x^13 - 299839338*x^12 + 5827849640*x^11 - 643935626*x^10 - 3008676320*x^9 + 641117204*x^8 + 943994962*x^7 - 262614924*x^6 - 161530272*x^5 + 50674828*x^4 + 12392074*x^3 - 3968282*x^2 - 301200*x + 84600, x^37 - 6*x^36 - 46*x^35 + 334*x^34 + 859*x^33 - 8415*x^32 - 7307*x^31 + 126988*x^30 + 1184*x^29 - 1280122*x^28 + 660392*x^27 + 9101030*x^26 - 8003090*x^25 - 46948952*x^24 + 54343994*x^23 + 177998418*x^22 - 247896192*x^21 - 496426128*x^20 + 801982474*x^19 + 1007639217*x^18 - 1872071919*x^17 - 1451369811*x^16 + 3149105309*x^15 + 1411646332*x^14 - 3761010112*x^13 - 833336182*x^12 + 3101747632*x^11 + 208221524*x^10 - 1694169184*x^9 + 50968442*x^8 + 578444620*x^7 - 45676642*x^6 - 113676569*x^5 + 9638366*x^4 + 11177268*x^3 - 514737*x^2 - 420930*x - 16200, x^37 - 5*x^36 - 51*x^35 + 285*x^34 + 1130*x^33 - 7360*x^32 - 13959*x^31 + 113977*x^30 + 99131*x^29 - 1180718*x^28 - 305649*x^27 + 8641992*x^26 - 1253611*x^25 - 46011995*x^24 + 19893230*x^23 + 180716924*x^22 - 117318709*x^21 - 525174459*x^20 + 432104392*x^19 + 1121560699*x^18 - 1090187941*x^17 - 1729444920*x^16 + 1925991569*x^15 + 1865043245*x^14 - 2366273479*x^13 - 1331800212*x^12 + 1967238311*x^11 + 570149374*x^10 - 1054869593*x^9 - 116215271*x^8 + 339622120*x^7 + 1316478*x^6 - 59421968*x^5 + 2383138*x^4 + 4850901*x^3 - 101054*x^2 - 143025*x - 8550, x^37 - 5*x^36 - 51*x^35 + 285*x^34 + 1130*x^33 - 7360*x^32 - 13959*x^31 + 113977*x^30 + 99131*x^29 - 1180718*x^28 - 305649*x^27 + 8641992*x^26 - 1253611*x^25 - 46011995*x^24 + 19893230*x^23 + 180716924*x^22 - 117318709*x^21 - 525174459*x^20 + 432104392*x^19 + 1121560699*x^18 - 1090187941*x^17 - 1729444920*x^16 + 1925991569*x^15 + 1865043245*x^14 - 2366273479*x^13 - 1331800212*x^12 + 1967238311*x^11 + 570149374*x^10 - 1054869593*x^9 - 116215271*x^8 + 339622120*x^7 + 1316478*x^6 - 59421968*x^5 + 2383138*x^4 + 4850901*x^3 - 101054*x^2 - 143025*x - 8550, x^37 - 6*x^36 - 46*x^35 + 334*x^34 + 859*x^33 - 8415*x^32 - 7307*x^31 + 126988*x^30 + 1184*x^29 - 1280122*x^28 + 660392*x^27 + 9101030*x^26 - 8003090*x^25 - 46948952*x^24 + 54343994*x^23 + 177998418*x^22 - 247896192*x^21 - 496426128*x^20 + 801982474*x^19 + 1007639217*x^18 - 1872071919*x^17 - 1451369811*x^16 + 3149105309*x^15 + 1411646332*x^14 - 3761010112*x^13 - 833336182*x^12 + 3101747632*x^11 + 208221524*x^10 - 1694169184*x^9 + 50968442*x^8 + 578444620*x^7 - 45676642*x^6 - 113676569*x^5 + 9638366*x^4 + 11177268*x^3 - 514737*x^2 - 420930*x - 16200, x^37 - 6*x^36 - 45*x^35 + 327*x^34 + 821*x^33 - 8052*x^32 - 6841*x^31 + 118565*x^30 + 2365*x^29 - 1164733*x^28 + 556362*x^27 + 8064713*x^26 - 6529705*x^25 - 40549633*x^24 + 42456163*x^23 + 150353362*x^22 - 184086458*x^21 - 413555816*x^20 + 561968302*x^19 + 843197300*x^18 - 1227887180*x^17 - 1268677844*x^16 + 1915652621*x^15 + 1404459417*x^14 - 2100513027*x^13 - 1153612645*x^12 + 1576146474*x^11 + 723155573*x^10 - 783509685*x^9 - 353151857*x^8 + 251832217*x^7 + 125646448*x^6 - 51912225*x^5 - 27402384*x^4 + 6486459*x^3 + 2902791*x^2 - 350955*x - 109350, x^36 - 6*x^35 - 42*x^34 + 309*x^33 + 701*x^32 - 7160*x^31 - 4971*x^30 + 98766*x^29 - 9054*x^28 - 904450*x^27 + 509501*x^26 + 5805946*x^25 - 5104707*x^24 - 26891865*x^23 + 29796894*x^22 + 91118771*x^21 - 117113966*x^20 - 226458907*x^19 + 324505240*x^18 + 409696191*x^17 - 642652625*x^16 - 528955474*x^15 + 906311297*x^14 + 468792964*x^13 - 894311926*x^12 - 263338272*x^11 + 597599037*x^10 + 75050900*x^9 - 256343433*x^8 + 1732387*x^7 + 64664988*x^6 - 7132309*x^5 - 8253487*x^4 + 1510595*x^3 + 390216*x^2 - 63090*x - 10800, x^36 - 6*x^35 - 42*x^34 + 311*x^33 + 689*x^32 - 7236*x^31 - 4399*x^30 + 99854*x^29 - 21181*x^28 - 909483*x^27 + 660252*x^26 + 5754508*x^25 - 6324111*x^24 - 25901483*x^23 + 36528714*x^22 + 83370499*x^21 - 142967464*x^20 - 189457257*x^19 + 393461116*x^18 + 292096344*x^17 - 767238531*x^16 - 274701922*x^15 + 1048940725*x^14 + 98194164*x^13 - 978826305*x^12 + 87822219*x^11 + 595875380*x^10 - 125437288*x^9 - 221511849*x^8 + 60400089*x^7 + 46542536*x^6 - 12205725*x^5 - 5417699*x^4 + 790535*x^3 + 433862*x^2 - 23835*x - 10350, 2*x^36 - 8*x^35 - 108*x^34 + 454*x^33 + 2610*x^32 - 11670*x^31 - 37192*x^30 + 179868*x^29 + 346014*x^28 - 1854810*x^27 - 2190412*x^26 + 13521658*x^25 + 9453988*x^24 - 71790540*x^23 - 26357130*x^22 + 281788620*x^21 + 36395978*x^20 - 821509596*x^19 + 37476250*x^18 + 1771669832*x^17 - 310891158*x^16 - 2791053242*x^15 + 758089912*x^14 + 3141360208*x^13 - 1070719770*x^12 - 2441278878*x^11 + 945291884*x^10 + 1246648142*x^9 - 515380036*x^8 - 389642868*x^7 + 164709226*x^6 + 66803528*x^5 - 27923216*x^4 - 5171604*x^3 + 2048866*x^2 + 129450*x - 42300, x^36 - 6*x^35 - 42*x^34 + 312*x^33 + 683*x^32 - 7273*x^31 - 4123*x^30 + 100380*x^29 - 26806*x^28 - 912384*x^27 + 727492*x^26 + 5744456*x^25 - 6850452*x^24 - 25630118*x^23 + 39383710*x^22 + 81315184*x^21 - 154056036*x^20 - 180410212*x^19 + 424941504*x^18 + 266141353*x^17 - 833520143*x^16 - 224717825*x^15 + 1153623541*x^14 + 33754800*x^13 - 1103679270*x^12 + 142476684*x^11 + 707396200*x^10 - 155873530*x^9 - 292975082*x^8 + 72588552*x^7 + 76346800*x^6 - 16266852*x^5 - 12297977*x^4 + 1657830*x^3 + 1143062*x^2 - 82695*x - 37350, x^36 - 6*x^35 - 44*x^34 + 323*x^33 + 775*x^32 - 7867*x^31 - 5855*x^30 + 114703*x^29 - 11071*x^28 - 1115963*x^27 + 689703*x^26 + 7640852*x^25 - 7552867*x^24 - 37805376*x^23 + 48575053*x^22 + 136444674*x^21 - 212064041*x^20 - 357320816*x^19 + 657216991*x^18 + 663673931*x^17 - 1462776467*x^16 - 828886695*x^15 + 2321883535*x^14 + 606459015*x^13 - 2570527425*x^12 - 121242375*x^11 + 1910428889*x^10 - 189543510*x^9 - 901415025*x^8 + 171433010*x^7 + 250856819*x^6 - 58638744*x^5 - 37026360*x^4 + 8476712*x^3 + 2461405*x^2 - 360780*x - 72000, 2*x^36 - 10*x^35 - 100*x^34 + 560*x^33 + 2166*x^32 - 14192*x^31 - 26008*x^30 + 215356*x^29 + 176800*x^28 - 2181736*x^27 - 475318*x^26 + 15575876*x^25 - 2842088*x^24 - 80610218*x^23 + 37819322*x^22 + 306330236*x^21 - 210823700*x^20 - 855913938*x^19 + 742481774*x^18 + 1741928116*x^17 - 1789965430*x^16 - 2526199176*x^15 + 3005200464*x^14 + 2508023264*x^13 - 3476915804*x^12 - 1584076152*x^11 + 2686975306*x^10 + 542268840*x^9 - 1316997336*x^8 - 48607438*x^7 + 380141742*x^6 - 22738856*x^5 - 58033842*x^4 + 5697324*x^3 + 3983426*x^2 - 292800*x - 100800, x^36 - 6*x^35 - 44*x^34 + 323*x^33 + 775*x^32 - 7867*x^31 - 5855*x^30 + 114703*x^29 - 11071*x^28 - 1115963*x^27 + 689703*x^26 + 7640852*x^25 - 7552867*x^24 - 37805376*x^23 + 48575053*x^22 + 136444674*x^21 - 212064041*x^20 - 357320816*x^19 + 657216991*x^18 + 663673931*x^17 - 1462776467*x^16 - 828886695*x^15 + 2321883535*x^14 + 606459015*x^13 - 2570527425*x^12 - 121242375*x^11 + 1910428889*x^10 - 189543510*x^9 - 901415025*x^8 + 171433010*x^7 + 250856819*x^6 - 58638744*x^5 - 37026360*x^4 + 8476712*x^3 + 2461405*x^2 - 360780*x - 72000, x^36 - 6*x^35 - 42*x^34 + 312*x^33 + 683*x^32 - 7273*x^31 - 4123*x^30 + 100380*x^29 - 26806*x^28 - 912384*x^27 + 727492*x^26 + 5744456*x^25 - 6850452*x^24 - 25630118*x^23 + 39383710*x^22 + 81315184*x^21 - 154056036*x^20 - 180410212*x^19 + 424941504*x^18 + 266141353*x^17 - 833520143*x^16 - 224717825*x^15 + 1153623541*x^14 + 33754800*x^13 - 1103679270*x^12 + 142476684*x^11 + 707396200*x^10 - 155873530*x^9 - 292975082*x^8 + 72588552*x^7 + 76346800*x^6 - 16266852*x^5 - 12297977*x^4 + 1657830*x^3 + 1143062*x^2 - 82695*x - 37350, x^36 - 6*x^35 - 42*x^34 + 309*x^33 + 701*x^32 - 7160*x^31 - 4971*x^30 + 98766*x^29 - 9054*x^28 - 904450*x^27 + 509501*x^26 + 5805946*x^25 - 5104707*x^24 - 26891865*x^23 + 29796894*x^22 + 91118771*x^21 - 117113966*x^20 - 226458907*x^19 + 324505240*x^18 + 409696191*x^17 - 642652625*x^16 - 528955474*x^15 + 906311297*x^14 + 468792964*x^13 - 894311926*x^12 - 263338272*x^11 + 597599037*x^10 + 75050900*x^9 - 256343433*x^8 + 1732387*x^7 + 64664988*x^6 - 7132309*x^5 - 8253487*x^4 + 1510595*x^3 + 390216*x^2 - 63090*x - 10800, x^36 - 6*x^35 - 42*x^34 + 311*x^33 + 689*x^32 - 7236*x^31 - 4399*x^30 + 99854*x^29 - 21181*x^28 - 909483*x^27 + 660252*x^26 + 5754508*x^25 - 6324111*x^24 - 25901483*x^23 + 36528714*x^22 + 83370499*x^21 - 142967464*x^20 - 189457257*x^19 + 393461116*x^18 + 292096344*x^17 - 767238531*x^16 - 274701922*x^15 + 1048940725*x^14 + 98194164*x^13 - 978826305*x^12 + 87822219*x^11 + 595875380*x^10 - 125437288*x^9 - 221511849*x^8 + 60400089*x^7 + 46542536*x^6 - 12205725*x^5 - 5417699*x^4 + 790535*x^3 + 433862*x^2 - 23835*x - 10350, x^35 - 6*x^34 - 40*x^33 + 298*x^32 + 622*x^31 - 6639*x^30 - 3711*x^29 + 87731*x^28 - 18349*x^27 - 766209*x^26 + 518278*x^25 + 4664048*x^24 - 4651869*x^23 - 20327837*x^22 + 25212860*x^21 + 64116315*x^20 - 92470952*x^19 - 146044085*x^18 + 237775933*x^17 + 236786408*x^16 - 430753640*x^15 - 265889037*x^14 + 541101237*x^13 + 199836237*x^12 - 454175749*x^11 - 101989719*x^10 + 239475900*x^9 + 46212724*x^8 - 73779593*x^7 - 24521735*x^6 + 14053150*x^5 + 8776565*x^4 - 2128071*x^3 - 1317965*x^2 + 187545*x + 56250, 2*x^35 - 12*x^34 - 80*x^33 + 594*x^32 + 1248*x^31 - 13160*x^30 - 7708*x^29 + 172552*x^28 - 28512*x^27 - 1492558*x^26 + 906720*x^25 + 8993720*x^24 - 8007400*x^23 - 38906754*x^22 + 41759632*x^21 + 122980594*x^20 - 144992110*x^19 - 287457024*x^18 + 347458622*x^17 + 502935962*x^16 - 578587684*x^15 - 669777416*x^14 + 665099864*x^13 + 690438136*x^12 - 524371688*x^11 - 546114954*x^10 + 287690352*x^9 + 308671520*x^8 - 113387636*x^7 - 108257022*x^6 + 29605588*x^5 + 20136414*x^4 - 3968172*x^3 - 1647916*x^2 + 152610*x + 53100, x^35 - 6*x^34 - 38*x^33 + 288*x^32 + 534*x^31 - 6133*x^30 - 2110*x^29 + 76366*x^28 - 33072*x^27 - 616511*x^26 + 572896*x^25 + 3377844*x^24 - 4400837*x^23 - 12749299*x^22 + 20848414*x^21 + 32823705*x^20 - 65473206*x^19 - 55349224*x^18 + 137580821*x^17 + 55651958*x^16 - 187585368*x^15 - 28145087*x^14 + 152367450*x^13 + 15919620*x^12 - 59447356*x^11 - 42394003*x^10 + 6117446*x^9 + 55832980*x^8 - 6399313*x^7 - 30421153*x^6 + 7122718*x^5 + 7341789*x^4 - 2055303*x^3 - 762872*x^2 + 154515*x + 34650, 2*x^35 - 10*x^34 - 94*x^33 + 528*x^32 + 1908*x^31 - 12578*x^30 - 21436*x^29 + 178884*x^28 + 136962*x^27 - 1693694*x^26 - 367302*x^25 + 11270306*x^24 - 1526612*x^23 - 54233564*x^22 + 20270580*x^21 + 191274854*x^20 - 103033980*x^19 - 495751732*x^18 + 323067828*x^17 + 938323964*x^16 - 679126528*x^15 - 1278120166*x^14 + 969319272*x^13 + 1225515244*x^12 - 920823738*x^11 - 806198858*x^10 + 555880390*x^9 + 357718966*x^8 - 198890368*x^7 - 107431020*x^6 + 39371808*x^5 + 20851130*x^4 - 3997294*x^3 - 2163754*x^2 + 186090*x + 74700, 2*x^35 - 12*x^34 - 82*x^33 + 612*x^32 + 1290*x^31 - 13970*x^30 - 7166*x^29 + 188414*x^28 - 58172*x^27 - 1668768*x^26 + 1391348*x^25 + 10197224*x^24 - 12529686*x^23 - 43896386*x^22 + 69306300*x^21 + 133114968*x^20 - 260203752*x^19 - 277643460*x^18 + 684420500*x^17 + 371301452*x^16 - 1266765446*x^15 - 249329354*x^14 + 1628203926*x^13 - 61016006*x^12 - 1412508136*x^11 + 271775316*x^10 + 792600560*x^9 - 222513220*x^8 - 273866622*x^7 + 83123054*x^6 + 56116012*x^5 - 14818640*x^4 - 6289382*x^3 + 1113676*x^2 + 261210*x - 4500, 2*x^35 - 10*x^34 - 94*x^33 + 530*x^32 + 1894*x^31 - 12638*x^30 - 20824*x^29 + 179324*x^28 + 125272*x^27 - 1687806*x^26 - 238710*x^25 + 11121610*x^24 - 2430598*x^23 - 52786848*x^22 + 24533856*x^21 + 182900948*x^20 - 116837218*x^19 - 463854404*x^18 + 354131276*x^17 + 855350534*x^16 - 728716322*x^15 - 1128562178*x^14 + 1029126916*x^13 + 1036828872*x^12 - 981843296*x^11 - 635870370*x^10 + 608593542*x^9 + 244133330*x^8 - 228231198*x^7 - 53713264*x^6 + 45262580*x^5 + 6838104*x^4 - 3744824*x^3 - 681634*x^2 + 122370*x + 20700, x^35 - 5*x^34 - 47*x^33 + 265*x^32 + 959*x^31 - 6375*x^30 - 10907*x^29 + 92264*x^28 + 71196*x^27 - 897371*x^26 - 197424*x^25 + 6201948*x^24 - 855563*x^23 - 31378647*x^22 + 12094056*x^21 + 117865214*x^20 - 66485609*x^19 - 329465588*x^18 + 229665980*x^17 + 679884331*x^16 - 542754251*x^15 - 1016502129*x^14 + 890906537*x^13 + 1067032080*x^12 - 999750726*x^11 - 750107371*x^10 + 736949720*x^9 + 330661226*x^8 - 334419425*x^7 - 84291129*x^6 + 85183602*x^5 + 11241106*x^4 - 10386038*x^3 - 759641*x^2 + 414435*x + 42750, x^35 - 6*x^34 - 37*x^33 + 283*x^32 + 493*x^31 - 5910*x^30 - 1348*x^29 + 71895*x^28 - 41885*x^27 - 562807*x^26 + 647647*x^25 + 2941628*x^24 - 4913378*x^23 - 10175097*x^22 + 23738095*x^21 + 21240098*x^20 - 78279874*x^19 - 14499698*x^18 + 179629472*x^17 - 57401215*x^16 - 284467523*x^15 + 211314812*x^14 + 299576150*x^13 - 354938273*x^12 - 191568017*x^11 + 352342337*x^10 + 55804439*x^9 - 210196658*x^8 + 6831624*x^7 + 71329027*x^6 - 8533393*x^5 - 12402760*x^4 + 1670175*x^3 + 913598*x^2 - 65505*x - 26550, 2*x^35 - 10*x^34 - 94*x^33 + 528*x^32 + 1910*x^31 - 12598*x^30 - 21462*x^29 + 179700*x^28 + 135980*x^27 - 1708108*x^26 - 334866*x^25 + 11413772*x^24 - 1967138*x^23 - 55103612*x^22 + 23813718*x^21 + 194434980*x^20 - 121727010*x^19 - 501193282*x^18 + 390410452*x^17 + 932690664*x^16 - 846782674*x^15 - 1222063226*x^14 + 1255631154*x^13 + 1079524272*x^12 - 1247501316*x^11 - 598029908*x^10 + 792741850*x^9 + 183823104*x^8 - 299102498*x^7 - 25371812*x^6 + 60810094*x^5 + 931048*x^4 - 5718376*x^3 - 90692*x^2 + 185250*x + 17100, x^35 - 6*x^34 - 37*x^33 + 283*x^32 + 493*x^31 - 5910*x^30 - 1348*x^29 + 71895*x^28 - 41885*x^27 - 562807*x^26 + 647647*x^25 + 2941628*x^24 - 4913378*x^23 - 10175097*x^22 + 23738095*x^21 + 21240098*x^20 - 78279874*x^19 - 14499698*x^18 + 179629472*x^17 - 57401215*x^16 - 284467523*x^15 + 211314812*x^14 + 299576150*x^13 - 354938273*x^12 - 191568017*x^11 + 352342337*x^10 + 55804439*x^9 - 210196658*x^8 + 6831624*x^7 + 71329027*x^6 - 8533393*x^5 - 12402760*x^4 + 1670175*x^3 + 913598*x^2 - 65505*x - 26550, x^35 - 5*x^34 - 47*x^33 + 265*x^32 + 959*x^31 - 6375*x^30 - 10907*x^29 + 92264*x^28 + 71196*x^27 - 897371*x^26 - 197424*x^25 + 6201948*x^24 - 855563*x^23 - 31378647*x^22 + 12094056*x^21 + 117865214*x^20 - 66485609*x^19 - 329465588*x^18 + 229665980*x^17 + 679884331*x^16 - 542754251*x^15 - 1016502129*x^14 + 890906537*x^13 + 1067032080*x^12 - 999750726*x^11 - 750107371*x^10 + 736949720*x^9 + 330661226*x^8 - 334419425*x^7 - 84291129*x^6 + 85183602*x^5 + 11241106*x^4 - 10386038*x^3 - 759641*x^2 + 414435*x + 42750, x^35 - 6*x^34 - 40*x^33 + 298*x^32 + 622*x^31 - 6639*x^30 - 3711*x^29 + 87731*x^28 - 18349*x^27 - 766209*x^26 + 518278*x^25 + 4664048*x^24 - 4651869*x^23 - 20327837*x^22 + 25212860*x^21 + 64116315*x^20 - 92470952*x^19 - 146044085*x^18 + 237775933*x^17 + 236786408*x^16 - 430753640*x^15 - 265889037*x^14 + 541101237*x^13 + 199836237*x^12 - 454175749*x^11 - 101989719*x^10 + 239475900*x^9 + 46212724*x^8 - 73779593*x^7 - 24521735*x^6 + 14053150*x^5 + 8776565*x^4 - 2128071*x^3 - 1317965*x^2 + 187545*x + 56250, x^35 - 6*x^34 - 38*x^33 + 288*x^32 + 534*x^31 - 6133*x^30 - 2110*x^29 + 76366*x^28 - 33072*x^27 - 616511*x^26 + 572896*x^25 + 3377844*x^24 - 4400837*x^23 - 12749299*x^22 + 20848414*x^21 + 32823705*x^20 - 65473206*x^19 - 55349224*x^18 + 137580821*x^17 + 55651958*x^16 - 187585368*x^15 - 28145087*x^14 + 152367450*x^13 + 15919620*x^12 - 59447356*x^11 - 42394003*x^10 + 6117446*x^9 + 55832980*x^8 - 6399313*x^7 - 30421153*x^6 + 7122718*x^5 + 7341789*x^4 - 2055303*x^3 - 762872*x^2 + 154515*x + 34650, x^34 - 6*x^33 - 35*x^32 + 272*x^31 + 427*x^30 - 5453*x^29 - 578*x^28 + 63638*x^27 - 43471*x^26 - 478273*x^25 + 593673*x^24 + 2410699*x^23 - 4227740*x^22 - 8161896*x^21 + 19512820*x^20 + 17594269*x^19 - 62422772*x^18 - 18651052*x^17 + 142216791*x^16 - 13222190*x^15 - 232856385*x^14 + 83933207*x^13 + 273025450*x^12 - 147907740*x^11 - 225032671*x^10 + 146750347*x^9 + 124908439*x^8 - 86789789*x^7 - 43117118*x^6 + 28631342*x^5 + 8322724*x^4 - 4559527*x^3 - 783599*x^2 + 240600*x + 38700, x^34 - 5*x^33 - 44*x^32 + 249*x^31 + 833*x^30 - 5582*x^29 - 8717*x^28 + 74603*x^27 + 52248*x^26 - 663625*x^25 - 140835*x^24 + 4153329*x^23 - 356294*x^22 - 18840560*x^21 + 5130194*x^20 + 62820553*x^19 - 24306535*x^18 - 154258731*x^17 + 69682194*x^16 + 276288627*x^15 - 132353675*x^14 - 352889934*x^13 + 167110727*x^12 + 309256293*x^11 - 133090466*x^10 - 175588523*x^9 + 57655401*x^8 + 60535667*x^7 - 7494720*x^6 - 12722468*x^5 - 2197308*x^4 + 1730967*x^3 + 580928*x^2 - 121260*x - 27900, 4*x^34 - 24*x^33 - 154*x^32 + 1160*x^31 + 2234*x^30 - 24980*x^29 - 10404*x^28 + 316342*x^27 - 112282*x^26 - 2618172*x^25 + 2202014*x^24 + 14876976*x^23 - 17834156*x^22 - 59256948*x^21 + 89235822*x^20 + 165460790*x^19 - 301551858*x^18 - 316456420*x^17 + 706717566*x^16 + 388133532*x^15 - 1147522730*x^14 - 247147792*x^13 + 1264252164*x^12 - 19438410*x^11 - 907507722*x^10 + 158569720*x^9 + 399299230*x^8 - 111721796*x^7 - 99724388*x^6 + 34401032*x^5 + 12538802*x^4 - 4669106*x^3 - 627822*x^2 + 179280*x + 21600, 2*x^34 - 12*x^33 - 74*x^32 + 570*x^31 + 966*x^30 - 11956*x^29 - 1894*x^28 + 145576*x^27 - 97600*x^26 - 1135184*x^25 + 1427918*x^24 + 5869892*x^23 - 10577950*x^22 - 19873278*x^21 + 49781040*x^20 + 39767196*x^19 - 157794872*x^18 - 22988806*x^17 + 339515278*x^16 - 108581982*x^15 - 482098406*x^14 + 348058928*x^13 + 415634330*x^12 - 501101952*x^11 - 166386136*x^10 + 398015252*x^9 - 21221838*x^8 - 169516528*x^7 + 41962270*x^6 + 34851266*x^5 - 12036820*x^4 - 2703092*x^3 + 1007982*x^2 + 69390*x - 18900, 2*x^34 - 11*x^33 - 81*x^32 + 533*x^31 + 1323*x^30 - 11532*x^29 - 9997*x^28 + 147396*x^27 + 10244*x^26 - 1241480*x^25 + 495356*x^24 + 7282292*x^23 - 5102350*x^22 - 30673516*x^21 + 27713218*x^20 + 94340837*x^19 - 98085423*x^18 - 213455580*x^17 + 240137885*x^16 + 355138817*x^15 - 414474869*x^14 - 430333472*x^13 + 503744619*x^12 + 370885730*x^11 - 423371798*x^10 - 216744984*x^9 + 236334374*x^8 + 78695286*x^7 - 81382088*x^6 - 15303752*x^5 + 15399216*x^4 + 1149685*x^3 - 1287329*x^2 - 10905*x + 29250, 2*x^34 - 12*x^33 - 76*x^32 + 576*x^31 + 1080*x^30 - 12346*x^29 - 4560*x^28 + 156000*x^27 - 63636*x^26 - 1291688*x^25 + 1171218*x^24 + 7363850*x^23 - 9461120*x^22 - 29515400*x^21 + 47908320*x^20 + 83176964*x^19 - 165462508*x^18 - 160981254*x^17 + 400274840*x^16 + 200106296*x^15 - 679043156*x^14 - 128525606*x^13 + 794850404*x^12 - 13178052*x^11 - 622191840*x^10 + 89233840*x^9 + 312083542*x^8 - 62054050*x^7 - 96577588*x^6 + 17715064*x^5 + 18306572*x^4 - 2201984*x^3 - 2024914*x^2 + 160890*x + 74700, 3*x^34 - 16*x^33 - 128*x^32 + 797*x^31 + 2273*x^30 - 17828*x^29 - 20410*x^28 + 236814*x^27 + 70226*x^26 - 2081052*x^25 + 437475*x^24 + 12753303*x^23 - 7002802*x^22 - 55947628*x^21 + 44548345*x^20 + 177360328*x^19 - 176035661*x^18 - 404618726*x^17 + 471591378*x^16 + 652067975*x^15 - 874784655*x^14 - 714249496*x^13 + 1114707244*x^12 + 493023122*x^11 - 947116728*x^10 - 179222868*x^9 + 508947419*x^8 + 11617813*x^7 - 159665824*x^6 + 11834952*x^5 + 26157733*x^4 - 2894008*x^3 - 1899088*x^2 + 154950*x + 50400, 3*x^34 - 16*x^33 - 128*x^32 + 797*x^31 + 2273*x^30 - 17828*x^29 - 20410*x^28 + 236814*x^27 + 70226*x^26 - 2081052*x^25 + 437475*x^24 + 12753303*x^23 - 7002802*x^22 - 55947628*x^21 + 44548345*x^20 + 177360328*x^19 - 176035661*x^18 - 404618726*x^17 + 471591378*x^16 + 652067975*x^15 - 874784655*x^14 - 714249496*x^13 + 1114707244*x^12 + 493023122*x^11 - 947116728*x^10 - 179222868*x^9 + 508947419*x^8 + 11617813*x^7 - 159665824*x^6 + 11834952*x^5 + 26157733*x^4 - 2894008*x^3 - 1899088*x^2 + 154950*x + 50400, 2*x^34 - 11*x^33 - 81*x^32 + 533*x^31 + 1323*x^30 - 11532*x^29 - 9997*x^28 + 147396*x^27 + 10244*x^26 - 1241480*x^25 + 495356*x^24 + 7282292*x^23 - 5102350*x^22 - 30673516*x^21 + 27713218*x^20 + 94340837*x^19 - 98085423*x^18 - 213455580*x^17 + 240137885*x^16 + 355138817*x^15 - 414474869*x^14 - 430333472*x^13 + 503744619*x^12 + 370885730*x^11 - 423371798*x^10 - 216744984*x^9 + 236334374*x^8 + 78695286*x^7 - 81382088*x^6 - 15303752*x^5 + 15399216*x^4 + 1149685*x^3 - 1287329*x^2 - 10905*x + 29250, x^34 - 5*x^33 - 44*x^32 + 249*x^31 + 833*x^30 - 5582*x^29 - 8717*x^28 + 74603*x^27 + 52248*x^26 - 663625*x^25 - 140835*x^24 + 4153329*x^23 - 356294*x^22 - 18840560*x^21 + 5130194*x^20 + 62820553*x^19 - 24306535*x^18 - 154258731*x^17 + 69682194*x^16 + 276288627*x^15 - 132353675*x^14 - 352889934*x^13 + 167110727*x^12 + 309256293*x^11 - 133090466*x^10 - 175588523*x^9 + 57655401*x^8 + 60535667*x^7 - 7494720*x^6 - 12722468*x^5 - 2197308*x^4 + 1730967*x^3 + 580928*x^2 - 121260*x - 27900, x^34 - 6*x^33 - 35*x^32 + 272*x^31 + 427*x^30 - 5453*x^29 - 578*x^28 + 63638*x^27 - 43471*x^26 - 478273*x^25 + 593673*x^24 + 2410699*x^23 - 4227740*x^22 - 8161896*x^21 + 19512820*x^20 + 17594269*x^19 - 62422772*x^18 - 18651052*x^17 + 142216791*x^16 - 13222190*x^15 - 232856385*x^14 + 83933207*x^13 + 273025450*x^12 - 147907740*x^11 - 225032671*x^10 + 146750347*x^9 + 124908439*x^8 - 86789789*x^7 - 43117118*x^6 + 28631342*x^5 + 8322724*x^4 - 4559527*x^3 - 783599*x^2 + 240600*x + 38700, 3*x^33 - 18*x^32 - 105*x^31 + 812*x^30 + 1303*x^29 - 16207*x^28 - 2732*x^27 + 188540*x^26 - 110065*x^25 - 1416687*x^24 + 1534283*x^23 + 7190493*x^22 - 10698990*x^21 - 24969002*x^20 + 47370622*x^19 + 58331103*x^18 - 142072830*x^17 - 85597578*x^16 + 293861145*x^15 + 60401874*x^14 - 416676761*x^13 + 23918977*x^12 + 395158148*x^11 - 91270738*x^10 - 240258509*x^9 + 80229585*x^8 + 88644517*x^7 - 32703995*x^6 - 18904720*x^5 + 6308328*x^4 + 2132234*x^3 - 476393*x^2 - 93255*x + 2250, 2*x^33 - 8*x^32 - 90*x^31 + 374*x^30 + 1830*x^29 - 7886*x^28 - 22390*x^27 + 99396*x^26 + 185460*x^25 - 836662*x^24 - 1110154*x^23 + 4975448*x^22 + 4998950*x^21 - 21553044*x^20 - 17322442*x^19 + 69061930*x^18 + 46513688*x^17 - 164411020*x^16 - 95963890*x^15 + 289420370*x^14 + 148600974*x^13 - 371662954*x^12 - 166015070*x^11 + 340010804*x^10 + 125691048*x^9 - 213232098*x^8 - 57982042*x^7 + 85857072*x^6 + 13174294*x^5 - 19644420*x^4 - 787762*x^3 + 2034958*x^2 - 55590*x - 58500, x^33 - 5*x^32 - 38*x^31 + 224*x^30 + 576*x^29 - 4411*x^28 - 4006*x^27 + 50336*x^26 + 4512*x^25 - 369884*x^24 + 142246*x^23 + 1843571*x^22 - 1242106*x^21 - 6425956*x^20 + 5343864*x^19 + 16091889*x^18 - 13835008*x^17 - 30179975*x^16 + 22111338*x^15 + 45352778*x^14 - 21100576*x^13 - 57690671*x^12 + 11828990*x^11 + 59491662*x^10 - 6231976*x^9 - 43332458*x^8 + 5749206*x^7 + 19293987*x^6 - 3527990*x^5 - 4848290*x^4 + 978032*x^3 + 615777*x^2 - 94185*x - 28350, 2*x^33 - 6*x^32 - 102*x^31 + 310*x^30 + 2326*x^29 - 7156*x^28 - 31456*x^27 + 97838*x^26 + 282126*x^25 - 885796*x^24 - 1776276*x^23 + 5625320*x^22 + 8084212*x^21 - 25880214*x^20 - 26848460*x^19 + 87709642*x^18 + 64353636*x^17 - 219885898*x^16 - 106927670*x^15 + 404349102*x^14 + 110899430*x^13 - 532941192*x^12 - 47491424*x^11 + 482803258*x^10 - 33456730*x^9 - 281182488*x^8 + 54760896*x^7 + 95693572*x^6 - 26282256*x^5 - 17386670*x^4 + 5118588*x^3 + 1595134*x^2 - 327930*x - 69300, 4*x^33 - 20*x^32 - 170*x^31 + 976*x^30 + 3020*x^29 - 21234*x^28 - 27880*x^27 + 272402*x^26 + 119884*x^25 - 2297500*x^24 + 154050*x^23 + 13454430*x^22 - 5229252*x^21 - 56348082*x^20 + 33873392*x^19 + 171359232*x^18 - 127108916*x^17 - 380397472*x^16 + 315864750*x^15 + 614313744*x^14 - 539529368*x^13 - 712065970*x^12 + 635826284*x^11 + 575756390*x^10 - 506732792*x^9 - 307798920*x^8 + 259436650*x^7 + 99408530*x^6 - 76907104*x^5 - 17433210*x^4 + 11154012*x^3 + 1511608*x^2 - 539700*x - 77400, 3*x^33 - 18*x^32 - 105*x^31 + 812*x^30 + 1303*x^29 - 16207*x^28 - 2732*x^27 + 188540*x^26 - 110065*x^25 - 1416687*x^24 + 1534283*x^23 + 7190493*x^22 - 10698990*x^21 - 24969002*x^20 + 47370622*x^19 + 58331103*x^18 - 142072830*x^17 - 85597578*x^16 + 293861145*x^15 + 60401874*x^14 - 416676761*x^13 + 23918977*x^12 + 395158148*x^11 - 91270738*x^10 - 240258509*x^9 + 80229585*x^8 + 88644517*x^7 - 32703995*x^6 - 18904720*x^5 + 6308328*x^4 + 2132234*x^3 - 476393*x^2 - 93255*x + 2250, 3*x^33 - 14*x^32 - 130*x^31 + 680*x^30 + 2400*x^29 - 14781*x^28 - 23869*x^27 + 189863*x^26 + 124694*x^25 - 1602097*x^24 - 122286*x^23 + 9331081*x^22 - 3003468*x^21 - 38314750*x^20 + 23971223*x^19 + 111074254*x^18 - 98448546*x^17 - 223221474*x^16 + 256465542*x^15 + 296498918*x^14 - 440500060*x^13 - 231562877*x^12 + 491952605*x^11 + 66464703*x^10 - 339598870*x^9 + 37991367*x^8 + 132605050*x^7 - 34122263*x^6 - 26118968*x^5 + 8577704*x^4 + 2149113*x^3 - 667956*x^2 - 69345*x + 9450, 3*x^33 - 14*x^32 - 130*x^31 + 680*x^30 + 2400*x^29 - 14781*x^28 - 23869*x^27 + 189863*x^26 + 124694*x^25 - 1602097*x^24 - 122286*x^23 + 9331081*x^22 - 3003468*x^21 - 38314750*x^20 + 23971223*x^19 + 111074254*x^18 - 98448546*x^17 - 223221474*x^16 + 256465542*x^15 + 296498918*x^14 - 440500060*x^13 - 231562877*x^12 + 491952605*x^11 + 66464703*x^10 - 339598870*x^9 + 37991367*x^8 + 132605050*x^7 - 34122263*x^6 - 26118968*x^5 + 8577704*x^4 + 2149113*x^3 - 667956*x^2 - 69345*x + 9450, x^33 - 5*x^32 - 38*x^31 + 224*x^30 + 576*x^29 - 4411*x^28 - 4006*x^27 + 50336*x^26 + 4512*x^25 - 369884*x^24 + 142246*x^23 + 1843571*x^22 - 1242106*x^21 - 6425956*x^20 + 5343864*x^19 + 16091889*x^18 - 13835008*x^17 - 30179975*x^16 + 22111338*x^15 + 45352778*x^14 - 21100576*x^13 - 57690671*x^12 + 11828990*x^11 + 59491662*x^10 - 6231976*x^9 - 43332458*x^8 + 5749206*x^7 + 19293987*x^6 - 3527990*x^5 - 4848290*x^4 + 978032*x^3 + 615777*x^2 - 94185*x - 28350, 6*x^32 - 36*x^31 - 204*x^30 + 1592*x^29 + 2406*x^28 - 31098*x^27 - 2958*x^26 + 353274*x^25 - 230608*x^24 - 2584056*x^23 + 2989870*x^22 + 12708294*x^21 - 20050518*x^20 - 42440130*x^19 + 85812450*x^18 + 94034728*x^17 - 248630486*x^16 - 126482232*x^15 + 495222780*x^14 + 68511376*x^13 - 672717706*x^12 + 69815054*x^11 + 606966002*x^10 - 155754602*x^9 - 348347464*x^8 + 116139844*x^7 + 120789986*x^6 - 40038078*x^5 - 24497062*x^4 + 6285118*x^3 + 2715258*x^2 - 399240*x - 113400, 4*x^32 - 15*x^31 - 183*x^30 + 721*x^29 + 3697*x^28 - 15495*x^27 - 43370*x^26 + 196829*x^25 + 326035*x^24 - 1645946*x^23 - 1625986*x^22 + 9548666*x^21 + 5303092*x^20 - 39437614*x^19 - 10122527*x^18 + 117043616*x^17 + 4760062*x^16 - 248641387*x^15 + 29935493*x^14 + 371787189*x^13 - 89813447*x^12 - 379066995*x^11 + 124714600*x^10 + 250670965*x^9 - 95159881*x^8 - 100500972*x^7 + 37853284*x^6 + 23025008*x^5 - 6621950*x^4 - 2892536*x^3 + 234609*x^2 + 182430*x + 18900, 2*x^32 - 10*x^31 - 74*x^30 + 450*x^29 + 1014*x^28 - 8772*x^27 - 4366*x^26 + 96912*x^25 - 42954*x^24 - 663812*x^23 + 740174*x^22 + 2865938*x^21 - 5089422*x^20 - 7291050*x^19 + 20594054*x^18 + 7035140*x^17 - 52330918*x^16 + 17705538*x^15 + 81317606*x^14 - 76587926*x^13 - 65468290*x^12 + 129302364*x^11 + 2143890*x^10 - 118414900*x^9 + 43253686*x^8 + 59259292*x^7 - 33886554*x^6 - 15150830*x^5 + 9797290*x^4 + 1777346*x^3 - 909722*x^2 - 89520*x + 9000, 4*x^32 - 15*x^31 - 183*x^30 + 721*x^29 + 3697*x^28 - 15495*x^27 - 43370*x^26 + 196829*x^25 + 326035*x^24 - 1645946*x^23 - 1625986*x^22 + 9548666*x^21 + 5303092*x^20 - 39437614*x^19 - 10122527*x^18 + 117043616*x^17 + 4760062*x^16 - 248641387*x^15 + 29935493*x^14 + 371787189*x^13 - 89813447*x^12 - 379066995*x^11 + 124714600*x^10 + 250670965*x^9 - 95159881*x^8 - 100500972*x^7 + 37853284*x^6 + 23025008*x^5 - 6621950*x^4 - 2892536*x^3 + 234609*x^2 + 182430*x + 18900, 6*x^31 - 32*x^30 - 200*x^29 + 1316*x^28 + 2506*x^27 - 23806*x^26 - 10478*x^25 + 249318*x^24 - 78696*x^23 - 1672692*x^22 + 1347462*x^21 + 7497874*x^20 - 8928794*x^19 - 22627478*x^18 + 35515174*x^17 + 44712924*x^16 - 92499510*x^15 - 52292372*x^14 + 160635816*x^13 + 21977100*x^12 - 183350294*x^11 + 26786874*x^10 + 132169554*x^9 - 44319326*x^8 - 56499048*x^7 + 25369912*x^6 + 13312378*x^5 - 6331538*x^4 - 1549210*x^3 + 553546*x^2 + 73110*x - 4500, 2*x^31 + 2*x^30 - 138*x^29 + 50*x^28 + 3646*x^27 - 3760*x^26 - 51978*x^25 + 75956*x^24 + 455682*x^23 - 821204*x^22 - 2605210*x^21 + 5560862*x^20 + 9906326*x^19 - 25148638*x^18 - 24660902*x^17 + 78065488*x^16 + 37094930*x^15 - 167293482*x^14 - 23267138*x^13 + 244683706*x^12 - 21514090*x^11 - 237398224*x^10 + 55717638*x^9 + 145924208*x^8 - 45384966*x^7 - 53738804*x^6 + 16853270*x^5 + 11473926*x^4 - 2865786*x^3 - 1321074*x^2 + 197370*x + 56700]>
       ]
>;

MOG[769] := 	// J_0(769)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 7,
           Coordinates        := [84, 183, 197, 299, 456, 470, 485, 610, 695, 747, 391*x + 126, 378*x + 126, 4*x + 227, 765*x + 227, 421*x + 242, 348*x + 242, 91*x + 635, 678*x + 635, 630*x + 484, 139*x + 484, 14*x + 295, 755*x + 295, 23*x + 462, 746*x + 462, 129*x + 19, 640*x + 19, 727*x + 707, 42*x + 707, 384*x + 499, 385*x + 499, 80*x + 402, 689*x + 402, 255*x + 59, 514*x + 59, 524*x + 419, 245*x + 419, 537*x + 111, 232*x + 111, 673*x + 596, 96*x + 596, 480*x + 192, 289*x + 192, 594*x + 232, 175*x + 232, 40*x + 5, 729*x + 5, 5*x + 385, 764*x + 385, 517*x + 15, 252*x + 15, 97*x + 219, 672*x + 219, 716*x + 713, 53*x + 713, 17*x + 705, 752*x + 705, 504*x + 508, 265*x + 508, 495*x + 753, 274*x + 753, 518*x + 24, 251*x + 24, 7*x + 358, 762*x + 358]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^27 + 10*x^26 + 14*x^25 - 171*x^24 - 596*x^23 + 877*x^22 + 6368*x^21 + 1274*x^20 - 33842*x^19 - 33146*x^18 + 101359*x^17 + 161248*x^16 - 169046*x^15 - 409847*x^14 + 122114*x^13 + 613438*x^12 + 55299*x^11 - 543685*x^10 - 177103*x^9 + 267435*x^8 + 131375*x^7 - 60360*x^6 - 39651*x^5 + 2516*x^4 + 3671*x^3 + 332*x^2 - 43*x - 5,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^26 - 10*x^25 - 16*x^24 + 152*x^23 + 570*x^22 - 594*x^21 - 5428*x^20 - 2505*x^19 + 25232*x^18 + 31249*x^17 - 62731*x^16 - 125118*x^15 + 74101*x^14 + 267175*x^13 + 666*x^12 - 327561*x^11 - 110461*x^10 + 223949*x^9 + 129314*x^8 - 73260*x^7 - 62821*x^6 + 4522*x^5 + 11757*x^4 + 2044*x^3 - 202*x^2 - 62*x - 3, x^26 + 10*x^25 + 16*x^24 - 152*x^23 - 570*x^22 + 594*x^21 + 5428*x^20 + 2505*x^19 - 25232*x^18 - 31249*x^17 + 62731*x^16 + 125118*x^15 - 74101*x^14 - 267175*x^13 - 666*x^12 + 327561*x^11 + 110461*x^10 - 223949*x^9 - 129314*x^8 + 73260*x^7 + 62821*x^6 - 4522*x^5 - 11757*x^4 - 2044*x^3 + 202*x^2 + 62*x + 3, -x^25 - 9*x^24 - 8*x^23 + 151*x^22 + 409*x^21 - 871*x^20 - 4181*x^19 + 1020*x^18 + 20837*x^17 + 10889*x^16 - 58480*x^15 - 58525*x^14 + 93973*x^13 + 135893*x^12 - 78952*x^11 - 171604*x^10 + 20064*x^9 + 119078*x^8 + 15922*x^7 - 41320*x^6 - 11554*x^5 + 5200*x^4 + 1958*x^3 + 64*x^2 - 20*x - 1, x^25 + 9*x^24 + 8*x^23 - 151*x^22 - 409*x^21 + 871*x^20 + 4181*x^19 - 1020*x^18 - 20837*x^17 - 10889*x^16 + 58480*x^15 + 58525*x^14 - 93973*x^13 - 135893*x^12 + 78952*x^11 + 171604*x^10 - 20064*x^9 - 119078*x^8 - 15922*x^7 + 41320*x^6 + 11554*x^5 - 5200*x^4 - 1958*x^3 - 64*x^2 + 20*x + 1, -x^25 - 10*x^24 - 18*x^23 + 132*x^22 + 531*x^21 - 360*x^20 - 4429*x^19 - 2917*x^18 + 17791*x^17 + 25241*x^16 - 36465*x^15 - 84147*x^14 + 28807*x^13 + 149984*x^12 + 23790*x^11 - 148132*x^10 - 67853*x^9 + 75097*x^8 + 52632*x^7 - 14518*x^6 - 16340*x^5 - 640*x^4 + 1511*x^3 + 206*x^2 - 26*x - 4, x^25 + 10*x^24 + 18*x^23 - 132*x^22 - 531*x^21 + 360*x^20 + 4429*x^19 + 2917*x^18 - 17791*x^17 - 25241*x^16 + 36465*x^15 + 84147*x^14 - 28807*x^13 - 149984*x^12 - 23790*x^11 + 148132*x^10 + 67853*x^9 - 75097*x^8 - 52632*x^7 + 14518*x^6 + 16340*x^5 + 640*x^4 - 1511*x^3 - 206*x^2 + 26*x + 4, -x^24 - 9*x^23 - 10*x^22 + 132*x^21 + 376*x^20 - 656*x^19 - 3375*x^18 + 477*x^17 + 15140*x^16 + 8113*x^15 - 38653*x^14 - 37309*x^13 + 56275*x^12 + 77005*x^11 - 41079*x^10 - 84807*x^9 + 5686*x^8 + 47862*x^7 + 9947*x^6 - 10876*x^5 - 4599*x^4 - 22*x^3 + 246*x^2 + 41*x + 2, x^24 + 9*x^23 + 10*x^22 - 132*x^21 - 376*x^20 + 656*x^19 + 3375*x^18 - 477*x^17 - 15140*x^16 - 8113*x^15 + 38653*x^14 + 37309*x^13 - 56275*x^12 - 77005*x^11 + 41079*x^10 + 84807*x^9 - 5686*x^8 - 47862*x^7 - 9947*x^6 + 10876*x^5 + 4599*x^4 + 22*x^3 - 246*x^2 - 41*x - 2, -x^24 - 10*x^23 - 20*x^22 + 112*x^21 + 489*x^20 - 155*x^19 - 3488*x^18 - 3043*x^17 + 11605*x^16 + 19055*x^15 - 17972*x^14 - 50816*x^13 + 4802*x^12 + 71027*x^11 + 23726*x^10 - 50505*x^9 - 33046*x^8 + 13106*x^7 + 16401*x^6 + 2558*x^5 - 2271*x^4 - 1349*x^3 - 245*x^2 + 2, x^24 + 10*x^23 + 20*x^22 - 112*x^21 - 489*x^20 + 155*x^19 + 3488*x^18 + 3043*x^17 - 11605*x^16 - 19055*x^15 + 17972*x^14 + 50816*x^13 - 4802*x^12 - 71027*x^11 - 23726*x^10 + 50505*x^9 + 33046*x^8 - 13106*x^7 - 16401*x^6 - 2558*x^5 + 2271*x^4 + 1349*x^3 + 245*x^2 - 2, -x^24 - 10*x^23 - 19*x^22 + 122*x^21 + 510*x^20 - 257*x^19 - 3953*x^18 - 2965*x^17 + 14661*x^16 + 21916*x^15 - 27322*x^14 - 66375*x^13 + 18322*x^12 + 108402*x^11 + 18882*x^10 - 98347*x^9 - 43636*x^8 + 45636*x^7 + 30080*x^6 - 7720*x^5 - 7975*x^4 - 489*x^3 + 421*x^2 + 58*x + 1, x^24 + 10*x^23 + 19*x^22 - 122*x^21 - 510*x^20 + 257*x^19 + 3953*x^18 + 2965*x^17 - 14661*x^16 - 21916*x^15 + 27322*x^14 + 66375*x^13 - 18322*x^12 - 108402*x^11 - 18882*x^10 + 98347*x^9 + 43636*x^8 - 45636*x^7 - 30080*x^6 + 7720*x^5 + 7975*x^4 + 489*x^3 - 421*x^2 - 58*x - 1, -x^23 - 9*x^22 - 12*x^21 + 114*x^20 + 350*x^19 - 445*x^18 - 2694*x^17 - 208*x^16 + 10287*x^15 + 6804*x^14 - 22026*x^13 - 22757*x^12 + 26691*x^11 + 36658*x^10 - 16758*x^9 - 31683*x^8 + 3505*x^7 + 13992*x^6 + 1152*x^5 - 2472*x^4 - 512*x^3 - 17*x^2 - 6*x - 1, x^23 + 9*x^22 + 12*x^21 - 114*x^20 - 350*x^19 + 445*x^18 + 2694*x^17 + 208*x^16 - 10287*x^15 - 6804*x^14 + 22026*x^13 + 22757*x^12 - 26691*x^11 - 36658*x^10 + 16758*x^9 + 31683*x^8 - 3505*x^7 - 13992*x^6 - 1152*x^5 + 2472*x^4 + 512*x^3 + 17*x^2 + 6*x + 1, -x^23 - 10*x^22 - 21*x^21 + 101*x^20 + 456*x^19 - 98*x^18 - 3003*x^17 - 2568*x^16 + 9540*x^15 + 14412*x^14 - 15672*x^13 - 36131*x^12 + 11182*x^11 + 50139*x^10 + 2380*x^9 - 39533*x^8 - 9480*x^7 + 16452*x^6 + 5803*x^5 - 2750*x^4 - 1200*x^3 - 6*x^2 + 28*x + 2, x^23 + 10*x^22 + 21*x^21 - 101*x^20 - 456*x^19 + 98*x^18 + 3003*x^17 + 2568*x^16 - 9540*x^15 - 14412*x^14 + 15672*x^13 + 36131*x^12 - 11182*x^11 - 50139*x^10 - 2380*x^9 + 39533*x^8 + 9480*x^7 - 16452*x^6 - 5803*x^5 + 2750*x^4 + 1200*x^3 + 6*x^2 - 28*x - 2, -x^23 - 10*x^22 - 20*x^21 + 111*x^20 + 479*x^19 - 178*x^18 - 3408*x^17 - 2638*x^16 + 11675*x^15 + 16920*x^14 - 20480*x^13 - 46008*x^12 + 14679*x^11 + 67530*x^10 + 6335*x^9 - 54460*x^8 - 18119*x^7 + 21745*x^6 + 11108*x^5 - 2747*x^4 - 2274*x^3 - 275*x^2 + 24*x + 4, x^23 + 10*x^22 + 20*x^21 - 111*x^20 - 479*x^19 + 178*x^18 + 3408*x^17 + 2638*x^16 - 11675*x^15 - 16920*x^14 + 20480*x^13 + 46008*x^12 - 14679*x^11 - 67530*x^10 - 6335*x^9 + 54460*x^8 + 18119*x^7 - 21745*x^6 - 11108*x^5 + 2747*x^4 + 2274*x^3 + 275*x^2 - 24*x - 4, -x^23 - 10*x^22 - 22*x^21 + 94*x^20 + 462*x^19 + 52*x^18 - 2778*x^17 - 3548*x^16 + 6818*x^15 + 16411*x^14 - 3525*x^13 - 32949*x^12 - 14743*x^11 + 30097*x^10 + 28472*x^9 - 7531*x^8 - 18112*x^7 - 4669*x^6 + 2961*x^5 + 2038*x^4 + 518*x^3 + 69*x^2 + 4*x, x^23 + 10*x^22 + 22*x^21 - 94*x^20 - 462*x^19 - 52*x^18 + 2778*x^17 + 3548*x^16 - 6818*x^15 - 16411*x^14 + 3525*x^13 + 32949*x^12 + 14743*x^11 - 30097*x^10 - 28472*x^9 + 7531*x^8 + 18112*x^7 + 4669*x^6 - 2961*x^5 - 2038*x^4 - 518*x^3 - 69*x^2 - 4*x, -x^23 - 10*x^22 - 21*x^21 + 103*x^20 + 476*x^19 - 48*x^18 - 3130*x^17 - 3325*x^16 + 9143*x^15 + 17772*x^14 - 10485*x^13 - 41582*x^12 - 4908*x^11 + 49785*x^10 + 24217*x^9 - 29461*x^8 - 22552*x^7 + 6798*x^6 + 8365*x^5 + 151*x^4 - 1090*x^3 - 148*x^2 + 27*x + 4, x^23 + 10*x^22 + 21*x^21 - 103*x^20 - 476*x^19 + 48*x^18 + 3130*x^17 + 3325*x^16 - 9143*x^15 - 17772*x^14 + 10485*x^13 + 41582*x^12 + 4908*x^11 - 49785*x^10 - 24217*x^9 + 29461*x^8 + 22552*x^7 - 6798*x^6 - 8365*x^5 - 151*x^4 + 1090*x^3 + 148*x^2 - 27*x - 4, -x^22 - 9*x^21 - 13*x^20 + 105*x^19 + 337*x^18 - 342*x^17 - 2373*x^16 - 575*x^15 + 8027*x^14 + 6603*x^13 - 14113*x^12 - 17707*x^11 + 11699*x^10 + 21838*x^9 - 2098*x^8 - 12327*x^7 - 2361*x^6 + 2307*x^5 + 931*x^4 + 170*x^3 + 26*x^2 + 2*x, x^22 + 9*x^21 + 13*x^20 - 105*x^19 - 337*x^18 + 342*x^17 + 2373*x^16 + 575*x^15 - 8027*x^14 - 6603*x^13 + 14113*x^12 + 17707*x^11 - 11699*x^10 - 21838*x^9 + 2098*x^8 + 12327*x^7 + 2361*x^6 - 2307*x^5 - 931*x^4 - 170*x^3 - 26*x^2 - 2*x, -x^22 - 9*x^21 - 13*x^20 + 106*x^19 + 344*x^18 - 343*x^17 - 2480*x^16 - 734*x^15 + 8600*x^14 + 7949*x^13 - 15471*x^12 - 22640*x^11 + 12622*x^10 + 31286*x^9 - 83*x^8 - 21543*x^7 - 6434*x^6 + 6097*x^5 + 3156*x^4 - 165*x^3 - 278*x^2 - 44*x - 2, x^22 + 9*x^21 + 13*x^20 - 106*x^19 - 344*x^18 + 343*x^17 + 2480*x^16 + 734*x^15 - 8600*x^14 - 7949*x^13 + 15471*x^12 + 22640*x^11 - 12622*x^10 - 31286*x^9 + 83*x^8 + 21543*x^7 + 6434*x^6 - 6097*x^5 - 3156*x^4 + 165*x^3 + 278*x^2 + 44*x + 2, -x^22 - 11*x^21 - 31*x^20 + 79*x^19 + 550*x^18 + 363*x^17 - 2962*x^16 - 5376*x^15 + 6061*x^14 + 21658*x^13 + 915*x^12 - 41545*x^11 - 24071*x^10 + 38939*x^9 + 39294*x^8 - 13291*x^7 - 25889*x^6 - 2982*x^5 + 6146*x^4 + 2290*x^3 + 57*x^2 - 63*x - 6, x^22 + 11*x^21 + 31*x^20 - 79*x^19 - 550*x^18 - 363*x^17 + 2962*x^16 + 5376*x^15 - 6061*x^14 - 21658*x^13 - 915*x^12 + 41545*x^11 + 24071*x^10 - 38939*x^9 - 39294*x^8 + 13291*x^7 + 25889*x^6 + 2982*x^5 - 6146*x^4 - 2290*x^3 - 57*x^2 + 63*x + 6, -x^22 - 9*x^21 - 13*x^20 + 107*x^19 + 355*x^18 - 301*x^17 - 2461*x^16 - 1062*x^15 + 7767*x^14 + 8270*x^13 - 11681*x^12 - 19715*x^11 + 5851*x^10 + 21359*x^9 + 4152*x^8 - 9201*x^7 - 5143*x^6 - 168*x^5 + 989*x^4 + 714*x^3 + 197*x^2 + 23*x + 1, x^22 + 9*x^21 + 13*x^20 - 107*x^19 - 355*x^18 + 301*x^17 + 2461*x^16 + 1062*x^15 - 7767*x^14 - 8270*x^13 + 11681*x^12 + 19715*x^11 - 5851*x^10 - 21359*x^9 - 4152*x^8 + 9201*x^7 + 5143*x^6 + 168*x^5 - 989*x^4 - 714*x^3 - 197*x^2 - 23*x - 1, -x^22 - 9*x^21 - 14*x^20 + 100*x^19 + 355*x^18 - 204*x^17 - 2326*x^16 - 1582*x^15 + 6680*x^14 + 9597*x^13 - 7864*x^12 - 21215*x^11 - 1105*x^10 + 21615*x^9 + 10782*x^8 - 8574*x^7 - 8297*x^6 - 352*x^5 + 1800*x^4 + 704*x^3 + 52*x^2 - 23*x - 3, x^22 + 9*x^21 + 14*x^20 - 100*x^19 - 355*x^18 + 204*x^17 + 2326*x^16 + 1582*x^15 - 6680*x^14 - 9597*x^13 + 7864*x^12 + 21215*x^11 + 1105*x^10 - 21615*x^9 - 10782*x^8 + 8574*x^7 + 8297*x^6 + 352*x^5 - 1800*x^4 - 704*x^3 - 52*x^2 + 23*x + 3, -x^22 - 10*x^21 - 22*x^20 + 94*x^19 + 461*x^18 + 41*x^17 - 2808*x^16 - 3479*x^15 + 7246*x^14 + 16587*x^13 - 5414*x^12 - 35253*x^11 - 11200*x^10 + 36914*x^9 + 26242*x^8 - 16409*x^7 - 19434*x^6 + 343*x^5 + 5040*x^4 + 1257*x^3 - 57*x^2 - 34*x - 2, x^22 + 10*x^21 + 22*x^20 - 94*x^19 - 461*x^18 - 41*x^17 + 2808*x^16 + 3479*x^15 - 7246*x^14 - 16587*x^13 + 5414*x^12 + 35253*x^11 + 11200*x^10 - 36914*x^9 - 26242*x^8 + 16409*x^7 + 19434*x^6 - 343*x^5 - 5040*x^4 - 1257*x^3 + 57*x^2 + 34*x + 2, -x^22 - 9*x^21 - 12*x^20 + 115*x^19 + 362*x^18 - 401*x^17 - 2710*x^16 - 665*x^15 + 9591*x^14 + 8206*x^13 - 17816*x^12 - 23364*x^11 + 16535*x^10 + 31972*x^9 - 5158*x^8 - 22429*x^7 - 2281*x^6 + 7528*x^5 + 1845*x^4 - 916*x^3 - 337*x^2 - 20*x + 1, x^22 + 9*x^21 + 12*x^20 - 115*x^19 - 362*x^18 + 401*x^17 + 2710*x^16 + 665*x^15 - 9591*x^14 - 8206*x^13 + 17816*x^12 + 23364*x^11 - 16535*x^10 - 31972*x^9 + 5158*x^8 + 22429*x^7 + 2281*x^6 - 7528*x^5 - 1845*x^4 + 916*x^3 + 337*x^2 + 20*x - 1, -x^21 - 9*x^20 - 13*x^19 + 105*x^18 + 337*x^17 - 342*x^16 - 2373*x^15 - 575*x^14 + 8027*x^13 + 6603*x^12 - 14113*x^11 - 17707*x^10 + 11699*x^9 + 21838*x^8 - 2098*x^7 - 12327*x^6 - 2361*x^5 + 2307*x^4 + 931*x^3 + 170*x^2 + 26*x + 2, x^21 + 9*x^20 + 13*x^19 - 105*x^18 - 337*x^17 + 342*x^16 + 2373*x^15 + 575*x^14 - 8027*x^13 - 6603*x^12 + 14113*x^11 + 17707*x^10 - 11699*x^9 - 21838*x^8 + 2098*x^7 + 12327*x^6 + 2361*x^5 - 2307*x^4 - 931*x^3 - 170*x^2 - 26*x - 2, -2*x^18 - 16*x^17 - 25*x^16 + 113*x^15 + 374*x^14 - 114*x^13 - 1553*x^12 - 879*x^11 + 2887*x^10 + 2961*x^9 - 2482*x^8 - 3768*x^7 + 642*x^6 + 2140*x^5 + 335*x^4 - 393*x^3 - 151*x^2 - 20*x - 1, 2*x^18 + 16*x^17 + 25*x^16 - 113*x^15 - 374*x^14 + 114*x^13 + 1553*x^12 + 879*x^11 - 2887*x^10 - 2961*x^9 + 2482*x^8 + 3768*x^7 - 642*x^6 - 2140*x^5 - 335*x^4 + 393*x^3 + 151*x^2 + 20*x + 1, -x^21 - 8*x^20 - 5*x^19 + 111*x^18 + 233*x^17 - 576*x^16 - 1904*x^15 + 1170*x^14 + 7430*x^13 + 519*x^12 - 15990*x^11 - 6650*x^10 + 19272*x^9 + 12014*x^8 - 12097*x^7 - 9446*x^6 + 3012*x^5 + 3085*x^4 + 71*x^3 - 236*x^2 - 42*x - 2, x^21 + 8*x^20 + 5*x^19 - 111*x^18 - 233*x^17 + 576*x^16 + 1904*x^15 - 1170*x^14 - 7430*x^13 - 519*x^12 + 15990*x^11 + 6650*x^10 - 19272*x^9 - 12014*x^8 + 12097*x^7 + 9446*x^6 - 3012*x^5 - 3085*x^4 - 71*x^3 + 236*x^2 + 42*x + 2, -x^19 - 9*x^18 - 19*x^17 + 50*x^16 + 217*x^15 - 25*x^14 - 875*x^13 - 402*x^12 + 1921*x^11 + 1278*x^10 - 2597*x^9 - 1874*x^8 + 2158*x^7 + 1551*x^6 - 1008*x^5 - 778*x^4 + 163*x^3 + 209*x^2 + 46*x + 3, x^19 + 9*x^18 + 19*x^17 - 50*x^16 - 217*x^15 + 25*x^14 + 875*x^13 + 402*x^12 - 1921*x^11 - 1278*x^10 + 2597*x^9 + 1874*x^8 - 2158*x^7 - 1551*x^6 + 1008*x^5 + 778*x^4 - 163*x^3 - 209*x^2 - 46*x - 3, -x^21 - 8*x^20 - 7*x^19 + 99*x^18 + 248*x^17 - 360*x^16 - 1720*x^15 - 134*x^14 + 5258*x^13 + 3870*x^12 - 7577*x^11 - 9587*x^10 + 3925*x^9 + 9739*x^8 + 1241*x^7 - 3980*x^6 - 1513*x^5 + 466*x^4 + 238*x^3 - 40*x^2 - 30*x - 3, x^21 + 8*x^20 + 7*x^19 - 99*x^18 - 248*x^17 + 360*x^16 + 1720*x^15 + 134*x^14 - 5258*x^13 - 3870*x^12 + 7577*x^11 + 9587*x^10 - 3925*x^9 - 9739*x^8 - 1241*x^7 + 3980*x^6 + 1513*x^5 - 466*x^4 - 238*x^3 + 40*x^2 + 30*x + 3, x^18 + 6*x^17 - 6*x^16 - 101*x^15 - 120*x^14 + 451*x^13 + 956*x^12 - 605*x^11 - 2466*x^10 - 320*x^9 + 2539*x^8 + 987*x^7 - 898*x^6 - 140*x^5 + 236*x^4 - 176*x^3 - 182*x^2 - 43*x - 3, -x^18 - 6*x^17 + 6*x^16 + 101*x^15 + 120*x^14 - 451*x^13 - 956*x^12 + 605*x^11 + 2466*x^10 + 320*x^9 - 2539*x^8 - 987*x^7 + 898*x^6 + 140*x^5 - 236*x^4 + 176*x^3 + 182*x^2 + 43*x + 3, -x^18 - 8*x^17 - 13*x^16 + 44*x^15 + 116*x^14 - 145*x^13 - 424*x^12 + 554*x^11 + 1316*x^10 - 1188*x^9 - 2917*x^8 + 665*x^7 + 3145*x^6 + 653*x^5 - 1148*x^4 - 542*x^3 - 13*x^2 + 27*x + 3, x^18 + 8*x^17 + 13*x^16 - 44*x^15 - 116*x^14 + 145*x^13 + 424*x^12 - 554*x^11 - 1316*x^10 + 1188*x^9 + 2917*x^8 - 665*x^7 - 3145*x^6 - 653*x^5 + 1148*x^4 + 542*x^3 + 13*x^2 - 27*x - 3, -x^20 - 8*x^19 - 8*x^18 + 92*x^17 + 246*x^16 - 272*x^15 - 1556*x^14 - 469*x^13 + 4157*x^12 + 4051*x^11 - 4557*x^10 - 7951*x^9 + 198*x^8 + 5835*x^7 + 2804*x^6 - 695*x^5 - 1096*x^4 - 506*x^3 - 122*x^2 - 10*x, x^20 + 8*x^19 + 8*x^18 - 92*x^17 - 246*x^16 + 272*x^15 + 1556*x^14 + 469*x^13 - 4157*x^12 - 4051*x^11 + 4557*x^10 + 7951*x^9 - 198*x^8 - 5835*x^7 - 2804*x^6 + 695*x^5 + 1096*x^4 + 506*x^3 + 122*x^2 + 10*x, x^19 + 7*x^18 + 2*x^17 - 88*x^16 - 164*x^15 + 335*x^14 + 1101*x^13 - 181*x^12 - 3020*x^11 - 1636*x^10 + 3727*x^9 + 3904*x^8 - 1563*x^7 - 3285*x^6 - 417*x^5 + 972*x^4 + 360*x^3 - 30*x^2 - 30*x - 3, -x^19 - 7*x^18 - 2*x^17 + 88*x^16 + 164*x^15 - 335*x^14 - 1101*x^13 + 181*x^12 + 3020*x^11 + 1636*x^10 - 3727*x^9 - 3904*x^8 + 1563*x^7 + 3285*x^6 + 417*x^5 - 972*x^4 - 360*x^3 + 30*x^2 + 30*x + 3]>,
         rec<Eigen |
           DefiningPolynomial := x^36 - 9*x^35 - 16*x^34 + 367*x^33 - 385*x^32 - 6441*x^31 + 14861*x^30 + 62488*x^29 - 215605*x^28 - 347587*x^27 + 1840395*x^26 + 883006*x^25 - 10349165*x^24 + 1770388*x^23 + 40022054*x^22 - 24667908*x^21 - 107685627*x^20 + 104939576*x^19 + 199209527*x^18 - 264252137*x^17 - 242826554*x^16 + 433581398*x^15 + 173942044*x^14 - 470364303*x^13 - 42922320*x^12 + 331180959*x^11 - 34647053*x^10 - 144685862*x^9 + 33380343*x^8 + 35893297*x^7 - 11184933*x^6 - 4133743*x^5 + 1515925*x^4 + 103011*x^3 - 51983*x^2 + 1884*x + 139,
           Coordinates        := [-x^35 + 10*x^34 + 4*x^33 - 351*x^32 + 740*x^31 + 5037*x^30 - 18400*x^29 - 35248*x^28 + 216457*x^27 + 76934*x^26 - 1539779*x^25 + 705957*x^24 + 7155988*x^23 - 7298374*x^22 - 22195694*x^21 + 33863260*x^20 + 44998579*x^19 - 97155345*x^18 - 53980790*x^17 + 184510491*x^16 + 21900161*x^15 - 234660591*x^14 + 37119653*x^13 + 196756484*x^12 - 68318376*x^11 - 104609359*x^10 + 50935948*x^9 + 32758778*x^8 - 19903203*x^7 - 5147812*x^6 + 3935835*x^5 + 217416*x^4 - 317921*x^3 + 19852*x^2 + 3903*x - 259, x^35 - 10*x^34 - 4*x^33 + 351*x^32 - 738*x^31 - 5059*x^30 + 18424*x^29 + 35818*x^28 - 218431*x^27 - 81968*x^26 + 1572457*x^25 - 701065*x^24 - 7425932*x^23 + 7541460*x^22 + 23479168*x^21 - 36017042*x^20 - 48500635*x^19 + 106504677*x^18 + 58344552*x^17 - 208686531*x^16 - 19034729*x^15 + 273112891*x^14 - 56003035*x^13 - 233251222*x^12 + 97126834*x^11 + 123397147*x^10 - 72422530*x^9 - 36753996*x^8 + 28120813*x^7 + 4938272*x^6 - 5423347*x^5 - 50422*x^4 + 421041*x^3 - 32570*x^2 - 5061*x + 405, 2*x^28 - 20*x^27 + 16*x^26 + 470*x^25 - 1430*x^24 - 3798*x^23 + 21500*x^22 + 4232*x^21 - 156634*x^20 + 134296*x^19 + 632316*x^18 - 1046134*x^17 - 1353062*x^16 + 3796914*x^15 + 886622*x^14 - 7774182*x^13 + 2378370*x^12 + 9035956*x^11 - 6072144*x^10 - 5453256*x^9 + 5720800*x^8 + 1253468*x^7 - 2526866*x^6 + 146094*x^5 + 486514*x^4 - 87280*x^3 - 28372*x^2 + 5752*x - 128, -2*x^30 + 18*x^29 + 12*x^28 - 562*x^27 + 1020*x^26 + 6802*x^25 - 22228*x^24 - 36920*x^23 + 211760*x^22 + 33838*x^21 - 1144212*x^20 + 712004*x^19 + 3725882*x^18 - 4494076*x^17 - 7098918*x^16 + 13408676*x^15 + 6384132*x^14 - 22946194*x^13 + 1638292*x^12 + 22602764*x^11 - 9577346*x^10 - 11625450*x^9 + 8717798*x^8 + 2137422*x^7 - 3340084*x^6 + 378028*x^5 + 478210*x^4 - 151648*x^3 - 4210*x^2 + 5698*x - 490, -2*x^31 + 18*x^30 + 16*x^29 - 596*x^28 + 980*x^27 + 7902*x^26 - 23788*x^25 - 50816*x^24 + 249410*x^23 + 117972*x^22 - 1510890*x^21 + 518490*x^20 + 5728568*x^19 - 5041068*x^18 - 13773040*x^17 + 18593650*x^16 + 20113542*x^15 - 39356658*x^14 - 14976506*x^13 + 51005604*x^12 + 232882*x^11 - 40226558*x^10 + 8759950*x^9 + 18474192*x^8 - 6617708*x^7 - 4428954*x^6 + 2027902*x^5 + 396596*x^4 - 231080*x^3 + 7754*x^2 + 2244*x - 24, 2*x^27 - 16*x^26 - 16*x^25 + 438*x^24 - 554*x^23 - 4906*x^22 + 11688*x^21 + 27608*x^20 - 101418*x^19 - 68540*x^18 + 495236*x^17 - 55662*x^16 - 1464386*x^15 + 868142*x^14 + 2622906*x^13 - 2528370*x^12 - 2678370*x^11 + 3679216*x^10 + 1286288*x^9 - 2880680*x^8 - 40560*x^7 + 1172348*x^6 - 182170*x^5 - 218246*x^4 + 50022*x^3 + 12764*x^2 - 2844*x + 64, 4*x^28 - 38*x^27 + 24*x^26 + 838*x^25 - 2286*x^24 - 6494*x^23 + 31478*x^22 + 12642*x^21 - 209170*x^20 + 117968*x^19 + 791014*x^18 - 940574*x^17 - 1743080*x^16 + 3194680*x^15 + 2015448*x^14 - 6201082*x^13 - 459950*x^12 + 7229950*x^11 - 1743482*x^10 - 4975202*x^9 + 2209574*x^8 + 1897134*x^7 - 1140610*x^6 - 341080*x^5 + 274772*x^4 + 9648*x^3 - 26192*x^2 + 4314*x - 200, 2*x^29 - 18*x^28 + 2*x^27 + 428*x^26 - 926*x^25 - 3884*x^24 + 14056*x^23 + 14808*x^22 - 100380*x^21 + 1770*x^20 + 412204*x^19 - 230564*x^18 - 1034770*x^17 + 898188*x^16 + 1644372*x^15 - 1601542*x^14 - 1877006*x^13 + 1360234*x^12 + 2145316*x^11 - 502248*x^10 - 2453910*x^9 + 352774*x^8 + 1739956*x^7 - 447686*x^6 - 571776*x^5 + 207870*x^4 + 59342*x^3 - 28844*x^2 + 2174*x + 74, 2*x^33 - 20*x^32 + 622*x^30 - 1472*x^29 - 7670*x^28 + 30976*x^27 + 42036*x^26 - 315778*x^25 - 7034*x^24 + 1931580*x^23 - 1383446*x^22 - 7561948*x^21 + 9631438*x^20 + 19011710*x^19 - 35435562*x^18 - 28700222*x^17 + 81702658*x^16 + 18536476*x^15 - 122423348*x^14 + 14886964*x^13 + 118267690*x^12 - 41828436*x^11 - 70940962*x^10 + 37369176*x^9 + 24484468*x^8 - 16856828*x^7 - 4029492*x^6 + 3812964*x^5 + 93166*x^4 - 346350*x^3 + 34208*x^2 + 2690*x - 272, 2*x^32 - 20*x^31 + 2*x^30 + 600*x^29 - 1446*x^28 - 7126*x^27 + 29094*x^26 + 37258*x^25 - 285696*x^24 + 1470*x^23 + 1682564*x^22 - 1215122*x^21 - 6310022*x^20 + 7997916*x^19 + 15009408*x^18 - 27843738*x^17 - 20744858*x^16 + 59945320*x^15 + 10171452*x^14 - 81725738*x^13 + 14878894*x^12 + 68524474*x^11 - 29464706*x^10 - 32511450*x^9 + 21161480*x^8 + 7022330*x^7 - 7096434*x^6 - 54320*x^5 + 965950*x^4 - 148132*x^3 - 24380*x^2 + 5110*x - 120, x^29 - 10*x^28 + 7*x^27 + 243*x^26 - 707*x^25 - 2118*x^24 + 11027*x^23 + 4569*x^22 - 84161*x^21 + 53344*x^20 + 366867*x^19 - 488797*x^18 - 924149*x^17 + 1926288*x^16 + 1175504*x^15 - 4321162*x^14 - 122268*x^13 + 5782163*x^12 - 1696887*x^11 - 4566236*x^10 + 2217256*x^9 + 2067074*x^8 - 1243153*x^7 - 513127*x^6 + 334342*x^5 + 65483*x^4 - 39197*x^3 - 3506*x^2 + 1358*x - 32, x^29 - 10*x^28 + 7*x^27 + 243*x^26 - 707*x^25 - 2118*x^24 + 11027*x^23 + 4569*x^22 - 84161*x^21 + 53344*x^20 + 366867*x^19 - 488797*x^18 - 924149*x^17 + 1926288*x^16 + 1175504*x^15 - 4321162*x^14 - 122268*x^13 + 5782163*x^12 - 1696887*x^11 - 4566236*x^10 + 2217256*x^9 + 2067074*x^8 - 1243153*x^7 - 513127*x^6 + 334342*x^5 + 65483*x^4 - 39197*x^3 - 3506*x^2 + 1358*x - 32, x^30 - 9*x^29 - 3*x^28 + 250*x^27 - 470*x^26 - 2777*x^25 + 8923*x^24 + 14588*x^23 - 78137*x^22 - 21841*x^21 + 399851*x^20 - 166376*x^19 - 1278517*x^18 + 1135154*x^17 + 2563223*x^16 - 3379617*x^15 - 3027258*x^14 + 5828127*x^13 + 1601732*x^12 - 6055347*x^11 + 481771*x^10 + 3667388*x^9 - 1149459*x^8 - 1173917*x^7 + 591580*x^6 + 157483*x^5 - 119872*x^4 - 5509*x^3 + 8478*x^2 + 819*x - 275, x^30 - 9*x^29 - 3*x^28 + 250*x^27 - 470*x^26 - 2777*x^25 + 8923*x^24 + 14588*x^23 - 78137*x^22 - 21841*x^21 + 399851*x^20 - 166376*x^19 - 1278517*x^18 + 1135154*x^17 + 2563223*x^16 - 3379617*x^15 - 3027258*x^14 + 5828127*x^13 + 1601732*x^12 - 6055347*x^11 + 481771*x^10 + 3667388*x^9 - 1149459*x^8 - 1173917*x^7 + 591580*x^6 + 157483*x^5 - 119872*x^4 - 5509*x^3 + 8478*x^2 + 819*x - 275, -x^29 + 8*x^28 + 13*x^27 - 253*x^26 + 189*x^25 + 3534*x^24 - 6221*x^23 - 27524*x^22 + 70953*x^21 + 123650*x^20 - 456717*x^19 - 277948*x^18 + 1837268*x^17 - 34657*x^16 - 4738459*x^15 + 2018368*x^14 + 7728218*x^13 - 5676989*x^12 - 7546845*x^11 + 7807629*x^10 + 3852942*x^9 - 5814494*x^8 - 592678*x^7 + 2269628*x^6 - 238094*x^5 - 405839*x^4 + 89283*x^3 + 21252*x^2 - 6603*x + 403, -x^29 + 8*x^28 + 13*x^27 - 253*x^26 + 189*x^25 + 3534*x^24 - 6221*x^23 - 27524*x^22 + 70953*x^21 + 123650*x^20 - 456717*x^19 - 277948*x^18 + 1837268*x^17 - 34657*x^16 - 4738459*x^15 + 2018368*x^14 + 7728218*x^13 - 5676989*x^12 - 7546845*x^11 + 7807629*x^10 + 3852942*x^9 - 5814494*x^8 - 592678*x^7 + 2269628*x^6 - 238094*x^5 - 405839*x^4 + 89283*x^3 + 21252*x^2 - 6603*x + 403, x^31 - 10*x^30 + 5*x^29 + 263*x^28 - 727*x^27 - 2550*x^26 + 12407*x^25 + 7783*x^24 - 103752*x^23 + 51727*x^22 + 505853*x^21 - 619571*x^20 - 1479008*x^19 + 2902468*x^18 + 2352218*x^17 - 7869128*x^16 - 823145*x^15 + 13176547*x^14 - 4104127*x^13 - 13439242*x^12 + 8234005*x^11 + 7751853*x^10 - 7034103*x^9 - 2091532*x^8 + 3008650*x^7 + 79030*x^6 - 611697*x^5 + 48880*x^4 + 53184*x^3 - 4153*x^2 - 2452*x + 307, x^31 - 10*x^30 + 5*x^29 + 263*x^28 - 727*x^27 - 2550*x^26 + 12407*x^25 + 7783*x^24 - 103752*x^23 + 51727*x^22 + 505853*x^21 - 619571*x^20 - 1479008*x^19 + 2902468*x^18 + 2352218*x^17 - 7869128*x^16 - 823145*x^15 + 13176547*x^14 - 4104127*x^13 - 13439242*x^12 + 8234005*x^11 + 7751853*x^10 - 7034103*x^9 - 2091532*x^8 + 3008650*x^7 + 79030*x^6 - 611697*x^5 + 48880*x^4 + 53184*x^3 - 4153*x^2 - 2452*x + 307, -x^30 + 9*x^29 + 6*x^28 - 280*x^27 + 496*x^26 + 3461*x^25 - 11051*x^24 - 19726*x^23 + 108451*x^22 + 24472*x^21 - 606818*x^20 + 356528*x^19 + 2052569*x^18 - 2447569*x^17 - 4072260*x^16 + 7707569*x^15 + 3844148*x^14 - 13862120*x^13 + 872412*x^12 + 14409630*x^11 - 5881376*x^10 - 8010674*x^9 + 5508633*x^8 + 1873969*x^7 - 2128458*x^6 + 34665*x^5 + 297922*x^4 - 52986*x^3 - 2069*x^2 + 412*x + 20, -x^30 + 9*x^29 + 6*x^28 - 280*x^27 + 496*x^26 + 3461*x^25 - 11051*x^24 - 19726*x^23 + 108451*x^22 + 24472*x^21 - 606818*x^20 + 356528*x^19 + 2052569*x^18 - 2447569*x^17 - 4072260*x^16 + 7707569*x^15 + 3844148*x^14 - 13862120*x^13 + 872412*x^12 + 14409630*x^11 - 5881376*x^10 - 8010674*x^9 + 5508633*x^8 + 1873969*x^7 - 2128458*x^6 + 34665*x^5 + 297922*x^4 - 52986*x^3 - 2069*x^2 + 412*x + 20, -2*x^29 + 17*x^28 + 20*x^27 - 550*x^26 + 780*x^25 + 6948*x^24 - 18825*x^23 - 42067*x^22 + 183339*x^21 + 96757*x^20 - 1001343*x^19 + 273496*x^18 + 3337061*x^17 - 2592487*x^16 - 6864705*x^15 + 8205232*x^14 + 8307399*x^13 - 14201420*x^12 - 4905114*x^11 + 14300554*x^10 - 21076*x^9 - 8168385*x^8 + 1638812*x^7 + 2403491*x^6 - 774846*x^5 - 274122*x^4 + 113435*x^3 - 1028*x^2 - 1367*x + 12, -2*x^29 + 17*x^28 + 20*x^27 - 550*x^26 + 780*x^25 + 6948*x^24 - 18825*x^23 - 42067*x^22 + 183339*x^21 + 96757*x^20 - 1001343*x^19 + 273496*x^18 + 3337061*x^17 - 2592487*x^16 - 6864705*x^15 + 8205232*x^14 + 8307399*x^13 - 14201420*x^12 - 4905114*x^11 + 14300554*x^10 - 21076*x^9 - 8168385*x^8 + 1638812*x^7 + 2403491*x^6 - 774846*x^5 - 274122*x^4 + 113435*x^3 - 1028*x^2 - 1367*x + 12, x^32 - 10*x^31 + 3*x^30 + 282*x^29 - 730*x^28 - 3052*x^27 + 13582*x^26 + 12922*x^25 - 124176*x^24 + 29788*x^23 + 677708*x^22 - 637322*x^21 - 2333998*x^20 + 3562571*x^19 + 5004272*x^18 - 11330612*x^17 - 5842330*x^16 + 22940386*x^15 + 840376*x^14 - 30187855*x^13 + 8057260*x^12 + 25282606*x^11 - 12281883*x^10 - 12684923*x^9 + 8565210*x^8 + 3361710*x^7 - 3083765*x^6 - 318263*x^5 + 532122*x^4 - 22095*x^3 - 33885*x^2 + 4059*x + 25, x^32 - 10*x^31 + 3*x^30 + 282*x^29 - 730*x^28 - 3052*x^27 + 13582*x^26 + 12922*x^25 - 124176*x^24 + 29788*x^23 + 677708*x^22 - 637322*x^21 - 2333998*x^20 + 3562571*x^19 + 5004272*x^18 - 11330612*x^17 - 5842330*x^16 + 22940386*x^15 + 840376*x^14 - 30187855*x^13 + 8057260*x^12 + 25282606*x^11 - 12281883*x^10 - 12684923*x^9 + 8565210*x^8 + 3361710*x^7 - 3083765*x^6 - 318263*x^5 + 532122*x^4 - 22095*x^3 - 33885*x^2 + 4059*x + 25, x^30 - 10*x^29 + 6*x^28 + 252*x^27 - 705*x^26 - 2362*x^25 + 11501*x^24 + 7351*x^23 - 93718*x^22 + 39592*x^21 + 455139*x^20 - 493727*x^19 - 1373537*x^18 + 2326330*x^17 + 2455962*x^16 - 6384222*x^15 - 1917245*x^14 + 10920486*x^13 - 1424987*x^12 - 11475406*x^11 + 4766009*x^10 + 6926003*x^9 - 4407101*x^8 - 2108763*x^7 + 1880488*x^6 + 209660*x^5 - 359066*x^4 + 23451*x^3 + 22955*x^2 - 4571*x + 250, x^30 - 10*x^29 + 6*x^28 + 252*x^27 - 705*x^26 - 2362*x^25 + 11501*x^24 + 7351*x^23 - 93718*x^22 + 39592*x^21 + 455139*x^20 - 493727*x^19 - 1373537*x^18 + 2326330*x^17 + 2455962*x^16 - 6384222*x^15 - 1917245*x^14 + 10920486*x^13 - 1424987*x^12 - 11475406*x^11 + 4766009*x^10 + 6926003*x^9 - 4407101*x^8 - 2108763*x^7 + 1880488*x^6 + 209660*x^5 - 359066*x^4 + 23451*x^3 + 22955*x^2 - 4571*x + 250, -x^28 + 11*x^27 - 17*x^26 - 226*x^25 + 873*x^24 + 1323*x^23 - 11052*x^22 + 3681*x^21 + 67745*x^20 - 83934*x^19 - 221133*x^18 + 457899*x^17 + 336660*x^16 - 1279638*x^15 + 43709*x^14 + 1970612*x^13 - 971022*x^12 - 1523597*x^11 + 1410627*x^10 + 295260*x^9 - 789411*x^8 + 312121*x^7 + 77327*x^6 - 170643*x^5 + 73682*x^4 + 12538*x^3 - 16997*x^2 + 3889*x - 270, -x^28 + 11*x^27 - 17*x^26 - 226*x^25 + 873*x^24 + 1323*x^23 - 11052*x^22 + 3681*x^21 + 67745*x^20 - 83934*x^19 - 221133*x^18 + 457899*x^17 + 336660*x^16 - 1279638*x^15 + 43709*x^14 + 1970612*x^13 - 971022*x^12 - 1523597*x^11 + 1410627*x^10 + 295260*x^9 - 789411*x^8 + 312121*x^7 + 77327*x^6 - 170643*x^5 + 73682*x^4 + 12538*x^3 - 16997*x^2 + 3889*x - 270, -x^31 + 9*x^30 + 7*x^29 - 287*x^28 + 472*x^27 + 3731*x^26 - 11014*x^25 - 24133*x^24 + 113349*x^23 + 63048*x^22 - 681452*x^21 + 165133*x^20 + 2593220*x^19 - 1948488*x^18 - 6367427*x^17 + 7405566*x^16 + 9862245*x^15 - 15924197*x^14 - 8826418*x^13 + 21057641*x^12 + 3189066*x^11 - 17228930*x^10 + 1360431*x^9 + 8477874*x^8 - 1847901*x^7 - 2312290*x^6 + 706659*x^5 + 279171*x^4 - 103890*x^3 - 3843*x^2 + 2734*x - 133, -x^31 + 9*x^30 + 7*x^29 - 287*x^28 + 472*x^27 + 3731*x^26 - 11014*x^25 - 24133*x^24 + 113349*x^23 + 63048*x^22 - 681452*x^21 + 165133*x^20 + 2593220*x^19 - 1948488*x^18 - 6367427*x^17 + 7405566*x^16 + 9862245*x^15 - 15924197*x^14 - 8826418*x^13 + 21057641*x^12 + 3189066*x^11 - 17228930*x^10 + 1360431*x^9 + 8477874*x^8 - 1847901*x^7 - 2312290*x^6 + 706659*x^5 + 279171*x^4 - 103890*x^3 - 3843*x^2 + 2734*x - 133, -x^27 + 13*x^26 - 43*x^25 - 131*x^24 + 1074*x^23 - 897*x^22 - 8034*x^21 + 19219*x^20 + 18209*x^19 - 110873*x^18 + 64321*x^17 + 268870*x^16 - 464985*x^15 - 95101*x^14 + 1016556*x^13 - 866417*x^12 - 755365*x^11 + 1748641*x^10 - 395877*x^9 - 1264492*x^8 + 858747*x^7 + 295610*x^6 - 414056*x^5 + 41064*x^4 + 61337*x^3 - 18409*x^2 + 917*x + 87, -x^27 + 13*x^26 - 43*x^25 - 131*x^24 + 1074*x^23 - 897*x^22 - 8034*x^21 + 19219*x^20 + 18209*x^19 - 110873*x^18 + 64321*x^17 + 268870*x^16 - 464985*x^15 - 95101*x^14 + 1016556*x^13 - 866417*x^12 - 755365*x^11 + 1748641*x^10 - 395877*x^9 - 1264492*x^8 + 858747*x^7 + 295610*x^6 - 414056*x^5 + 41064*x^4 + 61337*x^3 - 18409*x^2 + 917*x + 87, x^33 - 10*x^32 + x^31 + 302*x^30 - 741*x^29 - 3567*x^28 + 15019*x^27 + 17786*x^26 - 148041*x^25 + 15641*x^24 + 872096*x^23 - 734734*x^22 - 3256354*x^21 + 4668865*x^20 + 7634110*x^19 - 16295917*x^18 - 10003663*x^17 + 35799539*x^16 + 2856009*x^15 - 50692829*x^14 + 12762406*x^13 + 45250814*x^12 - 21881457*x^11 - 23958226*x^10 + 16044200*x^9 + 6743617*x^8 - 5809286*x^7 - 835037*x^6 + 954233*x^5 + 48426*x^4 - 61156*x^3 - 4329*x^2 + 2431*x - 133, x^33 - 10*x^32 + x^31 + 302*x^30 - 741*x^29 - 3567*x^28 + 15019*x^27 + 17786*x^26 - 148041*x^25 + 15641*x^24 + 872096*x^23 - 734734*x^22 - 3256354*x^21 + 4668865*x^20 + 7634110*x^19 - 16295917*x^18 - 10003663*x^17 + 35799539*x^16 + 2856009*x^15 - 50692829*x^14 + 12762406*x^13 + 45250814*x^12 - 21881457*x^11 - 23958226*x^10 + 16044200*x^9 + 6743617*x^8 - 5809286*x^7 - 835037*x^6 + 954233*x^5 + 48426*x^4 - 61156*x^3 - 4329*x^2 + 2431*x - 133, x^31 - 10*x^30 + 6*x^29 + 252*x^28 - 710*x^27 - 2314*x^26 + 11458*x^25 + 6364*x^24 - 90636*x^23 + 45685*x^22 + 416503*x^21 - 486723*x^20 - 1150830*x^19 + 2062837*x^18 + 1809115*x^17 - 4990025*x^16 - 1192488*x^15 + 7328427*x^14 - 601019*x^13 - 6528966*x^12 + 1365569*x^11 + 3521450*x^10 - 444887*x^9 - 1290375*x^8 - 283129*x^7 + 437744*x^6 + 189586*x^5 - 119401*x^4 - 25913*x^3 + 12541*x^2 + 46*x - 174, x^31 - 10*x^30 + 6*x^29 + 252*x^28 - 710*x^27 - 2314*x^26 + 11458*x^25 + 6364*x^24 - 90636*x^23 + 45685*x^22 + 416503*x^21 - 486723*x^20 - 1150830*x^19 + 2062837*x^18 + 1809115*x^17 - 4990025*x^16 - 1192488*x^15 + 7328427*x^14 - 601019*x^13 - 6528966*x^12 + 1365569*x^11 + 3521450*x^10 - 444887*x^9 - 1290375*x^8 - 283129*x^7 + 437744*x^6 + 189586*x^5 - 119401*x^4 - 25913*x^3 + 12541*x^2 + 46*x - 174, x^29 - 10*x^28 + 11*x^27 + 205*x^26 - 680*x^25 - 1305*x^24 + 8711*x^23 - 1083*x^22 - 54395*x^21 + 58099*x^20 + 189405*x^19 - 355005*x^18 - 354155*x^17 + 1148246*x^16 + 185538*x^15 - 2299770*x^14 + 708528*x^13 + 2934858*x^12 - 1944399*x^11 - 2236477*x^10 + 2331742*x^9 + 772180*x^8 - 1440283*x^7 + 53303*x^6 + 423274*x^5 - 99111*x^4 - 42767*x^3 + 16579*x^2 - 1187*x - 37, x^29 - 10*x^28 + 11*x^27 + 205*x^26 - 680*x^25 - 1305*x^24 + 8711*x^23 - 1083*x^22 - 54395*x^21 + 58099*x^20 + 189405*x^19 - 355005*x^18 - 354155*x^17 + 1148246*x^16 + 185538*x^15 - 2299770*x^14 + 708528*x^13 + 2934858*x^12 - 1944399*x^11 - 2236477*x^10 + 2331742*x^9 + 772180*x^8 - 1440283*x^7 + 53303*x^6 + 423274*x^5 - 99111*x^4 - 42767*x^3 + 16579*x^2 - 1187*x - 37, x^31 - 9*x^30 - 7*x^29 + 286*x^28 - 463*x^27 - 3734*x^26 + 10810*x^25 + 24661*x^24 - 111838*x^23 - 70553*x^22 + 680689*x^21 - 117856*x^20 - 2645481*x^19 + 1805990*x^18 + 6704382*x^17 - 7306092*x^16 - 10842854*x^15 + 16570510*x^14 + 10210587*x^13 - 23173876*x^12 - 3701287*x^11 + 19979665*x^10 - 2340123*x^9 - 10049111*x^8 + 3063421*x^7 + 2544684*x^6 - 1184307*x^5 - 184702*x^4 + 157341*x^3 - 19953*x^2 - 1015*x + 218, x^31 - 9*x^30 - 7*x^29 + 286*x^28 - 463*x^27 - 3734*x^26 + 10810*x^25 + 24661*x^24 - 111838*x^23 - 70553*x^22 + 680689*x^21 - 117856*x^20 - 2645481*x^19 + 1805990*x^18 + 6704382*x^17 - 7306092*x^16 - 10842854*x^15 + 16570510*x^14 + 10210587*x^13 - 23173876*x^12 - 3701287*x^11 + 19979665*x^10 - 2340123*x^9 - 10049111*x^8 + 3063421*x^7 + 2544684*x^6 - 1184307*x^5 - 184702*x^4 + 157341*x^3 - 19953*x^2 - 1015*x + 218, -x^32 + 8*x^31 + 17*x^30 - 289*x^29 + 180*x^28 + 4474*x^27 - 7776*x^26 - 38404*x^25 + 99739*x^24 + 194612*x^23 - 719350*x^22 - 540028*x^21 + 3317894*x^20 + 340465*x^19 - 10225986*x^18 + 3148753*x^17 + 21240597*x^16 - 12788912*x^15 - 29241076*x^14 + 24709174*x^13 + 25490530*x^12 - 27937273*x^11 - 12737858*x^10 + 18828671*x^9 + 2692577*x^8 - 7249680*x^7 + 290433*x^6 + 1428813*x^5 - 217110*x^4 - 108198*x^3 + 24756*x^2 + 470*x - 238, -x^32 + 8*x^31 + 17*x^30 - 289*x^29 + 180*x^28 + 4474*x^27 - 7776*x^26 - 38404*x^25 + 99739*x^24 + 194612*x^23 - 719350*x^22 - 540028*x^21 + 3317894*x^20 + 340465*x^19 - 10225986*x^18 + 3148753*x^17 + 21240597*x^16 - 12788912*x^15 - 29241076*x^14 + 24709174*x^13 + 25490530*x^12 - 27937273*x^11 - 12737858*x^10 + 18828671*x^9 + 2692577*x^8 - 7249680*x^7 + 290433*x^6 + 1428813*x^5 - 217110*x^4 - 108198*x^3 + 24756*x^2 + 470*x - 238, x^28 - 9*x^27 + x^26 + 219*x^25 - 504*x^24 - 1940*x^23 + 7845*x^22 + 5865*x^21 - 56564*x^20 + 20754*x^19 + 228368*x^18 - 237510*x^17 - 527344*x^16 + 889772*x^15 + 610325*x^14 - 1784546*x^13 - 59462*x^12 + 2008979*x^11 - 690785*x^10 - 1178621*x^9 + 757244*x^8 + 264932*x^7 - 316604*x^6 + 32309*x^5 + 41527*x^4 - 16520*x^3 + 2050*x^2 + 220*x - 50, x^28 - 9*x^27 + x^26 + 219*x^25 - 504*x^24 - 1940*x^23 + 7845*x^22 + 5865*x^21 - 56564*x^20 + 20754*x^19 + 228368*x^18 - 237510*x^17 - 527344*x^16 + 889772*x^15 + 610325*x^14 - 1784546*x^13 - 59462*x^12 + 2008979*x^11 - 690785*x^10 - 1178621*x^9 + 757244*x^8 + 264932*x^7 - 316604*x^6 + 32309*x^5 + 41527*x^4 - 16520*x^3 + 2050*x^2 + 220*x - 50, 2*x^29 - 19*x^28 + 2*x^27 + 506*x^26 - 1130*x^25 - 5370*x^24 + 19868*x^23 + 26188*x^22 - 169985*x^21 - 21984*x^20 + 869716*x^19 - 437543*x^18 - 2830681*x^17 + 2654846*x^16 + 5879832*x^15 - 7799001*x^14 - 7389270*x^13 + 13505517*x^12 + 4644776*x^11 - 14005646*x^10 - 64795*x^9 + 8269888*x^8 - 1608134*x^7 - 2500943*x^6 + 783601*x^5 + 293932*x^4 - 115324*x^3 - 105*x^2 + 1234*x + 38, 2*x^29 - 19*x^28 + 2*x^27 + 506*x^26 - 1130*x^25 - 5370*x^24 + 19868*x^23 + 26188*x^22 - 169985*x^21 - 21984*x^20 + 869716*x^19 - 437543*x^18 - 2830681*x^17 + 2654846*x^16 + 5879832*x^15 - 7799001*x^14 - 7389270*x^13 + 13505517*x^12 + 4644776*x^11 - 14005646*x^10 - 64795*x^9 + 8269888*x^8 - 1608134*x^7 - 2500943*x^6 + 783601*x^5 + 293932*x^4 - 115324*x^3 - 105*x^2 + 1234*x + 38, x^34 - 10*x^33 - x^32 + 321*x^31 - 737*x^30 - 4135*x^29 + 16211*x^28 + 24581*x^27 - 172436*x^26 - 22146*x^25 + 1108638*x^24 - 692458*x^23 - 4622256*x^22 + 5423280*x^21 + 12660866*x^20 - 21716739*x^19 - 21854815*x^18 + 54773198*x^17 + 19640667*x^16 - 91184334*x^15 + 2357756*x^14 + 99996714*x^13 - 28353665*x^12 - 69732718*x^11 + 33416941*x^10 + 28497959*x^9 - 19009154*x^8 - 5525911*x^7 + 5454699*x^6 + 73743*x^5 - 656150*x^4 + 91170*x^3 + 13535*x^2 - 2691*x + 60, x^34 - 10*x^33 - x^32 + 321*x^31 - 737*x^30 - 4135*x^29 + 16211*x^28 + 24581*x^27 - 172436*x^26 - 22146*x^25 + 1108638*x^24 - 692458*x^23 - 4622256*x^22 + 5423280*x^21 + 12660866*x^20 - 21716739*x^19 - 21854815*x^18 + 54773198*x^17 + 19640667*x^16 - 91184334*x^15 + 2357756*x^14 + 99996714*x^13 - 28353665*x^12 - 69732718*x^11 + 33416941*x^10 + 28497959*x^9 - 19009154*x^8 - 5525911*x^7 + 5454699*x^6 + 73743*x^5 - 656150*x^4 + 91170*x^3 + 13535*x^2 - 2691*x + 60, x^32 - 9*x^31 - 7*x^30 + 286*x^29 - 462*x^28 - 3743*x^27 + 10813*x^26 + 24865*x^25 - 112366*x^24 - 72064*x^23 + 688194*x^22 - 117093*x^21 - 2692758*x^20 + 1858251*x^19 + 6846880*x^18 - 7643047*x^17 - 10942328*x^16 + 17551119*x^15 + 9564274*x^14 - 24558045*x^13 - 1585052*x^12 + 20491886*x^11 - 5090858*x^10 - 9069419*x^9 + 4634658*x^8 + 1329164*x^7 - 1416701*x^6 + 292946*x^5 + 62872*x^4 - 73404*x^3 + 22781*x^2 - 1501*x - 85, x^32 - 9*x^31 - 7*x^30 + 286*x^29 - 462*x^28 - 3743*x^27 + 10813*x^26 + 24865*x^25 - 112366*x^24 - 72064*x^23 + 688194*x^22 - 117093*x^21 - 2692758*x^20 + 1858251*x^19 + 6846880*x^18 - 7643047*x^17 - 10942328*x^16 + 17551119*x^15 + 9564274*x^14 - 24558045*x^13 - 1585052*x^12 + 20491886*x^11 - 5090858*x^10 - 9069419*x^9 + 4634658*x^8 + 1329164*x^7 - 1416701*x^6 + 292946*x^5 + 62872*x^4 - 73404*x^3 + 22781*x^2 - 1501*x - 85, x^30 - 9*x^29 - x^28 + 233*x^27 - 475*x^26 - 2361*x^25 + 8171*x^24 + 10651*x^23 - 65929*x^22 - 5436*x^21 + 310687*x^20 - 174266*x^19 - 912892*x^18 + 919381*x^17 + 1693726*x^16 - 2398111*x^15 - 1946227*x^14 + 3780658*x^13 + 1302633*x^12 - 3866099*x^11 - 355214*x^10 + 2663988*x^9 - 234809*x^8 - 1172410*x^7 + 284417*x^6 + 274475*x^5 - 107715*x^4 - 19246*x^3 + 14183*x^2 - 2120*x + 100, x^30 - 9*x^29 - x^28 + 233*x^27 - 475*x^26 - 2361*x^25 + 8171*x^24 + 10651*x^23 - 65929*x^22 - 5436*x^21 + 310687*x^20 - 174266*x^19 - 912892*x^18 + 919381*x^17 + 1693726*x^16 - 2398111*x^15 - 1946227*x^14 + 3780658*x^13 + 1302633*x^12 - 3866099*x^11 - 355214*x^10 + 2663988*x^9 - 234809*x^8 - 1172410*x^7 + 284417*x^6 + 274475*x^5 - 107715*x^4 - 19246*x^3 + 14183*x^2 - 2120*x + 100, 2*x^30 - 21*x^29 + 21*x^28 + 505*x^27 - 1649*x^26 - 4197*x^25 + 25369*x^24 + 5246*x^23 - 195276*x^22 + 156035*x^21 + 872481*x^20 - 1325468*x^19 - 2282265*x^18 + 5421206*x^17 + 2956116*x^16 - 13213848*x^15 + 504832*x^14 + 19878231*x^13 - 7994324*x^12 - 17895057*x^11 + 12192210*x^10 + 8730560*x^9 - 8613530*x^8 - 1751556*x^7 + 2988934*x^6 - 75613*x^5 - 450320*x^4 + 53882*x^3 + 19748*x^2 - 2113*x - 125, 2*x^30 - 21*x^29 + 21*x^28 + 505*x^27 - 1649*x^26 - 4197*x^25 + 25369*x^24 + 5246*x^23 - 195276*x^22 + 156035*x^21 + 872481*x^20 - 1325468*x^19 - 2282265*x^18 + 5421206*x^17 + 2956116*x^16 - 13213848*x^15 + 504832*x^14 + 19878231*x^13 - 7994324*x^12 - 17895057*x^11 + 12192210*x^10 + 8730560*x^9 - 8613530*x^8 - 1751556*x^7 + 2988934*x^6 - 75613*x^5 - 450320*x^4 + 53882*x^3 + 19748*x^2 - 2113*x - 125, -x^33 + 9*x^32 + 10*x^31 - 315*x^30 + 462*x^29 + 4581*x^28 - 12722*x^27 - 34359*x^26 + 149157*x^25 + 119006*x^24 - 1027311*x^23 + 116274*x^22 + 4539374*x^21 - 3142562*x^20 - 13159671*x^19 + 15323227*x^18 + 24459271*x^17 - 41435075*x^16 - 26314409*x^15 + 69874447*x^14 + 9607774*x^13 - 74485444*x^12 + 12010349*x^11 + 48795459*x^10 - 17496525*x^9 - 18420131*x^8 + 9388014*x^7 + 3450670*x^6 - 2352582*x^5 - 170259*x^4 + 236844*x^3 - 20443*x^2 - 3442*x + 371, -x^33 + 9*x^32 + 10*x^31 - 315*x^30 + 462*x^29 + 4581*x^28 - 12722*x^27 - 34359*x^26 + 149157*x^25 + 119006*x^24 - 1027311*x^23 + 116274*x^22 + 4539374*x^21 - 3142562*x^20 - 13159671*x^19 + 15323227*x^18 + 24459271*x^17 - 41435075*x^16 - 26314409*x^15 + 69874447*x^14 + 9607774*x^13 - 74485444*x^12 + 12010349*x^11 + 48795459*x^10 - 17496525*x^9 - 18420131*x^8 + 9388014*x^7 + 3450670*x^6 - 2352582*x^5 - 170259*x^4 + 236844*x^3 - 20443*x^2 - 3442*x + 371, -x^32 + 9*x^31 + 9*x^30 - 307*x^29 + 484*x^28 + 4232*x^27 - 12404*x^26 - 28809*x^25 + 135819*x^24 + 77446*x^23 - 861325*x^22 + 242326*x^21 + 3436390*x^20 - 2876536*x^19 - 8749461*x^18 + 11543863*x^17 + 13606230*x^16 - 26382667*x^15 - 10680319*x^14 + 36975899*x^13 - 702705*x^12 - 31414661*x^11 + 9168648*x^10 + 15049821*x^9 - 7667753*x^8 - 3283188*x^7 + 2683993*x^6 + 9284*x^5 - 354645*x^4 + 79701*x^3 + 3227*x^2 - 2861*x + 245, -x^32 + 9*x^31 + 9*x^30 - 307*x^29 + 484*x^28 + 4232*x^27 - 12404*x^26 - 28809*x^25 + 135819*x^24 + 77446*x^23 - 861325*x^22 + 242326*x^21 + 3436390*x^20 - 2876536*x^19 - 8749461*x^18 + 11543863*x^17 + 13606230*x^16 - 26382667*x^15 - 10680319*x^14 + 36975899*x^13 - 702705*x^12 - 31414661*x^11 + 9168648*x^10 + 15049821*x^9 - 7667753*x^8 - 3283188*x^7 + 2683993*x^6 + 9284*x^5 - 354645*x^4 + 79701*x^3 + 3227*x^2 - 2861*x + 245, x^31 - 11*x^30 + 13*x^29 + 272*x^28 - 941*x^27 - 2389*x^26 + 15041*x^25 + 4252*x^24 - 124508*x^23 + 84162*x^22 + 625963*x^21 - 816761*x^20 - 2001151*x^19 + 3795912*x^18 + 3977682*x^17 - 10878669*x^16 - 4182512*x^15 + 20348805*x^14 - 4035*x^13 - 24871608*x^12 + 6181865*x^11 + 19214756*x^10 - 8103848*x^9 - 8731069*x^8 + 4880197*x^7 + 1987586*x^6 - 1423507*x^5 - 120649*x^4 + 160985*x^3 - 14549*x^2 - 1405*x + 136, x^31 - 11*x^30 + 13*x^29 + 272*x^28 - 941*x^27 - 2389*x^26 + 15041*x^25 + 4252*x^24 - 124508*x^23 + 84162*x^22 + 625963*x^21 - 816761*x^20 - 2001151*x^19 + 3795912*x^18 + 3977682*x^17 - 10878669*x^16 - 4182512*x^15 + 20348805*x^14 - 4035*x^13 - 24871608*x^12 + 6181865*x^11 + 19214756*x^10 - 8103848*x^9 - 8731069*x^8 + 4880197*x^7 + 1987586*x^6 - 1423507*x^5 - 120649*x^4 + 160985*x^3 - 14549*x^2 - 1405*x + 136, -x^34 + 10*x^33 + 2*x^32 - 333*x^31 + 760*x^30 + 4408*x^29 - 17483*x^28 - 26111*x^27 + 191292*x^26 + 8253*x^25 - 1246056*x^24 + 948973*x^23 + 5142450*x^22 - 7141908*x^21 - 13335003*x^20 + 28142433*x^19 + 19362030*x^18 - 69043099*x^17 - 6119931*x^16 + 108977768*x^15 - 31025597*x^14 - 108802392*x^13 + 61005263*x^12 + 64722383*x^11 - 53554126*x^10 - 19752277*x^9 + 25115568*x^8 + 1312336*x^7 - 6093685*x^6 + 753510*x^5 + 624213*x^4 - 149089*x^3 - 7755*x^2 + 3343*x - 133, -x^34 + 10*x^33 + 2*x^32 - 333*x^31 + 760*x^30 + 4408*x^29 - 17483*x^28 - 26111*x^27 + 191292*x^26 + 8253*x^25 - 1246056*x^24 + 948973*x^23 + 5142450*x^22 - 7141908*x^21 - 13335003*x^20 + 28142433*x^19 + 19362030*x^18 - 69043099*x^17 - 6119931*x^16 + 108977768*x^15 - 31025597*x^14 - 108802392*x^13 + 61005263*x^12 + 64722383*x^11 - 53554126*x^10 - 19752277*x^9 + 25115568*x^8 + 1312336*x^7 - 6093685*x^6 + 753510*x^5 + 624213*x^4 - 149089*x^3 - 7755*x^2 + 3343*x - 133, -x^33 + 9*x^32 + 10*x^31 - 314*x^30 + 455*x^29 + 4556*x^28 - 12443*x^27 - 34322*x^26 + 144566*x^25 + 124010*x^24 - 986227*x^23 + 40192*x^22 + 4321317*x^21 - 2578265*x^20 - 12476878*x^19 + 12789019*x^18 + 23401588*x^17 - 34097648*x^16 - 26611349*x^15 + 55983752*x^14 + 14277836*x^13 - 57548657*x^12 + 2753901*x^11 + 36061623*x^10 - 8323855*x^9 - 13026311*x^8 + 4421504*x^7 + 2450652*x^6 - 959040*x^5 - 196246*x^4 + 73322*x^3 + 3934*x^2 - 594*x - 112, -x^33 + 9*x^32 + 10*x^31 - 314*x^30 + 455*x^29 + 4556*x^28 - 12443*x^27 - 34322*x^26 + 144566*x^25 + 124010*x^24 - 986227*x^23 + 40192*x^22 + 4321317*x^21 - 2578265*x^20 - 12476878*x^19 + 12789019*x^18 + 23401588*x^17 - 34097648*x^16 - 26611349*x^15 + 55983752*x^14 + 14277836*x^13 - 57548657*x^12 + 2753901*x^11 + 36061623*x^10 - 8323855*x^9 - 13026311*x^8 + 4421504*x^7 + 2450652*x^6 - 959040*x^5 - 196246*x^4 + 73322*x^3 + 3934*x^2 - 594*x - 112]>
       ]
>;

MOG[773] := 	// J_0(773)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 46, 270, 349, 377, 381, 403, 490, 525, 545, 657, 663, 744, 654*x + 692, 119*x + 692, 731*x + 228, 42*x + 228, 50*x + 541, 723*x + 541, 242*x + 309, 531*x + 309, 706*x + 55, 67*x + 55, 85*x + 241, 688*x + 241, 605*x + 93, 168*x + 93, 327*x + 459, 446*x + 459, 54*x + 85, 719*x + 85, 243*x + 733, 530*x + 733, 631*x + 503, 142*x + 503, 69*x + 282, 704*x + 282, 297*x + 184, 476*x + 184, 586*x + 425, 187*x + 425, 198*x + 102, 575*x + 102, 753*x + 674, 20*x + 674, 417*x + 592, 356*x + 592, 171*x + 437, 602*x + 437, 736*x + 481, 37*x + 481, 608*x + 424, 165*x + 424, 431*x + 551, 342*x + 551, 176*x + 376, 597*x + 376, 210*x + 39, 563*x + 39, 31*x + 338, 742*x + 338, 535*x + 466, 238*x + 466, 707*x + 303, 66*x + 303]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + 4*x + 4,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x - 4, x + 4, x + 4, -x - 4, x + 4, -x - 4, x + 4, -x - 4, -x - 4, x + 4, -x - 4, x + 4, -1, 1, -x - 3, x + 3, x + 4, -x - 4, 1, -1, x + 3, -x - 3, -x - 3, x + 3, -1, 1, x + 3, -x - 3, -x - 4, x + 4, x + 4, -x - 4, -2, 2, 0, 0, -x - 2, x + 2, -1, 1, x + 3, -x - 3, x + 5, -x - 5, -x - 3, x + 3, 1, -1, 2, -2]>,
         rec<Eigen |
           DefiningPolynomial := x^24 + 3*x^23 - 25*x^22 - 75*x^21 + 266*x^20 + 794*x^19 - 1573*x^18 - 4654*x^17 + 5655*x^16 + 16600*x^15 - 12657*x^14 - 37363*x^13 + 17194*x^12 + 53380*x^11 - 12723*x^10 - 47599*x^9 + 2987*x^8 + 25400*x^7 + 2140*x^6 - 7432*x^5 - 1562*x^4 + 949*x^3 + 307*x^2 - 15*x - 9,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^23 - 3*x^22 + 23*x^21 + 69*x^20 - 224*x^19 - 667*x^18 + 1206*x^17 + 3537*x^16 - 3928*x^15 - 11283*x^14 + 7946*x^13 + 22373*x^12 - 9820*x^11 - 27570*x^10 + 6913*x^9 + 20562*x^8 - 2257*x^7 - 8794*x^6 + 31*x^5 + 1971*x^4 + 129*x^3 - 194*x^2 - 15*x + 6, x^23 + 3*x^22 - 23*x^21 - 69*x^20 + 224*x^19 + 667*x^18 - 1206*x^17 - 3537*x^16 + 3928*x^15 + 11283*x^14 - 7946*x^13 - 22373*x^12 + 9820*x^11 + 27570*x^10 - 6913*x^9 - 20562*x^8 + 2257*x^7 + 8794*x^6 - 31*x^5 - 1971*x^4 - 129*x^3 + 194*x^2 + 15*x - 6, -x^22 - 3*x^21 + 21*x^20 + 64*x^19 - 182*x^18 - 567*x^17 + 838*x^16 + 2717*x^15 - 2183*x^14 - 7707*x^13 + 3088*x^12 + 13343*x^11 - 1758*x^10 - 14036*x^9 - 846*x^8 + 8635*x^7 + 1762*x^6 - 2838*x^5 - 908*x^4 + 395*x^3 + 172*x^2 - 6*x - 6, x^22 + 3*x^21 - 21*x^20 - 64*x^19 + 182*x^18 + 567*x^17 - 838*x^16 - 2717*x^15 + 2183*x^14 + 7707*x^13 - 3088*x^12 - 13343*x^11 + 1758*x^10 + 14036*x^9 + 846*x^8 - 8635*x^7 - 1762*x^6 + 2838*x^5 + 908*x^4 - 395*x^3 - 172*x^2 + 6*x + 6, -x^22 - 3*x^21 + 21*x^20 + 63*x^19 - 185*x^18 - 550*x^17 + 889*x^16 + 2600*x^15 - 2528*x^14 - 7283*x^13 + 4286*x^12 + 12467*x^11 - 4052*x^10 - 13001*x^9 + 1576*x^8 + 7971*x^7 + 409*x^6 - 2623*x^5 - 525*x^4 + 360*x^3 + 120*x^2 - 3*x - 3, x^22 + 3*x^21 - 21*x^20 - 63*x^19 + 185*x^18 + 550*x^17 - 889*x^16 - 2600*x^15 + 2528*x^14 + 7283*x^13 - 4286*x^12 - 12467*x^11 + 4052*x^10 + 13001*x^9 - 1576*x^8 - 7971*x^7 - 409*x^6 + 2623*x^5 + 525*x^4 - 360*x^3 - 120*x^2 + 3*x + 3, -x^21 - 2*x^20 + 23*x^19 + 41*x^18 - 223*x^17 - 344*x^16 + 1182*x^15 + 1535*x^14 - 3718*x^13 - 3989*x^12 + 7077*x^11 + 6266*x^10 - 8024*x^9 - 6012*x^8 + 5166*x^7 + 3469*x^6 - 1707*x^5 - 1131*x^4 + 223*x^3 + 172*x^2 - 6, x^21 + 2*x^20 - 23*x^19 - 41*x^18 + 223*x^17 + 344*x^16 - 1182*x^15 - 1535*x^14 + 3718*x^13 + 3989*x^12 - 7077*x^11 - 6266*x^10 + 8024*x^9 + 6012*x^8 - 5166*x^7 - 3469*x^6 + 1707*x^5 + 1131*x^4 - 223*x^3 - 172*x^2 + 6, -x^21 - 3*x^20 + 19*x^19 + 59*x^18 - 145*x^17 - 476*x^16 + 563*x^15 + 2041*x^14 - 1140*x^13 - 5041*x^12 + 985*x^11 + 7268*x^10 + 265*x^9 - 5915*x^8 - 1147*x^7 + 2487*x^6 + 768*x^5 - 445*x^4 - 180*x^3 + 16*x^2 + 9*x, x^21 + 3*x^20 - 19*x^19 - 59*x^18 + 145*x^17 + 476*x^16 - 563*x^15 - 2041*x^14 + 1140*x^13 + 5041*x^12 - 985*x^11 - 7268*x^10 - 265*x^9 + 5915*x^8 + 1147*x^7 - 2487*x^6 - 768*x^5 + 445*x^4 + 180*x^3 - 16*x^2 - 9*x, -x^21 - 3*x^20 + 20*x^19 + 60*x^18 - 166*x^17 - 492*x^16 + 743*x^15 + 2145*x^14 - 1945*x^13 - 5406*x^12 + 3009*x^11 + 8050*x^10 - 2636*x^9 - 6987*x^8 + 1145*x^7 + 3392*x^6 - 132*x^5 - 853*x^4 - 41*x^3 + 93*x^2 + 7*x - 3, x^21 + 3*x^20 - 20*x^19 - 60*x^18 + 166*x^17 + 492*x^16 - 743*x^15 - 2145*x^14 + 1945*x^13 + 5406*x^12 - 3009*x^11 - 8050*x^10 + 2636*x^9 + 6987*x^8 - 1145*x^7 - 3392*x^6 + 132*x^5 + 853*x^4 + 41*x^3 - 93*x^2 - 7*x + 3, -x^21 - 3*x^20 + 19*x^19 + 57*x^18 - 151*x^17 - 445*x^16 + 657*x^15 + 1855*x^14 - 1715*x^13 - 4500*x^12 + 2759*x^11 + 6519*x^10 - 2701*x^9 - 5604*x^8 + 1521*x^7 + 2779*x^6 - 424*x^5 - 758*x^4 + 32*x^3 + 98*x^2 + 5*x - 3, x^21 + 3*x^20 - 19*x^19 - 57*x^18 + 151*x^17 + 445*x^16 - 657*x^15 - 1855*x^14 + 1715*x^13 + 4500*x^12 - 2759*x^11 - 6519*x^10 + 2701*x^9 + 5604*x^8 - 1521*x^7 - 2779*x^6 + 424*x^5 + 758*x^4 - 32*x^3 - 98*x^2 - 5*x + 3, -x^20 - 2*x^19 + 20*x^18 + 38*x^17 - 162*x^16 - 299*x^15 + 678*x^14 + 1268*x^13 - 1554*x^12 - 3138*x^11 + 1884*x^10 + 4554*x^9 - 966*x^8 - 3694*x^7 - 121*x^6 + 1508*x^5 + 301*x^4 - 251*x^3 - 81*x^2 + 6*x + 3, x^20 + 2*x^19 - 20*x^18 - 38*x^17 + 162*x^16 + 299*x^15 - 678*x^14 - 1268*x^13 + 1554*x^12 + 3138*x^11 - 1884*x^10 - 4554*x^9 + 966*x^8 + 3694*x^7 + 121*x^6 - 1508*x^5 - 301*x^4 + 251*x^3 + 81*x^2 - 6*x - 3, -x^20 - 3*x^19 + 17*x^18 + 53*x^17 - 113*x^16 - 377*x^15 + 365*x^14 + 1398*x^13 - 549*x^12 - 2937*x^11 + 139*x^10 + 3567*x^9 + 665*x^8 - 2454*x^7 - 873*x^6 + 885*x^5 + 427*x^4 - 128*x^3 - 82*x^2 + 3, x^20 + 3*x^19 - 17*x^18 - 53*x^17 + 113*x^16 + 377*x^15 - 365*x^14 - 1398*x^13 + 549*x^12 + 2937*x^11 - 139*x^10 - 3567*x^9 - 665*x^8 + 2454*x^7 + 873*x^6 - 885*x^5 - 427*x^4 + 128*x^3 + 82*x^2 - 3, -x^20 - 3*x^19 + 19*x^18 + 58*x^17 - 146*x^16 - 455*x^15 + 583*x^14 + 1877*x^13 - 1277*x^12 - 4417*x^11 + 1416*x^10 + 6014*x^9 - 431*x^8 - 4579*x^7 - 541*x^6 + 1770*x^5 + 484*x^4 - 267*x^3 - 113*x^2 + 3, x^20 + 3*x^19 - 19*x^18 - 58*x^17 + 146*x^16 + 455*x^15 - 583*x^14 - 1877*x^13 + 1277*x^12 + 4417*x^11 - 1416*x^10 - 6014*x^9 + 431*x^8 + 4579*x^7 + 541*x^6 - 1770*x^5 - 484*x^4 + 267*x^3 + 113*x^2 - 3, -x^20 - 3*x^19 + 17*x^18 + 52*x^17 - 117*x^16 - 364*x^15 + 422*x^14 + 1335*x^13 - 855*x^12 - 2785*x^11 + 940*x^10 + 3356*x^9 - 431*x^8 - 2259*x^7 - 88*x^6 + 767*x^5 + 144*x^4 - 98*x^3 - 33*x^2 - 2*x, x^20 + 3*x^19 - 17*x^18 - 52*x^17 + 117*x^16 + 364*x^15 - 422*x^14 - 1335*x^13 + 855*x^12 + 2785*x^11 - 940*x^10 - 3356*x^9 + 431*x^8 + 2259*x^7 + 88*x^6 - 767*x^5 - 144*x^4 + 98*x^3 + 33*x^2 + 2*x, -x^20 - 3*x^19 + 17*x^18 + 53*x^17 - 115*x^16 - 381*x^15 + 391*x^14 + 1448*x^13 - 672*x^12 - 3163*x^11 + 411*x^10 + 4041*x^9 + 376*x^8 - 2933*x^7 - 745*x^6 + 1098*x^5 + 413*x^4 - 164*x^3 - 82*x^2 + 2*x + 3, x^20 + 3*x^19 - 17*x^18 - 53*x^17 + 115*x^16 + 381*x^15 - 391*x^14 - 1448*x^13 + 672*x^12 + 3163*x^11 - 411*x^10 - 4041*x^9 - 376*x^8 + 2933*x^7 + 745*x^6 - 1098*x^5 - 413*x^4 + 164*x^3 + 82*x^2 - 2*x - 3, -x^19 - x^18 + 21*x^17 + 15*x^16 - 184*x^15 - 95*x^14 + 854*x^13 + 349*x^12 - 2239*x^11 - 830*x^10 + 3323*x^9 + 1255*x^8 - 2668*x^7 - 1100*x^6 + 1041*x^5 + 495*x^4 - 152*x^3 - 91*x^2 + 3, x^19 + x^18 - 21*x^17 - 15*x^16 + 184*x^15 + 95*x^14 - 854*x^13 - 349*x^12 + 2239*x^11 + 830*x^10 - 3323*x^9 - 1255*x^8 + 2668*x^7 + 1100*x^6 - 1041*x^5 - 495*x^4 + 152*x^3 + 91*x^2 - 3, -x^19 - 3*x^18 + 17*x^17 + 52*x^16 - 114*x^15 - 358*x^14 + 382*x^13 + 1256*x^12 - 663*x^11 - 2406*x^10 + 525*x^9 + 2511*x^8 - 44*x^7 - 1356*x^6 - 171*x^5 + 340*x^4 + 78*x^3 - 28*x^2 - 8*x, x^19 + 3*x^18 - 17*x^17 - 52*x^16 + 114*x^15 + 358*x^14 - 382*x^13 - 1256*x^12 + 663*x^11 + 2406*x^10 - 525*x^9 - 2511*x^8 + 44*x^7 + 1356*x^6 + 171*x^5 - 340*x^4 - 78*x^3 + 28*x^2 + 8*x, -x^19 - 3*x^18 + 15*x^17 + 47*x^16 - 84*x^15 - 285*x^14 + 209*x^13 + 848*x^12 - 183*x^11 - 1295*x^10 - 125*x^9 + 950*x^8 + 318*x^7 - 246*x^6 - 170*x^5 - 23*x^4 + 20*x^3 + 12*x^2 + 2*x, x^19 + 3*x^18 - 15*x^17 - 47*x^16 + 84*x^15 + 285*x^14 - 209*x^13 - 848*x^12 + 183*x^11 + 1295*x^10 + 125*x^9 - 950*x^8 - 318*x^7 + 246*x^6 + 170*x^5 + 23*x^4 - 20*x^3 - 12*x^2 - 2*x, -x^19 - 2*x^18 + 20*x^17 + 37*x^16 - 160*x^15 - 268*x^14 + 668*x^13 + 989*x^12 - 1593*x^11 - 2036*x^10 + 2205*x^9 + 2408*x^8 - 1686*x^7 - 1622*x^6 + 616*x^5 + 586*x^4 - 72*x^3 - 93*x^2 - 4*x + 3, x^19 + 2*x^18 - 20*x^17 - 37*x^16 + 160*x^15 + 268*x^14 - 668*x^13 - 989*x^12 + 1593*x^11 + 2036*x^10 - 2205*x^9 - 2408*x^8 + 1686*x^7 + 1622*x^6 - 616*x^5 - 586*x^4 + 72*x^3 + 93*x^2 + 4*x - 3, -x^19 - 2*x^18 + 19*x^17 + 34*x^16 - 150*x^15 - 233*x^14 + 638*x^13 + 839*x^12 - 1580*x^11 - 1736*x^10 + 2290*x^9 + 2122*x^8 - 1844*x^7 - 1513*x^6 + 723*x^5 + 589*x^4 - 96*x^3 - 102*x^2 - 5*x + 3, x^19 + 2*x^18 - 19*x^17 - 34*x^16 + 150*x^15 + 233*x^14 - 638*x^13 - 839*x^12 + 1580*x^11 + 1736*x^10 - 2290*x^9 - 2122*x^8 + 1844*x^7 + 1513*x^6 - 723*x^5 - 589*x^4 + 96*x^3 + 102*x^2 + 5*x - 3, -x^19 - 3*x^18 + 15*x^17 + 47*x^16 - 85*x^15 - 287*x^14 + 222*x^13 + 876*x^12 - 239*x^11 - 1427*x^10 - 20*x^9 + 1223*x^8 + 235*x^7 - 499*x^6 - 155*x^5 + 71*x^4 + 31*x^3 + 2*x^2, x^19 + 3*x^18 - 15*x^17 - 47*x^16 + 85*x^15 + 287*x^14 - 222*x^13 - 876*x^12 + 239*x^11 + 1427*x^10 + 20*x^9 - 1223*x^8 - 235*x^7 + 499*x^6 + 155*x^5 - 71*x^4 - 31*x^3 - 2*x^2, -x^19 - 2*x^18 + 17*x^17 + 30*x^16 - 116*x^15 - 173*x^14 + 408*x^13 + 490*x^12 - 796*x^11 - 725*x^10 + 872*x^9 + 552*x^8 - 523*x^7 - 202*x^6 + 160*x^5 + 30*x^4 - 24*x^3 + 2*x, x^19 + 2*x^18 - 17*x^17 - 30*x^16 + 116*x^15 + 173*x^14 - 408*x^13 - 490*x^12 + 796*x^11 + 725*x^10 - 872*x^9 - 552*x^8 + 523*x^7 + 202*x^6 - 160*x^5 - 30*x^4 + 24*x^3 - 2*x, -x^19 - 2*x^18 + 19*x^17 + 34*x^16 - 150*x^15 - 234*x^14 + 635*x^13 + 847*x^12 - 1552*x^11 - 1753*x^10 + 2205*x^9 + 2119*x^8 - 1743*x^7 - 1479*x^6 + 677*x^5 + 564*x^4 - 90*x^3 - 96*x^2 - 4*x + 3, x^19 + 2*x^18 - 19*x^17 - 34*x^16 + 150*x^15 + 234*x^14 - 635*x^13 - 847*x^12 + 1552*x^11 + 1753*x^10 - 2205*x^9 - 2119*x^8 + 1743*x^7 + 1479*x^6 - 677*x^5 - 564*x^4 + 90*x^3 + 96*x^2 + 4*x - 3, x^18 + 3*x^17 - 15*x^16 - 47*x^15 + 85*x^14 + 287*x^13 - 222*x^12 - 876*x^11 + 239*x^10 + 1427*x^9 + 20*x^8 - 1223*x^7 - 235*x^6 + 499*x^5 + 155*x^4 - 71*x^3 - 31*x^2 - 2*x, -x^18 - 3*x^17 + 15*x^16 + 47*x^15 - 85*x^14 - 287*x^13 + 222*x^12 + 876*x^11 - 239*x^10 - 1427*x^9 - 20*x^8 + 1223*x^7 + 235*x^6 - 499*x^5 - 155*x^4 + 71*x^3 + 31*x^2 + 2*x, -x^18 - 3*x^17 + 15*x^16 + 44*x^15 - 92*x^14 - 251*x^13 + 304*x^12 + 715*x^11 - 597*x^10 - 1094*x^9 + 706*x^8 + 908*x^7 - 460*x^6 - 397*x^5 + 133*x^4 + 88*x^3 - 12*x^2 - 7*x, x^18 + 3*x^17 - 15*x^16 - 44*x^15 + 92*x^14 + 251*x^13 - 304*x^12 - 715*x^11 + 597*x^10 + 1094*x^9 - 706*x^8 - 908*x^7 + 460*x^6 + 397*x^5 - 133*x^4 - 88*x^3 + 12*x^2 + 7*x, -x^17 - x^16 + 19*x^15 + 17*x^14 - 142*x^13 - 114*x^12 + 531*x^11 + 386*x^10 - 1056*x^9 - 709*x^8 + 1098*x^7 + 702*x^6 - 545*x^5 - 349*x^4 + 100*x^3 + 74*x^2 - 3, x^17 + x^16 - 19*x^15 - 17*x^14 + 142*x^13 + 114*x^12 - 531*x^11 - 386*x^10 + 1056*x^9 + 709*x^8 - 1098*x^7 - 702*x^6 + 545*x^5 + 349*x^4 - 100*x^3 - 74*x^2 + 3, -2*x^18 - 6*x^17 + 29*x^16 + 92*x^15 - 156*x^14 - 550*x^13 + 366*x^12 + 1642*x^11 - 264*x^10 - 2617*x^9 - 347*x^8 + 2208*x^7 + 703*x^6 - 908*x^5 - 407*x^4 + 140*x^3 + 84*x^2 - 3, 2*x^18 + 6*x^17 - 29*x^16 - 92*x^15 + 156*x^14 + 550*x^13 - 366*x^12 - 1642*x^11 + 264*x^10 + 2617*x^9 + 347*x^8 - 2208*x^7 - 703*x^6 + 908*x^5 + 407*x^4 - 140*x^3 - 84*x^2 + 3, x^16 + 3*x^15 - 10*x^14 - 34*x^13 + 33*x^12 + 142*x^11 - 41*x^10 - 283*x^9 + 289*x^7 + 57*x^6 - 143*x^5 - 61*x^4 + 22*x^3 + 18*x^2 + 3*x, -x^16 - 3*x^15 + 10*x^14 + 34*x^13 - 33*x^12 - 142*x^11 + 41*x^10 + 283*x^9 - 289*x^7 - 57*x^6 + 143*x^5 + 61*x^4 - 22*x^3 - 18*x^2 - 3*x, -x^18 - 2*x^17 + 17*x^16 + 30*x^15 - 115*x^14 - 172*x^13 + 394*x^12 + 482*x^11 - 721*x^10 - 706*x^9 + 686*x^8 + 537*x^7 - 302*x^6 - 197*x^5 + 42*x^4 + 29*x^3 + 2*x^2, x^18 + 2*x^17 - 17*x^16 - 30*x^15 + 115*x^14 + 172*x^13 - 394*x^12 - 482*x^11 + 721*x^10 + 706*x^9 - 686*x^8 - 537*x^7 + 302*x^6 + 197*x^5 - 42*x^4 - 29*x^3 - 2*x^2]>,
         rec<Eigen |
           DefiningPolynomial := x^38 - 7*x^37 - 37*x^36 + 357*x^35 + 437*x^34 - 8193*x^33 + 1422*x^32 + 111809*x^31 - 103042*x^30 - 1009791*x^29 + 1445035*x^28 + 6351142*x^27 - 11760362*x^26 - 28461451*x^25 + 64625714*x^24 + 91068897*x^23 - 253079336*x^22 - 203354774*x^21 + 722082569*x^20 + 293202570*x^19 - 1509655832*x^18 - 194522243*x^17 + 2297824191*x^16 - 170173173*x^15 - 2497962878*x^14 + 575423605*x^13 + 1869484738*x^12 - 673267734*x^11 - 899647370*x^10 + 436005839*x^9 + 240930297*x^8 - 156800837*x^7 - 22088137*x^6 + 26713055*x^5 - 2322773*x^4 - 1286727*x^3 + 229927*x^2 + 5032*x - 2004,
           Coordinates        := [-x^37 + 7*x^36 + 34*x^35 - 336*x^34 - 341*x^33 + 7227*x^32 - 2265*x^31 - 91976*x^30 + 94899*x^29 + 769981*x^28 - 1178702*x^27 - 4454635*x^26 + 8715816*x^25 + 18172828*x^24 - 43635610*x^23 - 52120541*x^22 + 155118624*x^21 + 101462391*x^20 - 398930481*x^19 - 118686821*x^18 + 744260403*x^17 + 36157450*x^16 - 997249282*x^15 + 132953023*x^14 + 936792426*x^13 - 255995584*x^12 - 589768382*x^11 + 230316040*x^10 + 228547938*x^9 - 116253129*x^8 - 44887065*x^7 + 31250886*x^6 + 1668242*x^5 - 3549759*x^4 + 469337*x^3 + 59688*x^2 - 12550*x + 252, x^37 - 7*x^36 - 34*x^35 + 338*x^34 + 327*x^33 - 7283*x^32 + 2857*x^31 + 92294*x^30 - 105915*x^29 - 762339*x^28 + 1297200*x^27 + 4287993*x^26 - 9528142*x^25 - 16569294*x^24 + 47306648*x^23 + 42625639*x^22 - 165899364*x^21 - 63675657*x^20 + 417384155*x^19 + 14349349*x^18 - 752307953*x^17 + 164886196*x^16 + 955430662*x^15 - 399471127*x^14 - 824163036*x^13 + 489886078*x^12 + 448532508*x^11 - 355271058*x^10 - 128990864*x^9 + 148842761*x^8 + 7260459*x^7 - 31577618*x^6 + 4325124*x^5 + 2393485*x^4 - 558871*x^3 - 24498*x^2 + 9182*x + 60, 2*x^33 - 10*x^32 - 78*x^31 + 452*x^30 + 1256*x^29 - 9098*x^28 - 10064*x^27 + 107480*x^26 + 28860*x^25 - 826942*x^24 + 197602*x^23 + 4347300*x^22 - 2555714*x^21 - 15932504*x^20 + 13669970*x^19 + 40729140*x^18 - 44857770*x^17 - 71160374*x^16 + 97886976*x^15 + 80199188*x^14 - 144632094*x^13 - 48687586*x^12 + 142766436*x^11 + 733844*x^10 - 89769468*x^9 + 21640122*x^8 + 32028404*x^7 - 14496240*x^6 - 4489192*x^5 + 3498376*x^4 - 289726*x^3 - 141692*x^2 + 23992*x - 336, -4*x^31 + 26*x^30 + 108*x^29 - 1020*x^28 - 682*x^27 + 17338*x^26 - 9550*x^25 - 167418*x^24 + 207494*x^23 + 1009248*x^22 - 1789614*x^21 - 3906200*x^20 + 9151278*x^19 + 9434792*x^18 - 30438508*x^17 - 12053854*x^16 + 67653036*x^15 - 453248*x^14 - 99889774*x^13 + 29209874*x^12 + 94304662*x^11 - 49643268*x^10 - 51619032*x^9 + 40322032*x^8 + 11935190*x^7 - 16280078*x^6 + 1273148*x^5 + 2483158*x^4 - 792526*x^3 + 27318*x^2 + 17686*x - 1836, 2*x^33 - 14*x^32 - 58*x^31 + 606*x^30 + 352*x^29 - 11448*x^28 + 7750*x^27 + 123942*x^26 - 173288*x^25 - 847432*x^24 + 1666574*x^23 + 3783452*x^22 - 9742678*x^21 - 10864760*x^20 + 37871864*x^19 + 17957158*x^18 - 101065380*x^17 - 7141344*x^16 + 186094386*x^15 - 38592594*x^14 - 232568446*x^13 + 97152360*x^12 + 188569888*x^11 - 113478448*x^10 - 89390676*x^9 + 73206626*x^8 + 17992906*x^7 - 24306384*x^6 + 1448772*x^5 + 3015360*x^4 - 716798*x^3 - 1908*x^2 + 8702*x + 60, 4*x^31 - 30*x^30 - 76*x^29 + 1068*x^28 - 304*x^27 - 16418*x^26 + 22108*x^25 + 142732*x^24 - 291536*x^23 - 768934*x^22 + 2088990*x^21 + 2616084*x^20 - 9543978*x^19 - 5277876*x^18 + 29394820*x^17 + 4161146*x^16 - 62091498*x^15 + 7672134*x^14 + 89232020*x^13 - 27432400*x^12 - 84267286*x^11 + 37816476*x^10 + 48369836*x^9 - 28280022*x^8 - 13961870*x^7 + 11232174*x^6 + 753974*x^5 - 1931080*x^4 + 311876*x^3 + 66154*x^2 - 19256*x + 936, 2*x^34 - 14*x^33 - 56*x^32 + 592*x^31 + 314*x^30 - 10984*x^29 + 7700*x^28 + 117432*x^27 - 165860*x^26 - 797156*x^25 + 1576726*x^24 + 3551372*x^23 - 9188882*x^22 - 10219228*x^21 + 35802516*x^20 + 16952464*x^19 - 96096986*x^18 - 6562356*x^17 + 178166116*x^16 - 37908882*x^15 - 223663930*x^14 + 95362110*x^13 + 180594068*x^12 - 110900544*x^11 - 83111032*x^10 + 69842316*x^9 + 14354262*x^8 - 21265106*x^7 + 2331078*x^6 + 1590998*x^5 - 497048*x^4 + 224064*x^3 - 104848*x^2 + 19178*x - 972, -6*x^30 + 32*x^29 + 190*x^28 - 1248*x^27 - 2286*x^26 + 21370*x^25 + 10104*x^24 - 211554*x^23 + 42164*x^22 + 1341838*x^21 - 801256*x^20 - 5710180*x^19 + 4906490*x^18 + 16585948*x^17 - 17374010*x^16 - 32753132*x^15 + 39260200*x^14 + 42772062*x^13 - 57669052*x^12 - 34438024*x^11 + 53929324*x^10 + 14032510*x^9 - 30126958*x^8 - 356842*x^7 + 8660834*x^6 - 1551736*x^5 - 817994*x^4 + 267060*x^3 - 16624*x^2 + 904*x - 384, -6*x^31 + 44*x^30 + 126*x^29 - 1628*x^28 + 210*x^27 + 25942*x^26 - 32636*x^25 - 231762*x^24 + 465272*x^23 + 1257510*x^22 - 3484932*x^21 - 4107668*x^20 + 16326850*x^19 + 6772968*x^18 - 50545906*x^17 + 1994888*x^16 + 104766464*x^15 - 35748338*x^14 - 143213176*x^13 + 80900080*x^12 + 122805372*x^11 - 93826138*x^10 - 58191978*x^9 + 59897074*x^8 + 9374518*x^7 - 18873404*x^6 + 2285478*x^5 + 1903048*x^4 - 550744*x^3 + 34152*x^2 - 2192*x + 768, -6*x^32 + 44*x^31 + 134*x^30 - 1684*x^29 + 54*x^28 + 27874*x^27 - 32964*x^26 - 260336*x^25 + 502986*x^24 + 1492092*x^23 - 3987196*x^22 - 5250110*x^21 + 19864436*x^20 + 9895678*x^19 - 66138310*x^18 - 762826*x^17 + 150078452*x^16 - 46990906*x^15 - 230912622*x^14 + 127837268*x^13 + 233633450*x^12 - 177536966*x^11 - 144227658*x^10 + 143312382*x^9 + 44152072*x^8 - 65030150*x^7 - 589388*x^6 + 14139894*x^5 - 2610204*x^4 - 869058*x^3 + 274388*x^2 - 8700*x - 1896, 2*x^32 - 12*x^31 - 58*x^30 + 464*x^29 + 564*x^28 - 7924*x^27 - 44*x^26 + 78950*x^25 - 48058*x^24 - 510208*x^23 + 506756*x^22 + 2244498*x^21 - 2863492*x^20 - 6837640*x^19 + 10409772*x^18 + 14293018*x^17 - 25619884*x^16 - 19570018*x^15 + 42999936*x^14 + 15158684*x^13 - 48135876*x^12 - 2227206*x^11 + 33798144*x^10 - 7117002*x^9 - 12703528*x^8 + 6156834*x^7 + 1189430*x^6 - 1617322*x^5 + 478100*x^4 - 54418*x^3 - 7824*x^2 + 6198*x - 996, -3*x^36 + 21*x^35 + 96*x^34 - 966*x^33 - 843*x^32 + 19833*x^31 - 8143*x^30 - 239810*x^29 + 266333*x^28 + 1896507*x^27 - 3044546*x^26 - 10288623*x^25 + 20990104*x^24 + 38948356*x^23 - 97960712*x^22 - 101892383*x^21 + 323152088*x^20 + 174515749*x^19 - 765395429*x^18 - 158364793*x^17 + 1300574909*x^16 - 37220150*x^15 - 1561170452*x^14 + 319428021*x^13 + 1279716356*x^12 - 442951694*x^11 - 671099432*x^10 + 319752710*x^9 + 196043232*x^8 - 125549951*x^7 - 20419895*x^6 + 23163296*x^5 - 1853436*x^4 - 1227039*x^3 + 217377*x^2 + 5284*x - 2004, x^36 - 7*x^35 - 32*x^34 + 324*x^33 + 269*x^32 - 6677*x^31 + 3229*x^30 + 80704*x^29 - 98567*x^28 - 633459*x^27 + 1123590*x^26 + 3366895*x^25 - 7778128*x^24 - 12170490*x^23 + 36451192*x^22 + 28622959*x^21 - 120354170*x^20 - 35858433*x^19 + 283415305*x^18 - 10170165*x^17 - 473076457*x^16 + 134118658*x^15 + 545672346*x^14 - 265516423*x^13 - 411000522*x^12 + 281833174*x^11 + 176851588*x^10 - 171950294*x^9 - 25245926*x^8 + 54371029*x^7 - 8401369*x^6 - 5680236*x^5 + 2379304*x^4 - 397811*x^3 + 53079*x^2 - 3412*x - 492, x^34 - 6*x^33 - 34*x^32 + 265*x^31 + 402*x^30 - 5177*x^29 - 483*x^28 + 58772*x^27 - 39310*x^26 - 427901*x^25 + 512272*x^24 + 2074849*x^23 - 3451507*x^22 - 6688395*x^21 + 14801237*x^20 + 13529585*x^19 - 42793455*x^18 - 13151302*x^17 + 84523675*x^16 - 8843894*x^15 - 112415641*x^14 + 47972254*x^13 + 95727011*x^12 - 71016296*x^11 - 45251656*x^10 + 55704795*x^9 + 5194141*x^8 - 23262322*x^7 + 5003524*x^6 + 3993784*x^5 - 1894051*x^4 + 74017*x^3 + 82842*x^2 - 12164*x + 168, x^34 - 6*x^33 - 34*x^32 + 265*x^31 + 402*x^30 - 5177*x^29 - 483*x^28 + 58772*x^27 - 39310*x^26 - 427901*x^25 + 512272*x^24 + 2074849*x^23 - 3451507*x^22 - 6688395*x^21 + 14801237*x^20 + 13529585*x^19 - 42793455*x^18 - 13151302*x^17 + 84523675*x^16 - 8843894*x^15 - 112415641*x^14 + 47972254*x^13 + 95727011*x^12 - 71016296*x^11 - 45251656*x^10 + 55704795*x^9 + 5194141*x^8 - 23262322*x^7 + 5003524*x^6 + 3993784*x^5 - 1894051*x^4 + 74017*x^3 + 82842*x^2 - 12164*x + 168, x^35 - 6*x^34 - 37*x^33 + 281*x^32 + 511*x^31 - 5869*x^30 - 2093*x^29 + 72128*x^28 - 28040*x^27 - 579677*x^26 + 495042*x^25 + 3203379*x^24 - 3805874*x^23 - 12461950*x^22 + 18199163*x^21 + 34350385*x^20 - 58920474*x^19 - 66526334*x^18 + 132860115*x^17 + 88064034*x^16 - 209658608*x^15 - 74603173*x^14 + 229197734*x^13 + 33171527*x^12 - 169711800*x^11 + 762207*x^10 + 82385300*x^9 - 9204710*x^8 - 25279239*x^7 + 4850636*x^6 + 4686842*x^5 - 1255764*x^4 - 408061*x^3 + 160630*x^2 - 7154*x - 1308, x^35 - 6*x^34 - 37*x^33 + 281*x^32 + 511*x^31 - 5869*x^30 - 2093*x^29 + 72128*x^28 - 28040*x^27 - 579677*x^26 + 495042*x^25 + 3203379*x^24 - 3805874*x^23 - 12461950*x^22 + 18199163*x^21 + 34350385*x^20 - 58920474*x^19 - 66526334*x^18 + 132860115*x^17 + 88064034*x^16 - 209658608*x^15 - 74603173*x^14 + 229197734*x^13 + 33171527*x^12 - 169711800*x^11 + 762207*x^10 + 82385300*x^9 - 9204710*x^8 - 25279239*x^7 + 4850636*x^6 + 4686842*x^5 - 1255764*x^4 - 408061*x^3 + 160630*x^2 - 7154*x - 1308, x^33 - 6*x^32 - 31*x^31 + 240*x^30 + 354*x^29 - 4258*x^28 - 1206*x^27 + 44296*x^26 - 11630*x^25 - 301588*x^24 + 156765*x^23 + 1426255*x^22 - 842212*x^21 - 4888296*x^20 + 2457049*x^19 + 12645892*x^18 - 3478670*x^17 - 25747554*x^16 - 644009*x^15 + 42376239*x^14 + 11161371*x^13 - 55500237*x^12 - 18306292*x^11 + 54208744*x^10 + 12578309*x^9 - 35697734*x^8 - 1745641*x^7 + 13639388*x^6 - 2091701*x^5 - 2168595*x^4 + 780629*x^3 - 31102*x^2 - 16670*x + 1644, x^33 - 6*x^32 - 31*x^31 + 240*x^30 + 354*x^29 - 4258*x^28 - 1206*x^27 + 44296*x^26 - 11630*x^25 - 301588*x^24 + 156765*x^23 + 1426255*x^22 - 842212*x^21 - 4888296*x^20 + 2457049*x^19 + 12645892*x^18 - 3478670*x^17 - 25747554*x^16 - 644009*x^15 + 42376239*x^14 + 11161371*x^13 - 55500237*x^12 - 18306292*x^11 + 54208744*x^10 + 12578309*x^9 - 35697734*x^8 - 1745641*x^7 + 13639388*x^6 - 2091701*x^5 - 2168595*x^4 + 780629*x^3 - 31102*x^2 - 16670*x + 1644, x^36 - 6*x^35 - 39*x^34 + 293*x^33 + 583*x^32 - 6419*x^31 - 3051*x^30 + 83374*x^29 - 24634*x^28 - 714845*x^27 + 554315*x^26 + 4262631*x^25 - 4770469*x^24 - 18136384*x^23 + 25364390*x^22 + 55528079*x^21 - 92172122*x^20 - 121497394*x^19 + 236966287*x^18 + 184789302*x^17 - 434658536*x^16 - 181708306*x^15 + 564063748*x^14 + 89989448*x^13 - 504975854*x^12 + 18081751*x^11 + 296902459*x^10 - 57606392*x^9 - 104211956*x^8 + 35426095*x^7 + 17407315*x^6 - 9319667*x^5 - 307701*x^4 + 830020*x^3 - 136912*x^2 - 780*x + 1248, x^36 - 6*x^35 - 39*x^34 + 293*x^33 + 583*x^32 - 6419*x^31 - 3051*x^30 + 83374*x^29 - 24634*x^28 - 714845*x^27 + 554315*x^26 + 4262631*x^25 - 4770469*x^24 - 18136384*x^23 + 25364390*x^22 + 55528079*x^21 - 92172122*x^20 - 121497394*x^19 + 236966287*x^18 + 184789302*x^17 - 434658536*x^16 - 181708306*x^15 + 564063748*x^14 + 89989448*x^13 - 504975854*x^12 + 18081751*x^11 + 296902459*x^10 - 57606392*x^9 - 104211956*x^8 + 35426095*x^7 + 17407315*x^6 - 9319667*x^5 - 307701*x^4 + 830020*x^3 - 136912*x^2 - 780*x + 1248, x^34 - 6*x^33 - 38*x^32 + 285*x^31 + 556*x^30 - 6069*x^29 - 2923*x^28 + 76396*x^27 - 19963*x^26 - 631351*x^25 + 452323*x^24 + 3599585*x^23 - 3713720*x^22 - 14489299*x^21 + 18450411*x^20 + 41441475*x^19 - 61312717*x^18 - 83573966*x^17 + 140476253*x^16 + 115949027*x^15 - 222450373*x^14 - 104790175*x^13 + 239537043*x^12 + 53696752*x^11 - 169265503*x^10 - 7303113*x^9 + 73738576*x^8 - 7313137*x^7 - 17723997*x^6 + 4070119*x^5 + 1793691*x^4 - 743407*x^3 + 46916*x^2 + 11636*x - 1416, x^34 - 6*x^33 - 38*x^32 + 285*x^31 + 556*x^30 - 6069*x^29 - 2923*x^28 + 76396*x^27 - 19963*x^26 - 631351*x^25 + 452323*x^24 + 3599585*x^23 - 3713720*x^22 - 14489299*x^21 + 18450411*x^20 + 41441475*x^19 - 61312717*x^18 - 83573966*x^17 + 140476253*x^16 + 115949027*x^15 - 222450373*x^14 - 104790175*x^13 + 239537043*x^12 + 53696752*x^11 - 169265503*x^10 - 7303113*x^9 + 73738576*x^8 - 7313137*x^7 - 17723997*x^6 + 4070119*x^5 + 1793691*x^4 - 743407*x^3 + 46916*x^2 + 11636*x - 1416, x^32 - 9*x^31 - 13*x^30 + 332*x^29 - 368*x^28 - 5268*x^27 + 11707*x^26 + 46459*x^25 - 147746*x^24 - 241422*x^23 + 1098791*x^22 + 671955*x^21 - 5356579*x^20 - 230443*x^19 + 17849901*x^18 - 5645514*x^17 - 41212708*x^16 + 23268829*x^15 + 65511424*x^14 - 49313697*x^13 - 69664394*x^12 + 63946849*x^11 + 46304313*x^10 - 51495175*x^9 - 16108441*x^8 + 24375036*x^7 + 931268*x^6 - 5828368*x^5 + 908839*x^4 + 448188*x^3 - 128351*x^2 + 3432*x + 948, x^32 - 9*x^31 - 13*x^30 + 332*x^29 - 368*x^28 - 5268*x^27 + 11707*x^26 + 46459*x^25 - 147746*x^24 - 241422*x^23 + 1098791*x^22 + 671955*x^21 - 5356579*x^20 - 230443*x^19 + 17849901*x^18 - 5645514*x^17 - 41212708*x^16 + 23268829*x^15 + 65511424*x^14 - 49313697*x^13 - 69664394*x^12 + 63946849*x^11 + 46304313*x^10 - 51495175*x^9 - 16108441*x^8 + 24375036*x^7 + 931268*x^6 - 5828368*x^5 + 908839*x^4 + 448188*x^3 - 128351*x^2 + 3432*x + 948, 2*x^32 - 16*x^31 - 35*x^30 + 587*x^29 - 355*x^28 - 9208*x^27 + 15973*x^26 + 79854*x^25 - 207761*x^24 - 407172*x^23 + 1510504*x^22 + 1128144*x^21 - 6987609*x^20 - 653250*x^19 + 21464884*x^18 - 6950738*x^17 - 43954976*x^16 + 27951304*x^15 + 58065588*x^14 - 54158794*x^13 - 44368909*x^12 + 61278191*x^11 + 11525652*x^10 - 39907354*x^9 + 9168659*x^8 + 12526674*x^7 - 8026493*x^6 - 334011*x^5 + 1765841*x^4 - 553307*x^3 + 28839*x^2 + 10376*x - 1116, 2*x^32 - 16*x^31 - 35*x^30 + 587*x^29 - 355*x^28 - 9208*x^27 + 15973*x^26 + 79854*x^25 - 207761*x^24 - 407172*x^23 + 1510504*x^22 + 1128144*x^21 - 6987609*x^20 - 653250*x^19 + 21464884*x^18 - 6950738*x^17 - 43954976*x^16 + 27951304*x^15 + 58065588*x^14 - 54158794*x^13 - 44368909*x^12 + 61278191*x^11 + 11525652*x^10 - 39907354*x^9 + 9168659*x^8 + 12526674*x^7 - 8026493*x^6 - 334011*x^5 + 1765841*x^4 - 553307*x^3 + 28839*x^2 + 10376*x - 1116, -2*x^33 + 13*x^32 + 60*x^31 - 545*x^30 - 522*x^29 + 10062*x^28 - 3013*x^27 - 107682*x^26 + 105005*x^25 + 739398*x^24 - 1068185*x^23 - 3400226*x^22 + 6303530*x^21 + 10567571*x^20 - 24403350*x^19 - 21624195*x^18 + 64535140*x^17 + 26266415*x^16 - 117563685*x^15 - 10474276*x^14 + 145528382*x^13 - 20150670*x^12 - 117651621*x^11 + 37482247*x^10 + 56855108*x^9 - 28109356*x^8 - 12878072*x^7 + 10257239*x^6 - 161412*x^5 - 1459207*x^4 + 420506*x^3 + 670*x^2 - 17453*x + 2094, -2*x^33 + 13*x^32 + 60*x^31 - 545*x^30 - 522*x^29 + 10062*x^28 - 3013*x^27 - 107682*x^26 + 105005*x^25 + 739398*x^24 - 1068185*x^23 - 3400226*x^22 + 6303530*x^21 + 10567571*x^20 - 24403350*x^19 - 21624195*x^18 + 64535140*x^17 + 26266415*x^16 - 117563685*x^15 - 10474276*x^14 + 145528382*x^13 - 20150670*x^12 - 117651621*x^11 + 37482247*x^10 + 56855108*x^9 - 28109356*x^8 - 12878072*x^7 + 10257239*x^6 - 161412*x^5 - 1459207*x^4 + 420506*x^3 + 670*x^2 - 17453*x + 2094, x^33 - 9*x^32 - 15*x^31 + 345*x^30 - 308*x^29 - 5794*x^28 + 11090*x^27 + 56008*x^26 - 147724*x^25 - 343192*x^24 + 1160339*x^23 + 1372877*x^22 - 6052282*x^21 - 3476481*x^20 + 22011107*x^19 + 4576563*x^18 - 56919002*x^17 + 1618578*x^16 + 104771920*x^15 - 19712726*x^14 - 135189073*x^13 + 40675895*x^12 + 118097918*x^11 - 45547567*x^10 - 65501832*x^9 + 30000929*x^8 + 20433314*x^7 - 11037756*x^6 - 2731739*x^5 + 1971564*x^4 + 34471*x^3 - 149664*x^2 + 23191*x - 786, x^33 - 9*x^32 - 15*x^31 + 345*x^30 - 308*x^29 - 5794*x^28 + 11090*x^27 + 56008*x^26 - 147724*x^25 - 343192*x^24 + 1160339*x^23 + 1372877*x^22 - 6052282*x^21 - 3476481*x^20 + 22011107*x^19 + 4576563*x^18 - 56919002*x^17 + 1618578*x^16 + 104771920*x^15 - 19712726*x^14 - 135189073*x^13 + 40675895*x^12 + 118097918*x^11 - 45547567*x^10 - 65501832*x^9 + 30000929*x^8 + 20433314*x^7 - 11037756*x^6 - 2731739*x^5 + 1971564*x^4 + 34471*x^3 - 149664*x^2 + 23191*x - 786, -3*x^32 + 22*x^31 + 66*x^30 - 830*x^29 + 10*x^28 + 13595*x^27 - 15175*x^26 - 126566*x^25 + 227584*x^24 + 734532*x^23 - 1763548*x^22 - 2724753*x^21 + 8564053*x^20 + 6241574*x^19 - 27726198*x^18 - 7295530*x^17 + 61070237*x^16 - 1497603*x^15 - 91236688*x^14 + 19064009*x^13 + 90237212*x^12 - 29694057*x^11 - 56060651*x^10 + 22932282*x^9 + 19750738*x^8 - 9258281*x^7 - 3187678*x^6 + 1727392*x^5 + 133625*x^4 - 116454*x^3 + 7216*x^2 - 68*x + 192, -3*x^32 + 22*x^31 + 66*x^30 - 830*x^29 + 10*x^28 + 13595*x^27 - 15175*x^26 - 126566*x^25 + 227584*x^24 + 734532*x^23 - 1763548*x^22 - 2724753*x^21 + 8564053*x^20 + 6241574*x^19 - 27726198*x^18 - 7295530*x^17 + 61070237*x^16 - 1497603*x^15 - 91236688*x^14 + 19064009*x^13 + 90237212*x^12 - 29694057*x^11 - 56060651*x^10 + 22932282*x^9 + 19750738*x^8 - 9258281*x^7 - 3187678*x^6 + 1727392*x^5 + 133625*x^4 - 116454*x^3 + 7216*x^2 - 68*x + 192, x^33 - 7*x^32 - 24*x^31 + 268*x^30 + 68*x^29 - 4466*x^28 + 3952*x^27 + 42528*x^26 - 66250*x^25 - 255154*x^24 + 538869*x^23 + 999505*x^22 - 2729127*x^21 - 2535538*x^20 + 9304979*x^19 + 3823062*x^18 - 22077213*x^17 - 1983073*x^16 + 36906282*x^15 - 4592766*x^14 - 43331315*x^13 + 12151607*x^12 + 34939658*x^11 - 14321531*x^10 - 18275037*x^9 + 9860206*x^8 + 5352645*x^7 - 3830353*x^6 - 465434*x^5 + 641607*x^4 - 99193*x^3 + 3639*x^2 - 2829*x + 498, x^33 - 7*x^32 - 24*x^31 + 268*x^30 + 68*x^29 - 4466*x^28 + 3952*x^27 + 42528*x^26 - 66250*x^25 - 255154*x^24 + 538869*x^23 + 999505*x^22 - 2729127*x^21 - 2535538*x^20 + 9304979*x^19 + 3823062*x^18 - 22077213*x^17 - 1983073*x^16 + 36906282*x^15 - 4592766*x^14 - 43331315*x^13 + 12151607*x^12 + 34939658*x^11 - 14321531*x^10 - 18275037*x^9 + 9860206*x^8 + 5352645*x^7 - 3830353*x^6 - 465434*x^5 + 641607*x^4 - 99193*x^3 + 3639*x^2 - 2829*x + 498, -3*x^32 + 20*x^31 + 79*x^30 - 777*x^29 - 484*x^28 + 13227*x^27 - 6970*x^26 - 129881*x^25 + 149570*x^24 + 814870*x^23 - 1297616*x^22 - 3416270*x^21 + 6770584*x^20 + 9702856*x^19 - 23419692*x^18 - 18399093*x^17 + 55681931*x^16 + 21803315*x^15 - 91942267*x^14 - 12198965*x^13 + 104626821*x^12 - 5107714*x^11 - 79794567*x^10 + 14865387*x^9 + 38364202*x^8 - 11633497*x^7 - 10143046*x^6 + 4322976*x^5 + 973681*x^4 - 652597*x^3 + 37839*x^2 + 18383*x - 2142, -3*x^32 + 20*x^31 + 79*x^30 - 777*x^29 - 484*x^28 + 13227*x^27 - 6970*x^26 - 129881*x^25 + 149570*x^24 + 814870*x^23 - 1297616*x^22 - 3416270*x^21 + 6770584*x^20 + 9702856*x^19 - 23419692*x^18 - 18399093*x^17 + 55681931*x^16 + 21803315*x^15 - 91942267*x^14 - 12198965*x^13 + 104626821*x^12 - 5107714*x^11 - 79794567*x^10 + 14865387*x^9 + 38364202*x^8 - 11633497*x^7 - 10143046*x^6 + 4322976*x^5 + 973681*x^4 - 652597*x^3 + 37839*x^2 + 18383*x - 2142, -3*x^34 + 21*x^33 + 85*x^32 - 890*x^31 - 533*x^30 + 16653*x^29 - 10152*x^28 - 181065*x^27 + 232650*x^26 + 1265744*x^25 - 2259906*x^24 - 5931626*x^23 + 13417476*x^22 + 18753340*x^21 - 53421332*x^20 - 38662320*x^19 + 147472052*x^18 + 45305241*x^17 - 284306353*x^16 - 8859618*x^15 + 378453031*x^14 - 60888877*x^13 - 337037994*x^12 + 101437116*x^11 + 188638364*x^10 - 77661351*x^9 - 58507292*x^8 + 30448448*x^7 + 7305346*x^6 - 5367914*x^5 + 86022*x^4 + 323571*x^3 - 65039*x^2 + 7911*x - 678, -3*x^34 + 21*x^33 + 85*x^32 - 890*x^31 - 533*x^30 + 16653*x^29 - 10152*x^28 - 181065*x^27 + 232650*x^26 + 1265744*x^25 - 2259906*x^24 - 5931626*x^23 + 13417476*x^22 + 18753340*x^21 - 53421332*x^20 - 38662320*x^19 + 147472052*x^18 + 45305241*x^17 - 284306353*x^16 - 8859618*x^15 + 378453031*x^14 - 60888877*x^13 - 337037994*x^12 + 101437116*x^11 + 188638364*x^10 - 77661351*x^9 - 58507292*x^8 + 30448448*x^7 + 7305346*x^6 - 5367914*x^5 + 86022*x^4 + 323571*x^3 - 65039*x^2 + 7911*x - 678, x^32 - 9*x^31 - 9*x^30 + 302*x^29 - 434*x^28 - 4247*x^27 + 11076*x^26 + 31891*x^25 - 121739*x^24 - 129363*x^23 + 791117*x^22 + 185793*x^21 - 3340243*x^20 + 779882*x^19 + 9492524*x^18 - 5065936*x^17 - 18235807*x^16 + 13621076*x^15 + 23116042*x^14 - 21295542*x^13 - 18065705*x^12 + 20021841*x^11 + 7285846*x^10 - 10581510*x^9 - 629171*x^8 + 2537670*x^7 - 217728*x^6 - 156879*x^5 - 83112*x^4 + 60286*x^3 - 5716*x^2 - 2631*x + 498, x^32 - 9*x^31 - 9*x^30 + 302*x^29 - 434*x^28 - 4247*x^27 + 11076*x^26 + 31891*x^25 - 121739*x^24 - 129363*x^23 + 791117*x^22 + 185793*x^21 - 3340243*x^20 + 779882*x^19 + 9492524*x^18 - 5065936*x^17 - 18235807*x^16 + 13621076*x^15 + 23116042*x^14 - 21295542*x^13 - 18065705*x^12 + 20021841*x^11 + 7285846*x^10 - 10581510*x^9 - 629171*x^8 + 2537670*x^7 - 217728*x^6 - 156879*x^5 - 83112*x^4 + 60286*x^3 - 5716*x^2 - 2631*x + 498, -3*x^33 + 22*x^32 + 69*x^31 - 855*x^30 - 27*x^29 + 14447*x^28 - 16141*x^27 - 138837*x^26 + 256268*x^25 + 829755*x^24 - 2097345*x^23 - 3129679*x^22 + 10827025*x^21 + 6900939*x^20 - 37644794*x^19 - 5098809*x^18 + 90258480*x^17 - 17468526*x^16 - 149282829*x^15 + 64145258*x^14 + 166761612*x^13 - 103373420*x^12 - 119266160*x^11 + 96477825*x^10 + 47885552*x^9 - 52676091*x^8 - 6262289*x^7 + 15209986*x^6 - 1941676*x^5 - 1676108*x^4 + 533457*x^3 - 18009*x^2 - 9791*x + 918, -3*x^33 + 22*x^32 + 69*x^31 - 855*x^30 - 27*x^29 + 14447*x^28 - 16141*x^27 - 138837*x^26 + 256268*x^25 + 829755*x^24 - 2097345*x^23 - 3129679*x^22 + 10827025*x^21 + 6900939*x^20 - 37644794*x^19 - 5098809*x^18 + 90258480*x^17 - 17468526*x^16 - 149282829*x^15 + 64145258*x^14 + 166761612*x^13 - 103373420*x^12 - 119266160*x^11 + 96477825*x^10 + 47885552*x^9 - 52676091*x^8 - 6262289*x^7 + 15209986*x^6 - 1941676*x^5 - 1676108*x^4 + 533457*x^3 - 18009*x^2 - 9791*x + 918, -3*x^33 + 21*x^32 + 81*x^31 - 861*x^30 - 448*x^29 + 15591*x^28 - 10117*x^27 - 164215*x^26 + 213761*x^25 + 1114040*x^24 - 1987398*x^23 - 5081054*x^22 + 11377030*x^21 + 15705821*x^20 - 43822605*x^19 - 31918399*x^18 + 117261657*x^17 + 37720217*x^16 - 219271981*x^15 - 10699077*x^14 + 282764085*x^13 - 40929743*x^12 - 242812872*x^11 + 70454107*x^10 + 129437891*x^9 - 53046914*x^8 - 36937232*x^7 + 19669528*x^6 + 3676515*x^5 - 2928341*x^4 + 109772*x^3 + 94131*x^2 - 1048*x - 1716, -3*x^33 + 21*x^32 + 81*x^31 - 861*x^30 - 448*x^29 + 15591*x^28 - 10117*x^27 - 164215*x^26 + 213761*x^25 + 1114040*x^24 - 1987398*x^23 - 5081054*x^22 + 11377030*x^21 + 15705821*x^20 - 43822605*x^19 - 31918399*x^18 + 117261657*x^17 + 37720217*x^16 - 219271981*x^15 - 10699077*x^14 + 282764085*x^13 - 40929743*x^12 - 242812872*x^11 + 70454107*x^10 + 129437891*x^9 - 53046914*x^8 - 36937232*x^7 + 19669528*x^6 + 3676515*x^5 - 2928341*x^4 + 109772*x^3 + 94131*x^2 - 1048*x - 1716, x^32 - 6*x^31 - 28*x^30 + 227*x^29 + 245*x^28 - 3742*x^27 + 500*x^26 + 35329*x^25 - 27044*x^24 - 211101*x^23 + 250082*x^22 + 831437*x^21 - 1274641*x^20 - 2169900*x^19 + 4160474*x^18 + 3618913*x^17 - 9169925*x^16 - 3311646*x^15 + 14030256*x^14 + 182540*x^13 - 15257427*x^12 + 3672526*x^11 + 12067398*x^10 - 5104552*x^9 - 6876764*x^8 + 3800205*x^7 + 2463678*x^6 - 1717972*x^5 - 288753*x^4 + 372656*x^3 - 78600*x^2 + 5918*x - 348, x^32 - 6*x^31 - 28*x^30 + 227*x^29 + 245*x^28 - 3742*x^27 + 500*x^26 + 35329*x^25 - 27044*x^24 - 211101*x^23 + 250082*x^22 + 831437*x^21 - 1274641*x^20 - 2169900*x^19 + 4160474*x^18 + 3618913*x^17 - 9169925*x^16 - 3311646*x^15 + 14030256*x^14 + 182540*x^13 - 15257427*x^12 + 3672526*x^11 + 12067398*x^10 - 5104552*x^9 - 6876764*x^8 + 3800205*x^7 + 2463678*x^6 - 1717972*x^5 - 288753*x^4 + 372656*x^3 - 78600*x^2 + 5918*x - 348, x^34 - 7*x^33 - 27*x^32 + 290*x^31 + 131*x^30 - 5280*x^29 + 4062*x^28 + 55478*x^27 - 82723*x^26 - 370337*x^25 + 773674*x^24 + 1617778*x^23 - 4489713*x^22 - 4495119*x^21 + 17567229*x^20 + 6646212*x^19 - 47702571*x^18 + 1348752*x^17 + 90031183*x^16 - 29232424*x^15 - 115427159*x^14 + 66127861*x^13 + 94565994*x^12 - 79272248*x^11 - 41868087*x^10 + 54872112*x^9 + 3060750*x^8 - 20157232*x^7 + 5097381*x^6 + 2693590*x^5 - 1576281*x^4 + 184290*x^3 + 46932*x^2 - 15796*x + 1464, x^34 - 7*x^33 - 27*x^32 + 290*x^31 + 131*x^30 - 5280*x^29 + 4062*x^28 + 55478*x^27 - 82723*x^26 - 370337*x^25 + 773674*x^24 + 1617778*x^23 - 4489713*x^22 - 4495119*x^21 + 17567229*x^20 + 6646212*x^19 - 47702571*x^18 + 1348752*x^17 + 90031183*x^16 - 29232424*x^15 - 115427159*x^14 + 66127861*x^13 + 94565994*x^12 - 79272248*x^11 - 41868087*x^10 + 54872112*x^9 + 3060750*x^8 - 20157232*x^7 + 5097381*x^6 + 2693590*x^5 - 1576281*x^4 + 184290*x^3 + 46932*x^2 - 15796*x + 1464, -3*x^33 + 18*x^32 + 99*x^31 - 765*x^30 - 1192*x^29 + 14470*x^28 + 3585*x^27 - 160989*x^26 + 65265*x^25 + 1173199*x^24 - 934370*x^23 - 5901610*x^22 + 6242118*x^21 + 21029179*x^20 - 26232986*x^19 - 53535724*x^18 + 74864811*x^17 + 96679020*x^16 - 148618908*x^15 - 120451349*x^14 + 204993344*x^13 + 96772764*x^12 - 192175920*x^11 - 41366761*x^10 + 116499449*x^9 + 878195*x^8 - 41172893*x^7 + 7000432*x^6 + 6542854*x^5 - 2218433*x^4 - 72655*x^3 + 91326*x^2 - 5350*x - 540, -3*x^33 + 18*x^32 + 99*x^31 - 765*x^30 - 1192*x^29 + 14470*x^28 + 3585*x^27 - 160989*x^26 + 65265*x^25 + 1173199*x^24 - 934370*x^23 - 5901610*x^22 + 6242118*x^21 + 21029179*x^20 - 26232986*x^19 - 53535724*x^18 + 74864811*x^17 + 96679020*x^16 - 148618908*x^15 - 120451349*x^14 + 204993344*x^13 + 96772764*x^12 - 192175920*x^11 - 41366761*x^10 + 116499449*x^9 + 878195*x^8 - 41172893*x^7 + 7000432*x^6 + 6542854*x^5 - 2218433*x^4 - 72655*x^3 + 91326*x^2 - 5350*x - 540, -4*x^31 + 23*x^30 + 121*x^29 - 888*x^28 - 1347*x^27 + 15135*x^26 + 4451*x^25 - 150568*x^24 + 43926*x^23 + 974836*x^22 - 599678*x^21 - 4338714*x^20 + 3466544*x^19 + 13671747*x^18 - 12232142*x^17 - 30920729*x^16 + 28725337*x^15 + 50186796*x^14 - 46207729*x^13 - 57511569*x^12 + 51103162*x^11 + 44706496*x^10 - 38227893*x^9 - 21680351*x^8 + 18503173*x^7 + 5349037*x^6 - 5235162*x^5 - 200005*x^4 + 663801*x^3 - 101782*x^2 - 7168*x + 1656, -4*x^31 + 23*x^30 + 121*x^29 - 888*x^28 - 1347*x^27 + 15135*x^26 + 4451*x^25 - 150568*x^24 + 43926*x^23 + 974836*x^22 - 599678*x^21 - 4338714*x^20 + 3466544*x^19 + 13671747*x^18 - 12232142*x^17 - 30920729*x^16 + 28725337*x^15 + 50186796*x^14 - 46207729*x^13 - 57511569*x^12 + 51103162*x^11 + 44706496*x^10 - 38227893*x^9 - 21680351*x^8 + 18503173*x^7 + 5349037*x^6 - 5235162*x^5 - 200005*x^4 + 663801*x^3 - 101782*x^2 - 7168*x + 1656, x^35 - 7*x^34 - 29*x^33 + 303*x^32 + 186*x^31 - 5795*x^30 + 3674*x^29 + 64440*x^28 - 86805*x^27 - 460549*x^26 + 875007*x^25 + 2199402*x^24 - 5427728*x^23 - 7001340*x^22 + 22772597*x^21 + 13908612*x^20 - 66984425*x^19 - 12259757*x^18 + 139615748*x^17 - 15383769*x^16 - 204879158*x^15 + 66977352*x^14 + 206581257*x^13 - 104026452*x^12 - 135840460*x^11 + 91660382*x^10 + 51872469*x^9 - 47235866*x^8 - 7830914*x^7 + 12948691*x^6 - 972910*x^5 - 1395648*x^4 + 305975*x^3 + 10543*x^2 - 4837*x - 30, x^35 - 7*x^34 - 29*x^33 + 303*x^32 + 186*x^31 - 5795*x^30 + 3674*x^29 + 64440*x^28 - 86805*x^27 - 460549*x^26 + 875007*x^25 + 2199402*x^24 - 5427728*x^23 - 7001340*x^22 + 22772597*x^21 + 13908612*x^20 - 66984425*x^19 - 12259757*x^18 + 139615748*x^17 - 15383769*x^16 - 204879158*x^15 + 66977352*x^14 + 206581257*x^13 - 104026452*x^12 - 135840460*x^11 + 91660382*x^10 + 51872469*x^9 - 47235866*x^8 - 7830914*x^7 + 12948691*x^6 - 972910*x^5 - 1395648*x^4 + 305975*x^3 + 10543*x^2 - 4837*x - 30, -3*x^35 + 21*x^34 + 90*x^33 - 924*x^32 - 674*x^31 + 18059*x^30 - 9182*x^29 - 206718*x^28 + 245780*x^27 + 1537641*x^26 - 2578672*x^25 - 7785064*x^24 + 16473059*x^23 + 27234620*x^22 - 71101892*x^21 - 64935712*x^20 + 215698007*x^19 + 98847835*x^18 - 466103150*x^17 - 72846250*x^16 + 715288697*x^15 - 39715524*x^14 - 765330461*x^13 + 162517529*x^12 + 549102857*x^11 - 185597705*x^10 - 244800291*x^9 + 111604718*x^8 + 57120650*x^7 - 35294681*x^6 - 3429081*x^5 + 4711119*x^4 - 595317*x^3 - 86890*x^2 + 17823*x - 378, -3*x^35 + 21*x^34 + 90*x^33 - 924*x^32 - 674*x^31 + 18059*x^30 - 9182*x^29 - 206718*x^28 + 245780*x^27 + 1537641*x^26 - 2578672*x^25 - 7785064*x^24 + 16473059*x^23 + 27234620*x^22 - 71101892*x^21 - 64935712*x^20 + 215698007*x^19 + 98847835*x^18 - 466103150*x^17 - 72846250*x^16 + 715288697*x^15 - 39715524*x^14 - 765330461*x^13 + 162517529*x^12 + 549102857*x^11 - 185597705*x^10 - 244800291*x^9 + 111604718*x^8 + 57120650*x^7 - 35294681*x^6 - 3429081*x^5 + 4711119*x^4 - 595317*x^3 - 86890*x^2 + 17823*x - 378, 2*x^31 - 13*x^30 - 50*x^29 + 479*x^28 + 290*x^27 - 7699*x^26 + 3877*x^25 + 71097*x^24 - 77686*x^23 - 418150*x^22 + 623049*x^21 + 1640279*x^20 - 2974605*x^19 - 4364623*x^18 + 9288375*x^17 + 7841352*x^16 - 19564380*x^15 - 9254950*x^14 + 27891348*x^13 + 6778346*x^12 - 26544786*x^11 - 2850419*x^10 + 16502825*x^9 + 816763*x^8 - 6689172*x^7 - 351297*x^6 + 1894653*x^5 + 19802*x^4 - 352063*x^3 + 80879*x^2 - 3437*x - 150, 2*x^31 - 13*x^30 - 50*x^29 + 479*x^28 + 290*x^27 - 7699*x^26 + 3877*x^25 + 71097*x^24 - 77686*x^23 - 418150*x^22 + 623049*x^21 + 1640279*x^20 - 2974605*x^19 - 4364623*x^18 + 9288375*x^17 + 7841352*x^16 - 19564380*x^15 - 9254950*x^14 + 27891348*x^13 + 6778346*x^12 - 26544786*x^11 - 2850419*x^10 + 16502825*x^9 + 816763*x^8 - 6689172*x^7 - 351297*x^6 + 1894653*x^5 + 19802*x^4 - 352063*x^3 + 80879*x^2 - 3437*x - 150, -3*x^34 + 21*x^33 + 84*x^32 - 884*x^31 - 506*x^30 + 16439*x^29 - 10401*x^28 - 177801*x^27 + 233224*x^26 + 1237815*x^25 - 2257139*x^24 - 5782110*x^23 + 13441344*x^22 + 18203331*x^21 - 54032749*x^20 - 37005594*x^19 + 151820227*x^18 + 40213302*x^17 - 300979859*x^16 + 6364244*x^15 + 417386960*x^14 - 96021615*x^13 - 393575505*x^12 + 155916873*x^11 + 237660777*x^10 - 130486641*x^9 - 80415290*x^8 + 59806822*x^7 + 9685468*x^6 - 13084263*x^5 + 1172097*x^4 + 816578*x^3 - 134515*x^2 - 13573*x + 2682, -3*x^34 + 21*x^33 + 84*x^32 - 884*x^31 - 506*x^30 + 16439*x^29 - 10401*x^28 - 177801*x^27 + 233224*x^26 + 1237815*x^25 - 2257139*x^24 - 5782110*x^23 + 13441344*x^22 + 18203331*x^21 - 54032749*x^20 - 37005594*x^19 + 151820227*x^18 + 40213302*x^17 - 300979859*x^16 + 6364244*x^15 + 417386960*x^14 - 96021615*x^13 - 393575505*x^12 + 155916873*x^11 + 237660777*x^10 - 130486641*x^9 - 80415290*x^8 + 59806822*x^7 + 9685468*x^6 - 13084263*x^5 + 1172097*x^4 + 816578*x^3 - 134515*x^2 - 13573*x + 2682, -x^32 + 7*x^31 + 19*x^30 - 232*x^29 + 25*x^28 + 3255*x^27 - 3714*x^26 - 25138*x^25 + 44924*x^24 + 116040*x^23 - 276898*x^22 - 322766*x^21 + 1034674*x^20 + 502347*x^19 - 2484197*x^18 - 289494*x^17 + 3964135*x^16 - 341856*x^15 - 4452258*x^14 + 895125*x^13 + 3987910*x^12 - 1288952*x^11 - 3139822*x^10 + 1682155*x^9 + 1819322*x^8 - 1520639*x^7 - 441153*x^6 + 712181*x^5 - 109875*x^4 - 112986*x^3 + 56775*x^2 - 9559*x + 486, -x^32 + 7*x^31 + 19*x^30 - 232*x^29 + 25*x^28 + 3255*x^27 - 3714*x^26 - 25138*x^25 + 44924*x^24 + 116040*x^23 - 276898*x^22 - 322766*x^21 + 1034674*x^20 + 502347*x^19 - 2484197*x^18 - 289494*x^17 + 3964135*x^16 - 341856*x^15 - 4452258*x^14 + 895125*x^13 + 3987910*x^12 - 1288952*x^11 - 3139822*x^10 + 1682155*x^9 + 1819322*x^8 - 1520639*x^7 - 441153*x^6 + 712181*x^5 - 109875*x^4 - 112986*x^3 + 56775*x^2 - 9559*x + 486, x^33 - 6*x^32 - 31*x^31 + 247*x^30 + 320*x^29 - 4496*x^28 + 130*x^27 + 47684*x^26 - 35083*x^25 - 326470*x^24 + 399146*x^23 + 1506716*x^22 - 2476241*x^21 - 4726862*x^20 + 9976875*x^19 + 9785447*x^18 - 27507352*x^17 - 11865582*x^16 + 52545717*x^15 + 3743275*x^14 - 68683948*x^13 + 12602597*x^12 + 59032715*x^11 - 22466739*x^10 - 30536682*x^9 + 17218428*x^8 + 7575650*x^7 - 6424748*x^6 - 137937*x^5 + 938331*x^4 - 159850*x^3 - 29978*x^2 + 9130*x - 468, x^33 - 6*x^32 - 31*x^31 + 247*x^30 + 320*x^29 - 4496*x^28 + 130*x^27 + 47684*x^26 - 35083*x^25 - 326470*x^24 + 399146*x^23 + 1506716*x^22 - 2476241*x^21 - 4726862*x^20 + 9976875*x^19 + 9785447*x^18 - 27507352*x^17 - 11865582*x^16 + 52545717*x^15 + 3743275*x^14 - 68683948*x^13 + 12602597*x^12 + 59032715*x^11 - 22466739*x^10 - 30536682*x^9 + 17218428*x^8 + 7575650*x^7 - 6424748*x^6 - 137937*x^5 + 938331*x^4 - 159850*x^3 - 29978*x^2 + 9130*x - 468]>
       ]
>;

MOG[787] := 	// J_0(787)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [28, 72, 154, 156, 241, 286, 307, 560, 571, 639, 752*x + 309, 35*x + 309, 406*x + 159, 381*x + 159, 138*x + 684, 649*x + 684, 676*x + 676, 111*x + 676, 474*x + 506, 313*x + 506, 727*x + 569, 60*x + 569, 62*x + 595, 725*x + 595, 413*x + 515, 374*x + 515, 635*x + 31, 152*x + 31, 778*x + 586, 9*x + 586, 477*x + 234, 310*x + 234, 710*x + 526, 77*x + 526, 336*x + 154, 451*x + 154, 238*x + 342, 549*x + 342, 386*x + 81, 401*x + 81, 286*x + 753, 501*x + 753, 354*x + 391, 433*x + 391, 363*x + 678, 424*x + 678, 492*x + 392, 295*x + 392, 675*x + 373, 112*x + 373, 375*x + 578, 412*x + 578, 99*x + 771, 688*x + 771, 395*x + 455, 392*x + 455, 363*x + 627, 424*x + 627, 119*x + 426, 668*x + 426, 151*x + 732, 636*x + 732, 765*x + 108, 22*x + 108, 198*x + 23, 589*x + 23]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^28 + 12*x^27 + 32*x^26 - 166*x^25 - 1002*x^24 - 81*x^23 + 9666*x^22 + 14801*x^21 - 42497*x^20 - 122013*x^19 + 66881*x^18 + 486217*x^17 + 156912*x^16 - 1089993*x^15 - 948665*x^14 + 1359780*x^13 + 1960447*x^12 - 764965*x^11 - 2143975*x^10 - 120739*x^9 + 1295148*x^8 + 404581*x^7 - 402407*x^6 - 205622*x^5 + 49001*x^4 + 40973*x^3 + 802*x^2 - 2841*x - 401,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^27 - 12*x^26 - 34*x^25 + 142*x^24 + 930*x^23 + 319*x^22 - 7934*x^21 - 13702*x^20 + 29650*x^19 + 96088*x^18 - 29067*x^17 - 333107*x^16 - 154493*x^15 + 640692*x^14 + 633466*x^13 - 652784*x^12 - 1063967*x^11 + 238076*x^10 + 938814*x^9 + 137616*x^8 - 433479*x^7 - 158625*x^6 + 91356*x^5 + 50654*x^4 - 4871*x^3 - 5456*x^2 - 385*x + 85, x^27 + 12*x^26 + 34*x^25 - 142*x^24 - 930*x^23 - 319*x^22 + 7934*x^21 + 13702*x^20 - 29650*x^19 - 96088*x^18 + 29067*x^17 + 333107*x^16 + 154493*x^15 - 640692*x^14 - 633466*x^13 + 652784*x^12 + 1063967*x^11 - 238076*x^10 - 938814*x^9 - 137616*x^8 + 433479*x^7 + 158625*x^6 - 91356*x^5 - 50654*x^4 + 4871*x^3 + 5456*x^2 + 385*x - 85, -x^26 - 12*x^25 - 36*x^24 + 119*x^23 + 866*x^22 + 549*x^21 - 6429*x^20 - 12979*x^19 + 18936*x^18 + 76801*x^17 + 1450*x^16 - 225715*x^15 - 160012*x^14 + 354625*x^13 + 455872*x^12 - 259514*x^11 - 612340*x^10 - 3586*x^9 + 432303*x^8 + 133241*x^7 - 149104*x^6 - 78080*x^5 + 18498*x^4 + 15657*x^3 + 198*x^2 - 1022*x - 118, x^26 + 12*x^25 + 36*x^24 - 119*x^23 - 866*x^22 - 549*x^21 + 6429*x^20 + 12979*x^19 - 18936*x^18 - 76801*x^17 - 1450*x^16 + 225715*x^15 + 160012*x^14 - 354625*x^13 - 455872*x^12 + 259514*x^11 + 612340*x^10 + 3586*x^9 - 432303*x^8 - 133241*x^7 + 149104*x^6 + 78080*x^5 - 18498*x^4 - 15657*x^3 - 198*x^2 + 1022*x + 118, -x^26 - 12*x^25 - 36*x^24 + 119*x^23 + 866*x^22 + 550*x^21 - 6418*x^20 - 12946*x^19 + 18878*x^18 + 76309*x^17 + 969*x^16 - 223586*x^15 - 155187*x^14 + 352371*x^13 + 440608*x^12 - 267375*x^11 - 592821*x^10 + 20463*x^9 + 429366*x^8 + 112715*x^7 - 161947*x^6 - 76888*x^5 + 25632*x^4 + 19860*x^3 + 219*x^2 - 1734*x - 283, x^26 + 12*x^25 + 36*x^24 - 119*x^23 - 866*x^22 - 550*x^21 + 6418*x^20 + 12946*x^19 - 18878*x^18 - 76309*x^17 - 969*x^16 + 223586*x^15 + 155187*x^14 - 352371*x^13 - 440608*x^12 + 267375*x^11 + 592821*x^10 - 20463*x^9 - 429366*x^8 - 112715*x^7 + 161947*x^6 + 76888*x^5 - 25632*x^4 - 19860*x^3 - 219*x^2 + 1734*x + 283, -x^25 - 11*x^24 - 26*x^23 + 134*x^22 + 705*x^21 - 32*x^20 - 5710*x^19 - 7168*x^18 + 20936*x^17 + 48366*x^16 - 30516*x^15 - 150444*x^14 - 22900*x^13 + 255842*x^12 + 148974*x^11 - 240043*x^10 - 222882*x^9 + 111243*x^8 + 159641*x^7 - 12601*x^6 - 55970*x^5 - 6783*x^4 + 8232*x^3 + 1659*x^2 - 416*x - 95, x^25 + 11*x^24 + 26*x^23 - 134*x^22 - 705*x^21 + 32*x^20 + 5710*x^19 + 7168*x^18 - 20936*x^17 - 48366*x^16 + 30516*x^15 + 150444*x^14 + 22900*x^13 - 255842*x^12 - 148974*x^11 + 240043*x^10 + 222882*x^9 - 111243*x^8 - 159641*x^7 + 12601*x^6 + 55970*x^5 + 6783*x^4 - 8232*x^3 - 1659*x^2 + 416*x + 95, -x^25 - 12*x^24 - 38*x^23 + 96*x^22 + 800*x^21 + 755*x^20 - 5004*x^19 - 12119*x^18 + 9581*x^17 + 59026*x^16 + 24997*x^15 - 135623*x^14 - 154694*x^13 + 137428*x^12 + 302653*x^11 - 1619*x^10 - 283629*x^9 - 115618*x^8 + 124734*x^7 + 93146*x^6 - 16888*x^5 - 28214*x^4 - 3163*x^3 + 2775*x^2 + 683*x + 10, x^25 + 12*x^24 + 38*x^23 - 96*x^22 - 800*x^21 - 755*x^20 + 5004*x^19 + 12119*x^18 - 9581*x^17 - 59026*x^16 - 24997*x^15 + 135623*x^14 + 154694*x^13 - 137428*x^12 - 302653*x^11 + 1619*x^10 + 283629*x^9 + 115618*x^8 - 124734*x^7 - 93146*x^6 + 16888*x^5 + 28214*x^4 + 3163*x^3 - 2775*x^2 - 683*x - 10, -x^25 - 12*x^24 - 38*x^23 + 97*x^22 + 811*x^21 + 789*x^20 - 5053*x^19 - 12599*x^18 + 8980*x^17 + 60738*x^16 + 30035*x^15 - 135129*x^14 - 167693*x^13 + 122563*x^12 + 310794*x^11 + 28685*x^10 - 266036*x^9 - 134421*x^8 + 94512*x^7 + 89032*x^6 - 1572*x^5 - 20939*x^4 - 5501*x^3 + 1062*x^2 + 735*x + 108, x^25 + 12*x^24 + 38*x^23 - 97*x^22 - 811*x^21 - 789*x^20 + 5053*x^19 + 12599*x^18 - 8980*x^17 - 60738*x^16 - 30035*x^15 + 135129*x^14 + 167693*x^13 - 122563*x^12 - 310794*x^11 - 28685*x^10 + 266036*x^9 + 134421*x^8 - 94512*x^7 - 89032*x^6 + 1572*x^5 + 20939*x^4 + 5501*x^3 - 1062*x^2 - 735*x - 108, -x^25 - 11*x^24 - 26*x^23 + 134*x^22 + 705*x^21 - 33*x^20 - 5719*x^19 - 7180*x^18 + 21056*x^17 + 48783*x^16 - 30729*x^15 - 153192*x^14 - 25165*x^13 + 262846*x^12 + 160352*x^11 - 246298*x^10 - 243412*x^9 + 109520*x^8 + 177020*x^7 - 7295*x^6 - 64152*x^5 - 9855*x^4 + 10591*x^3 + 2660*x^2 - 633*x - 193, x^25 + 11*x^24 + 26*x^23 - 134*x^22 - 705*x^21 + 33*x^20 + 5719*x^19 + 7180*x^18 - 21056*x^17 - 48783*x^16 + 30729*x^15 + 153192*x^14 + 25165*x^13 - 262846*x^12 - 160352*x^11 + 246298*x^10 + 243412*x^9 - 109520*x^8 - 177020*x^7 + 7295*x^6 + 64152*x^5 + 9855*x^4 - 10591*x^3 - 2660*x^2 + 633*x + 193, -x^24 - 11*x^23 - 27*x^22 + 124*x^21 + 687*x^20 + 101*x^19 - 5168*x^18 - 7499*x^17 + 16400*x^16 + 44755*x^15 - 13332*x^14 - 121683*x^13 - 51056*x^12 + 168445*x^11 + 149415*x^10 - 108053*x^9 - 161419*x^8 + 13799*x^7 + 80533*x^6 + 15327*x^5 - 17049*x^4 - 5766*x^3 + 1045*x^2 + 511*x + 23, x^24 + 11*x^23 + 27*x^22 - 124*x^21 - 687*x^20 - 101*x^19 + 5168*x^18 + 7499*x^17 - 16400*x^16 - 44755*x^15 + 13332*x^14 + 121683*x^13 + 51056*x^12 - 168445*x^11 - 149415*x^10 + 108053*x^9 + 161419*x^8 - 13799*x^7 - 80533*x^6 - 15327*x^5 + 17049*x^4 + 5766*x^3 - 1045*x^2 - 511*x - 23, -x^24 - 12*x^23 - 39*x^22 + 83*x^21 + 748*x^20 + 782*x^19 - 4273*x^18 - 10738*x^17 + 6929*x^16 + 47684*x^15 + 22729*x^14 - 98985*x^13 - 116737*x^12 + 83985*x^11 + 199968*x^10 + 18330*x^9 - 154302*x^8 - 77744*x^7 + 45131*x^6 + 43805*x^5 + 1288*x^4 - 7617*x^3 - 1617*x^2 + 359*x + 108, x^24 + 12*x^23 + 39*x^22 - 83*x^21 - 748*x^20 - 782*x^19 + 4273*x^18 + 10738*x^17 - 6929*x^16 - 47684*x^15 - 22729*x^14 + 98985*x^13 + 116737*x^12 - 83985*x^11 - 199968*x^10 - 18330*x^9 + 154302*x^8 + 77744*x^7 - 45131*x^6 - 43805*x^5 - 1288*x^4 + 7617*x^3 + 1617*x^2 - 359*x - 108, -x^24 - 11*x^23 - 27*x^22 + 123*x^21 + 677*x^20 + 78*x^19 - 5082*x^18 - 7037*x^17 + 16618*x^16 + 42408*x^15 - 17411*x^14 - 118212*x^13 - 36482*x^12 + 173910*x^11 + 128743*x^10 - 130362*x^9 - 153267*x^8 + 37649*x^7 + 87085*x^6 + 6061*x^5 - 22949*x^4 - 5265*x^3 + 2102*x^2 + 673*x + 10, x^24 + 11*x^23 + 27*x^22 - 123*x^21 - 677*x^20 - 78*x^19 + 5082*x^18 + 7037*x^17 - 16618*x^16 - 42408*x^15 + 17411*x^14 + 118212*x^13 + 36482*x^12 - 173910*x^11 - 128743*x^10 + 130362*x^9 + 153267*x^8 - 37649*x^7 - 87085*x^6 - 6061*x^5 + 22949*x^4 + 5265*x^3 - 2102*x^2 - 673*x - 10, -x^24 - 11*x^23 - 28*x^22 + 114*x^21 + 668*x^20 + 224*x^19 - 4640*x^18 - 7653*x^17 + 12576*x^16 + 40981*x^15 - 1398*x^14 - 99246*x^13 - 65387*x^12 + 113351*x^11 + 142109*x^10 - 41026*x^9 - 125251*x^8 - 24102*x^7 + 46820*x^6 + 21771*x^5 - 5106*x^4 - 4536*x^3 - 280*x^2 + 256*x + 41, x^24 + 11*x^23 + 28*x^22 - 114*x^21 - 668*x^20 - 224*x^19 + 4640*x^18 + 7653*x^17 - 12576*x^16 - 40981*x^15 + 1398*x^14 + 99246*x^13 + 65387*x^12 - 113351*x^11 - 142109*x^10 + 41026*x^9 + 125251*x^8 + 24102*x^7 - 46820*x^6 - 21771*x^5 + 5106*x^4 + 4536*x^3 + 280*x^2 - 256*x - 41, -x^24 - 11*x^23 - 27*x^22 + 125*x^21 + 697*x^20 + 123*x^19 - 5258*x^18 - 7918*x^17 + 16490*x^16 + 47476*x^15 - 11108*x^14 - 130562*x^13 - 64427*x^12 + 182709*x^11 + 184676*x^10 - 113858*x^9 - 209603*x^8 + 419*x^7 + 113555*x^6 + 34178*x^5 - 26027*x^4 - 14262*x^3 + 796*x^2 + 1586*x + 242, x^24 + 11*x^23 + 27*x^22 - 125*x^21 - 697*x^20 - 123*x^19 + 5258*x^18 + 7918*x^17 - 16490*x^16 - 47476*x^15 + 11108*x^14 + 130562*x^13 + 64427*x^12 - 182709*x^11 - 184676*x^10 + 113858*x^9 + 209603*x^8 - 419*x^7 - 113555*x^6 - 34178*x^5 + 26027*x^4 + 14262*x^3 - 796*x^2 - 1586*x - 242, -x^24 - 11*x^23 - 27*x^22 + 122*x^21 + 666*x^20 + 47*x^19 - 5002*x^18 - 6470*x^17 + 17085*x^16 + 39665*x^15 - 23170*x^14 - 114690*x^13 - 17410*x^12 + 181429*x^11 + 103111*x^10 - 154355*x^9 - 142826*x^8 + 57010*x^7 + 90500*x^6 + 2881*x^5 - 24896*x^4 - 6609*x^3 + 1808*x^2 + 908*x + 90, x^24 + 11*x^23 + 27*x^22 - 122*x^21 - 666*x^20 - 47*x^19 + 5002*x^18 + 6470*x^17 - 17085*x^16 - 39665*x^15 + 23170*x^14 + 114690*x^13 + 17410*x^12 - 181429*x^11 - 103111*x^10 + 154355*x^9 + 142826*x^8 - 57010*x^7 - 90500*x^6 - 2881*x^5 + 24896*x^4 + 6609*x^3 - 1808*x^2 - 908*x - 90, -x^23 - 11*x^22 - 29*x^21 + 102*x^20 + 624*x^19 + 252*x^18 - 4064*x^17 - 6639*x^16 + 10688*x^15 + 33219*x^14 - 3509*x^13 - 77344*x^12 - 40512*x^11 + 89640*x^10 + 87557*x^9 - 43987*x^8 - 75447*x^7 - 655*x^6 + 28447*x^5 + 6808*x^4 - 3737*x^3 - 1306*x^2 + 116*x + 54, x^23 + 11*x^22 + 29*x^21 - 102*x^20 - 624*x^19 - 252*x^18 + 4064*x^17 + 6639*x^16 - 10688*x^15 - 33219*x^14 + 3509*x^13 + 77344*x^12 + 40512*x^11 - 89640*x^10 - 87557*x^9 + 43987*x^8 + 75447*x^7 + 655*x^6 - 28447*x^5 - 6808*x^4 + 3737*x^3 + 1306*x^2 - 116*x - 54, x^22 + 11*x^21 + 31*x^20 - 82*x^19 - 583*x^18 - 472*x^17 + 3028*x^16 + 6496*x^15 - 4458*x^14 - 24647*x^13 - 10053*x^12 + 40953*x^11 + 42350*x^10 - 26094*x^9 - 53457*x^8 - 3661*x^7 + 28583*x^6 + 10474*x^5 - 5791*x^4 - 3450*x^3 + 158*x^2 + 323*x + 41, -x^22 - 11*x^21 - 31*x^20 + 82*x^19 + 583*x^18 + 472*x^17 - 3028*x^16 - 6496*x^15 + 4458*x^14 + 24647*x^13 + 10053*x^12 - 40953*x^11 - 42350*x^10 + 26094*x^9 + 53457*x^8 + 3661*x^7 - 28583*x^6 - 10474*x^5 + 5791*x^4 + 3450*x^3 - 158*x^2 - 323*x - 41, -x^22 - 11*x^21 - 31*x^20 + 82*x^19 + 577*x^18 + 408*x^17 - 3228*x^16 - 6333*x^15 + 6541*x^14 + 27296*x^13 + 4281*x^12 - 56591*x^11 - 42133*x^10 + 57425*x^9 + 74763*x^8 - 19462*x^7 - 58701*x^6 - 9723*x^5 + 19350*x^4 + 7965*x^3 - 1320*x^2 - 1093*x - 134, x^22 + 11*x^21 + 31*x^20 - 82*x^19 - 577*x^18 - 408*x^17 + 3228*x^16 + 6333*x^15 - 6541*x^14 - 27296*x^13 - 4281*x^12 + 56591*x^11 + 42133*x^10 - 57425*x^9 - 74763*x^8 + 19462*x^7 + 58701*x^6 + 9723*x^5 - 19350*x^4 - 7965*x^3 + 1320*x^2 + 1093*x + 134, -x^23 - 12*x^22 - 41*x^21 + 58*x^20 + 649*x^19 + 804*x^18 - 3060*x^17 - 8114*x^16 + 4065*x^15 + 30097*x^14 + 10661*x^13 - 57724*x^12 - 46094*x^11 + 62082*x^10 + 71902*x^9 - 36889*x^8 - 60141*x^7 + 9360*x^6 + 27899*x^5 + 1247*x^4 - 6419*x^3 - 1096*x^2 + 518*x + 124, x^23 + 12*x^22 + 41*x^21 - 58*x^20 - 649*x^19 - 804*x^18 + 3060*x^17 + 8114*x^16 - 4065*x^15 - 30097*x^14 - 10661*x^13 + 57724*x^12 + 46094*x^11 - 62082*x^10 - 71902*x^9 + 36889*x^8 + 60141*x^7 - 9360*x^6 - 27899*x^5 - 1247*x^4 + 6419*x^3 + 1096*x^2 - 518*x - 124, -x^23 - 11*x^22 - 29*x^21 + 103*x^20 + 637*x^19 + 306*x^18 - 4057*x^17 - 7181*x^16 + 9548*x^15 + 34485*x^14 + 3060*x^13 - 74599*x^12 - 55334*x^11 + 72398*x^10 + 99759*x^9 - 14932*x^8 - 71794*x^7 - 20441*x^6 + 18237*x^5 + 11297*x^4 + 685*x^3 - 1086*x^2 - 438*x - 67, x^23 + 11*x^22 + 29*x^21 - 103*x^20 - 637*x^19 - 306*x^18 + 4057*x^17 + 7181*x^16 - 9548*x^15 - 34485*x^14 - 3060*x^13 + 74599*x^12 + 55334*x^11 - 72398*x^10 - 99759*x^9 + 14932*x^8 + 71794*x^7 + 20441*x^6 - 18237*x^5 - 11297*x^4 - 685*x^3 + 1086*x^2 + 438*x + 67, -x^23 - 11*x^22 - 28*x^21 + 111*x^20 + 635*x^19 + 127*x^18 - 4443*x^17 - 6090*x^16 + 14055*x^15 + 34044*x^14 - 16892*x^13 - 91470*x^12 - 16288*x^11 + 134293*x^10 + 74492*x^9 - 105967*x^8 - 90181*x^7 + 38759*x^6 + 49730*x^5 - 2545*x^4 - 12233*x^3 - 1594*x^2 + 1046*x + 234, x^23 + 11*x^22 + 28*x^21 - 111*x^20 - 635*x^19 - 127*x^18 + 4443*x^17 + 6090*x^16 - 14055*x^15 - 34044*x^14 + 16892*x^13 + 91470*x^12 + 16288*x^11 - 134293*x^10 - 74492*x^9 + 105967*x^8 + 90181*x^7 - 38759*x^6 - 49730*x^5 + 2545*x^4 + 12233*x^3 + 1594*x^2 - 1046*x - 234, -x^22 - 10*x^21 - 21*x^20 + 103*x^19 + 475*x^18 - 57*x^17 - 3150*x^16 - 3281*x^15 + 9363*x^14 + 17822*x^13 - 11300*x^12 - 42345*x^11 - 3407*x^10 + 51978*x^9 + 22727*x^8 - 32791*x^7 - 22015*x^6 + 9656*x^5 + 8768*x^4 - 936*x^3 - 1352*x^2 + 22*x + 74, x^22 + 10*x^21 + 21*x^20 - 103*x^19 - 475*x^18 + 57*x^17 + 3150*x^16 + 3281*x^15 - 9363*x^14 - 17822*x^13 + 11300*x^12 + 42345*x^11 + 3407*x^10 - 51978*x^9 - 22727*x^8 + 32791*x^7 + 22015*x^6 - 9656*x^5 - 8768*x^4 + 936*x^3 + 1352*x^2 - 22*x - 74, -x^22 - 12*x^21 - 42*x^20 + 48*x^19 + 629*x^18 + 917*x^17 - 2562*x^16 - 8255*x^15 + 460*x^14 + 26517*x^13 + 21844*x^12 - 36460*x^11 - 58451*x^10 + 12088*x^9 + 63245*x^8 + 18337*x^7 - 30071*x^6 - 18175*x^5 + 4544*x^4 + 5396*x^3 + 423*x^2 - 479*x - 97, x^22 + 12*x^21 + 42*x^20 - 48*x^19 - 629*x^18 - 917*x^17 + 2562*x^16 + 8255*x^15 - 460*x^14 - 26517*x^13 - 21844*x^12 + 36460*x^11 + 58451*x^10 - 12088*x^9 - 63245*x^8 - 18337*x^7 + 30071*x^6 + 18175*x^5 - 4544*x^4 - 5396*x^3 - 423*x^2 + 479*x + 97, -x^22 - 12*x^21 - 45*x^20 + 17*x^19 + 548*x^18 + 1122*x^17 - 1248*x^16 - 7359*x^15 - 5366*x^14 + 15908*x^13 + 29759*x^12 - 3964*x^11 - 50514*x^10 - 30907*x^9 + 31837*x^8 + 41728*x^7 + 288*x^6 - 18655*x^5 - 6295*x^4 + 2361*x^3 + 1308*x^2 - 22*x - 54, x^22 + 12*x^21 + 45*x^20 - 17*x^19 - 548*x^18 - 1122*x^17 + 1248*x^16 + 7359*x^15 + 5366*x^14 - 15908*x^13 - 29759*x^12 + 3964*x^11 + 50514*x^10 + 30907*x^9 - 31837*x^8 - 41728*x^7 - 288*x^6 + 18655*x^5 + 6295*x^4 - 2361*x^3 - 1308*x^2 + 22*x + 54, -x^22 - 13*x^21 - 54*x^20 + 5*x^19 + 665*x^18 + 1502*x^17 - 1616*x^16 - 10228*x^15 - 6702*x^14 + 25353*x^13 + 40884*x^12 - 17939*x^11 - 77552*x^10 - 24312*x^9 + 62324*x^8 + 45376*x^7 - 17520*x^6 - 23903*x^5 - 1412*x^4 + 4160*x^3 + 827*x^2 - 213*x - 54, x^22 + 13*x^21 + 54*x^20 - 5*x^19 - 665*x^18 - 1502*x^17 + 1616*x^16 + 10228*x^15 + 6702*x^14 - 25353*x^13 - 40884*x^12 + 17939*x^11 + 77552*x^10 + 24312*x^9 - 62324*x^8 - 45376*x^7 + 17520*x^6 + 23903*x^5 + 1412*x^4 - 4160*x^3 - 827*x^2 + 213*x + 54, -x^22 - 11*x^21 - 31*x^20 + 80*x^19 + 559*x^18 + 380*x^17 - 3030*x^16 - 5621*x^15 + 6278*x^14 + 23220*x^13 + 1122*x^12 - 47136*x^11 - 28619*x^10 + 48388*x^9 + 52645*x^8 - 18251*x^7 - 40770*x^6 - 5426*x^5 + 12663*x^4 + 5015*x^3 - 762*x^2 - 674*x - 90, x^22 + 11*x^21 + 31*x^20 - 80*x^19 - 559*x^18 - 380*x^17 + 3030*x^16 + 5621*x^15 - 6278*x^14 - 23220*x^13 - 1122*x^12 + 47136*x^11 + 28619*x^10 - 48388*x^9 - 52645*x^8 + 18251*x^7 + 40770*x^6 + 5426*x^5 - 12663*x^4 - 5015*x^3 + 762*x^2 + 674*x + 90, -2*x^21 - 20*x^20 - 46*x^19 + 166*x^18 + 857*x^17 + 208*x^16 - 4606*x^15 - 6034*x^14 + 10031*x^13 + 23699*x^12 - 5240*x^11 - 41069*x^10 - 12852*x^9 + 33923*x^8 + 20641*x^7 - 11704*x^6 - 10023*x^5 + 1024*x^4 + 1449*x^3 - 24*x^2 - 20*x + 20, 2*x^21 + 20*x^20 + 46*x^19 - 166*x^18 - 857*x^17 - 208*x^16 + 4606*x^15 + 6034*x^14 - 10031*x^13 - 23699*x^12 + 5240*x^11 + 41069*x^10 + 12852*x^9 - 33923*x^8 - 20641*x^7 + 11704*x^6 + 10023*x^5 - 1024*x^4 - 1449*x^3 + 24*x^2 + 20*x - 20, -2*x^21 - 21*x^20 - 55*x^19 + 152*x^18 + 955*x^17 + 547*x^16 - 4825*x^15 - 8155*x^14 + 9067*x^13 + 30061*x^12 + 820*x^11 - 51920*x^10 - 27213*x^9 + 44694*x^8 + 39788*x^7 - 16311*x^6 - 24171*x^5 + 90*x^4 + 6278*x^3 + 1098*x^2 - 552*x - 144, 2*x^21 + 21*x^20 + 55*x^19 - 152*x^18 - 955*x^17 - 547*x^16 + 4825*x^15 + 8155*x^14 - 9067*x^13 - 30061*x^12 - 820*x^11 + 51920*x^10 + 27213*x^9 - 44694*x^8 - 39788*x^7 + 16311*x^6 + 24171*x^5 - 90*x^4 - 6278*x^3 - 1098*x^2 + 552*x + 144, -x^21 - 11*x^20 - 32*x^19 + 69*x^18 + 527*x^17 + 448*x^16 - 2512*x^15 - 5204*x^14 + 3706*x^13 + 17941*x^12 + 5002*x^11 - 27943*x^10 - 21666*x^9 + 19020*x^8 + 24284*x^7 - 3192*x^6 - 11136*x^5 - 1631*x^4 + 1850*x^3 + 460*x^2 - 93*x - 27, x^21 + 11*x^20 + 32*x^19 - 69*x^18 - 527*x^17 - 448*x^16 + 2512*x^15 + 5204*x^14 - 3706*x^13 - 17941*x^12 - 5002*x^11 + 27943*x^10 + 21666*x^9 - 19020*x^8 - 24284*x^7 + 3192*x^6 + 11136*x^5 + 1631*x^4 - 1850*x^3 - 460*x^2 + 93*x + 27, -x^21 - 10*x^20 - 21*x^19 + 101*x^18 + 458*x^17 - 78*x^16 - 2952*x^15 - 2669*x^14 + 8947*x^13 + 14273*x^12 - 13151*x^11 - 33985*x^10 + 5366*x^9 + 43022*x^8 + 9623*x^7 - 27874*x^6 - 12896*x^5 + 7470*x^4 + 5193*x^3 - 178*x^2 - 584*x - 90, x^21 + 10*x^20 + 21*x^19 - 101*x^18 - 458*x^17 + 78*x^16 + 2952*x^15 + 2669*x^14 - 8947*x^13 - 14273*x^12 + 13151*x^11 + 33985*x^10 - 5366*x^9 - 43022*x^8 - 9623*x^7 + 27874*x^6 + 12896*x^5 - 7470*x^4 - 5193*x^3 + 178*x^2 + 584*x + 90]>,
         rec<Eigen |
           DefiningPolynomial := x^37 - 12*x^36 + 14*x^35 + 380*x^34 - 1443*x^33 - 4275*x^32 + 30328*x^31 + 8045*x^30 - 329937*x^29 + 302034*x^28 + 2178505*x^27 - 3849844*x^26 - 9033075*x^25 + 24674832*x^24 + 21881730*x^23 - 100870789*x^22 - 16796647*x^21 + 280740162*x^20 - 77566402*x^19 - 541961161*x^18 + 321476561*x^17 + 721331594*x^16 - 618678284*x^15 - 643036613*x^14 + 726062973*x^13 + 359689378*x^12 - 542348387*x^11 - 106746503*x^10 + 253734608*x^9 + 5192689*x^8 - 70266636*x^7 + 5827691*x^6 + 10237171*x^5 - 1365788*x^4 - 593032*x^3 + 76624*x^2 + 3328*x - 32,
           Coordinates        := [-x^36 + 12*x^35 - 17*x^34 - 344*x^33 + 1386*x^32 + 3313*x^31 - 26270*x^30 + 50*x^29 + 258399*x^28 - 285804*x^27 - 1528840*x^26 + 2996862*x^25 + 5566899*x^24 - 16883746*x^23 - 11165443*x^22 + 61369479*x^21 + 2908706*x^20 - 152281467*x^19 + 50608534*x^18 + 262854694*x^17 - 157007387*x^16 - 315621676*x^15 + 253074477*x^14 + 260045013*x^13 - 254029312*x^12 - 142864995*x^11 + 163758897*x^10 + 49589484*x^9 - 66548347*x^8 - 9653381*x^7 + 16045103*x^6 + 684596*x^5 - 2013676*x^4 + 57920*x^3 + 95520*x^2 - 7872*x - 512, x^36 - 12*x^35 + 17*x^34 + 346*x^33 - 1408*x^32 - 3289*x^31 + 26842*x^30 - 2016*x^29 - 263685*x^28 + 319094*x^27 + 1538566*x^26 - 3287196*x^25 - 5355617*x^24 + 18417688*x^23 + 8994687*x^22 - 66506529*x^21 + 7880174*x^20 + 162882695*x^19 - 84089562*x^18 - 273848346*x^17 + 226239647*x^16 + 312224402*x^15 - 349913967*x^14 - 231963597*x^13 + 344686472*x^12 + 101833609*x^11 - 218779033*x^10 - 18412060*x^9 + 86967375*x^8 - 3665115*x^7 - 20180451*x^6 + 2339074*x^5 + 2355404*x^4 - 351808*x^3 - 95056*x^2 + 11680*x + 576, -2*x^29 + 20*x^28 - 14*x^27 - 486*x^26 + 1428*x^25 + 4096*x^24 - 21796*x^23 - 7334*x^22 + 160790*x^21 - 110026*x^20 - 675302*x^19 + 924722*x^18 + 1653544*x^17 - 3502646*x^16 - 2115086*x^15 + 7766562*x^14 + 438932*x^13 - 10647182*x^12 + 2636144*x^11 + 9028086*x^10 - 3820596*x^9 - 4634450*x^8 + 2345714*x^7 + 1405850*x^6 - 697824*x^5 - 240368*x^4 + 91964*x^3 + 19648*x^2 - 3840*x - 160, x^35 - 12*x^34 + 19*x^33 + 322*x^32 - 1366*x^31 - 2693*x^30 + 24200*x^29 - 6280*x^28 - 220447*x^27 + 299612*x^26 + 1177142*x^25 - 2737130*x^24 - 3618995*x^23 + 13989480*x^22 + 4433425*x^21 - 46139969*x^20 + 11001018*x^19 + 102445539*x^18 - 63067512*x^17 - 153839032*x^16 + 142184141*x^15 + 152802332*x^14 - 189523043*x^13 - 94915221*x^12 + 159047534*x^11 + 32405003*x^10 - 83564693*x^9 - 3728444*x^8 + 26356023*x^7 - 770675*x^6 - 4569953*x^5 + 187728*x^4 + 359356*x^3 - 1544*x^2 - 6512*x - 192, -2*x^30 + 22*x^29 - 34*x^28 - 472*x^27 + 1914*x^26 + 2668*x^25 - 25892*x^24 + 14462*x^23 + 168124*x^22 - 270816*x^21 - 565276*x^20 + 1600024*x^19 + 728822*x^18 - 5156190*x^17 + 1387560*x^16 + 9881648*x^15 - 7327630*x^14 - 11086114*x^13 + 13283326*x^12 + 6391942*x^11 - 12848682*x^10 - 813854*x^9 + 6980164*x^8 - 939864*x^7 - 2103674*x^6 + 457456*x^5 + 332332*x^4 - 72316*x^3 - 23488*x^2 + 3680*x + 160, -x^35 + 12*x^34 - 19*x^33 - 320*x^32 + 1346*x^31 + 2701*x^30 - 23670*x^29 + 4988*x^28 + 214575*x^27 - 276934*x^26 - 1143072*x^25 + 2527530*x^24 + 3530257*x^23 - 12732914*x^22 - 4615437*x^21 + 40889735*x^20 - 8299570*x^19 - 86895959*x^18 + 50793658*x^17 + 121568764*x^16 - 109417649*x^15 - 107142906*x^14 + 133637343*x^13 + 52605187*x^12 - 97697480*x^11 - 8216205*x^10 + 41119575*x^9 - 3886110*x^8 - 8698943*x^7 + 1653013*x^6 + 566387*x^5 - 73476*x^4 + 29440*x^3 - 26200*x^2 + 2224*x + 160, x^35 - 12*x^34 + 19*x^33 + 324*x^32 - 1392*x^31 - 2623*x^30 + 24700*x^29 - 9348*x^28 - 221183*x^27 + 340560*x^26 + 1116798*x^25 - 2999854*x^24 - 2872111*x^23 + 14748966*x^22 - 2919*x^21 - 45703599*x^20 + 26623446*x^19 + 91079829*x^18 - 97254734*x^17 - 111590478*x^16 + 187695893*x^15 + 68277716*x^14 - 221925427*x^13 + 8879111*x^12 + 163474666*x^11 - 47998477*x^10 - 72279341*x^9 + 35129098*x^8 + 17279703*x^7 - 11953745*x^6 - 1602969*x^5 + 1904868*x^4 - 59552*x^3 - 107936*x^2 + 9744*x + 512, x^35 - 10*x^34 - 3*x^33 + 340*x^32 - 728*x^31 - 4745*x^30 + 17352*x^29 + 32688*x^28 - 198309*x^27 - 77524*x^26 + 1383518*x^25 - 520160*x^24 - 6395937*x^23 + 5625814*x^22 + 20246315*x^21 - 26013899*x^20 - 44147624*x^19 + 74587447*x^18 + 65085332*x^17 - 143677682*x^16 - 61115717*x^15 + 189992968*x^14 + 30071969*x^13 - 171819659*x^12 + 1047154*x^11 + 103927917*x^10 - 10923199*x^9 - 40258458*x^8 + 6450459*x^7 + 9235803*x^6 - 1708845*x^5 - 1078616*x^4 + 198172*x^3 + 44536*x^2 - 5984*x - 288, -x^35 + 12*x^34 - 19*x^33 - 322*x^32 + 1368*x^31 + 2673*x^30 - 24196*x^29 + 6872*x^28 + 218875*x^27 - 305926*x^26 - 1147194*x^25 + 2758102*x^24 + 3352099*x^23 - 13850664*x^22 - 3086995*x^21 + 44414183*x^20 - 14983854*x^19 - 94309755*x^18 + 69438658*x^17 + 131933174*x^16 - 145012281*x^15 - 116266232*x^14 + 181401013*x^13 + 56433173*x^12 - 142751176*x^11 - 6732313*x^10 + 70140667*x^9 - 7251930*x^8 - 20583079*x^7 + 3846241*x^6 + 3250015*x^5 - 728818*x^4 - 209060*x^3 + 46800*x^2 + 208*x - 128, -x^35 + 12*x^34 - 19*x^33 - 320*x^32 + 1344*x^31 + 2721*x^30 - 23672*x^29 + 4370*x^28 + 216215*x^27 - 270122*x^26 - 1175910*x^25 + 2505454*x^24 + 3833931*x^23 - 12917732*x^22 - 6185509*x^21 + 43154777*x^20 - 3674444*x^19 - 97900753*x^18 + 44236858*x^17 + 152207980*x^16 - 111173877*x^15 - 159582462*x^14 + 156995305*x^13 + 107786023*x^12 - 138140834*x^11 - 42208501*x^10 + 75926019*x^9 + 6677348*x^8 - 24939511*x^7 + 1013033*x^6 + 4407093*x^5 - 505574*x^4 - 317892*x^3 + 48152*x^2 + 384*x - 64, -x^31 + 11*x^30 - 15*x^29 - 256*x^28 + 971*x^27 + 1820*x^26 - 14374*x^25 + 3135*x^24 + 105858*x^23 - 128074*x^22 - 443428*x^21 + 910038*x^20 + 1039713*x^19 - 3502817*x^18 - 959764*x^17 + 8443470*x^16 - 1548729*x^15 - 13309619*x^14 + 6202731*x^13 + 13843153*x^12 - 9060485*x^11 - 9435013*x^10 + 7310678*x^9 + 4164518*x^8 - 3397551*x^7 - 1177122*x^6 + 863990*x^5 + 204210*x^4 - 103708*x^3 - 17808*x^2 + 3920*x + 160, -x^31 + 11*x^30 - 15*x^29 - 256*x^28 + 971*x^27 + 1820*x^26 - 14374*x^25 + 3135*x^24 + 105858*x^23 - 128074*x^22 - 443428*x^21 + 910038*x^20 + 1039713*x^19 - 3502817*x^18 - 959764*x^17 + 8443470*x^16 - 1548729*x^15 - 13309619*x^14 + 6202731*x^13 + 13843153*x^12 - 9060485*x^11 - 9435013*x^10 + 7310678*x^9 + 4164518*x^8 - 3397551*x^7 - 1177122*x^6 + 863990*x^5 + 204210*x^4 - 103708*x^3 - 17808*x^2 + 3920*x + 160, -x^32 + 11*x^31 - 13*x^30 - 279*x^29 + 1015*x^28 + 2287*x^27 - 16556*x^26 + 1260*x^25 + 134056*x^24 - 155442*x^23 - 613721*x^22 + 1276693*x^21 + 1515879*x^20 - 5484924*x^19 - 1020156*x^18 + 14399491*x^17 - 5302862*x^16 - 23742924*x^15 + 18394374*x^14 + 23744544*x^13 - 28430004*x^12 - 12531438*x^11 + 24765087*x^10 + 1403346*x^9 - 12345426*x^8 + 1810671*x^7 + 3329800*x^6 - 853686*x^5 - 417618*x^4 + 123428*x^3 + 16064*x^2 - 3040*x - 192, -x^32 + 11*x^31 - 13*x^30 - 279*x^29 + 1015*x^28 + 2287*x^27 - 16556*x^26 + 1260*x^25 + 134056*x^24 - 155442*x^23 - 613721*x^22 + 1276693*x^21 + 1515879*x^20 - 5484924*x^19 - 1020156*x^18 + 14399491*x^17 - 5302862*x^16 - 23742924*x^15 + 18394374*x^14 + 23744544*x^13 - 28430004*x^12 - 12531438*x^11 + 24765087*x^10 + 1403346*x^9 - 12345426*x^8 + 1810671*x^7 + 3329800*x^6 - 853686*x^5 - 417618*x^4 + 123428*x^3 + 16064*x^2 - 3040*x - 192, x^29 - 10*x^28 + 5*x^27 + 268*x^26 - 793*x^25 - 2306*x^24 + 12906*x^23 + 2169*x^22 - 95839*x^21 + 89110*x^20 + 382083*x^19 - 668430*x^18 - 799831*x^17 + 2366573*x^16 + 551657*x^15 - 4864013*x^14 + 1184723*x^13 + 6086193*x^12 - 3295517*x^11 - 4605727*x^10 + 3575026*x^9 + 1967711*x^8 - 2047929*x^7 - 362136*x^6 + 600440*x^5 - 18422*x^4 - 68920*x^3 + 11344*x^2 - 480*x + 32, x^29 - 10*x^28 + 5*x^27 + 268*x^26 - 793*x^25 - 2306*x^24 + 12906*x^23 + 2169*x^22 - 95839*x^21 + 89110*x^20 + 382083*x^19 - 668430*x^18 - 799831*x^17 + 2366573*x^16 + 551657*x^15 - 4864013*x^14 + 1184723*x^13 + 6086193*x^12 - 3295517*x^11 - 4605727*x^10 + 3575026*x^9 + 1967711*x^8 - 2047929*x^7 - 362136*x^6 + 600440*x^5 - 18422*x^4 - 68920*x^3 + 11344*x^2 - 480*x + 32, -x^31 + 9*x^30 + 7*x^29 - 286*x^28 + 464*x^27 + 3717*x^26 - 10744*x^25 - 24416*x^24 + 109837*x^23 + 70975*x^22 - 659056*x^21 + 87085*x^20 + 2527071*x^19 - 1531625*x^18 - 6362753*x^17 + 6066611*x^16 + 10445276*x^15 - 13242881*x^14 - 10676710*x^13 + 17631309*x^12 + 5949852*x^11 - 14282362*x^10 - 918778*x^9 + 6627046*x^8 - 708373*x^7 - 1521160*x^6 + 359392*x^5 + 98268*x^4 - 47192*x^3 + 10040*x^2 - 288*x - 32, -x^31 + 9*x^30 + 7*x^29 - 286*x^28 + 464*x^27 + 3717*x^26 - 10744*x^25 - 24416*x^24 + 109837*x^23 + 70975*x^22 - 659056*x^21 + 87085*x^20 + 2527071*x^19 - 1531625*x^18 - 6362753*x^17 + 6066611*x^16 + 10445276*x^15 - 13242881*x^14 - 10676710*x^13 + 17631309*x^12 + 5949852*x^11 - 14282362*x^10 - 918778*x^9 + 6627046*x^8 - 708373*x^7 - 1521160*x^6 + 359392*x^5 + 98268*x^4 - 47192*x^3 + 10040*x^2 - 288*x - 32, -x^33 + 11*x^32 - 11*x^31 - 299*x^30 + 1023*x^29 + 2829*x^28 - 17991*x^27 - 4277*x^26 + 159174*x^25 - 134161*x^24 - 829416*x^23 + 1333792*x^22 + 2618363*x^21 - 6482047*x^20 - 4586940*x^19 + 19433933*x^18 + 2019655*x^17 - 38253005*x^16 + 9497827*x^15 + 50297044*x^14 - 23956025*x^13 - 44005900*x^12 + 27875720*x^11 + 25120721*x^10 - 18737326*x^9 - 8980893*x^8 + 7435724*x^7 + 1844596*x^6 - 1641000*x^5 - 179050*x^4 + 166964*x^3 + 4728*x^2 - 3824*x - 128, -x^33 + 11*x^32 - 11*x^31 - 299*x^30 + 1023*x^29 + 2829*x^28 - 17991*x^27 - 4277*x^26 + 159174*x^25 - 134161*x^24 - 829416*x^23 + 1333792*x^22 + 2618363*x^21 - 6482047*x^20 - 4586940*x^19 + 19433933*x^18 + 2019655*x^17 - 38253005*x^16 + 9497827*x^15 + 50297044*x^14 - 23956025*x^13 - 44005900*x^12 + 27875720*x^11 + 25120721*x^10 - 18737326*x^9 - 8980893*x^8 + 7435724*x^7 + 1844596*x^6 - 1641000*x^5 - 179050*x^4 + 166964*x^3 + 4728*x^2 - 3824*x - 128, x^32 - 11*x^31 + 12*x^30 + 287*x^29 - 999*x^28 - 2570*x^27 + 16772*x^26 + 2912*x^25 - 142059*x^24 + 122641*x^23 + 708582*x^22 - 1135024*x^21 - 2137887*x^20 + 5220326*x^19 + 3552641*x^18 - 14776881*x^17 - 1342488*x^16 + 27085859*x^15 - 7083534*x^14 - 32104026*x^13 + 16058716*x^12 + 23657492*x^11 - 16178306*x^10 - 9884783*x^9 + 8530510*x^8 + 1841777*x^7 - 2174379*x^6 + 7733*x^5 + 173998*x^4 - 26268*x^3 + 11032*x^2 - 1792*x - 64, x^32 - 11*x^31 + 12*x^30 + 287*x^29 - 999*x^28 - 2570*x^27 + 16772*x^26 + 2912*x^25 - 142059*x^24 + 122641*x^23 + 708582*x^22 - 1135024*x^21 - 2137887*x^20 + 5220326*x^19 + 3552641*x^18 - 14776881*x^17 - 1342488*x^16 + 27085859*x^15 - 7083534*x^14 - 32104026*x^13 + 16058716*x^12 + 23657492*x^11 - 16178306*x^10 - 9884783*x^9 + 8530510*x^8 + 1841777*x^7 - 2174379*x^6 + 7733*x^5 + 173998*x^4 - 26268*x^3 + 11032*x^2 - 1792*x - 64, -x^32 + 12*x^31 - 22*x^30 - 282*x^29 + 1260*x^28 + 1867*x^27 - 19385*x^26 + 9156*x^25 + 151830*x^24 - 226330*x^23 - 676347*x^22 + 1667562*x^21 + 1609932*x^20 - 6928469*x^19 - 849655*x^18 + 18103218*x^17 - 6549325*x^16 - 30401143*x^15 + 21577876*x^14 + 31987488*x^13 - 33197386*x^12 - 19202734*x^11 + 29188345*x^10 + 4541816*x^9 - 14742957*x^8 + 1193638*x^7 + 3951941*x^6 - 890145*x^5 - 447128*x^4 + 141320*x^3 + 6296*x^2 - 2096*x - 96, -x^32 + 12*x^31 - 22*x^30 - 282*x^29 + 1260*x^28 + 1867*x^27 - 19385*x^26 + 9156*x^25 + 151830*x^24 - 226330*x^23 - 676347*x^22 + 1667562*x^21 + 1609932*x^20 - 6928469*x^19 - 849655*x^18 + 18103218*x^17 - 6549325*x^16 - 30401143*x^15 + 21577876*x^14 + 31987488*x^13 - 33197386*x^12 - 19202734*x^11 + 29188345*x^10 + 4541816*x^9 - 14742957*x^8 + 1193638*x^7 + 3951941*x^6 - 890145*x^5 - 447128*x^4 + 141320*x^3 + 6296*x^2 - 2096*x - 96, -x^31 + 11*x^30 - 14*x^29 - 265*x^28 + 966*x^27 + 2095*x^26 - 14932*x^25 + 197*x^24 + 116580*x^23 - 116310*x^22 - 530552*x^21 + 924107*x^20 + 1426228*x^19 - 3810972*x^18 - 1970127*x^17 + 9681527*x^16 + 54767*x^15 - 15828203*x^14 + 4563475*x^13 + 16748547*x^12 - 7700776*x^11 - 11401503*x^10 + 6142478*x^9 + 5010007*x^8 - 2623458*x^7 - 1449248*x^6 + 592562*x^5 + 272158*x^4 - 66196*x^3 - 26392*x^2 + 3296*x + 224, -x^31 + 11*x^30 - 14*x^29 - 265*x^28 + 966*x^27 + 2095*x^26 - 14932*x^25 + 197*x^24 + 116580*x^23 - 116310*x^22 - 530552*x^21 + 924107*x^20 + 1426228*x^19 - 3810972*x^18 - 1970127*x^17 + 9681527*x^16 + 54767*x^15 - 15828203*x^14 + 4563475*x^13 + 16748547*x^12 - 7700776*x^11 - 11401503*x^10 + 6142478*x^9 + 5010007*x^8 - 2623458*x^7 - 1449248*x^6 + 592562*x^5 + 272158*x^4 - 66196*x^3 - 26392*x^2 + 3296*x + 224, -x^32 + 10*x^31 - x^30 - 303*x^29 + 756*x^28 + 3497*x^27 - 15093*x^26 - 16041*x^25 + 143928*x^24 - 27307*x^23 - 807140*x^22 + 718908*x^21 + 2843461*x^20 - 4066999*x^19 - 6375251*x^18 + 12808264*x^17 + 8803136*x^16 - 25637754*x^15 - 6513667*x^14 + 34055476*x^13 + 666656*x^12 - 30414182*x^11 + 3306702*x^10 + 18036468*x^9 - 3201484*x^8 - 6715886*x^7 + 1426744*x^6 + 1381343*x^5 - 317726*x^4 - 113140*x^3 + 27768*x^2 - 960*x - 64, -x^32 + 10*x^31 - x^30 - 303*x^29 + 756*x^28 + 3497*x^27 - 15093*x^26 - 16041*x^25 + 143928*x^24 - 27307*x^23 - 807140*x^22 + 718908*x^21 + 2843461*x^20 - 4066999*x^19 - 6375251*x^18 + 12808264*x^17 + 8803136*x^16 - 25637754*x^15 - 6513667*x^14 + 34055476*x^13 + 666656*x^12 - 30414182*x^11 + 3306702*x^10 + 18036468*x^9 - 3201484*x^8 - 6715886*x^7 + 1426744*x^6 + 1381343*x^5 - 317726*x^4 - 113140*x^3 + 27768*x^2 - 960*x - 64, -x^34 + 11*x^33 - 9*x^32 - 320*x^31 + 1037*x^30 + 3411*x^29 - 19762*x^28 - 10061*x^27 + 190823*x^26 - 119380*x^25 - 1107400*x^24 + 1516541*x^23 + 4039224*x^22 - 8477648*x^21 - 8946280*x^20 + 28985856*x^19 + 9415062*x^18 - 65460760*x^17 + 5997553*x^16 + 99677722*x^15 - 35836732*x^14 - 101805920*x^13 + 55639068*x^12 + 68066341*x^11 - 46809115*x^10 - 28420707*x^9 + 22982634*x^8 + 6749811*x^7 - 6397544*x^6 - 706707*x^5 + 902308*x^4 - 5560*x^3 - 47656*x^2 + 3872*x + 256, -x^34 + 11*x^33 - 9*x^32 - 320*x^31 + 1037*x^30 + 3411*x^29 - 19762*x^28 - 10061*x^27 + 190823*x^26 - 119380*x^25 - 1107400*x^24 + 1516541*x^23 + 4039224*x^22 - 8477648*x^21 - 8946280*x^20 + 28985856*x^19 + 9415062*x^18 - 65460760*x^17 + 5997553*x^16 + 99677722*x^15 - 35836732*x^14 - 101805920*x^13 + 55639068*x^12 + 68066341*x^11 - 46809115*x^10 - 28420707*x^9 + 22982634*x^8 + 6749811*x^7 - 6397544*x^6 - 706707*x^5 + 902308*x^4 - 5560*x^3 - 47656*x^2 + 3872*x + 256, x^33 - 11*x^32 + 11*x^31 + 298*x^30 - 1011*x^29 - 2856*x^28 + 17764*x^27 + 5453*x^26 - 158487*x^25 + 119458*x^24 + 845710*x^23 - 1245753*x^22 - 2817802*x^21 + 6230454*x^20 + 5652989*x^19 - 19345263*x^18 - 5281597*x^17 + 39946179*x^16 - 3424062*x^15 - 56049238*x^14 + 17062690*x^13 + 53482852*x^12 - 23277901*x^11 - 34334712*x^10 + 17094152*x^9 + 14551177*x^8 - 7223989*x^7 - 3934992*x^6 + 1695878*x^5 + 627938*x^4 - 196088*x^3 - 47224*x^2 + 8080*x + 352, x^33 - 11*x^32 + 11*x^31 + 298*x^30 - 1011*x^29 - 2856*x^28 + 17764*x^27 + 5453*x^26 - 158487*x^25 + 119458*x^24 + 845710*x^23 - 1245753*x^22 - 2817802*x^21 + 6230454*x^20 + 5652989*x^19 - 19345263*x^18 - 5281597*x^17 + 39946179*x^16 - 3424062*x^15 - 56049238*x^14 + 17062690*x^13 + 53482852*x^12 - 23277901*x^11 - 34334712*x^10 + 17094152*x^9 + 14551177*x^8 - 7223989*x^7 - 3934992*x^6 + 1695878*x^5 + 627938*x^4 - 196088*x^3 - 47224*x^2 + 8080*x + 352, x^31 - 11*x^30 + 11*x^29 + 296*x^28 - 997*x^27 - 2809*x^26 + 17221*x^25 + 5489*x^24 - 150034*x^23 + 108560*x^22 + 775754*x^21 - 1099238*x^20 - 2482431*x^19 + 5236812*x^18 + 4738940*x^17 - 15226893*x^16 - 4211129*x^15 + 28809225*x^14 - 2188697*x^13 - 35911553*x^12 + 10395112*x^11 + 29055656*x^10 - 12138668*x^9 - 14677111*x^8 + 7097539*x^7 + 4304861*x^6 - 2122320*x^5 - 635784*x^4 + 276040*x^3 + 34088*x^2 - 7664*x - 384, x^31 - 11*x^30 + 11*x^29 + 296*x^28 - 997*x^27 - 2809*x^26 + 17221*x^25 + 5489*x^24 - 150034*x^23 + 108560*x^22 + 775754*x^21 - 1099238*x^20 - 2482431*x^19 + 5236812*x^18 + 4738940*x^17 - 15226893*x^16 - 4211129*x^15 + 28809225*x^14 - 2188697*x^13 - 35911553*x^12 + 10395112*x^11 + 29055656*x^10 - 12138668*x^9 - 14677111*x^8 + 7097539*x^7 + 4304861*x^6 - 2122320*x^5 - 635784*x^4 + 276040*x^3 + 34088*x^2 - 7664*x - 384, -x^33 + 13*x^32 - 34*x^31 - 260*x^30 + 1541*x^29 + 617*x^28 - 21257*x^27 + 28273*x^26 + 143467*x^25 - 375854*x^24 - 462923*x^23 + 2341740*x^22 + 38209*x^21 - 8627511*x^20 + 5696731*x^19 + 19621303*x^18 - 23852712*x^17 - 26218391*x^16 + 51427362*x^15 + 15273625*x^14 - 66369597*x^13 + 7908459*x^12 + 51686596*x^11 - 20040802*x^10 - 22859799*x^9 + 13968884*x^8 + 4806232*x^7 - 4479950*x^6 - 157423*x^5 + 606870*x^4 - 66104*x^3 - 19736*x^2 + 2480*x + 64, -x^33 + 13*x^32 - 34*x^31 - 260*x^30 + 1541*x^29 + 617*x^28 - 21257*x^27 + 28273*x^26 + 143467*x^25 - 375854*x^24 - 462923*x^23 + 2341740*x^22 + 38209*x^21 - 8627511*x^20 + 5696731*x^19 + 19621303*x^18 - 23852712*x^17 - 26218391*x^16 + 51427362*x^15 + 15273625*x^14 - 66369597*x^13 + 7908459*x^12 + 51686596*x^11 - 20040802*x^10 - 22859799*x^9 + 13968884*x^8 + 4806232*x^7 - 4479950*x^6 - 157423*x^5 + 606870*x^4 - 66104*x^3 - 19736*x^2 + 2480*x + 64, -x^33 + 12*x^32 - 22*x^31 - 286*x^30 + 1298*x^29 + 1857*x^28 - 20340*x^27 + 11383*x^26 + 161285*x^25 - 262572*x^24 - 718801*x^23 + 1958920*x^22 + 1638364*x^21 - 8351794*x^20 - 195061*x^19 + 22657117*x^18 - 10277076*x^17 - 40193662*x^16 + 32291138*x^15 + 46035262*x^14 - 52215627*x^13 - 32050151*x^12 + 50811108*x^11 + 11153323*x^10 - 30236080*x^9 + 125009*x^8 + 10585910*x^7 - 1516272*x^6 - 1963285*x^5 + 476070*x^4 + 139796*x^3 - 49576*x^2 + 2368*x + 192, -x^33 + 12*x^32 - 22*x^31 - 286*x^30 + 1298*x^29 + 1857*x^28 - 20340*x^27 + 11383*x^26 + 161285*x^25 - 262572*x^24 - 718801*x^23 + 1958920*x^22 + 1638364*x^21 - 8351794*x^20 - 195061*x^19 + 22657117*x^18 - 10277076*x^17 - 40193662*x^16 + 32291138*x^15 + 46035262*x^14 - 52215627*x^13 - 32050151*x^12 + 50811108*x^11 + 11153323*x^10 - 30236080*x^9 + 125009*x^8 + 10585910*x^7 - 1516272*x^6 - 1963285*x^5 + 476070*x^4 + 139796*x^3 - 49576*x^2 + 2368*x + 192, x^33 - 13*x^32 + 34*x^31 + 263*x^30 - 1570*x^29 - 605*x^28 + 21971*x^27 - 30032*x^26 - 150344*x^25 + 403568*x^24 + 492654*x^23 - 2560447*x^22 - 55201*x^21 + 9690937*x^20 - 6142982*x^19 - 23095619*x^18 + 26321356*x^17 + 34181818*x^16 - 58564617*x^15 - 28228906*x^14 + 79640884*x^13 + 6718066*x^12 - 68162463*x^11 + 9271517*x^10 + 36164865*x^9 - 9375513*x^8 - 11326785*x^7 + 3629994*x^6 + 1876051*x^5 - 640534*x^4 - 118996*x^3 + 42832*x^2 - 1856*x - 160, x^33 - 13*x^32 + 34*x^31 + 263*x^30 - 1570*x^29 - 605*x^28 + 21971*x^27 - 30032*x^26 - 150344*x^25 + 403568*x^24 + 492654*x^23 - 2560447*x^22 - 55201*x^21 + 9690937*x^20 - 6142982*x^19 - 23095619*x^18 + 26321356*x^17 + 34181818*x^16 - 58564617*x^15 - 28228906*x^14 + 79640884*x^13 + 6718066*x^12 - 68162463*x^11 + 9271517*x^10 + 36164865*x^9 - 9375513*x^8 - 11326785*x^7 + 3629994*x^6 + 1876051*x^5 - 640534*x^4 - 118996*x^3 + 42832*x^2 - 1856*x - 160, -x^31 + 10*x^30 - 2*x^29 - 294*x^28 + 758*x^27 + 3258*x^26 - 14644*x^25 - 13464*x^24 + 135953*x^23 - 41388*x^22 - 739968*x^21 + 754694*x^20 + 2498917*x^19 - 4050513*x^18 - 5188952*x^17 + 12358252*x^16 + 5934495*x^15 - 23914388*x^14 - 1618830*x^13 + 30247949*x^12 - 4996948*x^11 - 25016018*x^10 + 7346340*x^9 + 13244140*x^8 - 4634455*x^7 - 4252802*x^6 + 1478803*x^5 + 737826*x^4 - 215684*x^3 - 52784*x^2 + 9072*x + 448, -x^31 + 10*x^30 - 2*x^29 - 294*x^28 + 758*x^27 + 3258*x^26 - 14644*x^25 - 13464*x^24 + 135953*x^23 - 41388*x^22 - 739968*x^21 + 754694*x^20 + 2498917*x^19 - 4050513*x^18 - 5188952*x^17 + 12358252*x^16 + 5934495*x^15 - 23914388*x^14 - 1618830*x^13 + 30247949*x^12 - 4996948*x^11 - 25016018*x^10 + 7346340*x^9 + 13244140*x^8 - 4634455*x^7 - 4252802*x^6 + 1478803*x^5 + 737826*x^4 - 215684*x^3 - 52784*x^2 + 9072*x + 448, -x^32 + 11*x^31 - 14*x^30 - 265*x^29 + 962*x^28 + 2140*x^27 - 15022*x^26 - 602*x^25 + 120318*x^24 - 113677*x^23 - 573496*x^22 + 965066*x^21 + 1660354*x^20 - 4287228*x^19 - 2575156*x^18 + 11972433*x^17 + 256999*x^16 - 21945989*x^15 + 7672820*x^14 + 26241511*x^13 - 16656231*x^12 - 19572070*x^11 + 17931765*x^10 + 8189502*x^9 - 10979133*x^8 - 1374525*x^7 + 3789549*x^6 - 155529*x^5 - 671916*x^4 + 76488*x^3 + 47096*x^2 - 5312*x - 320, -x^32 + 11*x^31 - 14*x^30 - 265*x^29 + 962*x^28 + 2140*x^27 - 15022*x^26 - 602*x^25 + 120318*x^24 - 113677*x^23 - 573496*x^22 + 965066*x^21 + 1660354*x^20 - 4287228*x^19 - 2575156*x^18 + 11972433*x^17 + 256999*x^16 - 21945989*x^15 + 7672820*x^14 + 26241511*x^13 - 16656231*x^12 - 19572070*x^11 + 17931765*x^10 + 8189502*x^9 - 10979133*x^8 - 1374525*x^7 + 3789549*x^6 - 155529*x^5 - 671916*x^4 + 76488*x^3 + 47096*x^2 - 5312*x - 320, x^34 - 12*x^33 + 21*x^32 + 298*x^31 - 1321*x^30 - 2132*x^29 + 21619*x^28 - 9741*x^27 - 180712*x^26 + 275033*x^25 + 868311*x^24 - 2214104*x^23 - 2280631*x^22 + 10183280*x^21 + 1560422*x^20 - 30218578*x^19 + 10511025*x^18 + 60004657*x^17 - 42027753*x^16 - 79711035*x^15 + 80195462*x^14 + 68524188*x^13 - 92819469*x^12 - 34714303*x^11 + 67607170*x^10 + 7341808*x^9 - 30305676*x^8 + 1447220*x^7 + 7805249*x^6 - 1075673*x^5 - 998024*x^4 + 175132*x^3 + 44272*x^2 - 5936*x - 288, x^34 - 12*x^33 + 21*x^32 + 298*x^31 - 1321*x^30 - 2132*x^29 + 21619*x^28 - 9741*x^27 - 180712*x^26 + 275033*x^25 + 868311*x^24 - 2214104*x^23 - 2280631*x^22 + 10183280*x^21 + 1560422*x^20 - 30218578*x^19 + 10511025*x^18 + 60004657*x^17 - 42027753*x^16 - 79711035*x^15 + 80195462*x^14 + 68524188*x^13 - 92819469*x^12 - 34714303*x^11 + 67607170*x^10 + 7341808*x^9 - 30305676*x^8 + 1447220*x^7 + 7805249*x^6 - 1075673*x^5 - 998024*x^4 + 175132*x^3 + 44272*x^2 - 5936*x - 288, -x^34 + 12*x^33 - 20*x^32 - 306*x^31 + 1300*x^30 + 2469*x^29 - 21912*x^28 + 4435*x^27 + 192884*x^26 - 234666*x^25 - 1018321*x^24 + 2075416*x^23 + 3275003*x^22 - 10239872*x^21 - 5604138*x^20 + 32692754*x^19 + 92562*x^18 - 70642965*x^17 + 23794869*x^16 + 104239385*x^15 - 59718567*x^14 - 103719913*x^13 + 78165916*x^12 + 67324395*x^11 - 61319661*x^10 - 26737797*x^9 + 28924702*x^8 + 5653197*x^7 - 7739358*x^6 - 379036*x^5 + 1021558*x^4 - 42060*x^3 - 46648*x^2 + 4016*x + 256, -x^34 + 12*x^33 - 20*x^32 - 306*x^31 + 1300*x^30 + 2469*x^29 - 21912*x^28 + 4435*x^27 + 192884*x^26 - 234666*x^25 - 1018321*x^24 + 2075416*x^23 + 3275003*x^22 - 10239872*x^21 - 5604138*x^20 + 32692754*x^19 + 92562*x^18 - 70642965*x^17 + 23794869*x^16 + 104239385*x^15 - 59718567*x^14 - 103719913*x^13 + 78165916*x^12 + 67324395*x^11 - 61319661*x^10 - 26737797*x^9 + 28924702*x^8 + 5653197*x^7 - 7739358*x^6 - 379036*x^5 + 1021558*x^4 - 42060*x^3 - 46648*x^2 + 4016*x + 256, -x^32 + 11*x^31 - 12*x^30 - 289*x^29 + 1017*x^28 + 2576*x^27 - 17275*x^26 - 1936*x^25 + 147486*x^24 - 140667*x^23 - 735293*x^22 + 1286109*x^21 + 2172407*x^20 - 5959468*x^19 - 3280266*x^18 + 17099822*x^17 - 307144*x^16 - 32039112*x^15 + 11652162*x^14 + 39515869*x^13 - 23881678*x^12 - 31474148*x^11 + 25081862*x^10 + 15438599*x^9 - 15228515*x^8 - 4226021*x^7 + 5304968*x^6 + 478593*x^5 - 980254*x^4 + 21504*x^3 + 76328*x^2 - 7008*x - 480, -x^32 + 11*x^31 - 12*x^30 - 289*x^29 + 1017*x^28 + 2576*x^27 - 17275*x^26 - 1936*x^25 + 147486*x^24 - 140667*x^23 - 735293*x^22 + 1286109*x^21 + 2172407*x^20 - 5959468*x^19 - 3280266*x^18 + 17099822*x^17 - 307144*x^16 - 32039112*x^15 + 11652162*x^14 + 39515869*x^13 - 23881678*x^12 - 31474148*x^11 + 25081862*x^10 + 15438599*x^9 - 15228515*x^8 - 4226021*x^7 + 5304968*x^6 + 478593*x^5 - 980254*x^4 + 21504*x^3 + 76328*x^2 - 7008*x - 480, -x^34 + 12*x^33 - 21*x^32 - 296*x^31 + 1299*x^30 + 2160*x^29 - 21092*x^28 + 7841*x^27 + 176465*x^26 - 245704*x^25 - 866484*x^24 + 1983007*x^23 + 2489967*x^22 - 9107351*x^21 - 3291575*x^20 + 27190357*x^19 - 3185838*x^18 - 55323357*x^17 + 22916755*x^16 + 78019607*x^15 - 48039586*x^14 - 76129495*x^13 + 57944239*x^12 + 50328247*x^11 - 43916439*x^10 - 21456068*x^9 + 20804418*x^8 + 5333207*x^7 - 5819005*x^6 - 595085*x^5 + 847892*x^4 - 4884*x^3 - 47568*x^2 + 3904*x + 256, -x^34 + 12*x^33 - 21*x^32 - 296*x^31 + 1299*x^30 + 2160*x^29 - 21092*x^28 + 7841*x^27 + 176465*x^26 - 245704*x^25 - 866484*x^24 + 1983007*x^23 + 2489967*x^22 - 9107351*x^21 - 3291575*x^20 + 27190357*x^19 - 3185838*x^18 - 55323357*x^17 + 22916755*x^16 + 78019607*x^15 - 48039586*x^14 - 76129495*x^13 + 57944239*x^12 + 50328247*x^11 - 43916439*x^10 - 21456068*x^9 + 20804418*x^8 + 5333207*x^7 - 5819005*x^6 - 595085*x^5 + 847892*x^4 - 4884*x^3 - 47568*x^2 + 3904*x + 256, -x^31 + 11*x^30 - 17*x^29 - 230*x^28 + 891*x^27 + 1456*x^26 - 11782*x^25 + 2270*x^24 + 78974*x^23 - 79255*x^22 - 314124*x^21 + 481937*x^20 + 808176*x^19 - 1572595*x^18 - 1508238*x^17 + 3245586*x^16 + 2467421*x^15 - 4662527*x^14 - 3876268*x^13 + 5168899*x^12 + 4932660*x^11 - 4716310*x^10 - 4130080*x^9 + 3296109*x^8 + 1970839*x^7 - 1490427*x^6 - 457343*x^5 + 369594*x^4 + 29708*x^3 - 38408*x^2 + 3136*x + 192, -x^31 + 11*x^30 - 17*x^29 - 230*x^28 + 891*x^27 + 1456*x^26 - 11782*x^25 + 2270*x^24 + 78974*x^23 - 79255*x^22 - 314124*x^21 + 481937*x^20 + 808176*x^19 - 1572595*x^18 - 1508238*x^17 + 3245586*x^16 + 2467421*x^15 - 4662527*x^14 - 3876268*x^13 + 5168899*x^12 + 4932660*x^11 - 4716310*x^10 - 4130080*x^9 + 3296109*x^8 + 1970839*x^7 - 1490427*x^6 - 457343*x^5 + 369594*x^4 + 29708*x^3 - 38408*x^2 + 3136*x + 192, -x^33 + 12*x^32 - 23*x^31 - 275*x^30 + 1282*x^29 + 1614*x^28 - 19410*x^27 + 13035*x^26 + 148141*x^25 - 259875*x^24 - 625163*x^23 + 1851461*x^22 + 1255570*x^21 - 7612626*x^20 + 683667*x^19 + 19920279*x^18 - 11043027*x^17 - 33994711*x^16 + 30843153*x^15 + 37417705*x^14 - 46835439*x^13 - 25407625*x^12 + 43413287*x^11 + 9599110*x^10 - 24885521*x^9 - 1469150*x^8 + 8534596*x^7 - 91846*x^6 - 1595916*x^5 + 24620*x^4 + 130528*x^3 + 5328*x^2 - 2496*x - 128, -x^33 + 12*x^32 - 23*x^31 - 275*x^30 + 1282*x^29 + 1614*x^28 - 19410*x^27 + 13035*x^26 + 148141*x^25 - 259875*x^24 - 625163*x^23 + 1851461*x^22 + 1255570*x^21 - 7612626*x^20 + 683667*x^19 + 19920279*x^18 - 11043027*x^17 - 33994711*x^16 + 30843153*x^15 + 37417705*x^14 - 46835439*x^13 - 25407625*x^12 + 43413287*x^11 + 9599110*x^10 - 24885521*x^9 - 1469150*x^8 + 8534596*x^7 - 91846*x^6 - 1595916*x^5 + 24620*x^4 + 130528*x^3 + 5328*x^2 - 2496*x - 128, x^32 - 12*x^31 + 28*x^30 + 217*x^29 - 1170*x^28 - 434*x^27 + 13995*x^26 - 18716*x^25 - 76260*x^24 + 207669*x^23 + 151302*x^22 - 1026910*x^21 + 430530*x^20 + 2695401*x^19 - 3368309*x^18 - 3146077*x^17 + 8889012*x^16 - 1728280*x^15 - 11850632*x^14 + 10898170*x^13 + 6810749*x^12 - 15308777*x^11 + 1519210*x^10 + 10664926*x^9 - 4429577*x^8 - 3846647*x^7 + 2447901*x^6 + 612594*x^5 - 575454*x^4 - 9984*x^3 + 49952*x^2 - 4448*x - 224, x^32 - 12*x^31 + 28*x^30 + 217*x^29 - 1170*x^28 - 434*x^27 + 13995*x^26 - 18716*x^25 - 76260*x^24 + 207669*x^23 + 151302*x^22 - 1026910*x^21 + 430530*x^20 + 2695401*x^19 - 3368309*x^18 - 3146077*x^17 + 8889012*x^16 - 1728280*x^15 - 11850632*x^14 + 10898170*x^13 + 6810749*x^12 - 15308777*x^11 + 1519210*x^10 + 10664926*x^9 - 4429577*x^8 - 3846647*x^7 + 2447901*x^6 + 612594*x^5 - 575454*x^4 - 9984*x^3 + 49952*x^2 - 4448*x - 224, -x^31 + 9*x^30 + 8*x^29 - 298*x^28 + 489*x^27 + 3956*x^26 - 11863*x^25 - 25581*x^24 + 124175*x^23 + 62482*x^22 - 752066*x^21 + 219919*x^20 + 2874263*x^19 - 2277029*x^18 - 7129890*x^17 + 8461694*x^16 + 11400136*x^15 - 18171555*x^14 - 11181920*x^13 + 24457681*x^12 + 5744902*x^11 - 20796586*x^10 - 431034*x^9 + 10877485*x^8 - 1054921*x^7 - 3310103*x^6 + 504438*x^5 + 525688*x^4 - 84972*x^3 - 33760*x^2 + 4160*x + 288, -x^31 + 9*x^30 + 8*x^29 - 298*x^28 + 489*x^27 + 3956*x^26 - 11863*x^25 - 25581*x^24 + 124175*x^23 + 62482*x^22 - 752066*x^21 + 219919*x^20 + 2874263*x^19 - 2277029*x^18 - 7129890*x^17 + 8461694*x^16 + 11400136*x^15 - 18171555*x^14 - 11181920*x^13 + 24457681*x^12 + 5744902*x^11 - 20796586*x^10 - 431034*x^9 + 10877485*x^8 - 1054921*x^7 - 3310103*x^6 + 504438*x^5 + 525688*x^4 - 84972*x^3 - 33760*x^2 + 4160*x + 288, x^31 - 12*x^30 + 27*x^29 + 227*x^28 - 1173*x^27 - 716*x^26 + 14735*x^25 - 15763*x^24 - 89753*x^23 + 196890*x^22 + 268937*x^21 - 1072097*x^20 - 159630*x^19 + 3343947*x^18 - 1596957*x^17 - 6251272*x^16 + 5883326*x^15 + 6622467*x^14 - 9890692*x^13 - 2868790*x^12 + 9110858*x^11 - 1265259*x^10 - 4462359*x^9 + 2072487*x^8 + 939019*x^7 - 936789*x^6 + 20685*x^5 + 175936*x^4 - 29924*x^3 - 10200*x^2 + 1344*x + 32, x^31 - 12*x^30 + 27*x^29 + 227*x^28 - 1173*x^27 - 716*x^26 + 14735*x^25 - 15763*x^24 - 89753*x^23 + 196890*x^22 + 268937*x^21 - 1072097*x^20 - 159630*x^19 + 3343947*x^18 - 1596957*x^17 - 6251272*x^16 + 5883326*x^15 + 6622467*x^14 - 9890692*x^13 - 2868790*x^12 + 9110858*x^11 - 1265259*x^10 - 4462359*x^9 + 2072487*x^8 + 939019*x^7 - 936789*x^6 + 20685*x^5 + 175936*x^4 - 29924*x^3 - 10200*x^2 + 1344*x + 32, -x^32 + 10*x^31 - 3*x^30 - 281*x^29 + 720*x^28 + 3054*x^27 - 13302*x^26 - 13569*x^25 + 121003*x^24 - 17869*x^23 - 660901*x^22 + 529659*x^21 + 2314888*x^20 - 2982850*x^19 - 5282033*x^18 + 9356213*x^17 + 7669399*x^16 - 18655913*x^15 - 6468673*x^14 + 24480359*x^13 + 2125279*x^12 - 21157067*x^11 + 1099153*x^10 + 11797416*x^9 - 1290689*x^8 - 4050528*x^7 + 433540*x^6 + 775234*x^5 - 45448*x^4 - 66276*x^3 - 2024*x^2 + 1280*x + 64, -x^32 + 10*x^31 - 3*x^30 - 281*x^29 + 720*x^28 + 3054*x^27 - 13302*x^26 - 13569*x^25 + 121003*x^24 - 17869*x^23 - 660901*x^22 + 529659*x^21 + 2314888*x^20 - 2982850*x^19 - 5282033*x^18 + 9356213*x^17 + 7669399*x^16 - 18655913*x^15 - 6468673*x^14 + 24480359*x^13 + 2125279*x^12 - 21157067*x^11 + 1099153*x^10 + 11797416*x^9 - 1290689*x^8 - 4050528*x^7 + 433540*x^6 + 775234*x^5 - 45448*x^4 - 66276*x^3 - 2024*x^2 + 1280*x + 64, x^34 - 11*x^33 + 8*x^32 + 333*x^31 - 1071*x^30 - 3666*x^29 + 21251*x^28 + 10733*x^27 - 210884*x^26 + 143671*x^25 + 1241753*x^24 - 1834361*x^23 - 4498803*x^22 + 10401465*x^21 + 9371636*x^20 - 35901433*x^19 - 6582586*x^18 + 81128934*x^17 - 19271877*x^16 - 121973343*x^15 + 63994270*x^14 + 120421354*x^13 - 90605903*x^12 - 74916043*x^11 + 73249846*x^10 + 26770579*x^9 - 34843836*x^8 - 4144315*x^7 + 9288741*x^6 - 217103*x^5 - 1207478*x^4 + 121936*x^3 + 52400*x^2 - 5584*x - 288, x^34 - 11*x^33 + 8*x^32 + 333*x^31 - 1071*x^30 - 3666*x^29 + 21251*x^28 + 10733*x^27 - 210884*x^26 + 143671*x^25 + 1241753*x^24 - 1834361*x^23 - 4498803*x^22 + 10401465*x^21 + 9371636*x^20 - 35901433*x^19 - 6582586*x^18 + 81128934*x^17 - 19271877*x^16 - 121973343*x^15 + 63994270*x^14 + 120421354*x^13 - 90605903*x^12 - 74916043*x^11 + 73249846*x^10 + 26770579*x^9 - 34843836*x^8 - 4144315*x^7 + 9288741*x^6 - 217103*x^5 - 1207478*x^4 + 121936*x^3 + 52400*x^2 - 5584*x - 288]>
       ]
>;

MOG[797] := 	// J_0(797)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 22, 30, 146, 309, 343, 469, 550, 587, 601, 610, 613, 684, 731, 751, 118*x + 137, 679*x + 137, 742*x + 698, 55*x + 698, 263*x + 142, 534*x + 142, 157*x + 523, 640*x + 523, 3*x + 776, 794*x + 776, 729*x + 336, 68*x + 336, 504*x + 224, 293*x + 224, 250*x + 120, 547*x + 120, 108*x + 244, 689*x + 244, 124*x + 409, 673*x + 409, 3*x + 386, 794*x + 386, 211*x + 233, 586*x + 233, 210*x + 148, 587*x + 148, 312*x + 345, 485*x + 345, 148*x + 231, 649*x + 231, 747*x + 757, 50*x + 757, 25*x + 795, 772*x + 795, 347*x + 375, 450*x + 375, 98*x + 9, 699*x + 9, 485*x + 736, 312*x + 736, 65*x + 783, 732*x + 783, 632*x + 771, 165*x + 771, 436*x + 556, 361*x + 556, 291*x + 363, 506*x + 363, 200*x + 495, 597*x + 495, 756*x + 501, 41*x + 501]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, -1, -1, 1, -1, 1, 0, 0, 0, 0, 1, -1, -1, 1, 0, 0, 1, -1, 0, 0, 1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 1, -1, -1, 1, 0, 0, 1, -1, 1, -1, 0, 0, 0, 0, 0, 0, -1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^2 - 2*x - 1,
           Coordinates        := [-x + 1, -x + 1, 0, -2, -x + 1, 0, x - 1, -x + 1, 0, x - 1, 0, x - 3, -x + 1, x - 3, x - 3, 0, 0, x - 2, x - 2, -x + 2, -x + 2, 1, 1, -x + 1, -x + 1, x - 3, x - 3, 1, 1, x, x, 0, 0, 1, 1, 0, 0, -1, -1, 0, 0, 2, 2, -x + 1, -x + 1, 0, 0, 1, 1, 1, 1, -x + 1, -x + 1, -1, -1, -1, -1, 0, 0, x - 1, x - 1, 0, 0, 1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^25 + 6*x^24 - 14*x^23 - 142*x^22 + 3*x^21 + 1418*x^20 + 1084*x^19 - 7818*x^18 - 9197*x^17 + 26152*x^16 + 37904*x^15 - 54790*x^14 - 91466*x^13 + 71065*x^12 + 134599*x^11 - 53166*x^10 - 118338*x^9 + 18049*x^8 + 57161*x^7 + 680*x^6 - 12338*x^5 - 1492*x^4 + 667*x^3 + 82*x^2 - 11*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^24 - 6*x^23 + 12*x^22 + 130*x^21 + 17*x^20 - 1181*x^19 - 1009*x^18 + 5894*x^17 + 7269*x^16 - 17776*x^15 - 26365*x^14 + 33401*x^13 + 56243*x^12 - 38387*x^11 - 72874*x^10 + 24474*x^9 + 55861*x^8 - 5670*x^7 - 23085*x^6 - 1725*x^5 + 4016*x^4 + 848*x^3 - 68*x^2 - 23*x - 1, x^24 + 6*x^23 - 12*x^22 - 130*x^21 - 17*x^20 + 1181*x^19 + 1009*x^18 - 5894*x^17 - 7269*x^16 + 17776*x^15 + 26365*x^14 - 33401*x^13 - 56243*x^12 + 38387*x^11 + 72874*x^10 - 24474*x^9 - 55861*x^8 + 5670*x^7 + 23085*x^6 + 1725*x^5 - 4016*x^4 - 848*x^3 + 68*x^2 + 23*x + 1, -x^23 - 6*x^22 + 10*x^21 + 119*x^20 + 41*x^19 - 962*x^18 - 1014*x^17 + 4112*x^16 + 6033*x^15 - 10062*x^14 - 18217*x^13 + 14043*x^12 + 31248*x^11 - 9939*x^10 - 30402*x^9 + 1627*x^8 + 15332*x^7 + 1794*x^6 - 3049*x^5 - 725*x^4 + 51*x^3 + 20*x^2 + x, x^23 + 6*x^22 - 10*x^21 - 119*x^20 - 41*x^19 + 962*x^18 + 1014*x^17 - 4112*x^16 - 6033*x^15 + 10062*x^14 + 18217*x^13 - 14043*x^12 - 31248*x^11 + 9939*x^10 + 30402*x^9 - 1627*x^8 - 15332*x^7 - 1794*x^6 + 3049*x^5 + 725*x^4 - 51*x^3 - 20*x^2 - x, -x^23 - 6*x^22 + 10*x^21 + 118*x^20 + 34*x^19 - 962*x^18 - 914*x^17 + 4264*x^16 + 5506*x^15 - 11327*x^14 - 17006*x^13 + 18635*x^12 + 30477*x^11 - 18753*x^10 - 32075*x^9 + 10752*x^8 + 18744*x^7 - 2839*x^6 - 5273*x^5 + 81*x^4 + 548*x^3 + 39*x^2 - 13*x - 1, x^23 + 6*x^22 - 10*x^21 - 118*x^20 - 34*x^19 + 962*x^18 + 914*x^17 - 4264*x^16 - 5506*x^15 + 11327*x^14 + 17006*x^13 - 18635*x^12 - 30477*x^11 + 18753*x^10 + 32075*x^9 - 10752*x^8 - 18744*x^7 + 2839*x^6 + 5273*x^5 - 81*x^4 - 548*x^3 - 39*x^2 + 13*x + 1, -x^22 - 6*x^21 + 10*x^20 + 119*x^19 + 41*x^18 - 962*x^17 - 1014*x^16 + 4112*x^15 + 6033*x^14 - 10062*x^13 - 18217*x^12 + 14043*x^11 + 31248*x^10 - 9939*x^9 - 30402*x^8 + 1627*x^7 + 15332*x^6 + 1794*x^5 - 3049*x^4 - 725*x^3 + 51*x^2 + 20*x + 1, x^22 + 6*x^21 - 10*x^20 - 119*x^19 - 41*x^18 + 962*x^17 + 1014*x^16 - 4112*x^15 - 6033*x^14 + 10062*x^13 + 18217*x^12 - 14043*x^11 - 31248*x^10 + 9939*x^9 + 30402*x^8 - 1627*x^7 - 15332*x^6 - 1794*x^5 + 3049*x^4 + 725*x^3 - 51*x^2 - 20*x - 1, -x^22 - 5*x^21 + 14*x^20 + 100*x^19 - 46*x^18 - 820*x^17 - 222*x^16 + 3602*x^15 + 2115*x^14 - 9296*x^13 - 6778*x^12 + 14405*x^11 + 11224*x^10 - 12908*x^9 - 10127*x^8 + 5837*x^7 + 4704*x^6 - 794*x^5 - 916*x^4 - 103*x^3 + 18*x^2 + 3*x, x^22 + 5*x^21 - 14*x^20 - 100*x^19 + 46*x^18 + 820*x^17 + 222*x^16 - 3602*x^15 - 2115*x^14 + 9296*x^13 + 6778*x^12 - 14405*x^11 - 11224*x^10 + 12908*x^9 + 10127*x^8 - 5837*x^7 - 4704*x^6 + 794*x^5 + 916*x^4 + 103*x^3 - 18*x^2 - 3*x, -x^22 - 6*x^21 + 8*x^20 + 107*x^19 + 53*x^18 - 773*x^17 - 893*x^16 + 2932*x^15 + 4590*x^14 - 6276*x^13 - 12277*x^12 + 7353*x^11 + 18799*x^10 - 3629*x^9 - 16353*x^8 - 922*x^7 + 7315*x^6 + 1665*x^5 - 1225*x^4 - 451*x^3 - 5*x^2 + 12*x + 1, x^22 + 6*x^21 - 8*x^20 - 107*x^19 - 53*x^18 + 773*x^17 + 893*x^16 - 2932*x^15 - 4590*x^14 + 6276*x^13 + 12277*x^12 - 7353*x^11 - 18799*x^10 + 3629*x^9 + 16353*x^8 + 922*x^7 - 7315*x^6 - 1665*x^5 + 1225*x^4 + 451*x^3 + 5*x^2 - 12*x - 1, -x^22 - 6*x^21 + 9*x^20 + 112*x^19 + 42*x^18 - 857*x^17 - 870*x^16 + 3517*x^15 + 4769*x^14 - 8490*x^13 - 13489*x^12 + 12281*x^11 + 22000*x^10 - 10093*x^9 - 20764*x^8 + 3753*x^7 + 10497*x^6 + 141*x^5 - 2243*x^4 - 358*x^3 + 60*x^2 + 10*x, x^22 + 6*x^21 - 9*x^20 - 112*x^19 - 42*x^18 + 857*x^17 + 870*x^16 - 3517*x^15 - 4769*x^14 + 8490*x^13 + 13489*x^12 - 12281*x^11 - 22000*x^10 + 10093*x^9 + 20764*x^8 - 3753*x^7 - 10497*x^6 - 141*x^5 + 2243*x^4 + 358*x^3 - 60*x^2 - 10*x, -x^21 - 5*x^20 + 13*x^19 + 96*x^18 - 28*x^17 - 732*x^16 - 316*x^15 + 2881*x^14 + 2143*x^13 - 6416*x^12 - 5619*x^11 + 8255*x^10 + 7367*x^9 - 5917*x^8 - 4791*x^7 + 2116*x^6 + 1339*x^5 - 294*x^4 - 136*x^3 + x^2 + 2*x, x^21 + 5*x^20 - 13*x^19 - 96*x^18 + 28*x^17 + 732*x^16 + 316*x^15 - 2881*x^14 - 2143*x^13 + 6416*x^12 + 5619*x^11 - 8255*x^10 - 7367*x^9 + 5917*x^8 + 4791*x^7 - 2116*x^6 - 1339*x^5 + 294*x^4 + 136*x^3 - x^2 - 2*x, -x^21 - 6*x^20 + 6*x^19 + 95*x^18 + 62*x^17 - 600*x^16 - 755*x^15 + 1958*x^14 + 3232*x^13 - 3509*x^12 - 7174*x^11 + 3267*x^10 + 8780*x^9 - 1103*x^8 - 5647*x^7 - 356*x^6 + 1593*x^5 + 258*x^4 - 118*x^3 - 11*x^2 + 3*x, x^21 + 6*x^20 - 6*x^19 - 95*x^18 - 62*x^17 + 600*x^16 + 755*x^15 - 1958*x^14 - 3232*x^13 + 3509*x^12 + 7174*x^11 - 3267*x^10 - 8780*x^9 + 1103*x^8 + 5647*x^7 + 356*x^6 - 1593*x^5 - 258*x^4 + 118*x^3 + 11*x^2 - 3*x, -x^21 - 5*x^20 + 13*x^19 + 94*x^18 - 41*x^17 - 732*x^16 - 161*x^15 + 3093*x^14 + 1497*x^13 - 7773*x^12 - 4504*x^11 + 11857*x^10 + 6942*x^9 - 10571*x^8 - 5782*x^7 + 4860*x^6 + 2455*x^5 - 790*x^4 - 435*x^3 - 16*x^2 + 11*x + 1, x^21 + 5*x^20 - 13*x^19 - 94*x^18 + 41*x^17 + 732*x^16 + 161*x^15 - 3093*x^14 - 1497*x^13 + 7773*x^12 + 4504*x^11 - 11857*x^10 - 6942*x^9 + 10571*x^8 + 5782*x^7 - 4860*x^6 - 2455*x^5 + 790*x^4 + 435*x^3 + 16*x^2 - 11*x - 1, -x^21 - 6*x^20 + 8*x^19 + 105*x^18 + 44*x^17 - 747*x^16 - 737*x^15 + 2837*x^14 + 3517*x^13 - 6354*x^12 - 8477*x^11 + 8660*x^10 + 11311*x^9 - 6999*x^8 - 8247*x^7 + 2980*x^6 + 3030*x^5 - 439*x^4 - 488*x^3 - 29*x^2 + 13*x + 1, x^21 + 6*x^20 - 8*x^19 - 105*x^18 - 44*x^17 + 747*x^16 + 737*x^15 - 2837*x^14 - 3517*x^13 + 6354*x^12 + 8477*x^11 - 8660*x^10 - 11311*x^9 + 6999*x^8 + 8247*x^7 - 2980*x^6 - 3030*x^5 + 439*x^4 + 488*x^3 + 29*x^2 - 13*x - 1, x^19 + 5*x^18 - 9*x^17 - 73*x^16 + 10*x^15 + 430*x^14 + 119*x^13 - 1371*x^12 - 495*x^11 + 2585*x^10 + 804*x^9 - 2853*x^8 - 620*x^7 + 1654*x^6 + 234*x^5 - 367*x^4 - 53*x^3 + 4*x^2 - x, -x^19 - 5*x^18 + 9*x^17 + 73*x^16 - 10*x^15 - 430*x^14 - 119*x^13 + 1371*x^12 + 495*x^11 - 2585*x^10 - 804*x^9 + 2853*x^8 + 620*x^7 - 1654*x^6 - 234*x^5 + 367*x^4 + 53*x^3 - 4*x^2 + x, -x^20 - 5*x^19 + 13*x^18 + 97*x^17 - 21*x^16 - 731*x^15 - 402*x^14 + 2761*x^13 + 2530*x^12 - 5655*x^11 - 6442*x^10 + 6187*x^9 + 8189*x^8 - 3101*x^7 - 5019*x^6 + 266*x^5 + 1147*x^4 + 157*x^3 - 20*x^2 - 2*x, x^20 + 5*x^19 - 13*x^18 - 97*x^17 + 21*x^16 + 731*x^15 + 402*x^14 - 2761*x^13 - 2530*x^12 + 5655*x^11 + 6442*x^10 - 6187*x^9 - 8189*x^8 + 3101*x^7 + 5019*x^6 - 266*x^5 - 1147*x^4 - 157*x^3 + 20*x^2 + 2*x, -x^20 - 6*x^19 + 5*x^18 + 89*x^17 + 64*x^16 - 525*x^15 - 669*x^14 + 1613*x^13 + 2592*x^12 - 2764*x^11 - 5196*x^10 + 2549*x^9 + 5601*x^8 - 1023*x^7 - 2977*x^6 + 7*x^5 + 580*x^4 + 44*x^3 - 15*x^2, x^20 + 6*x^19 - 5*x^18 - 89*x^17 - 64*x^16 + 525*x^15 + 669*x^14 - 1613*x^13 - 2592*x^12 + 2764*x^11 + 5196*x^10 - 2549*x^9 - 5601*x^8 + 1023*x^7 + 2977*x^6 - 7*x^5 - 580*x^4 - 44*x^3 + 15*x^2, -x^20 - 6*x^19 + 4*x^18 + 84*x^17 + 74*x^16 - 449*x^15 - 689*x^14 + 1154*x^13 + 2511*x^12 - 1322*x^11 - 4823*x^10 - 23*x^9 + 5105*x^8 + 1589*x^7 - 2745*x^6 - 1414*x^5 + 527*x^4 + 396*x^3 + 23*x^2 - 12*x - 1, x^20 + 6*x^19 - 4*x^18 - 84*x^17 - 74*x^16 + 449*x^15 + 689*x^14 - 1154*x^13 - 2511*x^12 + 1322*x^11 + 4823*x^10 + 23*x^9 - 5105*x^8 - 1589*x^7 + 2745*x^6 + 1414*x^5 - 527*x^4 - 396*x^3 - 23*x^2 + 12*x + 1, -x^20 - 6*x^19 + 7*x^18 + 101*x^17 + 60*x^16 - 670*x^15 - 822*x^14 + 2255*x^13 + 3641*x^12 - 4116*x^11 - 8104*x^10 + 3898*x^9 + 9664*x^8 - 1393*x^7 - 5813*x^6 - 346*x^5 + 1388*x^4 + 276*x^3 - 43*x^2 - 10*x, x^20 + 6*x^19 - 7*x^18 - 101*x^17 - 60*x^16 + 670*x^15 + 822*x^14 - 2255*x^13 - 3641*x^12 + 4116*x^11 + 8104*x^10 - 3898*x^9 - 9664*x^8 + 1393*x^7 + 5813*x^6 + 346*x^5 - 1388*x^4 - 276*x^3 + 43*x^2 + 10*x, x^17 + 4*x^16 - 11*x^15 - 56*x^14 + 38*x^13 + 304*x^12 - 31*x^11 - 829*x^10 - 84*x^9 + 1181*x^8 + 179*x^7 - 797*x^6 - 106*x^5 + 178*x^4 + 18*x^3 - 5*x^2, -x^17 - 4*x^16 + 11*x^15 + 56*x^14 - 38*x^13 - 304*x^12 + 31*x^11 + 829*x^10 + 84*x^9 - 1181*x^8 - 179*x^7 + 797*x^6 + 106*x^5 - 178*x^4 - 18*x^3 + 5*x^2, -x^16 - 4*x^15 + 13*x^14 + 62*x^13 - 59*x^12 - 374*x^11 + 101*x^10 + 1108*x^9 - 17*x^8 - 1685*x^7 - 117*x^6 + 1215*x^5 + 109*x^4 - 307*x^3 - 41*x^2 + 10*x + 1, x^16 + 4*x^15 - 13*x^14 - 62*x^13 + 59*x^12 + 374*x^11 - 101*x^10 - 1108*x^9 + 17*x^8 + 1685*x^7 + 117*x^6 - 1215*x^5 - 109*x^4 + 307*x^3 + 41*x^2 - 10*x - 1, -x^17 - 5*x^16 + 9*x^15 + 75*x^14 + 3*x^13 - 433*x^12 - 273*x^11 + 1209*x^10 + 1091*x^9 - 1702*x^8 - 1802*x^7 + 1098*x^6 + 1324*x^5 - 198*x^4 - 348*x^3 - 31*x^2 + 11*x + 1, x^17 + 5*x^16 - 9*x^15 - 75*x^14 - 3*x^13 + 433*x^12 + 273*x^11 - 1209*x^10 - 1091*x^9 + 1702*x^8 + 1802*x^7 - 1098*x^6 - 1324*x^5 + 198*x^4 + 348*x^3 + 31*x^2 - 11*x - 1, x^18 + 7*x^17 + x^16 - 86*x^15 - 120*x^14 + 387*x^13 + 761*x^12 - 823*x^11 - 2068*x^10 + 822*x^9 + 2816*x^8 - 228*x^7 - 1850*x^6 - 192*x^5 + 451*x^4 + 116*x^3 - 3*x^2 - 2*x, -x^18 - 7*x^17 - x^16 + 86*x^15 + 120*x^14 - 387*x^13 - 761*x^12 + 823*x^11 + 2068*x^10 - 822*x^9 - 2816*x^8 + 228*x^7 + 1850*x^6 + 192*x^5 - 451*x^4 - 116*x^3 + 3*x^2 + 2*x, -x^19 - 5*x^18 + 9*x^17 + 76*x^16 - 465*x^14 - 253*x^13 + 1506*x^12 + 1155*x^11 - 2786*x^10 - 2357*x^9 + 2896*x^8 + 2442*x^7 - 1487*x^6 - 1205*x^5 + 237*x^4 + 219*x^3 + 8*x^2 - 5*x, x^19 + 5*x^18 - 9*x^17 - 76*x^16 + 465*x^14 + 253*x^13 - 1506*x^12 - 1155*x^11 + 2786*x^10 + 2357*x^9 - 2896*x^8 - 2442*x^7 + 1487*x^6 + 1205*x^5 - 237*x^4 - 219*x^3 - 8*x^2 + 5*x, -x^19 - 5*x^18 + 8*x^17 + 68*x^16 - 3*x^15 - 364*x^14 - 107*x^13 + 1030*x^12 + 273*x^11 - 1695*x^10 - 61*x^9 + 1624*x^8 - 501*x^7 - 845*x^6 + 581*x^5 + 228*x^4 - 188*x^3 - 49*x^2 + 4*x + 1, x^19 + 5*x^18 - 8*x^17 - 68*x^16 + 3*x^15 + 364*x^14 + 107*x^13 - 1030*x^12 - 273*x^11 + 1695*x^10 + 61*x^9 - 1624*x^8 + 501*x^7 + 845*x^6 - 581*x^5 - 228*x^4 + 188*x^3 + 49*x^2 - 4*x - 1, -x^19 - 6*x^18 + 4*x^17 + 83*x^16 + 69*x^15 - 440*x^14 - 614*x^13 + 1157*x^12 + 2078*x^11 - 1595*x^10 - 3614*x^9 + 1068*x^8 + 3403*x^7 - 213*x^6 - 1647*x^5 - 90*x^4 + 329*x^3 + 48*x^2 - 8*x - 1, x^19 + 6*x^18 - 4*x^17 - 83*x^16 - 69*x^15 + 440*x^14 + 614*x^13 - 1157*x^12 - 2078*x^11 + 1595*x^10 + 3614*x^9 - 1068*x^8 - 3403*x^7 + 213*x^6 + 1647*x^5 + 90*x^4 - 329*x^3 - 48*x^2 + 8*x + 1, -x^19 - 4*x^18 + 16*x^17 + 77*x^16 - 85*x^15 - 582*x^14 + 124*x^13 + 2238*x^12 + 373*x^11 - 4762*x^10 - 1647*x^9 + 5606*x^8 + 2434*x^7 - 3326*x^6 - 1642*x^5 + 715*x^4 + 445*x^3 + 19*x^2 - 13*x - 1, x^19 + 4*x^18 - 16*x^17 - 77*x^16 + 85*x^15 + 582*x^14 - 124*x^13 - 2238*x^12 - 373*x^11 + 4762*x^10 + 1647*x^9 - 5606*x^8 - 2434*x^7 + 3326*x^6 + 1642*x^5 - 715*x^4 - 445*x^3 - 19*x^2 + 13*x + 1, x^16 + 4*x^15 - 11*x^14 - 56*x^13 + 38*x^12 + 304*x^11 - 31*x^10 - 829*x^9 - 84*x^8 + 1181*x^7 + 179*x^6 - 797*x^5 - 106*x^4 + 178*x^3 + 18*x^2 - 5*x, -x^16 - 4*x^15 + 11*x^14 + 56*x^13 - 38*x^12 - 304*x^11 + 31*x^10 + 829*x^9 + 84*x^8 - 1181*x^7 - 179*x^6 + 797*x^5 + 106*x^4 - 178*x^3 - 18*x^2 + 5*x, x^18 + 4*x^17 - 12*x^16 - 60*x^15 + 49*x^14 + 360*x^13 - 69*x^12 - 1133*x^11 - 53*x^10 + 2010*x^9 + 263*x^8 - 1978*x^7 - 285*x^6 + 975*x^5 + 124*x^4 - 183*x^3 - 18*x^2 + 5*x, -x^18 - 4*x^17 + 12*x^16 + 60*x^15 - 49*x^14 - 360*x^13 + 69*x^12 + 1133*x^11 + 53*x^10 - 2010*x^9 - 263*x^8 + 1978*x^7 + 285*x^6 - 975*x^5 - 124*x^4 + 183*x^3 + 18*x^2 - 5*x]>,
         rec<Eigen |
           DefiningPolynomial := x^38 - 9*x^37 - 24*x^36 + 442*x^35 - 280*x^34 - 9470*x^33 + 19072*x^32 + 114332*x^31 - 358623*x^30 - 820385*x^29 + 3856668*x^28 + 3069020*x^27 - 27230459*x^26 + 1117088*x^25 + 132436450*x^24 - 81999599*x^23 - 447845914*x^22 + 496778518*x^21 + 1026683278*x^20 - 1699868524*x^19 - 1452227633*x^18 + 3766465455*x^17 + 804526245*x^16 - 5482496243*x^15 + 1107570193*x^14 + 5018296620*x^13 - 2658133378*x^12 - 2538243313*x^11 + 2287538339*x^10 + 431539103*x^9 - 910444094*x^8 + 119957226*x^7 + 145635631*x^6 - 40914228*x^5 - 8427200*x^4 + 3341795*x^3 + 136793*x^2 - 69012*x - 3097,
           Coordinates        := [1/2*x^37 - 9/2*x^36 - 21/2*x^35 + 415/2*x^34 - 337/2*x^33 - 8279/2*x^32 + 17959/2*x^31 + 91763/2*x^30 - 153550*x^29 - 292897*x^28 + 1515582*x^27 + 854629*x^26 - 19566005/2*x^25 + 2053827*x^24 + 86135585/2*x^23 - 65603985/2*x^22 - 259252599/2*x^21 + 325214707/2*x^20 + 513115721/2*x^19 - 953512923/2*x^18 - 290274432*x^17 + 901010009*x^16 + 127787255/2*x^15 - 2183598027/2*x^14 + 309629005*x^13 + 1594211323/2*x^12 - 445459600*x^11 - 303408897*x^10 + 515368523/2*x^9 + 89641251/2*x^8 - 132471223/2*x^7 - 8572235/2*x^6 + 11267020*x^5 - 972243/2*x^4 - 840124*x^3 + 68980*x^2 + 30715/2*x + 246, -3/2*x^37 + 27/2*x^36 + 63/2*x^35 - 1251/2*x^34 + 1065/2*x^33 + 24931/2*x^32 - 56083/2*x^31 - 272743/2*x^30 + 479696*x^29 + 830940*x^28 - 4721794*x^27 - 1881328*x^26 + 60347031/2*x^25 - 11824284*x^24 - 259444583/2*x^23 + 257138973/2*x^22 + 741528445/2*x^21 - 1186973521/2*x^20 - 1294395539/2*x^19 + 3333026619/2*x^18 + 446534274*x^17 - 2995366034*x^16 + 1417038195/2*x^15 + 6657238935/2*x^14 - 2113459856*x^13 - 3959708733/2*x^12 + 2241031940*x^11 + 286105620*x^10 - 2190792905/2*x^9 + 518455459/2*x^8 + 395327195/2*x^7 - 187522073/2*x^6 - 5722275*x^5 + 16384307/2*x^4 - 500466*x^3 - 178202*x^2 + 6833/2*x + 287, x^37 - 8*x^36 - 30*x^35 + 396*x^34 + 60*x^33 - 8653*x^32 + 10459*x^31 + 109012*x^30 - 229889*x^29 - 860884*x^28 + 2596153*x^27 + 4239146*x^26 - 18757449*x^25 - 10896981*x^24 + 92752581*x^23 - 6590513*x^22 - 320284444*x^21 + 175544903*x^20 + 764448432*x^19 - 741293770*x^18 - 1199389807*x^17 + 1760299994*x^16 + 1055038138*x^15 - 2603606273*x^14 - 132145484*x^13 + 2338932016*x^12 - 734069489*x^11 - 1121838380*x^10 + 709905443*x^9 + 180542134*x^8 - 238009644*x^7 + 25466780*x^6 + 23840958*x^5 - 5331577*x^4 - 563016*x^3 + 142018*x^2 + 4675*x - 80, -3*x^33 + 29*x^32 + 20*x^31 - 1049*x^30 + 2068*x^29 + 15196*x^28 - 54571*x^27 - 101362*x^26 + 648437*x^25 + 109000*x^24 - 4484174*x^23 + 3358466*x^22 + 19113143*x^21 - 28330910*x^20 - 48238617*x^19 + 117621264*x^18 + 53551313*x^17 - 291370303*x^16 + 57736361*x^15 + 433143063*x^14 - 289264645*x^13 - 345395577*x^12 + 417246123*x^11 + 80107605*x^10 - 278303829*x^9 + 66175596*x^8 + 74565307*x^7 - 39005174*x^6 - 3386772*x^5 + 5126481*x^4 - 392097*x^3 - 203805*x^2 + 18032*x + 1528, -3*x^34 + 27*x^33 + 47*x^32 - 1108*x^31 + 1313*x^30 + 19141*x^29 - 49304*x^28 - 174066*x^27 + 707961*x^26 + 776132*x^25 - 5885086*x^24 + 150323*x^23 + 31205240*x^22 - 23207729*x^21 - 107225684*x^20 + 146481934*x^19 + 226018765*x^18 - 495536306*x^17 - 221340792*x^16 + 1025023027*x^15 - 154948611*x^14 - 1278156708*x^13 + 744240489*x^12 + 840398409*x^11 - 894628877*x^10 - 143146785*x^9 + 458129641*x^8 - 105454518*x^7 - 77156454*x^6 + 32581788*x^5 + 4035147*x^4 - 2932401*x^3 - 1686*x^2 + 69848*x + 3046, 2*x^33 - 19*x^32 - 15*x^31 + 677*x^30 - 1225*x^29 - 9814*x^28 + 32243*x^27 + 69270*x^26 - 378981*x^25 - 160681*x^24 + 2619709*x^23 - 1203574*x^22 - 11481837*x^21 + 12446855*x^20 + 32080323*x^19 - 54833942*x^18 - 52997447*x^17 + 145134395*x^16 + 32913384*x^15 - 245635507*x^14 + 56059966*x^13 + 261366638*x^12 - 156717541*x^11 - 152263401*x^10 + 166635207*x^9 + 14989720*x^8 - 78522396*x^7 + 29626126*x^6 + 4368986*x^5 - 4864989*x^4 + 554005*x^3 + 216335*x^2 - 40159*x - 2313, 3*x^32 - 30*x^31 - 5*x^30 + 1004*x^29 - 2427*x^28 - 12879*x^27 + 55818*x^26 + 63905*x^25 - 600659*x^24 + 189821*x^23 + 3721328*x^22 - 4526240*x^21 - 13611350*x^20 + 28919131*x^19 + 25389853*x^18 - 102015530*x^17 + 2234297*x^16 + 214897555*x^15 - 126885326*x^14 - 254928774*x^13 + 290597970*x^12 + 120751973*x^11 - 300039708*x^10 + 52789414*x^9 + 132630839*x^8 - 71692464*x^7 - 10698175*x^6 + 14899976*x^5 - 1314831*x^4 - 926947*x^3 + 83255*x^2 + 24901*x + 1230, 5*x^31 - 44*x^30 - 52*x^29 + 1516*x^28 - 2194*x^27 - 21197*x^26 + 59430*x^25 + 145594*x^24 - 663973*x^23 - 375213*x^22 + 4218048*x^21 - 1513300*x^20 - 16371096*x^19 + 16320539*x^18 + 38105025*x^17 - 62840116*x^16 - 45141696*x^15 + 132708234*x^14 + 962176*x^13 - 157212380*x^12 + 65565252*x^11 + 92981174*x^10 - 70343913*x^9 - 19686745*x^8 + 26347494*x^7 + 1895817*x^6 - 6436326*x^5 + 931158*x^4 + 478784*x^3 - 115470*x^2 + 508*x - 111, 2*x^31 - 13*x^30 - 68*x^29 + 632*x^28 + 452*x^27 - 12531*x^26 + 11048*x^25 + 131803*x^24 - 250257*x^23 - 776178*x^22 + 2336654*x^21 + 2234629*x^20 - 12446571*x^19 + 602222*x^18 + 40019997*x^17 - 28112428*x^16 - 74217039*x^15 + 98785829*x^14 + 60717637*x^13 - 163566936*x^12 + 25246278*x^11 + 125414019*x^10 - 83167452*x^9 - 19988013*x^8 + 41305704*x^7 - 16119290*x^6 + 1272447*x^5 + 872251*x^4 - 348105*x^3 + 55206*x^2 - 2263*x + 334, 3/2*x^36 - 27/2*x^35 - 57/2*x^34 + 1191/2*x^33 - 1113/2*x^32 - 22569/2*x^31 + 51523/2*x^30 + 234591/2*x^29 - 412752*x^28 - 679881*x^27 + 3832227*x^26 + 1495283*x^25 - 46300865/2*x^24 + 8197807*x^23 + 188593315/2*x^22 - 171563811/2*x^21 - 513567557/2*x^20 + 746355601/2*x^19 + 871678769/2*x^18 - 1964445437/2*x^17 - 338369495*x^16 + 1649449108*x^15 - 488312183/2*x^14 - 3424085297/2*x^13 + 883607089*x^12 + 1931425519/2*x^11 - 886084908*x^10 - 170948926*x^9 + 777972871/2*x^8 - 128529461/2*x^7 - 123101591/2*x^6 + 39941985/2*x^5 + 3373476*x^4 - 3203835/2*x^3 - 53039*x^2 + 34752*x + 3097/2, 2*x^30 - 9*x^29 - 86*x^28 + 460*x^27 + 1372*x^26 - 9787*x^25 - 8526*x^24 + 114751*x^23 - 20755*x^22 - 817688*x^21 + 701278*x^20 + 3637185*x^19 - 5172201*x^18 - 9742180*x^17 + 20535637*x^16 + 12958846*x^15 - 48299347*x^14 + 2187135*x^13 + 65091907*x^12 - 33383122*x^11 - 41519966*x^10 + 42374087*x^9 + 1580722*x^8 - 16826569*x^7 + 7652566*x^6 - 814158*x^5 - 355869*x^4 + 160513*x^3 - 27079*x^2 + 1048*x - 167, -3/2*x^36 + 27/2*x^35 + 57/2*x^34 - 1197/2*x^33 + 1161/2*x^32 + 22699/2*x^31 - 53495/2*x^30 - 233845/2*x^29 + 430218*x^28 + 651798*x^27 - 4004723*x^26 - 1059469*x^25 + 48318317/2*x^24 - 11902977*x^23 - 194995279/2*x^22 + 211605871/2*x^21 + 516992281/2*x^20 - 890290841/2*x^19 - 810684657/2*x^18 + 2309454555/2*x^17 + 196272402*x^16 - 1915356947*x^15 + 1141968567/2*x^14 + 3896362613/2*x^13 - 1325017649*x^12 - 2082521425/2*x^11 + 1235357105*x^10 + 121206159*x^9 - 1079960849/2*x^8 + 229773733/2*x^7 + 187075235/2*x^6 - 70758235/2*x^5 - 5972846*x^4 + 6709979/2*x^3 + 97028*x^2 - 90835*x - 8405/2, 2*x^33 - 16*x^32 - 39*x^31 + 617*x^30 - 274*x^29 - 10317*x^28 + 16217*x^27 + 97650*x^26 - 231621*x^25 - 568432*x^24 + 1850326*x^23 + 2019259*x^22 - 9589487*x^21 - 3600959*x^20 + 34046814*x^19 - 2296029*x^18 - 84317961*x^17 + 31622367*x^16 + 144671382*x^15 - 88669983*x^14 - 166484038*x^13 + 137124565*x^12 + 120208069*x^11 - 127318300*x^10 - 47968414*x^9 + 70608864*x^8 + 6623957*x^7 - 22893297*x^6 + 2942437*x^5 + 2726443*x^4 - 485606*x^3 - 161053*x^2 + 27804*x + 2141, -x^33 + 8*x^32 + 19*x^31 - 308*x^30 + 174*x^29 + 5076*x^28 - 9110*x^27 - 45727*x^26 + 129271*x^25 + 229016*x^24 - 1019412*x^23 - 441178*x^22 + 5042398*x^21 - 1859406*x^20 - 15836676*x^19 + 16249726*x^18 + 28921080*x^17 - 54986060*x^16 - 17413797*x^15 + 102281453*x^14 - 44201718*x^13 - 98195245*x^12 + 111045958*x^11 + 21752676*x^10 - 97286387*x^9 + 38886345*x^8 + 26969526*x^7 - 25800131*x^6 + 4285718*x^5 + 1904763*x^4 - 599180*x^3 - 17519*x^2 + 10665*x + 287, 5*x^32 - 40*x^31 - 98*x^30 + 1565*x^29 - 830*x^28 - 26191*x^27 + 45998*x^26 + 240686*x^25 - 660383*x^24 - 1261341*x^23 + 5250816*x^22 + 3065329*x^21 - 26364419*x^20 + 4299296*x^19 + 86300750*x^18 - 59960715*x^17 - 179612305*x^16 + 214701885*x^15 + 210599059*x^14 - 413506718*x^13 - 68469967*x^12 + 442191224*x^11 - 134496016*x^10 - 222684685*x^9 + 151321949*x^8 + 22045884*x^7 - 40431723*x^6 + 4204660*x^5 + 4086870*x^4 - 769485*x^3 - 135842*x^2 + 22486*x + 1528, x^36 - 8*x^35 - 28*x^34 + 757/2*x^33 + 20*x^32 - 15779/2*x^31 + 9861*x^30 + 94695*x^29 - 399631/2*x^28 - 1426027/2*x^27 + 2116932*x^26 + 3371690*x^25 - 14393444*x^24 - 17343495/2*x^23 + 134151983/2*x^22 - 949171/2*x^21 - 437779749/2*x^20 + 97063161*x^19 + 497065798*x^18 - 403387827*x^17 - 1509788101/2*x^16 + 911925916*x^15 + 681945298*x^14 - 1273609560*x^13 - 414868127/2*x^12 + 1075237211*x^11 - 227897258*x^10 - 480451206*x^9 + 245946158*x^8 + 71759599*x^7 - 147261453/2*x^6 + 11741693/2*x^5 + 13195761/2*x^4 - 2636761/2*x^3 - 137068*x^2 + 64257/2*x + 3177/2, x^36 - 8*x^35 - 28*x^34 + 757/2*x^33 + 20*x^32 - 15779/2*x^31 + 9861*x^30 + 94695*x^29 - 399631/2*x^28 - 1426027/2*x^27 + 2116932*x^26 + 3371690*x^25 - 14393444*x^24 - 17343495/2*x^23 + 134151983/2*x^22 - 949171/2*x^21 - 437779749/2*x^20 + 97063161*x^19 + 497065798*x^18 - 403387827*x^17 - 1509788101/2*x^16 + 911925916*x^15 + 681945298*x^14 - 1273609560*x^13 - 414868127/2*x^12 + 1075237211*x^11 - 227897258*x^10 - 480451206*x^9 + 245946158*x^8 + 71759599*x^7 - 147261453/2*x^6 + 11741693/2*x^5 + 13195761/2*x^4 - 2636761/2*x^3 - 137068*x^2 + 64257/2*x + 3177/2, x^35 - 8*x^34 - 26*x^33 + 727/2*x^32 - 34*x^31 - 7235*x^30 + 20045/2*x^29 + 164103/2*x^28 - 374539/2*x^27 - 571479*x^26 + 3731913/2*x^25 + 2369413*x^24 - 23780373/2*x^23 - 4148829*x^22 + 102553881/2*x^21 - 24287117/2*x^20 - 302872985/2*x^19 + 102921512*x^18 + 598914503/2*x^17 - 328442696*x^16 - 732252629/2*x^15 + 1219242263/2*x^14 + 204763090*x^13 - 683245965*x^12 + 79773273*x^11 + 852456951/2*x^10 - 191015789*x^9 - 216136349/2*x^8 + 93585519*x^7 - 14943875/2*x^6 - 9597661*x^5 + 2442762*x^4 + 13424*x^3 - 130909/2*x^2 + 11591*x + 172, x^35 - 8*x^34 - 26*x^33 + 727/2*x^32 - 34*x^31 - 7235*x^30 + 20045/2*x^29 + 164103/2*x^28 - 374539/2*x^27 - 571479*x^26 + 3731913/2*x^25 + 2369413*x^24 - 23780373/2*x^23 - 4148829*x^22 + 102553881/2*x^21 - 24287117/2*x^20 - 302872985/2*x^19 + 102921512*x^18 + 598914503/2*x^17 - 328442696*x^16 - 732252629/2*x^15 + 1219242263/2*x^14 + 204763090*x^13 - 683245965*x^12 + 79773273*x^11 + 852456951/2*x^10 - 191015789*x^9 - 216136349/2*x^8 + 93585519*x^7 - 14943875/2*x^6 - 9597661*x^5 + 2442762*x^4 + 13424*x^3 - 130909/2*x^2 + 11591*x + 172, x^35 - 19/2*x^34 - 14*x^33 + 400*x^32 - 564*x^31 - 7082*x^30 + 20051*x^29 + 65819*x^28 - 583903/2*x^27 - 295977*x^26 + 4996097/2*x^25 - 288359/2*x^24 - 13786403*x^23 + 20529513/2*x^22 + 50117629*x^21 - 132676367/2*x^20 - 231892283/2*x^19 + 234984431*x^18 + 145038505*x^17 - 519931382*x^16 - 13933051/2*x^15 + 1440751163/2*x^14 - 560103339/2*x^13 - 580448840*x^12 + 426398958*x^11 + 430317397/2*x^10 - 272943496*x^9 - 1428721/2*x^8 + 141586797/2*x^7 - 12123996*x^6 - 15290833/2*x^5 + 3140869/2*x^4 + 412524*x^3 - 44435*x^2 - 29355/2*x - 92, x^35 - 19/2*x^34 - 14*x^33 + 400*x^32 - 564*x^31 - 7082*x^30 + 20051*x^29 + 65819*x^28 - 583903/2*x^27 - 295977*x^26 + 4996097/2*x^25 - 288359/2*x^24 - 13786403*x^23 + 20529513/2*x^22 + 50117629*x^21 - 132676367/2*x^20 - 231892283/2*x^19 + 234984431*x^18 + 145038505*x^17 - 519931382*x^16 - 13933051/2*x^15 + 1440751163/2*x^14 - 560103339/2*x^13 - 580448840*x^12 + 426398958*x^11 + 430317397/2*x^10 - 272943496*x^9 - 1428721/2*x^8 + 141586797/2*x^7 - 12123996*x^6 - 15290833/2*x^5 + 3140869/2*x^4 + 412524*x^3 - 44435*x^2 - 29355/2*x - 92, x^34 - 8*x^33 - 22*x^32 + 657/2*x^31 - 88*x^30 - 5941*x^29 + 17047/2*x^28 + 123841/2*x^27 - 277619/2*x^26 - 404559*x^25 + 2510709/2*x^24 + 1640300*x^23 - 14840303/2*x^22 - 3333144*x^21 + 60411233/2*x^20 - 6595325/2*x^19 - 170618711/2*x^18 + 45791541*x^17 + 324283687/2*x^16 - 151685934*x^15 - 377083097/2*x^14 + 550631283/2*x^13 + 94339018*x^12 - 284754762*x^11 + 43263801*x^10 + 293293549/2*x^9 - 72348996*x^8 - 44939181/2*x^7 + 21687080*x^6 - 1478217/2*x^5 - 2286238*x^4 + 304216*x^3 + 81823*x^2 - 20345/2*x - 764, x^34 - 8*x^33 - 22*x^32 + 657/2*x^31 - 88*x^30 - 5941*x^29 + 17047/2*x^28 + 123841/2*x^27 - 277619/2*x^26 - 404559*x^25 + 2510709/2*x^24 + 1640300*x^23 - 14840303/2*x^22 - 3333144*x^21 + 60411233/2*x^20 - 6595325/2*x^19 - 170618711/2*x^18 + 45791541*x^17 + 324283687/2*x^16 - 151685934*x^15 - 377083097/2*x^14 + 550631283/2*x^13 + 94339018*x^12 - 284754762*x^11 + 43263801*x^10 + 293293549/2*x^9 - 72348996*x^8 - 44939181/2*x^7 + 21687080*x^6 - 1478217/2*x^5 - 2286238*x^4 + 304216*x^3 + 81823*x^2 - 20345/2*x - 764, x^34 - 7*x^33 - 32*x^32 + 326*x^31 + 499/2*x^30 - 13405/2*x^29 + 8045/2*x^28 + 79614*x^27 - 112166*x^26 - 597718*x^25 + 1247903*x^24 + 5765237/2*x^23 - 16757799/2*x^22 - 8335829*x^21 + 74495531/2*x^20 + 18312027/2*x^19 - 112299191*x^18 + 29153590*x^17 + 453251785/2*x^16 - 301237701/2*x^15 - 577281319/2*x^14 + 630095907/2*x^13 + 385736637/2*x^12 - 728507947/2*x^11 - 6382332*x^10 + 225736257*x^9 - 80011643*x^8 - 56761946*x^7 + 84691971/2*x^6 - 2688976*x^5 - 8596437/2*x^4 + 948710*x^3 + 66836*x^2 - 21784*x - 1649/2, x^34 - 7*x^33 - 32*x^32 + 326*x^31 + 499/2*x^30 - 13405/2*x^29 + 8045/2*x^28 + 79614*x^27 - 112166*x^26 - 597718*x^25 + 1247903*x^24 + 5765237/2*x^23 - 16757799/2*x^22 - 8335829*x^21 + 74495531/2*x^20 + 18312027/2*x^19 - 112299191*x^18 + 29153590*x^17 + 453251785/2*x^16 - 301237701/2*x^15 - 577281319/2*x^14 + 630095907/2*x^13 + 385736637/2*x^12 - 728507947/2*x^11 - 6382332*x^10 + 225736257*x^9 - 80011643*x^8 - 56761946*x^7 + 84691971/2*x^6 - 2688976*x^5 - 8596437/2*x^4 + 948710*x^3 + 66836*x^2 - 21784*x - 1649/2, -3/2*x^35 + 13*x^34 + 31*x^33 - 570*x^32 + 815/2*x^31 + 21519/2*x^30 - 43687/2*x^29 - 112233*x^28 + 352867*x^27 + 1340923/2*x^26 - 6484623/2*x^25 - 1825796*x^24 + 38464509/2*x^23 - 7753883/2*x^22 - 153075519/2*x^21 + 57249229*x^20 + 203037374*x^19 - 506956901/2*x^18 - 336818678*x^17 + 1291928055/2*x^16 + 539640905/2*x^15 - 1017370414*x^14 + 206359977/2*x^13 + 950430287*x^12 - 450755646*x^11 - 443717483*x^10 + 777440561/2*x^9 + 40427298*x^8 - 247421577/2*x^7 + 25264224*x^6 + 22076201/2*x^5 - 3868193*x^4 - 366991/2*x^3 + 116215*x^2 + 2560*x - 131/2, -3/2*x^35 + 13*x^34 + 31*x^33 - 570*x^32 + 815/2*x^31 + 21519/2*x^30 - 43687/2*x^29 - 112233*x^28 + 352867*x^27 + 1340923/2*x^26 - 6484623/2*x^25 - 1825796*x^24 + 38464509/2*x^23 - 7753883/2*x^22 - 153075519/2*x^21 + 57249229*x^20 + 203037374*x^19 - 506956901/2*x^18 - 336818678*x^17 + 1291928055/2*x^16 + 539640905/2*x^15 - 1017370414*x^14 + 206359977/2*x^13 + 950430287*x^12 - 450755646*x^11 - 443717483*x^10 + 777440561/2*x^9 + 40427298*x^8 - 247421577/2*x^7 + 25264224*x^6 + 22076201/2*x^5 - 3868193*x^4 - 366991/2*x^3 + 116215*x^2 + 2560*x - 131/2, x^34 - 19/2*x^33 - 14*x^32 + 400*x^31 - 1139/2*x^30 - 14065/2*x^29 + 20097*x^28 + 128339/2*x^27 - 289345*x^26 - 273558*x^25 + 2432837*x^24 - 591501/2*x^23 - 13081421*x^22 + 21348323/2*x^21 + 45694504*x^20 - 65116104*x^19 - 197097685/2*x^18 + 220275123*x^17 + 203926995/2*x^16 - 461370787*x^15 + 110746893/2*x^14 + 1179961463/2*x^13 - 633194531/2*x^12 - 818645733/2*x^11 + 398671245*x^10 + 91016565*x^9 - 431160115/2*x^8 + 79654387/2*x^7 + 40721086*x^6 - 30677025/2*x^5 - 4634327/2*x^4 + 1457441*x^3 + 12351/2*x^2 - 69561/2*x - 1523, x^34 - 19/2*x^33 - 14*x^32 + 400*x^31 - 1139/2*x^30 - 14065/2*x^29 + 20097*x^28 + 128339/2*x^27 - 289345*x^26 - 273558*x^25 + 2432837*x^24 - 591501/2*x^23 - 13081421*x^22 + 21348323/2*x^21 + 45694504*x^20 - 65116104*x^19 - 197097685/2*x^18 + 220275123*x^17 + 203926995/2*x^16 - 461370787*x^15 + 110746893/2*x^14 + 1179961463/2*x^13 - 633194531/2*x^12 - 818645733/2*x^11 + 398671245*x^10 + 91016565*x^9 - 431160115/2*x^8 + 79654387/2*x^7 + 40721086*x^6 - 30677025/2*x^5 - 4634327/2*x^4 + 1457441*x^3 + 12351/2*x^2 - 69561/2*x - 1523, x^33 - 11/2*x^32 - 85/2*x^31 + 283*x^30 + 1405/2*x^29 - 6460*x^28 - 9021/2*x^27 + 85927*x^26 - 40671/2*x^25 - 1469395/2*x^24 + 1257337/2*x^23 + 8383799/2*x^22 - 5693346*x^21 - 31896387/2*x^20 + 29981288*x^19 + 38531269*x^18 - 101984949*x^17 - 48802047*x^16 + 456209011/2*x^15 - 11865037/2*x^14 - 326942725*x^13 + 126123673*x^12 + 556196737/2*x^11 - 388219773/2*x^10 - 114732111*x^9 + 262635743/2*x^8 + 11044825/2*x^7 - 37563024*x^6 + 15976837/2*x^5 + 5608333/2*x^4 - 895298*x^3 - 46331/2*x^2 + 18737/2*x + 1305/2, x^33 - 11/2*x^32 - 85/2*x^31 + 283*x^30 + 1405/2*x^29 - 6460*x^28 - 9021/2*x^27 + 85927*x^26 - 40671/2*x^25 - 1469395/2*x^24 + 1257337/2*x^23 + 8383799/2*x^22 - 5693346*x^21 - 31896387/2*x^20 + 29981288*x^19 + 38531269*x^18 - 101984949*x^17 - 48802047*x^16 + 456209011/2*x^15 - 11865037/2*x^14 - 326942725*x^13 + 126123673*x^12 + 556196737/2*x^11 - 388219773/2*x^10 - 114732111*x^9 + 262635743/2*x^8 + 11044825/2*x^7 - 37563024*x^6 + 15976837/2*x^5 + 5608333/2*x^4 - 895298*x^3 - 46331/2*x^2 + 18737/2*x + 1305/2, -3/2*x^34 + 29/2*x^33 + 29/2*x^32 - 565*x^31 + 984*x^30 + 18147/2*x^29 - 29447*x^28 - 72789*x^27 + 774781/2*x^26 + 220747*x^25 - 6020357/2*x^24 + 1172929*x^23 + 29901977/2*x^22 - 31614881/2*x^21 - 47789946*x^20 + 81539719*x^19 + 182858629/2*x^18 - 248876913*x^17 - 69766197*x^16 + 958960173/2*x^15 - 105651168*x^14 - 569222672*x^13 + 340268433*x^12 + 739765755/2*x^11 - 753430787/2*x^10 - 158588637/2*x^9 + 382029263/2*x^8 - 62346285/2*x^7 - 72869361/2*x^6 + 12677259*x^5 + 1830280*x^4 - 2072119/2*x^3 - 8794*x^2 + 20810*x + 627/2, -3/2*x^34 + 29/2*x^33 + 29/2*x^32 - 565*x^31 + 984*x^30 + 18147/2*x^29 - 29447*x^28 - 72789*x^27 + 774781/2*x^26 + 220747*x^25 - 6020357/2*x^24 + 1172929*x^23 + 29901977/2*x^22 - 31614881/2*x^21 - 47789946*x^20 + 81539719*x^19 + 182858629/2*x^18 - 248876913*x^17 - 69766197*x^16 + 958960173/2*x^15 - 105651168*x^14 - 569222672*x^13 + 340268433*x^12 + 739765755/2*x^11 - 753430787/2*x^10 - 158588637/2*x^9 + 382029263/2*x^8 - 62346285/2*x^7 - 72869361/2*x^6 + 12677259*x^5 + 1830280*x^4 - 2072119/2*x^3 - 8794*x^2 + 20810*x + 627/2, -3/2*x^36 + 12*x^35 + 42*x^34 - 1141/2*x^33 - 7*x^32 + 23777/2*x^31 - 31491/2*x^30 - 282715/2*x^29 + 316495*x^28 + 1035202*x^27 - 3333725*x^26 - 9089183/2*x^25 + 44773225/2*x^24 + 17473065/2*x^23 - 203507009/2*x^22 + 45878081/2*x^21 + 634331007/2*x^20 - 219072028*x^19 - 1326464847/2*x^18 + 1499604871/2*x^17 + 1719036063/2*x^16 - 1489883975*x^15 - 511544425*x^14 + 3599409257/2*x^13 - 210575239*x^12 - 2479998637/2*x^11 + 1100553951/2*x^10 + 785330225/2*x^9 - 628022119/2*x^8 - 14356032*x^7 + 59596777*x^6 - 17800071/2*x^5 - 3584210*x^4 + 1479501/2*x^3 + 55789*x^2 - 6198*x - 443/2, -3/2*x^36 + 12*x^35 + 42*x^34 - 1141/2*x^33 - 7*x^32 + 23777/2*x^31 - 31491/2*x^30 - 282715/2*x^29 + 316495*x^28 + 1035202*x^27 - 3333725*x^26 - 9089183/2*x^25 + 44773225/2*x^24 + 17473065/2*x^23 - 203507009/2*x^22 + 45878081/2*x^21 + 634331007/2*x^20 - 219072028*x^19 - 1326464847/2*x^18 + 1499604871/2*x^17 + 1719036063/2*x^16 - 1489883975*x^15 - 511544425*x^14 + 3599409257/2*x^13 - 210575239*x^12 - 2479998637/2*x^11 + 1100553951/2*x^10 + 785330225/2*x^9 - 628022119/2*x^8 - 14356032*x^7 + 59596777*x^6 - 17800071/2*x^5 - 3584210*x^4 + 1479501/2*x^3 + 55789*x^2 - 6198*x - 443/2, x^33 - 8*x^32 - 49/2*x^31 + 715/2*x^30 - 128*x^29 - 13451/2*x^28 + 23433/2*x^27 + 68146*x^26 - 388965/2*x^25 - 380587*x^24 + 1724394*x^23 + 850583*x^22 - 9465523*x^21 + 6162971/2*x^20 + 33233975*x^19 - 30959034*x^18 - 143992175/2*x^17 + 113546655*x^16 + 79753769*x^15 - 232676303*x^14 + 7656122*x^13 + 538642437/2*x^12 - 138773671*x^11 - 291789619/2*x^10 + 309299651/2*x^9 + 1655209*x^8 - 114083677/2*x^7 + 45171229/2*x^6 + 1042535*x^5 - 4035513/2*x^4 + 385663/2*x^3 + 54347/2*x^2 + 4979/2*x - 195, x^33 - 8*x^32 - 49/2*x^31 + 715/2*x^30 - 128*x^29 - 13451/2*x^28 + 23433/2*x^27 + 68146*x^26 - 388965/2*x^25 - 380587*x^24 + 1724394*x^23 + 850583*x^22 - 9465523*x^21 + 6162971/2*x^20 + 33233975*x^19 - 30959034*x^18 - 143992175/2*x^17 + 113546655*x^16 + 79753769*x^15 - 232676303*x^14 + 7656122*x^13 + 538642437/2*x^12 - 138773671*x^11 - 291789619/2*x^10 + 309299651/2*x^9 + 1655209*x^8 - 114083677/2*x^7 + 45171229/2*x^6 + 1042535*x^5 - 4035513/2*x^4 + 385663/2*x^3 + 54347/2*x^2 + 4979/2*x - 195, 3/2*x^33 - 23/2*x^32 - 36*x^31 + 953/2*x^30 - 27/2*x^29 - 17299/2*x^28 + 10472*x^27 + 180049/2*x^26 - 177824*x^25 - 1175155/2*x^24 + 1591798*x^23 + 4874387/2*x^22 - 18237669/2*x^21 - 11773209/2*x^20 + 71349103/2*x^19 + 3956656*x^18 - 97543344*x^17 + 50333219/2*x^16 + 371561985/2*x^15 - 204451633/2*x^14 - 475564955/2*x^13 + 197746409*x^12 + 368058973/2*x^11 - 446395353/2*x^10 - 58180306*x^9 + 138675728*x^8 - 35190437/2*x^7 - 72976983/2*x^6 + 24955103/2*x^5 + 2506113*x^4 - 1377614*x^3 - 16094*x^2 + 69885/2*x + 2879/2, 3/2*x^33 - 23/2*x^32 - 36*x^31 + 953/2*x^30 - 27/2*x^29 - 17299/2*x^28 + 10472*x^27 + 180049/2*x^26 - 177824*x^25 - 1175155/2*x^24 + 1591798*x^23 + 4874387/2*x^22 - 18237669/2*x^21 - 11773209/2*x^20 + 71349103/2*x^19 + 3956656*x^18 - 97543344*x^17 + 50333219/2*x^16 + 371561985/2*x^15 - 204451633/2*x^14 - 475564955/2*x^13 + 197746409*x^12 + 368058973/2*x^11 - 446395353/2*x^10 - 58180306*x^9 + 138675728*x^8 - 35190437/2*x^7 - 72976983/2*x^6 + 24955103/2*x^5 + 2506113*x^4 - 1377614*x^3 - 16094*x^2 + 69885/2*x + 2879/2, x^32 - 7*x^31 - 47/2*x^30 + 256*x^29 + 233/2*x^28 - 4159*x^27 + 1806*x^26 + 81689/2*x^25 - 31657*x^24 - 282517*x^23 + 248360*x^22 + 1506470*x^21 - 1379873*x^20 - 6299296*x^19 + 6357586*x^18 + 19587707*x^17 - 47375993/2*x^16 - 82189321/2*x^15 + 63923751*x^14 + 48858197*x^13 - 112516359*x^12 - 27770799/2*x^11 + 229695795/2*x^10 - 72476159/2*x^9 - 106283345/2*x^8 + 73588281/2*x^7 + 4261849/2*x^6 - 6984409*x^5 + 1793615/2*x^4 + 811477/2*x^3 - 82747/2*x^2 - 12506*x - 615, x^32 - 7*x^31 - 47/2*x^30 + 256*x^29 + 233/2*x^28 - 4159*x^27 + 1806*x^26 + 81689/2*x^25 - 31657*x^24 - 282517*x^23 + 248360*x^22 + 1506470*x^21 - 1379873*x^20 - 6299296*x^19 + 6357586*x^18 + 19587707*x^17 - 47375993/2*x^16 - 82189321/2*x^15 + 63923751*x^14 + 48858197*x^13 - 112516359*x^12 - 27770799/2*x^11 + 229695795/2*x^10 - 72476159/2*x^9 - 106283345/2*x^8 + 73588281/2*x^7 + 4261849/2*x^6 - 6984409*x^5 + 1793615/2*x^4 + 811477/2*x^3 - 82747/2*x^2 - 12506*x - 615, -3/2*x^33 + 29/2*x^32 + 10*x^31 - 1055/2*x^30 + 1063*x^29 + 7609*x^28 - 28237*x^27 - 48672*x^26 + 672987/2*x^25 + 8735*x^24 - 2311364*x^23 + 4314563/2*x^22 + 19120605/2*x^21 - 34069861/2*x^20 - 21712199*x^19 + 138196885/2*x^18 + 10767868*x^17 - 331797129/2*x^16 + 164432401/2*x^15 + 454915915/2*x^14 - 490238159/2*x^13 - 267005343/2*x^12 + 615183511/2*x^11 - 47804179*x^10 - 170533258*x^9 + 196479353/2*x^8 + 43255279/2*x^7 - 62938015/2*x^6 + 4310108*x^5 + 2807919*x^4 - 1309499/2*x^3 - 190495/2*x^2 + 22456*x + 2313/2, -3/2*x^33 + 29/2*x^32 + 10*x^31 - 1055/2*x^30 + 1063*x^29 + 7609*x^28 - 28237*x^27 - 48672*x^26 + 672987/2*x^25 + 8735*x^24 - 2311364*x^23 + 4314563/2*x^22 + 19120605/2*x^21 - 34069861/2*x^20 - 21712199*x^19 + 138196885/2*x^18 + 10767868*x^17 - 331797129/2*x^16 + 164432401/2*x^15 + 454915915/2*x^14 - 490238159/2*x^13 - 267005343/2*x^12 + 615183511/2*x^11 - 47804179*x^10 - 170533258*x^9 + 196479353/2*x^8 + 43255279/2*x^7 - 62938015/2*x^6 + 4310108*x^5 + 2807919*x^4 - 1309499/2*x^3 - 190495/2*x^2 + 22456*x + 2313/2, 3/2*x^34 - 15*x^33 - 19/2*x^32 + 1133/2*x^31 - 2317/2*x^30 - 17333/2*x^29 + 31835*x^28 + 125521/2*x^27 - 802085/2*x^26 - 208721/2*x^25 + 2989990*x^24 - 1969902*x^23 - 28175561/2*x^22 + 19187511*x^21 + 82650841/2*x^20 - 179791721/2*x^19 - 64496905*x^18 + 256284613*x^17 - 1170753/2*x^16 - 457687821*x^15 + 441379569/2*x^14 + 482207524*x^13 - 447044738*x^12 - 233551503*x^11 + 824454687/2*x^10 - 27172391*x^9 - 169840117*x^8 + 131296937/2*x^7 + 37764085/2*x^6 - 27035857/2*x^5 + 48429/2*x^4 + 829451*x^3 - 315/2*x^2 - 49405/2*x - 1091, 3/2*x^34 - 15*x^33 - 19/2*x^32 + 1133/2*x^31 - 2317/2*x^30 - 17333/2*x^29 + 31835*x^28 + 125521/2*x^27 - 802085/2*x^26 - 208721/2*x^25 + 2989990*x^24 - 1969902*x^23 - 28175561/2*x^22 + 19187511*x^21 + 82650841/2*x^20 - 179791721/2*x^19 - 64496905*x^18 + 256284613*x^17 - 1170753/2*x^16 - 457687821*x^15 + 441379569/2*x^14 + 482207524*x^13 - 447044738*x^12 - 233551503*x^11 + 824454687/2*x^10 - 27172391*x^9 - 169840117*x^8 + 131296937/2*x^7 + 37764085/2*x^6 - 27035857/2*x^5 + 48429/2*x^4 + 829451*x^3 - 315/2*x^2 - 49405/2*x - 1091, x^32 - 13/2*x^31 - 35*x^30 + 641/2*x^29 + 269*x^28 - 12991/2*x^27 + 4838*x^26 + 70795*x^25 - 241731/2*x^24 - 890929/2*x^23 + 2357409/2*x^22 + 3052317/2*x^21 - 13147849/2*x^20 - 3034963/2*x^19 + 22596099*x^18 - 9185124*x^17 - 47376338*x^16 + 85826983/2*x^15 + 54508492*x^14 - 165754071/2*x^13 - 39845629/2*x^12 + 158797141/2*x^11 - 20823743*x^10 - 31181050*x^9 + 19862491*x^8 + 707279/2*x^7 - 6380119/2*x^6 + 1686409/2*x^5 + 3882*x^4 - 105307/2*x^3 + 12408*x^2 - 357*x + 167/2, x^32 - 13/2*x^31 - 35*x^30 + 641/2*x^29 + 269*x^28 - 12991/2*x^27 + 4838*x^26 + 70795*x^25 - 241731/2*x^24 - 890929/2*x^23 + 2357409/2*x^22 + 3052317/2*x^21 - 13147849/2*x^20 - 3034963/2*x^19 + 22596099*x^18 - 9185124*x^17 - 47376338*x^16 + 85826983/2*x^15 + 54508492*x^14 - 165754071/2*x^13 - 39845629/2*x^12 + 158797141/2*x^11 - 20823743*x^10 - 31181050*x^9 + 19862491*x^8 + 707279/2*x^7 - 6380119/2*x^6 + 1686409/2*x^5 + 3882*x^4 - 105307/2*x^3 + 12408*x^2 - 357*x + 167/2, -3/2*x^34 + 27/2*x^33 + 39/2*x^32 - 517*x^31 + 1391/2*x^30 + 16421/2*x^29 - 44757/2*x^28 - 133605/2*x^27 + 579167/2*x^26 + 487981/2*x^25 - 4323493/2*x^24 + 738757/2*x^23 + 20316717/2*x^22 - 16849073/2*x^21 - 30342736*x^20 + 85540941/2*x^19 + 108385255/2*x^18 - 119186428*x^17 - 43699017*x^16 + 400229679/2*x^15 - 21814569*x^14 - 401455543/2*x^13 + 155879485/2*x^12 + 118412573*x^11 - 63020214*x^10 - 100459611/2*x^9 + 59575587/2*x^8 + 19758611*x^7 - 16506449*x^6 + 757495/2*x^5 + 2236446*x^4 - 378905*x^3 - 198303/2*x^2 + 41687/2*x + 2313/2, -3/2*x^34 + 27/2*x^33 + 39/2*x^32 - 517*x^31 + 1391/2*x^30 + 16421/2*x^29 - 44757/2*x^28 - 133605/2*x^27 + 579167/2*x^26 + 487981/2*x^25 - 4323493/2*x^24 + 738757/2*x^23 + 20316717/2*x^22 - 16849073/2*x^21 - 30342736*x^20 + 85540941/2*x^19 + 108385255/2*x^18 - 119186428*x^17 - 43699017*x^16 + 400229679/2*x^15 - 21814569*x^14 - 401455543/2*x^13 + 155879485/2*x^12 + 118412573*x^11 - 63020214*x^10 - 100459611/2*x^9 + 59575587/2*x^8 + 19758611*x^7 - 16506449*x^6 + 757495/2*x^5 + 2236446*x^4 - 378905*x^3 - 198303/2*x^2 + 41687/2*x + 2313/2, 3/2*x^33 - 12*x^32 - 59/2*x^31 + 474*x^30 - 278*x^29 - 7937*x^28 + 29781/2*x^27 + 71518*x^26 - 214381*x^25 - 692909/2*x^24 + 1700245*x^23 + 523035*x^22 - 8387466*x^21 + 7900255/2*x^20 + 26126968*x^19 - 28832343*x^18 - 47647172*x^17 + 91539759*x^16 + 65927677/2*x^15 - 324836735/2*x^14 + 98014071/2*x^13 + 305066659/2*x^12 - 254704085/2*x^11 - 95366385/2*x^10 + 199290363/2*x^9 - 24281490*x^8 - 23527840*x^7 + 27097957/2*x^6 + 1144433/2*x^5 - 1747964*x^4 + 174882*x^3 + 183539/2*x^2 - 13138*x - 2141/2, 3/2*x^33 - 12*x^32 - 59/2*x^31 + 474*x^30 - 278*x^29 - 7937*x^28 + 29781/2*x^27 + 71518*x^26 - 214381*x^25 - 692909/2*x^24 + 1700245*x^23 + 523035*x^22 - 8387466*x^21 + 7900255/2*x^20 + 26126968*x^19 - 28832343*x^18 - 47647172*x^17 + 91539759*x^16 + 65927677/2*x^15 - 324836735/2*x^14 + 98014071/2*x^13 + 305066659/2*x^12 - 254704085/2*x^11 - 95366385/2*x^10 + 199290363/2*x^9 - 24281490*x^8 - 23527840*x^7 + 27097957/2*x^6 + 1144433/2*x^5 - 1747964*x^4 + 174882*x^3 + 183539/2*x^2 - 13138*x - 2141/2, 3/2*x^34 - 27/2*x^33 - 45/2*x^32 + 1087/2*x^31 - 654*x^30 - 9224*x^29 + 47315/2*x^28 + 165637/2*x^27 - 331897*x^26 - 745519/2*x^25 + 5414165/2*x^24 + 84131*x^23 - 14161317*x^22 + 18544529/2*x^21 + 97082519/2*x^20 - 59258607*x^19 - 105115579*x^18 + 199147646*x^17 + 242072769/2*x^16 - 410084091*x^15 + 826344*x^14 + 517033012*x^13 - 211415405*x^12 - 362522374*x^11 + 281824390*x^10 + 197516027/2*x^9 - 150568299*x^8 + 30061869/2*x^7 + 27454961*x^6 - 13049681/2*x^5 - 2164024*x^4 + 1372745/2*x^3 + 61869/2*x^2 - 20837/2*x - 915/2, 3/2*x^34 - 27/2*x^33 - 45/2*x^32 + 1087/2*x^31 - 654*x^30 - 9224*x^29 + 47315/2*x^28 + 165637/2*x^27 - 331897*x^26 - 745519/2*x^25 + 5414165/2*x^24 + 84131*x^23 - 14161317*x^22 + 18544529/2*x^21 + 97082519/2*x^20 - 59258607*x^19 - 105115579*x^18 + 199147646*x^17 + 242072769/2*x^16 - 410084091*x^15 + 826344*x^14 + 517033012*x^13 - 211415405*x^12 - 362522374*x^11 + 281824390*x^10 + 197516027/2*x^9 - 150568299*x^8 + 30061869/2*x^7 + 27454961*x^6 - 13049681/2*x^5 - 2164024*x^4 + 1372745/2*x^3 + 61869/2*x^2 - 20837/2*x - 915/2, -3/2*x^32 + 14*x^31 + 17*x^30 - 534*x^29 + 785*x^28 + 17021/2*x^27 - 47771/2*x^26 - 141503/2*x^25 + 613173/2*x^24 + 567329/2*x^23 - 4620433/2*x^22 + 95425*x^21 + 22324395/2*x^20 - 7252606*x^19 - 35264101*x^18 + 80383855/2*x^17 + 141095005/2*x^16 - 238078117/2*x^15 - 155835037/2*x^14 + 213464190*x^13 + 34406615/2*x^12 - 228815723*x^11 + 64890633*x^10 + 263868703/2*x^9 - 74836986*x^8 - 29738982*x^7 + 28682798*x^6 - 655285*x^5 - 3329586*x^4 + 750281/2*x^3 + 252259/2*x^2 - 20983/2*x - 1083/2, -3/2*x^32 + 14*x^31 + 17*x^30 - 534*x^29 + 785*x^28 + 17021/2*x^27 - 47771/2*x^26 - 141503/2*x^25 + 613173/2*x^24 + 567329/2*x^23 - 4620433/2*x^22 + 95425*x^21 + 22324395/2*x^20 - 7252606*x^19 - 35264101*x^18 + 80383855/2*x^17 + 141095005/2*x^16 - 238078117/2*x^15 - 155835037/2*x^14 + 213464190*x^13 + 34406615/2*x^12 - 228815723*x^11 + 64890633*x^10 + 263868703/2*x^9 - 74836986*x^8 - 29738982*x^7 + 28682798*x^6 - 655285*x^5 - 3329586*x^4 + 750281/2*x^3 + 252259/2*x^2 - 20983/2*x - 1083/2, -3*x^32 + 47/2*x^31 + 62*x^30 - 1861/2*x^29 + 425*x^28 + 31213/2*x^27 - 54023/2*x^26 - 282521/2*x^25 + 392228*x^24 + 700688*x^23 - 6160939/2*x^22 - 1322915*x^21 + 29831099/2*x^20 - 10377341/2*x^19 - 90794691/2*x^18 + 42786421*x^17 + 81434895*x^16 - 265966141/2*x^15 - 61550393*x^14 + 444511621/2*x^13 - 49879985*x^12 - 377742667/2*x^11 + 282583005/2*x^10 + 91199287/2*x^9 - 94550006*x^8 + 29443117*x^7 + 24123981/2*x^6 - 9214055*x^5 + 1689113/2*x^4 + 1131343/2*x^3 - 189759/2*x^2 - 9162*x + 228, -3*x^32 + 47/2*x^31 + 62*x^30 - 1861/2*x^29 + 425*x^28 + 31213/2*x^27 - 54023/2*x^26 - 282521/2*x^25 + 392228*x^24 + 700688*x^23 - 6160939/2*x^22 - 1322915*x^21 + 29831099/2*x^20 - 10377341/2*x^19 - 90794691/2*x^18 + 42786421*x^17 + 81434895*x^16 - 265966141/2*x^15 - 61550393*x^14 + 444511621/2*x^13 - 49879985*x^12 - 377742667/2*x^11 + 282583005/2*x^10 + 91199287/2*x^9 - 94550006*x^8 + 29443117*x^7 + 24123981/2*x^6 - 9214055*x^5 + 1689113/2*x^4 + 1131343/2*x^3 - 189759/2*x^2 - 9162*x + 228, 3/2*x^33 - 15*x^32 - 5*x^31 + 524*x^30 - 2375/2*x^29 - 14395/2*x^28 + 29006*x^27 + 42551*x^26 - 660089/2*x^25 + 44227/2*x^24 + 4385301/2*x^23 - 4151027/2*x^22 - 8914699*x^21 + 30432431/2*x^20 + 41760949/2*x^19 - 118336069/2*x^18 - 17935364*x^17 + 277737671/2*x^16 - 40871815*x^15 - 193818504*x^14 + 144817897*x^13 + 277964353/2*x^12 - 182802480*x^11 - 20095880*x^10 + 101487376*x^9 - 52005719/2*x^8 - 37045669/2*x^7 + 13004159/2*x^6 + 5121495/2*x^5 - 1858105/2*x^4 - 395529/2*x^3 + 140371/2*x^2 + 361*x + 111/2, 3/2*x^33 - 15*x^32 - 5*x^31 + 524*x^30 - 2375/2*x^29 - 14395/2*x^28 + 29006*x^27 + 42551*x^26 - 660089/2*x^25 + 44227/2*x^24 + 4385301/2*x^23 - 4151027/2*x^22 - 8914699*x^21 + 30432431/2*x^20 + 41760949/2*x^19 - 118336069/2*x^18 - 17935364*x^17 + 277737671/2*x^16 - 40871815*x^15 - 193818504*x^14 + 144817897*x^13 + 277964353/2*x^12 - 182802480*x^11 - 20095880*x^10 + 101487376*x^9 - 52005719/2*x^8 - 37045669/2*x^7 + 13004159/2*x^6 + 5121495/2*x^5 - 1858105/2*x^4 - 395529/2*x^3 + 140371/2*x^2 + 361*x + 111/2, 3/2*x^35 - 27/2*x^34 - 51/2*x^33 + 567*x^32 - 1177/2*x^31 - 20349/2*x^30 + 23949*x^29 + 99405*x^28 - 714519/2*x^27 - 534302*x^26 + 6198575/2*x^25 + 1018163*x^24 - 17453360*x^23 + 6312036*x^22 + 66047560*x^21 - 57322130*x^20 - 333834197/2*x^19 + 224023333*x^18 + 532453801/2*x^17 - 1053580919/2*x^16 - 217918487*x^15 + 781677196*x^14 - 22639963*x^13 - 1425604225/2*x^12 + 225146946*x^11 + 739277765/2*x^10 - 384066349/2*x^9 - 198726607/2*x^8 + 137156039/2*x^7 + 32829345/2*x^6 - 15213792*x^5 - 143553/2*x^4 + 2467333/2*x^3 - 86094*x^2 - 22262*x - 369, 3/2*x^35 - 27/2*x^34 - 51/2*x^33 + 567*x^32 - 1177/2*x^31 - 20349/2*x^30 + 23949*x^29 + 99405*x^28 - 714519/2*x^27 - 534302*x^26 + 6198575/2*x^25 + 1018163*x^24 - 17453360*x^23 + 6312036*x^22 + 66047560*x^21 - 57322130*x^20 - 333834197/2*x^19 + 224023333*x^18 + 532453801/2*x^17 - 1053580919/2*x^16 - 217918487*x^15 + 781677196*x^14 - 22639963*x^13 - 1425604225/2*x^12 + 225146946*x^11 + 739277765/2*x^10 - 384066349/2*x^9 - 198726607/2*x^8 + 137156039/2*x^7 + 32829345/2*x^6 - 15213792*x^5 - 143553/2*x^4 + 2467333/2*x^3 - 86094*x^2 - 22262*x - 369, 3/2*x^32 - 25/2*x^31 - 24*x^30 + 465*x^29 - 402*x^28 - 14661/2*x^27 + 15180*x^26 + 62569*x^25 - 393361/2*x^24 - 590865/2*x^23 + 2903507/2*x^22 + 1109889/2*x^21 - 6833596*x^20 + 1808695*x^19 + 21171688*x^18 - 30800495/2*x^17 - 85041471/2*x^16 + 48971762*x^15 + 102026877/2*x^14 - 176593147/2*x^13 - 26355712*x^12 + 92703650*x^11 - 21400519/2*x^10 - 103239765/2*x^9 + 37372887/2*x^8 + 12546075*x^7 - 5623120*x^6 - 2311100*x^5 + 1092852*x^4 + 335363/2*x^3 - 165473/2*x^2 - 143*x - 139, 3/2*x^32 - 25/2*x^31 - 24*x^30 + 465*x^29 - 402*x^28 - 14661/2*x^27 + 15180*x^26 + 62569*x^25 - 393361/2*x^24 - 590865/2*x^23 + 2903507/2*x^22 + 1109889/2*x^21 - 6833596*x^20 + 1808695*x^19 + 21171688*x^18 - 30800495/2*x^17 - 85041471/2*x^16 + 48971762*x^15 + 102026877/2*x^14 - 176593147/2*x^13 - 26355712*x^12 + 92703650*x^11 - 21400519/2*x^10 - 103239765/2*x^9 + 37372887/2*x^8 + 12546075*x^7 - 5623120*x^6 - 2311100*x^5 + 1092852*x^4 + 335363/2*x^3 - 165473/2*x^2 - 143*x - 139, -3/2*x^35 + 27/2*x^34 + 24*x^33 - 558*x^32 + 647*x^31 + 19449/2*x^30 - 24739*x^29 - 89571*x^28 + 717071/2*x^27 + 821859/2*x^26 - 6014357/2*x^25 - 78693/2*x^24 + 16112326*x^23 - 22766551/2*x^22 - 56134041*x^21 + 74170670*x^20 + 241855441/2*x^19 - 255893016*x^18 - 125130936*x^17 + 1080009087/2*x^16 - 68767407*x^15 - 1380438161/2*x^14 + 788442207/2*x^13 + 469296827*x^12 - 1005674835/2*x^11 - 164899461/2*x^10 + 277708014*x^9 - 144340863/2*x^8 - 52062990*x^7 + 58381919/2*x^6 - 250571/2*x^5 - 2418582*x^4 + 298747*x^3 + 87367/2*x^2 - 7619/2*x - 287/2, -3/2*x^35 + 27/2*x^34 + 24*x^33 - 558*x^32 + 647*x^31 + 19449/2*x^30 - 24739*x^29 - 89571*x^28 + 717071/2*x^27 + 821859/2*x^26 - 6014357/2*x^25 - 78693/2*x^24 + 16112326*x^23 - 22766551/2*x^22 - 56134041*x^21 + 74170670*x^20 + 241855441/2*x^19 - 255893016*x^18 - 125130936*x^17 + 1080009087/2*x^16 - 68767407*x^15 - 1380438161/2*x^14 + 788442207/2*x^13 + 469296827*x^12 - 1005674835/2*x^11 - 164899461/2*x^10 + 277708014*x^9 - 144340863/2*x^8 - 52062990*x^7 + 58381919/2*x^6 - 250571/2*x^5 - 2418582*x^4 + 298747*x^3 + 87367/2*x^2 - 7619/2*x - 287/2, -3/2*x^33 + 12*x^32 + 57/2*x^31 - 465*x^30 + 585/2*x^29 + 15145/2*x^28 - 14381*x^27 - 65577*x^26 + 196995*x^25 + 299725*x^24 - 2939587/2*x^23 - 399727*x^22 + 6678162*x^21 - 6138579/2*x^20 - 18496476*x^19 + 19085324*x^18 + 27880606*x^17 - 48519401*x^16 - 10783523*x^15 + 56348246*x^14 - 27016716*x^13 - 5488677*x^12 + 45142161/2*x^11 - 47887680*x^10 + 60767217/2*x^9 + 51506893/2*x^8 - 39008766*x^7 + 10192962*x^6 + 11497007/2*x^5 - 3086804*x^4 - 11603/2*x^3 + 180965*x^2 - 13066*x - 2769/2, -3/2*x^33 + 12*x^32 + 57/2*x^31 - 465*x^30 + 585/2*x^29 + 15145/2*x^28 - 14381*x^27 - 65577*x^26 + 196995*x^25 + 299725*x^24 - 2939587/2*x^23 - 399727*x^22 + 6678162*x^21 - 6138579/2*x^20 - 18496476*x^19 + 19085324*x^18 + 27880606*x^17 - 48519401*x^16 - 10783523*x^15 + 56348246*x^14 - 27016716*x^13 - 5488677*x^12 + 45142161/2*x^11 - 47887680*x^10 + 60767217/2*x^9 + 51506893/2*x^8 - 39008766*x^7 + 10192962*x^6 + 11497007/2*x^5 - 3086804*x^4 - 11603/2*x^3 + 180965*x^2 - 13066*x - 2769/2]>
       ]
>;

MOG[809] := 	// J_0(809)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 73, 139, 144, 172, 216, 249, 382, 401, 606, 661, 687, 710, 734, 762, 783, 685*x + 633, 124*x + 633, 277*x + 354, 532*x + 354, 554*x + 40, 255*x + 40, 273*x + 282, 536*x + 282, 603*x + 300, 206*x + 300, 100*x + 304, 709*x + 304, 677*x + 294, 132*x + 294, 729*x + 626, 80*x + 626, 768*x + 223, 41*x + 223, 148*x + 424, 661*x + 424, 478*x + 305, 331*x + 305, 436*x + 18, 373*x + 18, 712*x + 479, 97*x + 479, 696*x + 605, 113*x + 605, 252*x + 207, 557*x + 207, 434*x + 256, 375*x + 256, 275*x + 338, 534*x + 338, 411*x + 230, 398*x + 230, 73*x + 306, 736*x + 306, 219*x + 472, 590*x + 472, 663*x + 35, 146*x + 35, 632*x + 727, 177*x + 727, 159*x + 182, 650*x + 182, 786*x + 64, 23*x + 64, 271*x + 800, 538*x + 800, 458*x + 646, 351*x + 646]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 - x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x + 2, x - 2, x - 1, -x + 1, 0, 0, x, -x, -1, 1, x - 2, -x + 2, 0, 0, 1, -1, 1, -1, -x, x, -x + 1, x - 1, -x + 1, x - 1, x - 1, -x + 1, -x + 1, x - 1, -1, 1, -1, 1, -x + 1, x - 1, 0, 0, 0, 0, 0, 0, -1, 1, -1, 1, x - 1, -x + 1, -x + 1, x - 1, 1, -1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^24 + 4*x^23 - 23*x^22 - 106*x^21 + 204*x^20 + 1180*x^19 - 817*x^18 - 7225*x^17 + 805*x^16 + 26742*x^15 + 5497*x^14 - 61930*x^13 - 23942*x^12 + 89910*x^11 + 43695*x^10 - 79998*x^9 - 42400*x^8 + 41529*x^7 + 21935*x^6 - 11564*x^5 - 5482*x^4 + 1511*x^3 + 517*x^2 - 69*x - 5,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^22 - 4*x^21 + 19*x^20 + 91*x^19 - 126*x^18 - 843*x^17 + 255*x^16 + 4138*x^15 + 867*x^14 - 11728*x^13 - 5800*x^12 + 19619*x^11 + 13124*x^10 - 19015*x^9 - 14962*x^8 + 9998*x^7 + 8798*x^6 - 2465*x^5 - 2408*x^4 + 206*x^3 + 235*x^2 + 4*x, x^22 + 4*x^21 - 19*x^20 - 91*x^19 + 126*x^18 + 843*x^17 - 255*x^16 - 4138*x^15 - 867*x^14 + 11728*x^13 + 5800*x^12 - 19619*x^11 - 13124*x^10 + 19015*x^9 + 14962*x^8 - 9998*x^7 - 8798*x^6 + 2465*x^5 + 2408*x^4 - 206*x^3 - 235*x^2 - 4*x, -x^21 - 4*x^20 + 17*x^19 + 83*x^18 - 96*x^17 - 695*x^16 + 109*x^15 + 3045*x^14 + 991*x^13 - 7548*x^12 - 4587*x^11 + 10670*x^10 + 8569*x^9 - 8205*x^8 - 8044*x^7 + 2964*x^6 + 3693*x^5 - 299*x^4 - 696*x^3 - 17*x^2 + 41*x + 2, x^21 + 4*x^20 - 17*x^19 - 83*x^18 + 96*x^17 + 695*x^16 - 109*x^15 - 3045*x^14 - 991*x^13 + 7548*x^12 + 4587*x^11 - 10670*x^10 - 8569*x^9 + 8205*x^8 + 8044*x^7 - 2964*x^6 - 3693*x^5 + 299*x^4 + 696*x^3 + 17*x^2 - 41*x - 2, -x^23 - 4*x^22 + 20*x^21 + 95*x^20 - 143*x^19 - 926*x^18 + 351*x^17 + 4833*x^16 + 758*x^15 - 14773*x^14 - 6791*x^13 + 27167*x^12 + 17711*x^11 - 29685*x^10 - 23531*x^9 + 18203*x^8 + 16842*x^7 - 5429*x^6 - 6101*x^5 + 505*x^4 + 931*x^3 + 21*x^2 - 41*x - 2, x^23 + 4*x^22 - 20*x^21 - 95*x^20 + 143*x^19 + 926*x^18 - 351*x^17 - 4833*x^16 - 758*x^15 + 14773*x^14 + 6791*x^13 - 27167*x^12 - 17711*x^11 + 29685*x^10 + 23531*x^9 - 18203*x^8 - 16842*x^7 + 5429*x^6 + 6101*x^5 - 505*x^4 - 931*x^3 - 21*x^2 + 41*x + 2, -x^20 - 4*x^19 + 15*x^18 + 74*x^17 - 72*x^16 - 543*x^15 + 49*x^14 + 2037*x^13 + 662*x^12 - 4167*x^11 - 2329*x^10 + 4562*x^9 + 3244*x^8 - 2417*x^7 - 2018*x^6 + 465*x^5 + 471*x^4 - 11*x^3 - 28*x^2 - 3*x, x^20 + 4*x^19 - 15*x^18 - 74*x^17 + 72*x^16 + 543*x^15 - 49*x^14 - 2037*x^13 - 662*x^12 + 4167*x^11 + 2329*x^10 - 4562*x^9 - 3244*x^8 + 2417*x^7 + 2018*x^6 - 465*x^5 - 471*x^4 + 11*x^3 + 28*x^2 + 3*x, -x^20 - 4*x^19 + 15*x^18 + 74*x^17 - 74*x^16 - 550*x^15 + 75*x^14 + 2143*x^13 + 551*x^12 - 4782*x^11 - 2226*x^10 + 6248*x^9 + 3674*x^8 - 4617*x^7 - 3087*x^6 + 1701*x^5 + 1241*x^4 - 212*x^3 - 166*x^2 + x, x^20 + 4*x^19 - 15*x^18 - 74*x^17 + 74*x^16 + 550*x^15 - 75*x^14 - 2143*x^13 - 551*x^12 + 4782*x^11 + 2226*x^10 - 6248*x^9 - 3674*x^8 + 4617*x^7 + 3087*x^6 - 1701*x^5 - 1241*x^4 + 212*x^3 + 166*x^2 - x, -x^22 - 4*x^21 + 19*x^20 + 91*x^19 - 125*x^18 - 838*x^17 + 246*x^16 + 4060*x^15 + 852*x^14 - 11275*x^13 - 5400*x^12 + 18408*x^11 + 11527*x^10 - 17582*x^9 - 12263*x^8 + 9566*x^7 + 6730*x^6 - 2859*x^5 - 1777*x^4 + 455*x^3 + 181*x^2 - 36*x - 3, x^22 + 4*x^21 - 19*x^20 - 91*x^19 + 125*x^18 + 838*x^17 - 246*x^16 - 4060*x^15 - 852*x^14 + 11275*x^13 + 5400*x^12 - 18408*x^11 - 11527*x^10 + 17582*x^9 + 12263*x^8 - 9566*x^7 - 6730*x^6 + 2859*x^5 + 1777*x^4 - 455*x^3 - 181*x^2 + 36*x + 3, -x^22 - 3*x^21 + 23*x^20 + 72*x^19 - 215*x^18 - 711*x^17 + 1062*x^16 + 3771*x^15 - 3013*x^14 - 11760*x^13 + 4969*x^12 + 22198*x^11 - 4487*x^10 - 25198*x^9 + 1667*x^8 + 16536*x^7 + 306*x^6 - 5735*x^5 - 366*x^4 + 871*x^3 + 60*x^2 - 39*x - 2, x^22 + 3*x^21 - 23*x^20 - 72*x^19 + 215*x^18 + 711*x^17 - 1062*x^16 - 3771*x^15 + 3013*x^14 + 11760*x^13 - 4969*x^12 - 22198*x^11 + 4487*x^10 + 25198*x^9 - 1667*x^8 - 16536*x^7 - 306*x^6 + 5735*x^5 + 366*x^4 - 871*x^3 - 60*x^2 + 39*x + 2, -x^19 - 4*x^18 + 15*x^17 + 74*x^16 - 72*x^15 - 543*x^14 + 49*x^13 + 2037*x^12 + 662*x^11 - 4167*x^10 - 2329*x^9 + 4562*x^8 + 3244*x^7 - 2417*x^6 - 2018*x^5 + 465*x^4 + 471*x^3 - 11*x^2 - 28*x - 3, x^19 + 4*x^18 - 15*x^17 - 74*x^16 + 72*x^15 + 543*x^14 - 49*x^13 - 2037*x^12 - 662*x^11 + 4167*x^10 + 2329*x^9 - 4562*x^8 - 3244*x^7 + 2417*x^6 + 2018*x^5 - 465*x^4 - 471*x^3 + 11*x^2 + 28*x + 3, -x^19 - 5*x^18 + 9*x^17 + 78*x^16 + 12*x^15 - 465*x^14 - 378*x^13 + 1344*x^12 + 1596*x^11 - 1941*x^10 - 2996*x^9 + 1226*x^8 + 2782*x^7 - 82*x^6 - 1204*x^5 - 177*x^4 + 197*x^3 + 25*x^2 - 13*x + 1, x^19 + 5*x^18 - 9*x^17 - 78*x^16 - 12*x^15 + 465*x^14 + 378*x^13 - 1344*x^12 - 1596*x^11 + 1941*x^10 + 2996*x^9 - 1226*x^8 - 2782*x^7 + 82*x^6 + 1204*x^5 + 177*x^4 - 197*x^3 - 25*x^2 + 13*x - 1, -x^19 - 4*x^18 + 13*x^17 + 67*x^16 - 47*x^15 - 440*x^14 - 53*x^13 + 1455*x^12 + 750*x^11 - 2601*x^10 - 1958*x^9 + 2519*x^8 + 2379*x^7 - 1211*x^6 - 1434*x^5 + 212*x^4 + 377*x^3 - 4*x^2 - 34*x - 1, x^19 + 4*x^18 - 13*x^17 - 67*x^16 + 47*x^15 + 440*x^14 + 53*x^13 - 1455*x^12 - 750*x^11 + 2601*x^10 + 1958*x^9 - 2519*x^8 - 2379*x^7 + 1211*x^6 + 1434*x^5 - 212*x^4 - 377*x^3 + 4*x^2 + 34*x + 1, -x^19 - 5*x^18 + 9*x^17 + 78*x^16 + 13*x^15 - 462*x^14 - 387*x^13 + 1311*x^12 + 1611*x^11 - 1821*x^10 - 2937*x^9 + 1069*x^8 + 2578*x^7 - 52*x^6 - 1018*x^5 - 125*x^4 + 153*x^3 + 22*x^2 - 7*x - 1, x^19 + 5*x^18 - 9*x^17 - 78*x^16 - 13*x^15 + 462*x^14 + 387*x^13 - 1311*x^12 - 1611*x^11 + 1821*x^10 + 2937*x^9 - 1069*x^8 - 2578*x^7 + 52*x^6 + 1018*x^5 + 125*x^4 - 153*x^3 - 22*x^2 + 7*x + 1, -x^21 - 4*x^20 + 18*x^19 + 88*x^18 - 105*x^17 - 773*x^16 + 94*x^15 + 3498*x^14 + 1391*x^13 - 8759*x^12 - 6184*x^11 + 12103*x^10 + 11268*x^9 - 8637*x^8 - 10112*x^7 + 2570*x^6 + 4324*x^5 - 50*x^4 - 750*x^3 - 57*x^2 + 38*x + 2, x^21 + 4*x^20 - 18*x^19 - 88*x^18 + 105*x^17 + 773*x^16 - 94*x^15 - 3498*x^14 - 1391*x^13 + 8759*x^12 + 6184*x^11 - 12103*x^10 - 11268*x^9 + 8637*x^8 + 10112*x^7 - 2570*x^6 - 4324*x^5 + 50*x^4 + 750*x^3 + 57*x^2 - 38*x - 2, -x^18 - 5*x^17 + 6*x^16 + 65*x^15 + 35*x^14 - 306*x^13 - 377*x^12 + 615*x^11 + 1154*x^10 - 399*x^9 - 1531*x^8 - 243*x^7 + 866*x^6 + 376*x^5 - 149*x^4 - 117*x^3 - 7*x^2 + 11*x + 1, x^18 + 5*x^17 - 6*x^16 - 65*x^15 - 35*x^14 + 306*x^13 + 377*x^12 - 615*x^11 - 1154*x^10 + 399*x^9 + 1531*x^8 + 243*x^7 - 866*x^6 - 376*x^5 + 149*x^4 + 117*x^3 + 7*x^2 - 11*x - 1, -x^18 - 3*x^17 + 14*x^16 + 45*x^15 - 72*x^14 - 258*x^13 + 168*x^12 + 723*x^11 - 182*x^10 - 1081*x^9 + 95*x^8 + 944*x^7 - x^6 - 509*x^5 - 60*x^4 + 139*x^3 + 29*x^2 - 11*x - 1, x^18 + 3*x^17 - 14*x^16 - 45*x^15 + 72*x^14 + 258*x^13 - 168*x^12 - 723*x^11 + 182*x^10 + 1081*x^9 - 95*x^8 - 944*x^7 + x^6 + 509*x^5 + 60*x^4 - 139*x^3 - 29*x^2 + 11*x + 1, -x^18 - 4*x^17 + 13*x^16 + 65*x^15 - 56*x^14 - 430*x^13 + 31*x^12 + 1458*x^11 + 450*x^10 - 2648*x^9 - 1390*x^8 + 2462*x^7 + 1654*x^6 - 980*x^5 - 804*x^4 + 69*x^3 + 103*x^2 + 9*x + 1, x^18 + 4*x^17 - 13*x^16 - 65*x^15 + 56*x^14 + 430*x^13 - 31*x^12 - 1458*x^11 - 450*x^10 + 2648*x^9 + 1390*x^8 - 2462*x^7 - 1654*x^6 + 980*x^5 + 804*x^4 - 69*x^3 - 103*x^2 - 9*x - 1, -x^18 - 5*x^17 + 9*x^16 + 76*x^15 + 3*x^14 - 454*x^13 - 284*x^12 + 1365*x^11 + 1230*x^10 - 2183*x^9 - 2322*x^8 + 1783*x^7 + 2151*x^6 - 622*x^5 - 911*x^4 + 37*x^3 + 134*x^2 + 11*x - 1, x^18 + 5*x^17 - 9*x^16 - 76*x^15 - 3*x^14 + 454*x^13 + 284*x^12 - 1365*x^11 - 1230*x^10 + 2183*x^9 + 2322*x^8 - 1783*x^7 - 2151*x^6 + 622*x^5 + 911*x^4 - 37*x^3 - 134*x^2 - 11*x + 1, -x^20 - 3*x^19 + 20*x^18 + 65*x^17 - 152*x^16 - 562*x^15 + 539*x^14 + 2516*x^13 - 784*x^12 - 6305*x^11 - 259*x^10 + 8945*x^9 + 2151*x^8 - 6996*x^7 - 2406*x^6 + 2809*x^5 + 1027*x^4 - 512*x^3 - 143*x^2 + 38*x + 3, x^20 + 3*x^19 - 20*x^18 - 65*x^17 + 152*x^16 + 562*x^15 - 539*x^14 - 2516*x^13 + 784*x^12 + 6305*x^11 + 259*x^10 - 8945*x^9 - 2151*x^8 + 6996*x^7 + 2406*x^6 - 2809*x^5 - 1027*x^4 + 512*x^3 + 143*x^2 - 38*x - 3, -2*x^17 - 8*x^16 + 20*x^15 + 110*x^14 - 37*x^13 - 564*x^12 - 209*x^11 + 1338*x^10 + 972*x^9 - 1480*x^8 - 1436*x^7 + 701*x^6 + 865*x^5 - 133*x^4 - 209*x^3 + 22*x^2 + 22*x, 2*x^17 + 8*x^16 - 20*x^15 - 110*x^14 + 37*x^13 + 564*x^12 + 209*x^11 - 1338*x^10 - 972*x^9 + 1480*x^8 + 1436*x^7 - 701*x^6 - 865*x^5 + 133*x^4 + 209*x^3 - 22*x^2 - 22*x, -x^17 - 5*x^16 + 3*x^15 + 49*x^14 + 38*x^13 - 165*x^12 - 233*x^11 + 204*x^10 + 493*x^9 + 11*x^8 - 480*x^7 - 243*x^6 + 190*x^5 + 193*x^4 + 5*x^3 - 36*x^2 - 8*x - 1, x^17 + 5*x^16 - 3*x^15 - 49*x^14 - 38*x^13 + 165*x^12 + 233*x^11 - 204*x^10 - 493*x^9 - 11*x^8 + 480*x^7 + 243*x^6 - 190*x^5 - 193*x^4 - 5*x^3 + 36*x^2 + 8*x + 1, -2*x^16 - 9*x^15 + 10*x^14 + 84*x^13 + 3*x^12 - 300*x^11 - 47*x^10 + 568*x^9 - 57*x^8 - 725*x^7 + 231*x^6 + 630*x^5 - 143*x^4 - 274*x^3 + 13*x^2 + 35*x + 1, 2*x^16 + 9*x^15 - 10*x^14 - 84*x^13 - 3*x^12 + 300*x^11 + 47*x^10 - 568*x^9 + 57*x^8 + 725*x^7 - 231*x^6 - 630*x^5 + 143*x^4 + 274*x^3 - 13*x^2 - 35*x - 1, -2*x^16 - 10*x^15 + 8*x^14 + 103*x^13 + 54*x^12 - 381*x^11 - 362*x^10 + 615*x^9 + 714*x^8 - 427*x^7 - 570*x^6 + 107*x^5 + 162*x^4 - 19*x^3 - 11*x^2 + 6*x + 1, 2*x^16 + 10*x^15 - 8*x^14 - 103*x^13 - 54*x^12 + 381*x^11 + 362*x^10 - 615*x^9 - 714*x^8 + 427*x^7 + 570*x^6 - 107*x^5 - 162*x^4 + 19*x^3 + 11*x^2 - 6*x - 1, -x^19 - 3*x^18 + 18*x^17 + 59*x^16 - 117*x^15 - 443*x^14 + 341*x^13 + 1670*x^12 - 380*x^11 - 3417*x^10 - 172*x^9 + 3792*x^8 + 710*x^7 - 2167*x^6 - 488*x^5 + 565*x^4 + 95*x^3 - 48*x^2 + 3*x + 1, x^19 + 3*x^18 - 18*x^17 - 59*x^16 + 117*x^15 + 443*x^14 - 341*x^13 - 1670*x^12 + 380*x^11 + 3417*x^10 + 172*x^9 - 3792*x^8 - 710*x^7 + 2167*x^6 + 488*x^5 - 565*x^4 - 95*x^3 + 48*x^2 - 3*x - 1, x^16 + 7*x^15 + 7*x^14 - 57*x^13 - 141*x^12 + 111*x^11 + 614*x^10 + 158*x^9 - 1108*x^8 - 725*x^7 + 907*x^6 + 813*x^5 - 297*x^4 - 355*x^3 + 14*x^2 + 47*x + 2, -x^16 - 7*x^15 - 7*x^14 + 57*x^13 + 141*x^12 - 111*x^11 - 614*x^10 - 158*x^9 + 1108*x^8 + 725*x^7 - 907*x^6 - 813*x^5 + 297*x^4 + 355*x^3 - 14*x^2 - 47*x - 2, -x^17 - 3*x^16 + 17*x^15 + 58*x^14 - 91*x^13 - 395*x^12 + 166*x^11 + 1272*x^10 + 86*x^9 - 2098*x^8 - 654*x^7 + 1751*x^6 + 781*x^5 - 647*x^4 - 337*x^3 + 61*x^2 + 32*x, x^17 + 3*x^16 - 17*x^15 - 58*x^14 + 91*x^13 + 395*x^12 - 166*x^11 - 1272*x^10 - 86*x^9 + 2098*x^8 + 654*x^7 - 1751*x^6 - 781*x^5 + 647*x^4 + 337*x^3 - 61*x^2 - 32*x, x^18 + 3*x^17 - 17*x^16 - 58*x^15 + 91*x^14 + 395*x^13 - 166*x^12 - 1272*x^11 - 86*x^10 + 2098*x^9 + 654*x^8 - 1751*x^7 - 781*x^6 + 647*x^5 + 337*x^4 - 61*x^3 - 32*x^2, -x^18 - 3*x^17 + 17*x^16 + 58*x^15 - 91*x^14 - 395*x^13 + 166*x^12 + 1272*x^11 + 86*x^10 - 2098*x^9 - 654*x^8 + 1751*x^7 + 781*x^6 - 647*x^5 - 337*x^4 + 61*x^3 + 32*x^2, x^18 + 3*x^17 - 18*x^16 - 61*x^15 + 107*x^14 + 451*x^13 - 238*x^12 - 1616*x^11 - x^10 + 3055*x^9 + 787*x^8 - 3078*x^7 - 1137*x^6 + 1597*x^5 + 595*x^4 - 403*x^3 - 114*x^2 + 37*x + 3, -x^18 - 3*x^17 + 18*x^16 + 61*x^15 - 107*x^14 - 451*x^13 + 238*x^12 + 1616*x^11 + x^10 - 3055*x^9 - 787*x^8 + 3078*x^7 + 1137*x^6 - 1597*x^5 - 595*x^4 + 403*x^3 + 114*x^2 - 37*x - 3]>,
         rec<Eigen |
           DefiningPolynomial := x^41 - 68*x^39 + x^38 + 2130*x^37 - 60*x^36 - 40765*x^35 + 1647*x^34 + 533140*x^33 - 27436*x^32 - 5048842*x^31 + 310279*x^30 + 35792064*x^29 - 2525550*x^28 - 193681377*x^27 + 15307240*x^26 + 808479218*x^25 - 70503392*x^24 - 2613505594*x^23 + 249566433*x^22 + 6531642675*x^21 - 681672270*x^20 - 12532205321*x^19 + 1432640080*x^18 + 18227420672*x^17 - 2292782006*x^16 - 19708489739*x^15 + 2740976804*x^14 + 15398923605*x^13 - 2375501239*x^12 - 8344465032*x^11 + 1428990447*x^10 + 2950307056*x^9 - 560468621*x^8 - 617655425*x^7 + 129825695*x^6 + 63891546*x^5 - 14433205*x^4 - 2020733*x^3 + 400254*x^2 + 14293*x + 115,
           Coordinates        := [-x^40 + 65*x^38 - x^37 - 1941*x^36 + 57*x^35 + 35308*x^34 - 1482*x^33 - 437422*x^32 + 23310*x^31 + 3908964*x^30 - 248091*x^29 - 26035392*x^28 + 1893923*x^27 + 131696105*x^26 - 10727539*x^25 - 510843977*x^24 + 46001579*x^23 + 1523788233*x^22 - 150976650*x^21 - 3484374846*x^20 + 380486492*x^19 + 6053523449*x^18 - 733179472*x^17 - 7868617459*x^16 + 1066488928*x^15 + 7476011806*x^14 - 1144260360*x^13 - 5017668795*x^12 + 873553271*x^11 + 2262090863*x^10 - 450206512*x^9 - 633511401*x^8 + 145085087*x^7 + 96097292*x^6 - 25854974*x^5 - 5617662*x^4 + 1938809*x^3 - 54389*x^2 - 10551*x - 128, x^40 - 65*x^38 + x^37 + 1943*x^36 - 57*x^35 - 35420*x^34 + 1486*x^33 + 440276*x^32 - 23526*x^31 - 3952794*x^30 + 253327*x^29 + 26488318*x^28 - 1969285*x^27 - 135026503*x^26 + 11445371*x^25 + 528816737*x^24 - 50776077*x^23 - 1596179759*x^22 + 173783868*x^21 + 3703638828*x^20 - 459769248*x^19 - 6553110033*x^18 + 934313258*x^17 + 8719738039*x^16 - 1436876514*x^15 - 8546108950*x^14 + 1633082576*x^13 + 5988298639*x^12 - 1326551735*x^11 - 2873276695*x^10 + 735898012*x^9 + 882914671*x^8 - 261160027*x^7 - 153507992*x^6 + 52980736*x^5 + 10803116*x^4 - 4758587*x^3 + 145411*x^2 + 39957*x + 488, 2*x^35 - 6*x^34 - 114*x^33 + 324*x^32 + 2942*x^31 - 7922*x^30 - 45492*x^29 + 116014*x^28 + 470110*x^27 - 1134352*x^26 - 3428518*x^25 + 7815394*x^24 + 18163788*x^23 - 39030856*x^22 - 70866636*x^21 + 143173452*x^20 + 204129834*x^19 - 386706372*x^18 - 430800886*x^17 + 763832288*x^16 + 653472220*x^15 - 1085323500*x^14 - 687824518*x^13 + 1078347588*x^12 + 471780502*x^11 - 715949728*x^10 - 185575726*x^9 + 294933250*x^8 + 27546238*x^7 - 65887854*x^6 + 4372858*x^5 + 5640686*x^4 - 1344548*x^3 + 125614*x^2 + 232*x - 20, -4*x^35 + 2*x^34 + 222*x^33 - 108*x^32 - 5588*x^31 + 2618*x^30 + 84430*x^29 - 37660*x^28 - 854118*x^27 + 358144*x^26 + 6109626*x^25 - 2375182*x^24 - 31811460*x^23 + 11300166*x^22 + 122261608*x^21 - 39125878*x^20 - 347974664*x^19 + 99190820*x^18 + 729113208*x^17 - 184396554*x^16 - 1107700432*x^15 + 251234272*x^14 + 1188373434*x^13 - 249969696*x^12 - 863047170*x^11 + 178297762*x^10 + 396100798*x^9 - 85615674*x^8 - 101688192*x^7 + 23768176*x^6 + 11302376*x^5 - 2702486*x^4 - 200548*x^3 - 21336*x^2 + 19610*x + 262, 2*x^37 - 116*x^35 - 4*x^34 + 3070*x^33 + 214*x^32 - 49118*x^31 - 5170*x^30 + 530604*x^29 + 74586*x^28 - 4094044*x^27 - 716070*x^26 + 23278432*x^25 + 4826656*x^24 - 99211864*x^23 - 23489848*x^22 + 319339590*x^21 + 83616084*x^20 - 776511158*x^19 - 218223406*x^18 + 1418003606*x^17 + 414795026*x^16 - 1921875950*x^15 - 565170646*x^14 + 1899232640*x^13 + 536868122*x^12 - 1335353838*x^11 - 339100816*x^10 + 645787818*x^9 + 130296646*x^8 - 203902264*x^7 - 24749668*x^6 + 37990472*x^5 + 815148*x^4 - 3272240*x^3 + 217420*x^2 + 45926*x + 574, 2*x^36 - 120*x^34 + 6*x^33 + 3280*x^32 - 316*x^31 - 54088*x^30 + 7508*x^29 + 600666*x^28 - 106462*x^27 - 4748720*x^26 + 1004448*x^25 + 27545932*x^24 - 6655616*x^23 - 119079208*x^22 + 31866478*x^21 + 385705184*x^20 - 111732778*x^19 - 933321902*x^18 + 287649212*x^17 + 1668699512*x^16 - 540072700*x^15 - 2160773804*x^14 + 727355478*x^13 + 1963933262*x^12 - 682794018*x^11 - 1195072592*x^10 + 427085910*x^9 + 452475424*x^8 - 166280896*x^7 - 93905180*x^6 + 36185768*x^5 + 7817198*x^4 - 3431518*x^3 + 62686*x^2 + 31560*x + 404, -6*x^35 - 4*x^34 + 330*x^33 + 204*x^32 - 8226*x^31 - 4676*x^30 + 122978*x^29 + 63630*x^28 - 1229710*x^27 - 571754*x^26 + 8684760*x^25 + 3567760*x^24 - 44594424*x^23 - 15813058*x^22 + 168850810*x^21 + 49952896*x^20 - 473179784*x^19 - 110746262*x^18 + 976467546*x^17 + 164929142*x^16 - 1463660698*x^15 - 147232882*x^14 + 1556131516*x^13 + 47016264*x^12 - 1130726952*x^11 + 45087210*x^10 + 530480320*x^9 - 56448648*x^8 - 146852528*x^7 + 24524660*x^6 + 20412188*x^5 - 4534826*x^4 - 953016*x^3 + 266686*x^2 - 2768*x - 86, 2*x^35 - 108*x^33 - 4*x^32 + 2626*x^31 + 194*x^30 - 37978*x^29 - 4240*x^28 + 363478*x^27 + 55168*x^26 - 2422924*x^25 - 475466*x^24 + 11524630*x^23 + 2857286*x^22 - 39384546*x^21 - 12276402*x^20 + 95935878*x^19 + 38063464*x^18 - 162390904*x^17 - 84970664*x^16 + 180915486*x^15 + 134801856*x^14 - 116854100*x^13 - 148048722*x^12 + 25917026*x^11 + 107295722*x^10 + 14318966*x^9 - 46721096*x^8 - 8819646*x^7 + 9754376*x^6 + 885424*x^5 - 177564*x^4 + 52648*x^3 - 181378*x^2 + 27898*x + 398, 2*x^36 - 112*x^34 - 8*x^33 + 2848*x^32 + 422*x^31 - 43550*x^30 - 9988*x^29 + 447082*x^28 + 140114*x^27 - 3258272*x^26 - 1296534*x^25 + 17386354*x^24 + 8335202*x^23 - 69080892*x^22 - 38201254*x^21 + 205945814*x^20 + 126074940*x^19 - 461092738*x^18 - 299119320*x^17 + 771736570*x^16 + 503917144*x^15 - 956094962*x^14 - 588329042*x^13 + 862285382*x^12 + 457075378*x^11 - 550389250*x^10 - 220722702*x^9 + 236525388*x^8 + 58243124*x^7 - 62590752*x^6 - 5906048*x^5 + 8655452*x^4 - 255988*x^3 - 424864*x^2 + 45408*x + 676, -3*x^39 + 189*x^37 - 3*x^36 - 5457*x^35 + 165*x^34 + 95718*x^33 - 4126*x^32 - 1139878*x^31 + 62188*x^30 + 9756672*x^29 - 631627*x^28 - 61985272*x^27 + 4579701*x^26 + 297635241*x^25 - 24501813*x^24 - 1089717361*x^23 + 98589783*x^22 + 3047267829*x^21 - 301185778*x^20 - 6478681872*x^19 + 699460608*x^18 + 10358803213*x^17 - 1226293078*x^16 - 12232477933*x^15 + 1596716444*x^14 + 10381254810*x^13 - 1501947968*x^12 - 6082374169*x^11 + 978783935*x^10 + 2316795655*x^9 - 415383534*x^8 - 521558133*x^7 + 103970721*x^6 + 58273884*x^5 - 12494396*x^4 - 2075122*x^3 + 389703*x^2 + 14165*x + 115, 4*x^35 - 4*x^34 - 220*x^33 + 208*x^32 + 5474*x^31 - 4854*x^30 - 81528*x^29 + 67170*x^28 + 810408*x^27 - 613700*x^26 - 5674864*x^25 + 3902438*x^24 + 28795048*x^23 - 17748422*x^22 - 107237562*x^21 + 58470070*x^20 + 293549820*x^19 - 139950204*x^18 - 585568778*x^17 + 242412426*x^16 + 834907050*x^15 - 301016268*x^14 - 823740210*x^13 + 264122012*x^12 + 534967834*x^11 - 160234136*x^10 - 212208968*x^9 + 64785582*x^8 + 46144312*x^7 - 16199612*x^6 - 4758312*x^5 + 1981848*x^4 + 196018*x^3 - 64384*x^2 - 8182*x - 90, 2*x^34 + 2*x^33 - 112*x^32 - 110*x^31 + 2838*x^30 + 2724*x^29 - 43002*x^28 - 40190*x^27 + 433840*x^26 + 393900*x^25 - 3071398*x^24 - 2706282*x^23 + 15669032*x^22 + 13400956*x^21 - 58241060*x^20 - 48409948*x^19 + 157663720*x^18 + 127664594*x^17 - 307627592*x^16 - 243535342*x^15 + 423737536*x^14 + 329735206*x^13 - 398847212*x^12 - 307481502*x^11 + 244981902*x^10 + 188825974*x^9 - 92814532*x^8 - 71210298*x^7 + 21037226*x^6 + 14593938*x^5 - 3137630*x^4 - 1260008*x^3 + 294352*x^2 - 2350*x - 86, 6*x^34 - 10*x^33 - 312*x^32 + 516*x^31 + 7316*x^30 - 11984*x^29 - 102288*x^28 + 165660*x^27 + 950002*x^26 - 1518946*x^25 - 6179706*x^24 + 9746214*x^23 + 28918960*x^22 - 44999860*x^21 - 98410208*x^20 + 151412732*x^19 + 243145610*x^18 - 371836884*x^17 - 430379882*x^16 + 660829488*x^15 + 531013584*x^14 - 833422504*x^13 - 435530184*x^12 + 720944598*x^11 + 218581864*x^10 - 405035084*x^9 - 56691724*x^8 + 135943938*x^7 + 3908944*x^6 - 24162048*x^5 + 1068308*x^4 + 1839094*x^3 - 170958*x^2 - 21192*x - 244, 2*x^38 - 120*x^36 + 2*x^35 + 3290*x^34 - 110*x^33 - 54610*x^32 + 2746*x^31 + 612994*x^30 - 41238*x^29 - 4923008*x^28 + 416288*x^27 + 29190560*x^26 - 2989488*x^25 - 130012334*x^24 + 15759446*x^23 + 438372274*x^22 - 62004218*x^21 - 1119530832*x^20 + 183166948*x^19 + 2152643170*x^18 - 405094110*x^17 - 3077643780*x^16 + 663045102*x^15 + 3207025008*x^14 - 786743266*x^13 - 2364885228*x^12 + 656060210*x^11 + 1181702528*x^10 - 367963446*x^9 - 373955460*x^8 + 130238886*x^7 + 66105238*x^6 - 26114178*x^5 - 4604560*x^4 + 2319908*x^3 - 84248*x^2 - 20122*x - 244, 4*x^35 - 6*x^34 - 214*x^33 + 314*x^32 + 5180*x^31 - 7400*x^30 - 75074*x^29 + 103840*x^28 + 726676*x^27 - 966698*x^26 - 4962126*x^25 + 6297198*x^24 + 24620764*x^23 - 29503080*x^22 - 90113724*x^21 + 100620442*x^20 + 244609466*x^19 - 249977622*x^18 - 491493954*x^17 + 448052252*x^16 + 725387948*x^15 - 567386260*x^14 - 776778784*x^13 + 490188884*x^12 + 594001206*x^11 - 274216428*x^10 - 317332846*x^9 + 93225008*x^8 + 113361472*x^7 - 19044616*x^6 - 24205822*x^5 + 2767278*x^4 + 2400628*x^3 - 263394*x^2 - 40784*x - 496, x^39 - 61*x^37 + x^36 + 1703*x^35 - 53*x^34 - 28840*x^33 + 1266*x^32 + 331056*x^31 - 18034*x^30 - 2726806*x^29 + 170851*x^28 + 16642302*x^27 - 1136709*x^26 - 76645383*x^25 + 5466395*x^24 + 268792069*x^23 - 19257185*x^22 - 719435211*x^21 + 49775432*x^20 + 1464577164*x^19 - 93435352*x^18 - 2247823693*x^17 + 124125038*x^16 + 2564450479*x^15 - 110786310*x^14 - 2132058934*x^13 + 59596044*x^12 + 1258528183*x^11 - 14431315*x^10 - 509871639*x^9 - 28880*x^8 + 135003751*x^7 - 682255*x^6 - 21297516*x^5 + 752380*x^4 + 1593996*x^3 - 118771*x^2 - 23085*x - 287, -3*x^38 + 183*x^36 - 3*x^35 - 5103*x^34 + 160*x^33 + 86194*x^32 - 3871*x^31 - 985110*x^30 + 56323*x^29 + 8060452*x^28 - 551034*x^27 - 48726537*x^26 + 3840402*x^25 + 221407285*x^24 - 19707477*x^23 - 762048435*x^22 + 75872086*x^21 + 1987221333*x^20 - 220999434*x^19 - 3900883567*x^18 + 486622669*x^17 + 5686687222*x^16 - 801375170*x^15 - 6023390304*x^14 + 965416556*x^13 + 4485316108*x^12 - 820937939*x^11 - 2234738467*x^10 + 467618001*x^9 + 689488035*x^8 - 165642270*x^7 - 115008996*x^6 + 32535263*x^5 + 7388932*x^4 - 2713362*x^3 + 88666*x^2 + 15884*x + 192, -3*x^38 + 183*x^36 - 3*x^35 - 5103*x^34 + 160*x^33 + 86194*x^32 - 3871*x^31 - 985110*x^30 + 56323*x^29 + 8060452*x^28 - 551034*x^27 - 48726537*x^26 + 3840402*x^25 + 221407285*x^24 - 19707477*x^23 - 762048435*x^22 + 75872086*x^21 + 1987221333*x^20 - 220999434*x^19 - 3900883567*x^18 + 486622669*x^17 + 5686687222*x^16 - 801375170*x^15 - 6023390304*x^14 + 965416556*x^13 + 4485316108*x^12 - 820937939*x^11 - 2234738467*x^10 + 467618001*x^9 + 689488035*x^8 - 165642270*x^7 - 115008996*x^6 + 32535263*x^5 + 7388932*x^4 - 2713362*x^3 + 88666*x^2 + 15884*x + 192, -3*x^37 + 177*x^35 - 4760*x^33 - 7*x^32 + 77283*x^31 + 348*x^30 - 845819*x^29 - 7707*x^28 + 6598537*x^27 + 100364*x^26 - 37840148*x^25 - 854390*x^24 + 162145246*x^23 + 5000312*x^22 - 522609302*x^21 - 20599330*x^20 + 1265593514*x^19 + 60137744*x^18 - 2284036938*x^17 - 123546892*x^16 + 3024346872*x^15 + 174774347*x^14 - 2867849525*x^13 - 163164331*x^12 + 1880347080*x^11 + 92572761*x^10 - 811370872*x^9 - 26089484*x^8 + 215035799*x^7 + 693065*x^6 - 31629755*x^5 + 1143740*x^4 + 2080580*x^3 - 171165*x^2 - 16910*x - 191, -3*x^37 + 177*x^35 - 4760*x^33 - 7*x^32 + 77283*x^31 + 348*x^30 - 845819*x^29 - 7707*x^28 + 6598537*x^27 + 100364*x^26 - 37840148*x^25 - 854390*x^24 + 162145246*x^23 + 5000312*x^22 - 522609302*x^21 - 20599330*x^20 + 1265593514*x^19 + 60137744*x^18 - 2284036938*x^17 - 123546892*x^16 + 3024346872*x^15 + 174774347*x^14 - 2867849525*x^13 - 163164331*x^12 + 1880347080*x^11 + 92572761*x^10 - 811370872*x^9 - 26089484*x^8 + 215035799*x^7 + 693065*x^6 - 31629755*x^5 + 1143740*x^4 + 2080580*x^3 - 171165*x^2 - 16910*x - 191, -3*x^37 + 177*x^35 - 5*x^34 - 4764*x^33 + 262*x^32 + 77485*x^31 - 6213*x^30 - 850401*x^29 + 88300*x^28 + 6660198*x^27 - 839663*x^26 - 38387808*x^25 + 5648726*x^24 + 165523680*x^23 - 27718009*x^22 - 537437194*x^21 + 100785674*x^20 + 1312204791*x^19 - 272975683*x^18 - 2388079053*x^17 + 548464800*x^16 + 3184740757*x^15 - 806074235*x^14 - 3028089177*x^13 + 844174360*x^12 + 1967288622*x^11 - 603738695*x^10 - 815936748*x^9 + 275830748*x^8 + 191513338*x^7 - 72128523*x^6 - 19255197*x^5 + 8637294*x^4 + 83208*x^3 - 202654*x^2 + 2937*x + 76, -3*x^37 + 177*x^35 - 5*x^34 - 4764*x^33 + 262*x^32 + 77485*x^31 - 6213*x^30 - 850401*x^29 + 88300*x^28 + 6660198*x^27 - 839663*x^26 - 38387808*x^25 + 5648726*x^24 + 165523680*x^23 - 27718009*x^22 - 537437194*x^21 + 100785674*x^20 + 1312204791*x^19 - 272975683*x^18 - 2388079053*x^17 + 548464800*x^16 + 3184740757*x^15 - 806074235*x^14 - 3028089177*x^13 + 844174360*x^12 + 1967288622*x^11 - 603738695*x^10 - 815936748*x^9 + 275830748*x^8 + 191513338*x^7 - 72128523*x^6 - 19255197*x^5 + 8637294*x^4 + 83208*x^3 - 202654*x^2 + 2937*x + 76, -3*x^36 + 2*x^35 + 172*x^34 - 110*x^33 - 4486*x^32 + 2743*x^31 + 70482*x^30 - 41048*x^29 - 744605*x^28 + 411304*x^27 + 5590840*x^26 - 2916071*x^25 - 30748501*x^24 + 15074758*x^23 + 125803079*x^22 - 57716029*x^21 - 384931703*x^20 + 164581910*x^19 + 878145596*x^18 - 348625737*x^17 - 1476955152*x^16 + 542591818*x^15 + 1794362600*x^14 - 607688161*x^13 - 1524637519*x^12 + 473395277*x^11 + 862447290*x^10 - 243428374*x^9 - 301015931*x^8 + 76483409*x^7 + 57258947*x^6 - 13118490*x^5 - 4633670*x^4 + 936699*x^3 + 56322*x^2 - 5020*x - 78, -3*x^36 + 2*x^35 + 172*x^34 - 110*x^33 - 4486*x^32 + 2743*x^31 + 70482*x^30 - 41048*x^29 - 744605*x^28 + 411304*x^27 + 5590840*x^26 - 2916071*x^25 - 30748501*x^24 + 15074758*x^23 + 125803079*x^22 - 57716029*x^21 - 384931703*x^20 + 164581910*x^19 + 878145596*x^18 - 348625737*x^17 - 1476955152*x^16 + 542591818*x^15 + 1794362600*x^14 - 607688161*x^13 - 1524637519*x^12 + 473395277*x^11 + 862447290*x^10 - 243428374*x^9 - 301015931*x^8 + 76483409*x^7 + 57258947*x^6 - 13118490*x^5 - 4633670*x^4 + 936699*x^3 + 56322*x^2 - 5020*x - 78, -3*x^36 + x^35 + 171*x^34 - 57*x^33 - 4425*x^32 + 1476*x^31 + 68809*x^30 - 22982*x^29 - 717310*x^28 + 240094*x^27 + 5295549*x^26 - 1778721*x^25 - 28513538*x^24 + 9633031*x^23 + 113636054*x^22 - 38755387*x^21 - 336696116*x^20 + 116555268*x^19 + 738701033*x^18 - 261543824*x^17 - 1185385198*x^16 + 433557699*x^15 + 1361178179*x^14 - 520892726*x^13 - 1080331509*x^12 + 440115423*x^11 + 560920305*x^10 - 250279111*x^9 - 173436305*x^8 + 89851926*x^7 + 26120294*x^6 - 18273033*x^5 - 674682*x^4 + 1605498*x^3 - 161898*x^2 - 11055*x - 114, -3*x^36 + x^35 + 171*x^34 - 57*x^33 - 4425*x^32 + 1476*x^31 + 68809*x^30 - 22982*x^29 - 717310*x^28 + 240094*x^27 + 5295549*x^26 - 1778721*x^25 - 28513538*x^24 + 9633031*x^23 + 113636054*x^22 - 38755387*x^21 - 336696116*x^20 + 116555268*x^19 + 738701033*x^18 - 261543824*x^17 - 1185385198*x^16 + 433557699*x^15 + 1361178179*x^14 - 520892726*x^13 - 1080331509*x^12 + 440115423*x^11 + 560920305*x^10 - 250279111*x^9 - 173436305*x^8 + 89851926*x^7 + 26120294*x^6 - 18273033*x^5 - 674682*x^4 + 1605498*x^3 - 161898*x^2 - 11055*x - 114, -3*x^36 + x^35 + 171*x^34 - 57*x^33 - 4434*x^32 + 1467*x^31 + 69259*x^30 - 22584*x^29 - 727392*x^28 + 232303*x^27 + 5429173*x^26 - 1689815*x^25 - 29678696*x^24 + 8977891*x^23 + 120670408*x^22 - 35496178*x^21 - 366839924*x^20 + 105461799*x^19 + 831217555*x^18 - 236022883*x^17 - 1388199972*x^16 + 395653486*x^15 + 1674573619*x^14 - 488662587*x^13 - 1413490216*x^12 + 430545890*x^11 + 795586695*x^10 - 256350792*x^9 - 277081808*x^8 + 95024536*x^7 + 52603778*x^6 - 19444127*x^5 - 4008873*x^4 + 1705091*x^3 - 21538*x^2 - 15649*x - 202, -3*x^36 + x^35 + 171*x^34 - 57*x^33 - 4434*x^32 + 1467*x^31 + 69259*x^30 - 22584*x^29 - 727392*x^28 + 232303*x^27 + 5429173*x^26 - 1689815*x^25 - 29678696*x^24 + 8977891*x^23 + 120670408*x^22 - 35496178*x^21 - 366839924*x^20 + 105461799*x^19 + 831217555*x^18 - 236022883*x^17 - 1388199972*x^16 + 395653486*x^15 + 1674573619*x^14 - 488662587*x^13 - 1413490216*x^12 + 430545890*x^11 + 795586695*x^10 - 256350792*x^9 - 277081808*x^8 + 95024536*x^7 + 52603778*x^6 - 19444127*x^5 - 4008873*x^4 + 1705091*x^3 - 21538*x^2 - 15649*x - 202, -3*x^36 - 3*x^35 + 168*x^34 + 159*x^33 - 4275*x^32 - 3809*x^31 + 65450*x^30 + 54561*x^29 - 672862*x^28 - 520932*x^27 + 4909556*x^26 + 3498139*x^25 - 26204909*x^24 - 16988423*x^23 + 103940833*x^22 + 60409766*x^21 - 308176618*x^20 - 157438048*x^19 + 681586959*x^18 + 297865014*x^17 - 1113746493*x^16 - 400352551*x^15 + 1320727508*x^14 + 367420391*x^13 - 1104537270*x^12 - 213346646*x^11 + 623215024*x^10 + 64563539*x^9 - 220892889*x^8 - 1510789*x^7 + 43150021*x^6 - 4453842*x^5 - 3296851*x^4 + 805617*x^3 - 64191*x^2 - 159*x + 10, -3*x^36 - 3*x^35 + 168*x^34 + 159*x^33 - 4275*x^32 - 3809*x^31 + 65450*x^30 + 54561*x^29 - 672862*x^28 - 520932*x^27 + 4909556*x^26 + 3498139*x^25 - 26204909*x^24 - 16988423*x^23 + 103940833*x^22 + 60409766*x^21 - 308176618*x^20 - 157438048*x^19 + 681586959*x^18 + 297865014*x^17 - 1113746493*x^16 - 400352551*x^15 + 1320727508*x^14 + 367420391*x^13 - 1104537270*x^12 - 213346646*x^11 + 623215024*x^10 + 64563539*x^9 - 220892889*x^8 - 1510789*x^7 + 43150021*x^6 - 4453842*x^5 - 3296851*x^4 + 805617*x^3 - 64191*x^2 - 159*x + 10, 2*x^36 - 3*x^35 - 110*x^34 + 162*x^33 + 2746*x^32 - 3958*x^31 - 41195*x^30 + 57912*x^29 + 414482*x^28 - 566179*x^27 - 2956064*x^26 + 3908072*x^25 + 15400235*x^24 - 19624647*x^23 - 59516342*x^22 + 72810151*x^21 + 171509837*x^20 - 200695177*x^19 - 367319782*x^18 + 409944568*x^17 + 577883915*x^16 - 614107874*x^15 - 653896184*x^14 + 661805694*x^13 + 514765695*x^12 - 497580513*x^11 - 267957355*x^10 + 249130046*x^9 + 85026598*x^8 - 77494277*x^7 - 14057383*x^6 + 13464663*x^5 + 666160*x^4 - 1051244*x^3 + 65087*x^2 + 10348*x + 122, 2*x^36 - 3*x^35 - 110*x^34 + 162*x^33 + 2746*x^32 - 3958*x^31 - 41195*x^30 + 57912*x^29 + 414482*x^28 - 566179*x^27 - 2956064*x^26 + 3908072*x^25 + 15400235*x^24 - 19624647*x^23 - 59516342*x^22 + 72810151*x^21 + 171509837*x^20 - 200695177*x^19 - 367319782*x^18 + 409944568*x^17 + 577883915*x^16 - 614107874*x^15 - 653896184*x^14 + 661805694*x^13 + 514765695*x^12 - 497580513*x^11 - 267957355*x^10 + 249130046*x^9 + 85026598*x^8 - 77494277*x^7 - 14057383*x^6 + 13464663*x^5 + 666160*x^4 - 1051244*x^3 + 65087*x^2 + 10348*x + 122, -2*x^35 + 112*x^33 + 4*x^32 - 2843*x^31 - 201*x^30 + 43302*x^29 + 4529*x^28 - 441518*x^27 - 60371*x^26 + 3183575*x^25 + 528913*x^24 - 16717520*x^23 - 3199999*x^22 + 64867448*x^21 + 13671403*x^20 - 186752741*x^19 - 41443699*x^18 + 397137218*x^17 + 88254795*x^16 - 615876398*x^15 - 128566324*x^14 + 681406312*x^13 + 121793913*x^12 - 520319277*x^11 - 68043780*x^10 + 261224895*x^9 + 17546295*x^8 - 80282575*x^7 + 245828*x^6 + 13531422*x^5 - 873201*x^4 - 973014*x^3 + 101058*x^2 + 6484*x + 69, -2*x^35 + 112*x^33 + 4*x^32 - 2843*x^31 - 201*x^30 + 43302*x^29 + 4529*x^28 - 441518*x^27 - 60371*x^26 + 3183575*x^25 + 528913*x^24 - 16717520*x^23 - 3199999*x^22 + 64867448*x^21 + 13671403*x^20 - 186752741*x^19 - 41443699*x^18 + 397137218*x^17 + 88254795*x^16 - 615876398*x^15 - 128566324*x^14 + 681406312*x^13 + 121793913*x^12 - 520319277*x^11 - 68043780*x^10 + 261224895*x^9 + 17546295*x^8 - 80282575*x^7 + 245828*x^6 + 13531422*x^5 - 873201*x^4 - 973014*x^3 + 101058*x^2 + 6484*x + 69, -3*x^35 + 2*x^34 + 166*x^33 - 106*x^32 - 4160*x^31 + 2549*x^30 + 62468*x^29 - 36824*x^28 - 626679*x^27 + 356679*x^26 + 4432849*x^25 - 2448042*x^24 - 22740949*x^23 + 12266760*x^22 + 85703547*x^21 - 45549151*x^20 - 237670203*x^19 + 125837184*x^18 + 480978964*x^17 - 257141477*x^16 - 696790649*x^15 + 382152632*x^14 + 698562548*x^13 - 400246628*x^12 - 457365862*x^11 + 280030524*x^10 + 175302325*x^9 - 119371552*x^8 - 29754266*x^7 + 25832083*x^6 - 557831*x^5 - 1503513*x^4 + 424323*x^3 - 161933*x^2 + 22740*x + 333, -3*x^35 + 2*x^34 + 166*x^33 - 106*x^32 - 4160*x^31 + 2549*x^30 + 62468*x^29 - 36824*x^28 - 626679*x^27 + 356679*x^26 + 4432849*x^25 - 2448042*x^24 - 22740949*x^23 + 12266760*x^22 + 85703547*x^21 - 45549151*x^20 - 237670203*x^19 + 125837184*x^18 + 480978964*x^17 - 257141477*x^16 - 696790649*x^15 + 382152632*x^14 + 698562548*x^13 - 400246628*x^12 - 457365862*x^11 + 280030524*x^10 + 175302325*x^9 - 119371552*x^8 - 29754266*x^7 + 25832083*x^6 - 557831*x^5 - 1503513*x^4 + 424323*x^3 - 161933*x^2 + 22740*x + 333, x^36 - 3*x^35 - 59*x^34 + 169*x^33 + 1589*x^32 - 4314*x^31 - 25879*x^30 + 66041*x^29 + 284625*x^28 - 676309*x^27 - 2235764*x^26 + 4893761*x^25 + 12935463*x^24 - 25768243*x^23 - 56022459*x^22 + 100209639*x^21 + 182703749*x^20 - 289222278*x^19 - 447518752*x^18 + 617672776*x^17 + 814246068*x^16 - 966378044*x^15 - 1077819705*x^14 + 1088955468*x^13 + 1003526382*x^12 - 862060913*x^11 - 622882396*x^10 + 462632242*x^9 + 235312962*x^8 - 159161239*x^7 - 44798181*x^6 + 31512904*x^5 + 1965271*x^4 - 2666801*x^3 + 322043*x^2 - 5944*x - 142, x^36 - 3*x^35 - 59*x^34 + 169*x^33 + 1589*x^32 - 4314*x^31 - 25879*x^30 + 66041*x^29 + 284625*x^28 - 676309*x^27 - 2235764*x^26 + 4893761*x^25 + 12935463*x^24 - 25768243*x^23 - 56022459*x^22 + 100209639*x^21 + 182703749*x^20 - 289222278*x^19 - 447518752*x^18 + 617672776*x^17 + 814246068*x^16 - 966378044*x^15 - 1077819705*x^14 + 1088955468*x^13 + 1003526382*x^12 - 862060913*x^11 - 622882396*x^10 + 462632242*x^9 + 235312962*x^8 - 159161239*x^7 - 44798181*x^6 + 31512904*x^5 + 1965271*x^4 - 2666801*x^3 + 322043*x^2 - 5944*x - 142, x^36 - 2*x^35 - 54*x^34 + 108*x^33 + 1313*x^32 - 2638*x^31 - 18989*x^30 + 38579*x^29 + 181663*x^28 - 376907*x^27 - 1208296*x^26 + 2599486*x^25 + 5704347*x^24 - 13041812*x^23 - 19078335*x^22 + 48335662*x^21 + 43802003*x^20 - 133012572*x^19 - 62238020*x^18 + 270765873*x^17 + 31585240*x^16 - 402466706*x^15 + 66177376*x^14 + 426225527*x^13 - 163658774*x^12 - 308654757*x^11 + 169090141*x^10 + 142754142*x^9 - 95190538*x^8 - 37221368*x^7 + 28916220*x^6 + 3943948*x^5 - 4229717*x^4 + 95802*x^3 + 208341*x^2 - 22749*x - 338, x^36 - 2*x^35 - 54*x^34 + 108*x^33 + 1313*x^32 - 2638*x^31 - 18989*x^30 + 38579*x^29 + 181663*x^28 - 376907*x^27 - 1208296*x^26 + 2599486*x^25 + 5704347*x^24 - 13041812*x^23 - 19078335*x^22 + 48335662*x^21 + 43802003*x^20 - 133012572*x^19 - 62238020*x^18 + 270765873*x^17 + 31585240*x^16 - 402466706*x^15 + 66177376*x^14 + 426225527*x^13 - 163658774*x^12 - 308654757*x^11 + 169090141*x^10 + 142754142*x^9 - 95190538*x^8 - 37221368*x^7 + 28916220*x^6 + 3943948*x^5 - 4229717*x^4 + 95802*x^3 + 208341*x^2 - 22749*x - 338, x^35 - x^34 - 55*x^33 + 54*x^32 + 1370*x^31 - 1301*x^30 - 20464*x^29 + 18462*x^28 + 204634*x^27 - 171501*x^26 - 1448777*x^25 + 1095518*x^24 + 7493486*x^23 - 4913172*x^22 - 28822207*x^21 + 15475213*x^20 + 83196669*x^19 - 33489626*x^18 - 180792244*x^17 + 46832686*x^16 + 295219902*x^15 - 35136583*x^14 - 359473394*x^13 + 791860*x^12 + 320621856*x^11 + 21660001*x^10 - 201657573*x^9 - 14579606*x^8 + 82923658*x^7 + 1070656*x^6 - 19267615*x^5 + 1695385*x^4 + 1831160*x^3 - 371881*x^2 + 11033*x + 220, x^35 - x^34 - 55*x^33 + 54*x^32 + 1370*x^31 - 1301*x^30 - 20464*x^29 + 18462*x^28 + 204634*x^27 - 171501*x^26 - 1448777*x^25 + 1095518*x^24 + 7493486*x^23 - 4913172*x^22 - 28822207*x^21 + 15475213*x^20 + 83196669*x^19 - 33489626*x^18 - 180792244*x^17 + 46832686*x^16 + 295219902*x^15 - 35136583*x^14 - 359473394*x^13 + 791860*x^12 + 320621856*x^11 + 21660001*x^10 - 201657573*x^9 - 14579606*x^8 + 82923658*x^7 + 1070656*x^6 - 19267615*x^5 + 1695385*x^4 + 1831160*x^3 - 371881*x^2 + 11033*x + 220, -3*x^34 + 164*x^32 + 5*x^31 - 4049*x^30 - 235*x^29 + 59721*x^28 + 4922*x^27 - 586576*x^26 - 60531*x^25 + 4048081*x^24 + 484631*x^23 - 20184117*x^22 - 2645522*x^21 + 73629768*x^20 + 10013844*x^19 - 196792438*x^18 - 26154689*x^17 + 382205931*x^16 + 45782115*x^15 - 529597509*x^14 - 49978202*x^13 + 507587790*x^12 + 27624772*x^11 - 320208652*x^10 + 586998*x^9 + 122322574*x^8 - 9293579*x^7 - 24119409*x^6 + 4132455*x^5 + 1563097*x^4 - 481638*x^3 + 63537*x^2 - 8882*x - 134, -3*x^34 + 164*x^32 + 5*x^31 - 4049*x^30 - 235*x^29 + 59721*x^28 + 4922*x^27 - 586576*x^26 - 60531*x^25 + 4048081*x^24 + 484631*x^23 - 20184117*x^22 - 2645522*x^21 + 73629768*x^20 + 10013844*x^19 - 196792438*x^18 - 26154689*x^17 + 382205931*x^16 + 45782115*x^15 - 529597509*x^14 - 49978202*x^13 + 507587790*x^12 + 27624772*x^11 - 320208652*x^10 + 586998*x^9 + 122322574*x^8 - 9293579*x^7 - 24119409*x^6 + 4132455*x^5 + 1563097*x^4 - 481638*x^3 + 63537*x^2 - 8882*x - 134, x^35 - 2*x^34 - 49*x^33 + 101*x^32 + 1068*x^31 - 2292*x^30 - 13607*x^29 + 30910*x^28 + 111663*x^27 - 276124*x^26 - 608790*x^25 + 1724508*x^24 + 2149098*x^23 - 7748390*x^22 - 4148242*x^21 + 25396145*x^20 - 731928*x^19 - 60929631*x^18 + 30557036*x^17 + 106388618*x^16 - 97187182*x^15 - 133018122*x^14 + 170624300*x^13 + 115377857*x^12 - 187709671*x^11 - 65409328*x^10 + 130320561*x^9 + 21359465*x^8 - 54726264*x^7 - 2558716*x^6 + 12637065*x^5 - 464092*x^4 - 1285793*x^3 + 121101*x^2 + 20270*x + 248, x^35 - 2*x^34 - 49*x^33 + 101*x^32 + 1068*x^31 - 2292*x^30 - 13607*x^29 + 30910*x^28 + 111663*x^27 - 276124*x^26 - 608790*x^25 + 1724508*x^24 + 2149098*x^23 - 7748390*x^22 - 4148242*x^21 + 25396145*x^20 - 731928*x^19 - 60929631*x^18 + 30557036*x^17 + 106388618*x^16 - 97187182*x^15 - 133018122*x^14 + 170624300*x^13 + 115377857*x^12 - 187709671*x^11 - 65409328*x^10 + 130320561*x^9 + 21359465*x^8 - 54726264*x^7 - 2558716*x^6 + 12637065*x^5 - 464092*x^4 - 1285793*x^3 + 121101*x^2 + 20270*x + 248, x^37 - 58*x^35 - 2*x^34 + 1534*x^33 + 107*x^32 - 24512*x^31 - 2567*x^30 + 264305*x^29 + 36472*x^28 - 2034340*x^27 - 341417*x^26 + 11530609*x^25 + 2216382*x^24 - 48937970*x^23 - 10226416*x^22 + 156591688*x^21 + 33802435*x^20 - 377321279*x^19 - 79584558*x^18 + 678652674*x^17 + 130752359*x^16 - 895501006*x^15 - 143656387*x^14 + 843012796*x^13 + 96476683*x^12 - 542678542*x^11 - 30244283*x^10 + 224367178*x^9 - 3271229*x^8 - 54367532*x^7 + 5146782*x^6 + 6706882*x^5 - 1118918*x^4 - 310441*x^3 + 54896*x^2 + 4429*x + 45, x^37 - 58*x^35 - 2*x^34 + 1534*x^33 + 107*x^32 - 24512*x^31 - 2567*x^30 + 264305*x^29 + 36472*x^28 - 2034340*x^27 - 341417*x^26 + 11530609*x^25 + 2216382*x^24 - 48937970*x^23 - 10226416*x^22 + 156591688*x^21 + 33802435*x^20 - 377321279*x^19 - 79584558*x^18 + 678652674*x^17 + 130752359*x^16 - 895501006*x^15 - 143656387*x^14 + 843012796*x^13 + 96476683*x^12 - 542678542*x^11 - 30244283*x^10 + 224367178*x^9 - 3271229*x^8 - 54367532*x^7 + 5146782*x^6 + 6706882*x^5 - 1118918*x^4 - 310441*x^3 + 54896*x^2 + 4429*x + 45, x^37 + x^36 - 59*x^35 - 59*x^34 + 1590*x^33 + 1588*x^32 - 25930*x^31 - 25826*x^30 + 285775*x^29 + 283315*x^28 - 2251007*x^27 - 2215987*x^26 + 13069026*x^25 + 12734446*x^24 - 56851274*x^23 - 54586324*x^22 + 186535743*x^21 + 175357282*x^20 - 461249639*x^19 - 420501478*x^18 + 853176901*x^17 + 743320840*x^16 - 1164383160*x^15 - 947331824*x^14 + 1148744023*x^13 + 840713447*x^12 - 796423583*x^11 - 492598417*x^10 + 373369222*x^9 + 175074858*x^8 - 112252628*x^7 - 32460218*x^6 + 19972722*x^5 + 2122827*x^4 - 1692768*x^3 + 63173*x^2 + 23493*x + 292, x^37 + x^36 - 59*x^35 - 59*x^34 + 1590*x^33 + 1588*x^32 - 25930*x^31 - 25826*x^30 + 285775*x^29 + 283315*x^28 - 2251007*x^27 - 2215987*x^26 + 13069026*x^25 + 12734446*x^24 - 56851274*x^23 - 54586324*x^22 + 186535743*x^21 + 175357282*x^20 - 461249639*x^19 - 420501478*x^18 + 853176901*x^17 + 743320840*x^16 - 1164383160*x^15 - 947331824*x^14 + 1148744023*x^13 + 840713447*x^12 - 796423583*x^11 - 492598417*x^10 + 373369222*x^9 + 175074858*x^8 - 112252628*x^7 - 32460218*x^6 + 19972722*x^5 + 2122827*x^4 - 1692768*x^3 + 63173*x^2 + 23493*x + 292, x^34 - 2*x^33 - 53*x^32 + 106*x^31 + 1265*x^30 - 2512*x^29 - 17975*x^28 + 35181*x^27 + 169366*x^26 - 324237*x^25 - 1115408*x^24 + 2072201*x^23 + 5271835*x^22 - 9428257*x^21 - 18066773*x^20 + 30863921*x^19 + 44800565*x^18 - 72618344*x^17 - 79282339*x^16 + 121411025*x^15 + 97466675*x^14 - 140996556*x^13 - 79716390*x^12 + 109532438*x^11 + 40765126*x^10 - 53566749*x^9 - 12244601*x^8 + 14928436*x^7 + 2419781*x^6 - 2011527*x^5 - 541222*x^4 + 120852*x^3 + 89514*x^2 - 13992*x - 199, x^34 - 2*x^33 - 53*x^32 + 106*x^31 + 1265*x^30 - 2512*x^29 - 17975*x^28 + 35181*x^27 + 169366*x^26 - 324237*x^25 - 1115408*x^24 + 2072201*x^23 + 5271835*x^22 - 9428257*x^21 - 18066773*x^20 + 30863921*x^19 + 44800565*x^18 - 72618344*x^17 - 79282339*x^16 + 121411025*x^15 + 97466675*x^14 - 140996556*x^13 - 79716390*x^12 + 109532438*x^11 + 40765126*x^10 - 53566749*x^9 - 12244601*x^8 + 14928436*x^7 + 2419781*x^6 - 2011527*x^5 - 541222*x^4 + 120852*x^3 + 89514*x^2 - 13992*x - 199, x^36 + x^35 - 56*x^34 - 56*x^33 + 1419*x^32 + 1436*x^31 - 21528*x^30 - 22328*x^29 + 218080*x^28 + 234836*x^27 - 1557772*x^26 - 1763820*x^25 + 8079981*x^24 + 9732147*x^23 - 30894043*x^22 - 39963978*x^21 + 87592039*x^20 + 122399194*x^19 - 184149110*x^18 - 277686188*x^17 + 286247446*x^16 + 459328790*x^15 - 328373745*x^14 - 539617896*x^13 + 278544333*x^12 + 432446840*x^11 - 174378919*x^10 - 222237752*x^9 + 77621964*x^8 + 66424795*x^7 - 21933224*x^6 - 9824510*x^5 + 3245583*x^4 + 480281*x^3 - 179539*x^2 + 7728*x + 130, x^36 + x^35 - 56*x^34 - 56*x^33 + 1419*x^32 + 1436*x^31 - 21528*x^30 - 22328*x^29 + 218080*x^28 + 234836*x^27 - 1557772*x^26 - 1763820*x^25 + 8079981*x^24 + 9732147*x^23 - 30894043*x^22 - 39963978*x^21 + 87592039*x^20 + 122399194*x^19 - 184149110*x^18 - 277686188*x^17 + 286247446*x^16 + 459328790*x^15 - 328373745*x^14 - 539617896*x^13 + 278544333*x^12 + 432446840*x^11 - 174378919*x^10 - 222237752*x^9 + 77621964*x^8 + 66424795*x^7 - 21933224*x^6 - 9824510*x^5 + 3245583*x^4 + 480281*x^3 - 179539*x^2 + 7728*x + 130, x^36 + x^35 - 57*x^34 - 55*x^33 + 1486*x^32 + 1352*x^31 - 23472*x^30 - 19574*x^29 + 250775*x^28 + 184895*x^27 - 1915471*x^26 - 1189395*x^25 + 10776846*x^24 + 5246345*x^23 - 45333962*x^22 - 15307542*x^21 + 143227431*x^20 + 25327840*x^19 - 338425758*x^18 - 2753462*x^17 + 590334177*x^16 - 97056961*x^15 - 742541916*x^14 + 250237813*x^13 + 648067141*x^12 - 328988064*x^11 - 368291827*x^10 + 251092224*x^9 + 121337012*x^8 - 108748388*x^7 - 17103962*x^6 + 24255787*x^5 - 850588*x^4 - 2142316*x^3 + 353161*x^2 - 1300*x - 89, x^36 + x^35 - 57*x^34 - 55*x^33 + 1486*x^32 + 1352*x^31 - 23472*x^30 - 19574*x^29 + 250775*x^28 + 184895*x^27 - 1915471*x^26 - 1189395*x^25 + 10776846*x^24 + 5246345*x^23 - 45333962*x^22 - 15307542*x^21 + 143227431*x^20 + 25327840*x^19 - 338425758*x^18 - 2753462*x^17 + 590334177*x^16 - 97056961*x^15 - 742541916*x^14 + 250237813*x^13 + 648067141*x^12 - 328988064*x^11 - 368291827*x^10 + 251092224*x^9 + 121337012*x^8 - 108748388*x^7 - 17103962*x^6 + 24255787*x^5 - 850588*x^4 - 2142316*x^3 + 353161*x^2 - 1300*x - 89, x^38 - 61*x^36 + x^35 + 1705*x^34 - 54*x^33 - 28949*x^32 + 1325*x^31 + 333734*x^30 - 19581*x^29 - 2766047*x^28 + 194778*x^27 + 17024645*x^26 - 1380845*x^25 - 79259787*x^24 + 7206625*x^23 + 281695039*x^22 - 28205950*x^21 - 765970842*x^20 + 83562780*x^19 + 1587264164*x^18 - 187801097*x^17 - 2481483644*x^16 + 318804513*x^15 + 2876927463*x^14 - 404149743*x^13 - 2408490306*x^12 + 374741252*x^11 + 1397638824*x^10 - 245180769*x^9 - 526205882*x^8 + 106064897*x^7 + 114095815*x^6 - 26725774*x^5 - 10931164*x^4 + 2977685*x^3 + 107250*x^2 - 39419*x - 534, x^38 - 61*x^36 + x^35 + 1705*x^34 - 54*x^33 - 28949*x^32 + 1325*x^31 + 333734*x^30 - 19581*x^29 - 2766047*x^28 + 194778*x^27 + 17024645*x^26 - 1380845*x^25 - 79259787*x^24 + 7206625*x^23 + 281695039*x^22 - 28205950*x^21 - 765970842*x^20 + 83562780*x^19 + 1587264164*x^18 - 187801097*x^17 - 2481483644*x^16 + 318804513*x^15 + 2876927463*x^14 - 404149743*x^13 - 2408490306*x^12 + 374741252*x^11 + 1397638824*x^10 - 245180769*x^9 - 526205882*x^8 + 106064897*x^7 + 114095815*x^6 - 26725774*x^5 - 10931164*x^4 + 2977685*x^3 + 107250*x^2 - 39419*x - 534, x^38 - 61*x^36 + 2*x^35 + 1703*x^34 - 110*x^33 - 28831*x^32 + 2742*x^31 + 330590*x^30 - 41039*x^29 - 2715985*x^28 + 411927*x^27 + 16493309*x^26 - 2934066*x^25 - 75290067*x^24 + 15306762*x^23 + 260200402*x^22 - 59514123*x^21 - 680408924*x^20 + 173760733*x^19 + 1335916399*x^18 - 380621934*x^17 - 1939289240*x^16 + 619518042*x^15 + 2029898471*x^14 - 734256103*x^13 - 1473478256*x^12 + 612479923*x^11 + 696877498*x^10 - 341048506*x^9 - 192136948*x^8 + 117013778*x^7 + 23516720*x^6 - 21793843*x^5 + 414122*x^4 + 1660139*x^3 - 248021*x^2 - 452*x + 46, x^38 - 61*x^36 + 2*x^35 + 1703*x^34 - 110*x^33 - 28831*x^32 + 2742*x^31 + 330590*x^30 - 41039*x^29 - 2715985*x^28 + 411927*x^27 + 16493309*x^26 - 2934066*x^25 - 75290067*x^24 + 15306762*x^23 + 260200402*x^22 - 59514123*x^21 - 680408924*x^20 + 173760733*x^19 + 1335916399*x^18 - 380621934*x^17 - 1939289240*x^16 + 619518042*x^15 + 2029898471*x^14 - 734256103*x^13 - 1473478256*x^12 + 612479923*x^11 + 696877498*x^10 - 341048506*x^9 - 192136948*x^8 + 117013778*x^7 + 23516720*x^6 - 21793843*x^5 + 414122*x^4 + 1660139*x^3 - 248021*x^2 - 452*x + 46, x^37 - 58*x^35 + 2*x^34 + 1529*x^33 - 104*x^32 - 24250*x^31 + 2445*x^30 + 258118*x^29 - 34401*x^28 - 1947301*x^27 + 323152*x^26 + 10718153*x^25 - 2140217*x^24 - 43633874*x^23 + 10283156*x^22 + 131721788*x^21 - 36303450*x^20 - 292673619*x^19 + 94229196*x^18 + 469793152*x^17 - 177838073*x^16 - 526536686*x^15 + 238060603*x^14 + 387779914*x^13 - 216412161*x^12 - 166012711*x^11 + 124394074*x^10 + 28187313*x^9 - 40332611*x^8 + 3891506*x^7 + 6208796*x^6 - 1742589*x^5 - 364516*x^4 + 131617*x^3 + 26448*x^2 - 9603*x - 131, x^37 - 58*x^35 + 2*x^34 + 1529*x^33 - 104*x^32 - 24250*x^31 + 2445*x^30 + 258118*x^29 - 34401*x^28 - 1947301*x^27 + 323152*x^26 + 10718153*x^25 - 2140217*x^24 - 43633874*x^23 + 10283156*x^22 + 131721788*x^21 - 36303450*x^20 - 292673619*x^19 + 94229196*x^18 + 469793152*x^17 - 177838073*x^16 - 526536686*x^15 + 238060603*x^14 + 387779914*x^13 - 216412161*x^12 - 166012711*x^11 + 124394074*x^10 + 28187313*x^9 - 40332611*x^8 + 3891506*x^7 + 6208796*x^6 - 1742589*x^5 - 364516*x^4 + 131617*x^3 + 26448*x^2 - 9603*x - 131, x^36 - 55*x^34 - 3*x^33 + 1369*x^32 + 152*x^31 - 20408*x^30 - 3482*x^29 + 203240*x^28 + 47679*x^27 - 1428382*x^26 - 434683*x^25 + 7298014*x^24 + 2781784*x^23 - 27526789*x^22 - 12838679*x^21 + 77088469*x^20 + 43236706*x^19 - 160027312*x^18 - 106317629*x^17 + 244271539*x^16 + 189168599*x^15 - 270295818*x^14 - 238891964*x^13 + 212382119*x^12 + 207388612*x^11 - 115331468*x^10 - 117773535*x^9 + 41997443*x^8 + 40482337*x^7 - 10075901*x^6 - 7385751*x^5 + 1595139*x^4 + 539315*x^3 - 133227*x^2 + 1374*x + 43, x^36 - 55*x^34 - 3*x^33 + 1369*x^32 + 152*x^31 - 20408*x^30 - 3482*x^29 + 203240*x^28 + 47679*x^27 - 1428382*x^26 - 434683*x^25 + 7298014*x^24 + 2781784*x^23 - 27526789*x^22 - 12838679*x^21 + 77088469*x^20 + 43236706*x^19 - 160027312*x^18 - 106317629*x^17 + 244271539*x^16 + 189168599*x^15 - 270295818*x^14 - 238891964*x^13 + 212382119*x^12 + 207388612*x^11 - 115331468*x^10 - 117773535*x^9 + 41997443*x^8 + 40482337*x^7 - 10075901*x^6 - 7385751*x^5 + 1595139*x^4 + 539315*x^3 - 133227*x^2 + 1374*x + 43, x^37 - 59*x^35 + 3*x^34 + 1591*x^33 - 168*x^32 - 25976*x^31 + 4246*x^30 + 286710*x^29 - 64095*x^28 - 2261970*x^27 + 644501*x^26 + 13149456*x^25 - 4558144*x^24 - 57215207*x^23 + 23334891*x^22 + 187339651*x^21 - 87660344*x^20 - 460093024*x^19 + 242325279*x^18 + 837463329*x^17 - 489693025*x^16 - 1104683524*x^15 + 711629680*x^14 + 1017060737*x^13 - 722910254*x^12 - 613028996*x^11 + 490880471*x^10 + 213254203*x^9 - 207729817*x^8 - 28802493*x^7 + 48747727*x^6 - 3663143*x^5 - 4923807*x^4 + 1158673*x^3 + 57138*x^2 - 28087*x - 378, x^37 - 59*x^35 + 3*x^34 + 1591*x^33 - 168*x^32 - 25976*x^31 + 4246*x^30 + 286710*x^29 - 64095*x^28 - 2261970*x^27 + 644501*x^26 + 13149456*x^25 - 4558144*x^24 - 57215207*x^23 + 23334891*x^22 + 187339651*x^21 - 87660344*x^20 - 460093024*x^19 + 242325279*x^18 + 837463329*x^17 - 489693025*x^16 - 1104683524*x^15 + 711629680*x^14 + 1017060737*x^13 - 722910254*x^12 - 613028996*x^11 + 490880471*x^10 + 213254203*x^9 - 207729817*x^8 - 28802493*x^7 + 48747727*x^6 - 3663143*x^5 - 4923807*x^4 + 1158673*x^3 + 57138*x^2 - 28087*x - 378, x^39 - 63*x^37 + x^36 + 1821*x^35 - 54*x^34 - 32012*x^33 + 1322*x^32 + 382496*x^31 - 19459*x^30 - 3288470*x^29 + 192707*x^28 + 21006286*x^27 - 1362580*x^26 - 101508549*x^25 + 7130460*x^24 + 374266883*x^23 - 28262690*x^22 - 1054284318*x^21 + 86063795*x^20 + 2257259062*x^19 - 202445735*x^18 - 3629929470*x^17 + 365890227*x^16 + 4298965155*x^15 - 498553959*x^14 - 3639283016*x^13 + 494676730*x^12 + 2106330077*x^11 - 339330560*x^10 - 778760373*x^9 + 149668737*x^8 + 164571841*x^7 - 38081352*x^6 - 15895457*x^5 + 4461119*x^4 + 286074*x^3 - 120763*x^2 + 4640*x + 86, x^39 - 63*x^37 + x^36 + 1821*x^35 - 54*x^34 - 32012*x^33 + 1322*x^32 + 382496*x^31 - 19459*x^30 - 3288470*x^29 + 192707*x^28 + 21006286*x^27 - 1362580*x^26 - 101508549*x^25 + 7130460*x^24 + 374266883*x^23 - 28262690*x^22 - 1054284318*x^21 + 86063795*x^20 + 2257259062*x^19 - 202445735*x^18 - 3629929470*x^17 + 365890227*x^16 + 4298965155*x^15 - 498553959*x^14 - 3639283016*x^13 + 494676730*x^12 + 2106330077*x^11 - 339330560*x^10 - 778760373*x^9 + 149668737*x^8 + 164571841*x^7 - 38081352*x^6 - 15895457*x^5 + 4461119*x^4 + 286074*x^3 - 120763*x^2 + 4640*x + 86]>
       ]
>;

MOG[811] := 	// J_0(811)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [65, 89, 106, 120, 266, 373, 402, 480, 483, 501, 561, 680, 755, 803, 54*x + 531, 757*x + 531, 55*x + 442, 756*x + 442, 460*x + 425, 351*x + 425, 279*x + 92, 532*x + 92, 509*x + 145, 302*x + 145, 633*x + 190, 178*x + 190, 226*x + 724, 585*x + 724, 268*x + 581, 543*x + 581, 35*x + 247, 776*x + 247, 467*x + 619, 344*x + 619, 458*x + 256, 353*x + 256, 627*x + 18, 184*x + 18, 125*x + 228, 686*x + 228, 563*x + 704, 248*x + 704, 128*x + 392, 683*x + 392, 84*x + 692, 727*x + 692, 85*x + 3, 726*x + 3, 708*x + 521, 103*x + 521, 182*x + 126, 629*x + 126, 310*x + 313, 501*x + 313, 159*x + 725, 652*x + 725, 285*x + 335, 526*x + 335, 779*x + 502, 32*x + 502, 613*x + 191, 198*x + 191, 247*x + 115, 564*x + 115, 313*x + 778, 498*x + 778, 603*x + 641, 208*x + 641]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, 0, 0, 0, 0, 0, 0, 1, -1, 0, 0, 1, -1, 0, 0, 0, 0, 0, 0, 1, -1, -1, 1, 1, -1, -1, 1, 0, 0, 0, 0, 0, 0, -1, 1, 0, 0, 0, 0, 0, 0, -1, 1, 1, -1, 0, 0, -1, 1, -1, 1, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^26 + 6*x^25 - 18*x^24 - 166*x^23 + 54*x^22 + 1961*x^21 + 1151*x^20 - 12950*x^19 - 13907*x^18 + 52485*x^17 + 74194*x^16 - 134504*x^15 - 231366*x^14 + 214851*x^13 + 450225*x^12 - 197367*x^11 - 548650*x^10 + 74617*x^9 + 402081*x^8 + 24909*x^7 - 159752*x^6 - 31056*x^5 + 26620*x^4 + 7427*x^3 - 633*x^2 - 274*x - 12,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^24 - 6*x^23 + 14*x^22 + 142*x^21 - x^20 - 1410*x^19 - 1119*x^18 + 7658*x^17 + 9439*x^16 - 24808*x^15 - 38654*x^14 + 48803*x^13 + 92112*x^12 - 56001*x^11 - 132782*x^10 + 31688*x^9 + 113500*x^8 - 1481*x^7 - 53117*x^6 - 6784*x^5 + 11268*x^4 + 2359*x^3 - 689*x^2 - 190*x - 7, x^24 + 6*x^23 - 14*x^22 - 142*x^21 + x^20 + 1410*x^19 + 1119*x^18 - 7658*x^17 - 9439*x^16 + 24808*x^15 + 38654*x^14 - 48803*x^13 - 92112*x^12 + 56001*x^11 + 132782*x^10 - 31688*x^9 - 113500*x^8 + 1481*x^7 + 53117*x^6 + 6784*x^5 - 11268*x^4 - 2359*x^3 + 689*x^2 + 190*x + 7, -x^25 - 6*x^24 + 15*x^23 + 148*x^22 - 12*x^21 - 1535*x^20 - 1153*x^19 + 8725*x^18 + 10534*x^17 - 29621*x^16 - 45810*x^15 + 61068*x^14 + 115617*x^13 - 73169*x^12 - 176761*x^11 + 42365*x^10 + 161120*x^9 - 23*x^8 - 81689*x^7 - 12267*x^6 + 19651*x^5 + 4813*x^4 - 1510*x^3 - 532*x^2 - 35*x, x^25 + 6*x^24 - 15*x^23 - 148*x^22 + 12*x^21 + 1535*x^20 + 1153*x^19 - 8725*x^18 - 10534*x^17 + 29621*x^16 + 45810*x^15 - 61068*x^14 - 115617*x^13 + 73169*x^12 + 176761*x^11 - 42365*x^10 - 161120*x^9 + 23*x^8 + 81689*x^7 + 12267*x^6 - 19651*x^5 - 4813*x^4 + 1510*x^3 + 532*x^2 + 35*x, -x^23 - 6*x^22 + 11*x^21 + 125*x^20 + 34*x^19 - 1067*x^18 - 1095*x^17 + 4813*x^16 + 7156*x^15 - 12265*x^14 - 23505*x^13 + 17168*x^12 + 43979*x^11 - 10677*x^10 - 47620*x^9 - 1458*x^8 + 28572*x^7 + 5483*x^6 - 8383*x^5 - 2454*x^4 + 821*x^3 + 342*x^2 + 28*x, x^23 + 6*x^22 - 11*x^21 - 125*x^20 - 34*x^19 + 1067*x^18 + 1095*x^17 - 4813*x^16 - 7156*x^15 + 12265*x^14 + 23505*x^13 - 17168*x^12 - 43979*x^11 + 10677*x^10 + 47620*x^9 + 1458*x^8 - 28572*x^7 - 5483*x^6 + 8383*x^5 + 2454*x^4 - 821*x^3 - 342*x^2 - 28*x, -x^24 - 6*x^23 + 14*x^22 + 142*x^21 - 1404*x^19 - 1128*x^18 + 7547*x^17 + 9399*x^16 - 23973*x^15 - 37822*x^14 + 45499*x^13 + 87669*x^12 - 48624*x^11 - 120892*x^10 + 22557*x^9 + 95940*x^8 + 3973*x^7 - 38987*x^6 - 7390*x^5 + 5608*x^4 + 1633*x^3 + 203*x^2 + 28*x, x^24 + 6*x^23 - 14*x^22 - 142*x^21 + 1404*x^19 + 1128*x^18 - 7547*x^17 - 9399*x^16 + 23973*x^15 + 37822*x^14 - 45499*x^13 - 87669*x^12 + 48624*x^11 + 120892*x^10 - 22557*x^9 - 95940*x^8 - 3973*x^7 + 38987*x^6 + 7390*x^5 - 5608*x^4 - 1633*x^3 - 203*x^2 - 28*x, -x^24 - 6*x^23 + 14*x^22 + 142*x^21 - x^20 - 1411*x^19 - 1126*x^18 + 7659*x^17 + 9546*x^16 - 24655*x^15 - 39273*x^14 + 47380*x^13 + 93683*x^12 - 50377*x^11 - 133856*x^10 + 20349*x^9 + 110952*x^8 + 10150*x^7 - 47997*x^6 - 12069*x^5 + 8234*x^4 + 2903*x^3 - 182*x^2 - 112*x - 5, x^24 + 6*x^23 - 14*x^22 - 142*x^21 + x^20 + 1411*x^19 + 1126*x^18 - 7659*x^17 - 9546*x^16 + 24655*x^15 + 39273*x^14 - 47380*x^13 - 93683*x^12 + 50377*x^11 + 133856*x^10 - 20349*x^9 - 110952*x^8 - 10150*x^7 + 47997*x^6 + 12069*x^5 - 8234*x^4 - 2903*x^3 + 182*x^2 + 112*x + 5, -2*x^22 - 12*x^21 + 20*x^20 + 237*x^19 + 77*x^18 - 1920*x^17 - 1983*x^16 + 8233*x^15 + 11965*x^14 - 20028*x^13 - 36475*x^12 + 27133*x^11 + 62834*x^10 - 17502*x^9 - 61253*x^8 + 1007*x^7 + 31324*x^6 + 4199*x^5 - 6829*x^4 - 1394*x^3 + 353*x^2 + 78*x, 2*x^22 + 12*x^21 - 20*x^20 - 237*x^19 - 77*x^18 + 1920*x^17 + 1983*x^16 - 8233*x^15 - 11965*x^14 + 20028*x^13 + 36475*x^12 - 27133*x^11 - 62834*x^10 + 17502*x^9 + 61253*x^8 - 1007*x^7 - 31324*x^6 - 4199*x^5 + 6829*x^4 + 1394*x^3 - 353*x^2 - 78*x, -x^22 - 5*x^21 + 15*x^20 + 106*x^19 - 53*x^18 - 925*x^17 - 300*x^16 + 4310*x^15 + 3184*x^14 - 11607*x^13 - 11658*x^12 + 18191*x^11 + 22328*x^10 - 15644*x^9 - 23675*x^8 + 5957*x^7 + 13410*x^6 + 131*x^5 - 3618*x^4 - 623*x^3 + 364*x^2 + 112*x + 7, x^22 + 5*x^21 - 15*x^20 - 106*x^19 + 53*x^18 + 925*x^17 + 300*x^16 - 4310*x^15 - 3184*x^14 + 11607*x^13 + 11658*x^12 - 18191*x^11 - 22328*x^10 + 15644*x^9 + 23675*x^8 - 5957*x^7 - 13410*x^6 - 131*x^5 + 3618*x^4 + 623*x^3 - 364*x^2 - 112*x - 7, -x^23 - 6*x^22 + 12*x^21 + 131*x^20 + 25*x^19 - 1178*x^18 - 1135*x^17 + 5648*x^16 + 7988*x^15 - 15569*x^14 - 27948*x^13 + 24545*x^12 + 55869*x^11 - 19808*x^10 - 65180*x^9 + 3996*x^8 + 42702*x^7 + 4877*x^6 - 14043*x^5 - 3180*x^4 + 1713*x^3 + 560*x^2 + 35*x, x^23 + 6*x^22 - 12*x^21 - 131*x^20 - 25*x^19 + 1178*x^18 + 1135*x^17 - 5648*x^16 - 7988*x^15 + 15569*x^14 + 27948*x^13 - 24545*x^12 - 55869*x^11 + 19808*x^10 + 65180*x^9 - 3996*x^8 - 42702*x^7 - 4877*x^6 + 14043*x^5 + 3180*x^4 - 1713*x^3 - 560*x^2 - 35*x, -x^23 - 6*x^22 + 11*x^21 + 124*x^20 + 27*x^19 - 1066*x^18 - 988*x^17 + 4966*x^16 + 6537*x^15 - 13688*x^14 - 21934*x^13 + 22792*x^12 + 42905*x^11 - 22016*x^10 - 50168*x^9 + 10173*x^8 + 33692*x^7 + 198*x^6 - 11417*x^5 - 1910*x^4 + 1328*x^3 + 420*x^2 + 30*x, x^23 + 6*x^22 - 11*x^21 - 124*x^20 - 27*x^19 + 1066*x^18 + 988*x^17 - 4966*x^16 - 6537*x^15 + 13688*x^14 + 21934*x^13 - 22792*x^12 - 42905*x^11 + 22016*x^10 + 50168*x^9 - 10173*x^8 - 33692*x^7 - 198*x^6 + 11417*x^5 + 1910*x^4 - 1328*x^3 - 420*x^2 - 30*x, -2*x^21 - 12*x^20 + 16*x^19 + 213*x^18 + 100*x^17 - 1546*x^16 - 1728*x^15 + 5925*x^14 + 8964*x^13 - 12827*x^12 - 24050*x^11 + 15191*x^10 + 36535*x^9 - 7708*x^8 - 30940*x^7 - 1482*x^6 + 12971*x^5 + 2970*x^4 - 1796*x^3 - 684*x^2 - 58*x, 2*x^21 + 12*x^20 - 16*x^19 - 213*x^18 - 100*x^17 + 1546*x^16 + 1728*x^15 - 5925*x^14 - 8964*x^13 + 12827*x^12 + 24050*x^11 - 15191*x^10 - 36535*x^9 + 7708*x^8 + 30940*x^7 + 1482*x^6 - 12971*x^5 - 2970*x^4 + 1796*x^3 + 684*x^2 + 58*x, -x^21 - 4*x^20 + 19*x^19 + 89*x^18 - 130*x^17 - 803*x^16 + 338*x^15 + 3842*x^14 + 240*x^13 - 10635*x^12 - 3460*x^11 + 17361*x^10 + 8301*x^9 - 16260*x^8 - 9205*x^7 + 8058*x^6 + 4896*x^5 - 1787*x^4 - 1080*x^3 + 134*x^2 + 91*x + 7, x^21 + 4*x^20 - 19*x^19 - 89*x^18 + 130*x^17 + 803*x^16 - 338*x^15 - 3842*x^14 - 240*x^13 + 10635*x^12 + 3460*x^11 - 17361*x^10 - 8301*x^9 + 16260*x^8 + 9205*x^7 - 8058*x^6 - 4896*x^5 + 1787*x^4 + 1080*x^3 - 134*x^2 - 91*x - 7, -x^22 - 5*x^21 + 16*x^20 + 111*x^19 - 67*x^18 - 1024*x^17 - 255*x^16 + 5098*x^15 + 3402*x^14 - 14883*x^13 - 13624*x^12 + 25891*x^11 + 28109*x^10 - 25969*x^9 - 31899*x^8 + 13550*x^7 + 19056*x^6 - 2670*x^5 - 5127*x^4 - 154*x^3 + 408*x^2 + 78*x + 5, x^22 + 5*x^21 - 16*x^20 - 111*x^19 + 67*x^18 + 1024*x^17 + 255*x^16 - 5098*x^15 - 3402*x^14 + 14883*x^13 + 13624*x^12 - 25891*x^11 - 28109*x^10 + 25969*x^9 + 31899*x^8 - 13550*x^7 - 19056*x^6 + 2670*x^5 + 5127*x^4 + 154*x^3 - 408*x^2 - 78*x - 5, -x^22 - 6*x^21 + 9*x^20 + 115*x^19 + 60*x^18 - 875*x^17 - 1156*x^16 + 3306*x^15 + 6472*x^14 - 6071*x^13 - 18176*x^12 + 2925*x^11 + 27603*x^10 + 7408*x^9 - 21339*x^8 - 12646*x^7 + 5888*x^6 + 6880*x^5 + 1232*x^4 - 919*x^3 - 576*x^2 - 106*x - 5, x^22 + 6*x^21 - 9*x^20 - 115*x^19 - 60*x^18 + 875*x^17 + 1156*x^16 - 3306*x^15 - 6472*x^14 + 6071*x^13 + 18176*x^12 - 2925*x^11 - 27603*x^10 - 7408*x^9 + 21339*x^8 + 12646*x^7 - 5888*x^6 - 6880*x^5 - 1232*x^4 + 919*x^3 + 576*x^2 + 106*x + 5, -x^22 - 6*x^21 + 8*x^20 + 108*x^19 + 61*x^18 - 773*x^17 - 1026*x^16 + 2734*x^15 + 5374*x^14 - 4560*x^13 - 14303*x^12 + 1228*x^11 + 20854*x^10 + 7326*x^9 - 16007*x^8 - 10959*x^7 + 5256*x^6 + 5960*x^5 - 77*x^4 - 1089*x^3 - 141*x^2 + 34*x + 5, x^22 + 6*x^21 - 8*x^20 - 108*x^19 - 61*x^18 + 773*x^17 + 1026*x^16 - 2734*x^15 - 5374*x^14 + 4560*x^13 + 14303*x^12 - 1228*x^11 - 20854*x^10 - 7326*x^9 + 16007*x^8 + 10959*x^7 - 5256*x^6 - 5960*x^5 + 77*x^4 + 1089*x^3 + 141*x^2 - 34*x - 5, -2*x^20 - 14*x^19 - x^18 + 195*x^17 + 312*x^16 - 990*x^15 - 2570*x^14 + 1986*x^13 + 9279*x^12 + 200*x^11 - 17543*x^10 - 7236*x^9 + 17550*x^8 + 11452*x^7 - 8318*x^6 - 7111*x^5 + 1155*x^4 + 1534*x^3 + 127*x^2 - 27*x, 2*x^20 + 14*x^19 + x^18 - 195*x^17 - 312*x^16 + 990*x^15 + 2570*x^14 - 1986*x^13 - 9279*x^12 - 200*x^11 + 17543*x^10 + 7236*x^9 - 17550*x^8 - 11452*x^7 + 8318*x^6 + 7111*x^5 - 1155*x^4 - 1534*x^3 - 127*x^2 + 27*x, -2*x^20 - 10*x^19 + 24*x^18 + 179*x^17 - 57*x^16 - 1318*x^15 - 431*x^14 + 5215*x^13 + 3146*x^12 - 12142*x^11 - 8756*x^10 + 17030*x^9 + 12763*x^8 - 13941*x^7 - 10035*x^6 + 5882*x^5 + 3878*x^4 - 824*x^3 - 538*x^2 - 51*x, 2*x^20 + 10*x^19 - 24*x^18 - 179*x^17 + 57*x^16 + 1318*x^15 + 431*x^14 - 5215*x^13 - 3146*x^12 + 12142*x^11 + 8756*x^10 - 17030*x^9 - 12763*x^8 + 13941*x^7 + 10035*x^6 - 5882*x^5 - 3878*x^4 + 824*x^3 + 538*x^2 + 51*x, 2*x^19 + 12*x^18 - 8*x^17 - 165*x^16 - 130*x^15 + 898*x^14 + 1212*x^13 - 2437*x^12 - 4290*x^11 + 3334*x^10 + 7685*x^9 - 1790*x^8 - 7104*x^7 - 456*x^6 + 2978*x^5 + 751*x^4 - 323*x^3 - 139*x^2 - 14*x, -2*x^19 - 12*x^18 + 8*x^17 + 165*x^16 + 130*x^15 - 898*x^14 - 1212*x^13 + 2437*x^12 + 4290*x^11 - 3334*x^10 - 7685*x^9 + 1790*x^8 + 7104*x^7 + 456*x^6 - 2978*x^5 - 751*x^4 + 323*x^3 + 139*x^2 + 14*x, -x^21 - 4*x^20 + 19*x^19 + 87*x^18 - 144*x^17 - 805*x^16 + 512*x^15 + 4088*x^14 - 559*x^13 - 12278*x^12 - 1869*x^11 + 21948*x^10 + 7312*x^9 - 22345*x^8 - 10096*x^7 + 11509*x^6 + 6246*x^5 - 2101*x^4 - 1459*x^3 - 74*x^2 + 48*x + 5, x^21 + 4*x^20 - 19*x^19 - 87*x^18 + 144*x^17 + 805*x^16 - 512*x^15 - 4088*x^14 + 559*x^13 + 12278*x^12 + 1869*x^11 - 21948*x^10 - 7312*x^9 + 22345*x^8 + 10096*x^7 - 11509*x^6 - 6246*x^5 + 2101*x^4 + 1459*x^3 + 74*x^2 - 48*x - 5, -2*x^21 - 10*x^20 + 27*x^19 + 196*x^18 - 75*x^17 - 1573*x^16 - 609*x^15 + 6649*x^14 + 5197*x^13 - 15828*x^12 - 16651*x^11 + 20804*x^10 + 27653*x^9 - 12919*x^8 - 24427*x^7 + 822*x^6 + 10322*x^5 + 2518*x^4 - 1363*x^3 - 645*x^2 - 72*x, 2*x^21 + 10*x^20 - 27*x^19 - 196*x^18 + 75*x^17 + 1573*x^16 + 609*x^15 - 6649*x^14 - 5197*x^13 + 15828*x^12 + 16651*x^11 - 20804*x^10 - 27653*x^9 + 12919*x^8 + 24427*x^7 - 822*x^6 - 10322*x^5 - 2518*x^4 + 1363*x^3 + 645*x^2 + 72*x, -x^21 - 6*x^20 + 8*x^19 + 107*x^18 + 54*x^17 - 769*x^16 - 907*x^15 + 2849*x^14 + 4575*x^13 - 5792*x^12 - 11615*x^11 + 6412*x^10 + 16188*x^9 - 3723*x^8 - 12387*x^7 + 1181*x^6 + 4953*x^5 - 257*x^4 - 926*x^3 - 21*x^2 + 32*x, x^21 + 6*x^20 - 8*x^19 - 107*x^18 - 54*x^17 + 769*x^16 + 907*x^15 - 2849*x^14 - 4575*x^13 + 5792*x^12 + 11615*x^11 - 6412*x^10 - 16188*x^9 + 3723*x^8 + 12387*x^7 - 1181*x^6 - 4953*x^5 + 257*x^4 + 926*x^3 + 21*x^2 - 32*x, -x^21 - 6*x^20 + 7*x^19 + 97*x^18 + 37*x^17 - 659*x^16 - 554*x^15 + 2479*x^14 + 2434*x^13 - 5736*x^12 - 5400*x^11 + 8538*x^10 + 6508*x^9 - 8213*x^8 - 4009*x^7 + 4940*x^6 + 1018*x^5 - 1697*x^4 - 106*x^3 + 259*x^2 + 47*x, x^21 + 6*x^20 - 7*x^19 - 97*x^18 - 37*x^17 + 659*x^16 + 554*x^15 - 2479*x^14 - 2434*x^13 + 5736*x^12 + 5400*x^11 - 8538*x^10 - 6508*x^9 + 8213*x^8 + 4009*x^7 - 4940*x^6 - 1018*x^5 + 1697*x^4 + 106*x^3 - 259*x^2 - 47*x, -x^20 - 8*x^19 - 6*x^18 + 106*x^17 + 249*x^16 - 457*x^15 - 1897*x^14 + 279*x^13 + 6561*x^12 + 3487*x^11 - 11415*x^10 - 11131*x^9 + 8952*x^8 + 13827*x^7 - 935*x^6 - 7137*x^5 - 2158*x^4 + 898*x^3 + 608*x^2 + 106*x + 5, x^20 + 8*x^19 + 6*x^18 - 106*x^17 - 249*x^16 + 457*x^15 + 1897*x^14 - 279*x^13 - 6561*x^12 - 3487*x^11 + 11415*x^10 + 11131*x^9 - 8952*x^8 - 13827*x^7 + 935*x^6 + 7137*x^5 + 2158*x^4 - 898*x^3 - 608*x^2 - 106*x - 5, -x^20 - 9*x^19 - 12*x^18 + 106*x^17 + 307*x^16 - 385*x^15 - 2042*x^14 + 36*x^13 + 6466*x^12 + 3020*x^11 - 11012*x^10 - 7854*x^9 + 10208*x^8 + 8795*x^7 - 4694*x^6 - 4679*x^5 + 722*x^4 + 1025*x^3 + 49*x^2 - 48*x - 5, x^20 + 9*x^19 + 12*x^18 - 106*x^17 - 307*x^16 + 385*x^15 + 2042*x^14 - 36*x^13 - 6466*x^12 - 3020*x^11 + 11012*x^10 + 7854*x^9 - 10208*x^8 - 8795*x^7 + 4694*x^6 + 4679*x^5 - 722*x^4 - 1025*x^3 - 49*x^2 + 48*x + 5, -2*x^19 - 10*x^18 + 22*x^17 + 171*x^16 - 21*x^15 - 1141*x^14 - 603*x^13 + 3831*x^12 + 3152*x^11 - 6917*x^10 - 6742*x^9 + 6530*x^8 + 6964*x^7 - 2671*x^6 - 3211*x^5 + 84*x^4 + 434*x^3 + 95*x^2 + 7*x, 2*x^19 + 10*x^18 - 22*x^17 - 171*x^16 + 21*x^15 + 1141*x^14 + 603*x^13 - 3831*x^12 - 3152*x^11 + 6917*x^10 + 6742*x^9 - 6530*x^8 - 6964*x^7 + 2671*x^6 + 3211*x^5 - 84*x^4 - 434*x^3 - 95*x^2 - 7*x, 2*x^17 + 14*x^16 + 6*x^15 - 151*x^14 - 243*x^13 + 609*x^12 + 1394*x^11 - 1138*x^10 - 3583*x^9 + 943*x^8 + 4740*x^7 - 140*x^6 - 3127*x^5 - 233*x^4 + 835*x^3 + 111*x^2 - 44*x - 7, -2*x^17 - 14*x^16 - 6*x^15 + 151*x^14 + 243*x^13 - 609*x^12 - 1394*x^11 + 1138*x^10 + 3583*x^9 - 943*x^8 - 4740*x^7 + 140*x^6 + 3127*x^5 + 233*x^4 - 835*x^3 - 111*x^2 + 44*x + 7, 2*x^18 + 10*x^17 - 22*x^16 - 171*x^15 + 21*x^14 + 1141*x^13 + 603*x^12 - 3831*x^11 - 3152*x^10 + 6917*x^9 + 6742*x^8 - 6530*x^7 - 6964*x^6 + 2671*x^5 + 3211*x^4 - 84*x^3 - 434*x^2 - 95*x - 7, -2*x^18 - 10*x^17 + 22*x^16 + 171*x^15 - 21*x^14 - 1141*x^13 - 603*x^12 + 3831*x^11 + 3152*x^10 - 6917*x^9 - 6742*x^8 + 6530*x^7 + 6964*x^6 - 2671*x^5 - 3211*x^4 + 84*x^3 + 434*x^2 + 95*x + 7, -x^20 - 5*x^19 + 10*x^18 + 75*x^17 - 38*x^16 - 498*x^15 + 127*x^14 + 2046*x^13 - 523*x^12 - 5812*x^11 + 1151*x^10 + 10936*x^9 - 542*x^8 - 12137*x^7 - 1301*x^6 + 6815*x^5 + 1567*x^4 - 1379*x^3 - 434*x^2 - 25*x, x^20 + 5*x^19 - 10*x^18 - 75*x^17 + 38*x^16 + 498*x^15 - 127*x^14 - 2046*x^13 + 523*x^12 + 5812*x^11 - 1151*x^10 - 10936*x^9 + 542*x^8 + 12137*x^7 + 1301*x^6 - 6815*x^5 - 1567*x^4 + 1379*x^3 + 434*x^2 + 25*x]>,
         rec<Eigen |
           DefiningPolynomial := x^40 - 6*x^39 - 45*x^38 + 330*x^37 + 813*x^36 - 8227*x^35 - 6346*x^34 + 123061*x^33 - 11144*x^32 - 1232058*x^31 + 772560*x^30 + 8718980*x^29 - 8800762*x^28 - 44889936*x^27 + 59043662*x^26 + 170428847*x^25 - 271085565*x^24 - 478156681*x^23 + 895525246*x^22 + 982796158*x^21 - 2170374446*x^20 - 1446814391*x^19 + 3878984539*x^18 + 1453095037*x^17 - 5094536004*x^16 - 877038726*x^15 + 4867821203*x^14 + 152137155*x^13 - 3329357011*x^12 + 217464573*x^11 + 1592342459*x^10 - 204495744*x^9 - 515512998*x^8 + 84615904*x^7 + 107996942*x^6 - 18755292*x^5 - 13734784*x^4 + 2100160*x^3 + 960224*x^2 - 90176*x - 29568,
           Coordinates        := [-x^39 + 6*x^38 + 42*x^37 - 312*x^36 - 691*x^35 + 7315*x^34 + 4427*x^33 - 102280*x^32 + 22183*x^31 + 950510*x^30 - 695609*x^29 - 6192590*x^28 + 6833501*x^27 + 29062274*x^26 - 40915489*x^25 - 99337299*x^24 + 168129588*x^23 + 246841852*x^22 - 494171074*x^21 - 438921816*x^20 + 1054351314*x^19 + 537754431*x^18 - 1634795701*x^17 - 413781872*x^16 + 1827633561*x^15 + 137940546*x^14 - 1450895264*x^13 + 68458659*x^12 + 799620507*x^11 - 104030098*x^10 - 296471614*x^9 + 54201086*x^8 + 70775918*x^7 - 14867136*x^6 - 10189422*x^5 + 2157732*x^4 + 789024*x^3 - 143520*x^2 - 24928*x + 2624, x^39 - 6*x^38 - 42*x^37 + 312*x^36 + 691*x^35 - 7315*x^34 - 4427*x^33 + 102278*x^32 - 22169*x^31 - 950466*x^30 + 695079*x^29 + 6192666*x^28 - 6825017*x^27 - 29074562*x^26 + 40841803*x^25 + 99517203*x^24 - 167767314*x^23 - 248211566*x^22 + 493318148*x^21 + 445366460*x^20 - 1054906110*x^19 - 557525783*x^18 + 1645073397*x^17 + 453917848*x^16 - 1860539087*x^15 - 191636412*x^14 + 1507272456*x^13 - 21770363*x^12 - 857646271*x^11 + 78185132*x^10 + 332921762*x^9 - 45301306*x^8 - 84440036*x^7 + 12960948*x^6 + 13097732*x^5 - 1875728*x^4 - 1108912*x^3 + 111776*x^2 + 38848*x - 640, 2*x^33 - 10*x^32 - 74*x^31 + 434*x^30 + 1114*x^29 - 8368*x^28 - 8006*x^27 + 94494*x^26 + 14130*x^25 - 693394*x^24 + 235762*x^23 + 3467252*x^22 - 2341960*x^21 - 12049128*x^20 + 11204584*x^19 + 29143648*x^18 - 33381180*x^17 - 48400650*x^16 + 65637044*x^15 + 53572444*x^14 - 86095084*x^13 - 37406532*x^12 + 74625912*x^11 + 14561058*x^10 - 41752462*x^9 - 1802520*x^8 + 14476876*x^7 - 749968*x^6 - 2899038*x^5 + 303668*x^4 + 291984*x^3 - 34000*x^2 - 10464*x + 640, x^38 - 6*x^37 - 40*x^36 + 300*x^35 + 613*x^34 - 6727*x^33 - 3273*x^32 + 89372*x^31 - 27745*x^30 - 782898*x^29 + 635625*x^28 + 4761306*x^27 - 5602089*x^26 - 20613380*x^25 + 30481767*x^24 + 64085683*x^23 - 113142930*x^22 - 142521728*x^21 + 296593018*x^20 + 223143128*x^19 - 555069150*x^18 - 238550597*x^17 + 740769585*x^16 + 164962748*x^15 - 699149049*x^14 - 66286156*x^13 + 460622472*x^12 + 11471001*x^11 - 208485739*x^10 + 278450*x^9 + 63769810*x^8 + 184232*x^7 - 12954088*x^6 - 260132*x^5 + 1680608*x^4 + 47248*x^3 - 122688*x^2 - 1856*x + 3392, 4*x^34 - 24*x^33 - 132*x^32 + 1032*x^31 + 1528*x^30 - 19678*x^29 - 2412*x^28 + 219460*x^27 - 127086*x^26 - 1589596*x^25 + 1636426*x^24 + 7849880*x^23 - 10752778*x^22 - 26986532*x^21 + 45093906*x^20 + 64746366*x^19 - 128690546*x^18 - 106858386*x^17 + 255516038*x^16 + 116786900*x^15 - 354283478*x^14 - 76887662*x^13 + 340530462*x^12 + 20694232*x^11 - 223142834*x^10 + 8787822*x^9 + 96996506*x^8 - 9629376*x^7 - 26829028*x^6 + 3392058*x^5 + 4431372*x^4 - 539312*x^3 - 392800*x^2 + 32128*x + 14336, x^38 - 6*x^37 - 42*x^36 + 312*x^35 + 689*x^34 - 7303*x^33 - 4357*x^32 + 101738*x^31 - 23057*x^30 - 939640*x^29 + 697559*x^28 + 6065082*x^27 - 6761027*x^26 - 28092732*x^25 + 39890441*x^24 + 94334887*x^23 - 160930242*x^22 - 229036782*x^21 + 462172580*x^20 + 395421726*x^19 - 958217462*x^18 - 466924367*x^17 + 1435313859*x^16 + 342718344*x^15 - 1540818647*x^14 - 105068208*x^13 + 1167040218*x^12 - 57015285*x^11 - 609014713*x^10 + 77499298*x^9 + 211677074*x^8 - 37096382*x^7 - 46730534*x^6 + 9083706*x^5 + 6130440*x^4 - 1092144*x^3 - 435424*x^2 + 48960*x + 13952, 2*x^34 - 12*x^33 - 64*x^32 + 508*x^31 + 680*x^30 - 9482*x^29 + 362*x^28 + 102500*x^27 - 80364*x^26 - 707524*x^25 + 929156*x^24 + 3231490*x^23 - 5809212*x^22 - 9707168*x^21 + 23253712*x^20 + 17939064*x^19 - 62524828*x^18 - 15019470*x^17 + 114037694*x^16 - 12064600*x^15 - 139667528*x^14 + 48688552*x^13 + 112032444*x^12 - 60064854*x^11 - 56313520*x^10 + 39949942*x^9 + 16279396*x^8 - 15226844*x^7 - 2149070*x^6 + 3202706*x^5 - 11684*x^4 - 325984*x^3 + 23536*x^2 + 11104*x - 640, 2*x^35 - 12*x^34 - 66*x^33 + 518*x^32 + 752*x^31 - 9892*x^30 - 770*x^29 + 110148*x^28 - 70414*x^27 - 793352*x^26 + 879800*x^25 + 3874782*x^24 - 5722334*x^23 - 13078814*x^22 + 23814306*x^21 + 30508278*x^20 - 67426400*x^19 - 48318188*x^18 + 132877982*x^17 + 49755492*x^16 - 183670906*x^15 - 29708746*x^14 + 178223722*x^13 + 5218244*x^12 - 120783712*x^11 + 6538946*x^10 + 56198296*x^9 - 6105096*x^8 - 17229430*x^7 + 2461836*x^6 + 3213176*x^5 - 496856*x^4 - 316768*x^3 + 42400*x^2 + 11968*x - 640, -x^37 + 6*x^36 + 38*x^35 - 286*x^34 - 555*x^33 + 6125*x^32 + 2881*x^31 - 77938*x^30 + 21305*x^29 + 656498*x^28 - 480241*x^27 - 3859498*x^26 + 4066085*x^25 + 16262892*x^24 - 21260603*x^23 - 49629093*x^22 + 76112850*x^21 + 109391482*x^20 - 193455588*x^19 - 171176236*x^18 + 353246192*x^17 + 182338195*x^16 - 462812697*x^15 - 118334018*x^14 + 430453897*x^13 + 26691194*x^12 - 278560548*x^11 + 25159783*x^10 + 121371765*x^9 - 26517944*x^8 - 33696878*x^7 + 11328090*x^6 + 5377354*x^5 - 2493004*x^4 - 390968*x^3 + 262528*x^2 + 4832*x - 9472, x^38 - 6*x^37 - 40*x^36 + 300*x^35 + 617*x^34 - 6753*x^33 - 3395*x^32 + 90482*x^31 - 26679*x^30 - 803776*x^29 + 642561*x^28 + 4988986*x^27 - 5838743*x^26 - 22205532*x^25 + 32946043*x^24 + 71524545*x^23 - 128133926*x^22 - 165871188*x^21 + 356702738*x^20 + 270723754*x^19 - 720624530*x^18 - 293702225*x^17 + 1057913473*x^16 + 177721222*x^15 - 1120581051*x^14 - 2553154*x^13 + 844048050*x^12 - 93735157*x^11 - 441920245*x^10 + 81416690*x^9 + 155626078*x^8 - 34742806*x^7 - 35214588*x^6 + 8055990*x^5 + 4814824*x^4 - 943488*x^3 - 363264*x^2 + 42432*x + 12224, -x^37 + 6*x^36 + 38*x^35 - 288*x^34 - 543*x^33 + 6187*x^32 + 2385*x^31 - 78550*x^30 + 30253*x^29 + 655384*x^28 - 572527*x^27 - 3779248*x^26 + 4662663*x^25 + 15415454*x^24 - 23731531*x^23 - 44732937*x^22 + 82363394*x^21 + 91505720*x^20 - 200737498*x^19 - 128543878*x^18 + 345765408*x^17 + 117546843*x^16 - 418083589*x^15 - 62170484*x^14 + 349044171*x^13 + 12766632*x^12 - 196018886*x^11 + 1615687*x^10 + 71398491*x^9 + 1436658*x^8 - 16178832*x^7 - 2470554*x^6 + 2261908*x^5 + 965064*x^4 - 219688*x^3 - 144800*x^2 + 14080*x + 6848, 2*x^34 - 8*x^33 - 82*x^32 + 354*x^31 + 1460*x^30 - 6972*x^29 - 14714*x^28 + 80720*x^27 + 91026*x^26 - 611300*x^25 - 342800*x^24 + 3189182*x^23 + 656030*x^22 - 11766754*x^21 + 280798*x^20 + 31069874*x^19 - 5286652*x^18 - 58891492*x^17 + 15094998*x^16 + 79945488*x^15 - 23779930*x^14 - 77268606*x^13 + 23686510*x^12 + 52591264*x^11 - 15601184*x^10 - 24663422*x^9 + 6871452*x^8 + 7637808*x^7 - 1953814*x^6 - 1445792*x^5 + 321592*x^4 + 146328*x^3 - 24112*x^2 - 5824*x + 320, -x^38 + 6*x^37 + 40*x^36 - 300*x^35 - 615*x^34 + 6741*x^33 + 3329*x^32 - 89968*x^31 + 27449*x^30 + 794022*x^29 - 644051*x^28 - 4880708*x^27 + 5780733*x^26 + 21423528*x^25 - 32186741*x^24 - 67658953*x^23 + 123137454*x^22 + 152479822*x^21 - 335694830*x^20 - 238024614*x^19 + 660158228*x^18 + 238034317*x^17 - 935784101*x^16 - 113896834*x^15 + 946737275*x^14 - 42563956*x^13 - 671397196*x^12 + 107916485*x^11 + 325041073*x^10 - 77254628*x^9 - 103701358*x^8 + 29119800*x^7 + 20900208*x^6 - 6009600*x^5 - 2550160*x^4 + 629792*x^3 + 178368*x^2 - 25792*x - 6016, 2*x^36 - 12*x^35 - 72*x^34 + 550*x^33 + 966*x^32 - 11278*x^31 - 3758*x^30 + 136798*x^29 - 53288*x^28 - 1093532*x^27 + 915860*x^26 + 6075678*x^25 - 7015960*x^24 - 24117876*x^23 + 33911054*x^22 + 69261564*x^21 - 112801104*x^20 - 144134428*x^19 + 266855180*x^18 + 215505370*x^17 - 454281942*x^16 - 226441134*x^15 + 556287130*x^14 + 159374512*x^13 - 485000684*x^12 - 66746550*x^11 + 294942314*x^10 + 9770504*x^9 - 121097388*x^8 + 4453404*x^7 + 31996018*x^6 - 2443122*x^5 - 5069732*x^4 + 435384*x^3 + 428880*x^2 - 26944*x - 14656, x^35 - 6*x^34 - 34*x^33 + 264*x^32 + 414*x^31 - 5175*x^30 - 933*x^29 + 59618*x^28 - 32176*x^27 - 448256*x^26 + 450448*x^25 + 2309139*x^24 - 3140368*x^23 - 8320836*x^22 + 13968816*x^21 + 21018660*x^20 - 42466998*x^19 - 36653383*x^18 + 90400027*x^17 + 42368350*x^16 - 135470808*x^15 - 29228168*x^14 + 142111306*x^13 + 7374105*x^12 - 102782672*x^11 + 5413913*x^10 + 49892160*x^9 - 5810902*x^8 - 15551411*x^7 + 2351321*x^6 + 2893196*x^5 - 466660*x^4 - 280216*x^3 + 39552*x^2 + 10144*x - 640, x^35 - 6*x^34 - 34*x^33 + 264*x^32 + 414*x^31 - 5175*x^30 - 933*x^29 + 59618*x^28 - 32176*x^27 - 448256*x^26 + 450448*x^25 + 2309139*x^24 - 3140368*x^23 - 8320836*x^22 + 13968816*x^21 + 21018660*x^20 - 42466998*x^19 - 36653383*x^18 + 90400027*x^17 + 42368350*x^16 - 135470808*x^15 - 29228168*x^14 + 142111306*x^13 + 7374105*x^12 - 102782672*x^11 + 5413913*x^10 + 49892160*x^9 - 5810902*x^8 - 15551411*x^7 + 2351321*x^6 + 2893196*x^5 - 466660*x^4 - 280216*x^3 + 39552*x^2 + 10144*x - 640, x^36 - 6*x^35 - 37*x^34 + 282*x^33 + 510*x^32 - 5932*x^31 - 1986*x^30 + 73716*x^29 - 31481*x^28 - 601406*x^27 + 550952*x^26 + 3384213*x^25 - 4351257*x^24 - 13419072*x^23 + 21656602*x^22 + 37570224*x^21 - 73753949*x^20 - 72973962*x^19 + 176819409*x^18 + 93564111*x^17 - 300432851*x^16 - 68593496*x^15 + 359917925*x^14 + 9857502*x^13 - 300060316*x^12 + 31732781*x^11 + 170618033*x^10 - 32414990*x^9 - 64284711*x^8 + 15169727*x^7 + 15391764*x^6 - 3794108*x^5 - 2206268*x^4 + 473600*x^3 + 174880*x^2 - 22400*x - 6400, x^36 - 6*x^35 - 37*x^34 + 282*x^33 + 510*x^32 - 5932*x^31 - 1986*x^30 + 73716*x^29 - 31481*x^28 - 601406*x^27 + 550952*x^26 + 3384213*x^25 - 4351257*x^24 - 13419072*x^23 + 21656602*x^22 + 37570224*x^21 - 73753949*x^20 - 72973962*x^19 + 176819409*x^18 + 93564111*x^17 - 300432851*x^16 - 68593496*x^15 + 359917925*x^14 + 9857502*x^13 - 300060316*x^12 + 31732781*x^11 + 170618033*x^10 - 32414990*x^9 - 64284711*x^8 + 15169727*x^7 + 15391764*x^6 - 3794108*x^5 - 2206268*x^4 + 473600*x^3 + 174880*x^2 - 22400*x - 6400, x^34 - 6*x^33 - 32*x^32 + 249*x^31 + 373*x^30 - 4616*x^29 - 1057*x^28 + 50650*x^27 - 20140*x^26 - 367550*x^25 + 281733*x^24 + 1866746*x^23 - 1878574*x^22 - 6844396*x^21 + 8033239*x^20 + 18381515*x^19 - 23894554*x^18 - 36176291*x^17 + 50924349*x^16 + 51429928*x^15 - 78139091*x^14 - 51171949*x^13 + 85245200*x^12 + 33745986*x^11 - 64412353*x^10 - 13345854*x^9 + 32453904*x^8 + 2408438*x^7 - 10349498*x^6 + 124742*x^5 + 1937736*x^4 - 108064*x^3 - 188272*x^2 + 10656*x + 7040, x^34 - 6*x^33 - 32*x^32 + 249*x^31 + 373*x^30 - 4616*x^29 - 1057*x^28 + 50650*x^27 - 20140*x^26 - 367550*x^25 + 281733*x^24 + 1866746*x^23 - 1878574*x^22 - 6844396*x^21 + 8033239*x^20 + 18381515*x^19 - 23894554*x^18 - 36176291*x^17 + 50924349*x^16 + 51429928*x^15 - 78139091*x^14 - 51171949*x^13 + 85245200*x^12 + 33745986*x^11 - 64412353*x^10 - 13345854*x^9 + 32453904*x^8 + 2408438*x^7 - 10349498*x^6 + 124742*x^5 + 1937736*x^4 - 108064*x^3 - 188272*x^2 + 10656*x + 7040, x^37 - 6*x^36 - 39*x^35 + 294*x^34 + 577*x^33 - 6453*x^32 - 2788*x^31 + 83784*x^30 - 29727*x^29 - 715680*x^28 + 611464*x^27 + 4230591*x^26 - 5180018*x^25 - 17715760*x^24 + 27312192*x^23 + 52844919*x^22 - 98362565*x^21 - 111111666*x^20 + 249918480*x^19 + 159487593*x^18 - 452151906*x^17 - 144477550*x^16 + 580695019*x^15 + 62675128*x^14 - 523324992*x^13 + 16620682*x^12 + 324580266*x^11 - 38953341*x^10 - 134575976*x^9 + 22742769*x^8 + 35742974*x^7 - 6610540*x^6 - 5708562*x^5 + 961488*x^4 + 493112*x^3 - 56816*x^2 - 17728*x + 320, x^37 - 6*x^36 - 39*x^35 + 294*x^34 + 577*x^33 - 6453*x^32 - 2788*x^31 + 83784*x^30 - 29727*x^29 - 715680*x^28 + 611464*x^27 + 4230591*x^26 - 5180018*x^25 - 17715760*x^24 + 27312192*x^23 + 52844919*x^22 - 98362565*x^21 - 111111666*x^20 + 249918480*x^19 + 159487593*x^18 - 452151906*x^17 - 144477550*x^16 + 580695019*x^15 + 62675128*x^14 - 523324992*x^13 + 16620682*x^12 + 324580266*x^11 - 38953341*x^10 - 134575976*x^9 + 22742769*x^8 + 35742974*x^7 - 6610540*x^6 - 5708562*x^5 + 961488*x^4 + 493112*x^3 - 56816*x^2 - 17728*x + 320, x^35 - 6*x^34 - 33*x^33 + 257*x^32 + 388*x^31 - 4893*x^30 - 821*x^29 + 54656*x^28 - 28336*x^27 - 398122*x^26 + 378313*x^25 + 1987549*x^24 - 2515222*x^23 - 6953859*x^22 + 10639800*x^21 + 17119044*x^20 - 30632073*x^19 - 29270099*x^18 + 61319028*x^17 + 33515704*x^16 - 85306286*x^15 - 23589458*x^14 + 81153370*x^13 + 7737994*x^12 - 51179561*x^11 + 1124438*x^10 + 20399105*x^9 - 1762140*x^8 - 4799799*x^7 + 465111*x^6 + 609098*x^5 - 21228*x^4 - 38016*x^3 - 5136*x^2 + 1184*x + 320, x^35 - 6*x^34 - 33*x^33 + 257*x^32 + 388*x^31 - 4893*x^30 - 821*x^29 + 54656*x^28 - 28336*x^27 - 398122*x^26 + 378313*x^25 + 1987549*x^24 - 2515222*x^23 - 6953859*x^22 + 10639800*x^21 + 17119044*x^20 - 30632073*x^19 - 29270099*x^18 + 61319028*x^17 + 33515704*x^16 - 85306286*x^15 - 23589458*x^14 + 81153370*x^13 + 7737994*x^12 - 51179561*x^11 + 1124438*x^10 + 20399105*x^9 - 1762140*x^8 - 4799799*x^7 + 465111*x^6 + 609098*x^5 - 21228*x^4 - 38016*x^3 - 5136*x^2 + 1184*x + 320, 2*x^33 - 15*x^32 - 41*x^31 + 562*x^30 - 148*x^29 - 9025*x^28 + 12901*x^27 + 80486*x^26 - 182221*x^25 - 426172*x^24 + 1381494*x^23 + 1265400*x^22 - 6597118*x^21 - 1164161*x^20 + 20922277*x^19 - 5965069*x^18 - 44761048*x^17 + 27633788*x^16 + 64234529*x^15 - 57739462*x^14 - 60297916*x^13 + 72261244*x^12 + 34963714*x^11 - 57188571*x^10 - 10765933*x^9 + 28619017*x^8 + 663090*x^7 - 8796814*x^6 + 563478*x^5 + 1569140*x^4 - 148952*x^3 - 146528*x^2 + 11072*x + 5504, 2*x^33 - 15*x^32 - 41*x^31 + 562*x^30 - 148*x^29 - 9025*x^28 + 12901*x^27 + 80486*x^26 - 182221*x^25 - 426172*x^24 + 1381494*x^23 + 1265400*x^22 - 6597118*x^21 - 1164161*x^20 + 20922277*x^19 - 5965069*x^18 - 44761048*x^17 + 27633788*x^16 + 64234529*x^15 - 57739462*x^14 - 60297916*x^13 + 72261244*x^12 + 34963714*x^11 - 57188571*x^10 - 10765933*x^9 + 28619017*x^8 + 663090*x^7 - 8796814*x^6 + 563478*x^5 + 1569140*x^4 - 148952*x^3 - 146528*x^2 + 11072*x + 5504, -3*x^30 + 24*x^29 + 57*x^28 - 865*x^27 + 220*x^26 + 13506*x^25 - 16221*x^24 - 119700*x^23 + 211040*x^22 + 661541*x^21 - 1472984*x^20 - 2349833*x^19 + 6442161*x^18 + 5285370*x^17 - 18572210*x^16 - 6902812*x^15 + 35795681*x^14 + 3431810*x^13 - 45889363*x^12 + 3406605*x^11 + 38428804*x^10 - 6672323*x^9 - 20399677*x^8 + 4538823*x^7 + 6570235*x^6 - 1518938*x^5 - 1210544*x^4 + 240896*x^3 + 117632*x^2 - 14176*x - 4864, -3*x^30 + 24*x^29 + 57*x^28 - 865*x^27 + 220*x^26 + 13506*x^25 - 16221*x^24 - 119700*x^23 + 211040*x^22 + 661541*x^21 - 1472984*x^20 - 2349833*x^19 + 6442161*x^18 + 5285370*x^17 - 18572210*x^16 - 6902812*x^15 + 35795681*x^14 + 3431810*x^13 - 45889363*x^12 + 3406605*x^11 + 38428804*x^10 - 6672323*x^9 - 20399677*x^8 + 4538823*x^7 + 6570235*x^6 - 1518938*x^5 - 1210544*x^4 + 240896*x^3 + 117632*x^2 - 14176*x - 4864, x^34 - 8*x^33 - 25*x^32 + 344*x^31 + 4*x^30 - 6498*x^29 + 7320*x^28 + 70691*x^27 - 128881*x^26 - 486593*x^25 + 1181682*x^24 + 2178308*x^23 - 6876237*x^22 - 6160162*x^21 + 27079411*x^20 + 9318427*x^19 - 73902165*x^18 + 508936*x^17 + 140358285*x^16 - 33694124*x^15 - 184093868*x^14 + 73049336*x^13 + 164018110*x^12 - 82157123*x^11 - 96708270*x^10 + 54879309*x^9 + 36257875*x^8 - 21964499*x^7 - 8146238*x^6 + 5015728*x^5 + 1018772*x^4 - 577664*x^3 - 69920*x^2 + 24576*x + 3008, x^34 - 8*x^33 - 25*x^32 + 344*x^31 + 4*x^30 - 6498*x^29 + 7320*x^28 + 70691*x^27 - 128881*x^26 - 486593*x^25 + 1181682*x^24 + 2178308*x^23 - 6876237*x^22 - 6160162*x^21 + 27079411*x^20 + 9318427*x^19 - 73902165*x^18 + 508936*x^17 + 140358285*x^16 - 33694124*x^15 - 184093868*x^14 + 73049336*x^13 + 164018110*x^12 - 82157123*x^11 - 96708270*x^10 + 54879309*x^9 + 36257875*x^8 - 21964499*x^7 - 8146238*x^6 + 5015728*x^5 + 1018772*x^4 - 577664*x^3 - 69920*x^2 + 24576*x + 3008, -x^33 + 10*x^32 + 7*x^31 - 363*x^30 + 618*x^29 + 5557*x^28 - 16176*x^27 - 45553*x^26 + 192932*x^25 + 199609*x^24 - 1384667*x^23 - 264024*x^22 + 6535352*x^21 - 1972030*x^20 - 21042503*x^19 + 13190165*x^18 + 46809979*x^17 - 40389473*x^16 - 71782862*x^15 + 75518923*x^14 + 74768154*x^13 - 91649707*x^12 - 51302575*x^11 + 72923906*x^10 + 21865028*x^9 - 37511594*x^8 - 5075240*x^7 + 12046362*x^6 + 380822*x^5 - 2263120*x^4 + 60576*x^3 + 219104*x^2 - 9408*x - 7936, -x^33 + 10*x^32 + 7*x^31 - 363*x^30 + 618*x^29 + 5557*x^28 - 16176*x^27 - 45553*x^26 + 192932*x^25 + 199609*x^24 - 1384667*x^23 - 264024*x^22 + 6535352*x^21 - 1972030*x^20 - 21042503*x^19 + 13190165*x^18 + 46809979*x^17 - 40389473*x^16 - 71782862*x^15 + 75518923*x^14 + 74768154*x^13 - 91649707*x^12 - 51302575*x^11 + 72923906*x^10 + 21865028*x^9 - 37511594*x^8 - 5075240*x^7 + 12046362*x^6 + 380822*x^5 - 2263120*x^4 + 60576*x^3 + 219104*x^2 - 9408*x - 7936, x^34 - 8*x^33 - 19*x^32 + 306*x^31 - 158*x^30 - 5027*x^29 + 8401*x^28 + 46012*x^27 - 116528*x^26 - 251554*x^25 + 900152*x^24 + 783321*x^23 - 4454520*x^22 - 855117*x^21 + 14861068*x^20 - 3304081*x^19 - 34056659*x^18 + 17000100*x^17 + 53699653*x^16 - 37386528*x^15 - 57677748*x^14 + 48665039*x^13 + 41368221*x^12 - 39631982*x^11 - 19277486*x^10 + 20099843*x^9 + 5720780*x^8 - 6130012*x^7 - 1133386*x^6 + 1063576*x^5 + 176432*x^4 - 99040*x^3 - 19760*x^2 + 4256*x + 896, x^34 - 8*x^33 - 19*x^32 + 306*x^31 - 158*x^30 - 5027*x^29 + 8401*x^28 + 46012*x^27 - 116528*x^26 - 251554*x^25 + 900152*x^24 + 783321*x^23 - 4454520*x^22 - 855117*x^21 + 14861068*x^20 - 3304081*x^19 - 34056659*x^18 + 17000100*x^17 + 53699653*x^16 - 37386528*x^15 - 57677748*x^14 + 48665039*x^13 + 41368221*x^12 - 39631982*x^11 - 19277486*x^10 + 20099843*x^9 + 5720780*x^8 - 6130012*x^7 - 1133386*x^6 + 1063576*x^5 + 176432*x^4 - 99040*x^3 - 19760*x^2 + 4256*x + 896, -x^34 + 6*x^33 + 32*x^32 - 252*x^31 - 346*x^30 + 4649*x^29 + 135*x^28 - 49565*x^27 + 33426*x^26 + 337823*x^25 - 385212*x^24 - 1536006*x^23 + 2329075*x^22 + 4709871*x^21 - 8910088*x^20 - 9589521*x^19 + 22737763*x^18 + 12318711*x^17 - 39254951*x^16 - 8731435*x^15 + 45775220*x^14 + 1850776*x^13 - 35949232*x^12 + 1276213*x^11 + 19311226*x^10 - 381500*x^9 - 7515404*x^8 - 377026*x^7 + 2260325*x^6 + 183652*x^5 - 486296*x^4 - 15200*x^3 + 56464*x^2 - 1344*x - 2176, -x^34 + 6*x^33 + 32*x^32 - 252*x^31 - 346*x^30 + 4649*x^29 + 135*x^28 - 49565*x^27 + 33426*x^26 + 337823*x^25 - 385212*x^24 - 1536006*x^23 + 2329075*x^22 + 4709871*x^21 - 8910088*x^20 - 9589521*x^19 + 22737763*x^18 + 12318711*x^17 - 39254951*x^16 - 8731435*x^15 + 45775220*x^14 + 1850776*x^13 - 35949232*x^12 + 1276213*x^11 + 19311226*x^10 - 381500*x^9 - 7515404*x^8 - 377026*x^7 + 2260325*x^6 + 183652*x^5 - 486296*x^4 - 15200*x^3 + 56464*x^2 - 1344*x - 2176, -x^34 + 5*x^33 + 37*x^32 - 220*x^31 - 543*x^30 + 4283*x^29 + 3466*x^28 - 48569*x^27 + 1995*x^26 + 355148*x^25 - 206451*x^24 - 1748664*x^23 + 1726903*x^22 + 5862269*x^21 - 7946417*x^20 - 13140312*x^19 + 23437058*x^18 + 18393892*x^17 - 45997525*x^16 - 12389438*x^15 + 60018971*x^14 - 4498627*x^13 - 50700602*x^12 + 17232864*x^11 + 25979650*x^10 - 15742246*x^9 - 6718204*x^8 + 7287801*x^7 + 114491*x^6 - 1747934*x^5 + 346948*x^4 + 184272*x^3 - 62656*x^2 - 4864*x + 2624, -x^34 + 5*x^33 + 37*x^32 - 220*x^31 - 543*x^30 + 4283*x^29 + 3466*x^28 - 48569*x^27 + 1995*x^26 + 355148*x^25 - 206451*x^24 - 1748664*x^23 + 1726903*x^22 + 5862269*x^21 - 7946417*x^20 - 13140312*x^19 + 23437058*x^18 + 18393892*x^17 - 45997525*x^16 - 12389438*x^15 + 60018971*x^14 - 4498627*x^13 - 50700602*x^12 + 17232864*x^11 + 25979650*x^10 - 15742246*x^9 - 6718204*x^8 + 7287801*x^7 + 114491*x^6 - 1747934*x^5 + 346948*x^4 + 184272*x^3 - 62656*x^2 - 4864*x + 2624, -x^37 + 6*x^36 + 40*x^35 - 301*x^34 - 607*x^33 + 6760*x^32 + 3012*x^31 - 89739*x^30 + 32764*x^29 + 782905*x^28 - 691776*x^27 - 4719179*x^26 + 6006552*x^25 + 20100519*x^24 - 32439765*x^23 - 60731984*x^22 + 119579707*x^21 + 128376510*x^20 - 310680333*x^19 - 182415715*x^18 + 574116299*x^17 + 156780951*x^16 - 752399449*x^15 - 49644763*x^14 + 691841729*x^13 - 48077203*x^12 - 438521400*x^11 + 67853000*x^10 + 186576097*x^9 - 37989064*x^8 - 51177013*x^7 + 11511777*x^6 + 8475268*x^5 - 1886100*x^4 - 747304*x^3 + 144048*x^2 + 25600*x - 2944, -x^37 + 6*x^36 + 40*x^35 - 301*x^34 - 607*x^33 + 6760*x^32 + 3012*x^31 - 89739*x^30 + 32764*x^29 + 782905*x^28 - 691776*x^27 - 4719179*x^26 + 6006552*x^25 + 20100519*x^24 - 32439765*x^23 - 60731984*x^22 + 119579707*x^21 + 128376510*x^20 - 310680333*x^19 - 182415715*x^18 + 574116299*x^17 + 156780951*x^16 - 752399449*x^15 - 49644763*x^14 + 691841729*x^13 - 48077203*x^12 - 438521400*x^11 + 67853000*x^10 + 186576097*x^9 - 37989064*x^8 - 51177013*x^7 + 11511777*x^6 + 8475268*x^5 - 1886100*x^4 - 747304*x^3 + 144048*x^2 + 25600*x - 2944, -x^35 + 5*x^34 + 41*x^33 - 235*x^32 - 710*x^31 + 4949*x^30 + 6526*x^29 - 61807*x^28 - 30118*x^27 + 510568*x^26 + 3517*x^25 - 2946044*x^24 + 869704*x^23 + 12223811*x^22 - 6014712*x^21 - 36997386*x^20 + 22899961*x^19 + 82045147*x^18 - 56947453*x^17 - 132932354*x^16 + 96590680*x^15 + 156097074*x^14 - 112505161*x^13 - 131301813*x^12 + 89139753*x^11 + 77929161*x^10 - 47144766*x^9 - 31932117*x^8 + 16183071*x^7 + 8712525*x^6 - 3435696*x^5 - 1487336*x^4 + 406072*x^3 + 142256*x^2 - 20192*x - 5824, -x^35 + 5*x^34 + 41*x^33 - 235*x^32 - 710*x^31 + 4949*x^30 + 6526*x^29 - 61807*x^28 - 30118*x^27 + 510568*x^26 + 3517*x^25 - 2946044*x^24 + 869704*x^23 + 12223811*x^22 - 6014712*x^21 - 36997386*x^20 + 22899961*x^19 + 82045147*x^18 - 56947453*x^17 - 132932354*x^16 + 96590680*x^15 + 156097074*x^14 - 112505161*x^13 - 131301813*x^12 + 89139753*x^11 + 77929161*x^10 - 47144766*x^9 - 31932117*x^8 + 16183071*x^7 + 8712525*x^6 - 3435696*x^5 - 1487336*x^4 + 406072*x^3 + 142256*x^2 - 20192*x - 5824, -2*x^34 + 13*x^33 + 58*x^32 - 535*x^31 - 454*x^30 + 9664*x^29 - 3959*x^28 - 100690*x^27 + 111626*x^26 + 667564*x^25 - 1087287*x^24 - 2919557*x^23 + 6249099*x^22 + 8367155*x^21 - 23664105*x^20 - 14603345*x^19 + 61322388*x^18 + 10685191*x^17 - 109894468*x^16 + 13166431*x^15 + 135608196*x^14 - 44134138*x^13 - 113554785*x^12 + 53913373*x^11 + 62977483*x^10 - 36876821*x^9 - 22304462*x^8 + 14843277*x^7 + 4793232*x^6 - 3397934*x^5 - 595896*x^4 + 397312*x^3 + 44512*x^2 - 17760*x - 2176, -2*x^34 + 13*x^33 + 58*x^32 - 535*x^31 - 454*x^30 + 9664*x^29 - 3959*x^28 - 100690*x^27 + 111626*x^26 + 667564*x^25 - 1087287*x^24 - 2919557*x^23 + 6249099*x^22 + 8367155*x^21 - 23664105*x^20 - 14603345*x^19 + 61322388*x^18 + 10685191*x^17 - 109894468*x^16 + 13166431*x^15 + 135608196*x^14 - 44134138*x^13 - 113554785*x^12 + 53913373*x^11 + 62977483*x^10 - 36876821*x^9 - 22304462*x^8 + 14843277*x^7 + 4793232*x^6 - 3397934*x^5 - 595896*x^4 + 397312*x^3 + 44512*x^2 - 17760*x - 2176, x^35 - 6*x^34 - 34*x^33 + 263*x^32 + 418*x^31 - 5135*x^30 - 1115*x^29 + 58996*x^28 - 28739*x^27 - 443666*x^26 + 414809*x^25 + 2296780*x^24 - 2916457*x^23 - 8369616*x^22 + 13091031*x^21 + 21524185*x^20 - 40375591*x^19 - 38357219*x^18 + 87775510*x^17 + 44874152*x^16 - 135078708*x^15 - 29203695*x^14 + 145800275*x^13 + 1661559*x^12 - 108154573*x^11 + 14310931*x^10 + 53363534*x^9 - 12444567*x^8 - 16639753*x^7 + 5067158*x^6 + 3010888*x^5 - 1072284*x^4 - 268120*x^3 + 106272*x^2 + 7584*x - 3328, x^35 - 6*x^34 - 34*x^33 + 263*x^32 + 418*x^31 - 5135*x^30 - 1115*x^29 + 58996*x^28 - 28739*x^27 - 443666*x^26 + 414809*x^25 + 2296780*x^24 - 2916457*x^23 - 8369616*x^22 + 13091031*x^21 + 21524185*x^20 - 40375591*x^19 - 38357219*x^18 + 87775510*x^17 + 44874152*x^16 - 135078708*x^15 - 29203695*x^14 + 145800275*x^13 + 1661559*x^12 - 108154573*x^11 + 14310931*x^10 + 53363534*x^9 - 12444567*x^8 - 16639753*x^7 + 5067158*x^6 + 3010888*x^5 - 1072284*x^4 - 268120*x^3 + 106272*x^2 + 7584*x - 3328, -x^35 + 7*x^34 + 26*x^33 - 284*x^32 - 94*x^31 + 4998*x^30 - 4538*x^29 - 49757*x^28 + 83856*x^27 + 304177*x^26 - 736541*x^25 - 1134573*x^24 + 3984781*x^23 + 2169756*x^22 - 14281500*x^21 + 793551*x^20 + 34677117*x^19 - 16861213*x^18 - 56859032*x^17 + 49095726*x^16 + 61409467*x^15 - 79720125*x^14 - 41231818*x^13 + 83114808*x^12 + 14628408*x^11 - 58121530*x^10 - 461581*x^9 + 27538055*x^8 - 1901472*x^7 - 8646908*x^6 + 848990*x^5 + 1681640*x^4 - 169232*x^3 - 175440*x^2 + 13344*x + 7040, -x^35 + 7*x^34 + 26*x^33 - 284*x^32 - 94*x^31 + 4998*x^30 - 4538*x^29 - 49757*x^28 + 83856*x^27 + 304177*x^26 - 736541*x^25 - 1134573*x^24 + 3984781*x^23 + 2169756*x^22 - 14281500*x^21 + 793551*x^20 + 34677117*x^19 - 16861213*x^18 - 56859032*x^17 + 49095726*x^16 + 61409467*x^15 - 79720125*x^14 - 41231818*x^13 + 83114808*x^12 + 14628408*x^11 - 58121530*x^10 - 461581*x^9 + 27538055*x^8 - 1901472*x^7 - 8646908*x^6 + 848990*x^5 + 1681640*x^4 - 169232*x^3 - 175440*x^2 + 13344*x + 7040, -x^35 + 5*x^34 + 40*x^33 - 232*x^32 - 667*x^31 + 4822*x^30 + 5681*x^29 - 59355*x^28 - 20127*x^27 + 482034*x^26 - 75006*x^25 - 2723895*x^24 + 1297259*x^23 + 11011603*x^22 - 7648524*x^21 - 32273306*x^20 + 27258943*x^19 + 68858999*x^18 - 64900353*x^17 - 106750198*x^16 + 106102533*x^15 + 119576270*x^14 - 119251311*x^13 - 96084644*x^12 + 90903909*x^11 + 54986374*x^10 - 45855267*x^9 - 22251870*x^8 + 14791189*x^7 + 6283813*x^6 - 2920846*x^5 - 1181448*x^4 + 330736*x^3 + 127712*x^2 - 17088*x - 5632, -x^35 + 5*x^34 + 40*x^33 - 232*x^32 - 667*x^31 + 4822*x^30 + 5681*x^29 - 59355*x^28 - 20127*x^27 + 482034*x^26 - 75006*x^25 - 2723895*x^24 + 1297259*x^23 + 11011603*x^22 - 7648524*x^21 - 32273306*x^20 + 27258943*x^19 + 68858999*x^18 - 64900353*x^17 - 106750198*x^16 + 106102533*x^15 + 119576270*x^14 - 119251311*x^13 - 96084644*x^12 + 90903909*x^11 + 54986374*x^10 - 45855267*x^9 - 22251870*x^8 + 14791189*x^7 + 6283813*x^6 - 2920846*x^5 - 1181448*x^4 + 330736*x^3 + 127712*x^2 - 17088*x - 5632, -x^36 + 5*x^35 + 44*x^34 - 252*x^33 - 818*x^32 + 5707*x^31 + 8009*x^30 - 76781*x^29 - 37491*x^28 + 683607*x^27 - 38287*x^26 - 4246898*x^25 + 1763171*x^24 + 18917646*x^23 - 12652415*x^22 - 61160588*x^21 + 52404407*x^20 + 143783531*x^19 - 143996841*x^18 - 244367409*x^17 + 272801437*x^16 + 296650034*x^15 - 359158735*x^14 - 252706424*x^13 + 326630144*x^12 + 147251128*x^11 - 202130519*x^10 - 56348358*x^9 + 83082973*x^8 + 13161792*x^7 - 21832150*x^6 - 1607848*x^5 + 3431724*x^4 + 58288*x^3 - 282944*x^2 + 3360*x + 8768, -x^36 + 5*x^35 + 44*x^34 - 252*x^33 - 818*x^32 + 5707*x^31 + 8009*x^30 - 76781*x^29 - 37491*x^28 + 683607*x^27 - 38287*x^26 - 4246898*x^25 + 1763171*x^24 + 18917646*x^23 - 12652415*x^22 - 61160588*x^21 + 52404407*x^20 + 143783531*x^19 - 143996841*x^18 - 244367409*x^17 + 272801437*x^16 + 296650034*x^15 - 359158735*x^14 - 252706424*x^13 + 326630144*x^12 + 147251128*x^11 - 202130519*x^10 - 56348358*x^9 + 83082973*x^8 + 13161792*x^7 - 21832150*x^6 - 1607848*x^5 + 3431724*x^4 + 58288*x^3 - 282944*x^2 + 3360*x + 8768, -x^38 + 6*x^37 + 41*x^36 - 306*x^35 - 652*x^34 + 7020*x^33 + 3855*x^32 - 95790*x^31 + 24751*x^30 + 866184*x^29 - 661605*x^28 - 5473477*x^27 + 6173720*x^26 + 24834010*x^25 - 35384618*x^24 - 81827938*x^23 + 139108359*x^22 + 195697260*x^21 - 390164151*x^20 - 335517673*x^19 + 792015305*x^18 + 400639424*x^17 - 1165559171*x^16 - 312600673*x^15 + 1235094332*x^14 + 131579885*x^13 - 929169654*x^12 + 2758995*x^11 + 485414886*x^10 - 36520015*x^9 - 170517861*x^8 + 20314484*x^7 + 38453656*x^6 - 5293980*x^5 - 5197800*x^4 + 663424*x^3 + 378464*x^2 - 30880*x - 11776, -x^38 + 6*x^37 + 41*x^36 - 306*x^35 - 652*x^34 + 7020*x^33 + 3855*x^32 - 95790*x^31 + 24751*x^30 + 866184*x^29 - 661605*x^28 - 5473477*x^27 + 6173720*x^26 + 24834010*x^25 - 35384618*x^24 - 81827938*x^23 + 139108359*x^22 + 195697260*x^21 - 390164151*x^20 - 335517673*x^19 + 792015305*x^18 + 400639424*x^17 - 1165559171*x^16 - 312600673*x^15 + 1235094332*x^14 + 131579885*x^13 - 929169654*x^12 + 2758995*x^11 + 485414886*x^10 - 36520015*x^9 - 170517861*x^8 + 20314484*x^7 + 38453656*x^6 - 5293980*x^5 - 5197800*x^4 + 663424*x^3 + 378464*x^2 - 30880*x - 11776, -3*x^34 + 18*x^33 + 98*x^32 - 765*x^31 - 1120*x^30 + 14356*x^29 + 1816*x^28 - 156863*x^27 + 87357*x^26 + 1107922*x^25 - 1093076*x^24 - 5309168*x^23 + 6901727*x^22 + 17627850*x^21 - 27532416*x^20 - 40695881*x^19 + 73859223*x^18 + 64625076*x^17 - 135821284*x^16 - 68770098*x^15 + 171134651*x^14 + 46636457*x^13 - 145840684*x^12 - 18019392*x^11 + 82061847*x^10 + 2551213*x^9 - 29388308*x^8 + 625973*x^7 + 6350092*x^6 - 260310*x^5 - 762532*x^4 + 23392*x^3 + 43648*x^2 + 224*x - 832, -3*x^34 + 18*x^33 + 98*x^32 - 765*x^31 - 1120*x^30 + 14356*x^29 + 1816*x^28 - 156863*x^27 + 87357*x^26 + 1107922*x^25 - 1093076*x^24 - 5309168*x^23 + 6901727*x^22 + 17627850*x^21 - 27532416*x^20 - 40695881*x^19 + 73859223*x^18 + 64625076*x^17 - 135821284*x^16 - 68770098*x^15 + 171134651*x^14 + 46636457*x^13 - 145840684*x^12 - 18019392*x^11 + 82061847*x^10 + 2551213*x^9 - 29388308*x^8 + 625973*x^7 + 6350092*x^6 - 260310*x^5 - 762532*x^4 + 23392*x^3 + 43648*x^2 + 224*x - 832, -x^35 + 6*x^34 + 35*x^33 - 270*x^32 - 444*x^31 + 5413*x^30 + 1240*x^29 - 63792*x^28 + 31995*x^27 + 490915*x^26 - 475681*x^25 - 2591158*x^24 + 3418536*x^23 + 9587392*x^22 - 15572784*x^21 - 24972367*x^20 + 48344324*x^19 + 45300708*x^18 - 104879769*x^17 - 55599752*x^16 + 159860220*x^15 + 43284102*x^14 - 170116119*x^13 - 17622461*x^12 + 124315779*x^11 - 342917*x^10 - 60622344*x^9 + 4102462*x^8 + 18854751*x^7 - 1938621*x^6 - 3483646*x^5 + 391792*x^4 + 336744*x^3 - 31408*x^2 - 12448*x + 320, -x^35 + 6*x^34 + 35*x^33 - 270*x^32 - 444*x^31 + 5413*x^30 + 1240*x^29 - 63792*x^28 + 31995*x^27 + 490915*x^26 - 475681*x^25 - 2591158*x^24 + 3418536*x^23 + 9587392*x^22 - 15572784*x^21 - 24972367*x^20 + 48344324*x^19 + 45300708*x^18 - 104879769*x^17 - 55599752*x^16 + 159860220*x^15 + 43284102*x^14 - 170116119*x^13 - 17622461*x^12 + 124315779*x^11 - 342917*x^10 - 60622344*x^9 + 4102462*x^8 + 18854751*x^7 - 1938621*x^6 - 3483646*x^5 + 391792*x^4 + 336744*x^3 - 31408*x^2 - 12448*x + 320, -x^35 + 6*x^34 + 31*x^33 - 246*x^32 - 316*x^31 + 4409*x^30 - 172*x^29 - 45299*x^28 + 33619*x^27 + 293177*x^26 - 360052*x^25 - 1228551*x^24 + 2047242*x^23 + 3234283*x^22 - 7236204*x^21 - 4492046*x^20 + 16282145*x^19 - 558858*x^18 - 22014799*x^17 + 15066530*x^16 + 13134504*x^15 - 29740492*x^14 + 7896295*x^13 + 30167613*x^12 - 21706314*x^11 - 17256418*x^10 + 18218039*x^9 + 5020035*x^8 - 7931507*x^7 - 325927*x^6 + 1824174*x^5 - 170912*x^4 - 193192*x^3 + 33408*x^2 + 6016*x - 1216, -x^35 + 6*x^34 + 31*x^33 - 246*x^32 - 316*x^31 + 4409*x^30 - 172*x^29 - 45299*x^28 + 33619*x^27 + 293177*x^26 - 360052*x^25 - 1228551*x^24 + 2047242*x^23 + 3234283*x^22 - 7236204*x^21 - 4492046*x^20 + 16282145*x^19 - 558858*x^18 - 22014799*x^17 + 15066530*x^16 + 13134504*x^15 - 29740492*x^14 + 7896295*x^13 + 30167613*x^12 - 21706314*x^11 - 17256418*x^10 + 18218039*x^9 + 5020035*x^8 - 7931507*x^7 - 325927*x^6 + 1824174*x^5 - 170912*x^4 - 193192*x^3 + 33408*x^2 + 6016*x - 1216, x^36 - 7*x^35 - 29*x^34 + 305*x^33 + 174*x^32 - 5859*x^31 + 4178*x^30 + 65138*x^29 - 96136*x^28 - 460939*x^27 + 975003*x^26 + 2133525*x^25 - 6113389*x^24 - 6236480*x^23 + 25915167*x^22 + 9288271*x^21 - 76760844*x^20 + 5322453*x^19 + 160189388*x^18 - 59901458*x^17 - 233652513*x^16 + 143261541*x^15 + 232681718*x^14 - 192803755*x^13 - 151184353*x^12 + 162097486*x^11 + 58330089*x^10 - 85907944*x^9 - 9915966*x^8 + 27836923*x^7 - 922884*x^6 - 5146748*x^5 + 627732*x^4 + 473432*x^3 - 78928*x^2 - 15168*x + 2432, x^36 - 7*x^35 - 29*x^34 + 305*x^33 + 174*x^32 - 5859*x^31 + 4178*x^30 + 65138*x^29 - 96136*x^28 - 460939*x^27 + 975003*x^26 + 2133525*x^25 - 6113389*x^24 - 6236480*x^23 + 25915167*x^22 + 9288271*x^21 - 76760844*x^20 + 5322453*x^19 + 160189388*x^18 - 59901458*x^17 - 233652513*x^16 + 143261541*x^15 + 232681718*x^14 - 192803755*x^13 - 151184353*x^12 + 162097486*x^11 + 58330089*x^10 - 85907944*x^9 - 9915966*x^8 + 27836923*x^7 - 922884*x^6 - 5146748*x^5 + 627732*x^4 + 473432*x^3 - 78928*x^2 - 15168*x + 2432, -x^36 + 7*x^35 + 30*x^34 - 308*x^33 - 224*x^32 + 6015*x^31 - 3072*x^30 - 68762*x^29 + 81905*x^28 + 510605*x^27 - 857324*x^26 - 2580318*x^25 + 5463069*x^24 + 9014930*x^23 - 23512302*x^22 - 21544170*x^21 + 71119621*x^20 + 33424189*x^19 - 153456018*x^18 - 27848061*x^17 + 236485702*x^16 - 2218592*x^15 - 258141689*x^14 + 34627575*x^13 + 196418324*x^12 - 41378351*x^11 - 101834654*x^10 + 25368342*x^9 + 35002240*x^8 - 8895855*x^7 - 7761427*x^6 + 1758298*x^5 + 1079596*x^4 - 183632*x^3 - 86768*x^2 + 8160*x + 3008, -x^36 + 7*x^35 + 30*x^34 - 308*x^33 - 224*x^32 + 6015*x^31 - 3072*x^30 - 68762*x^29 + 81905*x^28 + 510605*x^27 - 857324*x^26 - 2580318*x^25 + 5463069*x^24 + 9014930*x^23 - 23512302*x^22 - 21544170*x^21 + 71119621*x^20 + 33424189*x^19 - 153456018*x^18 - 27848061*x^17 + 236485702*x^16 - 2218592*x^15 - 258141689*x^14 + 34627575*x^13 + 196418324*x^12 - 41378351*x^11 - 101834654*x^10 + 25368342*x^9 + 35002240*x^8 - 8895855*x^7 - 7761427*x^6 + 1758298*x^5 + 1079596*x^4 - 183632*x^3 - 86768*x^2 + 8160*x + 3008, x^37 - 6*x^36 - 37*x^35 + 281*x^34 + 516*x^33 - 5898*x^32 - 2255*x^31 + 73345*x^30 - 26259*x^29 - 601840*x^28 + 493137*x^27 + 3434515*x^26 - 3947880*x^25 - 13996329*x^24 + 19816694*x^23 + 41170189*x^22 - 68307705*x^21 - 87321353*x^20 + 167140790*x^19 + 131911779*x^18 - 293579962*x^17 - 138098313*x^16 + 369979018*x^15 + 94541629*x^14 - 331612203*x^13 - 35982397*x^12 + 207863013*x^11 + 1615779*x^10 - 88647842*x^9 + 5279250*x^8 + 24612724*x^7 - 2452479*x^6 - 4141454*x^5 + 466120*x^4 + 372824*x^3 - 34672*x^2 - 13312*x + 320, x^37 - 6*x^36 - 37*x^35 + 281*x^34 + 516*x^33 - 5898*x^32 - 2255*x^31 + 73345*x^30 - 26259*x^29 - 601840*x^28 + 493137*x^27 + 3434515*x^26 - 3947880*x^25 - 13996329*x^24 + 19816694*x^23 + 41170189*x^22 - 68307705*x^21 - 87321353*x^20 + 167140790*x^19 + 131911779*x^18 - 293579962*x^17 - 138098313*x^16 + 369979018*x^15 + 94541629*x^14 - 331612203*x^13 - 35982397*x^12 + 207863013*x^11 + 1615779*x^10 - 88647842*x^9 + 5279250*x^8 + 24612724*x^7 - 2452479*x^6 - 4141454*x^5 + 466120*x^4 + 372824*x^3 - 34672*x^2 - 13312*x + 320, -x^36 + 6*x^35 + 36*x^34 - 277*x^33 - 472*x^32 + 5709*x^31 + 1402*x^30 - 69319*x^29 + 35762*x^28 + 550730*x^27 - 559035*x^26 - 3004037*x^25 + 4227605*x^24 + 11463008*x^23 - 20387030*x^22 - 30487051*x^21 + 67478666*x^20 + 54740368*x^19 - 157196410*x^18 - 60243737*x^17 + 258850256*x^16 + 25863175*x^15 - 298846552*x^14 + 27665294*x^13 + 237689155*x^12 - 53150399*x^11 - 126821291*x^10 + 39345643*x^9 + 43761263*x^8 - 15795177*x^7 - 9319150*x^6 + 3487332*x^5 + 1165236*x^4 - 387296*x^3 - 82144*x^2 + 16320*x + 3008, -x^36 + 6*x^35 + 36*x^34 - 277*x^33 - 472*x^32 + 5709*x^31 + 1402*x^30 - 69319*x^29 + 35762*x^28 + 550730*x^27 - 559035*x^26 - 3004037*x^25 + 4227605*x^24 + 11463008*x^23 - 20387030*x^22 - 30487051*x^21 + 67478666*x^20 + 54740368*x^19 - 157196410*x^18 - 60243737*x^17 + 258850256*x^16 + 25863175*x^15 - 298846552*x^14 + 27665294*x^13 + 237689155*x^12 - 53150399*x^11 - 126821291*x^10 + 39345643*x^9 + 43761263*x^8 - 15795177*x^7 - 9319150*x^6 + 3487332*x^5 + 1165236*x^4 - 387296*x^3 - 82144*x^2 + 16320*x + 3008]>
       ]
>;

MOG[821] := 	// J_0(821)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 72, 352, 408, 425, 517, 608, 611, 635, 664, 705, 728, 729, 765, 788, 280*x + 780, 541*x + 780, 86*x + 5, 735*x + 5, 370*x + 772, 451*x + 772, 710*x + 767, 111*x + 767, 799*x + 318, 22*x + 318, 87*x + 353, 734*x + 353, 649*x + 146, 172*x + 146, 555*x + 185, 266*x + 185, 596*x + 268, 225*x + 268, 550*x + 664, 271*x + 664, 10*x + 102, 811*x + 102, 657*x + 620, 164*x + 620, 256*x + 744, 565*x + 744, 297*x + 429, 524*x + 429, 537*x + 29, 284*x + 29, 709*x + 234, 112*x + 234, 321*x + 137, 500*x + 137, 615*x + 34, 206*x + 34, 185*x + 464, 636*x + 464, 808*x + 580, 13*x + 580, 111*x + 371, 710*x + 371, 411*x + 469, 410*x + 469, 403*x + 307, 418*x + 307, 205*x + 234, 616*x + 234, 433*x + 181, 388*x + 181, 361*x + 236, 460*x + 236, 5*x + 84, 816*x + 84]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^27 + 3*x^26 - 30*x^25 - 93*x^24 + 386*x^23 + 1247*x^22 - 2795*x^21 - 9523*x^20 + 12536*x^19 + 45856*x^18 - 36046*x^17 - 145545*x^16 + 66305*x^15 + 309262*x^14 - 75164*x^13 - 438397*x^12 + 47707*x^11 + 406641*x^10 - 12314*x^9 - 237797*x^8 - 2488*x^7 + 81854*x^6 + 2612*x^5 - 14470*x^4 - 795*x^3 + 957*x^2 + 85*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^26 - 3*x^25 + 28*x^24 + 87*x^23 - 334*x^22 - 1085*x^21 + 2225*x^20 + 7660*x^19 - 9087*x^18 - 33865*x^17 + 23400*x^16 + 97857*x^15 - 37301*x^14 - 187224*x^13 + 33646*x^12 + 235317*x^11 - 11545*x^10 - 189189*x^9 - 6145*x^8 + 92509*x^7 + 7673*x^6 - 24879*x^5 - 2994*x^4 + 2888*x^3 + 469*x^2 - 47*x - 4, x^26 + 3*x^25 - 28*x^24 - 87*x^23 + 334*x^22 + 1085*x^21 - 2225*x^20 - 7660*x^19 + 9087*x^18 + 33865*x^17 - 23400*x^16 - 97857*x^15 + 37301*x^14 + 187224*x^13 - 33646*x^12 - 235317*x^11 + 11545*x^10 + 189189*x^9 + 6145*x^8 - 92509*x^7 - 7673*x^6 + 24879*x^5 + 2994*x^4 - 2888*x^3 - 469*x^2 + 47*x + 4, -x^25 - 3*x^24 + 26*x^23 + 81*x^22 - 284*x^21 - 928*x^20 + 1707*x^19 + 5929*x^18 - 6196*x^17 - 23313*x^16 + 14002*x^15 + 58693*x^14 - 19575*x^13 - 95411*x^12 + 16278*x^11 + 98697*x^10 - 7320*x^9 - 62511*x^8 + 1076*x^7 + 22460*x^6 + 672*x^5 - 3918*x^4 - 427*x^3 + 233*x^2 + 60*x + 3, x^25 + 3*x^24 - 26*x^23 - 81*x^22 + 284*x^21 + 928*x^20 - 1707*x^19 - 5929*x^18 + 6196*x^17 + 23313*x^16 - 14002*x^15 - 58693*x^14 + 19575*x^13 + 95411*x^12 - 16278*x^11 - 98697*x^10 + 7320*x^9 + 62511*x^8 - 1076*x^7 - 22460*x^6 - 672*x^5 + 3918*x^4 + 427*x^3 - 233*x^2 - 60*x - 3, -x^25 - 3*x^24 + 26*x^23 + 81*x^22 - 286*x^21 - 935*x^20 + 1742*x^19 + 6062*x^18 - 6450*x^17 - 24375*x^16 + 15002*x^15 + 63345*x^14 - 21943*x^13 - 107669*x^12 + 19884*x^11 + 118755*x^10 - 11139*x^9 - 82777*x^8 + 4109*x^7 + 34515*x^6 - 1054*x^5 - 7664*x^4 + 101*x^3 + 677*x^2 + 21*x - 2, x^25 + 3*x^24 - 26*x^23 - 81*x^22 + 286*x^21 + 935*x^20 - 1742*x^19 - 6062*x^18 + 6450*x^17 + 24375*x^16 - 15002*x^15 - 63345*x^14 + 21943*x^13 + 107669*x^12 - 19884*x^11 - 118755*x^10 + 11139*x^9 + 82777*x^8 - 4109*x^7 - 34515*x^6 + 1054*x^5 + 7664*x^4 - 101*x^3 - 677*x^2 - 21*x + 2, -x^24 - 3*x^23 + 25*x^22 + 78*x^21 - 261*x^20 - 857*x^19 + 1486*x^18 + 5223*x^17 - 5040*x^16 - 19462*x^15 + 10409*x^14 + 46072*x^13 - 12776*x^12 - 69800*x^11 + 8552*x^10 + 66656*x^9 - 2322*x^8 - 38576*x^7 - 427*x^6 + 12448*x^5 + 484*x^4 - 1871*x^3 - 138*x^2 + 88*x + 5, x^24 + 3*x^23 - 25*x^22 - 78*x^21 + 261*x^20 + 857*x^19 - 1486*x^18 - 5223*x^17 + 5040*x^16 + 19462*x^15 - 10409*x^14 - 46072*x^13 + 12776*x^12 + 69800*x^11 - 8552*x^10 - 66656*x^9 + 2322*x^8 + 38576*x^7 + 427*x^6 - 12448*x^5 - 484*x^4 + 1871*x^3 + 138*x^2 - 88*x - 5, -x^24 - 3*x^23 + 25*x^22 + 79*x^21 - 257*x^20 - 874*x^19 + 1405*x^18 + 5329*x^17 - 4358*x^16 - 19702*x^15 + 7317*x^14 + 45741*x^13 - 4592*x^12 - 66820*x^11 - 4327*x^10 + 60022*x^9 + 9543*x^8 - 31473*x^7 - 6574*x^6 + 8513*x^5 + 2083*x^4 - 784*x^3 - 271*x^2 - 38*x - 1, x^24 + 3*x^23 - 25*x^22 - 79*x^21 + 257*x^20 + 874*x^19 - 1405*x^18 - 5329*x^17 + 4358*x^16 + 19702*x^15 - 7317*x^14 - 45741*x^13 + 4592*x^12 + 66820*x^11 + 4327*x^10 - 60022*x^9 - 9543*x^8 + 31473*x^7 + 6574*x^6 - 8513*x^5 - 2083*x^4 + 784*x^3 + 271*x^2 + 38*x + 1, -x^24 - 3*x^23 + 24*x^22 + 75*x^21 - 242*x^20 - 801*x^19 + 1325*x^18 + 4775*x^17 - 4235*x^16 - 17436*x^15 + 7822*x^14 + 40342*x^13 - 7421*x^12 - 59331*x^11 + 1746*x^10 + 54536*x^9 + 2567*x^8 - 30263*x^7 - 2206*x^6 + 9388*x^5 + 717*x^4 - 1375*x^3 - 121*x^2 + 69*x + 3, x^24 + 3*x^23 - 24*x^22 - 75*x^21 + 242*x^20 + 801*x^19 - 1325*x^18 - 4775*x^17 + 4235*x^16 + 17436*x^15 - 7822*x^14 - 40342*x^13 + 7421*x^12 + 59331*x^11 - 1746*x^10 - 54536*x^9 - 2567*x^8 + 30263*x^7 + 2206*x^6 - 9388*x^5 - 717*x^4 + 1375*x^3 + 121*x^2 - 69*x - 3, -x^24 - 3*x^23 + 24*x^22 + 75*x^21 - 241*x^20 - 797*x^19 + 1312*x^18 + 4715*x^17 - 4163*x^16 - 17076*x^15 + 7536*x^14 + 39213*x^13 - 6341*x^12 - 57231*x^11 - 1340*x^10 + 51876*x^9 + 7687*x^8 - 27731*x^7 - 6521*x^6 + 7827*x^5 + 2378*x^4 - 836*x^3 - 327*x^2 - 24*x + 1, x^24 + 3*x^23 - 24*x^22 - 75*x^21 + 241*x^20 + 797*x^19 - 1312*x^18 - 4715*x^17 + 4163*x^16 + 17076*x^15 - 7536*x^14 - 39213*x^13 + 6341*x^12 + 57231*x^11 + 1340*x^10 - 51876*x^9 - 7687*x^8 + 27731*x^7 + 6521*x^6 - 7827*x^5 - 2378*x^4 + 836*x^3 + 327*x^2 + 24*x - 1, -x^23 - 3*x^22 + 23*x^21 + 71*x^20 - 221*x^19 - 706*x^18 + 1156*x^17 + 3851*x^16 - 3593*x^15 - 12621*x^14 + 6799*x^13 + 25611*x^12 - 7726*x^11 - 32041*x^10 + 4998*x^9 + 23935*x^8 - 1503*x^7 - 10012*x^6 - 188*x^5 + 2047*x^4 + 289*x^3 - 145*x^2 - 55*x - 3, x^23 + 3*x^22 - 23*x^21 - 71*x^20 + 221*x^19 + 706*x^18 - 1156*x^17 - 3851*x^16 + 3593*x^15 + 12621*x^14 - 6799*x^13 - 25611*x^12 + 7726*x^11 + 32041*x^10 - 4998*x^9 - 23935*x^8 + 1503*x^7 + 10012*x^6 + 188*x^5 - 2047*x^4 - 289*x^3 + 145*x^2 + 55*x + 3, -x^23 - 2*x^22 + 27*x^21 + 54*x^20 - 302*x^19 - 600*x^18 + 1838*x^17 + 3611*x^16 - 6685*x^15 - 12952*x^14 + 14983*x^13 + 28591*x^12 - 20605*x^11 - 38675*x^10 + 16863*x^9 + 31038*x^8 - 7650*x^7 - 13947*x^6 + 1411*x^5 + 3134*x^4 + 156*x^3 - 271*x^2 - 61*x - 3, x^23 + 2*x^22 - 27*x^21 - 54*x^20 + 302*x^19 + 600*x^18 - 1838*x^17 - 3611*x^16 + 6685*x^15 + 12952*x^14 - 14983*x^13 - 28591*x^12 + 20605*x^11 + 38675*x^10 - 16863*x^9 - 31038*x^8 + 7650*x^7 + 13947*x^6 - 1411*x^5 - 3134*x^4 - 156*x^3 + 271*x^2 + 61*x + 3, -x^23 - 3*x^22 + 22*x^21 + 66*x^20 - 211*x^19 - 622*x^18 + 1162*x^17 + 3283*x^16 - 4072*x^15 - 10660*x^14 + 9498*x^13 + 22048*x^12 - 14949*x^11 - 29112*x^10 + 15677*x^9 + 23936*x^8 - 10459*x^7 - 11575*x^6 + 3995*x^5 + 2955*x^4 - 685*x^3 - 318*x^2 + 23*x + 4, x^23 + 3*x^22 - 22*x^21 - 66*x^20 + 211*x^19 + 622*x^18 - 1162*x^17 - 3283*x^16 + 4072*x^15 + 10660*x^14 - 9498*x^13 - 22048*x^12 + 14949*x^11 + 29112*x^10 - 15677*x^9 - 23936*x^8 + 10459*x^7 + 11575*x^6 - 3995*x^5 - 2955*x^4 + 685*x^3 + 318*x^2 - 23*x - 4, -x^23 - 3*x^22 + 22*x^21 + 68*x^20 - 206*x^19 - 665*x^18 + 1053*x^17 + 3656*x^16 - 3108*x^15 - 12343*x^14 + 5024*x^13 + 26290*x^12 - 3189*x^11 - 35107*x^10 - 1971*x^9 + 28578*x^8 + 4144*x^7 - 13552*x^6 - 2224*x^5 + 3334*x^4 + 463*x^3 - 290*x^2 - 41*x - 2, x^23 + 3*x^22 - 22*x^21 - 68*x^20 + 206*x^19 + 665*x^18 - 1053*x^17 - 3656*x^16 + 3108*x^15 + 12343*x^14 - 5024*x^13 - 26290*x^12 + 3189*x^11 + 35107*x^10 + 1971*x^9 - 28578*x^8 - 4144*x^7 + 13552*x^6 + 2224*x^5 - 3334*x^4 - 463*x^3 + 290*x^2 + 41*x + 2, -x^23 - 3*x^22 + 23*x^21 + 70*x^20 - 227*x^19 - 695*x^18 + 1268*x^17 + 3844*x^16 - 4456*x^15 - 13021*x^14 + 10356*x^13 + 27966*x^12 - 16241*x^11 - 38110*x^10 + 17092*x^9 + 32020*x^8 - 11620*x^7 - 15530*x^6 + 4665*x^5 + 3825*x^4 - 898*x^3 - 357*x^2 + 45*x + 3, x^23 + 3*x^22 - 23*x^21 - 70*x^20 + 227*x^19 + 695*x^18 - 1268*x^17 - 3844*x^16 + 4456*x^15 + 13021*x^14 - 10356*x^13 - 27966*x^12 + 16241*x^11 + 38110*x^10 - 17092*x^9 - 32020*x^8 + 11620*x^7 + 15530*x^6 - 4665*x^5 - 3825*x^4 + 898*x^3 + 357*x^2 - 45*x - 3, -x^23 - 3*x^22 + 22*x^21 + 68*x^20 - 203*x^19 - 652*x^18 + 1019*x^17 + 3455*x^16 - 3010*x^15 - 11111*x^14 + 5246*x^13 + 22472*x^12 - 4983*x^11 - 28769*x^10 + 1734*x^9 + 23026*x^8 + 990*x^7 - 11158*x^6 - 1233*x^5 + 3003*x^4 + 470*x^3 - 344*x^2 - 65*x - 1, x^23 + 3*x^22 - 22*x^21 - 68*x^20 + 203*x^19 + 652*x^18 - 1019*x^17 - 3455*x^16 + 3010*x^15 + 11111*x^14 - 5246*x^13 - 22472*x^12 + 4983*x^11 + 28769*x^10 - 1734*x^9 - 23026*x^8 - 990*x^7 + 11158*x^6 + 1233*x^5 - 3003*x^4 - 470*x^3 + 344*x^2 + 65*x + 1, -2*x^22 - 7*x^21 + 40*x^20 + 151*x^19 - 330*x^18 - 1372*x^17 + 1447*x^16 + 6841*x^15 - 3610*x^14 - 20461*x^13 + 5050*x^12 + 37759*x^11 - 3554*x^10 - 42721*x^9 + 819*x^8 + 28564*x^7 + 239*x^6 - 10401*x^5 - 195*x^4 + 1726*x^3 + 83*x^2 - 91*x - 5, 2*x^22 + 7*x^21 - 40*x^20 - 151*x^19 + 330*x^18 + 1372*x^17 - 1447*x^16 - 6841*x^15 + 3610*x^14 + 20461*x^13 - 5050*x^12 - 37759*x^11 + 3554*x^10 + 42721*x^9 - 819*x^8 - 28564*x^7 - 239*x^6 + 10401*x^5 + 195*x^4 - 1726*x^3 - 83*x^2 + 91*x + 5, 2*x^21 + 9*x^20 - 28*x^19 - 167*x^18 + 120*x^17 + 1284*x^16 + 65*x^15 - 5286*x^14 - 2167*x^13 + 12578*x^12 + 7540*x^11 - 17485*x^10 - 12121*x^9 + 13845*x^8 + 9876*x^7 - 5962*x^6 - 3968*x^5 + 1207*x^4 + 669*x^3 - 61*x^2 - 26*x - 2, -2*x^21 - 9*x^20 + 28*x^19 + 167*x^18 - 120*x^17 - 1284*x^16 - 65*x^15 + 5286*x^14 + 2167*x^13 - 12578*x^12 - 7540*x^11 + 17485*x^10 + 12121*x^9 - 13845*x^8 - 9876*x^7 + 5962*x^6 + 3968*x^5 - 1207*x^4 - 669*x^3 + 61*x^2 + 26*x + 2, -x^22 - 3*x^21 + 20*x^20 + 60*x^19 - 174*x^18 - 511*x^17 + 864*x^16 + 2420*x^15 - 2673*x^14 - 6959*x^13 + 5229*x^12 + 12395*x^11 - 6275*x^10 - 13299*x^9 + 4351*x^8 + 7940*x^7 - 1614*x^6 - 2263*x^5 + 236*x^4 + 183*x^3 + 7*x^2 + 11*x + 4, x^22 + 3*x^21 - 20*x^20 - 60*x^19 + 174*x^18 + 511*x^17 - 864*x^16 - 2420*x^15 + 2673*x^14 + 6959*x^13 - 5229*x^12 - 12395*x^11 + 6275*x^10 + 13299*x^9 - 4351*x^8 - 7940*x^7 + 1614*x^6 + 2263*x^5 - 236*x^4 - 183*x^3 - 7*x^2 - 11*x - 4, -x^22 - 4*x^21 + 16*x^20 + 76*x^19 - 98*x^18 - 608*x^17 + 263*x^16 + 2673*x^15 - 125*x^14 - 7093*x^13 - 997*x^12 + 11829*x^11 + 2558*x^10 - 12659*x^9 - 2774*x^8 + 8771*x^7 + 1596*x^6 - 3791*x^5 - 490*x^4 + 902*x^3 + 73*x^2 - 82*x - 7, x^22 + 4*x^21 - 16*x^20 - 76*x^19 + 98*x^18 + 608*x^17 - 263*x^16 - 2673*x^15 + 125*x^14 + 7093*x^13 + 997*x^12 - 11829*x^11 - 2558*x^10 + 12659*x^9 + 2774*x^8 - 8771*x^7 - 1596*x^6 + 3791*x^5 + 490*x^4 - 902*x^3 - 73*x^2 + 82*x + 7, -x^22 - 5*x^21 + 14*x^20 + 102*x^19 - 44*x^18 - 871*x^17 - 293*x^16 + 4055*x^15 + 2820*x^14 - 11247*x^13 - 9900*x^12 + 19121*x^11 + 18432*x^10 - 19856*x^9 - 19307*x^8 + 12201*x^7 + 11186*x^6 - 4002*x^5 - 3276*x^4 + 479*x^3 + 372*x^2 + 27*x - 1, x^22 + 5*x^21 - 14*x^20 - 102*x^19 + 44*x^18 + 871*x^17 + 293*x^16 - 4055*x^15 - 2820*x^14 + 11247*x^13 + 9900*x^12 - 19121*x^11 - 18432*x^10 + 19856*x^9 + 19307*x^8 - 12201*x^7 - 11186*x^6 + 4002*x^5 + 3276*x^4 - 479*x^3 - 372*x^2 - 27*x + 1, -x^22 - 3*x^21 + 21*x^20 + 65*x^19 - 183*x^18 - 590*x^17 + 852*x^16 + 2917*x^15 - 2254*x^14 - 8553*x^13 + 3241*x^12 + 15175*x^11 - 1889*x^10 - 15926*x^9 - 735*x^8 + 9245*x^7 + 1489*x^6 - 2590*x^5 - 683*x^4 + 213*x^3 + 115*x^2 + 15*x - 1, x^22 + 3*x^21 - 21*x^20 - 65*x^19 + 183*x^18 + 590*x^17 - 852*x^16 - 2917*x^15 + 2254*x^14 + 8553*x^13 - 3241*x^12 - 15175*x^11 + 1889*x^10 + 15926*x^9 + 735*x^8 - 9245*x^7 - 1489*x^6 + 2590*x^5 + 683*x^4 - 213*x^3 - 115*x^2 - 15*x + 1, -x^22 - 4*x^21 + 17*x^20 + 80*x^19 - 110*x^18 - 670*x^17 + 301*x^16 + 3048*x^15 - 36*x^14 - 8188*x^13 - 1883*x^12 + 13287*x^11 + 4963*x^10 - 12924*x^9 - 5962*x^8 + 7328*x^7 + 3799*x^6 - 2234*x^5 - 1225*x^4 + 279*x^3 + 147*x^2 + 8*x, x^22 + 4*x^21 - 17*x^20 - 80*x^19 + 110*x^18 + 670*x^17 - 301*x^16 - 3048*x^15 + 36*x^14 + 8188*x^13 + 1883*x^12 - 13287*x^11 - 4963*x^10 + 12924*x^9 + 5962*x^8 - 7328*x^7 - 3799*x^6 + 2234*x^5 + 1225*x^4 - 279*x^3 - 147*x^2 - 8*x, -2*x^21 - 8*x^20 + 32*x^19 + 154*x^18 - 189*x^17 - 1236*x^16 + 435*x^15 + 5384*x^14 + 205*x^13 - 13895*x^12 - 3086*x^11 + 21808*x^10 + 6322*x^9 - 20638*x^8 - 5758*x^7 + 11289*x^6 + 2460*x^5 - 3151*x^4 - 456*x^3 + 301*x^2 + 45*x + 2, 2*x^21 + 8*x^20 - 32*x^19 - 154*x^18 + 189*x^17 + 1236*x^16 - 435*x^15 - 5384*x^14 - 205*x^13 + 13895*x^12 + 3086*x^11 - 21808*x^10 - 6322*x^9 + 20638*x^8 + 5758*x^7 - 11289*x^6 - 2460*x^5 + 3151*x^4 + 456*x^3 - 301*x^2 - 45*x - 2, -x^21 - 3*x^20 + 20*x^19 + 62*x^18 - 167*x^17 - 538*x^16 + 756*x^15 + 2558*x^14 - 2005*x^13 - 7297*x^12 + 3094*x^11 + 12843*x^10 - 2469*x^9 - 13781*x^8 + 499*x^7 + 8568*x^6 + 550*x^5 - 2790*x^4 - 355*x^3 + 359*x^2 + 64*x + 1, x^21 + 3*x^20 - 20*x^19 - 62*x^18 + 167*x^17 + 538*x^16 - 756*x^15 - 2558*x^14 + 2005*x^13 + 7297*x^12 - 3094*x^11 - 12843*x^10 + 2469*x^9 + 13781*x^8 - 499*x^7 - 8568*x^6 - 550*x^5 + 2790*x^4 + 355*x^3 - 359*x^2 - 64*x - 1, -x^21 - 4*x^20 + 17*x^19 + 80*x^18 - 110*x^17 - 670*x^16 + 301*x^15 + 3048*x^14 - 36*x^13 - 8188*x^12 - 1883*x^11 + 13287*x^10 + 4963*x^9 - 12924*x^8 - 5962*x^7 + 7328*x^6 + 3799*x^5 - 2234*x^4 - 1225*x^3 + 279*x^2 + 147*x + 8, x^21 + 4*x^20 - 17*x^19 - 80*x^18 + 110*x^17 + 670*x^16 - 301*x^15 - 3048*x^14 + 36*x^13 + 8188*x^12 + 1883*x^11 - 13287*x^10 - 4963*x^9 + 12924*x^8 + 5962*x^7 - 7328*x^6 - 3799*x^5 + 2234*x^4 + 1225*x^3 - 279*x^2 - 147*x - 8, x^19 + 2*x^18 - 18*x^17 - 34*x^16 + 130*x^15 + 229*x^14 - 478*x^13 - 778*x^12 + 925*x^11 + 1407*x^10 - 827*x^9 - 1318*x^8 + 84*x^7 + 593*x^6 + 346*x^5 - 146*x^4 - 182*x^3 + 36*x^2 + 15*x - 1, -x^19 - 2*x^18 + 18*x^17 + 34*x^16 - 130*x^15 - 229*x^14 + 478*x^13 + 778*x^12 - 925*x^11 - 1407*x^10 + 827*x^9 + 1318*x^8 - 84*x^7 - 593*x^6 - 346*x^5 + 146*x^4 + 182*x^3 - 36*x^2 - 15*x + 1, -2*x^20 - 8*x^19 + 29*x^18 + 146*x^17 - 136*x^16 - 1091*x^15 + 58*x^14 + 4311*x^13 + 1585*x^12 - 9708*x^11 - 5835*x^10 + 12517*x^9 + 9198*x^8 - 8852*x^7 - 7112*x^6 + 3114*x^5 + 2584*x^4 - 361*x^3 - 334*x^2 - 36*x - 3, 2*x^20 + 8*x^19 - 29*x^18 - 146*x^17 + 136*x^16 + 1091*x^15 - 58*x^14 - 4311*x^13 - 1585*x^12 + 9708*x^11 + 5835*x^10 - 12517*x^9 - 9198*x^8 + 8852*x^7 + 7112*x^6 - 3114*x^5 - 2584*x^4 + 361*x^3 + 334*x^2 + 36*x + 3, -x^20 - 3*x^19 + 16*x^18 + 52*x^17 - 96*x^16 - 359*x^15 + 249*x^14 + 1256*x^13 - 147*x^12 - 2332*x^11 - 580*x^10 + 2145*x^9 + 1234*x^8 - 677*x^7 - 939*x^6 - 200*x^5 + 328*x^4 + 146*x^3 - 51*x^2 - 14*x + 1, x^20 + 3*x^19 - 16*x^18 - 52*x^17 + 96*x^16 + 359*x^15 - 249*x^14 - 1256*x^13 + 147*x^12 + 2332*x^11 + 580*x^10 - 2145*x^9 - 1234*x^8 + 677*x^7 + 939*x^6 + 200*x^5 - 328*x^4 - 146*x^3 + 51*x^2 + 14*x - 1, -3*x^19 - 8*x^18 + 53*x^17 + 145*x^16 - 377*x^15 - 1073*x^14 + 1380*x^13 + 4187*x^12 - 2749*x^11 - 9291*x^10 + 2876*x^9 + 11786*x^8 - 1354*x^7 - 8175*x^6 + 124*x^5 + 2790*x^4 + 122*x^3 - 337*x^2 - 48*x - 2, 3*x^19 + 8*x^18 - 53*x^17 - 145*x^16 + 377*x^15 + 1073*x^14 - 1380*x^13 - 4187*x^12 + 2749*x^11 + 9291*x^10 - 2876*x^9 - 11786*x^8 + 1354*x^7 + 8175*x^6 - 124*x^5 - 2790*x^4 - 122*x^3 + 337*x^2 + 48*x + 2]>,
         rec<Eigen |
           DefiningPolynomial := x^41 - x^40 - 67*x^39 + 66*x^38 + 2067*x^37 - 2001*x^36 - 38950*x^35 + 36964*x^34 + 501446*x^33 - 465314*x^32 - 4673978*x^31 + 4229525*x^30 + 32613499*x^29 - 28696851*x^28 - 173736119*x^27 + 148169708*x^26 + 714239009*x^25 - 588132304*x^24 - 2275714233*x^23 + 1800333920*x^22 + 5613835697*x^21 - 4237229941*x^20 - 10658570292*x^19 + 7596468878*x^18 + 15406896511*x^17 - 10202313841*x^16 - 16679366708*x^15 + 9997379685*x^14 + 13212030985*x^13 - 6861313709*x^12 - 7408257059*x^11 + 3086638936*x^10 + 2797705834*x^9 - 806365097*x^8 - 653087014*x^7 + 91075548*x^6 + 78142776*x^5 + 145182*x^4 - 2503484*x^3 - 6702*x^2 + 26159*x - 779,
           Coordinates        := [-x^40 + x^39 + 64*x^38 - 63*x^37 - 1881*x^36 + 1818*x^35 + 33669*x^34 - 31866*x^33 - 410417*x^32 + 379344*x^31 + 3609243*x^30 - 3248795*x^29 - 23665514*x^28 + 20685224*x^27 + 117929801*x^26 - 99781420*x^25 - 451151134*x^24 + 368193114*x^23 + 1329519431*x^22 - 1041910434*x^21 - 3011636798*x^20 + 2252374079*x^19 + 5205233230*x^18 - 3681072681*x^17 - 6777145901*x^16 + 4466135412*x^15 + 6521829465*x^14 - 3909689703*x^13 - 4516169086*x^12 + 2363412630*x^11 + 2166894781*x^10 - 919345518*x^9 - 681142015*x^8 + 202755825*x^7 + 127688181*x^6 - 18987909*x^5 - 11689345*x^4 + 145881*x^3 + 259895*x^2 - 91*x - 1540, x^40 - x^39 - 64*x^38 + 63*x^37 + 1881*x^36 - 1818*x^35 - 33673*x^34 + 31872*x^33 + 410623*x^32 - 379648*x^31 - 3614021*x^30 + 3255741*x^29 + 23731524*x^28 - 20779992*x^27 - 118534975*x^26 + 100642966*x^25 + 455031740*x^24 - 373705536*x^23 - 1347379787*x^22 + 1067452238*x^21 + 3071163444*x^20 - 2339153641*x^19 - 5348180282*x^18 + 3897291121*x^17 + 7019570055*x^16 - 4856728094*x^15 - 6800391439*x^14 + 4409092907*x^13 + 4715783480*x^12 - 2797593568*x^11 - 2239148687*x^10 + 1160284442*x^9 + 682416821*x^8 - 279654329*x^7 - 121203313*x^6 + 30554331*x^5 + 10677447*x^4 - 652141*x^3 - 264671*x^2 + 3151*x + 1784, 2*x^34 - 8*x^33 - 102*x^32 + 412*x^31 + 2332*x^30 - 9564*x^29 - 31580*x^28 + 132392*x^27 + 281874*x^26 - 1218420*x^25 - 1745130*x^24 + 7868492*x^23 + 7674070*x^22 - 36681254*x^21 - 24104986*x^20 + 125072202*x^19 + 53518034*x^18 - 312613402*x^17 - 81428350*x^16 + 568623464*x^15 + 79305876*x^14 - 739760824*x^13 - 41366224*x^12 + 667884720*x^11 + 3019410*x^10 - 398034024*x^9 + 7307242*x^8 + 143498944*x^7 - 2512070*x^6 - 26266070*x^5 + 222198*x^4 + 1524814*x^3 - 136248*x^2 - 32626*x + 3380, 2*x^35 + 2*x^34 - 110*x^33 - 106*x^32 + 2740*x^31 + 2538*x^30 - 40908*x^29 - 36330*x^28 + 408390*x^27 + 346750*x^26 - 2880556*x^25 - 2330242*x^24 + 14795084*x^23 + 11350928*x^22 - 56235652*x^21 - 40653426*x^20 + 159281938*x^19 + 107472120*x^18 - 336114936*x^17 - 208695668*x^16 + 524661154*x^15 + 293536678*x^14 - 596225478*x^13 - 291612842*x^12 + 478662544*x^11 + 196788426*x^10 - 256852934*x^9 - 85590302*x^8 + 83059430*x^7 + 22684368*x^6 - 13176082*x^5 - 3383242*x^4 + 603086*x^3 + 178830*x^2 - 4032*x - 2162, 2*x^33 - 4*x^32 - 98*x^31 + 184*x^30 + 2144*x^29 - 3772*x^28 - 27648*x^27 + 45460*x^26 + 233626*x^25 - 357680*x^24 - 1359950*x^23 + 1927928*x^22 + 5579822*x^21 - 7257794*x^20 - 16230658*x^19 + 19043302*x^18 + 33222202*x^17 - 33912506*x^16 - 46953702*x^15 + 38103760*x^14 + 44626416*x^13 - 21294540*x^12 - 28092404*x^11 - 2948920*x^10 + 12355058*x^9 + 11780512*x^8 - 4225498*x^7 - 6125728*x^6 + 761954*x^5 + 1064746*x^4 + 88934*x^3 - 43682*x^2 - 3240*x + 750, x^39 - x^38 - 62*x^37 + 61*x^36 + 1761*x^35 - 1698*x^34 - 30383*x^33 + 28590*x^32 + 355987*x^31 - 325400*x^30 - 2999823*x^29 + 2650003*x^28 + 18783674*x^27 - 15942044*x^26 - 89042753*x^25 + 72101682*x^24 + 322620170*x^23 - 247101762*x^22 - 895844669*x^21 + 641820436*x^20 + 1900522036*x^19 - 1254644675*x^18 - 3053667128*x^17 + 1818765767*x^16 + 3660801617*x^15 - 1907656664*x^14 - 3199882323*x^13 + 1392397935*x^12 + 1968930648*x^11 - 663333790*x^10 - 806256843*x^9 + 183034860*x^8 + 199242505*x^7 - 21598045*x^6 - 24466379*x^5 - 248683*x^4 + 915105*x^3 + 80111*x^2 - 8741*x - 1083, 2*x^35 - 108*x^33 - 4*x^32 + 2636*x^31 + 212*x^30 - 38492*x^29 - 5010*x^28 + 375144*x^27 + 69908*x^26 - 2577476*x^25 - 643012*x^24 + 12854994*x^23 + 4122372*x^22 - 47218046*x^21 - 18993622*x^20 + 128269388*x^19 + 63891638*x^18 - 256629032*x^17 - 157643588*x^16 + 373546900*x^15 + 283573702*x^14 - 387060604*x^13 - 364912244*x^12 + 275109412*x^11 + 323866250*x^10 - 124619224*x^9 - 186054346*x^8 + 29107054*x^7 + 61851418*x^6 + 134790*x^5 - 9433900*x^4 - 1242170*x^3 + 270260*x^2 + 25792*x - 3042, 4*x^35 - 226*x^33 + 10*x^32 + 5794*x^31 - 500*x^30 - 89220*x^29 + 11256*x^28 + 920660*x^27 - 150880*x^26 - 6725572*x^25 + 1341616*x^24 + 35823612*x^23 - 8341798*x^22 - 141196286*x^21 + 37231640*x^20 + 413640712*x^19 - 120468044*x^18 - 897032584*x^17 + 281810476*x^16 + 1422419018*x^15 - 469675952*x^14 - 1613961272*x^13 + 542068968*x^12 + 1267288852*x^11 - 413211704*x^10 - 654842964*x^9 + 192360656*x^8 + 206087208*x^7 - 47492230*x^6 - 34678742*x^5 + 4535016*x^4 + 2425852*x^3 - 72012*x^2 - 34670*x + 1258, -3*x^39 + 3*x^38 + 186*x^37 - 183*x^36 - 5281*x^35 + 5098*x^34 + 91029*x^33 - 85970*x^32 - 1064735*x^31 + 980730*x^30 + 8947985*x^29 - 8011627*x^28 - 55806318*x^27 + 48388288*x^26 + 263087875*x^25 - 219939190*x^24 - 946194802*x^23 + 758423486*x^22 + 2602198899*x^21 - 1984855862*x^20 - 5453337062*x^19 + 3915396197*x^18 + 8629750610*x^17 - 5736178429*x^16 - 10157537243*x^15 + 6087689982*x^14 + 8695861899*x^13 - 4497901079*x^12 - 5241362278*x^11 + 2167293418*x^10 + 2116563819*x^9 - 603609272*x^8 - 525398833*x^7 + 72087639*x^6 + 66453431*x^5 + 291063*x^4 - 2243589*x^3 - 6793*x^2 + 24619*x - 779, 2*x^33 + 2*x^32 - 114*x^31 - 94*x^30 + 2896*x^29 + 1966*x^28 - 43466*x^27 - 24124*x^26 + 430370*x^25 + 192590*x^24 - 2970282*x^23 - 1047124*x^22 + 14711730*x^21 + 3937164*x^20 - 53014450*x^19 - 10147916*x^18 + 139350448*x^17 + 17237324*x^16 - 265259852*x^15 - 17339730*x^14 + 359233142*x^13 + 6636910*x^12 - 335416820*x^11 + 4667824*x^10 + 204907268*x^9 - 5766370*x^8 - 74812336*x^7 + 1637012*x^6 + 13665408*x^5 - 66632*x^4 - 784248*x^3 + 66504*x^2 + 16688*x - 1690, 2*x^34 - 2*x^33 - 106*x^32 + 102*x^31 + 2528*x^30 - 2322*x^29 - 35922*x^28 + 31172*x^27 + 339450*x^26 - 274662*x^25 - 2254922*x^24 + 1672776*x^23 + 10855874*x^22 - 7222480*x^21 - 38498862*x^20 + 22313400*x^19 + 101263844*x^18 - 49207080*x^17 - 197434840*x^16 + 76567674*x^15 + 283025622*x^14 - 82615922*x^13 - 292827740*x^12 + 60852632*x^11 + 210805108*x^10 - 30476486*x^9 - 98373360*x^8 + 10088008*x^7 + 25916864*x^6 - 1590540*x^5 - 2913740*x^4 - 111364*x^3 + 104052*x^2 + 4790*x - 1500, 2*x^35 - 116*x^33 + 10*x^32 + 3044*x^31 - 482*x^30 - 47842*x^29 + 10376*x^28 + 502536*x^27 - 131822*x^26 - 3728118*x^25 + 1100298*x^24 + 20127498*x^23 - 6355802*x^22 - 80304222*x^21 + 26061898*x^20 + 238019318*x^19 - 76522630*x^18 - 522471194*x^17 + 160079674*x^16 + 839742004*x^15 - 233856144*x^14 - 967382806*x^13 + 228708298*x^12 + 770605384*x^11 - 137062620*x^10 - 399043002*x^9 + 39347108*x^8 + 119266574*x^7 + 1215844*x^6 - 15231450*x^5 - 2614148*x^4 - 77240*x^3 + 32760*x^2 + 5294*x - 330, -4*x^35 + 4*x^34 + 218*x^33 - 224*x^32 - 5364*x^31 + 5646*x^30 + 78822*x^29 - 84752*x^28 - 771090*x^27 + 844846*x^26 + 5299592*x^25 - 5903716*x^24 - 26320268*x^23 + 29751068*x^22 + 95695134*x^21 - 109527422*x^20 - 255255256*x^19 + 295034258*x^18 + 495997384*x^17 - 576495282*x^16 - 690848140*x^15 + 801079326*x^14 + 671828586*x^13 - 764753300*x^12 - 438877914*x^11 + 473543730*x^10 + 182220080*x^9 - 171805752*x^8 - 43910660*x^7 + 29461576*x^6 + 4642546*x^5 - 1121630*x^4 + 197272*x^3 + 7738*x^2 - 7802*x + 750, -2*x^34 - 4*x^33 + 114*x^32 + 192*x^31 - 2934*x^30 - 4102*x^29 + 45098*x^28 + 51412*x^27 - 461568*x^26 - 419034*x^25 + 3320836*x^24 + 2322456*x^23 - 17286248*x^22 - 8858114*x^21 + 66010326*x^20 + 22802574*x^19 - 185506564*x^18 - 36622446*x^17 + 381346832*x^16 + 26040688*x^15 - 564588562*x^14 + 23214742*x^13 + 585835946*x^12 - 75574040*x^11 - 407766100*x^10 + 78458626*x^9 + 177172264*x^8 - 40087320*x^7 - 42197232*x^6 + 9321234*x^5 + 4102790*x^4 - 661562*x^3 - 27910*x^2 + 18794*x - 1182, 2*x^34 - 114*x^32 + 10*x^31 + 2928*x^30 - 482*x^29 - 44830*x^28 + 10376*x^27 + 456162*x^26 - 131844*x^25 - 3255782*x^24 + 1100912*x^23 + 16767312*x^22 - 6362360*x^21 - 63129522*x^20 + 26091044*x^19 + 174142624*x^18 - 76512900*x^17 - 349388040*x^16 + 159410190*x^15 + 501209026*x^14 - 230892830*x^13 - 499516284*x^12 + 222923492*x^11 + 330943164*x^10 - 132931136*x^9 - 136508384*x^8 + 42028216*x^7 + 31709478*x^6 - 4480376*x^5 - 3372012*x^4 - 321296*x^3 + 46296*x^2 + 7544*x - 584, 2*x^36 - 2*x^35 - 113*x^34 + 118*x^33 + 2892*x^32 - 3147*x^31 - 44360*x^30 + 50238*x^29 + 454702*x^28 - 535770*x^27 - 3287346*x^26 + 4033594*x^25 + 17240998*x^24 - 22082705*x^23 - 66427244*x^22 + 89213963*x^21 + 188204536*x^20 - 267054378*x^19 - 388282270*x^18 + 589421530*x^17 + 570304271*x^16 - 946047485*x^15 - 572142660*x^14 + 1078015120*x^13 + 362609942*x^12 - 840250278*x^11 - 120815630*x^10 + 423601810*x^9 + 6863276*x^8 - 126789719*x^7 + 6406744*x^6 + 19606879*x^5 - 1054582*x^4 - 1248932*x^3 + 18671*x^2 + 17964*x - 629, 2*x^36 - 2*x^35 - 113*x^34 + 118*x^33 + 2892*x^32 - 3147*x^31 - 44360*x^30 + 50238*x^29 + 454702*x^28 - 535770*x^27 - 3287346*x^26 + 4033594*x^25 + 17240998*x^24 - 22082705*x^23 - 66427244*x^22 + 89213963*x^21 + 188204536*x^20 - 267054378*x^19 - 388282270*x^18 + 589421530*x^17 + 570304271*x^16 - 946047485*x^15 - 572142660*x^14 + 1078015120*x^13 + 362609942*x^12 - 840250278*x^11 - 120815630*x^10 + 423601810*x^9 + 6863276*x^8 - 126789719*x^7 + 6406744*x^6 + 19606879*x^5 - 1054582*x^4 - 1248932*x^3 + 18671*x^2 + 17964*x - 629, x^37 - x^36 - 57*x^35 + 58*x^34 + 1477*x^33 - 1522*x^32 - 23054*x^31 + 23928*x^30 + 242179*x^29 - 251550*x^28 - 1812523*x^27 + 1869007*x^26 + 9983533*x^25 - 10113431*x^24 - 41245739*x^23 + 40467149*x^22 + 129161303*x^21 - 120319628*x^20 - 307978388*x^19 + 264801471*x^18 + 558971020*x^17 - 425874465*x^16 - 767927577*x^15 + 488483119*x^14 + 788212308*x^13 - 382608485*x^12 - 589029080*x^11 + 187719118*x^10 + 305270700*x^9 - 45508520*x^8 - 100166994*x^7 - 972920*x^6 + 17261461*x^5 + 2446356*x^4 - 917260*x^3 - 172306*x^2 + 9490*x + 1870, x^37 - x^36 - 57*x^35 + 58*x^34 + 1477*x^33 - 1522*x^32 - 23054*x^31 + 23928*x^30 + 242179*x^29 - 251550*x^28 - 1812523*x^27 + 1869007*x^26 + 9983533*x^25 - 10113431*x^24 - 41245739*x^23 + 40467149*x^22 + 129161303*x^21 - 120319628*x^20 - 307978388*x^19 + 264801471*x^18 + 558971020*x^17 - 425874465*x^16 - 767927577*x^15 + 488483119*x^14 + 788212308*x^13 - 382608485*x^12 - 589029080*x^11 + 187719118*x^10 + 305270700*x^9 - 45508520*x^8 - 100166994*x^7 - 972920*x^6 + 17261461*x^5 + 2446356*x^4 - 917260*x^3 - 172306*x^2 + 9490*x + 1870, x^37 - x^36 - 60*x^35 + 60*x^34 + 1641*x^33 - 1635*x^32 - 27100*x^31 + 26810*x^30 + 301743*x^29 - 295476*x^28 - 2395483*x^27 + 2315467*x^26 + 13983037*x^25 - 13310890*x^24 - 61005117*x^23 + 57088612*x^22 + 200239519*x^21 - 183966390*x^20 - 493944594*x^19 + 445088103*x^18 + 908365835*x^17 - 801983496*x^16 - 1226634101*x^15 + 1059207953*x^14 + 1188358906*x^13 - 999710761*x^12 - 799075402*x^11 + 649094396*x^10 + 356435540*x^9 - 273641855*x^8 - 99513470*x^7 + 68072029*x^6 + 16362699*x^5 - 8230304*x^4 - 1489921*x^3 + 262282*x^2 + 24551*x - 3128, x^37 - x^36 - 60*x^35 + 60*x^34 + 1641*x^33 - 1635*x^32 - 27100*x^31 + 26810*x^30 + 301743*x^29 - 295476*x^28 - 2395483*x^27 + 2315467*x^26 + 13983037*x^25 - 13310890*x^24 - 61005117*x^23 + 57088612*x^22 + 200239519*x^21 - 183966390*x^20 - 493944594*x^19 + 445088103*x^18 + 908365835*x^17 - 801983496*x^16 - 1226634101*x^15 + 1059207953*x^14 + 1188358906*x^13 - 999710761*x^12 - 799075402*x^11 + 649094396*x^10 + 356435540*x^9 - 273641855*x^8 - 99513470*x^7 + 68072029*x^6 + 16362699*x^5 - 8230304*x^4 - 1489921*x^3 + 262282*x^2 + 24551*x - 3128, x^36 - 55*x^34 + x^33 + 1372*x^32 - 49*x^31 - 20560*x^30 + 1081*x^29 + 206700*x^28 - 14197*x^27 - 1475232*x^26 + 123617*x^25 + 7719048*x^24 - 752033*x^23 - 30179012*x^22 + 3282310*x^21 + 89137780*x^20 - 10398634*x^19 - 200003287*x^18 + 23966682*x^17 + 341152371*x^16 - 40005111*x^15 - 439899590*x^14 + 47723881*x^13 + 421787394*x^12 - 39160493*x^11 - 290359592*x^10 + 19514461*x^9 + 134556888*x^8 - 3211343*x^7 - 37513750*x^6 - 1759016*x^5 + 5018493*x^4 + 710500*x^3 - 137146*x^2 - 13977*x + 1521, x^36 - 55*x^34 + x^33 + 1372*x^32 - 49*x^31 - 20560*x^30 + 1081*x^29 + 206700*x^28 - 14197*x^27 - 1475232*x^26 + 123617*x^25 + 7719048*x^24 - 752033*x^23 - 30179012*x^22 + 3282310*x^21 + 89137780*x^20 - 10398634*x^19 - 200003287*x^18 + 23966682*x^17 + 341152371*x^16 - 40005111*x^15 - 439899590*x^14 + 47723881*x^13 + 421787394*x^12 - 39160493*x^11 - 290359592*x^10 + 19514461*x^9 + 134556888*x^8 - 3211343*x^7 - 37513750*x^6 - 1759016*x^5 + 5018493*x^4 + 710500*x^3 - 137146*x^2 - 13977*x + 1521, x^38 - x^37 - 60*x^36 + 60*x^35 + 1645*x^34 - 1641*x^33 - 27318*x^32 + 27124*x^31 + 307099*x^30 - 302869*x^29 - 2473925*x^28 + 2418974*x^27 + 14746111*x^26 - 14270642*x^25 - 66205785*x^24 + 63301887*x^23 + 225767559*x^22 - 212815901*x^21 - 585320704*x^20 + 542254483*x^19 + 1147256577*x^18 - 1039262677*x^17 - 1679384219*x^16 + 1474535715*x^15 + 1800254558*x^14 - 1508347486*x^13 - 1373426416*x^12 + 1067129889*x^11 + 716445922*x^10 - 488624791*x^9 - 241587158*x^8 + 129028142*x^7 + 48368467*x^6 - 15401507*x^5 - 4881171*x^4 + 366126*x^3 + 127965*x^2 - 2117*x - 892, x^38 - x^37 - 60*x^36 + 60*x^35 + 1645*x^34 - 1641*x^33 - 27318*x^32 + 27124*x^31 + 307099*x^30 - 302869*x^29 - 2473925*x^28 + 2418974*x^27 + 14746111*x^26 - 14270642*x^25 - 66205785*x^24 + 63301887*x^23 + 225767559*x^22 - 212815901*x^21 - 585320704*x^20 + 542254483*x^19 + 1147256577*x^18 - 1039262677*x^17 - 1679384219*x^16 + 1474535715*x^15 + 1800254558*x^14 - 1508347486*x^13 - 1373426416*x^12 + 1067129889*x^11 + 716445922*x^10 - 488624791*x^9 - 241587158*x^8 + 129028142*x^7 + 48368467*x^6 - 15401507*x^5 - 4881171*x^4 + 366126*x^3 + 127965*x^2 - 2117*x - 892, -2*x^36 + 3*x^35 + 114*x^34 - 170*x^33 - 2946*x^32 + 4364*x^31 + 45690*x^30 - 67183*x^29 - 474490*x^28 + 692119*x^27 + 3485846*x^26 - 5041735*x^25 - 18659634*x^24 + 26753101*x^23 + 73867301*x^22 - 104965326*x^21 - 217259606*x^20 + 305870585*x^19 + 473117823*x^18 - 659100206*x^17 - 754617503*x^16 + 1036394257*x^15 + 866037119*x^14 - 1161339788*x^13 - 698313831*x^12 + 892988096*x^11 + 385161911*x^10 - 443932908*x^9 - 141904417*x^8 + 129142498*x^7 + 33895270*x^6 - 18081075*x^5 - 4523883*x^4 + 725985*x^3 + 112446*x^2 - 9337*x - 488, -2*x^36 + 3*x^35 + 114*x^34 - 170*x^33 - 2946*x^32 + 4364*x^31 + 45690*x^30 - 67183*x^29 - 474490*x^28 + 692119*x^27 + 3485846*x^26 - 5041735*x^25 - 18659634*x^24 + 26753101*x^23 + 73867301*x^22 - 104965326*x^21 - 217259606*x^20 + 305870585*x^19 + 473117823*x^18 - 659100206*x^17 - 754617503*x^16 + 1036394257*x^15 + 866037119*x^14 - 1161339788*x^13 - 698313831*x^12 + 892988096*x^11 + 385161911*x^10 - 443932908*x^9 - 141904417*x^8 + 129142498*x^7 + 33895270*x^6 - 18081075*x^5 - 4523883*x^4 + 725985*x^3 + 112446*x^2 - 9337*x - 488, x^38 - x^37 - 60*x^36 + 59*x^35 + 1640*x^34 - 1583*x^33 - 27046*x^32 + 25593*x^31 + 300413*x^30 - 278531*x^29 - 2375695*x^28 + 2159118*x^27 + 13784537*x^26 - 12302749*x^25 - 59586481*x^24 + 52418216*x^23 + 192799462*x^22 - 168215027*x^21 - 464889524*x^20 + 406271896*x^19 + 823530282*x^18 - 732304820*x^17 - 1042320869*x^16 + 968861181*x^15 + 894464447*x^14 - 916386093*x^13 - 463371513*x^12 + 596356578*x^11 + 92089259*x^10 - 253310757*x^9 + 35527671*x^8 + 65719250*x^7 - 23939315*x^6 - 9756108*x^5 + 4088544*x^4 + 785229*x^3 - 106566*x^2 - 11755*x + 1117, x^38 - x^37 - 60*x^36 + 59*x^35 + 1640*x^34 - 1583*x^33 - 27046*x^32 + 25593*x^31 + 300413*x^30 - 278531*x^29 - 2375695*x^28 + 2159118*x^27 + 13784537*x^26 - 12302749*x^25 - 59586481*x^24 + 52418216*x^23 + 192799462*x^22 - 168215027*x^21 - 464889524*x^20 + 406271896*x^19 + 823530282*x^18 - 732304820*x^17 - 1042320869*x^16 + 968861181*x^15 + 894464447*x^14 - 916386093*x^13 - 463371513*x^12 + 596356578*x^11 + 92089259*x^10 - 253310757*x^9 + 35527671*x^8 + 65719250*x^7 - 23939315*x^6 - 9756108*x^5 + 4088544*x^4 + 785229*x^3 - 106566*x^2 - 11755*x + 1117, x^36 - 59*x^34 + 5*x^33 + 1579*x^32 - 246*x^31 - 25385*x^30 + 5429*x^29 + 273683*x^28 - 71099*x^27 - 2092140*x^26 + 616071*x^25 + 11691640*x^24 - 3728357*x^23 - 48535767*x^22 + 16212129*x^21 + 150574420*x^20 - 51306837*x^19 - 348306909*x^18 + 118296287*x^17 + 594565022*x^16 - 196633167*x^15 - 734295916*x^14 + 229800564*x^13 + 635060834*x^12 - 179993056*x^11 - 364993083*x^10 + 86139122*x^9 + 127887479*x^8 - 20406186*x^7 - 23470464*x^6 + 933114*x^5 + 1647386*x^4 + 177028*x^3 - 20501*x^2 - 3937*x + 292, x^36 - 59*x^34 + 5*x^33 + 1579*x^32 - 246*x^31 - 25385*x^30 + 5429*x^29 + 273683*x^28 - 71099*x^27 - 2092140*x^26 + 616071*x^25 + 11691640*x^24 - 3728357*x^23 - 48535767*x^22 + 16212129*x^21 + 150574420*x^20 - 51306837*x^19 - 348306909*x^18 + 118296287*x^17 + 594565022*x^16 - 196633167*x^15 - 734295916*x^14 + 229800564*x^13 + 635060834*x^12 - 179993056*x^11 - 364993083*x^10 + 86139122*x^9 + 127887479*x^8 - 20406186*x^7 - 23470464*x^6 + 933114*x^5 + 1647386*x^4 + 177028*x^3 - 20501*x^2 - 3937*x + 292, x^37 - 59*x^35 - x^34 + 1588*x^33 + 56*x^32 - 25834*x^31 - 1397*x^30 + 283719*x^29 + 20521*x^28 - 2225040*x^27 - 197605*x^26 + 12853435*x^25 + 1313636*x^24 - 55606872*x^23 - 6181288*x^22 + 181362662*x^21 + 20753675*x^20 - 445287071*x^19 - 49419473*x^18 + 815311889*x^17 + 81644413*x^16 - 1092619482*x^15 - 89173941*x^14 + 1038243599*x^13 + 57340439*x^12 - 663455646*x^11 - 13010119*x^10 + 259398985*x^9 - 8498198*x^8 - 50707044*x^7 + 7169458*x^6 + 2323747*x^5 - 1831547*x^4 + 130120*x^3 + 90078*x^2 - 1641*x - 787, x^37 - 59*x^35 - x^34 + 1588*x^33 + 56*x^32 - 25834*x^31 - 1397*x^30 + 283719*x^29 + 20521*x^28 - 2225040*x^27 - 197605*x^26 + 12853435*x^25 + 1313636*x^24 - 55606872*x^23 - 6181288*x^22 + 181362662*x^21 + 20753675*x^20 - 445287071*x^19 - 49419473*x^18 + 815311889*x^17 + 81644413*x^16 - 1092619482*x^15 - 89173941*x^14 + 1038243599*x^13 + 57340439*x^12 - 663455646*x^11 - 13010119*x^10 + 259398985*x^9 - 8498198*x^8 - 50707044*x^7 + 7169458*x^6 + 2323747*x^5 - 1831547*x^4 + 130120*x^3 + 90078*x^2 - 1641*x - 787, x^36 - 2*x^35 - 60*x^34 + 118*x^33 + 1633*x^32 - 3146*x^31 - 26703*x^30 + 50178*x^29 + 292932*x^28 - 534301*x^27 - 2279899*x^26 + 4013900*x^25 + 12985249*x^24 - 21922060*x^23 - 55034434*x^22 + 88390635*x^21 + 174837920*x^20 - 264486163*x^19 - 416443893*x^18 + 585414812*x^17 + 739564529*x^16 - 947362391*x^15 - 968728726*x^14 + 1096756399*x^13 + 920824297*x^12 - 876172248*x^11 - 620134240*x^10 + 454686427*x^9 + 284210720*x^8 - 136836287*x^7 - 81534837*x^6 + 17912112*x^5 + 11802990*x^4 + 91638*x^3 - 333944*x^2 - 6789*x + 2609, x^36 - 2*x^35 - 60*x^34 + 118*x^33 + 1633*x^32 - 3146*x^31 - 26703*x^30 + 50178*x^29 + 292932*x^28 - 534301*x^27 - 2279899*x^26 + 4013900*x^25 + 12985249*x^24 - 21922060*x^23 - 55034434*x^22 + 88390635*x^21 + 174837920*x^20 - 264486163*x^19 - 416443893*x^18 + 585414812*x^17 + 739564529*x^16 - 947362391*x^15 - 968728726*x^14 + 1096756399*x^13 + 920824297*x^12 - 876172248*x^11 - 620134240*x^10 + 454686427*x^9 + 284210720*x^8 - 136836287*x^7 - 81534837*x^6 + 17912112*x^5 + 11802990*x^4 + 91638*x^3 - 333944*x^2 - 6789*x + 2609, -3*x^37 + 3*x^36 + 176*x^35 - 170*x^34 - 4705*x^33 + 4366*x^32 + 75936*x^31 - 67290*x^30 - 826411*x^29 + 694663*x^28 + 6415630*x^27 - 5077303*x^26 - 36656571*x^25 + 27078742*x^24 + 156794478*x^23 - 107019504*x^22 - 505889760*x^21 + 314999055*x^20 + 1231548580*x^19 - 687744416*x^18 - 2248398150*x^17 + 1098813224*x^16 + 3040033611*x^15 - 1251819015*x^14 - 2983429136*x^13 + 971874560*x^12 + 2060409561*x^11 - 472893064*x^10 - 953026384*x^9 + 118573633*x^8 + 270245027*x^7 - 4618267*x^6 - 38798694*x^5 - 2846701*x^4 + 1510729*x^3 + 62325*x^2 - 18250*x + 519, -3*x^37 + 3*x^36 + 176*x^35 - 170*x^34 - 4705*x^33 + 4366*x^32 + 75936*x^31 - 67290*x^30 - 826411*x^29 + 694663*x^28 + 6415630*x^27 - 5077303*x^26 - 36656571*x^25 + 27078742*x^24 + 156794478*x^23 - 107019504*x^22 - 505889760*x^21 + 314999055*x^20 + 1231548580*x^19 - 687744416*x^18 - 2248398150*x^17 + 1098813224*x^16 + 3040033611*x^15 - 1251819015*x^14 - 2983429136*x^13 + 971874560*x^12 + 2060409561*x^11 - 472893064*x^10 - 953026384*x^9 + 118573633*x^8 + 270245027*x^7 - 4618267*x^6 - 38798694*x^5 - 2846701*x^4 + 1510729*x^3 + 62325*x^2 - 18250*x + 519, x^39 - x^38 - 62*x^37 + 61*x^36 + 1758*x^35 - 1697*x^34 - 30220*x^33 + 28538*x^32 + 351985*x^31 - 324192*x^30 - 2941076*x^29 + 2633428*x^28 + 18208735*x^27 - 15792349*x^26 - 85082258*x^25 + 71162543*x^24 + 302857138*x^23 - 242889960*x^22 - 823413792*x^21 + 628127932*x^20 + 1704933987*x^19 - 1222266541*x^18 - 2666829664*x^17 + 1763409990*x^16 + 3109086826*x^15 - 1840315057*x^14 - 2648182591*x^13 + 1335661103*x^12 + 1600088862*x^11 - 631510352*x^10 - 654516085*x^9 + 171837954*x^8 + 166320598*x^7 - 19461586*x^6 - 21499475*x^5 - 274320*x^4 + 661854*x^3 - 35129*x^2 - 7817*x + 931, x^39 - x^38 - 62*x^37 + 61*x^36 + 1758*x^35 - 1697*x^34 - 30220*x^33 + 28538*x^32 + 351985*x^31 - 324192*x^30 - 2941076*x^29 + 2633428*x^28 + 18208735*x^27 - 15792349*x^26 - 85082258*x^25 + 71162543*x^24 + 302857138*x^23 - 242889960*x^22 - 823413792*x^21 + 628127932*x^20 + 1704933987*x^19 - 1222266541*x^18 - 2666829664*x^17 + 1763409990*x^16 + 3109086826*x^15 - 1840315057*x^14 - 2648182591*x^13 + 1335661103*x^12 + 1600088862*x^11 - 631510352*x^10 - 654516085*x^9 + 171837954*x^8 + 166320598*x^7 - 19461586*x^6 - 21499475*x^5 - 274320*x^4 + 661854*x^3 - 35129*x^2 - 7817*x + 931, x^37 - x^36 - 58*x^35 + 54*x^34 + 1533*x^33 - 1310*x^32 - 24472*x^31 + 18851*x^30 + 263638*x^29 - 178834*x^28 - 2028715*x^27 + 1174133*x^26 + 11512740*x^25 - 5433437*x^24 - 49052559*x^23 + 17586321*x^22 + 158284749*x^21 - 37889646*x^20 - 387459111*x^19 + 44873618*x^18 + 716142960*x^17 + 7434687*x^16 - 987988278*x^15 - 135278989*x^14 + 996452172*x^13 + 260406236*x^12 - 708924201*x^11 - 270894801*x^10 + 333608216*x^9 + 167523151*x^8 - 90746443*x^7 - 58366551*x^6 + 9225320*x^5 + 9289853*x^4 + 721501*x^3 - 238908*x^2 - 15617*x + 2197, x^37 - x^36 - 58*x^35 + 54*x^34 + 1533*x^33 - 1310*x^32 - 24472*x^31 + 18851*x^30 + 263638*x^29 - 178834*x^28 - 2028715*x^27 + 1174133*x^26 + 11512740*x^25 - 5433437*x^24 - 49052559*x^23 + 17586321*x^22 + 158284749*x^21 - 37889646*x^20 - 387459111*x^19 + 44873618*x^18 + 716142960*x^17 + 7434687*x^16 - 987988278*x^15 - 135278989*x^14 + 996452172*x^13 + 260406236*x^12 - 708924201*x^11 - 270894801*x^10 + 333608216*x^9 + 167523151*x^8 - 90746443*x^7 - 58366551*x^6 + 9225320*x^5 + 9289853*x^4 + 721501*x^3 - 238908*x^2 - 15617*x + 2197, x^37 - x^36 - 61*x^35 + 60*x^34 + 1694*x^33 - 1628*x^32 - 28380*x^31 + 26471*x^30 + 320444*x^29 - 288175*x^28 - 2580479*x^27 + 2223125*x^26 + 15296141*x^25 - 12547703*x^24 - 67911232*x^23 + 52746943*x^22 + 227596332*x^21 - 166506515*x^20 - 575927593*x^19 + 394822204*x^18 + 1093069534*x^17 - 697865212*x^16 - 1534032809*x^15 + 903556298*x^14 + 1554719759*x^13 - 830488748*x^12 - 1096437974*x^11 + 513561334*x^10 + 507416020*x^9 - 194310182*x^8 - 139525695*x^7 + 37231020*x^6 + 18637852*x^5 - 2227317*x^4 - 653761*x^3 + 100449*x^2 + 8975*x - 1191, x^37 - x^36 - 61*x^35 + 60*x^34 + 1694*x^33 - 1628*x^32 - 28380*x^31 + 26471*x^30 + 320444*x^29 - 288175*x^28 - 2580479*x^27 + 2223125*x^26 + 15296141*x^25 - 12547703*x^24 - 67911232*x^23 + 52746943*x^22 + 227596332*x^21 - 166506515*x^20 - 575927593*x^19 + 394822204*x^18 + 1093069534*x^17 - 697865212*x^16 - 1534032809*x^15 + 903556298*x^14 + 1554719759*x^13 - 830488748*x^12 - 1096437974*x^11 + 513561334*x^10 + 507416020*x^9 - 194310182*x^8 - 139525695*x^7 + 37231020*x^6 + 18637852*x^5 - 2227317*x^4 - 653761*x^3 + 100449*x^2 + 8975*x - 1191, x^36 - 2*x^35 - 56*x^34 + 109*x^33 + 1428*x^32 - 2687*x^31 - 21983*x^30 + 39671*x^29 + 228364*x^28 - 391539*x^27 - 1695071*x^26 + 2730843*x^25 + 9285277*x^24 - 13876303*x^23 - 38223609*x^22 + 52206914*x^21 + 119279958*x^20 - 146386885*x^19 - 282525215*x^18 + 305595201*x^17 + 505120324*x^16 - 471090174*x^15 - 672837018*x^14 + 527444326*x^13 + 652630331*x^12 - 416684362*x^11 - 444036818*x^10 + 220727608*x^9 + 199378312*x^8 - 71151640*x^7 - 53214178*x^6 + 11246213*x^5 + 6842838*x^4 - 406168*x^3 - 219684*x^2 + 2971*x + 1679, x^36 - 2*x^35 - 56*x^34 + 109*x^33 + 1428*x^32 - 2687*x^31 - 21983*x^30 + 39671*x^29 + 228364*x^28 - 391539*x^27 - 1695071*x^26 + 2730843*x^25 + 9285277*x^24 - 13876303*x^23 - 38223609*x^22 + 52206914*x^21 + 119279958*x^20 - 146386885*x^19 - 282525215*x^18 + 305595201*x^17 + 505120324*x^16 - 471090174*x^15 - 672837018*x^14 + 527444326*x^13 + 652630331*x^12 - 416684362*x^11 - 444036818*x^10 + 220727608*x^9 + 199378312*x^8 - 71151640*x^7 - 53214178*x^6 + 11246213*x^5 + 6842838*x^4 - 406168*x^3 - 219684*x^2 + 2971*x + 1679, -3*x^38 + 3*x^37 + 181*x^36 - 178*x^35 - 4989*x^34 + 4814*x^33 + 83258*x^32 - 78651*x^31 - 939872*x^30 + 867379*x^29 + 7595112*x^28 - 6833692*x^27 - 45350764*x^26 + 39702535*x^25 + 203629300*x^24 - 173077928*x^23 - 693179697*x^22 + 570437720*x^21 + 1790786666*x^20 - 1420863020*x^19 - 3492974540*x^18 + 2653519807*x^17 + 5086950230*x^16 - 3655358127*x^15 - 5434813248*x^14 + 3615584015*x^13 + 4153572490*x^12 - 2461472236*x^11 - 2192060262*x^10 + 1077213641*x^9 + 759013606*x^8 - 268089918*x^7 - 158305556*x^6 + 28627395*x^5 + 16412223*x^4 - 222218*x^3 - 377533*x^2 - 253*x + 2310, -3*x^38 + 3*x^37 + 181*x^36 - 178*x^35 - 4989*x^34 + 4814*x^33 + 83258*x^32 - 78651*x^31 - 939872*x^30 + 867379*x^29 + 7595112*x^28 - 6833692*x^27 - 45350764*x^26 + 39702535*x^25 + 203629300*x^24 - 173077928*x^23 - 693179697*x^22 + 570437720*x^21 + 1790786666*x^20 - 1420863020*x^19 - 3492974540*x^18 + 2653519807*x^17 + 5086950230*x^16 - 3655358127*x^15 - 5434813248*x^14 + 3615584015*x^13 + 4153572490*x^12 - 2461472236*x^11 - 2192060262*x^10 + 1077213641*x^9 + 759013606*x^8 - 268089918*x^7 - 158305556*x^6 + 28627395*x^5 + 16412223*x^4 - 222218*x^3 - 377533*x^2 - 253*x + 2310, -3*x^36 + 5*x^35 + 170*x^34 - 278*x^33 - 4376*x^32 + 6997*x^31 + 67771*x^30 - 105533*x^29 - 704992*x^28 + 1064270*x^27 + 5208347*x^26 - 7582058*x^25 - 28175188*x^24 + 39305323*x^23 + 113422636*x^22 - 150473339*x^21 - 341978480*x^20 + 427248019*x^19 + 771458567*x^18 - 895606377*x^17 - 1292299116*x^16 + 1367144855*x^15 + 1585346993*x^14 - 1482369667*x^13 - 1394849098*x^12 + 1095591076*x^11 + 853871967*x^10 - 514707100*x^9 - 346864162*x^8 + 134329153*x^7 + 85611592*x^6 - 13393021*x^5 - 10377611*x^4 - 441442*x^3 + 246837*x^2 + 10109*x - 1822, -3*x^36 + 5*x^35 + 170*x^34 - 278*x^33 - 4376*x^32 + 6997*x^31 + 67771*x^30 - 105533*x^29 - 704992*x^28 + 1064270*x^27 + 5208347*x^26 - 7582058*x^25 - 28175188*x^24 + 39305323*x^23 + 113422636*x^22 - 150473339*x^21 - 341978480*x^20 + 427248019*x^19 + 771458567*x^18 - 895606377*x^17 - 1292299116*x^16 + 1367144855*x^15 + 1585346993*x^14 - 1482369667*x^13 - 1394849098*x^12 + 1095591076*x^11 + 853871967*x^10 - 514707100*x^9 - 346864162*x^8 + 134329153*x^7 + 85611592*x^6 - 13393021*x^5 - 10377611*x^4 - 441442*x^3 + 246837*x^2 + 10109*x - 1822, x^38 - x^37 - 63*x^36 + 62*x^35 + 1813*x^34 - 1751*x^33 - 31592*x^32 + 29863*x^31 + 372532*x^30 - 343782*x^29 - 3147094*x^28 + 2828525*x^27 + 19668180*x^26 - 17177674*x^25 - 92588121*x^24 + 78397360*x^23 + 331166533*x^22 - 271109279*x^21 - 901339933*x^20 + 710615204*x^19 + 1857820336*x^18 - 1401576311*x^17 - 2868162360*x^16 + 2047551856*x^15 + 3257744401*x^14 - 2157045711*x^13 - 2652323105*x^12 + 1569726638*x^11 + 1492543343*x^10 - 735135731*x^9 - 551623894*x^8 + 194473493*x^7 + 123643153*x^6 - 21072543*x^5 - 14104137*x^4 - 168217*x^3 + 363420*x^2 + 9535*x - 2901, x^38 - x^37 - 63*x^36 + 62*x^35 + 1813*x^34 - 1751*x^33 - 31592*x^32 + 29863*x^31 + 372532*x^30 - 343782*x^29 - 3147094*x^28 + 2828525*x^27 + 19668180*x^26 - 17177674*x^25 - 92588121*x^24 + 78397360*x^23 + 331166533*x^22 - 271109279*x^21 - 901339933*x^20 + 710615204*x^19 + 1857820336*x^18 - 1401576311*x^17 - 2868162360*x^16 + 2047551856*x^15 + 3257744401*x^14 - 2157045711*x^13 - 2652323105*x^12 + 1569726638*x^11 + 1492543343*x^10 - 735135731*x^9 - 551623894*x^8 + 194473493*x^7 + 123643153*x^6 - 21072543*x^5 - 14104137*x^4 - 168217*x^3 + 363420*x^2 + 9535*x - 2901, x^36 - x^35 - 55*x^34 + 53*x^33 + 1371*x^32 - 1264*x^31 - 20515*x^30 + 17949*x^29 + 205737*x^28 - 169241*x^27 - 1462113*x^26 + 1118772*x^25 + 7592618*x^24 - 5336356*x^23 - 29284487*x^22 + 18621015*x^21 + 84461407*x^20 - 47695150*x^19 - 182050576*x^18 + 89235674*x^17 + 291121284*x^16 - 120543726*x^15 - 340298641*x^14 + 115656617*x^13 + 283361127*x^12 - 77398147*x^11 - 160703825*x^10 + 35399294*x^9 + 57348678*x^8 - 10604006*x^7 - 11274789*x^6 + 1871091*x^5 + 1070536*x^4 - 166413*x^3 - 76519*x^2 + 495*x + 1081, x^36 - x^35 - 55*x^34 + 53*x^33 + 1371*x^32 - 1264*x^31 - 20515*x^30 + 17949*x^29 + 205737*x^28 - 169241*x^27 - 1462113*x^26 + 1118772*x^25 + 7592618*x^24 - 5336356*x^23 - 29284487*x^22 + 18621015*x^21 + 84461407*x^20 - 47695150*x^19 - 182050576*x^18 + 89235674*x^17 + 291121284*x^16 - 120543726*x^15 - 340298641*x^14 + 115656617*x^13 + 283361127*x^12 - 77398147*x^11 - 160703825*x^10 + 35399294*x^9 + 57348678*x^8 - 10604006*x^7 - 11274789*x^6 + 1871091*x^5 + 1070536*x^4 - 166413*x^3 - 76519*x^2 + 495*x + 1081, x^36 - 4*x^35 - 52*x^34 + 220*x^33 + 1203*x^32 - 5478*x^31 - 16260*x^30 + 81748*x^29 + 141243*x^28 - 815744*x^27 - 809684*x^26 + 5750540*x^25 + 2941304*x^24 - 29495539*x^23 - 5230226*x^22 + 111704366*x^21 - 7030994*x^20 - 313703128*x^19 + 74663254*x^18 + 650503833*x^17 - 236788693*x^16 - 983596444*x^15 + 442286366*x^14 + 1061135712*x^13 - 528913815*x^12 - 789853232*x^11 + 402222782*x^10 + 385434614*x^9 - 183622792*x^8 - 113481795*x^7 + 44439424*x^6 + 17174870*x^5 - 4437579*x^4 - 857724*x^3 + 167468*x^2 + 13457*x - 2198, x^36 - 4*x^35 - 52*x^34 + 220*x^33 + 1203*x^32 - 5478*x^31 - 16260*x^30 + 81748*x^29 + 141243*x^28 - 815744*x^27 - 809684*x^26 + 5750540*x^25 + 2941304*x^24 - 29495539*x^23 - 5230226*x^22 + 111704366*x^21 - 7030994*x^20 - 313703128*x^19 + 74663254*x^18 + 650503833*x^17 - 236788693*x^16 - 983596444*x^15 + 442286366*x^14 + 1061135712*x^13 - 528913815*x^12 - 789853232*x^11 + 402222782*x^10 + 385434614*x^9 - 183622792*x^8 - 113481795*x^7 + 44439424*x^6 + 17174870*x^5 - 4437579*x^4 - 857724*x^3 + 167468*x^2 + 13457*x - 2198, -2*x^37 + 2*x^36 + 116*x^35 - 114*x^34 - 3066*x^33 + 2953*x^32 + 48927*x^31 - 46061*x^30 - 526462*x^29 + 483272*x^28 + 4039924*x^27 - 3608450*x^26 - 22802004*x^25 + 19782520*x^24 + 96220627*x^23 - 80966262*x^22 - 305522473*x^21 + 248993787*x^20 + 728813942*x^19 - 574131974*x^18 - 1294402230*x^17 + 982007078*x^16 + 1682690384*x^15 - 1220286952*x^14 - 1558860273*x^13 + 1064554283*x^12 + 988892455*x^11 - 617186713*x^10 - 404523829*x^9 + 216945721*x^8 + 96848250*x^7 - 38841977*x^6 - 11242514*x^5 + 2333420*x^4 + 355327*x^3 - 55785*x^2 - 4059*x + 260, -2*x^37 + 2*x^36 + 116*x^35 - 114*x^34 - 3066*x^33 + 2953*x^32 + 48927*x^31 - 46061*x^30 - 526462*x^29 + 483272*x^28 + 4039924*x^27 - 3608450*x^26 - 22802004*x^25 + 19782520*x^24 + 96220627*x^23 - 80966262*x^22 - 305522473*x^21 + 248993787*x^20 + 728813942*x^19 - 574131974*x^18 - 1294402230*x^17 + 982007078*x^16 + 1682690384*x^15 - 1220286952*x^14 - 1558860273*x^13 + 1064554283*x^12 + 988892455*x^11 - 617186713*x^10 - 404523829*x^9 + 216945721*x^8 + 96848250*x^7 - 38841977*x^6 - 11242514*x^5 + 2333420*x^4 + 355327*x^3 - 55785*x^2 - 4059*x + 260, x^35 - x^34 - 54*x^33 + 50*x^32 + 1321*x^31 - 1114*x^30 - 19409*x^29 + 14603*x^28 + 191458*x^27 - 125269*x^26 - 1342646*x^25 + 740093*x^24 + 6913078*x^23 - 3087678*x^22 - 26605296*x^21 + 9188118*x^20 + 77139147*x^19 - 19529582*x^18 - 168392644*x^17 + 29665175*x^16 + 274142737*x^15 - 32638096*x^14 - 326030441*x^13 + 27107861*x^12 + 273110964*x^11 - 17572155*x^10 - 151640314*x^9 + 7927189*x^8 + 50364600*x^7 - 1613776*x^6 - 8289574*x^5 - 22366*x^4 + 444150*x^3 - 30857*x^2 - 9094*x + 845, x^35 - x^34 - 54*x^33 + 50*x^32 + 1321*x^31 - 1114*x^30 - 19409*x^29 + 14603*x^28 + 191458*x^27 - 125269*x^26 - 1342646*x^25 + 740093*x^24 + 6913078*x^23 - 3087678*x^22 - 26605296*x^21 + 9188118*x^20 + 77139147*x^19 - 19529582*x^18 - 168392644*x^17 + 29665175*x^16 + 274142737*x^15 - 32638096*x^14 - 326030441*x^13 + 27107861*x^12 + 273110964*x^11 - 17572155*x^10 - 151640314*x^9 + 7927189*x^8 + 50364600*x^7 - 1613776*x^6 - 8289574*x^5 - 22366*x^4 + 444150*x^3 - 30857*x^2 - 9094*x + 845, x^35 - 4*x^34 - 52*x^33 + 208*x^32 + 1215*x^31 - 4874*x^30 - 16862*x^29 + 68082*x^28 + 154761*x^27 - 631940*x^26 - 989378*x^25 + 4113086*x^24 + 4517010*x^23 - 19304591*x^22 - 14842404*x^21 + 66164998*x^20 + 34874346*x^19 - 165828352*x^18 - 57325276*x^17 + 301267985*x^16 + 63129789*x^15 - 388932292*x^14 - 42996320*x^13 + 344589630*x^12 + 15555907*x^11 - 197542552*x^10 - 2523908*x^9 + 65859216*x^8 + 856714*x^7 - 10070171*x^6 - 269878*x^5 + 230034*x^4 - 112591*x^3 + 5528*x^2 + 3310*x - 375, x^35 - 4*x^34 - 52*x^33 + 208*x^32 + 1215*x^31 - 4874*x^30 - 16862*x^29 + 68082*x^28 + 154761*x^27 - 631940*x^26 - 989378*x^25 + 4113086*x^24 + 4517010*x^23 - 19304591*x^22 - 14842404*x^21 + 66164998*x^20 + 34874346*x^19 - 165828352*x^18 - 57325276*x^17 + 301267985*x^16 + 63129789*x^15 - 388932292*x^14 - 42996320*x^13 + 344589630*x^12 + 15555907*x^11 - 197542552*x^10 - 2523908*x^9 + 65859216*x^8 + 856714*x^7 - 10070171*x^6 - 269878*x^5 + 230034*x^4 - 112591*x^3 + 5528*x^2 + 3310*x - 375, x^33 - 58*x^31 + 1506*x^29 - 23187*x^27 - 11*x^26 + 236168*x^25 + 307*x^24 - 1680093*x^23 - 3279*x^22 + 8587350*x^21 + 14573*x^20 - 31938347*x^19 + 4865*x^18 + 86541577*x^17 - 334742*x^16 - 169266489*x^15 + 1481657*x^14 + 233933261*x^13 - 2892403*x^12 - 219831110*x^11 + 2065742*x^10 + 131267309*x^9 + 1340554*x^8 - 43778548*x^7 - 2848110*x^6 + 5929719*x^5 + 1146426*x^4 + 61768*x^3 - 12608*x^2 - 2939*x + 165, x^33 - 58*x^31 + 1506*x^29 - 23187*x^27 - 11*x^26 + 236168*x^25 + 307*x^24 - 1680093*x^23 - 3279*x^22 + 8587350*x^21 + 14573*x^20 - 31938347*x^19 + 4865*x^18 + 86541577*x^17 - 334742*x^16 - 169266489*x^15 + 1481657*x^14 + 233933261*x^13 - 2892403*x^12 - 219831110*x^11 + 2065742*x^10 + 131267309*x^9 + 1340554*x^8 - 43778548*x^7 - 2848110*x^6 + 5929719*x^5 + 1146426*x^4 + 61768*x^3 - 12608*x^2 - 2939*x + 165, -2*x^36 + 2*x^35 + 110*x^34 - 110*x^33 - 2739*x^32 + 2727*x^31 + 40878*x^30 - 40325*x^29 - 408094*x^28 + 396717*x^27 + 2880580*x^26 - 2742341*x^25 - 14820552*x^24 + 13714306*x^23 + 56490691*x^22 - 50334654*x^21 - 160632791*x^20 + 136115842*x^19 + 340751974*x^18 - 269936418*x^17 - 536097486*x^16 + 387519319*x^15 + 618208574*x^14 - 393984021*x^13 - 512356930*x^12 + 274558885*x^11 + 294993090*x^10 - 125132189*x^9 - 110541462*x^8 + 34774448*x^7 + 23419889*x^6 - 5221432*x^5 - 1952759*x^4 + 334650*x^3 + 10054*x^2 - 9022*x + 591, -2*x^36 + 2*x^35 + 110*x^34 - 110*x^33 - 2739*x^32 + 2727*x^31 + 40878*x^30 - 40325*x^29 - 408094*x^28 + 396717*x^27 + 2880580*x^26 - 2742341*x^25 - 14820552*x^24 + 13714306*x^23 + 56490691*x^22 - 50334654*x^21 - 160632791*x^20 + 136115842*x^19 + 340751974*x^18 - 269936418*x^17 - 536097486*x^16 + 387519319*x^15 + 618208574*x^14 - 393984021*x^13 - 512356930*x^12 + 274558885*x^11 + 294993090*x^10 - 125132189*x^9 - 110541462*x^8 + 34774448*x^7 + 23419889*x^6 - 5221432*x^5 - 1952759*x^4 + 334650*x^3 + 10054*x^2 - 9022*x + 591, -x^34 - x^33 + 56*x^32 + 48*x^31 - 1422*x^30 - 1024*x^29 + 21643*x^28 + 12800*x^27 - 219983*x^26 - 104017*x^25 + 1575382*x^24 + 575902*x^23 - 8176683*x^22 - 2210417*x^21 + 31176602*x^20 + 5852168*x^19 - 87605912*x^18 - 10363419*x^17 + 180456293*x^16 + 11337956*x^15 - 268757422*x^14 - 5932834*x^13 + 282577577*x^12 - 1026640*x^11 - 201741597*x^10 + 3004381*x^9 + 91389282*x^8 - 1097778*x^7 - 22931649*x^6 - 302917*x^5 + 2287354*x^4 + 246920*x^3 - 36627*x^2 - 4440*x + 419, -x^34 - x^33 + 56*x^32 + 48*x^31 - 1422*x^30 - 1024*x^29 + 21643*x^28 + 12800*x^27 - 219983*x^26 - 104017*x^25 + 1575382*x^24 + 575902*x^23 - 8176683*x^22 - 2210417*x^21 + 31176602*x^20 + 5852168*x^19 - 87605912*x^18 - 10363419*x^17 + 180456293*x^16 + 11337956*x^15 - 268757422*x^14 - 5932834*x^13 + 282577577*x^12 - 1026640*x^11 - 201741597*x^10 + 3004381*x^9 + 91389282*x^8 - 1097778*x^7 - 22931649*x^6 - 302917*x^5 + 2287354*x^4 + 246920*x^3 - 36627*x^2 - 4440*x + 419, -2*x^35 + 109*x^33 - 2*x^32 - 2685*x^31 + 90*x^30 + 39546*x^29 - 1803*x^28 - 388254*x^27 + 21263*x^26 + 2681860*x^25 - 164498*x^24 - 13409668*x^23 + 880540*x^22 + 49194548*x^21 - 3350523*x^20 - 132806712*x^19 + 9161298*x^18 + 262307360*x^17 - 17992477*x^16 - 373633670*x^15 + 25223605*x^14 + 374674757*x^13 - 25242098*x^12 - 255021451*x^11 + 18510794*x^10 + 111762287*x^9 - 10365521*x^8 - 29517701*x^7 + 4158969*x^6 + 4647209*x^5 - 877140*x^4 - 542545*x^3 + 39025*x^2 + 12452*x - 1010, -2*x^35 + 109*x^33 - 2*x^32 - 2685*x^31 + 90*x^30 + 39546*x^29 - 1803*x^28 - 388254*x^27 + 21263*x^26 + 2681860*x^25 - 164498*x^24 - 13409668*x^23 + 880540*x^22 + 49194548*x^21 - 3350523*x^20 - 132806712*x^19 + 9161298*x^18 + 262307360*x^17 - 17992477*x^16 - 373633670*x^15 + 25223605*x^14 + 374674757*x^13 - 25242098*x^12 - 255021451*x^11 + 18510794*x^10 + 111762287*x^9 - 10365521*x^8 - 29517701*x^7 + 4158969*x^6 + 4647209*x^5 - 877140*x^4 - 542545*x^3 + 39025*x^2 + 12452*x - 1010]>
       ]
>;

MOG[823] := 	// J_0(823)
   rec<SupersingularModule | 
       MonodromyWeights   := [2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [82, 269, 343, 383, 499, 523, 530, 593, 693, 190*x + 449, 633*x + 449, 643*x + 180, 180*x + 180, 396*x + 254, 427*x + 254, 255*x + 810, 568*x + 810, 145*x + 453, 678*x + 453, 437*x + 167, 386*x + 167, 800*x + 414, 23*x + 414, 582*x + 493, 241*x + 493, 815*x + 367, 8*x + 367, 558*x + 452, 265*x + 452, 326*x + 580, 497*x + 580, 233*x + 560, 590*x + 560, 109*x + 72, 714*x + 72, 272*x + 364, 551*x + 364, 343*x + 13, 480*x + 13, 330*x + 194, 493*x + 194, 156*x + 399, 667*x + 399, 320*x + 377, 503*x + 377, 284*x + 73, 539*x + 73, 787*x + 531, 36*x + 531, 776*x + 502, 47*x + 502, 691*x + 467, 132*x + 467, 658*x + 257, 165*x + 257, 52*x + 659, 771*x + 659, 570*x + 187, 253*x + 187, 279*x + 718, 544*x + 718, 484*x + 57, 339*x + 57, 150*x + 110, 673*x + 110, 650*x + 297, 173*x + 297, 659*x + 745, 164*x + 745]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^30 + 10*x^29 + 6*x^28 - 251*x^27 - 701*x^26 + 2316*x^25 + 11248*x^24 - 6885*x^23 - 89074*x^22 - 38489*x^21 + 415114*x^20 + 445016*x^19 - 1190252*x^18 - 1957731*x^17 + 2026464*x^16 + 4985782*x^15 - 1619283*x^14 - 7919944*x^13 - 598036*x^12 + 7826264*x^11 + 2690062*x^10 - 4520804*x^9 - 2578645*x^8 + 1253703*x^7 + 1127077*x^6 - 26340*x^5 - 195410*x^4 - 43609*x^3 + 1633*x^2 + 912*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, -x^29 - 10*x^28 - 8*x^27 + 232*x^26 + 691*x^25 - 1879*x^24 - 10097*x^23 + 3263*x^22 + 72424*x^21 + 47569*x^20 - 298993*x^19 - 392190*x^18 + 726666*x^17 + 1460786*x^16 - 932948*x^15 - 3179845*x^14 + 205260*x^13 + 4231051*x^12 + 1184344*x^11 - 3343771*x^10 - 1792626*x^9 + 1387138*x^8 + 1138654*x^7 - 174030*x^6 - 318392*x^5 - 45962*x^4 + 24401*x^3 + 7631*x^2 + 492*x - 9, x^29 + 10*x^28 + 8*x^27 - 232*x^26 - 691*x^25 + 1879*x^24 + 10097*x^23 - 3263*x^22 - 72424*x^21 - 47569*x^20 + 298993*x^19 + 392190*x^18 - 726666*x^17 - 1460786*x^16 + 932948*x^15 + 3179845*x^14 - 205260*x^13 - 4231051*x^12 - 1184344*x^11 + 3343771*x^10 + 1792626*x^9 - 1387138*x^8 - 1138654*x^7 + 174030*x^6 + 318392*x^5 + 45962*x^4 - 24401*x^3 - 7631*x^2 - 492*x + 9, -x^24 - 9*x^23 - 6*x^22 + 174*x^21 + 480*x^20 - 1012*x^19 - 5351*x^18 + 21*x^17 + 26833*x^16 + 22955*x^15 - 69842*x^14 - 104626*x^13 + 89796*x^12 + 221715*x^11 - 30302*x^10 - 253066*x^9 - 54172*x^8 + 155211*x^7 + 66879*x^6 - 45522*x^5 - 29364*x^4 + 3322*x^3 + 4967*x^2 + 835*x - 2, x^24 + 9*x^23 + 6*x^22 - 174*x^21 - 480*x^20 + 1012*x^19 + 5351*x^18 - 21*x^17 - 26833*x^16 - 22955*x^15 + 69842*x^14 + 104626*x^13 - 89796*x^12 - 221715*x^11 + 30302*x^10 + 253066*x^9 + 54172*x^8 - 155211*x^7 - 66879*x^6 + 45522*x^5 + 29364*x^4 - 3322*x^3 - 4967*x^2 - 835*x + 2, -x^28 - 9*x^27 + 223*x^25 + 466*x^24 - 2139*x^23 - 7491*x^22 + 8997*x^21 + 56677*x^20 - 3375*x^19 - 249558*x^18 - 134052*x^17 + 681038*x^16 + 642954*x^15 - 1155835*x^14 - 1518046*x^13 + 1150788*x^12 + 2095023*x^11 - 525856*x^10 - 1711227*x^9 - 85517*x^8 + 772344*x^7 + 199263*x^6 - 155022*x^5 - 68967*x^4 + 3677*x^3 + 5045*x^2 + 517*x - 13, x^28 + 9*x^27 - 223*x^25 - 466*x^24 + 2139*x^23 + 7491*x^22 - 8997*x^21 - 56677*x^20 + 3375*x^19 + 249558*x^18 + 134052*x^17 - 681038*x^16 - 642954*x^15 + 1155835*x^14 + 1518046*x^13 - 1150788*x^12 - 2095023*x^11 + 525856*x^10 + 1711227*x^9 + 85517*x^8 - 772344*x^7 - 199263*x^6 + 155022*x^5 + 68967*x^4 - 3677*x^3 - 5045*x^2 - 517*x + 13, -x^28 - 10*x^27 - 10*x^26 + 214*x^25 + 685*x^24 - 1483*x^23 - 9159*x^22 + 83*x^21 + 59444*x^20 + 56201*x^19 - 214028*x^18 - 362893*x^17 + 412478*x^16 + 1162983*x^15 - 258188*x^14 - 2170847*x^13 - 564480*x^12 + 2387470*x^11 + 1423292*x^10 - 1422439*x^9 - 1354474*x^8 + 307329*x^7 + 609422*x^6 + 82720*x^5 - 102042*x^4 - 39655*x^3 - 2920*x^2 + 386*x + 12, x^28 + 10*x^27 + 10*x^26 - 214*x^25 - 685*x^24 + 1483*x^23 + 9159*x^22 - 83*x^21 - 59444*x^20 - 56201*x^19 + 214028*x^18 + 362893*x^17 - 412478*x^16 - 1162983*x^15 + 258188*x^14 + 2170847*x^13 + 564480*x^12 - 2387470*x^11 - 1423292*x^10 + 1422439*x^9 + 1354474*x^8 - 307329*x^7 - 609422*x^6 - 82720*x^5 + 102042*x^4 + 39655*x^3 + 2920*x^2 - 386*x - 12, 2*x^22 + 20*x^21 + 45*x^20 - 171*x^19 - 823*x^18 + 57*x^17 + 4813*x^16 + 3869*x^15 - 14687*x^14 - 18215*x^13 + 28512*x^12 + 43704*x^11 - 38486*x^10 - 68830*x^9 + 31321*x^8 + 71459*x^7 - 6687*x^6 - 41887*x^5 - 8475*x^4 + 9494*x^3 + 4507*x^2 + 491*x - 18, -2*x^22 - 20*x^21 - 45*x^20 + 171*x^19 + 823*x^18 - 57*x^17 - 4813*x^16 - 3869*x^15 + 14687*x^14 + 18215*x^13 - 28512*x^12 - 43704*x^11 + 38486*x^10 + 68830*x^9 - 31321*x^8 - 71459*x^7 + 6687*x^6 + 41887*x^5 + 8475*x^4 - 9494*x^3 - 4507*x^2 - 491*x + 18, -x^25 - 9*x^24 - 6*x^23 + 172*x^22 + 460*x^21 - 1057*x^20 - 5180*x^19 + 844*x^18 + 26776*x^17 + 18142*x^16 - 73711*x^15 - 89939*x^14 + 108011*x^13 + 193203*x^12 - 74006*x^11 - 214580*x^10 + 14658*x^9 + 123890*x^8 - 4580*x^7 - 38835*x^6 + 12523*x^5 + 11797*x^4 - 4527*x^3 - 3672*x^2 - 493*x + 18, x^25 + 9*x^24 + 6*x^23 - 172*x^22 - 460*x^21 + 1057*x^20 + 5180*x^19 - 844*x^18 - 26776*x^17 - 18142*x^16 + 73711*x^15 + 89939*x^14 - 108011*x^13 - 193203*x^12 + 74006*x^11 + 214580*x^10 - 14658*x^9 - 123890*x^8 + 4580*x^7 + 38835*x^6 - 12523*x^5 - 11797*x^4 + 4527*x^3 + 3672*x^2 + 493*x - 18, x^24 + 7*x^23 - 11*x^22 - 178*x^21 - 138*x^20 + 1774*x^19 + 3048*x^18 - 8909*x^17 - 22410*x^16 + 22853*x^15 + 87610*x^14 - 20089*x^13 - 200362*x^12 - 40259*x^11 + 269310*x^10 + 130545*x^9 - 198174*x^8 - 146346*x^7 + 60794*x^6 + 74579*x^5 + 5329*x^4 - 13488*x^3 - 5044*x^2 - 513*x + 14, -x^24 - 7*x^23 + 11*x^22 + 178*x^21 + 138*x^20 - 1774*x^19 - 3048*x^18 + 8909*x^17 + 22410*x^16 - 22853*x^15 - 87610*x^14 + 20089*x^13 + 200362*x^12 + 40259*x^11 - 269310*x^10 - 130545*x^9 + 198174*x^8 + 146346*x^7 - 60794*x^6 - 74579*x^5 - 5329*x^4 + 13488*x^3 + 5044*x^2 + 513*x - 14, -x^27 - 9*x^26 - 2*x^25 + 206*x^24 + 467*x^23 - 1757*x^22 - 6750*x^21 + 5733*x^20 + 46060*x^19 + 8580*x^18 - 179680*x^17 - 136794*x^16 + 420067*x^15 + 505964*x^14 - 572518*x^13 - 985240*x^12 + 384823*x^11 + 1106688*x^10 - 4118*x^9 - 700311*x^8 - 167047*x^7 + 218271*x^6 + 94403*x^5 - 19328*x^4 - 15679*x^3 - 2069*x^2 + 12*x - 4, x^27 + 9*x^26 + 2*x^25 - 206*x^24 - 467*x^23 + 1757*x^22 + 6750*x^21 - 5733*x^20 - 46060*x^19 - 8580*x^18 + 179680*x^17 + 136794*x^16 - 420067*x^15 - 505964*x^14 + 572518*x^13 + 985240*x^12 - 384823*x^11 - 1106688*x^10 + 4118*x^9 + 700311*x^8 + 167047*x^7 - 218271*x^6 - 94403*x^5 + 19328*x^4 + 15679*x^3 + 2069*x^2 - 12*x + 4, -x^27 - 8*x^26 + 6*x^25 + 202*x^24 + 281*x^23 - 2045*x^22 - 5069*x^21 + 10221*x^20 + 39002*x^19 - 21803*x^18 - 170422*x^17 - 22049*x^16 + 456576*x^15 + 249831*x^14 - 757850*x^13 - 655147*x^12 + 745814*x^11 + 895842*x^10 - 368392*x^9 - 685655*x^8 + 16836*x^7 + 273657*x^6 + 62108*x^5 - 41496*x^4 - 19050*x^3 - 1555*x^2 + 190*x + 6, x^27 + 8*x^26 - 6*x^25 - 202*x^24 - 281*x^23 + 2045*x^22 + 5069*x^21 - 10221*x^20 - 39002*x^19 + 21803*x^18 + 170422*x^17 + 22049*x^16 - 456576*x^15 - 249831*x^14 + 757850*x^13 + 655147*x^12 - 745814*x^11 - 895842*x^10 + 368392*x^9 + 685655*x^8 - 16836*x^7 - 273657*x^6 - 62108*x^5 + 41496*x^4 + 19050*x^3 + 1555*x^2 - 190*x - 6, -x^27 - 10*x^26 - 12*x^25 + 194*x^24 + 657*x^23 - 1135*x^22 - 7911*x^21 - 1589*x^20 + 45963*x^19 + 51100*x^18 - 143766*x^17 - 275754*x^16 + 218184*x^15 + 759167*x^14 - 11890*x^13 - 1188434*x^12 - 506866*x^11 + 1025490*x^10 + 806544*x^9 - 394154*x^8 - 546068*x^7 - 16907*x^6 + 154242*x^5 + 47803*x^4 - 8271*x^3 - 5690*x^2 - 670*x + 3, x^27 + 10*x^26 + 12*x^25 - 194*x^24 - 657*x^23 + 1135*x^22 + 7911*x^21 + 1589*x^20 - 45963*x^19 - 51100*x^18 + 143766*x^17 + 275754*x^16 - 218184*x^15 - 759167*x^14 + 11890*x^13 + 1188434*x^12 + 506866*x^11 - 1025490*x^10 - 806544*x^9 + 394154*x^8 + 546068*x^7 + 16907*x^6 - 154242*x^5 - 47803*x^4 + 8271*x^3 + 5690*x^2 + 670*x - 3, x^24 + 10*x^23 + 16*x^22 - 148*x^21 - 529*x^20 + 694*x^19 + 5107*x^18 + 750*x^17 - 25654*x^16 - 21728*x^15 + 73960*x^14 + 101314*x^13 - 118381*x^12 - 237595*x^11 + 82280*x^10 + 308218*x^9 + 22589*x^8 - 213649*x^7 - 71479*x^6 + 66490*x^5 + 37567*x^4 - 3496*x^3 - 5422*x^2 - 931*x - 17, -x^24 - 10*x^23 - 16*x^22 + 148*x^21 + 529*x^20 - 694*x^19 - 5107*x^18 - 750*x^17 + 25654*x^16 + 21728*x^15 - 73960*x^14 - 101314*x^13 + 118381*x^12 + 237595*x^11 - 82280*x^10 - 308218*x^9 - 22589*x^8 + 213649*x^7 + 71479*x^6 - 66490*x^5 - 37567*x^4 + 3496*x^3 + 5422*x^2 + 931*x + 17, x^23 + 10*x^22 + 19*x^21 - 122*x^20 - 505*x^19 + 301*x^18 + 4042*x^17 + 2690*x^16 - 15914*x^15 - 22333*x^14 + 31824*x^13 + 72289*x^12 - 22606*x^11 - 120808*x^10 - 23831*x^9 + 103042*x^8 + 51751*x^7 - 37287*x^6 - 29443*x^5 + 1291*x^4 + 4681*x^3 + 946*x^2 + 78*x + 19, -x^23 - 10*x^22 - 19*x^21 + 122*x^20 + 505*x^19 - 301*x^18 - 4042*x^17 - 2690*x^16 + 15914*x^15 + 22333*x^14 - 31824*x^13 - 72289*x^12 + 22606*x^11 + 120808*x^10 + 23831*x^9 - 103042*x^8 - 51751*x^7 + 37287*x^6 + 29443*x^5 - 1291*x^4 - 4681*x^3 - 946*x^2 - 78*x - 19, -x^24 - 8*x^23 + x^22 + 165*x^21 + 314*x^20 - 1184*x^19 - 3931*x^18 + 2836*x^17 + 21041*x^16 + 6201*x^15 - 58040*x^14 - 50675*x^13 + 80254*x^12 + 115121*x^11 - 36806*x^10 - 115297*x^9 - 28577*x^8 + 37855*x^7 + 31719*x^6 + 13256*x^5 - 2181*x^4 - 7622*x^3 - 3786*x^2 - 633*x - 16, x^24 + 8*x^23 - x^22 - 165*x^21 - 314*x^20 + 1184*x^19 + 3931*x^18 - 2836*x^17 - 21041*x^16 - 6201*x^15 + 58040*x^14 + 50675*x^13 - 80254*x^12 - 115121*x^11 + 36806*x^10 + 115297*x^9 + 28577*x^8 - 37855*x^7 - 31719*x^6 - 13256*x^5 + 2181*x^4 + 7622*x^3 + 3786*x^2 + 633*x + 16, -x^26 - 9*x^25 - 4*x^24 + 189*x^23 + 465*x^22 - 1396*x^21 - 5974*x^20 + 3040*x^19 + 36058*x^18 + 15285*x^17 - 121585*x^16 - 119095*x^15 + 235893*x^14 + 348504*x^13 - 244056*x^12 - 551416*x^11 + 81766*x^10 + 492253*x^9 + 78169*x^8 - 231901*x^7 - 86075*x^6 + 44063*x^5 + 27018*x^4 + 628*x^3 - 1674*x^2 - 184*x + 18, x^26 + 9*x^25 + 4*x^24 - 189*x^23 - 465*x^22 + 1396*x^21 + 5974*x^20 - 3040*x^19 - 36058*x^18 - 15285*x^17 + 121585*x^16 + 119095*x^15 - 235893*x^14 - 348504*x^13 + 244056*x^12 + 551416*x^11 - 81766*x^10 - 492253*x^9 - 78169*x^8 + 231901*x^7 + 86075*x^6 - 44063*x^5 - 27018*x^4 - 628*x^3 + 1674*x^2 + 184*x - 18, x^25 + 8*x^24 - 4*x^23 - 189*x^22 - 316*x^21 + 1636*x^20 + 4822*x^19 - 5861*x^18 - 31319*x^17 + 443*x^16 + 110463*x^15 + 67521*x^14 - 220451*x^13 - 240621*x^12 + 229051*x^11 + 399855*x^10 - 67629*x^9 - 344520*x^8 - 85552*x^7 + 135373*x^6 + 79908*x^5 - 8159*x^4 - 18532*x^3 - 5557*x^2 - 499*x + 14, -x^25 - 8*x^24 + 4*x^23 + 189*x^22 + 316*x^21 - 1636*x^20 - 4822*x^19 + 5861*x^18 + 31319*x^17 - 443*x^16 - 110463*x^15 - 67521*x^14 + 220451*x^13 + 240621*x^12 - 229051*x^11 - 399855*x^10 + 67629*x^9 + 344520*x^8 + 85552*x^7 - 135373*x^6 - 79908*x^5 + 8159*x^4 + 18532*x^3 + 5557*x^2 + 499*x - 14, x^23 + 6*x^22 - 19*x^21 - 187*x^20 - 65*x^19 + 1939*x^18 + 2899*x^17 - 9100*x^16 - 21872*x^15 + 18776*x^14 + 78432*x^13 - 2172*x^12 - 152321*x^11 - 62477*x^10 + 158532*x^9 + 114612*x^8 - 74154*x^7 - 83810*x^6 + 1448*x^5 + 21600*x^4 + 6881*x^3 + 747*x^2 + 156*x + 34, -x^23 - 6*x^22 + 19*x^21 + 187*x^20 + 65*x^19 - 1939*x^18 - 2899*x^17 + 9100*x^16 + 21872*x^15 - 18776*x^14 - 78432*x^13 + 2172*x^12 + 152321*x^11 + 62477*x^10 - 158532*x^9 - 114612*x^8 + 74154*x^7 + 83810*x^6 - 1448*x^5 - 21600*x^4 - 6881*x^3 - 747*x^2 - 156*x - 34, -x^26 - 8*x^25 + 5*x^24 + 193*x^23 + 276*x^22 - 1868*x^21 - 4643*x^20 + 8915*x^19 + 33820*x^18 - 18027*x^17 - 139386*x^16 - 17895*x^15 + 347424*x^14 + 184302*x^13 - 521909*x^12 - 436919*x^11 + 439972*x^10 + 518663*x^9 - 159699*x^8 - 322172*x^7 - 18785*x^6 + 91631*x^5 + 26270*x^4 - 6374*x^3 - 3359*x^2 - 337*x - 5, x^26 + 8*x^25 - 5*x^24 - 193*x^23 - 276*x^22 + 1868*x^21 + 4643*x^20 - 8915*x^19 - 33820*x^18 + 18027*x^17 + 139386*x^16 + 17895*x^15 - 347424*x^14 - 184302*x^13 + 521909*x^12 + 436919*x^11 - 439972*x^10 - 518663*x^9 + 159699*x^8 + 322172*x^7 + 18785*x^6 - 91631*x^5 - 26270*x^4 + 6374*x^3 + 3359*x^2 + 337*x + 5, -x^26 - 10*x^25 - 14*x^24 + 174*x^23 + 625*x^22 - 826*x^21 - 6721*x^20 - 2664*x^19 + 34657*x^18 + 43782*x^17 - 93770*x^16 - 199457*x^15 + 111887*x^14 + 475291*x^13 + 46676*x^12 - 640161*x^11 - 316361*x^10 + 461647*x^9 + 391479*x^8 - 129178*x^7 - 209653*x^6 - 24656*x^5 + 39486*x^4 + 16058*x^3 + 1772*x^2 + 45*x + 19, x^26 + 10*x^25 + 14*x^24 - 174*x^23 - 625*x^22 + 826*x^21 + 6721*x^20 + 2664*x^19 - 34657*x^18 - 43782*x^17 + 93770*x^16 + 199457*x^15 - 111887*x^14 - 475291*x^13 - 46676*x^12 + 640161*x^11 + 316361*x^10 - 461647*x^9 - 391479*x^8 + 129178*x^7 + 209653*x^6 + 24656*x^5 - 39486*x^4 - 16058*x^3 - 1772*x^2 - 45*x - 19, -x^26 - 10*x^25 - 14*x^24 + 174*x^23 + 623*x^22 - 846*x^21 - 6760*x^20 - 2437*x^19 + 35605*x^18 + 43357*x^17 - 100524*x^16 - 204359*x^15 + 134411*x^14 + 507122*x^13 + 10938*x^12 - 721819*x^11 - 300387*x^10 + 566638*x^9 + 416927*x^8 - 195058*x^7 - 245527*x^6 - 10261*x^5 + 54285*x^4 + 17907*x^3 + 478*x^2 - 428*x - 31, x^26 + 10*x^25 + 14*x^24 - 174*x^23 - 623*x^22 + 846*x^21 + 6760*x^20 + 2437*x^19 - 35605*x^18 - 43357*x^17 + 100524*x^16 + 204359*x^15 - 134411*x^14 - 507122*x^13 - 10938*x^12 + 721819*x^11 + 300387*x^10 - 566638*x^9 - 416927*x^8 + 195058*x^7 + 245527*x^6 + 10261*x^5 - 54285*x^4 - 17907*x^3 - 478*x^2 + 428*x + 31, x^25 + 9*x^24 + 7*x^23 - 160*x^22 - 418*x^21 + 1014*x^20 + 4595*x^19 - 1691*x^18 - 24637*x^17 - 11288*x^16 + 74427*x^15 + 72168*x^14 - 127972*x^13 - 185357*x^12 + 111302*x^11 + 255173*x^10 - 17188*x^9 - 190791*x^8 - 49818*x^7 + 66961*x^6 + 38675*x^5 - 3157*x^4 - 8559*x^3 - 2871*x^2 - 343*x - 4, -x^25 - 9*x^24 - 7*x^23 + 160*x^22 + 418*x^21 - 1014*x^20 - 4595*x^19 + 1691*x^18 + 24637*x^17 + 11288*x^16 - 74427*x^15 - 72168*x^14 + 127972*x^13 + 185357*x^12 - 111302*x^11 - 255173*x^10 + 17188*x^9 + 190791*x^8 + 49818*x^7 - 66961*x^6 - 38675*x^5 + 3157*x^4 + 8559*x^3 + 2871*x^2 + 343*x + 4, x^24 + 9*x^23 + 10*x^22 - 131*x^21 - 365*x^20 + 683*x^19 + 3264*x^18 - 1074*x^17 - 15253*x^16 - 4336*x^15 + 43833*x^14 + 27806*x^13 - 80750*x^12 - 72726*x^11 + 91531*x^10 + 108607*x^9 - 54179*x^8 - 93120*x^7 + 6216*x^6 + 40779*x^5 + 8136*x^4 - 6357*x^3 - 2567*x^2 - 165*x + 22, -x^24 - 9*x^23 - 10*x^22 + 131*x^21 + 365*x^20 - 683*x^19 - 3264*x^18 + 1074*x^17 + 15253*x^16 + 4336*x^15 - 43833*x^14 - 27806*x^13 + 80750*x^12 + 72726*x^11 - 91531*x^10 - 108607*x^9 + 54179*x^8 + 93120*x^7 - 6216*x^6 - 40779*x^5 - 8136*x^4 + 6357*x^3 + 2567*x^2 + 165*x - 22, x^24 + 8*x^23 - x^22 - 161*x^21 - 274*x^20 + 1271*x^19 + 3552*x^18 - 4644*x^17 - 21026*x^16 + 5002*x^15 + 70542*x^14 + 20126*x^13 - 142648*x^12 - 85882*x^11 + 174771*x^10 + 147205*x^9 - 122688*x^8 - 137060*x^7 + 37434*x^6 + 68774*x^5 + 5375*x^4 - 14246*x^3 - 5022*x^2 - 387*x + 26, -x^24 - 8*x^23 + x^22 + 161*x^21 + 274*x^20 - 1271*x^19 - 3552*x^18 + 4644*x^17 + 21026*x^16 - 5002*x^15 - 70542*x^14 - 20126*x^13 + 142648*x^12 + 85882*x^11 - 174771*x^10 - 147205*x^9 + 122688*x^8 + 137060*x^7 - 37434*x^6 - 68774*x^5 - 5375*x^4 + 14246*x^3 + 5022*x^2 + 387*x - 26, 2*x^23 + 18*x^22 + 19*x^21 - 276*x^20 - 799*x^19 + 1313*x^18 + 7277*x^17 + 299*x^16 - 31204*x^15 - 24031*x^14 + 70378*x^13 + 91530*x^12 - 78630*x^11 - 160116*x^10 + 24667*x^9 + 143118*x^8 + 28314*x^7 - 60190*x^6 - 25596*x^5 + 7781*x^4 + 5698*x^3 + 593*x^2 - 85*x - 8, -2*x^23 - 18*x^22 - 19*x^21 + 276*x^20 + 799*x^19 - 1313*x^18 - 7277*x^17 - 299*x^16 + 31204*x^15 + 24031*x^14 - 70378*x^13 - 91530*x^12 + 78630*x^11 + 160116*x^10 - 24667*x^9 - 143118*x^8 - 28314*x^7 + 60190*x^6 + 25596*x^5 - 7781*x^4 - 5698*x^3 - 593*x^2 + 85*x + 8, -2*x^23 - 18*x^22 - 22*x^21 + 249*x^20 + 755*x^19 - 1032*x^18 - 6264*x^17 - 831*x^16 + 24977*x^15 + 20392*x^14 - 52847*x^13 - 72067*x^12 + 52644*x^11 + 121726*x^10 - 685*x^9 - 102731*x^8 - 45955*x^7 + 33167*x^6 + 34856*x^5 + 4700*x^4 - 6875*x^3 - 3630*x^2 - 599*x - 16, 2*x^23 + 18*x^22 + 22*x^21 - 249*x^20 - 755*x^19 + 1032*x^18 + 6264*x^17 + 831*x^16 - 24977*x^15 - 20392*x^14 + 52847*x^13 + 72067*x^12 - 52644*x^11 - 121726*x^10 + 685*x^9 + 102731*x^8 + 45955*x^7 - 33167*x^6 - 34856*x^5 - 4700*x^4 + 6875*x^3 + 3630*x^2 + 599*x + 16, -x^25 - 8*x^24 + 2*x^23 + 165*x^22 + 239*x^21 - 1461*x^20 - 3325*x^19 + 7213*x^18 + 22267*x^17 - 20487*x^16 - 90538*x^15 + 25762*x^14 + 234911*x^13 + 26412*x^12 - 381770*x^11 - 148053*x^10 + 363082*x^9 + 218440*x^8 - 173910*x^7 - 145425*x^6 + 23498*x^5 + 39224*x^4 + 5946*x^3 - 1627*x^2 - 354*x - 1, x^25 + 8*x^24 - 2*x^23 - 165*x^22 - 239*x^21 + 1461*x^20 + 3325*x^19 - 7213*x^18 - 22267*x^17 + 20487*x^16 + 90538*x^15 - 25762*x^14 - 234911*x^13 - 26412*x^12 + 381770*x^11 + 148053*x^10 - 363082*x^9 - 218440*x^8 + 173910*x^7 + 145425*x^6 - 23498*x^5 - 39224*x^4 - 5946*x^3 + 1627*x^2 + 354*x + 1, -x^25 - 11*x^24 - 26*x^23 + 137*x^22 + 736*x^21 + 44*x^20 - 5978*x^19 - 8711*x^18 + 20284*x^17 + 57583*x^16 - 14839*x^15 - 170875*x^14 - 95780*x^13 + 247454*x^12 + 302000*x^11 - 121059*x^10 - 366717*x^9 - 97814*x^8 + 185038*x^7 + 135746*x^6 - 11164*x^5 - 41907*x^4 - 13906*x^3 - 620*x^2 + 250*x + 4, x^25 + 11*x^24 + 26*x^23 - 137*x^22 - 736*x^21 - 44*x^20 + 5978*x^19 + 8711*x^18 - 20284*x^17 - 57583*x^16 + 14839*x^15 + 170875*x^14 + 95780*x^13 - 247454*x^12 - 302000*x^11 + 121059*x^10 + 366717*x^9 + 97814*x^8 - 185038*x^7 - 135746*x^6 + 11164*x^5 + 41907*x^4 + 13906*x^3 + 620*x^2 - 250*x - 4, -x^25 - 9*x^24 - 6*x^23 + 172*x^22 + 454*x^21 - 1119*x^20 - 5328*x^19 + 1393*x^18 + 29712*x^17 + 18714*x^16 - 91458*x^15 - 113001*x^14 + 154346*x^13 + 300819*x^12 - 111495*x^11 - 442784*x^10 - 48348*x^9 + 362790*x^8 + 151377*x^7 - 143495*x^6 - 103592*x^5 + 10162*x^4 + 23949*x^3 + 6355*x^2 + 439*x - 7, x^25 + 9*x^24 + 6*x^23 - 172*x^22 - 454*x^21 + 1119*x^20 + 5328*x^19 - 1393*x^18 - 29712*x^17 - 18714*x^16 + 91458*x^15 + 113001*x^14 - 154346*x^13 - 300819*x^12 + 111495*x^11 + 442784*x^10 + 48348*x^9 - 362790*x^8 - 151377*x^7 + 143495*x^6 + 103592*x^5 - 10162*x^4 - 23949*x^3 - 6355*x^2 - 439*x + 7, -x^25 - 11*x^24 - 27*x^23 + 129*x^22 + 733*x^21 + 166*x^20 - 5763*x^19 - 9434*x^18 + 18605*x^17 + 60107*x^16 - 9346*x^15 - 179877*x^14 - 105144*x^13 + 281258*x^12 + 317781*x^11 - 203679*x^10 - 406805*x^9 + 8305*x^8 + 250723*x^7 + 73607*x^6 - 61282*x^5 - 33053*x^4 + 190*x^3 + 2391*x^2 + 296*x - 7, x^25 + 11*x^24 + 27*x^23 - 129*x^22 - 733*x^21 - 166*x^20 + 5763*x^19 + 9434*x^18 - 18605*x^17 - 60107*x^16 + 9346*x^15 + 179877*x^14 + 105144*x^13 - 281258*x^12 - 317781*x^11 + 203679*x^10 + 406805*x^9 - 8305*x^8 - 250723*x^7 - 73607*x^6 + 61282*x^5 + 33053*x^4 - 190*x^3 - 2391*x^2 - 296*x + 7, 2*x^24 + 19*x^23 + 27*x^22 - 276*x^21 - 953*x^20 + 1019*x^19 + 8289*x^18 + 3534*x^17 - 33595*x^16 - 39321*x^15 + 68680*x^14 + 130084*x^13 - 59389*x^12 - 216140*x^11 - 14641*x^10 + 191616*x^9 + 68390*x^8 - 83627*x^7 - 48499*x^6 + 11628*x^5 + 12188*x^4 + 1610*x^3 - 438*x^2 - 171*x - 27, -2*x^24 - 19*x^23 - 27*x^22 + 276*x^21 + 953*x^20 - 1019*x^19 - 8289*x^18 - 3534*x^17 + 33595*x^16 + 39321*x^15 - 68680*x^14 - 130084*x^13 + 59389*x^12 + 216140*x^11 + 14641*x^10 - 191616*x^9 - 68390*x^8 + 83627*x^7 + 48499*x^6 - 11628*x^5 - 12188*x^4 - 1610*x^3 + 438*x^2 + 171*x + 27, -x^24 - 10*x^23 - 18*x^22 + 137*x^21 + 577*x^20 - 284*x^19 - 4939*x^18 - 4804*x^17 + 18824*x^16 + 37928*x^15 - 27790*x^14 - 122693*x^13 - 25934*x^12 + 201321*x^11 + 153323*x^10 - 152656*x^9 - 214746*x^8 + 14201*x^7 + 124882*x^6 + 44031*x^5 - 20339*x^4 - 16868*x^3 - 3913*x^2 - 337*x - 12, x^24 + 10*x^23 + 18*x^22 - 137*x^21 - 577*x^20 + 284*x^19 + 4939*x^18 + 4804*x^17 - 18824*x^16 - 37928*x^15 + 27790*x^14 + 122693*x^13 + 25934*x^12 - 201321*x^11 - 153323*x^10 + 152656*x^9 + 214746*x^8 - 14201*x^7 - 124882*x^6 - 44031*x^5 + 20339*x^4 + 16868*x^3 + 3913*x^2 + 337*x + 12]>,
         rec<Eigen |
           DefiningPolynomial := x^38 - 9*x^37 - 17*x^36 + 376*x^35 - 365*x^34 - 6843*x^33 + 15207*x^32 + 70082*x^31 - 231980*x^30 - 426194*x^29 + 2095722*x^28 + 1352786*x^27 - 12632421*x^26 + 375339*x^25 + 53316839*x^24 - 25612101*x^23 - 160627017*x^22 + 132497701*x^21 + 345835706*x^20 - 390881056*x^19 - 523956226*x^18 + 763502602*x^17 + 537191798*x^16 - 1024250135*x^15 - 339962482*x^14 + 945833625*x^13 + 95875945*x^12 - 592234160*x^11 + 23819525*x^10 + 244773765*x^9 - 28666182*x^8 - 64265975*x^7 + 9068622*x^6 + 10097135*x^5 - 1218121*x^4 - 832963*x^3 + 57516*x^2 + 24473*x - 559,
           Coordinates        := [-x^37 + 9*x^36 + 15*x^35 - 358*x^34 + 391*x^33 + 6163*x^32 - 14381*x^31 - 59044*x^30 + 204945*x^29 + 327720*x^28 - 1736324*x^27 - 858827*x^26 + 9782730*x^25 - 1375847*x^24 - 38339051*x^23 + 21909874*x^22 + 106219141*x^21 - 96535616*x^20 - 207450060*x^19 + 253134768*x^18 + 279335450*x^17 - 440361965*x^16 - 245768692*x^15 + 521085903*x^14 + 122738863*x^13 - 417394961*x^12 - 15194997*x^11 + 221272974*x^10 - 18213809*x^9 - 74703709*x^8 + 10466577*x^7 + 15119892*x^6 - 2187029*x^5 - 1647639*x^4 + 166359*x^3 + 72276*x^2 - 1563*x - 53, x^37 - 11*x^36 + 3*x^35 + 384*x^34 - 1071*x^33 - 5337*x^32 + 25419*x^31 + 32009*x^30 - 303419*x^29 + 31678*x^28 + 2230283*x^27 - 1990864*x^26 - 10783238*x^25 + 16353635*x^24 + 34636824*x^23 - 76317750*x^22 - 70257056*x^21 + 234921262*x^20 + 69703772*x^19 - 497755544*x^18 + 43805187*x^17 + 731785071*x^16 - 257395540*x^15 - 738309522*x^14 + 405699801*x^13 + 498075909*x^12 - 355766189*x^11 - 215667258*x^10 + 188283865*x^9 + 56504104*x^8 - 59612660*x^7 - 8238299*x^6 + 10636525*x^5 + 595877*x^4 - 927046*x^3 - 16323*x^2 + 25983*x - 506, x^34 - 11*x^33 + 9*x^32 + 321*x^31 - 1050*x^30 - 3380*x^29 + 20051*x^28 + 8495*x^27 - 192033*x^26 + 142320*x^25 + 1083431*x^24 - 1680611*x^23 - 3675028*x^22 + 9065853*x^21 + 6609663*x^20 - 29523165*x^19 - 854097*x^18 + 61495577*x^17 - 24969507*x^16 - 81577612*x^15 + 60653496*x^14 + 65254198*x^13 - 72230299*x^12 - 26639456*x^11 + 48467635*x^10 + 1397350*x^9 - 18137135*x^8 + 3048457*x^7 + 3431180*x^6 - 1093902*x^5 - 228788*x^4 + 143223*x^3 - 9125*x^2 - 6648*x + 664, x^36 - 11*x^35 + 5*x^34 + 362*x^33 - 1057*x^32 - 4656*x^31 + 23330*x^30 + 23983*x^29 - 260562*x^28 + 64978*x^27 + 1784202*x^26 - 1800394*x^25 - 7961247*x^24 + 13033110*x^23 + 23203477*x^22 - 55172727*x^21 - 41066464*x^20 + 154201728*x^19 + 29172769*x^18 - 294457219*x^17 + 45994205*x^16 + 385271186*x^15 - 150612827*x^14 - 340298328*x^13 + 190481575*x^12 + 197737933*x^11 - 135097899*x^10 - 73697175*x^9 + 56012799*x^8 + 17628998*x^7 - 13160565*x^6 - 2860439*x^5 + 1591090*x^4 + 315281*x^3 - 73251*x^2 - 16360*x + 28, x^33 - 10*x^32 + 311*x^30 - 737*x^29 - 3822*x^28 + 15452*x^27 + 20797*x^26 - 156546*x^25 - 3249*x^24 + 950018*x^23 - 670930*x^22 - 3691100*x^21 + 4595335*x^20 + 9261700*x^19 - 16613598*x^18 - 14279975*x^17 + 37635096*x^16 + 10820094*x^15 - 55487754*x^14 + 2512190*x^13 + 52921344*x^12 - 13305167*x^11 - 31575121*x^10 + 11778345*x^9 + 11184952*x^8 - 4632996*x^7 - 2262227*x^6 + 761401*x^5 + 271938*x^4 - 24777*x^3 - 17670*x^2 - 3230*x + 4, x^35 - 11*x^34 + 7*x^33 + 341*x^32 - 1050*x^31 - 4006*x^30 + 21559*x^29 + 16187*x^28 - 224105*x^27 + 102244*x^26 + 1412287*x^25 - 1714915*x^24 - 5678916*x^23 + 10833235*x^22 + 14280287*x^21 - 41192731*x^20 - 18953471*x^19 + 103584497*x^18 - 2467165*x^17 - 176776580*x^16 + 60462620*x^15 + 203990012*x^14 - 118380179*x^13 - 154962720*x^12 + 122464697*x^11 + 73270522*x^10 - 75298689*x^9 - 19272849*x^8 + 27382296*x^7 + 2096190*x^6 - 5561350*x^5 + 47657*x^4 + 564351*x^3 - 19852*x^2 - 21158*x + 688, x^35 - 11*x^34 + 7*x^33 + 340*x^32 - 1039*x^31 - 4020*x^30 + 21298*x^29 + 17113*x^28 - 221976*x^27 + 88226*x^26 + 1409704*x^25 - 1605610*x^24 - 5754431*x^23 + 10311788*x^22 + 14910305*x^21 - 39526803*x^20 - 21577532*x^19 + 99713828*x^18 + 4656183*x^17 - 169737305*x^16 + 46320093*x^15 + 194021182*x^14 - 96838047*x^13 - 145375256*x^12 + 98203593*x^11 + 68699561*x^10 - 56972377*x^9 - 19602257*x^8 + 19069799*x^7 + 3281670*x^6 - 3484085*x^5 - 328253*x^4 + 289444*x^3 + 19815*x^2 - 4797*x - 182, x^34 - 10*x^33 - 2*x^32 + 329*x^31 - 721*x^30 - 4416*x^29 + 16406*x^28 + 28771*x^27 - 179882*x^26 - 56841*x^25 + 1198900*x^24 - 519264*x^23 - 5248162*x^22 + 4914143*x^21 + 15503330*x^20 - 21094066*x^19 - 30785837*x^18 + 56185062*x^17 + 39437922*x^16 - 99703562*x^15 - 28420848*x^14 + 120081410*x^13 + 4213421*x^12 - 97827955*x^11 + 11331575*x^10 + 53026976*x^9 - 10493368*x^8 - 18581265*x^7 + 4168035*x^6 + 4001998*x^5 - 797951*x^4 - 478356*x^3 + 61218*x^2 + 23696*x - 692, x^36 - 11*x^35 + 5*x^34 + 362*x^33 - 1057*x^32 - 4655*x^31 + 23319*x^30 + 23999*x^29 - 260317*x^28 + 64020*x^27 + 1782635*x^26 - 1786770*x^25 - 7967074*x^24 + 12939343*x^23 + 23346736*x^22 - 54841994*x^21 - 41994238*x^20 + 153823904*x^19 + 32319108*x^18 - 295931212*x^17 + 40142387*x^16 + 392206811*x^15 - 145896696*x^14 - 352937114*x^13 + 192666213*x^12 + 209218963*x^11 - 142983709*x^10 - 78144868*x^9 + 62448141*x^8 + 17465524*x^7 - 15511316*x^6 - 2266761*x^5 + 1995263*x^4 + 168641*x^3 - 102834*x^2 - 5493*x + 637, x^35 - 11*x^34 + 7*x^33 + 341*x^32 - 1050*x^31 - 4005*x^30 + 21551*x^29 + 16171*x^28 - 223824*x^27 + 102047*x^26 + 1408082*x^25 - 1707146*x^24 - 5645044*x^23 + 10737878*x^22 + 14131409*x^21 - 40548679*x^20 - 18692332*x^19 + 100912166*x^18 - 1831400*x^17 - 169789130*x^16 + 55749422*x^15 + 192686204*x^14 - 106516794*x^13 - 144428473*x^12 + 106391240*x^11 + 68761195*x^10 - 62917862*x^9 - 19519290*x^8 + 22050672*x^7 + 2985769*x^6 - 4320631*x^5 - 213618*x^4 + 412106*x^3 + 5415*x^2 - 12673*x + 253, x^35 - 11*x^34 + 7*x^33 + 341*x^32 - 1050*x^31 - 4005*x^30 + 21551*x^29 + 16171*x^28 - 223824*x^27 + 102047*x^26 + 1408082*x^25 - 1707146*x^24 - 5645044*x^23 + 10737878*x^22 + 14131409*x^21 - 40548679*x^20 - 18692332*x^19 + 100912166*x^18 - 1831400*x^17 - 169789130*x^16 + 55749422*x^15 + 192686204*x^14 - 106516794*x^13 - 144428473*x^12 + 106391240*x^11 + 68761195*x^10 - 62917862*x^9 - 19519290*x^8 + 22050672*x^7 + 2985769*x^6 - 4320631*x^5 - 213618*x^4 + 412106*x^3 + 5415*x^2 - 12673*x + 253, x^34 - 11*x^33 + 9*x^32 + 318*x^31 - 1016*x^30 - 3435*x^29 + 19293*x^28 + 11624*x^27 - 187249*x^26 + 97392*x^25 + 1103408*x^24 - 1360661*x^23 - 4146586*x^22 + 7822962*x^21 + 9744466*x^20 - 27243950*x^19 - 12258293*x^18 + 62359957*x^17 + 162944*x^16 - 95625002*x^15 + 26887390*x^14 + 97461536*x^13 - 46138991*x^12 - 64519186*x^11 + 39062761*x^10 + 27047459*x^9 - 18471500*x^8 - 7173664*x^7 + 4838240*x^6 + 1266093*x^5 - 650823*x^4 - 147733*x^3 + 34227*x^2 + 8089*x - 14, x^34 - 11*x^33 + 9*x^32 + 318*x^31 - 1016*x^30 - 3435*x^29 + 19293*x^28 + 11624*x^27 - 187249*x^26 + 97392*x^25 + 1103408*x^24 - 1360661*x^23 - 4146586*x^22 + 7822962*x^21 + 9744466*x^20 - 27243950*x^19 - 12258293*x^18 + 62359957*x^17 + 162944*x^16 - 95625002*x^15 + 26887390*x^14 + 97461536*x^13 - 46138991*x^12 - 64519186*x^11 + 39062761*x^10 + 27047459*x^9 - 18471500*x^8 - 7173664*x^7 + 4838240*x^6 + 1266093*x^5 - 650823*x^4 - 147733*x^3 + 34227*x^2 + 8089*x - 14, x^34 - 10*x^33 - 2*x^32 + 329*x^31 - 720*x^30 - 4425*x^29 + 16404*x^28 + 29007*x^27 - 180314*x^26 - 59347*x^25 + 1206349*x^24 - 505882*x^23 - 5307563*x^22 + 4880402*x^21 + 15778903*x^20 - 21085294*x^19 - 31585506*x^18 + 56323620*x^17 + 40933138*x^16 - 99842083*x^15 - 30284397*x^14 + 119360075*x^13 + 5953862*x^12 - 95523454*x^11 + 9794299*x^10 + 50073342*x^9 - 9228731*x^8 - 16638409*x^7 + 3492143*x^6 + 3326311*x^5 - 624314*x^4 - 356960*x^3 + 44930*x^2 + 14888*x - 557, x^34 - 10*x^33 - 2*x^32 + 329*x^31 - 720*x^30 - 4425*x^29 + 16404*x^28 + 29007*x^27 - 180314*x^26 - 59347*x^25 + 1206349*x^24 - 505882*x^23 - 5307563*x^22 + 4880402*x^21 + 15778903*x^20 - 21085294*x^19 - 31585506*x^18 + 56323620*x^17 + 40933138*x^16 - 99842083*x^15 - 30284397*x^14 + 119360075*x^13 + 5953862*x^12 - 95523454*x^11 + 9794299*x^10 + 50073342*x^9 - 9228731*x^8 - 16638409*x^7 + 3492143*x^6 + 3326311*x^5 - 624314*x^4 - 356960*x^3 + 44930*x^2 + 14888*x - 557, x^34 - 11*x^33 + 9*x^32 + 321*x^31 - 1048*x^30 - 3403*x^29 + 20089*x^28 + 9020*x^27 - 194239*x^26 + 138971*x^25 + 1115681*x^24 - 1695583*x^23 - 3907764*x^22 + 9412913*x^21 + 7523003*x^20 - 31826444*x^19 - 2565002*x^18 + 69818462*x^17 - 25326103*x^16 - 99678524*x^15 + 69664299*x^14 + 89148566*x^13 - 92228835*x^12 - 44934314*x^11 + 70271548*x^10 + 8552236*x^9 - 31168738*x^8 + 2158654*x^7 + 7698542*x^6 - 1273168*x^5 - 958843*x^4 + 193734*x^3 + 45231*x^2 - 9142*x - 80, x^34 - 11*x^33 + 9*x^32 + 321*x^31 - 1048*x^30 - 3403*x^29 + 20089*x^28 + 9020*x^27 - 194239*x^26 + 138971*x^25 + 1115681*x^24 - 1695583*x^23 - 3907764*x^22 + 9412913*x^21 + 7523003*x^20 - 31826444*x^19 - 2565002*x^18 + 69818462*x^17 - 25326103*x^16 - 99678524*x^15 + 69664299*x^14 + 89148566*x^13 - 92228835*x^12 - 44934314*x^11 + 70271548*x^10 + 8552236*x^9 - 31168738*x^8 + 2158654*x^7 + 7698542*x^6 - 1273168*x^5 - 958843*x^4 + 193734*x^3 + 45231*x^2 - 9142*x - 80, x^33 - 11*x^32 + 11*x^31 + 296*x^30 - 988*x^29 - 2901*x^28 + 17330*x^27 + 7377*x^26 - 156354*x^25 + 95924*x^24 + 857294*x^23 - 1098261*x^22 - 3007656*x^21 + 5689483*x^20 + 6691730*x^19 - 18135461*x^18 - 8493783*x^17 + 38281699*x^16 + 2837541*x^15 - 54536580*x^14 + 9029757*x^13 + 52096906*x^12 - 16276556*x^11 - 32575584*x^10 + 12750126*x^9 + 12818857*x^8 - 5210083*x^7 - 3003065*x^6 + 1025640*x^5 + 385299*x^4 - 63112*x^3 - 21947*x^2 - 2972*x + 166, x^33 - 11*x^32 + 11*x^31 + 296*x^30 - 988*x^29 - 2901*x^28 + 17330*x^27 + 7377*x^26 - 156354*x^25 + 95924*x^24 + 857294*x^23 - 1098261*x^22 - 3007656*x^21 + 5689483*x^20 + 6691730*x^19 - 18135461*x^18 - 8493783*x^17 + 38281699*x^16 + 2837541*x^15 - 54536580*x^14 + 9029757*x^13 + 52096906*x^12 - 16276556*x^11 - 32575584*x^10 + 12750126*x^9 + 12818857*x^8 - 5210083*x^7 - 3003065*x^6 + 1025640*x^5 + 385299*x^4 - 63112*x^3 - 21947*x^2 - 2972*x + 166, x^33 - 11*x^32 + 12*x^31 + 289*x^30 - 1017*x^29 - 2588*x^28 + 17397*x^27 + 1789*x^26 - 149942*x^25 + 149025*x^24 + 750551*x^23 - 1390565*x^22 - 2158183*x^21 + 6593370*x^20 + 2627509*x^19 - 19218410*x^18 + 4000544*x^17 + 35830604*x^16 - 22270244*x^15 - 42023066*x^14 + 41669299*x^13 + 28759164*x^12 - 42864276*x^11 - 9076518*x^10 + 25750751*x^9 - 390264*x^8 - 9021476*x^7 + 987488*x^6 + 1807622*x^5 - 204779*x^4 - 192105*x^3 + 10221*x^2 + 7755*x + 16, x^33 - 11*x^32 + 12*x^31 + 289*x^30 - 1017*x^29 - 2588*x^28 + 17397*x^27 + 1789*x^26 - 149942*x^25 + 149025*x^24 + 750551*x^23 - 1390565*x^22 - 2158183*x^21 + 6593370*x^20 + 2627509*x^19 - 19218410*x^18 + 4000544*x^17 + 35830604*x^16 - 22270244*x^15 - 42023066*x^14 + 41669299*x^13 + 28759164*x^12 - 42864276*x^11 - 9076518*x^10 + 25750751*x^9 - 390264*x^8 - 9021476*x^7 + 987488*x^6 + 1807622*x^5 - 204779*x^4 - 192105*x^3 + 10221*x^2 + 7755*x + 16, x^33 - 10*x^32 + 313*x^30 - 754*x^29 - 3846*x^28 + 16036*x^27 + 20038*x^26 - 164428*x^25 + 17152*x^24 + 1001944*x^23 - 883691*x^22 - 3835312*x^21 + 5834783*x^20 + 9049687*x^19 - 21044460*x^18 - 11251171*x^17 + 47599484*x^16 + 95438*x^15 - 69367907*x^14 + 23074940*x^13 + 64161632*x^12 - 36998531*x^11 - 35936586*x^10 + 28580777*x^9 + 11160653*x^8 - 11975558*x^7 - 1595046*x^6 + 2666281*x^5 + 47783*x^4 - 286738*x^3 + 6602*x^2 + 10911*x - 344, x^33 - 10*x^32 + 313*x^30 - 754*x^29 - 3846*x^28 + 16036*x^27 + 20038*x^26 - 164428*x^25 + 17152*x^24 + 1001944*x^23 - 883691*x^22 - 3835312*x^21 + 5834783*x^20 + 9049687*x^19 - 21044460*x^18 - 11251171*x^17 + 47599484*x^16 + 95438*x^15 - 69367907*x^14 + 23074940*x^13 + 64161632*x^12 - 36998531*x^11 - 35936586*x^10 + 28580777*x^9 + 11160653*x^8 - 11975558*x^7 - 1595046*x^6 + 2666281*x^5 + 47783*x^4 - 286738*x^3 + 6602*x^2 + 10911*x - 344, x^33 - 10*x^32 + x^31 + 300*x^30 - 722*x^29 - 3568*x^28 + 14503*x^27 + 18920*x^26 - 142386*x^25 - 5085*x^24 + 843363*x^23 - 549913*x^22 - 3232908*x^21 + 3684482*x^20 + 8192120*x^19 - 13003040*x^18 - 13559082*x^17 + 29013909*x^16 + 13808264*x^15 - 43041732*x^14 - 6889419*x^13 + 42951157*x^12 - 1073487*x^11 - 28482152*x^10 + 3615789*x^9 + 12109612*x^8 - 1920120*x^7 - 3151601*x^6 + 370006*x^5 + 480972*x^4 - 10216*x^3 - 35457*x^2 - 2772*x + 304, x^33 - 10*x^32 + x^31 + 300*x^30 - 722*x^29 - 3568*x^28 + 14503*x^27 + 18920*x^26 - 142386*x^25 - 5085*x^24 + 843363*x^23 - 549913*x^22 - 3232908*x^21 + 3684482*x^20 + 8192120*x^19 - 13003040*x^18 - 13559082*x^17 + 29013909*x^16 + 13808264*x^15 - 43041732*x^14 - 6889419*x^13 + 42951157*x^12 - 1073487*x^11 - 28482152*x^10 + 3615789*x^9 + 12109612*x^8 - 1920120*x^7 - 3151601*x^6 + 370006*x^5 + 480972*x^4 - 10216*x^3 - 35457*x^2 - 2772*x + 304, x^33 - 9*x^32 - 9*x^31 + 303*x^30 - 442*x^29 - 4287*x^28 + 11515*x^27 + 32050*x^26 - 130139*x^25 - 121307*x^24 + 873067*x^23 + 50551*x^22 - 3806662*x^21 + 1799589*x^20 + 11122181*x^19 - 9582082*x^18 - 21729166*x^17 + 26360130*x^16 + 27394157*x^15 - 44890210*x^14 - 20116121*x^13 + 48916324*x^12 + 5603813*x^11 - 33726688*x^10 + 2818172*x^9 + 14188580*x^8 - 2791578*x^7 - 3424502*x^6 + 849538*x^5 + 425908*x^4 - 107027*x^3 - 20320*x^2 + 4591*x + 40, x^33 - 9*x^32 - 9*x^31 + 303*x^30 - 442*x^29 - 4287*x^28 + 11515*x^27 + 32050*x^26 - 130139*x^25 - 121307*x^24 + 873067*x^23 + 50551*x^22 - 3806662*x^21 + 1799589*x^20 + 11122181*x^19 - 9582082*x^18 - 21729166*x^17 + 26360130*x^16 + 27394157*x^15 - 44890210*x^14 - 20116121*x^13 + 48916324*x^12 + 5603813*x^11 - 33726688*x^10 + 2818172*x^9 + 14188580*x^8 - 2791578*x^7 - 3424502*x^6 + 849538*x^5 + 425908*x^4 - 107027*x^3 - 20320*x^2 + 4591*x + 40, x^33 - 11*x^32 + 11*x^31 + 299*x^30 - 1020*x^29 - 2864*x^28 + 18070*x^27 + 4874*x^26 - 162262*x^25 + 132870*x^24 + 864213*x^23 - 1375516*x^22 - 2801744*x^21 + 6922646*x^20 + 5005149*x^19 - 21511622*x^18 - 1765537*x^17 + 43750476*x^16 - 13479280*x^15 - 58647428*x^14 + 34404080*x^13 + 50577835*x^12 - 41723505*x^11 - 26482271*x^10 + 28930952*x^9 + 7489364*x^8 - 11560552*x^7 - 834435*x^6 + 2512250*x^5 - 18556*x^4 - 259848*x^3 + 5763*x^2 + 8002*x - 293, x^33 - 11*x^32 + 11*x^31 + 299*x^30 - 1020*x^29 - 2864*x^28 + 18070*x^27 + 4874*x^26 - 162262*x^25 + 132870*x^24 + 864213*x^23 - 1375516*x^22 - 2801744*x^21 + 6922646*x^20 + 5005149*x^19 - 21511622*x^18 - 1765537*x^17 + 43750476*x^16 - 13479280*x^15 - 58647428*x^14 + 34404080*x^13 + 50577835*x^12 - 41723505*x^11 - 26482271*x^10 + 28930952*x^9 + 7489364*x^8 - 11560552*x^7 - 834435*x^6 + 2512250*x^5 - 18556*x^4 - 259848*x^3 + 5763*x^2 + 8002*x - 293, x^32 - 11*x^31 + 15*x^30 + 257*x^29 - 976*x^28 - 1868*x^27 + 14746*x^26 - 3170*x^25 - 111451*x^24 + 138876*x^23 + 474881*x^22 - 1024890*x^21 - 1077839*x^20 + 4040306*x^19 + 618117*x^18 - 9708984*x^17 + 3233071*x^16 + 14590623*x^15 - 9445031*x^14 - 13599330*x^13 + 11799038*x^12 + 7963579*x^11 - 7717573*x^10 - 3519696*x^9 + 2660911*x^8 + 1600663*x^7 - 492751*x^6 - 592624*x^5 + 65939*x^4 + 106502*x^3 - 5737*x^2 - 5716*x + 127, x^32 - 11*x^31 + 15*x^30 + 257*x^29 - 976*x^28 - 1868*x^27 + 14746*x^26 - 3170*x^25 - 111451*x^24 + 138876*x^23 + 474881*x^22 - 1024890*x^21 - 1077839*x^20 + 4040306*x^19 + 618117*x^18 - 9708984*x^17 + 3233071*x^16 + 14590623*x^15 - 9445031*x^14 - 13599330*x^13 + 11799038*x^12 + 7963579*x^11 - 7717573*x^10 - 3519696*x^9 + 2660911*x^8 + 1600663*x^7 - 492751*x^6 - 592624*x^5 + 65939*x^4 + 106502*x^3 - 5737*x^2 - 5716*x + 127, x^32 - 11*x^31 + 13*x^30 + 277*x^29 - 987*x^28 - 2379*x^27 + 16149*x^26 + 1702*x^25 - 134663*x^24 + 123524*x^23 + 664049*x^22 - 1108589*x^21 - 1974897*x^20 + 5068183*x^19 + 3146393*x^18 - 14369274*x^17 - 558474*x^16 + 26497799*x^15 - 8412602*x^14 - 31765300*x^13 + 18063397*x^12 + 23980023*x^11 - 18595062*x^10 - 10708906*x^9 + 10600506*x^8 + 2569936*x^7 - 3319849*x^6 - 288170*x^5 + 521772*x^4 + 19284*x^3 - 31462*x^2 - 2207*x - 113, x^32 - 11*x^31 + 13*x^30 + 277*x^29 - 987*x^28 - 2379*x^27 + 16149*x^26 + 1702*x^25 - 134663*x^24 + 123524*x^23 + 664049*x^22 - 1108589*x^21 - 1974897*x^20 + 5068183*x^19 + 3146393*x^18 - 14369274*x^17 - 558474*x^16 + 26497799*x^15 - 8412602*x^14 - 31765300*x^13 + 18063397*x^12 + 23980023*x^11 - 18595062*x^10 - 10708906*x^9 + 10600506*x^8 + 2569936*x^7 - 3319849*x^6 - 288170*x^5 + 521772*x^4 + 19284*x^3 - 31462*x^2 - 2207*x - 113, x^32 - 9*x^31 - 6*x^30 + 275*x^29 - 445*x^28 - 3510*x^27 + 9900*x^26 + 23357*x^25 - 99789*x^24 - 75205*x^23 + 599513*x^22 - 12521*x^21 - 2330108*x^20 + 1142447*x^19 + 6010190*x^18 - 4955289*x^17 - 10229728*x^16 + 11291962*x^15 + 11129622*x^14 - 15426925*x^13 - 7337659*x^12 + 12662211*x^11 + 2924352*x^10 - 5928781*x^9 - 1099042*x^8 + 1440880*x^7 + 578923*x^6 - 136906*x^5 - 194314*x^4 - 12506*x^3 + 25732*x^2 + 3729*x - 362, x^32 - 9*x^31 - 6*x^30 + 275*x^29 - 445*x^28 - 3510*x^27 + 9900*x^26 + 23357*x^25 - 99789*x^24 - 75205*x^23 + 599513*x^22 - 12521*x^21 - 2330108*x^20 + 1142447*x^19 + 6010190*x^18 - 4955289*x^17 - 10229728*x^16 + 11291962*x^15 + 11129622*x^14 - 15426925*x^13 - 7337659*x^12 + 12662211*x^11 + 2924352*x^10 - 5928781*x^9 - 1099042*x^8 + 1440880*x^7 + 578923*x^6 - 136906*x^5 - 194314*x^4 - 12506*x^3 + 25732*x^2 + 3729*x - 362, 2*x^32 - 20*x^31 + 5*x^30 + 572*x^29 - 1451*x^28 - 6325*x^27 + 27407*x^26 + 28276*x^25 - 253068*x^24 + 45301*x^23 + 1388890*x^22 - 1217071*x^21 - 4786849*x^20 + 6883093*x^19 + 10248647*x^18 - 21574064*x^17 - 12203460*x^16 + 42309974*x^15 + 3652287*x^14 - 53275447*x^13 + 10612374*x^12 + 42780457*x^11 - 16236362*x^10 - 21508942*x^9 + 10549066*x^8 + 6720272*x^7 - 3609541*x^6 - 1333966*x^5 + 653032*x^4 + 170460*x^3 - 52204*x^2 - 11802*x + 376, 2*x^32 - 20*x^31 + 5*x^30 + 572*x^29 - 1451*x^28 - 6325*x^27 + 27407*x^26 + 28276*x^25 - 253068*x^24 + 45301*x^23 + 1388890*x^22 - 1217071*x^21 - 4786849*x^20 + 6883093*x^19 + 10248647*x^18 - 21574064*x^17 - 12203460*x^16 + 42309974*x^15 + 3652287*x^14 - 53275447*x^13 + 10612374*x^12 + 42780457*x^11 - 16236362*x^10 - 21508942*x^9 + 10549066*x^8 + 6720272*x^7 - 3609541*x^6 - 1333966*x^5 + 653032*x^4 + 170460*x^3 - 52204*x^2 - 11802*x + 376, x^32 - 8*x^31 - 17*x^30 + 288*x^29 - 169*x^28 - 4493*x^27 + 7567*x^26 + 39260*x^25 - 98639*x^24 - 205024*x^23 + 723407*x^22 + 604242*x^21 - 3394759*x^20 - 570982*x^19 + 10647386*x^18 - 2644922*x^17 - 22534539*x^16 + 12114267*x^15 + 31789351*x^14 - 24167506*x^13 - 28929864*x^12 + 27701401*x^11 + 16049728*x^10 - 18817474*x^9 - 4999076*x^8 + 7332055*x^7 + 830147*x^6 - 1524596*x^5 - 105733*x^4 + 150117*x^3 + 13434*x^2 - 4607*x - 320, x^32 - 8*x^31 - 17*x^30 + 288*x^29 - 169*x^28 - 4493*x^27 + 7567*x^26 + 39260*x^25 - 98639*x^24 - 205024*x^23 + 723407*x^22 + 604242*x^21 - 3394759*x^20 - 570982*x^19 + 10647386*x^18 - 2644922*x^17 - 22534539*x^16 + 12114267*x^15 + 31789351*x^14 - 24167506*x^13 - 28929864*x^12 + 27701401*x^11 + 16049728*x^10 - 18817474*x^9 - 4999076*x^8 + 7332055*x^7 + 830147*x^6 - 1524596*x^5 - 105733*x^4 + 150117*x^3 + 13434*x^2 - 4607*x - 320, x^32 - 9*x^31 - 8*x^30 + 297*x^29 - 477*x^28 - 3987*x^27 + 11668*x^26 + 26796*x^25 - 124441*x^24 - 75833*x^23 + 778531*x^22 - 159404*x^21 - 3120815*x^20 + 2240234*x^19 + 8252931*x^18 - 9274983*x^17 - 14308914*x^16 + 22107904*x^15 + 15466519*x^14 - 33580033*x^13 - 8759294*x^12 + 33126417*x^11 + 223385*x^10 - 20921012*x^9 + 2930186*x^8 + 8159519*x^7 - 1703317*x^6 - 1865030*x^5 + 386587*x^4 + 230343*x^3 - 32224*x^2 - 11846*x + 346, x^32 - 9*x^31 - 8*x^30 + 297*x^29 - 477*x^28 - 3987*x^27 + 11668*x^26 + 26796*x^25 - 124441*x^24 - 75833*x^23 + 778531*x^22 - 159404*x^21 - 3120815*x^20 + 2240234*x^19 + 8252931*x^18 - 9274983*x^17 - 14308914*x^16 + 22107904*x^15 + 15466519*x^14 - 33580033*x^13 - 8759294*x^12 + 33126417*x^11 + 223385*x^10 - 20921012*x^9 + 2930186*x^8 + 8159519*x^7 - 1703317*x^6 - 1865030*x^5 + 386587*x^4 + 230343*x^3 - 32224*x^2 - 11846*x + 346, x^32 - 9*x^31 - 7*x^30 + 285*x^29 - 450*x^28 - 3762*x^27 + 10521*x^26 + 25986*x^25 - 109918*x^24 - 89332*x^23 + 685765*x^22 + 21151*x^21 - 2799934*x^20 + 1199161*x^19 + 7777777*x^18 - 5735647*x^17 - 14921414*x^16 + 14490377*x^15 + 19742691*x^14 - 23133471*x^13 - 17639723*x^12 + 24260845*x^11 + 10057852*x^10 - 16454788*x^9 - 3240455*x^8 + 6766536*x^7 + 487404*x^6 - 1511373*x^5 - 38934*x^4 + 151043*x^3 + 4502*x^2 - 2782*x + 181, x^32 - 9*x^31 - 7*x^30 + 285*x^29 - 450*x^28 - 3762*x^27 + 10521*x^26 + 25986*x^25 - 109918*x^24 - 89332*x^23 + 685765*x^22 + 21151*x^21 - 2799934*x^20 + 1199161*x^19 + 7777777*x^18 - 5735647*x^17 - 14921414*x^16 + 14490377*x^15 + 19742691*x^14 - 23133471*x^13 - 17639723*x^12 + 24260845*x^11 + 10057852*x^10 - 16454788*x^9 - 3240455*x^8 + 6766536*x^7 + 487404*x^6 - 1511373*x^5 - 38934*x^4 + 151043*x^3 + 4502*x^2 - 2782*x + 181, x^32 - 11*x^31 + 13*x^30 + 280*x^29 - 1020*x^28 - 2322*x^27 + 16777*x^26 - 903*x^25 - 137720*x^24 + 154876*x^23 + 646684*x^22 - 1291999*x^21 - 1705058*x^20 + 5633255*x^19 + 1774272*x^18 - 15140135*x^17 + 3161416*x^16 + 26187872*x^15 - 14186542*x^14 - 29264962*x^13 + 23106702*x^12 + 20761549*x^11 - 20937530*x^10 - 9022378*x^9 + 11184588*x^8 + 2259638*x^7 - 3410848*x^6 - 311910*x^5 + 529489*x^4 + 27653*x^3 - 30103*x^2 - 1442*x - 113, x^32 - 11*x^31 + 13*x^30 + 280*x^29 - 1020*x^28 - 2322*x^27 + 16777*x^26 - 903*x^25 - 137720*x^24 + 154876*x^23 + 646684*x^22 - 1291999*x^21 - 1705058*x^20 + 5633255*x^19 + 1774272*x^18 - 15140135*x^17 + 3161416*x^16 + 26187872*x^15 - 14186542*x^14 - 29264962*x^13 + 23106702*x^12 + 20761549*x^11 - 20937530*x^10 - 9022378*x^9 + 11184588*x^8 + 2259638*x^7 - 3410848*x^6 - 311910*x^5 + 529489*x^4 + 27653*x^3 - 30103*x^2 - 1442*x - 113, x^32 - 11*x^31 + 15*x^30 + 259*x^29 - 999*x^28 - 1824*x^27 + 15200*x^26 - 5198*x^25 - 113748*x^24 + 165191*x^23 + 459336*x^22 - 1198268*x^21 - 812796*x^20 + 4681567*x^19 - 974807*x^18 - 10927851*x^17 + 8685407*x^16 + 14843224*x^15 - 21073677*x^14 - 9305769*x^13 + 27398628*x^12 - 2309506*x^11 - 20403066*x^10 + 7959506*x^9 + 8423598*x^8 - 5252727*x^7 - 1775444*x^6 + 1566522*x^5 + 169506*x^4 - 215624*x^3 - 7126*x^2 + 10291*x + 193, x^32 - 11*x^31 + 15*x^30 + 259*x^29 - 999*x^28 - 1824*x^27 + 15200*x^26 - 5198*x^25 - 113748*x^24 + 165191*x^23 + 459336*x^22 - 1198268*x^21 - 812796*x^20 + 4681567*x^19 - 974807*x^18 - 10927851*x^17 + 8685407*x^16 + 14843224*x^15 - 21073677*x^14 - 9305769*x^13 + 27398628*x^12 - 2309506*x^11 - 20403066*x^10 + 7959506*x^9 + 8423598*x^8 - 5252727*x^7 - 1775444*x^6 + 1566522*x^5 + 169506*x^4 - 215624*x^3 - 7126*x^2 + 10291*x + 193, 3*x^31 - 30*x^30 + 13*x^29 + 804*x^28 - 2144*x^27 - 8185*x^26 + 37513*x^25 + 30892*x^24 - 323838*x^23 + 99043*x^22 + 1657624*x^21 - 1618916*x^20 - 5285394*x^19 + 8150891*x^18 + 10290696*x^17 - 23281757*x^16 - 10616061*x^15 + 41548114*x^14 + 1270643*x^13 - 47072605*x^12 + 10267802*x^11 + 33355474*x^10 - 12070911*x^9 - 14377664*x^8 + 6085433*x^7 + 3679991*x^6 - 1438048*x^5 - 550698*x^4 + 129712*x^3 + 40995*x^2 + 571*x - 32, 3*x^31 - 30*x^30 + 13*x^29 + 804*x^28 - 2144*x^27 - 8185*x^26 + 37513*x^25 + 30892*x^24 - 323838*x^23 + 99043*x^22 + 1657624*x^21 - 1618916*x^20 - 5285394*x^19 + 8150891*x^18 + 10290696*x^17 - 23281757*x^16 - 10616061*x^15 + 41548114*x^14 + 1270643*x^13 - 47072605*x^12 + 10267802*x^11 + 33355474*x^10 - 12070911*x^9 - 14377664*x^8 + 6085433*x^7 + 3679991*x^6 - 1438048*x^5 - 550698*x^4 + 129712*x^3 + 40995*x^2 + 571*x - 32, x^31 - 9*x^30 - x^29 + 229*x^28 - 440*x^27 - 2362*x^26 + 7390*x^25 + 12060*x^24 - 58575*x^23 - 25672*x^22 + 272193*x^21 - 30261*x^20 - 788219*x^19 + 275586*x^18 + 1436158*x^17 - 409319*x^16 - 1666511*x^15 - 610864*x^14 + 1498638*x^13 + 2939278*x^12 - 1708819*x^11 - 4299586*x^10 + 1981696*x^9 + 3159470*x^8 - 1368101*x^7 - 1269550*x^6 + 478347*x^5 + 271901*x^4 - 72337*x^3 - 24764*x^2 + 2528*x - 134, x^31 - 9*x^30 - x^29 + 229*x^28 - 440*x^27 - 2362*x^26 + 7390*x^25 + 12060*x^24 - 58575*x^23 - 25672*x^22 + 272193*x^21 - 30261*x^20 - 788219*x^19 + 275586*x^18 + 1436158*x^17 - 409319*x^16 - 1666511*x^15 - 610864*x^14 + 1498638*x^13 + 2939278*x^12 - 1708819*x^11 - 4299586*x^10 + 1981696*x^9 + 3159470*x^8 - 1368101*x^7 - 1269550*x^6 + 478347*x^5 + 271901*x^4 - 72337*x^3 - 24764*x^2 + 2528*x - 134, x^31 - 9*x^30 - 5*x^29 + 267*x^28 - 450*x^27 - 3312*x^26 + 9582*x^25 + 21494*x^24 - 94280*x^23 - 68093*x^22 + 559215*x^21 - 7524*x^20 - 2173355*x^19 + 991312*x^18 + 5694089*x^17 - 4353217*x^16 - 10035769*x^15 + 10146151*x^14 + 11569773*x^13 - 14399694*x^12 - 8235653*x^11 + 12552022*x^10 + 3290508*x^9 - 6470358*x^8 - 653682*x^7 + 1846654*x^6 + 63161*x^5 - 252847*x^4 - 7662*x^3 + 11677*x^2 + 261*x - 326, x^31 - 9*x^30 - 5*x^29 + 267*x^28 - 450*x^27 - 3312*x^26 + 9582*x^25 + 21494*x^24 - 94280*x^23 - 68093*x^22 + 559215*x^21 - 7524*x^20 - 2173355*x^19 + 991312*x^18 + 5694089*x^17 - 4353217*x^16 - 10035769*x^15 + 10146151*x^14 + 11569773*x^13 - 14399694*x^12 - 8235653*x^11 + 12552022*x^10 + 3290508*x^9 - 6470358*x^8 - 653682*x^7 + 1846654*x^6 + 63161*x^5 - 252847*x^4 - 7662*x^3 + 11677*x^2 + 261*x - 326, x^31 - 10*x^30 + 6*x^29 + 255*x^28 - 731*x^27 - 2363*x^26 + 12109*x^25 + 6106*x^24 - 98965*x^23 + 57765*x^22 + 473544*x^21 - 613776*x^20 - 1371982*x^19 + 2774875*x^18 + 2241220*x^17 - 7430683*x^16 - 1214374*x^15 + 12625129*x^14 - 2536133*x^13 - 13717189*x^12 + 5917147*x^11 + 9314656*x^10 - 5440128*x^9 - 3778563*x^8 + 2543916*x^7 + 868241*x^6 - 567029*x^5 - 113168*x^4 + 39312*x^3 + 8063*x^2 + 2598*x + 160, x^31 - 10*x^30 + 6*x^29 + 255*x^28 - 731*x^27 - 2363*x^26 + 12109*x^25 + 6106*x^24 - 98965*x^23 + 57765*x^22 + 473544*x^21 - 613776*x^20 - 1371982*x^19 + 2774875*x^18 + 2241220*x^17 - 7430683*x^16 - 1214374*x^15 + 12625129*x^14 - 2536133*x^13 - 13717189*x^12 + 5917147*x^11 + 9314656*x^10 - 5440128*x^9 - 3778563*x^8 + 2543916*x^7 + 868241*x^6 - 567029*x^5 - 113168*x^4 + 39312*x^3 + 8063*x^2 + 2598*x + 160, x^31 - 8*x^30 - 15*x^29 + 280*x^28 - 274*x^27 - 3901*x^26 + 8748*x^25 + 27205*x^24 - 96282*x^23 - 87987*x^22 + 582806*x^21 - 24993*x^20 - 2151216*x^19 + 1328425*x^18 + 4926350*x^17 - 5297464*x^16 - 6645537*x^15 + 10778099*x^14 + 4155441*x^13 - 12457268*x^12 + 866341*x^11 + 7729757*x^10 - 2919378*x^9 - 1926391*x^8 + 1488799*x^7 - 181726*x^6 - 237908*x^5 + 152719*x^4 + 5059*x^3 - 19908*x^2 - 153*x + 358, x^31 - 8*x^30 - 15*x^29 + 280*x^28 - 274*x^27 - 3901*x^26 + 8748*x^25 + 27205*x^24 - 96282*x^23 - 87987*x^22 + 582806*x^21 - 24993*x^20 - 2151216*x^19 + 1328425*x^18 + 4926350*x^17 - 5297464*x^16 - 6645537*x^15 + 10778099*x^14 + 4155441*x^13 - 12457268*x^12 + 866341*x^11 + 7729757*x^10 - 2919378*x^9 - 1926391*x^8 + 1488799*x^7 - 181726*x^6 - 237908*x^5 + 152719*x^4 + 5059*x^3 - 19908*x^2 - 153*x + 358, x^31 - 8*x^30 - 13*x^29 + 256*x^28 - 220*x^27 - 3455*x^26 + 6482*x^25 + 25671*x^24 - 68266*x^23 - 114701*x^22 + 411823*x^21 + 314613*x^20 - 1613504*x^19 - 510384*x^18 + 4373315*x^17 + 397882*x^16 - 8555950*x^15 + 165570*x^14 + 12383167*x^13 - 1050589*x^12 - 13129506*x^11 + 1969512*x^10 + 9598544*x^9 - 2102621*x^8 - 4359012*x^7 + 1152824*x^6 + 1102433*x^5 - 290995*x^4 - 136325*x^3 + 28173*x^2 + 5735*x - 485, x^31 - 8*x^30 - 13*x^29 + 256*x^28 - 220*x^27 - 3455*x^26 + 6482*x^25 + 25671*x^24 - 68266*x^23 - 114701*x^22 + 411823*x^21 + 314613*x^20 - 1613504*x^19 - 510384*x^18 + 4373315*x^17 + 397882*x^16 - 8555950*x^15 + 165570*x^14 + 12383167*x^13 - 1050589*x^12 - 13129506*x^11 + 1969512*x^10 + 9598544*x^9 - 2102621*x^8 - 4359012*x^7 + 1152824*x^6 + 1102433*x^5 - 290995*x^4 - 136325*x^3 + 28173*x^2 + 5735*x - 485, x^31 - 10*x^30 + 5*x^29 + 272*x^28 - 810*x^27 - 2522*x^26 + 14332*x^25 + 3117*x^24 - 120192*x^23 + 120258*x^22 + 554836*x^21 - 1098457*x^20 - 1327361*x^19 + 4815103*x^18 + 604985*x^17 - 12438526*x^16 + 5608617*x^15 + 19546242*x^14 - 17093211*x^13 - 17916930*x^12 + 23978323*x^11 + 8126345*x^10 - 18694404*x^9 - 445896*x^8 + 8219304*x^7 - 1013831*x^6 - 1954923*x^5 + 322796*x^4 + 229690*x^3 - 27251*x^2 - 9735*x - 146, x^31 - 10*x^30 + 5*x^29 + 272*x^28 - 810*x^27 - 2522*x^26 + 14332*x^25 + 3117*x^24 - 120192*x^23 + 120258*x^22 + 554836*x^21 - 1098457*x^20 - 1327361*x^19 + 4815103*x^18 + 604985*x^17 - 12438526*x^16 + 5608617*x^15 + 19546242*x^14 - 17093211*x^13 - 17916930*x^12 + 23978323*x^11 + 8126345*x^10 - 18694404*x^9 - 445896*x^8 + 8219304*x^7 - 1013831*x^6 - 1954923*x^5 + 322796*x^4 + 229690*x^3 - 27251*x^2 - 9735*x - 146, x^31 - 9*x^30 - 5*x^29 + 270*x^28 - 483*x^27 - 3255*x^26 + 10210*x^25 + 18889*x^24 - 97337*x^23 - 36741*x^22 + 541850*x^21 - 190934*x^20 - 1903516*x^19 + 1556384*x^18 + 4321968*x^17 - 5124078*x^16 - 6315879*x^15 + 9836224*x^14 + 5795833*x^13 - 11899356*x^12 - 3192348*x^11 + 9333548*x^10 + 948040*x^9 - 4783830*x^8 - 69600*x^7 + 1536356*x^6 - 27838*x^5 - 276587*x^4 + 55*x^3 + 20046*x^2 + 1620*x + 439, x^31 - 9*x^30 - 5*x^29 + 270*x^28 - 483*x^27 - 3255*x^26 + 10210*x^25 + 18889*x^24 - 97337*x^23 - 36741*x^22 + 541850*x^21 - 190934*x^20 - 1903516*x^19 + 1556384*x^18 + 4321968*x^17 - 5124078*x^16 - 6315879*x^15 + 9836224*x^14 + 5795833*x^13 - 11899356*x^12 - 3192348*x^11 + 9333548*x^10 + 948040*x^9 - 4783830*x^8 - 69600*x^7 + 1536356*x^6 - 27838*x^5 - 276587*x^4 + 55*x^3 + 20046*x^2 + 1620*x + 439, x^31 - 10*x^30 + 8*x^29 + 236*x^28 - 726*x^27 - 1887*x^26 + 11001*x^25 + 1429*x^24 - 81039*x^23 + 78205*x^22 + 331324*x^21 - 622163*x^20 - 694562*x^19 + 2432880*x^18 + 160248*x^17 - 5625495*x^16 + 3021664*x^15 + 7793545*x^14 - 8276095*x^13 - 5814736*x^12 + 11052637*x^11 + 1086303*x^10 - 8436443*x^9 + 1635573*x^8 + 3699675*x^7 - 1279034*x^6 - 904696*x^5 + 353630*x^4 + 123010*x^3 - 36467*x^2 - 8380*x + 325, x^31 - 10*x^30 + 8*x^29 + 236*x^28 - 726*x^27 - 1887*x^26 + 11001*x^25 + 1429*x^24 - 81039*x^23 + 78205*x^22 + 331324*x^21 - 622163*x^20 - 694562*x^19 + 2432880*x^18 + 160248*x^17 - 5625495*x^16 + 3021664*x^15 + 7793545*x^14 - 8276095*x^13 - 5814736*x^12 + 11052637*x^11 + 1086303*x^10 - 8436443*x^9 + 1635573*x^8 + 3699675*x^7 - 1279034*x^6 - 904696*x^5 + 353630*x^4 + 123010*x^3 - 36467*x^2 - 8380*x + 325, 3*x^30 - 28*x^29 + x^28 + 747*x^27 - 1677*x^26 - 7705*x^25 + 29592*x^24 + 33206*x^23 - 248270*x^22 + 21269*x^21 + 1216691*x^20 - 921326*x^19 - 3680048*x^18 + 4697371*x^17 + 6774783*x^16 - 12658296*x^15 - 6748660*x^14 + 20584244*x^13 + 1570939*x^12 - 20582514*x^11 + 3840278*x^10 + 12370471*x^9 - 4278027*x^8 - 4245611*x^7 + 1884579*x^6 + 742031*x^5 - 369292*x^4 - 50533*x^3 + 25997*x^2 - 231*x - 47, 3*x^30 - 28*x^29 + x^28 + 747*x^27 - 1677*x^26 - 7705*x^25 + 29592*x^24 + 33206*x^23 - 248270*x^22 + 21269*x^21 + 1216691*x^20 - 921326*x^19 - 3680048*x^18 + 4697371*x^17 + 6774783*x^16 - 12658296*x^15 - 6748660*x^14 + 20584244*x^13 + 1570939*x^12 - 20582514*x^11 + 3840278*x^10 + 12370471*x^9 - 4278027*x^8 - 4245611*x^7 + 1884579*x^6 + 742031*x^5 - 369292*x^4 - 50533*x^3 + 25997*x^2 - 231*x - 47, 2*x^30 - 16*x^29 - 26*x^28 + 526*x^27 - 558*x^26 - 6981*x^25 + 16099*x^24 + 46421*x^23 - 170053*x^22 - 137782*x^21 + 999860*x^20 - 123590*x^19 - 3602167*x^18 + 2541361*x^17 + 8072696*x^16 - 9663294*x^15 - 10700214*x^14 + 19624127*x^13 + 6686357*x^12 - 23687841*x^11 + 1156823*x^10 + 17012925*x^9 - 4600857*x^8 - 6973144*x^7 + 2734959*x^6 + 1539402*x^5 - 653429*x^4 - 177914*x^3 + 56835*x^2 + 9676*x - 212, 2*x^30 - 16*x^29 - 26*x^28 + 526*x^27 - 558*x^26 - 6981*x^25 + 16099*x^24 + 46421*x^23 - 170053*x^22 - 137782*x^21 + 999860*x^20 - 123590*x^19 - 3602167*x^18 + 2541361*x^17 + 8072696*x^16 - 9663294*x^15 - 10700214*x^14 + 19624127*x^13 + 6686357*x^12 - 23687841*x^11 + 1156823*x^10 + 17012925*x^9 - 4600857*x^8 - 6973144*x^7 + 2734959*x^6 + 1539402*x^5 - 653429*x^4 - 177914*x^3 + 56835*x^2 + 9676*x - 212]>
       ]
>;

MOG[827] := 	// J_0(827)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 74, 154, 162, 245, 248, 312, 393, 434, 527, 533, 598, 762, 765, 53*x + 169, 774*x + 169, 507*x + 599, 320*x + 599, 568*x + 487, 259*x + 487, 65*x + 491, 762*x + 491, 58*x + 300, 769*x + 300, 753*x + 761, 74*x + 761, 440*x + 811, 387*x + 811, 70*x + 119, 757*x + 119, 98*x + 386, 729*x + 386, 819*x + 558, 8*x + 558, 19*x + 148, 808*x + 148, 205*x + 429, 622*x + 429, 557*x + 67, 270*x + 67, 448*x + 176, 379*x + 176, 105*x + 583, 722*x + 583, 333*x + 365, 494*x + 365, 563*x + 96, 264*x + 96, 367*x + 668, 460*x + 668, 249*x + 235, 578*x + 235, 763*x + 67, 64*x + 67, 372*x + 209, 455*x + 209, 61*x + 316, 766*x + 316, 132*x + 597, 695*x + 597, 531*x + 427, 296*x + 427, 495*x + 70, 332*x + 70, 266*x + 795, 561*x + 795, 760*x + 359, 67*x + 359, 487*x + 329, 340*x + 329]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, 1, -1, -1, 1, 1, -1, 0, 0, 1, -1, -1, 1, 0, 0, -1, 1, 0, 0, 1, -1, 0, 0, -2, 2, 1, -1, -1, 1, 0, 0, 0, 0, 0, 0, -1, 1, -1, 1, 0, 0, 1, -1, -1, 1, 0, 0, 1, -1, 1, -1, -1, 1, 1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^3 - 4*x + 2,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, -1, x - 1, -x + 1, 1, -1, -x + 1, x - 1, x^2 - 2, -x^2 + 2, x - 1, -x + 1, -1, 1, -x^2 + 2, x^2 - 2, x - 1, -x + 1, 0, 0, -x + 1, x - 1, x^2 - 2, -x^2 + 2, 0, 0, -1, 1, -x + 1, x - 1, 0, 0, -x + 2, x - 2, 0, 0, -x^2 + 1, x^2 - 1, x - 1, -x + 1, x, -x, -x + 1, x - 1, -1, 1, 0, 0, -x^2 + x + 1, x^2 - x - 1, 1, -1, -x + 1, x - 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^24 + 5*x^23 - 21*x^22 - 139*x^21 + 130*x^20 + 1615*x^19 + 267*x^18 - 10209*x^17 - 7579*x^16 + 38252*x^15 + 43630*x^14 - 86370*x^13 - 130579*x^12 + 112356*x^11 + 228871*x^10 - 68769*x^9 - 238618*x^8 - 6368*x^7 + 142232*x^6 + 34813*x^5 - 42754*x^4 - 18450*x^3 + 3909*x^2 + 3197*x + 451,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x^23 + 4*x^22 - 24*x^21 - 111*x^20 + 219*x^19 + 1293*x^18 - 847*x^17 - 8257*x^16 + 130*x^15 + 31718*x^14 + 11166*x^13 - 75807*x^12 - 44396*x^11 + 112947*x^10 + 84565*x^9 - 102222*x^8 - 90567*x^7 + 51991*x^6 + 55214*x^5 - 11480*x^4 - 17852*x^3 - 547*x^2 + 2378*x + 470, -x^23 - 4*x^22 + 24*x^21 + 111*x^20 - 219*x^19 - 1293*x^18 + 847*x^17 + 8257*x^16 - 130*x^15 - 31718*x^14 - 11166*x^13 + 75807*x^12 + 44396*x^11 - 112947*x^10 - 84565*x^9 + 102222*x^8 + 90567*x^7 - 51991*x^6 - 55214*x^5 + 11480*x^4 + 17852*x^3 + 547*x^2 - 2378*x - 470, x^22 + 4*x^21 - 22*x^20 - 103*x^19 + 179*x^18 + 1104*x^17 - 556*x^16 - 6410*x^15 - 643*x^14 + 21975*x^13 + 10020*x^12 - 45429*x^11 - 31607*x^10 + 55321*x^9 + 49276*x^8 - 36430*x^7 - 41097*x^6 + 9485*x^5 + 17234*x^4 + 1308*x^3 - 2732*x^2 - 827*x - 63, -x^22 - 4*x^21 + 22*x^20 + 103*x^19 - 179*x^18 - 1104*x^17 + 556*x^16 + 6410*x^15 + 643*x^14 - 21975*x^13 - 10020*x^12 + 45429*x^11 + 31607*x^10 - 55321*x^9 - 49276*x^8 + 36430*x^7 + 41097*x^6 - 9485*x^5 - 17234*x^4 - 1308*x^3 + 2732*x^2 + 827*x + 63, -x^23 - 4*x^22 + 24*x^21 + 111*x^20 - 219*x^19 - 1293*x^18 + 848*x^17 + 8265*x^16 - 124*x^15 - 31821*x^14 - 11412*x^13 + 76163*x^12 + 46020*x^11 - 112699*x^10 - 88774*x^9 + 98775*x^8 + 94789*x^7 - 45921*x^6 - 55778*x^5 + 7668*x^4 + 16595*x^3 + 1201*x^2 - 1900*x - 388, x^23 + 4*x^22 - 24*x^21 - 111*x^20 + 219*x^19 + 1293*x^18 - 848*x^17 - 8265*x^16 + 124*x^15 + 31821*x^14 + 11412*x^13 - 76163*x^12 - 46020*x^11 + 112699*x^10 + 88774*x^9 - 98775*x^8 - 94789*x^7 + 45921*x^6 + 55778*x^5 - 7668*x^4 - 16595*x^3 - 1201*x^2 + 1900*x + 388, x^21 + 4*x^20 - 20*x^19 - 94*x^18 + 148*x^17 + 918*x^16 - 431*x^15 - 4874*x^14 - 271*x^13 + 15447*x^12 + 5410*x^11 - 30163*x^10 - 16104*x^9 + 35983*x^8 + 23910*x^7 - 24728*x^6 - 19487*x^5 + 8200*x^4 + 8256*x^3 - 440*x^2 - 1419*x - 261, -x^21 - 4*x^20 + 20*x^19 + 94*x^18 - 148*x^17 - 918*x^16 + 431*x^15 + 4874*x^14 + 271*x^13 - 15447*x^12 - 5410*x^11 + 30163*x^10 + 16104*x^9 - 35983*x^8 - 23910*x^7 + 24728*x^6 + 19487*x^5 - 8200*x^4 - 8256*x^3 + 440*x^2 + 1419*x + 261, x^21 + 4*x^20 - 20*x^19 - 95*x^18 + 143*x^17 + 929*x^16 - 342*x^15 - 4869*x^14 - 875*x^13 + 14931*x^12 + 7379*x^11 - 27463*x^10 - 19185*x^9 + 29809*x^8 + 25560*x^7 - 17778*x^6 - 18493*x^5 + 4588*x^4 + 6864*x^3 + 160*x^2 - 1022*x - 209, -x^21 - 4*x^20 + 20*x^19 + 95*x^18 - 143*x^17 - 929*x^16 + 342*x^15 + 4869*x^14 + 875*x^13 - 14931*x^12 - 7379*x^11 + 27463*x^10 + 19185*x^9 - 29809*x^8 - 25560*x^7 + 17778*x^6 + 18493*x^5 - 4588*x^4 - 6864*x^3 - 160*x^2 + 1022*x + 209, -x^22 - 4*x^21 + 22*x^20 + 103*x^19 - 178*x^18 - 1097*x^17 + 554*x^16 + 6301*x^15 + 500*x^14 - 21373*x^13 - 8752*x^12 + 44053*x^11 + 27150*x^10 - 54559*x^9 - 41607*x^8 + 38278*x^7 + 34463*x^6 - 12733*x^5 - 14679*x^4 + 603*x^3 + 2556*x^2 + 431*x - 19, x^22 + 4*x^21 - 22*x^20 - 103*x^19 + 178*x^18 + 1097*x^17 - 554*x^16 - 6301*x^15 - 500*x^14 + 21373*x^13 + 8752*x^12 - 44053*x^11 - 27150*x^10 + 54559*x^9 + 41607*x^8 - 38278*x^7 - 34463*x^6 + 12733*x^5 + 14679*x^4 - 603*x^3 - 2556*x^2 - 431*x + 19, x^20 + 4*x^19 - 17*x^18 - 82*x^17 + 98*x^16 + 678*x^15 - 143*x^14 - 2935*x^13 - 775*x^12 + 7187*x^11 + 3922*x^10 - 9979*x^9 - 7511*x^8 + 7315*x^7 + 7176*x^6 - 2116*x^5 - 3322*x^4 - 253*x^3 + 557*x^2 + 188*x + 19, -x^20 - 4*x^19 + 17*x^18 + 82*x^17 - 98*x^16 - 678*x^15 + 143*x^14 + 2935*x^13 + 775*x^12 - 7187*x^11 - 3922*x^10 + 9979*x^9 + 7511*x^8 - 7315*x^7 - 7176*x^6 + 2116*x^5 + 3322*x^4 + 253*x^3 - 557*x^2 - 188*x - 19, x^20 + 5*x^19 - 14*x^18 - 104*x^17 + 27*x^16 + 858*x^15 + 515*x^14 - 3593*x^13 - 3835*x^12 + 8079*x^11 + 11581*x^10 - 9359*x^9 - 17855*x^8 + 4387*x^7 + 14434*x^6 + 831*x^5 - 5656*x^4 - 1495*x^3 + 756*x^2 + 378*x + 44, -x^20 - 5*x^19 + 14*x^18 + 104*x^17 - 27*x^16 - 858*x^15 - 515*x^14 + 3593*x^13 + 3835*x^12 - 8079*x^11 - 11581*x^10 + 9359*x^9 + 17855*x^8 - 4387*x^7 - 14434*x^6 - 831*x^5 + 5656*x^4 + 1495*x^3 - 756*x^2 - 378*x - 44, x^20 + 3*x^19 - 22*x^18 - 70*x^17 + 193*x^16 + 672*x^15 - 856*x^14 - 3451*x^13 + 1964*x^12 + 10326*x^11 - 1887*x^10 - 18419*x^9 - 692*x^8 + 19311*x^7 + 3068*x^6 - 11305*x^5 - 2492*x^4 + 3296*x^3 + 843*x^2 - 356*x - 102, -x^20 - 3*x^19 + 22*x^18 + 70*x^17 - 193*x^16 - 672*x^15 + 856*x^14 + 3451*x^13 - 1964*x^12 - 10326*x^11 + 1887*x^10 + 18419*x^9 + 692*x^8 - 19311*x^7 - 3068*x^6 + 11305*x^5 + 2492*x^4 - 3296*x^3 - 843*x^2 + 356*x + 102, x^20 + 5*x^19 - 14*x^18 - 105*x^17 + 21*x^16 + 869*x^15 + 624*x^14 - 3593*x^13 - 4605*x^12 + 7640*x^11 + 14309*x^10 - 7093*x^9 - 23024*x^8 - 659*x^7 + 19536*x^6 + 6408*x^5 - 7878*x^4 - 4444*x^3 + 867*x^2 + 974*x + 165, -x^20 - 5*x^19 + 14*x^18 + 105*x^17 - 21*x^16 - 869*x^15 - 624*x^14 + 3593*x^13 + 4605*x^12 - 7640*x^11 - 14309*x^10 + 7093*x^9 + 23024*x^8 + 659*x^7 - 19536*x^6 - 6408*x^5 + 7878*x^4 + 4444*x^3 - 867*x^2 - 974*x - 165, -x^21 - 4*x^20 + 20*x^19 + 96*x^18 - 138*x^17 - 938*x^16 + 258*x^15 + 4832*x^14 + 1395*x^13 - 14225*x^12 - 8803*x^11 + 24234*x^10 + 20477*x^9 - 22970*x^8 - 23995*x^7 + 10702*x^6 + 14388*x^5 - 1463*x^4 - 4012*x^3 - 366*x^2 + 371*x + 69, x^21 + 4*x^20 - 20*x^19 - 96*x^18 + 138*x^17 + 938*x^16 - 258*x^15 - 4832*x^14 - 1395*x^13 + 14225*x^12 + 8803*x^11 - 24234*x^10 - 20477*x^9 + 22970*x^8 + 23995*x^7 - 10702*x^6 - 14388*x^5 + 1463*x^4 + 4012*x^3 + 366*x^2 - 371*x - 69, -x^21 - 4*x^20 + 21*x^19 + 100*x^18 - 156*x^17 - 1026*x^16 + 366*x^15 + 5616*x^14 + 1265*x^13 - 17885*x^12 - 10067*x^11 + 33906*x^10 + 26690*x^9 - 37527*x^8 - 36331*x^7 + 22486*x^6 + 26711*x^5 - 5602*x^4 - 10027*x^3 - 404*x^2 + 1510*x + 319, x^21 + 4*x^20 - 21*x^19 - 100*x^18 + 156*x^17 + 1026*x^16 - 366*x^15 - 5616*x^14 - 1265*x^13 + 17885*x^12 + 10067*x^11 - 33906*x^10 - 26690*x^9 + 37527*x^8 + 36331*x^7 - 22486*x^6 - 26711*x^5 + 5602*x^4 + 10027*x^3 + 404*x^2 - 1510*x - 319, x^19 + 5*x^18 - 11*x^17 - 87*x^16 + 2*x^15 + 576*x^14 + 404*x^13 - 1837*x^12 - 2028*x^11 + 2850*x^10 + 4211*x^9 - 1657*x^8 - 3947*x^7 - 495*x^6 + 1237*x^5 + 794*x^4 + 275*x^3 - 126*x^2 - 165*x - 39, -x^19 - 5*x^18 + 11*x^17 + 87*x^16 - 2*x^15 - 576*x^14 - 404*x^13 + 1837*x^12 + 2028*x^11 - 2850*x^10 - 4211*x^9 + 1657*x^8 + 3947*x^7 + 495*x^6 - 1237*x^5 - 794*x^4 - 275*x^3 + 126*x^2 + 165*x + 39, 2*x^19 + 7*x^18 - 39*x^17 - 153*x^16 + 286*x^15 + 1363*x^14 - 908*x^13 - 6423*x^12 + 540*x^11 + 17334*x^10 + 4382*x^9 - 27011*x^8 - 12787*x^7 + 23107*x^6 + 14928*x^5 - 9247*x^4 - 7974*x^3 + 754*x^2 + 1603*x + 300, -2*x^19 - 7*x^18 + 39*x^17 + 153*x^16 - 286*x^15 - 1363*x^14 + 908*x^13 + 6423*x^12 - 540*x^11 - 17334*x^10 - 4382*x^9 + 27011*x^8 + 12787*x^7 - 23107*x^6 - 14928*x^5 + 9247*x^4 + 7974*x^3 - 754*x^2 - 1603*x - 300, x^19 + 4*x^18 - 16*x^17 - 81*x^16 + 77*x^15 + 657*x^14 + 29*x^13 - 2763*x^12 - 1469*x^11 + 6495*x^10 + 5342*x^9 - 8572*x^8 - 8817*x^7 + 6023*x^6 + 7423*x^5 - 1817*x^4 - 3056*x^3 - 49*x^2 + 489*x + 96, -x^19 - 4*x^18 + 16*x^17 + 81*x^16 - 77*x^15 - 657*x^14 - 29*x^13 + 2763*x^12 + 1469*x^11 - 6495*x^10 - 5342*x^9 + 8572*x^8 + 8817*x^7 - 6023*x^6 - 7423*x^5 + 1817*x^4 + 3056*x^3 + 49*x^2 - 489*x - 96, -x^20 - 3*x^19 + 22*x^18 + 71*x^17 - 190*x^16 - 689*x^15 + 800*x^14 + 3558*x^13 - 1547*x^12 - 10615*x^11 + 281*x^10 + 18564*x^9 + 4082*x^8 - 18407*x^7 - 6849*x^6 + 9433*x^5 + 4463*x^4 - 1967*x^3 - 1146*x^2 + 38*x + 55, x^20 + 3*x^19 - 22*x^18 - 71*x^17 + 190*x^16 + 689*x^15 - 800*x^14 - 3558*x^13 + 1547*x^12 + 10615*x^11 - 281*x^10 - 18564*x^9 - 4082*x^8 + 18407*x^7 + 6849*x^6 - 9433*x^5 - 4463*x^4 + 1967*x^3 + 1146*x^2 - 38*x - 55, x^19 + 3*x^18 - 21*x^17 - 67*x^16 + 175*x^15 + 618*x^14 - 719*x^13 - 3058*x^12 + 1349*x^11 + 8763*x^10 - 71*x^9 - 14580*x^8 - 4085*x^7 + 13322*x^6 + 6568*x^5 - 5755*x^4 - 4054*x^3 + 630*x^2 + 882*x + 154, -x^19 - 3*x^18 + 21*x^17 + 67*x^16 - 175*x^15 - 618*x^14 + 719*x^13 + 3058*x^12 - 1349*x^11 - 8763*x^10 + 71*x^9 + 14580*x^8 + 4085*x^7 - 13322*x^6 - 6568*x^5 + 5755*x^4 + 4054*x^3 - 630*x^2 - 882*x - 154, x^19 + 4*x^18 - 18*x^17 - 87*x^16 + 108*x^15 + 761*x^14 - 137*x^13 - 3456*x^12 - 1149*x^11 + 8789*x^10 + 5520*x^9 - 12613*x^8 - 10411*x^7 + 9752*x^6 + 9784*x^5 - 3376*x^4 - 4502*x^3 + 58*x^2 + 809*x + 165, -x^19 - 4*x^18 + 18*x^17 + 87*x^16 - 108*x^15 - 761*x^14 + 137*x^13 + 3456*x^12 + 1149*x^11 - 8789*x^10 - 5520*x^9 + 12613*x^8 + 10411*x^7 - 9752*x^6 - 9784*x^5 + 3376*x^4 + 4502*x^3 - 58*x^2 - 809*x - 165, -x^20 - 4*x^19 + 18*x^18 + 88*x^17 - 106*x^16 - 780*x^15 + 95*x^14 + 3590*x^13 + 1496*x^12 - 9204*x^11 - 6954*x^10 + 13025*x^9 + 13530*x^8 - 9169*x^7 - 13226*x^6 + 1837*x^5 + 6204*x^4 + 998*x^3 - 1039*x^2 - 400*x - 36, x^20 + 4*x^19 - 18*x^18 - 88*x^17 + 106*x^16 + 780*x^15 - 95*x^14 - 3590*x^13 - 1496*x^12 + 9204*x^11 + 6954*x^10 - 13025*x^9 - 13530*x^8 + 9169*x^7 + 13226*x^6 - 1837*x^5 - 6204*x^4 - 998*x^3 + 1039*x^2 + 400*x + 36, -x^20 - 3*x^19 + 22*x^18 + 71*x^17 - 188*x^16 - 685*x^15 + 765*x^14 + 3488*x^13 - 1315*x^12 - 10147*x^11 - 460*x^10 + 17032*x^9 + 5276*x^8 - 15792*x^7 - 7752*x^6 + 7131*x^5 + 4652*x^4 - 1007*x^3 - 1046*x^2 - 112*x + 19, x^20 + 3*x^19 - 22*x^18 - 71*x^17 + 188*x^16 + 685*x^15 - 765*x^14 - 3488*x^13 + 1315*x^12 + 10147*x^11 + 460*x^10 - 17032*x^9 - 5276*x^8 + 15792*x^7 + 7752*x^6 - 7131*x^5 - 4652*x^4 + 1007*x^3 + 1046*x^2 + 112*x - 19, x^19 + 5*x^18 - 11*x^17 - 91*x^16 - 10*x^15 + 635*x^14 + 601*x^13 - 2133*x^12 - 3241*x^11 + 3397*x^10 + 7805*x^9 - 1634*x^8 - 9406*x^7 - 1667*x^6 + 5490*x^5 + 2070*x^4 - 1300*x^3 - 641*x^2 + 43*x + 33, -x^19 - 5*x^18 + 11*x^17 + 91*x^16 + 10*x^15 - 635*x^14 - 601*x^13 + 2133*x^12 + 3241*x^11 - 3397*x^10 - 7805*x^9 + 1634*x^8 + 9406*x^7 + 1667*x^6 - 5490*x^5 - 2070*x^4 + 1300*x^3 + 641*x^2 - 43*x - 33, x^18 + 6*x^17 - 5*x^16 - 92*x^15 - 88*x^14 + 497*x^13 + 880*x^12 - 1096*x^11 - 3108*x^10 + 517*x^9 + 5198*x^8 + 1596*x^7 - 4272*x^6 - 2580*x^5 + 1527*x^4 + 1427*x^3 - 81*x^2 - 270*x - 52, -x^18 - 6*x^17 + 5*x^16 + 92*x^15 + 88*x^14 - 497*x^13 - 880*x^12 + 1096*x^11 + 3108*x^10 - 517*x^9 - 5198*x^8 - 1596*x^7 + 4272*x^6 + 2580*x^5 - 1527*x^4 - 1427*x^3 + 81*x^2 + 270*x + 52, 2*x^18 + 7*x^17 - 31*x^16 - 124*x^15 + 171*x^14 + 859*x^13 - 397*x^12 - 3053*x^11 + 256*x^10 + 6129*x^9 + 466*x^8 - 7181*x^7 - 988*x^6 + 4775*x^5 + 783*x^4 - 1610*x^3 - 316*x^2 + 207*x + 52, -2*x^18 - 7*x^17 + 31*x^16 + 124*x^15 - 171*x^14 - 859*x^13 + 397*x^12 + 3053*x^11 - 256*x^10 - 6129*x^9 - 466*x^8 + 7181*x^7 + 988*x^6 - 4775*x^5 - 783*x^4 + 1610*x^3 + 316*x^2 - 207*x - 52, -x^19 - 3*x^18 + 18*x^17 + 56*x^16 - 130*x^15 - 418*x^14 + 509*x^13 + 1646*x^12 - 1242*x^11 - 3783*x^10 + 2024*x^9 + 5255*x^8 - 2165*x^7 - 4337*x^6 + 1380*x^5 + 1988*x^4 - 430*x^3 - 439*x^2 + 40*x + 33, x^19 + 3*x^18 - 18*x^17 - 56*x^16 + 130*x^15 + 418*x^14 - 509*x^13 - 1646*x^12 + 1242*x^11 + 3783*x^10 - 2024*x^9 - 5255*x^8 + 2165*x^7 + 4337*x^6 - 1380*x^5 - 1988*x^4 + 430*x^3 + 439*x^2 - 40*x - 33, x^18 + 3*x^17 - 18*x^16 - 54*x^15 + 137*x^14 + 393*x^13 - 615*x^12 - 1563*x^11 + 1816*x^10 + 3839*x^9 - 3393*x^8 - 5989*x^7 + 3500*x^6 + 5550*x^5 - 1562*x^4 - 2666*x^3 + 39*x^2 + 510*x + 102, -x^18 - 3*x^17 + 18*x^16 + 54*x^15 - 137*x^14 - 393*x^13 + 615*x^12 + 1563*x^11 - 1816*x^10 - 3839*x^9 + 3393*x^8 + 5989*x^7 - 3500*x^6 - 5550*x^5 + 1562*x^4 + 2666*x^3 - 39*x^2 - 510*x - 102, 2*x^18 + 8*x^17 - 29*x^16 - 147*x^15 + 120*x^14 + 1053*x^13 + 92*x^12 - 3779*x^11 - 1999*x^10 + 7180*x^9 + 5781*x^8 - 6889*x^7 - 7241*x^6 + 2670*x^5 + 4110*x^4 + 82*x^3 - 870*x^2 - 202*x + 3, -2*x^18 - 8*x^17 + 29*x^16 + 147*x^15 - 120*x^14 - 1053*x^13 - 92*x^12 + 3779*x^11 + 1999*x^10 - 7180*x^9 - 5781*x^8 + 6889*x^7 + 7241*x^6 - 2670*x^5 - 4110*x^4 - 82*x^3 + 870*x^2 + 202*x - 3, -x^19 - 3*x^18 + 21*x^17 + 67*x^16 - 173*x^15 - 607*x^14 + 702*x^13 + 2888*x^12 - 1392*x^11 - 7812*x^10 + 858*x^9 + 12167*x^8 + 1363*x^7 - 10532*x^6 - 2694*x^5 + 4531*x^4 + 1673*x^3 - 675*x^2 - 364*x - 36, x^19 + 3*x^18 - 21*x^17 - 67*x^16 + 173*x^15 + 607*x^14 - 702*x^13 - 2888*x^12 + 1392*x^11 + 7812*x^10 - 858*x^9 - 12167*x^8 - 1363*x^7 + 10532*x^6 + 2694*x^5 - 4531*x^4 - 1673*x^3 + 675*x^2 + 364*x + 36, 3*x^17 + 13*x^16 - 36*x^15 - 216*x^14 + 83*x^13 + 1356*x^12 + 483*x^11 - 4149*x^10 - 2852*x^9 + 6646*x^8 + 5664*x^7 - 5585*x^6 - 5260*x^5 + 2195*x^4 + 2310*x^3 - 183*x^2 - 397*x - 63, -3*x^17 - 13*x^16 + 36*x^15 + 216*x^14 - 83*x^13 - 1356*x^12 - 483*x^11 + 4149*x^10 + 2852*x^9 - 6646*x^8 - 5664*x^7 + 5585*x^6 + 5260*x^5 - 2195*x^4 - 2310*x^3 + 183*x^2 + 397*x + 63]>,
         rec<Eigen |
           DefiningPolynomial := x^41 - 3*x^40 - 60*x^39 + 182*x^38 + 1650*x^37 - 5069*x^36 - 27571*x^35 + 85968*x^34 + 312861*x^33 - 992929*x^32 - 2551890*x^31 + 8275972*x^30 + 15441847*x^29 - 51463183*x^28 - 70490683*x^27 + 243460871*x^26 + 244172306*x^25 - 885542757*x^24 - 638853848*x^23 + 2486236786*x^22 + 1239560137*x^21 - 5378665346*x^20 - 1705781805*x^19 + 8901107024*x^18 + 1472894032*x^17 - 11116542840*x^16 - 392976354*x^15 + 10252757481*x^14 - 813284074*x^13 - 6751298553*x^12 + 1240433795*x^11 + 3004767602*x^10 - 854522216*x^9 - 817917872*x^8 + 324493160*x^7 + 106637178*x^6 - 63525352*x^5 + 67320*x^4 + 4637616*x^3 - 971776*x^2 + 77504*x - 2176,
           Coordinates        := [-x^40 + 3*x^39 + 57*x^38 - 173*x^37 - 1485*x^36 + 4568*x^35 + 23434*x^34 - 73230*x^33 - 250217*x^32 + 796841*x^31 + 1912205*x^30 - 6233325*x^29 - 10785014*x^28 + 36218602*x^27 + 45590343*x^26 - 159278937*x^25 - 144990863*x^24 + 535272496*x^23 + 344113921*x^22 - 1378301458*x^21 - 594120874*x^20 + 2710149932*x^19 + 700279139*x^18 - 4030630656*x^17 - 458424747*x^16 + 4458395242*x^15 - 48190929*x^14 - 3571092021*x^13 + 432649247*x^12 + 1985337324*x^11 - 441790830*x^10 - 713153152*x^9 + 229854742*x^8 + 143712394*x^7 - 63516220*x^6 - 10641374*x^5 + 7877612*x^4 - 522864*x^3 - 231200*x^2 + 39776*x - 1792, x^40 - 2*x^39 - 60*x^38 + 118*x^37 + 1652*x^36 - 3189*x^35 - 27680*x^34 + 52350*x^33 + 315577*x^32 - 583670*x^31 - 2592976*x^30 + 4682142*x^29 + 15864479*x^28 - 27930688*x^27 - 73628693*x^26 + 126306048*x^25 + 261591966*x^24 - 437446369*x^23 - 712694415*x^22 + 1164499601*x^21 + 1481300332*x^20 - 2377670644*x^19 - 2318932543*x^18 + 3694998975*x^17 + 2672049791*x^16 - 4309482625*x^15 - 2177744499*x^14 + 3689179550*x^13 + 1163452294*x^12 - 2240445317*x^11 - 334605806*x^10 + 915230870*x^9 + 4290136*x^8 - 230142364*x^7 + 28106776*x^6 + 30000094*x^5 - 7315628*x^4 - 1186336*x^3 + 572816*x^2 - 62848*x + 2112, 4*x^36 - 8*x^35 - 214*x^34 + 426*x^33 + 5182*x^32 - 10264*x^31 - 75180*x^30 + 148172*x^29 + 728978*x^28 - 1430546*x^27 - 4989180*x^26 + 9764068*x^25 + 24806128*x^24 - 48565786*x^23 - 90803894*x^22 + 178851732*x^21 + 245141274*x^20 - 490581256*x^19 - 483454760*x^18 + 1000217444*x^17 + 679947324*x^16 - 1501068214*x^15 - 648780280*x^14 + 1627593422*x^13 + 372777308*x^12 - 1236787896*x^11 - 75712262*x^10 + 627181876*x^9 - 48998162*x^8 - 195301892*x^7 + 38460070*x^6 + 31572186*x^5 - 9930216*x^4 - 1487832*x^3 + 883008*x^2 - 106624*x + 3968, 4*x^33 - 6*x^32 - 186*x^31 + 262*x^30 + 3888*x^29 - 5082*x^28 - 48360*x^27 + 57832*x^26 + 399352*x^25 - 429662*x^24 - 2313452*x^23 + 2195510*x^22 + 9688074*x^21 - 7925680*x^20 - 29797144*x^19 + 20477356*x^18 + 67759042*x^17 - 38084022*x^16 - 113916594*x^15 + 51245506*x^14 + 140735504*x^13 - 50614862*x^12 - 125984628*x^11 + 38019744*x^10 + 79284336*x^9 - 22709974*x^8 - 32738572*x^7 + 10511254*x^6 + 7465468*x^5 - 3094040*x^4 - 486176*x^3 + 357600*x^2 - 50176*x + 2112, -3*x^39 + 9*x^38 + 165*x^37 - 501*x^36 - 4137*x^35 + 12738*x^34 + 62644*x^33 - 196088*x^32 - 639685*x^31 + 2042647*x^30 + 4656833*x^29 - 15244581*x^28 - 24900340*x^27 + 84181934*x^26 + 99181443*x^25 - 350270261*x^24 - 294739927*x^23 + 1107935328*x^22 + 645439263*x^21 - 2668515414*x^20 - 1005502666*x^19 + 4870476368*x^18 + 1014469285*x^17 - 6658147598*x^16 - 441167283*x^15 + 6681665460*x^14 - 380634827*x^13 - 4765961229*x^12 + 798642965*x^11 + 2291614450*x^10 - 624667474*x^9 - 674205478*x^8 + 260976940*x^7 + 95995804*x^6 - 55647740*x^5 - 455544*x^4 + 4406416*x^3 - 932000*x^2 + 75712*x - 2176, 4*x^35 - 8*x^34 - 206*x^33 + 402*x^32 + 4802*x^31 - 9120*x^30 - 67036*x^29 + 123562*x^28 + 624856*x^27 - 1114510*x^26 - 4104674*x^25 + 7063606*x^24 + 19545390*x^23 - 32363952*x^22 - 68330328*x^21 + 108651722*x^20 + 175618296*x^19 - 268028542*x^18 - 328838198*x^17 + 482782420*x^16 + 439416642*x^15 - 624951424*x^14 - 404090660*x^13 + 565377618*x^12 + 240411368*x^11 - 341581302*x^10 - 82500762*x^9 + 128045504*x^8 + 12191018*x^7 - 26407120*x^6 + 369632*x^5 + 2479200*x^4 - 250656*x^3 - 82368*x^2 + 16448*x - 768, 4*x^34 - 14*x^33 - 186*x^32 + 672*x^31 + 3866*x^30 - 14528*x^29 - 47334*x^28 + 187002*x^27 + 378370*x^26 - 1596368*x^25 - 2063986*x^24 + 9529164*x^23 + 7763624*x^22 - 40865364*x^21 - 19631946*x^20 + 127356224*x^19 + 29995548*x^18 - 288400354*x^17 - 14299116*x^16 + 469398720*x^15 - 45005522*x^14 - 536386208*x^13 + 114049304*x^12 + 412919060*x^11 - 127404672*x^10 - 199211312*x^9 + 77664384*x^8 + 52356632*x^7 - 24385470*x^6 - 5206286*x^5 + 3034404*x^4 - 58728*x^3 - 54224*x^2 - 3104*x + 640, 4*x^34 - 10*x^33 - 194*x^32 + 472*x^31 + 4278*x^30 - 10082*x^29 - 56788*x^28 + 129034*x^27 + 506136*x^26 - 1104094*x^25 - 3196752*x^24 + 6672670*x^23 + 14709942*x^22 - 29334646*x^21 - 49891032*x^20 + 95196490*x^19 + 124621014*x^18 - 229034670*x^17 - 226231566*x^16 + 406718070*x^15 + 289695142*x^14 - 525829596*x^13 - 246415244*x^12 + 482287534*x^11 + 120616172*x^10 - 299925060*x^9 - 16475204*x^8 + 116538140*x^7 - 13704968*x^6 - 23886700*x^5 + 6645156*x^4 + 1464192*x^3 - 812336*x^2 + 108960*x - 4608, -6*x^33 + 20*x^32 + 264*x^31 - 894*x^30 - 5202*x^29 + 17876*x^28 + 60792*x^27 - 211446*x^26 - 470404*x^25 + 1648710*x^24 + 2547768*x^23 - 8938706*x^22 - 9946960*x^21 + 34635140*x^20 + 28346510*x^19 - 97062312*x^18 - 58812470*x^17 + 196816766*x^16 + 86993506*x^15 - 285869930*x^14 - 87191508*x^13 + 290914548*x^12 + 52470602*x^11 - 199409780*x^10 - 11826430*x^9 + 85802000*x^8 - 5246786*x^7 - 20133332*x^6 + 3619388*x^5 + 1807856*x^4 - 548672*x^3 - 9344*x^2 + 14976*x - 1024, 2*x^39 - 4*x^38 - 116*x^37 + 228*x^36 + 3080*x^35 - 5938*x^34 - 49634*x^33 + 93682*x^32 + 542584*x^31 - 1000854*x^30 - 4259510*x^29 + 7668016*x^28 + 24792678*x^27 - 43526130*x^26 - 108886388*x^25 + 186504422*x^24 + 363605802*x^23 - 609042770*x^22 - 922759406*x^21 + 1519694370*x^20 + 1764519906*x^19 - 2887175506*x^18 - 2495843216*x^17 + 4135010424*x^16 + 2524714480*x^15 - 4385833432*x^14 - 1712443182*x^13 + 3347400942*x^12 + 665405716*x^11 - 1754930926*x^10 - 56418518*x^9 + 583485372*x^8 - 66244020*x^7 - 104743860*x^6 + 26209630*x^5 + 6061972*x^4 - 2878464*x^3 + 336112*x^2 - 12544*x + 64, -8*x^32 + 22*x^31 + 346*x^30 - 950*x^29 - 6696*x^28 + 18308*x^27 + 76764*x^26 - 208238*x^25 - 581832*x^24 + 1558306*x^23 + 3081322*x^22 - 8099314*x^21 - 11741368*x^20 + 30096452*x^19 + 32606818*x^18 - 81100324*x^17 - 65888824*x^16 + 159036752*x^15 + 95070094*x^14 - 225491642*x^13 - 93497442*x^12 + 226890164*x^11 + 56118744*x^10 - 156087522*x^9 - 13674642*x^8 + 68355444*x^7 - 4593756*x^6 - 16374366*x^5 + 3620240*x^4 + 1334712*x^3 - 579184*x^2 + 70272*x - 2752, -3*x^38 + 9*x^37 + 159*x^36 - 483*x^35 - 3827*x^34 + 11794*x^33 + 55396*x^32 - 173612*x^31 - 538245*x^30 + 1720907*x^29 + 3709791*x^28 - 12153343*x^27 - 18682132*x^26 + 63105978*x^25 + 69714065*x^24 - 245136351*x^23 - 193161111*x^22 + 717995650*x^21 + 393209999*x^20 - 1586467324*x^19 - 570937860*x^18 + 2628255420*x^17 + 550059373*x^16 - 3222142706*x^15 - 275594047*x^14 + 2861288500*x^13 - 53008591*x^12 - 1781183155*x^11 + 192442333*x^10 + 739171536*x^9 - 138740796*x^8 - 188117152*x^7 + 49955988*x^6 + 24710816*x^5 - 9117012*x^4 - 807184*x^3 + 650080*x^2 - 84736*x + 3456, -6*x^34 + 16*x^33 + 278*x^32 - 730*x^31 - 5810*x^30 + 14938*x^29 + 72570*x^28 - 181394*x^27 - 605000*x^26 + 1457596*x^25 + 3559262*x^24 - 8183560*x^23 - 15223792*x^22 + 33046380*x^21 + 48013558*x^20 - 97361620*x^19 - 111896644*x^18 + 210158048*x^17 + 190966352*x^16 - 330990088*x^15 - 233507108*x^14 + 375670686*x^13 + 196582906*x^12 - 300315316*x^11 - 105964918*x^10 + 162605186*x^9 + 31137830*x^8 - 55750204*x^7 - 2298110*x^6 + 10716754*x^5 - 1074872*x^4 - 857880*x^3 + 236560*x^2 - 21120*x + 640, -3*x^38 + 9*x^37 + 159*x^36 - 483*x^35 - 3831*x^34 + 11808*x^33 + 55570*x^32 - 174264*x^31 - 541537*x^30 + 1734487*x^29 + 3744911*x^28 - 12320529*x^27 - 18907454*x^26 + 64460572*x^25 + 70518597*x^24 - 252745809*x^23 - 193741389*x^22 + 748393310*x^21 + 383649957*x^20 - 1673506104*x^19 - 515430272*x^18 + 2805488950*x^17 + 384047585*x^16 - 3471377560*x^15 + 39532007*x^14 + 3086026334*x^13 - 446296185*x^12 - 1883214367*x^11 + 508262683*x^10 + 726082442*x^9 - 289846490*x^8 - 147024226*x^7 + 84944932*x^6 + 6757762*x^5 - 10109408*x^4 + 1443776*x^3 + 119232*x^2 - 36768*x + 1920, 2*x^38 - 4*x^37 - 112*x^36 + 220*x^35 + 2863*x^34 - 5509*x^33 - 44285*x^32 + 83243*x^31 + 463221*x^30 - 848134*x^29 - 3468140*x^28 + 6167623*x^27 + 19185499*x^26 - 33053837*x^25 - 79789065*x^24 + 132924984*x^23 + 251314712*x^22 - 404652416*x^21 - 599040379*x^20 + 934082891*x^19 + 1071010935*x^18 - 1627493763*x^17 - 1409692551*x^16 + 2116565909*x^15 + 1321522908*x^14 - 2015479079*x^13 - 830749436*x^12 + 1362979854*x^11 + 306396547*x^10 - 623488184*x^9 - 37412146*x^8 + 177770434*x^7 - 15001961*x^6 - 26969108*x^5 + 5876396*x^4 + 1354392*x^3 - 579088*x^2 + 62880*x - 2112, 2*x^38 - 4*x^37 - 112*x^36 + 220*x^35 + 2863*x^34 - 5509*x^33 - 44285*x^32 + 83243*x^31 + 463221*x^30 - 848134*x^29 - 3468140*x^28 + 6167623*x^27 + 19185499*x^26 - 33053837*x^25 - 79789065*x^24 + 132924984*x^23 + 251314712*x^22 - 404652416*x^21 - 599040379*x^20 + 934082891*x^19 + 1071010935*x^18 - 1627493763*x^17 - 1409692551*x^16 + 2116565909*x^15 + 1321522908*x^14 - 2015479079*x^13 - 830749436*x^12 + 1362979854*x^11 + 306396547*x^10 - 623488184*x^9 - 37412146*x^8 + 177770434*x^7 - 15001961*x^6 - 26969108*x^5 + 5876396*x^4 + 1354392*x^3 - 579088*x^2 + 62880*x - 2112, 2*x^37 - 4*x^36 - 108*x^35 + 212*x^34 + 2655*x^33 - 5106*x^32 - 39372*x^31 + 74074*x^30 + 393363*x^29 - 723339*x^28 - 2800161*x^27 + 5033004*x^26 + 14641922*x^25 - 25764742*x^24 - 57116448*x^23 + 98782512*x^22 + 166983226*x^21 - 285994990*x^20 - 363972443*x^19 + 625558750*x^18 + 581757904*x^17 - 1026519198*x^16 - 659093111*x^15 + 1244081930*x^14 + 493259762*x^13 - 1083338331*x^12 - 200947354*x^11 + 647061153*x^10 + 2255072*x^9 - 244041240*x^8 + 38107533*x^7 + 48785099*x^6 - 15183310*x^5 - 2724064*x^4 + 1732544*x^3 - 261104*x^2 + 16672*x - 448, 2*x^37 - 4*x^36 - 108*x^35 + 212*x^34 + 2655*x^33 - 5106*x^32 - 39372*x^31 + 74074*x^30 + 393363*x^29 - 723339*x^28 - 2800161*x^27 + 5033004*x^26 + 14641922*x^25 - 25764742*x^24 - 57116448*x^23 + 98782512*x^22 + 166983226*x^21 - 285994990*x^20 - 363972443*x^19 + 625558750*x^18 + 581757904*x^17 - 1026519198*x^16 - 659093111*x^15 + 1244081930*x^14 + 493259762*x^13 - 1083338331*x^12 - 200947354*x^11 + 647061153*x^10 + 2255072*x^9 - 244041240*x^8 + 38107533*x^7 + 48785099*x^6 - 15183310*x^5 - 2724064*x^4 + 1732544*x^3 - 261104*x^2 + 16672*x - 448, 2*x^37 - 4*x^36 - 109*x^35 + 217*x^34 + 2694*x^33 - 5333*x^32 - 39991*x^31 + 78646*x^30 + 398007*x^29 - 777054*x^28 - 2807018*x^27 + 5439289*x^26 + 14455401*x^25 - 27814696*x^24 - 55174642*x^23 + 105607842*x^22 + 156735801*x^21 - 299616489*x^20 - 329536528*x^19 + 634122993*x^18 + 504392761*x^17 - 991925317*x^16 - 544098461*x^15 + 1126272423*x^14 + 388433984*x^13 - 901082757*x^12 - 158061815*x^11 + 484381589*x^10 + 16751300*x^9 - 161673698*x^8 + 13134526*x^7 + 28989653*x^6 - 5149924*x^5 - 1983516*x^4 + 566832*x^3 - 12128*x^2 - 6240*x + 384, 2*x^37 - 4*x^36 - 109*x^35 + 217*x^34 + 2694*x^33 - 5333*x^32 - 39991*x^31 + 78646*x^30 + 398007*x^29 - 777054*x^28 - 2807018*x^27 + 5439289*x^26 + 14455401*x^25 - 27814696*x^24 - 55174642*x^23 + 105607842*x^22 + 156735801*x^21 - 299616489*x^20 - 329536528*x^19 + 634122993*x^18 + 504392761*x^17 - 991925317*x^16 - 544098461*x^15 + 1126272423*x^14 + 388433984*x^13 - 901082757*x^12 - 158061815*x^11 + 484381589*x^10 + 16751300*x^9 - 161673698*x^8 + 13134526*x^7 + 28989653*x^6 - 5149924*x^5 - 1983516*x^4 + 566832*x^3 - 12128*x^2 - 6240*x + 384, 2*x^36 - 4*x^35 - 104*x^34 + 197*x^33 + 2472*x^32 - 4393*x^31 - 35617*x^30 + 58796*x^29 + 347647*x^28 - 527949*x^27 - 2432109*x^26 + 3368741*x^25 + 12576176*x^24 - 15789221*x^23 - 48827093*x^22 + 55441214*x^21 + 143074659*x^20 - 147474689*x^19 - 315275915*x^18 + 298524980*x^17 + 516063298*x^16 - 458892487*x^15 - 613306621*x^14 + 529940829*x^13 + 509027286*x^12 - 448905052*x^11 - 274966118*x^10 + 266769659*x^9 + 82257534*x^8 - 102723125*x^7 - 5954945*x^6 + 21989904*x^5 - 3137124*x^4 - 1708400*x^3 + 585376*x^2 - 61632*x + 2112, 2*x^36 - 4*x^35 - 104*x^34 + 197*x^33 + 2472*x^32 - 4393*x^31 - 35617*x^30 + 58796*x^29 + 347647*x^28 - 527949*x^27 - 2432109*x^26 + 3368741*x^25 + 12576176*x^24 - 15789221*x^23 - 48827093*x^22 + 55441214*x^21 + 143074659*x^20 - 147474689*x^19 - 315275915*x^18 + 298524980*x^17 + 516063298*x^16 - 458892487*x^15 - 613306621*x^14 + 529940829*x^13 + 509027286*x^12 - 448905052*x^11 - 274966118*x^10 + 266769659*x^9 + 82257534*x^8 - 102723125*x^7 - 5954945*x^6 + 21989904*x^5 - 3137124*x^4 - 1708400*x^3 + 585376*x^2 - 61632*x + 2112, 2*x^36 - 4*x^35 - 104*x^34 + 206*x^33 + 2441*x^32 - 4776*x^31 - 34241*x^30 + 65999*x^29 + 320332*x^28 - 606670*x^27 - 2111468*x^26 + 3920354*x^25 + 10096441*x^24 - 18353251*x^23 - 35504393*x^22 + 63216212*x^21 + 91993277*x^20 - 161049452*x^19 - 173977116*x^18 + 302449585*x^17 + 234536142*x^16 - 413591492*x^15 - 214956525*x^14 + 402199919*x^13 + 120774796*x^12 - 267013649*x^11 - 29175357*x^10 + 112677285*x^9 - 6737855*x^8 - 26262210*x^7 + 5773596*x^6 + 2255140*x^5 - 1006728*x^4 + 92904*x^3 + 10384*x^2 - 1696*x, 2*x^36 - 4*x^35 - 104*x^34 + 206*x^33 + 2441*x^32 - 4776*x^31 - 34241*x^30 + 65999*x^29 + 320332*x^28 - 606670*x^27 - 2111468*x^26 + 3920354*x^25 + 10096441*x^24 - 18353251*x^23 - 35504393*x^22 + 63216212*x^21 + 91993277*x^20 - 161049452*x^19 - 173977116*x^18 + 302449585*x^17 + 234536142*x^16 - 413591492*x^15 - 214956525*x^14 + 402199919*x^13 + 120774796*x^12 - 267013649*x^11 - 29175357*x^10 + 112677285*x^9 - 6737855*x^8 - 26262210*x^7 + 5773596*x^6 + 2255140*x^5 - 1006728*x^4 + 92904*x^3 + 10384*x^2 - 1696*x, -x^36 + 5*x^35 + 45*x^34 - 250*x^33 - 888*x^32 + 5667*x^31 + 9966*x^30 - 77092*x^29 - 67856*x^28 + 702212*x^27 + 259082*x^26 - 4524927*x^25 - 191705*x^24 + 21248644*x^23 - 3775017*x^22 - 73815805*x^21 + 24362577*x^20 + 190621358*x^19 - 83163414*x^18 - 364648998*x^17 + 185646766*x^16 + 510774728*x^15 - 284308644*x^14 - 513197100*x^13 + 299910313*x^12 + 358189631*x^11 - 213932985*x^10 - 165367390*x^9 + 99544834*x^8 + 46521111*x^7 - 28608033*x^6 - 6586594*x^5 + 4620652*x^4 + 121312*x^3 - 310160*x^2 + 44128*x - 1856, -x^36 + 5*x^35 + 45*x^34 - 250*x^33 - 888*x^32 + 5667*x^31 + 9966*x^30 - 77092*x^29 - 67856*x^28 + 702212*x^27 + 259082*x^26 - 4524927*x^25 - 191705*x^24 + 21248644*x^23 - 3775017*x^22 - 73815805*x^21 + 24362577*x^20 + 190621358*x^19 - 83163414*x^18 - 364648998*x^17 + 185646766*x^16 + 510774728*x^15 - 284308644*x^14 - 513197100*x^13 + 299910313*x^12 + 358189631*x^11 - 213932985*x^10 - 165367390*x^9 + 99544834*x^8 + 46521111*x^7 - 28608033*x^6 - 6586594*x^5 + 4620652*x^4 + 121312*x^3 - 310160*x^2 + 44128*x - 1856, 2*x^35 - 10*x^34 - 85*x^33 + 473*x^32 + 1571*x^31 - 10062*x^30 - 16377*x^29 + 127365*x^28 + 102762*x^27 - 1069528*x^26 - 359635*x^25 + 6287910*x^24 + 258235*x^23 - 26617445*x^22 + 4111040*x^21 + 82155038*x^20 - 23763692*x^19 - 185110263*x^18 + 71542501*x^17 + 301702862*x^16 - 139419102*x^15 - 348321494*x^14 + 184416745*x^13 + 274201372*x^12 - 165449268*x^11 - 137006943*x^10 + 97378695*x^9 + 36651022*x^8 - 34778300*x^7 - 1966429*x^6 + 6250420*x^5 - 1150704*x^4 - 257512*x^3 + 132320*x^2 - 20064*x + 960, 2*x^35 - 10*x^34 - 85*x^33 + 473*x^32 + 1571*x^31 - 10062*x^30 - 16377*x^29 + 127365*x^28 + 102762*x^27 - 1069528*x^26 - 359635*x^25 + 6287910*x^24 + 258235*x^23 - 26617445*x^22 + 4111040*x^21 + 82155038*x^20 - 23763692*x^19 - 185110263*x^18 + 71542501*x^17 + 301702862*x^16 - 139419102*x^15 - 348321494*x^14 + 184416745*x^13 + 274201372*x^12 - 165449268*x^11 - 137006943*x^10 + 97378695*x^9 + 36651022*x^8 - 34778300*x^7 - 1966429*x^6 + 6250420*x^5 - 1150704*x^4 - 257512*x^3 + 132320*x^2 - 20064*x + 960, 2*x^35 - 5*x^34 - 98*x^33 + 240*x^32 + 2184*x^31 - 5216*x^30 - 29339*x^29 + 68025*x^28 + 265290*x^27 - 594735*x^26 - 1706111*x^25 + 3687611*x^24 + 8031120*x^23 - 16723853*x^22 - 28019607*x^21 + 56365263*x^20 + 72460220*x^19 - 141923507*x^18 - 137237107*x^17 + 265923849*x^16 + 185205592*x^15 - 365819607*x^14 - 168649221*x^13 + 360231907*x^12 + 91430504*x^11 - 243284551*x^10 - 17376233*x^9 + 104667093*x^8 - 9284178*x^7 - 24828766*x^6 + 5795766*x^5 + 2166368*x^4 - 889656*x^3 + 67152*x^2 + 5504*x - 512, 2*x^35 - 5*x^34 - 98*x^33 + 240*x^32 + 2184*x^31 - 5216*x^30 - 29339*x^29 + 68025*x^28 + 265290*x^27 - 594735*x^26 - 1706111*x^25 + 3687611*x^24 + 8031120*x^23 - 16723853*x^22 - 28019607*x^21 + 56365263*x^20 + 72460220*x^19 - 141923507*x^18 - 137237107*x^17 + 265923849*x^16 + 185205592*x^15 - 365819607*x^14 - 168649221*x^13 + 360231907*x^12 + 91430504*x^11 - 243284551*x^10 - 17376233*x^9 + 104667093*x^8 - 9284178*x^7 - 24828766*x^6 + 5795766*x^5 + 2166368*x^4 - 889656*x^3 + 67152*x^2 + 5504*x - 512, 2*x^35 - 4*x^34 - 107*x^33 + 222*x^32 + 2553*x^31 - 5482*x^30 - 35965*x^29 + 79949*x^28 + 333454*x^27 - 769790*x^26 - 2144677*x^25 + 5176877*x^24 + 9809084*x^23 - 25068040*x^22 - 32075093*x^21 + 88738293*x^20 + 73852929*x^19 - 230585356*x^18 - 113731816*x^17 + 437351004*x^16 + 99043275*x^15 - 595622111*x^14 - 5011551*x^13 + 564485661*x^12 - 100785118*x^11 - 351575294*x^10 + 124119923*x^9 + 127919750*x^8 - 70992889*x^7 - 18862591*x^6 + 19432352*x^5 - 1877224*x^4 - 1734784*x^3 + 603024*x^2 - 73792*x + 3072, 2*x^35 - 4*x^34 - 107*x^33 + 222*x^32 + 2553*x^31 - 5482*x^30 - 35965*x^29 + 79949*x^28 + 333454*x^27 - 769790*x^26 - 2144677*x^25 + 5176877*x^24 + 9809084*x^23 - 25068040*x^22 - 32075093*x^21 + 88738293*x^20 + 73852929*x^19 - 230585356*x^18 - 113731816*x^17 + 437351004*x^16 + 99043275*x^15 - 595622111*x^14 - 5011551*x^13 + 564485661*x^12 - 100785118*x^11 - 351575294*x^10 + 124119923*x^9 + 127919750*x^8 - 70992889*x^7 - 18862591*x^6 + 19432352*x^5 - 1877224*x^4 - 1734784*x^3 + 603024*x^2 - 73792*x + 3072, 2*x^35 - 2*x^34 - 107*x^33 + 108*x^32 + 2578*x^31 - 2593*x^30 - 37066*x^29 + 36720*x^28 + 355239*x^27 - 342860*x^26 - 2400804*x^25 + 2234614*x^24 + 11802971*x^23 - 10498260*x^22 - 42914856*x^21 + 36207245*x^20 + 116142398*x^19 - 92523809*x^18 - 233489946*x^17 + 175576702*x^16 + 345093311*x^15 - 246259900*x^14 - 367473415*x^13 + 251839021*x^12 + 272557115*x^11 - 182808574*x^10 - 133112850*x^9 + 89859280*x^8 + 38658952*x^7 - 27667368*x^6 - 5255770*x^5 + 4694192*x^4 + 12624*x^3 - 343616*x^2 + 57120*x - 2624, 2*x^35 - 2*x^34 - 107*x^33 + 108*x^32 + 2578*x^31 - 2593*x^30 - 37066*x^29 + 36720*x^28 + 355239*x^27 - 342860*x^26 - 2400804*x^25 + 2234614*x^24 + 11802971*x^23 - 10498260*x^22 - 42914856*x^21 + 36207245*x^20 + 116142398*x^19 - 92523809*x^18 - 233489946*x^17 + 175576702*x^16 + 345093311*x^15 - 246259900*x^14 - 367473415*x^13 + 251839021*x^12 + 272557115*x^11 - 182808574*x^10 - 133112850*x^9 + 89859280*x^8 + 38658952*x^7 - 27667368*x^6 - 5255770*x^5 + 4694192*x^4 + 12624*x^3 - 343616*x^2 + 57120*x - 2624, -x^35 + 5*x^34 + 42*x^33 - 238*x^32 - 763*x^31 + 5132*x^30 + 7658*x^29 - 66353*x^28 - 43004*x^27 + 573762*x^26 + 86583*x^25 - 3503615*x^24 + 610217*x^23 + 15546192*x^22 - 6258592*x^21 - 50786198*x^20 + 29090711*x^19 + 122338483*x^18 - 86541039*x^17 - 215302401*x^16 + 177003199*x^15 + 270718957*x^14 - 252336789*x^13 - 233116649*x^12 + 247229146*x^11 + 126472478*x^10 - 160169805*x^9 - 34849354*x^8 + 63767917*x^7 + 66247*x^6 - 13494788*x^5 + 2280648*x^4 + 1001176*x^3 - 367376*x^2 + 40512*x - 1472, -x^35 + 5*x^34 + 42*x^33 - 238*x^32 - 763*x^31 + 5132*x^30 + 7658*x^29 - 66353*x^28 - 43004*x^27 + 573762*x^26 + 86583*x^25 - 3503615*x^24 + 610217*x^23 + 15546192*x^22 - 6258592*x^21 - 50786198*x^20 + 29090711*x^19 + 122338483*x^18 - 86541039*x^17 - 215302401*x^16 + 177003199*x^15 + 270718957*x^14 - 252336789*x^13 - 233116649*x^12 + 247229146*x^11 + 126472478*x^10 - 160169805*x^9 - 34849354*x^8 + 63767917*x^7 + 66247*x^6 - 13494788*x^5 + 2280648*x^4 + 1001176*x^3 - 367376*x^2 + 40512*x - 1472, -3*x^37 + 9*x^36 + 155*x^35 - 472*x^34 - 3624*x^33 + 11238*x^32 + 50720*x^31 - 160870*x^30 - 473521*x^29 + 1545619*x^28 + 3109104*x^27 - 10537978*x^26 - 14733689*x^25 + 52566955*x^24 + 50789408*x^23 - 194969839*x^22 - 126114632*x^21 + 541024045*x^20 + 217282403*x^19 - 1121110474*x^18 - 232204956*x^17 + 1718002446*x^16 + 82786618*x^15 - 1910188480*x^14 + 163813118*x^13 + 1492389037*x^12 - 303100316*x^11 - 776221457*x^10 + 242963339*x^9 + 243044163*x^8 - 105510476*x^7 - 35642494*x^6 + 23265364*x^5 - 175820*x^4 - 1878168*x^3 + 423632*x^2 - 36128*x + 1088, -3*x^37 + 9*x^36 + 155*x^35 - 472*x^34 - 3624*x^33 + 11238*x^32 + 50720*x^31 - 160870*x^30 - 473521*x^29 + 1545619*x^28 + 3109104*x^27 - 10537978*x^26 - 14733689*x^25 + 52566955*x^24 + 50789408*x^23 - 194969839*x^22 - 126114632*x^21 + 541024045*x^20 + 217282403*x^19 - 1121110474*x^18 - 232204956*x^17 + 1718002446*x^16 + 82786618*x^15 - 1910188480*x^14 + 163813118*x^13 + 1492389037*x^12 - 303100316*x^11 - 776221457*x^10 + 242963339*x^9 + 243044163*x^8 - 105510476*x^7 - 35642494*x^6 + 23265364*x^5 - 175820*x^4 - 1878168*x^3 + 423632*x^2 - 36128*x + 1088, -3*x^35 + 11*x^34 + 134*x^33 - 526*x^32 - 2632*x^31 + 11324*x^30 + 29683*x^29 - 145250*x^28 - 208683*x^27 + 1237953*x^26 + 904336*x^25 - 7401806*x^24 - 1942444*x^23 + 31945590*x^22 - 2266435*x^21 - 100839971*x^20 + 32486003*x^19 + 233208236*x^18 - 121711529*x^17 - 391578973*x^16 + 270821300*x^15 + 466953058*x^14 - 397626664*x^13 - 378861622*x^12 + 391115869*x^11 + 191337330*x^10 - 251600767*x^9 - 46259732*x^8 + 99282358*x^7 - 3219678*x^6 - 20793478*x^5 + 4212480*x^4 + 1448104*x^3 - 599552*x^2 + 69760*x - 2624, -3*x^35 + 11*x^34 + 134*x^33 - 526*x^32 - 2632*x^31 + 11324*x^30 + 29683*x^29 - 145250*x^28 - 208683*x^27 + 1237953*x^26 + 904336*x^25 - 7401806*x^24 - 1942444*x^23 + 31945590*x^22 - 2266435*x^21 - 100839971*x^20 + 32486003*x^19 + 233208236*x^18 - 121711529*x^17 - 391578973*x^16 + 270821300*x^15 + 466953058*x^14 - 397626664*x^13 - 378861622*x^12 + 391115869*x^11 + 191337330*x^10 - 251600767*x^9 - 46259732*x^8 + 99282358*x^7 - 3219678*x^6 - 20793478*x^5 + 4212480*x^4 + 1448104*x^3 - 599552*x^2 + 69760*x - 2624, -3*x^35 + 8*x^34 + 142*x^33 - 375*x^32 - 3037*x^31 + 7916*x^30 + 38886*x^29 - 99635*x^28 - 332896*x^27 + 834521*x^26 + 2014833*x^25 - 4916135*x^24 - 8885780*x^23 + 20992543*x^22 + 28980259*x^21 - 65998380*x^20 - 70121577*x^19 + 153610180*x^18 + 124889411*x^17 - 263903427*x^16 - 160250307*x^15 + 330770308*x^14 + 141887207*x^13 - 295614932*x^12 - 79217760*x^11 + 181007483*x^10 + 21482130*x^9 - 70776102*x^8 + 1474338*x^7 + 15425043*x^6 - 2347130*x^5 - 1332868*x^4 + 392616*x^3 - 5888*x^2 - 7168*x + 512, -3*x^35 + 8*x^34 + 142*x^33 - 375*x^32 - 3037*x^31 + 7916*x^30 + 38886*x^29 - 99635*x^28 - 332896*x^27 + 834521*x^26 + 2014833*x^25 - 4916135*x^24 - 8885780*x^23 + 20992543*x^22 + 28980259*x^21 - 65998380*x^20 - 70121577*x^19 + 153610180*x^18 + 124889411*x^17 - 263903427*x^16 - 160250307*x^15 + 330770308*x^14 + 141887207*x^13 - 295614932*x^12 - 79217760*x^11 + 181007483*x^10 + 21482130*x^9 - 70776102*x^8 + 1474338*x^7 + 15425043*x^6 - 2347130*x^5 - 1332868*x^4 + 392616*x^3 - 5888*x^2 - 7168*x + 512, -3*x^35 + 8*x^34 + 150*x^33 - 396*x^32 - 3401*x^31 + 8871*x^30 + 46295*x^29 - 119077*x^28 - 422025*x^27 + 1068858*x^26 + 2719674*x^25 - 6779670*x^24 - 12737603*x^23 + 31305746*x^22 + 43838905*x^21 - 106821684*x^20 - 110591216*x^19 + 270562617*x^18 + 200888815*x^17 - 506434408*x^16 - 252020431*x^15 + 690917300*x^14 + 197764493*x^13 - 669435803*x^12 - 66936614*x^11 + 440398459*x^10 - 28989716*x^9 - 181400992*x^8 + 39235407*x^7 + 39418079*x^6 - 14567766*x^5 - 2446724*x^4 + 1762928*x^3 - 236256*x^2 + 4000*x + 512, -3*x^35 + 8*x^34 + 150*x^33 - 396*x^32 - 3401*x^31 + 8871*x^30 + 46295*x^29 - 119077*x^28 - 422025*x^27 + 1068858*x^26 + 2719674*x^25 - 6779670*x^24 - 12737603*x^23 + 31305746*x^22 + 43838905*x^21 - 106821684*x^20 - 110591216*x^19 + 270562617*x^18 + 200888815*x^17 - 506434408*x^16 - 252020431*x^15 + 690917300*x^14 + 197764493*x^13 - 669435803*x^12 - 66936614*x^11 + 440398459*x^10 - 28989716*x^9 - 181400992*x^8 + 39235407*x^7 + 39418079*x^6 - 14567766*x^5 - 2446724*x^4 + 1762928*x^3 - 236256*x^2 + 4000*x + 512, -2*x^34 + 10*x^33 + 77*x^32 - 444*x^31 - 1243*x^30 + 8826*x^29 + 10386*x^28 - 103760*x^27 - 38417*x^26 + 802562*x^25 - 91889*x^24 - 4297065*x^23 + 1914647*x^22 + 16302433*x^21 - 11412732*x^20 - 44037263*x^19 + 40748364*x^18 + 83598103*x^17 - 97460692*x^16 - 107169869*x^15 + 160384060*x^14 + 83448034*x^13 - 180014872*x^12 - 24664047*x^11 + 132467159*x^10 - 17770314*x^9 - 58501352*x^8 + 20347612*x^7 + 12398546*x^6 - 7270126*x^5 - 220552*x^4 + 790960*x^3 - 179840*x^2 + 15296*x - 384, -2*x^34 + 10*x^33 + 77*x^32 - 444*x^31 - 1243*x^30 + 8826*x^29 + 10386*x^28 - 103760*x^27 - 38417*x^26 + 802562*x^25 - 91889*x^24 - 4297065*x^23 + 1914647*x^22 + 16302433*x^21 - 11412732*x^20 - 44037263*x^19 + 40748364*x^18 + 83598103*x^17 - 97460692*x^16 - 107169869*x^15 + 160384060*x^14 + 83448034*x^13 - 180014872*x^12 - 24664047*x^11 + 132467159*x^10 - 17770314*x^9 - 58501352*x^8 + 20347612*x^7 + 12398546*x^6 - 7270126*x^5 - 220552*x^4 + 790960*x^3 - 179840*x^2 + 15296*x - 384, -x^34 + 6*x^33 + 35*x^32 - 262*x^31 - 481*x^30 + 5124*x^29 + 2736*x^28 - 59360*x^27 + 5208*x^26 + 453961*x^25 - 195468*x^24 - 2417724*x^23 + 1514653*x^22 + 9219648*x^21 - 6727616*x^20 - 25498641*x^19 + 19496936*x^18 + 51303316*x^17 - 38032175*x^16 - 74860750*x^15 + 49560914*x^14 + 78837708*x^13 - 41545042*x^12 - 59897598*x^11 + 20828121*x^10 + 33012779*x^9 - 5753682*x^8 - 12947993*x^7 + 1260210*x^6 + 3137762*x^5 - 507504*x^4 - 280840*x^3 + 95664*x^2 - 10528*x + 384, -x^34 + 6*x^33 + 35*x^32 - 262*x^31 - 481*x^30 + 5124*x^29 + 2736*x^28 - 59360*x^27 + 5208*x^26 + 453961*x^25 - 195468*x^24 - 2417724*x^23 + 1514653*x^22 + 9219648*x^21 - 6727616*x^20 - 25498641*x^19 + 19496936*x^18 + 51303316*x^17 - 38032175*x^16 - 74860750*x^15 + 49560914*x^14 + 78837708*x^13 - 41545042*x^12 - 59897598*x^11 + 20828121*x^10 + 33012779*x^9 - 5753682*x^8 - 12947993*x^7 + 1260210*x^6 + 3137762*x^5 - 507504*x^4 - 280840*x^3 + 95664*x^2 - 10528*x + 384, 2*x^34 - 103*x^32 - x^31 + 2391*x^30 + 60*x^29 - 33118*x^28 - 1480*x^27 + 305399*x^26 + 20371*x^25 - 1981081*x^24 - 176129*x^23 + 9313390*x^22 + 1010640*x^21 - 32216142*x^20 - 3934577*x^19 + 82410677*x^18 + 10364224*x^17 - 155366680*x^16 - 17874000*x^15 + 213302717*x^14 + 18288323*x^13 - 208449588*x^12 - 7225429*x^11 + 139347058*x^10 - 5441772*x^9 - 59270286*x^8 + 7879020*x^7 + 13799400*x^6 - 3356714*x^5 - 1147016*x^4 + 453136*x^3 - 20416*x^2 - 6432*x + 512, 2*x^34 - 103*x^32 - x^31 + 2391*x^30 + 60*x^29 - 33118*x^28 - 1480*x^27 + 305399*x^26 + 20371*x^25 - 1981081*x^24 - 176129*x^23 + 9313390*x^22 + 1010640*x^21 - 32216142*x^20 - 3934577*x^19 + 82410677*x^18 + 10364224*x^17 - 155366680*x^16 - 17874000*x^15 + 213302717*x^14 + 18288323*x^13 - 208449588*x^12 - 7225429*x^11 + 139347058*x^10 - 5441772*x^9 - 59270286*x^8 + 7879020*x^7 + 13799400*x^6 - 3356714*x^5 - 1147016*x^4 + 453136*x^3 - 20416*x^2 - 6432*x + 512, -x^34 + 2*x^33 + 48*x^32 - 91*x^31 - 1065*x^30 + 1913*x^29 + 14466*x^28 - 24690*x^27 - 134082*x^26 + 218750*x^25 + 893811*x^24 - 1405387*x^23 - 4398222*x^22 + 6727174*x^21 + 16140866*x^20 - 24245612*x^19 - 44125989*x^18 + 65748494*x^17 + 88817125*x^16 - 132885902*x^15 - 128412205*x^14 + 196632417*x^13 + 127333705*x^12 - 207053106*x^11 - 78703979*x^10 + 148288350*x^9 + 22724435*x^8 - 66802476*x^7 + 2714699*x^6 + 16137368*x^5 - 3398924*x^4 - 1279648*x^3 + 530512*x^2 - 60896*x + 2240, -x^34 + 2*x^33 + 48*x^32 - 91*x^31 - 1065*x^30 + 1913*x^29 + 14466*x^28 - 24690*x^27 - 134082*x^26 + 218750*x^25 + 893811*x^24 - 1405387*x^23 - 4398222*x^22 + 6727174*x^21 + 16140866*x^20 - 24245612*x^19 - 44125989*x^18 + 65748494*x^17 + 88817125*x^16 - 132885902*x^15 - 128412205*x^14 + 196632417*x^13 + 127333705*x^12 - 207053106*x^11 - 78703979*x^10 + 148288350*x^9 + 22724435*x^8 - 66802476*x^7 + 2714699*x^6 + 16137368*x^5 - 3398924*x^4 - 1279648*x^3 + 530512*x^2 - 60896*x + 2240, -3*x^36 + 6*x^35 + 158*x^34 - 306*x^33 - 3788*x^32 + 7075*x^31 + 54758*x^30 - 98196*x^29 - 532831*x^28 + 913153*x^27 + 3689361*x^26 - 6014096*x^25 - 18732952*x^24 + 28917868*x^23 + 70821496*x^22 - 103155800*x^21 - 200290173*x^20 + 274735492*x^19 + 421896318*x^18 - 545603976*x^17 - 652919521*x^16 + 801179498*x^15 + 723715809*x^14 - 855702363*x^13 - 550002038*x^12 + 646772067*x^11 + 264453991*x^10 - 330759983*x^9 - 66314514*x^8 + 105953547*x^7 + 1917409*x^6 - 18300042*x^5 + 2618192*x^4 + 1109504*x^3 - 376048*x^2 + 41696*x - 1600, -3*x^36 + 6*x^35 + 158*x^34 - 306*x^33 - 3788*x^32 + 7075*x^31 + 54758*x^30 - 98196*x^29 - 532831*x^28 + 913153*x^27 + 3689361*x^26 - 6014096*x^25 - 18732952*x^24 + 28917868*x^23 + 70821496*x^22 - 103155800*x^21 - 200290173*x^20 + 274735492*x^19 + 421896318*x^18 - 545603976*x^17 - 652919521*x^16 + 801179498*x^15 + 723715809*x^14 - 855702363*x^13 - 550002038*x^12 + 646772067*x^11 + 264453991*x^10 - 330759983*x^9 - 66314514*x^8 + 105953547*x^7 + 1917409*x^6 - 18300042*x^5 + 2618192*x^4 + 1109504*x^3 - 376048*x^2 + 41696*x - 1600, -3*x^34 + 7*x^33 + 146*x^32 - 343*x^31 - 3191*x^30 + 7555*x^29 + 41447*x^28 - 99064*x^27 - 356616*x^26 + 862942*x^25 + 2143430*x^24 - 5275216*x^23 - 9238714*x^22 + 23296662*x^21 + 28809930*x^20 - 75346854*x^19 - 64570983*x^18 + 178896341*x^17 + 101306506*x^16 - 309453698*x^15 - 104275684*x^14 + 382823461*x^13 + 58075735*x^12 - 327757196*x^11 + 154743*x^10 + 183818346*x^9 - 23229844*x^8 - 61379733*x^7 + 14191638*x^6 + 10095438*x^5 - 3323724*x^4 - 455408*x^3 + 266672*x^2 - 29408*x + 960, -3*x^34 + 7*x^33 + 146*x^32 - 343*x^31 - 3191*x^30 + 7555*x^29 + 41447*x^28 - 99064*x^27 - 356616*x^26 + 862942*x^25 + 2143430*x^24 - 5275216*x^23 - 9238714*x^22 + 23296662*x^21 + 28809930*x^20 - 75346854*x^19 - 64570983*x^18 + 178896341*x^17 + 101306506*x^16 - 309453698*x^15 - 104275684*x^14 + 382823461*x^13 + 58075735*x^12 - 327757196*x^11 + 154743*x^10 + 183818346*x^9 - 23229844*x^8 - 61379733*x^7 + 14191638*x^6 + 10095438*x^5 - 3323724*x^4 - 455408*x^3 + 266672*x^2 - 29408*x + 960, -3*x^36 + 9*x^35 + 147*x^34 - 448*x^33 - 3251*x^32 + 10096*x^31 + 42936*x^30 - 136428*x^29 - 377495*x^28 + 1234255*x^27 + 2330480*x^26 - 7905113*x^25 - 10373784*x^24 + 36962571*x^23 + 33589724*x^22 - 128247673*x^21 - 78478965*x^20 + 332318782*x^19 + 127969717*x^18 - 642017815*x^17 - 132188068*x^16 + 915825858*x^15 + 54970514*x^14 - 946101828*x^13 + 58838762*x^12 + 684543794*x^11 - 114748567*x^10 - 327456773*x^9 + 85861180*x^8 + 92938355*x^7 - 33018687*x^6 - 12133378*x^5 + 5922532*x^4 + 113368*x^3 - 329232*x^2 + 46848*x - 1920, -3*x^36 + 9*x^35 + 147*x^34 - 448*x^33 - 3251*x^32 + 10096*x^31 + 42936*x^30 - 136428*x^29 - 377495*x^28 + 1234255*x^27 + 2330480*x^26 - 7905113*x^25 - 10373784*x^24 + 36962571*x^23 + 33589724*x^22 - 128247673*x^21 - 78478965*x^20 + 332318782*x^19 + 127969717*x^18 - 642017815*x^17 - 132188068*x^16 + 915825858*x^15 + 54970514*x^14 - 946101828*x^13 + 58838762*x^12 + 684543794*x^11 - 114748567*x^10 - 327456773*x^9 + 85861180*x^8 + 92938355*x^7 - 33018687*x^6 - 12133378*x^5 + 5922532*x^4 + 113368*x^3 - 329232*x^2 + 46848*x - 1920, -3*x^36 + 9*x^35 + 147*x^34 - 448*x^33 - 3245*x^32 + 10088*x^31 + 42640*x^30 - 136033*x^29 - 370973*x^28 + 1225593*x^27 + 2245551*x^26 - 7793233*x^25 - 9645544*x^24 + 36012229*x^23 + 29257012*x^22 - 122640982*x^21 - 60134795*x^20 + 308693613*x^19 + 72249705*x^18 - 570086116*x^17 - 11509872*x^16 + 757732139*x^15 - 127333200*x^14 - 698551075*x^13 + 242267282*x^12 + 415904569*x^11 - 226103624*x^10 - 135035043*x^9 + 115969306*x^8 + 9466850*x^7 - 29157079*x^6 + 6325276*x^5 + 2043284*x^4 - 1109528*x^3 + 173104*x^2 - 8992*x, -3*x^36 + 9*x^35 + 147*x^34 - 448*x^33 - 3245*x^32 + 10088*x^31 + 42640*x^30 - 136033*x^29 - 370973*x^28 + 1225593*x^27 + 2245551*x^26 - 7793233*x^25 - 9645544*x^24 + 36012229*x^23 + 29257012*x^22 - 122640982*x^21 - 60134795*x^20 + 308693613*x^19 + 72249705*x^18 - 570086116*x^17 - 11509872*x^16 + 757732139*x^15 - 127333200*x^14 - 698551075*x^13 + 242267282*x^12 + 415904569*x^11 - 226103624*x^10 - 135035043*x^9 + 115969306*x^8 + 9466850*x^7 - 29157079*x^6 + 6325276*x^5 + 2043284*x^4 - 1109528*x^3 + 173104*x^2 - 8992*x, -3*x^35 + 9*x^34 + 142*x^33 - 428*x^32 - 3033*x^31 + 9176*x^30 + 38693*x^29 - 117356*x^28 - 328867*x^27 + 998590*x^26 + 1966205*x^25 - 5970327*x^24 - 8504654*x^23 + 25824281*x^22 + 26920953*x^21 - 81989358*x^20 - 62195276*x^19 + 191844976*x^18 + 102812163*x^17 - 329218472*x^16 - 115662414*x^15 + 408351188*x^14 + 77333468*x^13 - 356033059*x^12 - 13976869*x^11 + 207332502*x^10 - 22451470*x^9 - 72722784*x^8 + 19623518*x^7 + 11526218*x^6 - 6158116*x^5 + 387536*x^4 + 553768*x^3 - 220352*x^2 + 32896*x - 1600, -3*x^35 + 9*x^34 + 142*x^33 - 428*x^32 - 3033*x^31 + 9176*x^30 + 38693*x^29 - 117356*x^28 - 328867*x^27 + 998590*x^26 + 1966205*x^25 - 5970327*x^24 - 8504654*x^23 + 25824281*x^22 + 26920953*x^21 - 81989358*x^20 - 62195276*x^19 + 191844976*x^18 + 102812163*x^17 - 329218472*x^16 - 115662414*x^15 + 408351188*x^14 + 77333468*x^13 - 356033059*x^12 - 13976869*x^11 + 207332502*x^10 - 22451470*x^9 - 72722784*x^8 + 19623518*x^7 + 11526218*x^6 - 6158116*x^5 + 387536*x^4 + 553768*x^3 - 220352*x^2 + 32896*x - 1600, -3*x^35 + 6*x^34 + 152*x^33 - 290*x^32 - 3506*x^31 + 6328*x^30 + 48783*x^29 - 82521*x^28 - 457280*x^27 + 717615*x^26 + 3053303*x^25 - 4397849*x^24 - 14967101*x^23 + 19577746*x^22 + 54682123*x^21 - 64345902*x^20 - 149552483*x^19 + 157267658*x^18 + 304734311*x^17 - 285980188*x^16 - 456200431*x^15 + 384764677*x^14 + 489296105*x^13 - 377968015*x^12 - 360674295*x^11 + 263971901*x^10 + 170051455*x^9 - 124392539*x^8 - 44285041*x^7 + 35705321*x^6 + 3946844*x^5 - 5048772*x^4 + 366256*x^3 + 198784*x^2 - 34784*x + 1536, -3*x^35 + 6*x^34 + 152*x^33 - 290*x^32 - 3506*x^31 + 6328*x^30 + 48783*x^29 - 82521*x^28 - 457280*x^27 + 717615*x^26 + 3053303*x^25 - 4397849*x^24 - 14967101*x^23 + 19577746*x^22 + 54682123*x^21 - 64345902*x^20 - 149552483*x^19 + 157267658*x^18 + 304734311*x^17 - 285980188*x^16 - 456200431*x^15 + 384764677*x^14 + 489296105*x^13 - 377968015*x^12 - 360674295*x^11 + 263971901*x^10 + 170051455*x^9 - 124392539*x^8 - 44285041*x^7 + 35705321*x^6 + 3946844*x^5 - 5048772*x^4 + 366256*x^3 + 198784*x^2 - 34784*x + 1536, -3*x^34 + 10*x^33 + 135*x^32 - 468*x^31 - 2704*x^30 + 9851*x^29 + 31720*x^28 - 123243*x^27 - 240929*x^26 + 1020344*x^25 + 1232779*x^24 - 5890883*x^23 - 4250706*x^22 + 24349191*x^21 + 9352251*x^20 - 72811374*x^19 - 10185906*x^18 + 157269541*x^17 - 6691850*x^16 - 242211082*x^15 + 44282608*x^14 + 259069982*x^13 - 76229279*x^12 - 183908020*x^11 + 71184995*x^10 + 80082573*x^9 - 37844436*x^8 - 18288244*x^7 + 10600417*x^6 + 1332386*x^5 - 1268964*x^4 + 98216*x^3 + 39632*x^2 - 7904*x + 384, -3*x^34 + 10*x^33 + 135*x^32 - 468*x^31 - 2704*x^30 + 9851*x^29 + 31720*x^28 - 123243*x^27 - 240929*x^26 + 1020344*x^25 + 1232779*x^24 - 5890883*x^23 - 4250706*x^22 + 24349191*x^21 + 9352251*x^20 - 72811374*x^19 - 10185906*x^18 + 157269541*x^17 - 6691850*x^16 - 242211082*x^15 + 44282608*x^14 + 259069982*x^13 - 76229279*x^12 - 183908020*x^11 + 71184995*x^10 + 80082573*x^9 - 37844436*x^8 - 18288244*x^7 + 10600417*x^6 + 1332386*x^5 - 1268964*x^4 + 98216*x^3 + 39632*x^2 - 7904*x + 384, -x^33 + x^32 + 41*x^31 - 28*x^30 - 747*x^29 + 216*x^28 + 7986*x^27 + 1604*x^26 - 55714*x^25 - 45202*x^24 + 266777*x^23 + 419696*x^22 - 897204*x^21 - 2269344*x^20 + 2130154*x^19 + 7980994*x^18 - 3538177*x^17 - 18890007*x^16 + 4038294*x^15 + 30189144*x^14 - 3152967*x^13 - 32012192*x^12 + 1824071*x^11 + 21661129*x^10 - 924106*x^9 - 8723278*x^8 + 326515*x^7 + 1879483*x^6 + 426*x^5 - 236572*x^4 - 15256*x^3 + 39808*x^2 - 8864*x + 512, -x^33 + x^32 + 41*x^31 - 28*x^30 - 747*x^29 + 216*x^28 + 7986*x^27 + 1604*x^26 - 55714*x^25 - 45202*x^24 + 266777*x^23 + 419696*x^22 - 897204*x^21 - 2269344*x^20 + 2130154*x^19 + 7980994*x^18 - 3538177*x^17 - 18890007*x^16 + 4038294*x^15 + 30189144*x^14 - 3152967*x^13 - 32012192*x^12 + 1824071*x^11 + 21661129*x^10 - 924106*x^9 - 8723278*x^8 + 326515*x^7 + 1879483*x^6 + 426*x^5 - 236572*x^4 - 15256*x^3 + 39808*x^2 - 8864*x + 512, -3*x^37 + 9*x^36 + 153*x^35 - 465*x^34 - 3537*x^33 + 10912*x^32 + 49074*x^31 - 154080*x^30 - 455961*x^29 + 1462026*x^28 + 2996443*x^27 - 9860681*x^26 - 14331423*x^25 + 48762226*x^24 + 50499269*x^23 - 179771009*x^22 - 130894653*x^21 + 497504655*x^20 + 245036197*x^19 - 1032493709*x^18 - 315210850*x^17 + 1593385019*x^16 + 240349645*x^15 - 1797819563*x^14 - 32830679*x^13 + 1441373431*x^12 - 145190141*x^11 - 782766004*x^10 + 167410492*x^9 + 263590626*x^8 - 88016004*x^7 - 44619021*x^6 + 22769166*x^5 + 949660*x^4 - 2143592*x^3 + 447616*x^2 - 36896*x + 1088, -3*x^37 + 9*x^36 + 153*x^35 - 465*x^34 - 3537*x^33 + 10912*x^32 + 49074*x^31 - 154080*x^30 - 455961*x^29 + 1462026*x^28 + 2996443*x^27 - 9860681*x^26 - 14331423*x^25 + 48762226*x^24 + 50499269*x^23 - 179771009*x^22 - 130894653*x^21 + 497504655*x^20 + 245036197*x^19 - 1032493709*x^18 - 315210850*x^17 + 1593385019*x^16 + 240349645*x^15 - 1797819563*x^14 - 32830679*x^13 + 1441373431*x^12 - 145190141*x^11 - 782766004*x^10 + 167410492*x^9 + 263590626*x^8 - 88016004*x^7 - 44619021*x^6 + 22769166*x^5 + 949660*x^4 - 2143592*x^3 + 447616*x^2 - 36896*x + 1088]>
       ]
>;

MOG[829] := 	// J_0(829)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [157, 465, 483, 539, 546, 561, 606, 636, 687, 770, 817, 315*x + 723, 514*x + 723, 324*x + 289, 505*x + 289, 539*x + 704, 290*x + 704, 789*x + 592, 40*x + 592, 9*x + 484, 820*x + 484, 615*x + 287, 214*x + 287, 716*x + 429, 113*x + 429, 565*x + 656, 264*x + 656, 494*x + 473, 335*x + 473, 189*x + 783, 640*x + 783, 610*x + 627, 219*x + 627, 449*x + 137, 380*x + 137, 622*x + 108, 207*x + 108, 425*x + 278, 404*x + 278, 590*x + 334, 239*x + 334, 645*x + 325, 184*x + 325, 577*x + 39, 252*x + 39, 311*x + 648, 518*x + 648, 700*x + 26, 129*x + 26, 210*x + 620, 619*x + 620, 262*x + 676, 567*x + 676, 14*x + 584, 815*x + 584, 104*x + 641, 725*x + 641, 781*x + 350, 48*x + 350, 648*x + 528, 181*x + 528, 409*x + 441, 420*x + 441, 746*x + 415, 83*x + 415, 164*x + 437, 665*x + 437, 632*x + 368, 197*x + 368]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -2, 2, 0, 0, 0, 0, 1, -1, 1, -1, 1, -1, 1, -1, -1, 1, 1, -1, 1, -1, -1, 1, -2, 2, 2, -2, 0, 0, 0, 0, -2, 2, 0, 0, -1, 1, -1, 1, -1, 1, 1, -1, -1, 1, 1, -1, 0, 0, 1, -1, 1, -1, 0, 0, 0, 0, 1, -1]>,
         rec<Eigen |
           DefiningPolynomial := x^28 + 9*x^27 + 2*x^26 - 205*x^25 - 452*x^24 + 1819*x^23 + 6649*x^22 - 7029*x^21 - 47603*x^20 + 663*x^19 + 202963*x^18 + 109767*x^17 - 551296*x^16 - 506867*x^15 + 969620*x^14 + 1212353*x^13 - 1075638*x^12 - 1773254*x^11 + 674483*x^10 + 1629062*x^9 - 130421*x^8 - 908791*x^7 - 110578*x^6 + 274876*x^5 + 77139*x^4 - 30842*x^3 - 14826*x^2 - 1570*x - 33,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^26 - 9*x^25 - 6*x^24 + 169*x^23 + 424*x^22 - 1177*x^21 - 4972*x^20 + 2904*x^19 + 29054*x^18 + 7287*x^17 - 100737*x^16 - 72321*x^15 + 219203*x^14 + 231806*x^13 - 299802*x^12 - 415712*x^11 + 242492*x^10 + 451947*x^9 - 89554*x^8 - 293009*x^7 - 14093*x^6 + 101987*x^5 + 23988*x^4 - 13178*x^3 - 5976*x^2 - 697*x - 17, x^26 + 9*x^25 + 6*x^24 - 169*x^23 - 424*x^22 + 1177*x^21 + 4972*x^20 - 2904*x^19 - 29054*x^18 - 7287*x^17 + 100737*x^16 + 72321*x^15 - 219203*x^14 - 231806*x^13 + 299802*x^12 + 415712*x^11 - 242492*x^10 - 451947*x^9 + 89554*x^8 + 293009*x^7 + 14093*x^6 - 101987*x^5 - 23988*x^4 + 13178*x^3 + 5976*x^2 + 697*x + 17, -x^27 - 9*x^26 - 5*x^25 + 178*x^24 + 432*x^23 - 1327*x^22 - 5369*x^21 + 3808*x^20 + 33107*x^19 + 5508*x^18 - 121690*x^17 - 77760*x^16 + 284610*x^15 + 272671*x^14 - 431963*x^13 - 527744*x^12 + 419464*x^11 + 628526*x^10 - 244294*x^9 - 465483*x^8 + 67988*x^7 + 204923*x^6 + 3366*x^5 - 47386*x^4 - 6709*x^3 + 4034*x^2 + 1059*x + 66, x^27 + 9*x^26 + 5*x^25 - 178*x^24 - 432*x^23 + 1327*x^22 + 5369*x^21 - 3808*x^20 - 33107*x^19 - 5508*x^18 + 121690*x^17 + 77760*x^16 - 284610*x^15 - 272671*x^14 + 431963*x^13 + 527744*x^12 - 419464*x^11 - 628526*x^10 + 244294*x^9 + 465483*x^8 - 67988*x^7 - 204923*x^6 - 3366*x^5 + 47386*x^4 + 6709*x^3 - 4034*x^2 - 1059*x - 66, -x^25 - 9*x^24 - 8*x^23 + 150*x^22 + 397*x^21 - 904*x^20 - 4053*x^19 + 1779*x^18 + 20953*x^17 + 5439*x^16 - 65407*x^15 - 40865*x^14 + 132161*x^13 + 112032*x^12 - 176972*x^11 - 176579*x^10 + 154740*x^9 + 172474*x^8 - 82081*x^7 - 102936*x^6 + 20622*x^5 + 34208*x^4 + 733*x^3 - 4731*x^2 - 1076*x - 66, x^25 + 9*x^24 + 8*x^23 - 150*x^22 - 397*x^21 + 904*x^20 + 4053*x^19 - 1779*x^18 - 20953*x^17 - 5439*x^16 + 65407*x^15 + 40865*x^14 - 132161*x^13 - 112032*x^12 + 176972*x^11 + 176579*x^10 - 154740*x^9 - 172474*x^8 + 82081*x^7 + 102936*x^6 - 20622*x^5 - 34208*x^4 - 733*x^3 + 4731*x^2 + 1076*x + 66, -x^26 - 9*x^25 - 7*x^24 + 161*x^23 + 423*x^22 - 1031*x^21 - 4697*x^20 + 1891*x^19 + 25925*x^18 + 10267*x^17 - 84146*x^16 - 72607*x^15 + 169366*x^14 + 208259*x^13 - 211083*x^12 - 343478*x^11 + 152492*x^10 + 346882*x^9 - 48168*x^8 - 211917*x^7 - 8730*x^6 + 72566*x^5 + 11032*x^4 - 11337*x^3 - 2463*x^2 + 351*x + 58, x^26 + 9*x^25 + 7*x^24 - 161*x^23 - 423*x^22 + 1031*x^21 + 4697*x^20 - 1891*x^19 - 25925*x^18 - 10267*x^17 + 84146*x^16 + 72607*x^15 - 169366*x^14 - 208259*x^13 + 211083*x^12 + 343478*x^11 - 152492*x^10 - 346882*x^9 + 48168*x^8 + 211917*x^7 + 8730*x^6 - 72566*x^5 - 11032*x^4 + 11337*x^3 + 2463*x^2 - 351*x - 58, -x^26 - 9*x^25 - 7*x^24 + 162*x^23 + 433*x^22 - 1013*x^21 - 4827*x^20 + 1376*x^19 + 26294*x^18 + 14453*x^17 - 81803*x^16 - 89268*x^15 + 149088*x^14 + 244544*x^13 - 145289*x^12 - 385538*x^11 + 35205*x^10 + 364750*x^9 + 75289*x^8 - 198942*x^7 - 84389*x^6 + 52937*x^5 + 35410*x^4 - 2293*x^3 - 5328*x^2 - 1158*x - 74, x^26 + 9*x^25 + 7*x^24 - 162*x^23 - 433*x^22 + 1013*x^21 + 4827*x^20 - 1376*x^19 - 26294*x^18 - 14453*x^17 + 81803*x^16 + 89268*x^15 - 149088*x^14 - 244544*x^13 + 145289*x^12 + 385538*x^11 - 35205*x^10 - 364750*x^9 - 75289*x^8 + 198942*x^7 + 84389*x^6 - 52937*x^5 - 35410*x^4 + 2293*x^3 + 5328*x^2 + 1158*x + 74, -x^24 - 10*x^23 - 17*x^22 + 139*x^21 + 527*x^20 - 485*x^19 - 4554*x^18 - 1935*x^17 + 19472*x^16 + 21013*x^15 - 46469*x^14 - 74673*x^13 + 61903*x^12 + 143299*x^11 - 38781*x^10 - 161611*x^9 - 2656*x^8 + 106138*x^7 + 19382*x^6 - 36912*x^5 - 10859*x^4 + 4901*x^3 + 2065*x^2 + 131*x - 8, x^24 + 10*x^23 + 17*x^22 - 139*x^21 - 527*x^20 + 485*x^19 + 4554*x^18 + 1935*x^17 - 19472*x^16 - 21013*x^15 + 46469*x^14 + 74673*x^13 - 61903*x^12 - 143299*x^11 + 38781*x^10 + 161611*x^9 + 2656*x^8 - 106138*x^7 - 19382*x^6 + 36912*x^5 + 10859*x^4 - 4901*x^3 - 2065*x^2 - 131*x + 8, -x^24 - 9*x^23 - 10*x^22 + 134*x^21 + 392*x^20 - 640*x^19 - 3547*x^18 + 87*x^17 + 15858*x^16 + 10443*x^15 - 40573*x^14 - 45101*x^13 + 60927*x^12 + 95834*x^11 - 48971*x^10 - 117862*x^9 + 10129*x^8 + 83935*x^7 + 15333*x^6 - 30867*x^5 - 12396*x^4 + 3546*x^3 + 2835*x^2 + 500*x + 25, x^24 + 9*x^23 + 10*x^22 - 134*x^21 - 392*x^20 + 640*x^19 + 3547*x^18 - 87*x^17 - 15858*x^16 - 10443*x^15 + 40573*x^14 + 45101*x^13 - 60927*x^12 - 95834*x^11 + 48971*x^10 + 117862*x^9 - 10129*x^8 - 83935*x^7 - 15333*x^6 + 30867*x^5 + 12396*x^4 - 3546*x^3 - 2835*x^2 - 500*x - 25, -x^25 - 8*x^24 + 153*x^22 + 269*x^21 - 1155*x^20 - 3275*x^19 + 4150*x^18 + 18780*x^17 - 5231*x^16 - 63032*x^15 - 12754*x^14 + 132883*x^13 + 63988*x^12 - 179209*x^11 - 118633*x^10 + 151756*x^9 + 120154*x^8 - 75315*x^7 - 68613*x^6 + 17875*x^5 + 20267*x^4 - 326*x^3 - 2299*x^2 - 400*x - 25, x^25 + 8*x^24 - 153*x^22 - 269*x^21 + 1155*x^20 + 3275*x^19 - 4150*x^18 - 18780*x^17 + 5231*x^16 + 63032*x^15 + 12754*x^14 - 132883*x^13 - 63988*x^12 + 179209*x^11 + 118633*x^10 - 151756*x^9 - 120154*x^8 + 75315*x^7 + 68613*x^6 - 17875*x^5 - 20267*x^4 + 326*x^3 + 2299*x^2 + 400*x + 25, -x^25 - 9*x^24 - 9*x^23 + 143*x^22 + 403*x^21 - 762*x^20 - 3907*x^19 + 609*x^18 + 18764*x^17 + 10384*x^16 - 52212*x^15 - 51658*x^14 + 87997*x^13 + 120278*x^12 - 87763*x^11 - 163011*x^10 + 44370*x^9 + 133412*x^8 - 1403*x^7 - 63744*x^6 - 10209*x^5 + 15782*x^4 + 4572*x^3 - 1384*x^2 - 601*x - 41, x^25 + 9*x^24 + 9*x^23 - 143*x^22 - 403*x^21 + 762*x^20 + 3907*x^19 - 609*x^18 - 18764*x^17 - 10384*x^16 + 52212*x^15 + 51658*x^14 - 87997*x^13 - 120278*x^12 + 87763*x^11 + 163011*x^10 - 44370*x^9 - 133412*x^8 + 1403*x^7 + 63744*x^6 + 10209*x^5 - 15782*x^4 - 4572*x^3 + 1384*x^2 + 601*x + 41, -x^25 - 8*x^24 + x^23 + 161*x^22 + 272*x^21 - 1285*x^20 - 3542*x^19 + 4918*x^18 + 21376*x^17 - 6923*x^16 - 74880*x^15 - 14388*x^14 + 163476*x^13 + 81068*x^12 - 226357*x^11 - 159181*x^10 + 194386*x^9 + 170364*x^8 - 95075*x^7 - 103867*x^6 + 19478*x^5 + 33459*x^4 + 1951*x^3 - 4244*x^2 - 1084*x - 74, x^25 + 8*x^24 - x^23 - 161*x^22 - 272*x^21 + 1285*x^20 + 3542*x^19 - 4918*x^18 - 21376*x^17 + 6923*x^16 + 74880*x^15 + 14388*x^14 - 163476*x^13 - 81068*x^12 + 226357*x^11 + 159181*x^10 - 194386*x^9 - 170364*x^8 + 95075*x^7 + 103867*x^6 - 19478*x^5 - 33459*x^4 - 1951*x^3 + 4244*x^2 + 1084*x + 74, -x^25 - 8*x^24 + 153*x^22 + 270*x^21 - 1147*x^20 - 3271*x^19 + 4027*x^18 + 18511*x^17 - 4585*x^16 - 60642*x^15 - 13739*x^14 + 123198*x^13 + 61138*x^12 - 157902*x^11 - 104595*x^10 + 125197*x^9 + 96177*x^8 - 57302*x^7 - 48119*x^6 + 12566*x^5 + 11634*x^4 - 570*x^3 - 948*x^2 - 49*x + 8, x^25 + 8*x^24 - 153*x^22 - 270*x^21 + 1147*x^20 + 3271*x^19 - 4027*x^18 - 18511*x^17 + 4585*x^16 + 60642*x^15 + 13739*x^14 - 123198*x^13 - 61138*x^12 + 157902*x^11 + 104595*x^10 - 125197*x^9 - 96177*x^8 + 57302*x^7 + 48119*x^6 - 12566*x^5 - 11634*x^4 + 570*x^3 + 948*x^2 + 49*x - 8, -x^24 - 9*x^23 - 10*x^22 + 136*x^21 + 409*x^20 - 620*x^19 - 3756*x^18 - 527*x^17 + 16576*x^16 + 14887*x^15 - 39629*x^14 - 60208*x^13 + 48525*x^12 + 123041*x^11 - 14603*x^10 - 143376*x^9 - 36414*x^8 + 93521*x^7 + 48836*x^6 - 28737*x^5 - 24346*x^4 + 775*x^3 + 4331*x^2 + 1117*x + 82, x^24 + 9*x^23 + 10*x^22 - 136*x^21 - 409*x^20 + 620*x^19 + 3756*x^18 + 527*x^17 - 16576*x^16 - 14887*x^15 + 39629*x^14 + 60208*x^13 - 48525*x^12 - 123041*x^11 + 14603*x^10 + 143376*x^9 + 36414*x^8 - 93521*x^7 - 48836*x^6 + 28737*x^5 + 24346*x^4 - 775*x^3 - 4331*x^2 - 1117*x - 82, -x^22 - 6*x^21 + 10*x^20 + 119*x^19 + 42*x^18 - 954*x^17 - 1002*x^16 + 4051*x^15 + 5821*x^14 - 10050*x^13 - 17258*x^12 + 15150*x^11 + 29571*x^10 - 14020*x^9 - 29922*x^8 + 7942*x^7 + 17188*x^6 - 2744*x^5 - 4961*x^4 + 557*x^3 + 531*x^2 - 49*x - 16, x^22 + 6*x^21 - 10*x^20 - 119*x^19 - 42*x^18 + 954*x^17 + 1002*x^16 - 4051*x^15 - 5821*x^14 + 10050*x^13 + 17258*x^12 - 15150*x^11 - 29571*x^10 + 14020*x^9 + 29922*x^8 - 7942*x^7 - 17188*x^6 + 2744*x^5 + 4961*x^4 - 557*x^3 - 531*x^2 + 49*x + 16, -x^23 - 8*x^22 - 3*x^21 + 129*x^20 + 258*x^19 - 786*x^18 - 2522*x^17 + 2035*x^16 + 11887*x^15 - 249*x^14 - 32773*x^13 - 12409*x^12 + 56318*x^11 + 35433*x^10 - 60534*x^9 - 49643*x^8 + 38374*x^7 + 38946*x^6 - 11678*x^5 - 16141*x^4 + 74*x^3 + 2656*x^2 + 605*x + 33, x^23 + 8*x^22 + 3*x^21 - 129*x^20 - 258*x^19 + 786*x^18 + 2522*x^17 - 2035*x^16 - 11887*x^15 + 249*x^14 + 32773*x^13 + 12409*x^12 - 56318*x^11 - 35433*x^10 + 60534*x^9 + 49643*x^8 - 38374*x^7 - 38946*x^6 + 11678*x^5 + 16141*x^4 - 74*x^3 - 2656*x^2 - 605*x - 33, -x^23 - 8*x^22 - 2*x^21 + 135*x^20 + 248*x^19 - 906*x^18 - 2573*x^17 + 2969*x^16 + 12947*x^15 - 3987*x^14 - 38461*x^13 - 3789*x^12 + 71683*x^11 + 23284*x^10 - 84077*x^9 - 38896*x^8 + 59040*x^7 + 33123*x^6 - 21340*x^5 - 14521*x^4 + 2028*x^3 + 2575*x^2 + 496*x + 33, x^23 + 8*x^22 + 2*x^21 - 135*x^20 - 248*x^19 + 906*x^18 + 2573*x^17 - 2969*x^16 - 12947*x^15 + 3987*x^14 + 38461*x^13 + 3789*x^12 - 71683*x^11 - 23284*x^10 + 84077*x^9 + 38896*x^8 - 59040*x^7 - 33123*x^6 + 21340*x^5 + 14521*x^4 - 2028*x^3 - 2575*x^2 - 496*x - 33, -x^24 - 8*x^23 - x^22 + 145*x^21 + 267*x^20 - 1016*x^19 - 2995*x^18 + 3282*x^17 + 15883*x^16 - 3179*x^15 - 49237*x^14 - 11388*x^13 + 95862*x^12 + 45636*x^11 - 119369*x^10 - 74972*x^9 + 93007*x^8 + 67989*x^7 - 42008*x^6 - 34424*x^5 + 8909*x^4 + 8712*x^3 - 236*x^2 - 776*x - 83, x^24 + 8*x^23 + x^22 - 145*x^21 - 267*x^20 + 1016*x^19 + 2995*x^18 - 3282*x^17 - 15883*x^16 + 3179*x^15 + 49237*x^14 + 11388*x^13 - 95862*x^12 - 45636*x^11 + 119369*x^10 + 74972*x^9 - 93007*x^8 - 67989*x^7 + 42008*x^6 + 34424*x^5 - 8909*x^4 - 8712*x^3 + 236*x^2 + 776*x + 83, -x^24 - 9*x^23 - 10*x^22 + 134*x^21 + 392*x^20 - 636*x^19 - 3519*x^18 + 96*x^17 + 15511*x^16 + 9808*x^15 - 39129*x^14 - 40616*x^13 + 59309*x^12 + 81889*x^11 - 53790*x^10 - 95801*x^9 + 27441*x^8 + 67165*x^7 - 6417*x^6 - 27577*x^5 - 5*x^4 + 6140*x^3 + 279*x^2 - 588*x - 66, x^24 + 9*x^23 + 10*x^22 - 134*x^21 - 392*x^20 + 636*x^19 + 3519*x^18 - 96*x^17 - 15511*x^16 - 9808*x^15 + 39129*x^14 + 40616*x^13 - 59309*x^12 - 81889*x^11 + 53790*x^10 + 95801*x^9 - 27441*x^8 - 67165*x^7 + 6417*x^6 + 27577*x^5 + 5*x^4 - 6140*x^3 - 279*x^2 + 588*x + 66, -x^24 - 9*x^23 - 10*x^22 + 135*x^21 + 398*x^20 - 646*x^19 - 3642*x^18 + 21*x^17 + 16423*x^16 + 11141*x^15 - 42240*x^14 - 47365*x^13 + 64011*x^12 + 98578*x^11 - 54332*x^10 - 117669*x^9 + 19324*x^8 + 81008*x^7 + 4938*x^6 - 29207*x^5 - 6455*x^4 + 3813*x^3 + 1583*x^2 + 196*x + 8, x^24 + 9*x^23 + 10*x^22 - 135*x^21 - 398*x^20 + 646*x^19 + 3642*x^18 - 21*x^17 - 16423*x^16 - 11141*x^15 + 42240*x^14 + 47365*x^13 - 64011*x^12 - 98578*x^11 + 54332*x^10 + 117669*x^9 - 19324*x^8 - 81008*x^7 - 4938*x^6 + 29207*x^5 + 6455*x^4 - 3813*x^3 - 1583*x^2 - 196*x - 8, -x^22 - 8*x^21 - 5*x^20 + 112*x^19 + 239*x^18 - 574*x^17 - 1936*x^16 + 1195*x^15 + 7551*x^14 - 81*x^13 - 17018*x^12 - 4083*x^11 + 23870*x^10 + 7685*x^9 - 21398*x^8 - 6615*x^7 + 11935*x^6 + 3048*x^5 - 3671*x^4 - 816*x^3 + 426*x^2 + 138*x + 8, x^22 + 8*x^21 + 5*x^20 - 112*x^19 - 239*x^18 + 574*x^17 + 1936*x^16 - 1195*x^15 - 7551*x^14 + 81*x^13 + 17018*x^12 + 4083*x^11 - 23870*x^10 - 7685*x^9 + 21398*x^8 + 6615*x^7 - 11935*x^6 - 3048*x^5 + 3671*x^4 + 816*x^3 - 426*x^2 - 138*x - 8, -x^21 - 9*x^20 - 18*x^19 + 68*x^18 + 309*x^17 + 58*x^16 - 1483*x^15 - 1875*x^14 + 2851*x^13 + 6967*x^12 - 867*x^11 - 11822*x^10 - 5111*x^9 + 10015*x^8 + 8228*x^7 - 3550*x^6 - 4994*x^5 - 97*x^4 + 1057*x^3 + 236*x^2 + 29*x + 8, x^21 + 9*x^20 + 18*x^19 - 68*x^18 - 309*x^17 - 58*x^16 + 1483*x^15 + 1875*x^14 - 2851*x^13 - 6967*x^12 + 867*x^11 + 11822*x^10 + 5111*x^9 - 10015*x^8 - 8228*x^7 + 3550*x^6 + 4994*x^5 + 97*x^4 - 1057*x^3 - 236*x^2 - 29*x - 8, -x^23 - 8*x^22 - 2*x^21 + 139*x^20 + 280*x^19 - 868*x^18 - 2897*x^17 + 2052*x^16 + 13795*x^15 + 1366*x^14 - 37021*x^13 - 18352*x^12 + 59840*x^11 + 43661*x^10 - 58749*x^9 - 52165*x^8 + 33307*x^7 + 34189*x^6 - 8966*x^5 - 11555*x^4 + 90*x^3 + 1523*x^2 + 317*x + 25, x^23 + 8*x^22 + 2*x^21 - 139*x^20 - 280*x^19 + 868*x^18 + 2897*x^17 - 2052*x^16 - 13795*x^15 - 1366*x^14 + 37021*x^13 + 18352*x^12 - 59840*x^11 - 43661*x^10 + 58749*x^9 + 52165*x^8 - 33307*x^7 - 34189*x^6 + 8966*x^5 + 11555*x^4 - 90*x^3 - 1523*x^2 - 317*x - 25, -x^23 - 9*x^22 - 11*x^21 + 126*x^20 + 388*x^19 - 513*x^18 - 3253*x^17 - 576*x^16 + 13083*x^15 + 11042*x^14 - 28688*x^13 - 38389*x^12 + 33973*x^11 + 67210*x^10 - 16929*x^9 - 66247*x^8 - 5014*x^7 + 36167*x^6 + 10204*x^5 - 9642*x^4 - 4293*x^3 + 796*x^2 + 535*x + 41, x^23 + 9*x^22 + 11*x^21 - 126*x^20 - 388*x^19 + 513*x^18 + 3253*x^17 + 576*x^16 - 13083*x^15 - 11042*x^14 + 28688*x^13 + 38389*x^12 - 33973*x^11 - 67210*x^10 + 16929*x^9 + 66247*x^8 + 5014*x^7 - 36167*x^6 - 10204*x^5 + 9642*x^4 + 4293*x^3 - 796*x^2 - 535*x - 41, -x^23 - 9*x^22 - 11*x^21 + 126*x^20 + 384*x^19 - 546*x^18 - 3295*x^17 - 245*x^16 + 14023*x^15 + 10114*x^14 - 34036*x^13 - 38958*x^12 + 48581*x^11 + 74913*x^10 - 39066*x^9 - 82326*x^8 + 14283*x^7 + 51725*x^6 + 1010*x^5 - 16930*x^4 - 2432*x^3 + 2111*x^2 + 560*x + 25, x^23 + 9*x^22 + 11*x^21 - 126*x^20 - 384*x^19 + 546*x^18 + 3295*x^17 + 245*x^16 - 14023*x^15 - 10114*x^14 + 34036*x^13 + 38958*x^12 - 48581*x^11 - 74913*x^10 + 39066*x^9 + 82326*x^8 - 14283*x^7 - 51725*x^6 - 1010*x^5 + 16930*x^4 + 2432*x^3 - 2111*x^2 - 560*x - 25, -2*x^21 - 17*x^20 - 19*x^19 + 212*x^18 + 586*x^17 - 840*x^16 - 4336*x^15 + 168*x^14 + 15755*x^13 + 8326*x^12 - 32448*x^11 - 27748*x^10 + 39136*x^9 + 43028*x^8 - 26439*x^7 - 35898*x^6 + 8007*x^5 + 15325*x^4 + 352*x^3 - 2518*x^2 - 597*x - 33, 2*x^21 + 17*x^20 + 19*x^19 - 212*x^18 - 586*x^17 + 840*x^16 + 4336*x^15 - 168*x^14 - 15755*x^13 - 8326*x^12 + 32448*x^11 + 27748*x^10 - 39136*x^9 - 43028*x^8 + 26439*x^7 + 35898*x^6 - 8007*x^5 - 15325*x^4 - 352*x^3 + 2518*x^2 + 597*x + 33, -x^22 - 9*x^21 - 14*x^20 + 100*x^19 + 347*x^18 - 266*x^17 - 2400*x^16 - 1027*x^15 + 8204*x^14 + 8407*x^13 - 15430*x^12 - 23665*x^11 + 15266*x^10 + 35343*x^9 - 5041*x^8 - 29283*x^7 - 3928*x^6 + 12277*x^5 + 4023*x^4 - 1702*x^3 - 1023*x^2 - 171*x - 8, x^22 + 9*x^21 + 14*x^20 - 100*x^19 - 347*x^18 + 266*x^17 + 2400*x^16 + 1027*x^15 - 8204*x^14 - 8407*x^13 + 15430*x^12 + 23665*x^11 - 15266*x^10 - 35343*x^9 + 5041*x^8 + 29283*x^7 + 3928*x^6 - 12277*x^5 - 4023*x^4 + 1702*x^3 + 1023*x^2 + 171*x + 8, -x^22 - 7*x^21 + 4*x^20 + 130*x^19 + 166*x^18 - 921*x^17 - 2030*x^16 + 3062*x^15 + 10341*x^14 - 4113*x^13 - 29055*x^12 - 2842*x^11 + 48798*x^10 + 17696*x^9 - 49685*x^8 - 25572*x^7 + 29492*x^6 + 17875*x^5 - 8916*x^4 - 6132*x^3 + 789*x^2 + 830*x + 91, x^22 + 7*x^21 - 4*x^20 - 130*x^19 - 166*x^18 + 921*x^17 + 2030*x^16 - 3062*x^15 - 10341*x^14 + 4113*x^13 + 29055*x^12 + 2842*x^11 - 48798*x^10 - 17696*x^9 + 49685*x^8 + 25572*x^7 - 29492*x^6 - 17875*x^5 + 8916*x^4 + 6132*x^3 - 789*x^2 - 830*x - 91, -x^22 - 8*x^21 - 4*x^20 + 123*x^19 + 266*x^18 - 672*x^17 - 2428*x^16 + 1234*x^15 + 10441*x^14 + 2227*x^13 - 25336*x^12 - 14679*x^11 + 36861*x^10 + 29554*x^9 - 32455*x^8 - 30998*x^7 + 16621*x^6 + 17935*x^5 - 4288*x^4 - 5344*x^3 + 256*x^2 + 629*x + 66, x^22 + 8*x^21 + 4*x^20 - 123*x^19 - 266*x^18 + 672*x^17 + 2428*x^16 - 1234*x^15 - 10441*x^14 - 2227*x^13 + 25336*x^12 + 14679*x^11 - 36861*x^10 - 29554*x^9 + 32455*x^8 + 30998*x^7 - 16621*x^6 - 17935*x^5 + 4288*x^4 + 5344*x^3 - 256*x^2 - 629*x - 66, -x^21 - 5*x^20 + 16*x^19 + 113*x^18 - 54*x^17 - 1020*x^16 - 392*x^15 + 4862*x^14 + 3853*x^13 - 13545*x^12 - 13884*x^11 + 22833*x^10 + 26760*x^9 - 23092*x^8 - 29387*x^7 + 13178*x^6 + 17925*x^5 - 3493*x^4 - 5433*x^3 + 96*x^2 + 604*x + 66, x^21 + 5*x^20 - 16*x^19 - 113*x^18 + 54*x^17 + 1020*x^16 + 392*x^15 - 4862*x^14 - 3853*x^13 + 13545*x^12 + 13884*x^11 - 22833*x^10 - 26760*x^9 + 23092*x^8 + 29387*x^7 - 13178*x^6 - 17925*x^5 + 3493*x^4 + 5433*x^3 - 96*x^2 - 604*x - 66, -x^21 - 7*x^20 + x^19 + 107*x^18 + 153*x^17 - 618*x^16 - 1408*x^15 + 1626*x^14 + 5579*x^13 - 1626*x^12 - 11791*x^11 - 795*x^10 + 14028*x^9 + 2794*x^8 - 9363*x^7 - 1611*x^6 + 3443*x^5 + 10*x^4 - 795*x^3 + 89*x^2 + 160*x + 25, x^21 + 7*x^20 - x^19 - 107*x^18 - 153*x^17 + 618*x^16 + 1408*x^15 - 1626*x^14 - 5579*x^13 + 1626*x^12 + 11791*x^11 + 795*x^10 - 14028*x^9 - 2794*x^8 + 9363*x^7 + 1611*x^6 - 3443*x^5 - 10*x^4 + 795*x^3 - 89*x^2 - 160*x - 25]>,
         rec<Eigen |
           DefiningPolynomial := x^39 - 9*x^38 - 21*x^37 + 412*x^36 - 304*x^35 - 8286*x^34 + 16775*x^33 + 95106*x^32 - 290563*x^31 - 667337*x^30 + 2939739*x^29 + 2691028*x^28 - 19857527*x^27 - 3001072*x^26 + 94425669*x^25 - 33125542*x^24 - 323041436*x^23 + 235601727*x^22 + 797264813*x^21 - 845966728*x^20 - 1397288641*x^19 + 1978162355*x^18 + 1661745597*x^17 - 3187831619*x^16 - 1178197843*x^15 + 3569654783*x^14 + 223973230*x^13 - 2731036630*x^12 + 424910385*x^11 + 1370058209*x^10 - 448316156*x^9 - 415996323*x^8 + 203969169*x^7 + 63933062*x^6 - 47172217*x^5 - 2157332*x^4 + 5124263*x^3 - 437192*x^2 - 204389*x + 31644,
           Coordinates        := [-x^38 + 10*x^37 + 9*x^36 - 401*x^35 + 719*x^34 + 6803*x^33 - 22100*x^32 - 60838*x^31 + 309463*x^30 + 259240*x^29 - 2647251*x^28 + 278229*x^27 + 15163732*x^26 - 10760602*x^25 - 60273807*x^24 + 71719187*x^23 + 167064913*x^22 - 279599614*x^21 - 313950043*x^20 + 732080711*x^19 + 360340726*x^18 - 1337834877*x^17 - 138156054*x^16 + 1714626693*x^15 - 281389410*x^14 - 1515755795*x^13 + 558132187*x^12 + 886565437*x^11 - 487990406*x^10 - 313509787*x^9 + 241666233*x^8 + 51863662*x^7 - 66798469*x^6 + 1481361*x^5 + 8935536*x^4 - 1463728*x^3 - 381403*x^2 + 103989*x - 4414, x^38 - 10*x^37 - 9*x^36 + 401*x^35 - 719*x^34 - 6803*x^33 + 22102*x^32 + 60818*x^31 - 309457*x^30 - 258670*x^29 + 2645737*x^28 - 284327*x^27 - 15135250*x^26 + 10783390*x^25 + 60013703*x^24 - 71611009*x^23 - 165675707*x^22 + 277965086*x^21 + 309451597*x^20 - 723462333*x^19 - 352173446*x^18 + 1311671665*x^17 + 133840974*x^16 - 1665028615*x^15 + 266424470*x^14 + 1457498171*x^13 - 519342689*x^12 - 847937871*x^11 + 445316640*x^10 + 304151877*x^9 - 217362325*x^8 - 55783026*x^7 + 60411981*x^6 + 1303161*x^5 - 8563398*x^4 + 1026146*x^3 + 436215*x^2 - 87635*x + 764, 2*x^34 - 18*x^33 - 24*x^32 + 662*x^31 - 854*x^30 - 10340*x^29 + 26182*x^28 + 87238*x^27 - 331382*x^26 - 398084*x^25 + 2489006*x^24 + 565884*x^23 - 12275272*x^22 + 4292518*x^21 + 41288562*x^20 - 31342770*x^19 - 95369882*x^18 + 105759292*x^17 + 148212248*x^16 - 221052492*x^15 - 144982912*x^14 + 303117860*x^13 + 70904764*x^12 - 272806698*x^11 + 9421260*x^10 + 155800216*x^9 - 34312178*x^8 - 52329820*x^7 + 18970248*x^6 + 8790948*x^5 - 4420930*x^4 - 465628*x^3 + 389360*x^2 - 8752*x - 8374, -2*x^32 + 18*x^31 + 12*x^30 - 548*x^29 + 876*x^28 + 6958*x^27 - 19096*x^26 - 47002*x^25 + 188030*x^24 + 173266*x^23 - 1112192*x^22 - 266912*x^21 + 4379786*x^20 - 420520*x^19 - 12229138*x^18 + 2976496*x^17 + 25516520*x^16 - 7156616*x^15 - 41314222*x^14 + 11569926*x^13 + 51715186*x^12 - 15837974*x^11 - 47079470*x^10 + 17937994*x^9 + 27967596*x^8 - 13881244*x^7 - 9139598*x^6 + 6118398*x^5 + 1040576*x^4 - 1248320*x^3 + 97848*x^2 + 75120*x - 13192, -2*x^31 + 18*x^30 + 6*x^29 - 510*x^28 + 1028*x^27 + 5532*x^26 - 19740*x^25 - 24928*x^24 + 171190*x^23 - 13574*x^22 - 839760*x^21 + 688872*x^20 + 2436426*x^19 - 3467798*x^18 - 3948222*x^17 + 8843550*x^16 + 2495272*x^15 - 12657432*x^14 + 1975378*x^13 + 9340778*x^12 - 3884780*x^11 - 1722938*x^10 + 814334*x^9 - 2120128*x^8 + 2059846*x^7 + 1272574*x^6 - 1698938*x^5 - 66686*x^4 + 468220*x^3 - 85422*x^2 - 30578*x + 7772, 2*x^34 - 20*x^33 - 2*x^32 + 642*x^31 - 1472*x^30 - 8294*x^29 + 32476*x^28 + 49622*x^27 - 347274*x^26 - 45742*x^25 + 2248414*x^24 - 1419872*x^23 - 9442796*x^22 + 11307618*x^21 + 25946856*x^20 - 46161510*x^19 - 44011436*x^18 + 119053712*x^17 + 34052786*x^16 - 202910410*x^15 + 26347906*x^14 + 226542330*x^13 - 100240406*x^12 - 156303692*x^11 + 117635986*x^10 + 55679144*x^9 - 72418630*x^8 - 1641336*x^7 + 23348826*x^6 - 5544462*x^5 - 3187006*x^4 + 1505644*x^3 + 21282*x^2 - 103454*x + 14408, -2*x^32 + 20*x^31 - 6*x^30 - 570*x^29 + 1522*x^28 + 6030*x^27 - 28488*x^26 - 21258*x^25 + 257282*x^24 - 121844*x^23 - 1347674*x^22 + 1691536*x^21 + 4213058*x^20 - 8682200*x^19 - 7039272*x^18 + 25743506*x^17 + 1640896*x^16 - 47522030*x^15 + 18576146*x^14 + 54077926*x^13 - 40921736*x^12 - 34606764*x^11 + 42229508*x^10 + 8189350*x^9 - 23397322*x^8 + 3191866*x^7 + 6441042*x^6 - 2363596*x^5 - 592952*x^4 + 437226*x^3 - 34760*x^2 - 19230*x + 3590, 2*x^35 - 20*x^34 - 6*x^33 + 682*x^32 - 1476*x^31 - 9496*x^30 + 35382*x^29 + 63906*x^28 - 405822*x^27 - 120680*x^26 + 2825268*x^25 - 1417162*x^24 - 12872830*x^23 + 13702920*x^22 + 39119324*x^21 - 62203084*x^20 - 77107456*x^19 + 176587492*x^18 + 86374614*x^17 - 333937818*x^16 - 17263580*x^15 + 424173140*x^14 - 102260452*x^13 - 353901572*x^12 + 164636318*x^11 + 183337510*x^10 - 124323502*x^9 - 52039254*x^8 + 51535154*x^7 + 5257452*x^6 - 11552770*x^5 + 702118*x^4 + 1318522*x^3 - 208382*x^2 - 57410*x + 12488, -4*x^31 + 38*x^30 + 6*x^29 - 1122*x^28 + 2436*x^27 + 12976*x^26 - 48542*x^25 - 65874*x^24 + 454504*x^23 + 12014*x^22 - 2493644*x^21 + 1743514*x^20 + 8515392*x^19 - 10637774*x^18 - 17922932*x^17 + 33381016*x^16 + 20713916*x^15 - 63562694*x^14 - 5268056*x^13 + 75274472*x^12 - 18934552*x^11 - 53501136*x^10 + 27088852*x^9 + 20263662*x^8 - 16007224*x^7 - 2595266*x^6 + 4304986*x^5 - 389076*x^4 - 424996*x^3 + 69474*x^2 + 20082*x - 4288, -2*x^30 + 14*x^29 + 34*x^28 - 442*x^27 + 144*x^26 + 5820*x^25 - 8100*x^24 - 41128*x^23 + 88934*x^22 + 164294*x^21 - 511172*x^20 - 333472*x^19 + 1769482*x^18 + 71166*x^17 - 3805890*x^16 + 1231770*x^15 + 4958812*x^14 - 2739808*x^13 - 3504238*x^12 + 2332302*x^11 + 779824*x^10 - 163290*x^9 + 487754*x^8 - 1144620*x^7 - 229394*x^6 + 813786*x^5 - 71366*x^4 - 209418*x^3 + 49384*x^2 + 13346*x - 3886, 2*x^33 - 18*x^32 - 22*x^31 + 646*x^30 - 896*x^29 - 9680*x^28 + 25758*x^27 + 76260*x^26 - 309758*x^25 - 303068*x^24 + 2193250*x^23 + 131688*x^22 - 10075674*x^21 + 4953022*x^20 + 31117754*x^19 - 27788286*x^18 - 64880278*x^17 + 81330126*x^16 + 89019892*x^15 - 149864180*x^14 - 73890700*x^13 + 181490732*x^12 + 25790866*x^11 - 144287592*x^10 + 12763132*x^9 + 72731428*x^8 - 18819862*x^7 - 21230432*x^6 + 8704620*x^5 + 2786568*x^4 - 1749692*x^3 - 2464*x^2 + 112008*x - 14350, -x^33 + 10*x^32 - 3*x^31 - 280*x^30 + 712*x^29 + 3041*x^28 - 13027*x^27 - 13953*x^26 + 117516*x^25 - 7382*x^24 - 642729*x^23 + 422640*x^22 + 2323349*x^21 - 2400153*x^20 - 5904309*x^19 + 7602817*x^18 + 11270012*x^17 - 16336568*x^16 - 17078803*x^15 + 26442074*x^14 + 20072630*x^13 - 33776580*x^12 - 15620748*x^11 + 32508732*x^10 + 5014801*x^9 - 20924420*x^8 + 2370823*x^7 + 7628998*x^6 - 2538911*x^5 - 1144448*x^4 + 673084*x^3 - 11364*x^2 - 44156*x + 6596, -x^33 + 10*x^32 - 3*x^31 - 280*x^30 + 712*x^29 + 3041*x^28 - 13027*x^27 - 13953*x^26 + 117516*x^25 - 7382*x^24 - 642729*x^23 + 422640*x^22 + 2323349*x^21 - 2400153*x^20 - 5904309*x^19 + 7602817*x^18 + 11270012*x^17 - 16336568*x^16 - 17078803*x^15 + 26442074*x^14 + 20072630*x^13 - 33776580*x^12 - 15620748*x^11 + 32508732*x^10 + 5014801*x^9 - 20924420*x^8 + 2370823*x^7 + 7628998*x^6 - 2538911*x^5 - 1144448*x^4 + 673084*x^3 - 11364*x^2 - 44156*x + 6596, -x^34 + 10*x^33 + x^32 - 320*x^31 + 727*x^30 + 4139*x^29 - 15942*x^28 - 25275*x^27 + 169605*x^26 + 34405*x^25 - 1096158*x^24 + 584065*x^23 + 4635242*x^22 - 4844331*x^21 - 13109064*x^20 + 19749365*x^19 + 24387161*x^18 - 50583438*x^17 - 27458793*x^16 + 86220956*x^15 + 12512974*x^14 - 98653688*x^13 + 10804255*x^12 + 74458553*x^11 - 21269128*x^10 - 35577367*x^9 + 14928302*x^8 + 9988027*x^7 - 5435931*x^6 - 1411326*x^5 + 1032413*x^4 + 51565*x^3 - 87329*x^2 + 5012*x + 1634, -x^34 + 10*x^33 + x^32 - 320*x^31 + 727*x^30 + 4139*x^29 - 15942*x^28 - 25275*x^27 + 169605*x^26 + 34405*x^25 - 1096158*x^24 + 584065*x^23 + 4635242*x^22 - 4844331*x^21 - 13109064*x^20 + 19749365*x^19 + 24387161*x^18 - 50583438*x^17 - 27458793*x^16 + 86220956*x^15 + 12512974*x^14 - 98653688*x^13 + 10804255*x^12 + 74458553*x^11 - 21269128*x^10 - 35577367*x^9 + 14928302*x^8 + 9988027*x^7 - 5435931*x^6 - 1411326*x^5 + 1032413*x^4 + 51565*x^3 - 87329*x^2 + 5012*x + 1634, -2*x^32 + 22*x^31 - 27*x^30 - 550*x^29 + 2039*x^28 + 4364*x^27 - 32993*x^26 + 5215*x^25 + 265399*x^24 - 334691*x^23 - 1199701*x^22 + 2711090*x^21 + 2824969*x^20 - 11726028*x^19 - 888011*x^18 + 31270374*x^17 - 15136530*x^16 - 52622266*x^15 + 48873878*x^14 + 53307182*x^13 - 78140189*x^12 - 26111847*x^11 + 73363399*x^10 - 3285047*x^9 - 40525075*x^8 + 11522215*x^7 + 12036618*x^6 - 5851520*x^5 - 1399905*x^4 + 1185391*x^3 - 54675*x^2 - 73536*x + 11558, -2*x^32 + 22*x^31 - 27*x^30 - 550*x^29 + 2039*x^28 + 4364*x^27 - 32993*x^26 + 5215*x^25 + 265399*x^24 - 334691*x^23 - 1199701*x^22 + 2711090*x^21 + 2824969*x^20 - 11726028*x^19 - 888011*x^18 + 31270374*x^17 - 15136530*x^16 - 52622266*x^15 + 48873878*x^14 + 53307182*x^13 - 78140189*x^12 - 26111847*x^11 + 73363399*x^10 - 3285047*x^9 - 40525075*x^8 + 11522215*x^7 + 12036618*x^6 - 5851520*x^5 - 1399905*x^4 + 1185391*x^3 - 54675*x^2 - 73536*x + 11558, -x^35 + 10*x^34 + 3*x^33 - 340*x^32 + 729*x^31 + 4739*x^30 - 17381*x^29 - 32454*x^28 + 198568*x^27 + 73615*x^26 - 1383135*x^25 + 557255*x^24 + 6372389*x^23 - 5853931*x^22 - 20051235*x^21 + 27021986*x^20 + 43270905*x^19 - 78084614*x^18 - 62369492*x^17 + 153495382*x^16 + 54207462*x^15 - 211178830*x^14 - 14931750*x^13 + 203950383*x^12 - 26459790*x^11 - 135194719*x^10 + 39344460*x^9 + 57764724*x^8 - 25639516*x^7 - 13690878*x^6 + 8779592*x^5 + 1074791*x^4 - 1396706*x^3 + 105800*x^2 + 75138*x - 12679, -x^35 + 10*x^34 + 3*x^33 - 340*x^32 + 729*x^31 + 4739*x^30 - 17381*x^29 - 32454*x^28 + 198568*x^27 + 73615*x^26 - 1383135*x^25 + 557255*x^24 + 6372389*x^23 - 5853931*x^22 - 20051235*x^21 + 27021986*x^20 + 43270905*x^19 - 78084614*x^18 - 62369492*x^17 + 153495382*x^16 + 54207462*x^15 - 211178830*x^14 - 14931750*x^13 + 203950383*x^12 - 26459790*x^11 - 135194719*x^10 + 39344460*x^9 + 57764724*x^8 - 25639516*x^7 - 13690878*x^6 + 8779592*x^5 + 1074791*x^4 - 1396706*x^3 + 105800*x^2 + 75138*x - 12679, -x^33 + 10*x^32 + x^31 - 320*x^30 + 727*x^29 + 4138*x^28 - 15936*x^27 - 25257*x^26 + 169461*x^25 + 34192*x^24 - 1094418*x^23 + 586960*x^22 + 4618822*x^21 - 4872468*x^20 - 12979435*x^19 + 19898359*x^18 + 23640687*x^17 - 50937858*x^16 - 24615685*x^15 + 86083068*x^14 + 5663375*x^13 - 95715250*x^12 + 20811410*x^11 + 67108620*x^10 - 29430959*x^9 - 26852277*x^8 + 17832762*x^7 + 4650554*x^6 - 5208268*x^5 + 121222*x^4 + 636293*x^3 - 89424*x^2 - 29348*x + 6083, -x^33 + 10*x^32 + x^31 - 320*x^30 + 727*x^29 + 4138*x^28 - 15936*x^27 - 25257*x^26 + 169461*x^25 + 34192*x^24 - 1094418*x^23 + 586960*x^22 + 4618822*x^21 - 4872468*x^20 - 12979435*x^19 + 19898359*x^18 + 23640687*x^17 - 50937858*x^16 - 24615685*x^15 + 86083068*x^14 + 5663375*x^13 - 95715250*x^12 + 20811410*x^11 + 67108620*x^10 - 29430959*x^9 - 26852277*x^8 + 17832762*x^7 + 4650554*x^6 - 5208268*x^5 + 121222*x^4 + 636293*x^3 - 89424*x^2 - 29348*x + 6083, 3*x^32 - 32*x^31 + 25*x^30 + 877*x^29 - 2751*x^28 - 8698*x^27 + 48964*x^26 + 22292*x^25 - 436526*x^24 + 286255*x^23 + 2299997*x^22 - 3232705*x^21 - 7377308*x^20 + 16267839*x^19 + 13155166*x^18 - 49366833*x^17 - 5553641*x^16 + 96212561*x^15 - 30410385*x^14 - 120083555*x^13 + 77726677*x^12 + 90377256*x^11 - 91092047*x^10 - 33168119*x^9 + 59116055*x^8 - 1315714*x^7 - 20461635*x^6 + 5400937*x^5 + 3018484*x^4 - 1496067*x^3 - 15933*x^2 + 103610*x - 14569, 3*x^32 - 32*x^31 + 25*x^30 + 877*x^29 - 2751*x^28 - 8698*x^27 + 48964*x^26 + 22292*x^25 - 436526*x^24 + 286255*x^23 + 2299997*x^22 - 3232705*x^21 - 7377308*x^20 + 16267839*x^19 + 13155166*x^18 - 49366833*x^17 - 5553641*x^16 + 96212561*x^15 - 30410385*x^14 - 120083555*x^13 + 77726677*x^12 + 90377256*x^11 - 91092047*x^10 - 33168119*x^9 + 59116055*x^8 - 1315714*x^7 - 20461635*x^6 + 5400937*x^5 + 3018484*x^4 - 1496067*x^3 - 15933*x^2 + 103610*x - 14569, -x^33 + 9*x^32 + 8*x^31 - 295*x^30 + 450*x^29 + 4074*x^28 - 11268*x^27 - 29796*x^26 + 125591*x^25 + 109217*x^24 - 843227*x^23 - 11547*x^22 + 3734325*x^21 - 1948567*x^20 - 11251541*x^19 + 10512391*x^18 + 22960291*x^17 - 30732057*x^16 - 30259880*x^15 + 57275493*x^14 + 21870736*x^13 - 70061944*x^12 - 1393109*x^11 + 55298268*x^10 - 12371757*x^9 - 26669420*x^8 + 10981509*x^7 + 6981117*x^6 - 4261931*x^5 - 688645*x^4 + 768308*x^3 - 46239*x^2 - 47896*x + 7973, -x^33 + 9*x^32 + 8*x^31 - 295*x^30 + 450*x^29 + 4074*x^28 - 11268*x^27 - 29796*x^26 + 125591*x^25 + 109217*x^24 - 843227*x^23 - 11547*x^22 + 3734325*x^21 - 1948567*x^20 - 11251541*x^19 + 10512391*x^18 + 22960291*x^17 - 30732057*x^16 - 30259880*x^15 + 57275493*x^14 + 21870736*x^13 - 70061944*x^12 - 1393109*x^11 + 55298268*x^10 - 12371757*x^9 - 26669420*x^8 + 10981509*x^7 + 6981117*x^6 - 4261931*x^5 - 688645*x^4 + 768308*x^3 - 46239*x^2 - 47896*x + 7973, -x^36 + 9*x^35 + 15*x^34 - 357*x^33 + 385*x^32 + 6128*x^31 - 14102*x^30 - 58683*x^29 + 199515*x^28 + 328821*x^27 - 1677345*x^26 - 916942*x^25 + 9384159*x^24 - 768615*x^23 - 36578983*x^22 + 18405996*x^21 + 101029603*x^20 - 83617218*x^19 - 197089104*x^18 + 221076744*x^17 + 264666191*x^16 - 385361377*x^15 - 228433234*x^14 + 454125195*x^13 + 101497068*x^12 - 357116801*x^11 + 8852334*x^10 + 179273506*x^9 - 36782934*x^8 - 52403378*x^7 + 18433969*x^6 + 7244312*x^5 - 3746017*x^4 - 200057*x^3 + 261594*x^2 - 17315*x - 2761, -x^36 + 9*x^35 + 15*x^34 - 357*x^33 + 385*x^32 + 6128*x^31 - 14102*x^30 - 58683*x^29 + 199515*x^28 + 328821*x^27 - 1677345*x^26 - 916942*x^25 + 9384159*x^24 - 768615*x^23 - 36578983*x^22 + 18405996*x^21 + 101029603*x^20 - 83617218*x^19 - 197089104*x^18 + 221076744*x^17 + 264666191*x^16 - 385361377*x^15 - 228433234*x^14 + 454125195*x^13 + 101497068*x^12 - 357116801*x^11 + 8852334*x^10 + 179273506*x^9 - 36782934*x^8 - 52403378*x^7 + 18433969*x^6 + 7244312*x^5 - 3746017*x^4 - 200057*x^3 + 261594*x^2 - 17315*x - 2761, x^35 - 11*x^34 + 7*x^33 + 343*x^32 - 1069*x^31 - 4006*x^30 + 22090*x^29 + 14995*x^28 - 229931*x^27 + 124605*x^26 + 1439792*x^25 - 1915612*x^24 - 5669381*x^23 + 11892506*x^22 + 13460321*x^21 - 44649634*x^20 - 14216761*x^19 + 110332451*x^18 - 16997924*x^17 - 182999936*x^16 + 87961591*x^15 + 200988510*x^14 - 151521124*x^13 - 138761113*x^12 + 147463529*x^11 + 51761254*x^10 - 85931415*x^9 - 3784884*x^8 + 28724473*x^7 - 4218446*x^6 - 4758195*x^5 + 1316898*x^4 + 254292*x^3 - 99127*x^2 - 376*x + 1127, x^35 - 11*x^34 + 7*x^33 + 343*x^32 - 1069*x^31 - 4006*x^30 + 22090*x^29 + 14995*x^28 - 229931*x^27 + 124605*x^26 + 1439792*x^25 - 1915612*x^24 - 5669381*x^23 + 11892506*x^22 + 13460321*x^21 - 44649634*x^20 - 14216761*x^19 + 110332451*x^18 - 16997924*x^17 - 182999936*x^16 + 87961591*x^15 + 200988510*x^14 - 151521124*x^13 - 138761113*x^12 + 147463529*x^11 + 51761254*x^10 - 85931415*x^9 - 3784884*x^8 + 28724473*x^7 - 4218446*x^6 - 4758195*x^5 + 1316898*x^4 + 254292*x^3 - 99127*x^2 - 376*x + 1127, -x^32 + 9*x^31 + 6*x^30 - 276*x^29 + 457*x^28 + 3473*x^27 - 10027*x^26 - 22308*x^25 + 98611*x^24 + 66929*x^23 - 572985*x^22 + 25989*x^21 + 2151167*x^20 - 977787*x^19 - 5441830*x^18 + 3818755*x^17 + 9536510*x^16 - 8020332*x^15 - 11922101*x^14 + 10598273*x^13 + 10993592*x^12 - 9447186*x^11 - 7570328*x^10 + 6037156*x^9 + 3695049*x^8 - 2893566*x^7 - 1068028*x^6 + 987260*x^5 + 83978*x^4 - 183876*x^3 + 27421*x^2 + 7471*x - 1795, -x^32 + 9*x^31 + 6*x^30 - 276*x^29 + 457*x^28 + 3473*x^27 - 10027*x^26 - 22308*x^25 + 98611*x^24 + 66929*x^23 - 572985*x^22 + 25989*x^21 + 2151167*x^20 - 977787*x^19 - 5441830*x^18 + 3818755*x^17 + 9536510*x^16 - 8020332*x^15 - 11922101*x^14 + 10598273*x^13 + 10993592*x^12 - 9447186*x^11 - 7570328*x^10 + 6037156*x^9 + 3695049*x^8 - 2893566*x^7 - 1068028*x^6 + 987260*x^5 + 83978*x^4 - 183876*x^3 + 27421*x^2 + 7471*x - 1795, x^32 - 9*x^31 - 6*x^30 + 275*x^29 - 451*x^28 - 3455*x^27 + 9883*x^26 + 22095*x^25 - 96871*x^24 - 64034*x^23 + 556565*x^22 - 54126*x^21 - 2021538*x^20 + 1126781*x^19 + 4695356*x^18 - 4173175*x^17 - 6693402*x^16 + 7882444*x^15 + 5072502*x^14 - 7659835*x^13 - 986437*x^12 + 2097253*x^11 - 591503*x^10 + 2687934*x^9 - 790589*x^8 - 2443907*x^7 + 1295691*x^6 + 545288*x^5 - 480098*x^4 + 42887*x^3 + 30560*x^2 - 6400*x + 161, x^32 - 9*x^31 - 6*x^30 + 275*x^29 - 451*x^28 - 3455*x^27 + 9883*x^26 + 22095*x^25 - 96871*x^24 - 64034*x^23 + 556565*x^22 - 54126*x^21 - 2021538*x^20 + 1126781*x^19 + 4695356*x^18 - 4173175*x^17 - 6693402*x^16 + 7882444*x^15 + 5072502*x^14 - 7659835*x^13 - 986437*x^12 + 2097253*x^11 - 591503*x^10 + 2687934*x^9 - 790589*x^8 - 2443907*x^7 + 1295691*x^6 + 545288*x^5 - 480098*x^4 + 42887*x^3 + 30560*x^2 - 6400*x + 161, 2*x^33 - 20*x^32 + 2*x^31 + 601*x^30 - 1453*x^29 - 7142*x^28 + 29274*x^27 + 37469*x^26 - 288427*x^25 - 1355*x^24 + 1715017*x^23 - 1197651*x^22 - 6586234*x^21 + 8020787*x^20 + 16548010*x^19 - 28766890*x^18 - 26160914*x^17 + 65513704*x^16 + 21805743*x^15 - 98815405*x^14 + 1010023*x^13 + 98798940*x^12 - 23500166*x^11 - 63829183*x^10 + 25952436*x^9 + 25198959*x^8 - 14093164*x^7 - 5400957*x^6 + 4182882*x^5 + 401763*x^4 - 648620*x^3 + 52464*x^2 + 35909*x - 6244, 2*x^33 - 20*x^32 + 2*x^31 + 601*x^30 - 1453*x^29 - 7142*x^28 + 29274*x^27 + 37469*x^26 - 288427*x^25 - 1355*x^24 + 1715017*x^23 - 1197651*x^22 - 6586234*x^21 + 8020787*x^20 + 16548010*x^19 - 28766890*x^18 - 26160914*x^17 + 65513704*x^16 + 21805743*x^15 - 98815405*x^14 + 1010023*x^13 + 98798940*x^12 - 23500166*x^11 - 63829183*x^10 + 25952436*x^9 + 25198959*x^8 - 14093164*x^7 - 5400957*x^6 + 4182882*x^5 + 401763*x^4 - 648620*x^3 + 52464*x^2 + 35909*x - 6244, x^33 - 10*x^32 + x^31 + 303*x^30 - 748*x^29 - 3595*x^28 + 15326*x^27 + 17816*x^26 - 153314*x^25 + 22211*x^24 + 919671*x^23 - 835353*x^22 - 3502164*x^21 + 5422083*x^20 + 8333184*x^19 - 19711932*x^18 - 10663101*x^17 + 45835387*x^16 + 406138*x^15 - 70142028*x^14 + 23409472*x^13 + 69718505*x^12 - 41480034*x^11 - 42702335*x^10 + 36448666*x^9 + 14010402*x^8 - 17890686*x^7 - 1234724*x^6 + 4687122*x^5 - 497925*x^4 - 552704*x^3 + 105821*x^2 + 23058*x - 5314, x^33 - 10*x^32 + x^31 + 303*x^30 - 748*x^29 - 3595*x^28 + 15326*x^27 + 17816*x^26 - 153314*x^25 + 22211*x^24 + 919671*x^23 - 835353*x^22 - 3502164*x^21 + 5422083*x^20 + 8333184*x^19 - 19711932*x^18 - 10663101*x^17 + 45835387*x^16 + 406138*x^15 - 70142028*x^14 + 23409472*x^13 + 69718505*x^12 - 41480034*x^11 - 42702335*x^10 + 36448666*x^9 + 14010402*x^8 - 17890686*x^7 - 1234724*x^6 + 4687122*x^5 - 497925*x^4 - 552704*x^3 + 105821*x^2 + 23058*x - 5314, -x^32 + 7*x^31 + 24*x^30 - 267*x^29 - 79*x^28 + 4492*x^27 - 3789*x^26 - 43527*x^25 + 66690*x^24 + 265552*x^23 - 563898*x^22 - 1039792*x^21 + 2956822*x^20 + 2482054*x^19 - 10336650*x^18 - 2683111*x^17 + 24663372*x^16 - 2918104*x^15 - 40122585*x^14 + 15661191*x^13 + 43572220*x^12 - 26679995*x^11 - 30100724*x^10 + 25214799*x^9 + 11864623*x^8 - 14018751*x^7 - 1828645*x^6 + 4417700*x^5 - 284467*x^4 - 703319*x^3 + 126987*x^2 + 40767*x - 9916, -x^32 + 7*x^31 + 24*x^30 - 267*x^29 - 79*x^28 + 4492*x^27 - 3789*x^26 - 43527*x^25 + 66690*x^24 + 265552*x^23 - 563898*x^22 - 1039792*x^21 + 2956822*x^20 + 2482054*x^19 - 10336650*x^18 - 2683111*x^17 + 24663372*x^16 - 2918104*x^15 - 40122585*x^14 + 15661191*x^13 + 43572220*x^12 - 26679995*x^11 - 30100724*x^10 + 25214799*x^9 + 11864623*x^8 - 14018751*x^7 - 1828645*x^6 + 4417700*x^5 - 284467*x^4 - 703319*x^3 + 126987*x^2 + 40767*x - 9916, -x^34 + 9*x^33 + 11*x^32 - 324*x^31 + 453*x^30 + 4891*x^29 - 13228*x^28 - 38652*x^27 + 162373*x^26 + 147529*x^25 - 1175316*x^24 + 57592*x^23 + 5497924*x^22 - 3619865*x^21 - 17033332*x^20 + 19756365*x^19 + 34184952*x^18 - 59319320*x^17 - 39786722*x^16 + 112815863*x^15 + 13119443*x^14 - 139030317*x^13 + 33174860*x^12 + 108090110*x^11 - 55634432*x^10 - 48599172*x^9 + 39641961*x^8 + 9477653*x^7 - 14469904*x^6 + 745175*x^5 + 2452680*x^4 - 528311*x^3 - 120208*x^2 + 40742*x - 1642, -x^34 + 9*x^33 + 11*x^32 - 324*x^31 + 453*x^30 + 4891*x^29 - 13228*x^28 - 38652*x^27 + 162373*x^26 + 147529*x^25 - 1175316*x^24 + 57592*x^23 + 5497924*x^22 - 3619865*x^21 - 17033332*x^20 + 19756365*x^19 + 34184952*x^18 - 59319320*x^17 - 39786722*x^16 + 112815863*x^15 + 13119443*x^14 - 139030317*x^13 + 33174860*x^12 + 108090110*x^11 - 55634432*x^10 - 48599172*x^9 + 39641961*x^8 + 9477653*x^7 - 14469904*x^6 + 745175*x^5 + 2452680*x^4 - 528311*x^3 - 120208*x^2 + 40742*x - 1642, -x^37 + 10*x^36 + 7*x^35 - 382*x^34 + 739*x^33 + 6083*x^32 - 20959*x^31 - 49320*x^30 + 275579*x^29 + 161760*x^28 - 2204734*x^27 + 686788*x^26 + 11684236*x^25 - 10710029*x^24 - 42182757*x^23 + 60838910*x^22 + 102674842*x^21 - 211668807*x^20 - 156742791*x^19 + 496250462*x^18 + 105958939*x^17 - 803522950*x^16 + 102720681*x^15 + 893737259*x^14 - 337696377*x^13 - 662564252*x^12 + 392428925*x^11 + 305615891*x^10 - 255400900*x^9 - 73385168*x^8 + 96476863*x^7 + 2501221*x^6 - 19769921*x^5 + 2471169*x^4 + 1858357*x^3 - 384709*x^2 - 60584*x + 15440, -x^37 + 10*x^36 + 7*x^35 - 382*x^34 + 739*x^33 + 6083*x^32 - 20959*x^31 - 49320*x^30 + 275579*x^29 + 161760*x^28 - 2204734*x^27 + 686788*x^26 + 11684236*x^25 - 10710029*x^24 - 42182757*x^23 + 60838910*x^22 + 102674842*x^21 - 211668807*x^20 - 156742791*x^19 + 496250462*x^18 + 105958939*x^17 - 803522950*x^16 + 102720681*x^15 + 893737259*x^14 - 337696377*x^13 - 662564252*x^12 + 392428925*x^11 + 305615891*x^10 - 255400900*x^9 - 73385168*x^8 + 96476863*x^7 + 2501221*x^6 - 19769921*x^5 + 2471169*x^4 + 1858357*x^3 - 384709*x^2 - 60584*x + 15440, x^36 - 10*x^35 - 4*x^34 + 351*x^33 - 737*x^32 - 5069*x^31 + 18427*x^30 + 36100*x^29 - 219149*x^28 - 85151*x^27 + 1586271*x^26 - 685710*x^25 - 7560622*x^24 + 7561396*x^23 + 24281060*x^22 - 36755351*x^21 - 51527156*x^20 + 111374501*x^19 + 65193025*x^18 - 226495765*x^17 - 25658183*x^16 + 313541775*x^15 - 64304179*x^14 - 290221951*x^13 + 132438362*x^12 + 169820601*x^11 - 120979744*x^10 - 53859199*x^9 + 61976892*x^8 + 3449394*x^7 - 17450798*x^6 + 3123290*x^5 + 2252764*x^4 - 857013*x^3 - 39346*x^2 + 57971*x - 7204, x^36 - 10*x^35 - 4*x^34 + 351*x^33 - 737*x^32 - 5069*x^31 + 18427*x^30 + 36100*x^29 - 219149*x^28 - 85151*x^27 + 1586271*x^26 - 685710*x^25 - 7560622*x^24 + 7561396*x^23 + 24281060*x^22 - 36755351*x^21 - 51527156*x^20 + 111374501*x^19 + 65193025*x^18 - 226495765*x^17 - 25658183*x^16 + 313541775*x^15 - 64304179*x^14 - 290221951*x^13 + 132438362*x^12 + 169820601*x^11 - 120979744*x^10 - 53859199*x^9 + 61976892*x^8 + 3449394*x^7 - 17450798*x^6 + 3123290*x^5 + 2252764*x^4 - 857013*x^3 - 39346*x^2 + 57971*x - 7204, x^34 - 11*x^33 + 8*x^32 + 334*x^31 - 1076*x^30 - 3724*x^29 + 21672*x^28 + 11188*x^27 - 220094*x^26 + 153233*x^25 + 1333986*x^24 - 2041279*x^23 - 4966808*x^22 + 12156952*x^21 + 10288409*x^20 - 44312955*x^19 - 4106335*x^18 + 105865321*x^17 - 39875608*x^16 - 166760727*x^15 + 123961885*x^14 + 166392588*x^13 - 188925216*x^12 - 91599557*x^11 + 170243048*x^10 + 10729855*x^9 - 91017143*x^8 + 17971676*x^7 + 26383481*x^6 - 10585984*x^5 - 3073263*x^4 + 2154592*x^3 - 66830*x^2 - 131982*x + 19883, x^34 - 11*x^33 + 8*x^32 + 334*x^31 - 1076*x^30 - 3724*x^29 + 21672*x^28 + 11188*x^27 - 220094*x^26 + 153233*x^25 + 1333986*x^24 - 2041279*x^23 - 4966808*x^22 + 12156952*x^21 + 10288409*x^20 - 44312955*x^19 - 4106335*x^18 + 105865321*x^17 - 39875608*x^16 - 166760727*x^15 + 123961885*x^14 + 166392588*x^13 - 188925216*x^12 - 91599557*x^11 + 170243048*x^10 + 10729855*x^9 - 91017143*x^8 + 17971676*x^7 + 26383481*x^6 - 10585984*x^5 - 3073263*x^4 + 2154592*x^3 - 66830*x^2 - 131982*x + 19883, -x^32 + 9*x^31 + 4*x^30 - 262*x^29 + 497*x^28 + 2987*x^27 - 9942*x^26 - 15374*x^25 + 89645*x^24 + 13777*x^23 - 464347*x^22 + 262289*x^21 + 1473799*x^20 - 1567163*x^19 - 2858852*x^18 + 4386192*x^17 + 3150581*x^16 - 6944601*x^15 - 1491717*x^14 + 6040293*x^13 - 190271*x^12 - 2027620*x^11 + 17255*x^10 - 978419*x^9 + 786046*x^8 + 1208597*x^7 - 734772*x^6 - 440236*x^5 + 269793*x^4 + 61998*x^3 - 39981*x^2 - 2787*x + 1943, -x^32 + 9*x^31 + 4*x^30 - 262*x^29 + 497*x^28 + 2987*x^27 - 9942*x^26 - 15374*x^25 + 89645*x^24 + 13777*x^23 - 464347*x^22 + 262289*x^21 + 1473799*x^20 - 1567163*x^19 - 2858852*x^18 + 4386192*x^17 + 3150581*x^16 - 6944601*x^15 - 1491717*x^14 + 6040293*x^13 - 190271*x^12 - 2027620*x^11 + 17255*x^10 - 978419*x^9 + 786046*x^8 + 1208597*x^7 - 734772*x^6 - 440236*x^5 + 269793*x^4 + 61998*x^3 - 39981*x^2 - 2787*x + 1943, -x^35 + 10*x^34 + 3*x^33 - 344*x^32 + 769*x^31 + 4733*x^30 - 18569*x^29 - 29498*x^28 + 212293*x^27 + 14952*x^26 - 1448436*x^25 + 1123691*x^24 + 6283559*x^23 - 9106242*x^22 - 17147792*x^21 + 38738264*x^20 + 25680128*x^19 - 104016663*x^18 - 3427693*x^17 + 183334642*x^16 - 69436540*x^15 - 209425253*x^14 + 150334441*x^13 + 144977194*x^12 - 162331433*x^11 - 48263008*x^10 + 100612890*x^9 - 3494888*x^8 - 34929066*x^7 + 8233962*x^6 + 5969436*x^5 - 2292346*x^4 - 360205*x^3 + 207189*x^2 + 5512*x - 6331, -x^35 + 10*x^34 + 3*x^33 - 344*x^32 + 769*x^31 + 4733*x^30 - 18569*x^29 - 29498*x^28 + 212293*x^27 + 14952*x^26 - 1448436*x^25 + 1123691*x^24 + 6283559*x^23 - 9106242*x^22 - 17147792*x^21 + 38738264*x^20 + 25680128*x^19 - 104016663*x^18 - 3427693*x^17 + 183334642*x^16 - 69436540*x^15 - 209425253*x^14 + 150334441*x^13 + 144977194*x^12 - 162331433*x^11 - 48263008*x^10 + 100612890*x^9 - 3494888*x^8 - 34929066*x^7 + 8233962*x^6 + 5969436*x^5 - 2292346*x^4 - 360205*x^3 + 207189*x^2 + 5512*x - 6331, -x^36 + 10*x^35 + 5*x^34 - 363*x^33 + 756*x^32 + 5390*x^31 - 19782*x^30 - 38797*x^29 + 243002*x^28 + 79738*x^27 - 1802151*x^26 + 967515*x^25 + 8706891*x^24 - 10111662*x^23 - 27811088*x^22 + 49524811*x^21 + 56177649*x^20 - 152213031*x^19 - 57292683*x^18 + 313235183*x^17 - 23789456*x^16 - 435528057*x^15 + 172126267*x^14 + 399066348*x^13 - 267200330*x^12 - 223832745*x^11 + 223737172*x^10 + 60851113*x^9 - 108406436*x^8 + 3040937*x^7 + 28594579*x^6 - 6254504*x^5 - 3331162*x^4 + 1279076*x^3 + 59225*x^2 - 71234*x + 7175, -x^36 + 10*x^35 + 5*x^34 - 363*x^33 + 756*x^32 + 5390*x^31 - 19782*x^30 - 38797*x^29 + 243002*x^28 + 79738*x^27 - 1802151*x^26 + 967515*x^25 + 8706891*x^24 - 10111662*x^23 - 27811088*x^22 + 49524811*x^21 + 56177649*x^20 - 152213031*x^19 - 57292683*x^18 + 313235183*x^17 - 23789456*x^16 - 435528057*x^15 + 172126267*x^14 + 399066348*x^13 - 267200330*x^12 - 223832745*x^11 + 223737172*x^10 + 60851113*x^9 - 108406436*x^8 + 3040937*x^7 + 28594579*x^6 - 6254504*x^5 - 3331162*x^4 + 1279076*x^3 + 59225*x^2 - 71234*x + 7175, x^37 - 10*x^36 - 7*x^35 + 382*x^34 - 738*x^33 - 6094*x^32 + 20972*x^31 + 49602*x^30 - 276621*x^29 - 164052*x^28 + 2222024*x^27 - 689635*x^26 - 11825682*x^25 + 10894170*x^24 + 42823271*x^23 - 62350777*x^22 - 104106801*x^21 + 218227219*x^20 + 156517242*x^19 - 513415708*x^18 - 95034873*x^17 + 830479529*x^16 - 135002190*x^15 - 915383601*x^14 + 386219938*x^13 + 662483286*x^12 - 433079591*x^11 - 288957963*x^10 + 272231809*x^9 + 59273532*x^8 - 97710425*x^7 + 2084284*x^6 + 18563729*x^5 - 2876029*x^4 - 1612160*x^3 + 365480*x^2 + 50582*x - 13615, x^37 - 10*x^36 - 7*x^35 + 382*x^34 - 738*x^33 - 6094*x^32 + 20972*x^31 + 49602*x^30 - 276621*x^29 - 164052*x^28 + 2222024*x^27 - 689635*x^26 - 11825682*x^25 + 10894170*x^24 + 42823271*x^23 - 62350777*x^22 - 104106801*x^21 + 218227219*x^20 + 156517242*x^19 - 513415708*x^18 - 95034873*x^17 + 830479529*x^16 - 135002190*x^15 - 915383601*x^14 + 386219938*x^13 + 662483286*x^12 - 433079591*x^11 - 288957963*x^10 + 272231809*x^9 + 59273532*x^8 - 97710425*x^7 + 2084284*x^6 + 18563729*x^5 - 2876029*x^4 - 1612160*x^3 + 365480*x^2 + 50582*x - 13615, x^32 - 8*x^31 - 21*x^30 + 330*x^29 - 212*x^28 - 5489*x^27 + 10812*x^26 + 47508*x^25 - 147878*x^24 - 217098*x^23 + 1099799*x^22 + 330252*x^21 - 5085404*x^20 + 1777242*x^19 + 15244802*x^18 - 12214583*x^17 - 29596178*x^16 + 35594156*x^15 + 35546106*x^14 - 60813564*x^13 - 22556949*x^12 + 64259553*x^11 + 1670936*x^10 - 41534394*x^9 + 7746158*x^8 + 15549694*x^7 - 5132814*x^6 - 3002190*x^5 + 1335619*x^4 + 231582*x^3 - 138676*x^2 - 2799*x + 4187, x^32 - 8*x^31 - 21*x^30 + 330*x^29 - 212*x^28 - 5489*x^27 + 10812*x^26 + 47508*x^25 - 147878*x^24 - 217098*x^23 + 1099799*x^22 + 330252*x^21 - 5085404*x^20 + 1777242*x^19 + 15244802*x^18 - 12214583*x^17 - 29596178*x^16 + 35594156*x^15 + 35546106*x^14 - 60813564*x^13 - 22556949*x^12 + 64259553*x^11 + 1670936*x^10 - 41534394*x^9 + 7746158*x^8 + 15549694*x^7 - 5132814*x^6 - 3002190*x^5 + 1335619*x^4 + 231582*x^3 - 138676*x^2 - 2799*x + 4187, -x^33 + 10*x^32 - x^31 - 304*x^30 + 758*x^29 + 3576*x^28 - 15462*x^27 - 17117*x^26 + 152912*x^25 - 27985*x^24 - 901089*x^23 + 839761*x^22 + 3353351*x^21 - 5212857*x^20 - 7777332*x^19 + 18190640*x^18 + 9781914*x^17 - 40451523*x^16 - 1068885*x^15 + 58820310*x^14 - 17826840*x^13 - 54940618*x^12 + 30582030*x^11 + 30845243*x^10 - 25243087*x^9 - 8535898*x^8 + 11224133*x^7 + 115835*x^6 - 2448969*x^5 + 413151*x^4 + 195118*x^3 - 44352*x^2 - 8246*x + 2144, -x^33 + 10*x^32 - x^31 - 304*x^30 + 758*x^29 + 3576*x^28 - 15462*x^27 - 17117*x^26 + 152912*x^25 - 27985*x^24 - 901089*x^23 + 839761*x^22 + 3353351*x^21 - 5212857*x^20 - 7777332*x^19 + 18190640*x^18 + 9781914*x^17 - 40451523*x^16 - 1068885*x^15 + 58820310*x^14 - 17826840*x^13 - 54940618*x^12 + 30582030*x^11 + 30845243*x^10 - 25243087*x^9 - 8535898*x^8 + 11224133*x^7 + 115835*x^6 - 2448969*x^5 + 413151*x^4 + 195118*x^3 - 44352*x^2 - 8246*x + 2144, -x^34 + 10*x^33 + 2*x^32 - 333*x^31 + 760*x^30 + 4408*x^29 - 17481*x^28 - 26134*x^27 + 191342*x^26 + 8647*x^25 - 1248016*x^24 + 947828*x^23 + 5165372*x^22 - 7166682*x^21 - 13464189*x^20 + 28440003*x^19 + 19680038*x^18 - 70581221*x^17 - 5860362*x^16 + 113286941*x^15 - 34911269*x^14 - 115058837*x^13 + 71694037*x^12 + 67479627*x^11 - 67489850*x^10 - 15746829*x^9 + 33835409*x^8 - 4284628*x^7 - 8155239*x^6 + 3216983*x^5 + 518277*x^4 - 543576*x^3 + 66495*x^2 + 24161*x - 5533, -x^34 + 10*x^33 + 2*x^32 - 333*x^31 + 760*x^30 + 4408*x^29 - 17481*x^28 - 26134*x^27 + 191342*x^26 + 8647*x^25 - 1248016*x^24 + 947828*x^23 + 5165372*x^22 - 7166682*x^21 - 13464189*x^20 + 28440003*x^19 + 19680038*x^18 - 70581221*x^17 - 5860362*x^16 + 113286941*x^15 - 34911269*x^14 - 115058837*x^13 + 71694037*x^12 + 67479627*x^11 - 67489850*x^10 - 15746829*x^9 + 33835409*x^8 - 4284628*x^7 - 8155239*x^6 + 3216983*x^5 + 518277*x^4 - 543576*x^3 + 66495*x^2 + 24161*x - 5533, -x^35 + 9*x^34 + 14*x^33 - 349*x^32 + 408*x^31 + 5790*x^30 - 14008*x^29 - 52524*x^28 + 190290*x^27 + 265775*x^26 - 1528909*x^25 - 525324*x^24 + 8088110*x^23 - 2207857*x^22 - 29349401*x^21 + 20717512*x^20 + 73769980*x^19 - 78998616*x^18 - 126320702*x^17 + 184660251*x^16 + 138842126*x^15 - 285245658*x^14 - 79838394*x^13 + 293754313*x^12 - 6360320*x^11 - 196501770*x^10 + 46381574*x^9 + 79920993*x^8 - 32953218*x^7 - 16989687*x^6 + 10469323*x^5 + 1100253*x^4 - 1438927*x^3 + 106286*x^2 + 62247*x - 9109, -x^35 + 9*x^34 + 14*x^33 - 349*x^32 + 408*x^31 + 5790*x^30 - 14008*x^29 - 52524*x^28 + 190290*x^27 + 265775*x^26 - 1528909*x^25 - 525324*x^24 + 8088110*x^23 - 2207857*x^22 - 29349401*x^21 + 20717512*x^20 + 73769980*x^19 - 78998616*x^18 - 126320702*x^17 + 184660251*x^16 + 138842126*x^15 - 285245658*x^14 - 79838394*x^13 + 293754313*x^12 - 6360320*x^11 - 196501770*x^10 + 46381574*x^9 + 79920993*x^8 - 32953218*x^7 - 16989687*x^6 + 10469323*x^5 + 1100253*x^4 - 1438927*x^3 + 106286*x^2 + 62247*x - 9109, x^36 - 9*x^35 - 15*x^34 + 358*x^33 - 393*x^32 - 6147*x^31 + 14409*x^30 + 58518*x^29 - 204564*x^28 - 320157*x^27 + 1723297*x^26 + 796490*x^25 - 9629810*x^24 + 1698836*x^23 + 37287846*x^22 - 22982516*x^21 - 101407199*x^20 + 98672124*x^19 + 191945548*x^18 - 254696371*x^17 - 243184981*x^16 + 436103239*x^15 + 184099647*x^14 - 504792934*x^13 - 46175264*x^12 + 389159307*x^11 - 52105087*x^10 - 191019146*x^9 + 57675008*x^8 + 54417916*x^7 - 24397454*x^6 - 7302480*x^5 + 4698474*x^4 + 196347*x^3 - 346287*x^2 + 16049*x + 6440, x^36 - 9*x^35 - 15*x^34 + 358*x^33 - 393*x^32 - 6147*x^31 + 14409*x^30 + 58518*x^29 - 204564*x^28 - 320157*x^27 + 1723297*x^26 + 796490*x^25 - 9629810*x^24 + 1698836*x^23 + 37287846*x^22 - 22982516*x^21 - 101407199*x^20 + 98672124*x^19 + 191945548*x^18 - 254696371*x^17 - 243184981*x^16 + 436103239*x^15 + 184099647*x^14 - 504792934*x^13 - 46175264*x^12 + 389159307*x^11 - 52105087*x^10 - 191019146*x^9 + 57675008*x^8 + 54417916*x^7 - 24397454*x^6 - 7302480*x^5 + 4698474*x^4 + 196347*x^3 - 346287*x^2 + 16049*x + 6440, x^32 - 8*x^31 - 16*x^30 + 281*x^29 - 188*x^28 - 4253*x^27 + 7467*x^26 + 36070*x^25 - 93457*x^24 - 184305*x^23 + 669544*x^22 + 542102*x^21 - 3125181*x^20 - 555565*x^19 + 9970597*x^18 - 2254230*x^17 - 22028669*x^16 + 11440273*x^15 + 33280997*x^14 - 25473641*x^13 - 32914303*x^12 + 33691295*x^11 + 19146172*x^10 - 27311694*x^9 - 4467775*x^8 + 12922594*x^7 - 1135569*x^6 - 3114566*x^5 + 791982*x^4 + 266137*x^3 - 103264*x^2 - 122*x + 1934, x^32 - 8*x^31 - 16*x^30 + 281*x^29 - 188*x^28 - 4253*x^27 + 7467*x^26 + 36070*x^25 - 93457*x^24 - 184305*x^23 + 669544*x^22 + 542102*x^21 - 3125181*x^20 - 555565*x^19 + 9970597*x^18 - 2254230*x^17 - 22028669*x^16 + 11440273*x^15 + 33280997*x^14 - 25473641*x^13 - 32914303*x^12 + 33691295*x^11 + 19146172*x^10 - 27311694*x^9 - 4467775*x^8 + 12922594*x^7 - 1135569*x^6 - 3114566*x^5 + 791982*x^4 + 266137*x^3 - 103264*x^2 - 122*x + 1934, x^35 - 9*x^34 - 13*x^33 + 340*x^32 - 416*x^31 - 5493*x^30 + 13539*x^29 + 48459*x^28 - 178570*x^27 - 237172*x^26 + 1399382*x^25 + 434476*x^24 - 7234261*x^23 + 2080415*x^22 + 25682118*x^21 - 18147896*x^20 - 63243818*x^19 + 66773789*x^18 + 106546263*x^17 - 151191309*x^16 - 117001402*x^15 + 226491020*x^14 + 72397732*x^13 - 227148715*x^12 - 8184803*x^11 + 150043904*x^10 - 23537655*x^9 - 62530624*x^8 + 18895055*x^7 + 15010690*x^6 - 6562775*x^5 - 1626098*x^4 + 1069526*x^3 - 3144*x^2 - 60191*x + 7175, x^35 - 9*x^34 - 13*x^33 + 340*x^32 - 416*x^31 - 5493*x^30 + 13539*x^29 + 48459*x^28 - 178570*x^27 - 237172*x^26 + 1399382*x^25 + 434476*x^24 - 7234261*x^23 + 2080415*x^22 + 25682118*x^21 - 18147896*x^20 - 63243818*x^19 + 66773789*x^18 + 106546263*x^17 - 151191309*x^16 - 117001402*x^15 + 226491020*x^14 + 72397732*x^13 - 227148715*x^12 - 8184803*x^11 + 150043904*x^10 - 23537655*x^9 - 62530624*x^8 + 18895055*x^7 + 15010690*x^6 - 6562775*x^5 - 1626098*x^4 + 1069526*x^3 - 3144*x^2 - 60191*x + 7175]>
       ]
>;

MOG[839] := 	// J_0(839)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 34, 50, 100, 113, 117, 218, 244, 277, 296, 304, 311, 342, 358, 407, 409, 416, 449, 525, 558, 585, 616, 630, 659, 675, 703, 721, 725, 740, 748, 807, 820, 833, 684*x + 475, 155*x + 475, 329*x + 733, 510*x + 733, 246*x + 426, 593*x + 426, 7*x + 55, 832*x + 55, 461*x + 697, 378*x + 697, 163*x + 387, 676*x + 387, 274*x + 435, 565*x + 435, 592*x + 660, 247*x + 660, 100*x + 126, 739*x + 126, 557*x, 282*x, 832*x + 594, 7*x + 594, 109*x + 563, 730*x + 563, 385*x + 672, 454*x + 672, 12*x + 706, 827*x + 706, 257*x + 777, 582*x + 777, 601*x + 33, 238*x + 33, 60*x + 445, 779*x + 445, 773*x + 574, 66*x + 574, 13*x + 590, 826*x + 590]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^19 + 3*x^18 - 18*x^17 - 57*x^16 + 128*x^15 + 439*x^14 - 453*x^13 - 1768*x^12 + 800*x^11 + 4001*x^10 - 501*x^9 - 5079*x^8 - 402*x^7 + 3394*x^6 + 732*x^5 - 1010*x^4 - 296*x^3 + 81*x^2 + 20*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^18 - 3*x^17 + 17*x^16 + 54*x^15 - 113*x^14 - 390*x^13 + 369*x^12 + 1452*x^11 - 592*x^10 - 2974*x^9 + 336*x^8 + 3309*x^7 + 208*x^6 - 1847*x^5 - 334*x^4 + 423*x^3 + 111*x^2 - 14*x - 3, x^18 + 3*x^17 - 17*x^16 - 54*x^15 + 113*x^14 + 390*x^13 - 369*x^12 - 1452*x^11 + 592*x^10 + 2974*x^9 - 336*x^8 - 3309*x^7 - 208*x^6 + 1847*x^5 + 334*x^4 - 423*x^3 - 111*x^2 + 14*x + 3, -x^17 - 3*x^16 + 15*x^15 + 49*x^14 - 84*x^13 - 316*x^12 + 208*x^11 + 1027*x^10 - 165*x^9 - 1770*x^8 - 194*x^7 + 1547*x^6 + 398*x^5 - 587*x^4 - 185*x^3 + 67*x^2 + 17*x - 1, x^17 + 3*x^16 - 15*x^15 - 49*x^14 + 84*x^13 + 316*x^12 - 208*x^11 - 1027*x^10 + 165*x^9 + 1770*x^8 + 194*x^7 - 1547*x^6 - 398*x^5 + 587*x^4 + 185*x^3 - 67*x^2 - 17*x + 1, x^13 + x^12 - 16*x^11 - 17*x^10 + 89*x^9 + 93*x^8 - 216*x^7 - 213*x^6 + 221*x^5 + 202*x^4 - 69*x^3 - 65*x^2 - x + 2, -x^13 - x^12 + 16*x^11 + 17*x^10 - 89*x^9 - 93*x^8 + 216*x^7 + 213*x^6 - 221*x^5 - 202*x^4 + 69*x^3 + 65*x^2 + x - 2, -x^16 - 2*x^15 + 16*x^14 + 31*x^13 - 100*x^12 - 187*x^11 + 309*x^10 + 559*x^9 - 485*x^8 - 868*x^7 + 339*x^6 + 664*x^5 - 46*x^4 - 208*x^3 - 24*x^2 + 14*x + 1, x^16 + 2*x^15 - 16*x^14 - 31*x^13 + 100*x^12 + 187*x^11 - 309*x^10 - 559*x^9 + 485*x^8 + 868*x^7 - 339*x^6 - 664*x^5 + 46*x^4 + 208*x^3 + 24*x^2 - 14*x - 1, -x^16 - 3*x^15 + 13*x^14 + 43*x^13 - 61*x^12 - 238*x^11 + 118*x^10 + 645*x^9 - 45*x^8 - 894*x^7 - 149*x^6 + 596*x^5 + 195*x^4 - 148*x^3 - 70*x^2 - x + 2, x^16 + 3*x^15 - 13*x^14 - 43*x^13 + 61*x^12 + 238*x^11 - 118*x^10 - 645*x^9 + 45*x^8 + 894*x^7 + 149*x^6 - 596*x^5 - 195*x^4 + 148*x^3 + 70*x^2 + x - 2, -x^13 - 2*x^12 + 11*x^11 + 19*x^10 - 49*x^9 - 66*x^8 + 111*x^7 + 102*x^6 - 129*x^5 - 70*x^4 + 66*x^3 + 21*x^2 - 10*x - 1, x^13 + 2*x^12 - 11*x^11 - 19*x^10 + 49*x^9 + 66*x^8 - 111*x^7 - 102*x^6 + 129*x^5 + 70*x^4 - 66*x^3 - 21*x^2 + 10*x + 1, x^14 + 2*x^13 - 14*x^12 - 28*x^11 + 70*x^10 + 142*x^9 - 150*x^8 - 324*x^7 + 119*x^6 + 331*x^5 + x^4 - 131*x^3 - 22*x^2 + 12*x + 1, -x^14 - 2*x^13 + 14*x^12 + 28*x^11 - 70*x^10 - 142*x^9 + 150*x^8 + 324*x^7 - 119*x^6 - 331*x^5 - x^4 + 131*x^3 + 22*x^2 - 12*x - 1, x^15 + 3*x^14 - 12*x^13 - 40*x^12 + 51*x^11 + 203*x^10 - 86*x^9 - 490*x^8 + 27*x^7 + 576*x^6 + 65*x^5 - 305*x^4 - 59*x^3 + 58*x^2 + 15*x + 1, -x^15 - 3*x^14 + 12*x^13 + 40*x^12 - 51*x^11 - 203*x^10 + 86*x^9 + 490*x^8 - 27*x^7 - 576*x^6 - 65*x^5 + 305*x^4 + 59*x^3 - 58*x^2 - 15*x - 1, -x^15 - 2*x^14 + 15*x^13 + 29*x^12 - 86*x^11 - 159*x^10 + 239*x^9 + 417*x^8 - 335*x^7 - 544*x^6 + 220*x^5 + 333*x^4 - 47*x^3 - 77*x^2 - 2*x + 2, x^15 + 2*x^14 - 15*x^13 - 29*x^12 + 86*x^11 + 159*x^10 - 239*x^9 - 417*x^8 + 335*x^7 + 544*x^6 - 220*x^5 - 333*x^4 + 47*x^3 + 77*x^2 + 2*x - 2, -x^15 - 3*x^14 + 11*x^13 + 38*x^12 - 39*x^11 - 179*x^10 + 34*x^9 + 386*x^8 + 72*x^7 - 375*x^6 - 138*x^5 + 134*x^4 + 56*x^3 - 10*x^2 + 2, x^15 + 3*x^14 - 11*x^13 - 38*x^12 + 39*x^11 + 179*x^10 - 34*x^9 - 386*x^8 - 72*x^7 + 375*x^6 + 138*x^5 - 134*x^4 - 56*x^3 + 10*x^2 - 2, -x^14 - 3*x^13 + 10*x^12 + 35*x^11 - 32*x^10 - 155*x^9 + 18*x^8 + 318*x^7 + 84*x^6 - 291*x^5 - 136*x^4 + 90*x^3 + 55*x^2 - 2, x^14 + 3*x^13 - 10*x^12 - 35*x^11 + 32*x^10 + 155*x^9 - 18*x^8 - 318*x^7 - 84*x^6 + 291*x^5 + 136*x^4 - 90*x^3 - 55*x^2 + 2, -x^14 - 3*x^13 + 10*x^12 + 35*x^11 - 31*x^10 - 151*x^9 + 15*x^8 + 294*x^7 + 80*x^6 - 246*x^5 - 122*x^4 + 57*x^3 + 46*x^2 + 9*x, x^14 + 3*x^13 - 10*x^12 - 35*x^11 + 31*x^10 + 151*x^9 - 15*x^8 - 294*x^7 - 80*x^6 + 246*x^5 + 122*x^4 - 57*x^3 - 46*x^2 - 9*x, -x^14 - 2*x^13 + 12*x^12 + 24*x^11 - 53*x^10 - 108*x^9 + 102*x^8 + 225*x^7 - 69*x^6 - 216*x^5 - 17*x^4 + 81*x^3 + 24*x^2 - 6*x - 2, x^14 + 2*x^13 - 12*x^12 - 24*x^11 + 53*x^10 + 108*x^9 - 102*x^8 - 225*x^7 + 69*x^6 + 216*x^5 + 17*x^4 - 81*x^3 - 24*x^2 + 6*x + 2, -x^13 - 3*x^12 + 8*x^11 + 29*x^10 - 19*x^9 - 106*x^8 + 183*x^6 + 58*x^5 - 145*x^4 - 70*x^3 + 37*x^2 + 23*x + 2, x^13 + 3*x^12 - 8*x^11 - 29*x^10 + 19*x^9 + 106*x^8 - 183*x^6 - 58*x^5 + 145*x^4 + 70*x^3 - 37*x^2 - 23*x - 2, -x^13 - 3*x^12 + 8*x^11 + 28*x^10 - 19*x^9 - 92*x^8 + 8*x^7 + 129*x^6 + 16*x^5 - 77*x^4 - 10*x^3 + 19*x^2 - 2, x^13 + 3*x^12 - 8*x^11 - 28*x^10 + 19*x^9 + 92*x^8 - 8*x^7 - 129*x^6 - 16*x^5 + 77*x^4 + 10*x^3 - 19*x^2 + 2, -x^13 - 2*x^12 + 10*x^11 + 18*x^10 - 40*x^9 - 59*x^8 + 84*x^7 + 90*x^6 - 95*x^5 - 70*x^4 + 49*x^3 + 28*x^2 - 8*x - 4, x^13 + 2*x^12 - 10*x^11 - 18*x^10 + 40*x^9 + 59*x^8 - 84*x^7 - 90*x^6 + 95*x^5 + 70*x^4 - 49*x^3 - 28*x^2 + 8*x + 4, -x^12 - 2*x^11 + 10*x^10 + 18*x^9 - 37*x^8 - 55*x^7 + 63*x^6 + 66*x^5 - 50*x^4 - 27*x^3 + 17*x^2 + 2*x - 2, x^12 + 2*x^11 - 10*x^10 - 18*x^9 + 37*x^8 + 55*x^7 - 63*x^6 - 66*x^5 + 50*x^4 + 27*x^3 - 17*x^2 - 2*x + 2, -2*x^12 - 6*x^11 + 13*x^10 + 49*x^9 - 18*x^8 - 135*x^7 - 26*x^6 + 146*x^5 + 66*x^4 - 53*x^3 - 32*x^2 + 2*x + 2, 2*x^12 + 6*x^11 - 13*x^10 - 49*x^9 + 18*x^8 + 135*x^7 + 26*x^6 - 146*x^5 - 66*x^4 + 53*x^3 + 32*x^2 - 2*x - 2, -x^12 - 5*x^11 + 2*x^10 + 41*x^9 + 30*x^8 - 110*x^7 - 127*x^6 + 103*x^5 + 162*x^4 - 11*x^3 - 63*x^2 - 13*x + 2, x^12 + 5*x^11 - 2*x^10 - 41*x^9 - 30*x^8 + 110*x^7 + 127*x^6 - 103*x^5 - 162*x^4 + 11*x^3 + 63*x^2 + 13*x - 2]>,
         rec<Eigen |
           DefiningPolynomial := x^51 - 4*x^50 - 76*x^49 + 317*x^48 + 2677*x^47 - 11730*x^46 - 57955*x^45 + 269307*x^44 + 861849*x^43 - 4299870*x^42 - 9312579*x^41 + 50720612*x^40 + 75313108*x^39 - 458365132*x^38 - 461310236*x^37 + 3247866406*x^36 + 2127152342*x^35 - 18317396169*x^34 - 7115078029*x^33 + 83003669812*x^32 + 15083211552*x^31 - 303781564738*x^30 - 5694909418*x^29 + 899539678946*x^28 - 100025847606*x^27 - 2152268484926*x^26 + 463948933246*x^25 + 4142874250778*x^24 - 1241703237282*x^23 - 6367322309998*x^22 + 2341188083802*x^21 + 7726518104722*x^20 - 3265480810158*x^19 - 7286614417801*x^18 + 3404895717474*x^17 + 5224986528748*x^16 - 2635456144101*x^15 - 2762718586157*x^14 + 1485241463834*x^13 + 1029873883829*x^12 - 590485622639*x^11 - 251916603055*x^10 + 157977231666*x^9 + 35175950137*x^8 - 26450736362*x^7 - 1756677960*x^6 + 2434301198*x^5 - 124568658*x^4 - 89043772*x^3 + 12458636*x^2 - 259955*x + 517,
           Coordinates        := [-x^50 + 4*x^49 + 73*x^48 - 305*x^47 - 2464*x^46 + 10839*x^45 + 50977*x^44 - 238524*x^43 - 722068*x^42 + 3642487*x^41 + 7401067*x^40 - 40997797*x^39 - 56465995*x^38 + 352607094*x^37 + 323654795*x^36 - 2370976094*x^35 - 1377155867*x^34 + 12648534034*x^33 + 4118967414*x^32 - 54018084781*x^31 - 6913021769*x^30 + 185551491576*x^29 - 5144887494*x^28 - 513215470475*x^27 + 77964550477*x^26 + 1140524797634*x^25 - 287334260868*x^24 - 2025389538282*x^23 + 674841953039*x^22 + 2848177578721*x^21 - 1138999038916*x^20 - 3129320486315*x^19 + 1425816542036*x^18 + 2635541169913*x^17 - 1327825910281*x^16 - 1655951935600*x^15 + 908410979671*x^14 + 745964873630*x^13 - 444897132242*x^12 - 226307264535*x^11 + 149646289537*x^10 + 41226203250*x^9 - 32405205702*x^8 - 3307224592*x^7 + 4057446506*x^6 - 93941473*x^5 - 236983977*x^4 + 25553311*x^3 + 3056333*x^2 - 407809*x + 698, x^50 - 4*x^49 - 73*x^48 + 305*x^47 + 2464*x^46 - 10837*x^45 - 50983*x^44 + 238390*x^43 + 722478*x^42 - 3638345*x^41 - 7414043*x^40 + 40919468*x^39 + 56718484*x^38 - 351593973*x^37 - 327036383*x^36 + 2361486971*x^35 + 1410227010*x^34 - 12582095770*x^33 - 4363492809*x^32 + 53664501509*x^31 + 8309423487*x^30 - 184113719355*x^29 - 1093583845*x^28 + 508779840982*x^27 - 56013439830*x^26 - 1130411941102*x^25 + 226387044978*x^24 + 2009558535932*x^23 - 541655270785*x^22 - 2835484373445*x^21 + 911533799286*x^20 + 3138837504762*x^19 - 1125878818458*x^18 - 2683131347850*x^17 + 1028105479992*x^16 + 1734161674574*x^15 - 687631827627*x^14 - 824153949308*x^13 + 329917476330*x^12 + 277480120679*x^11 - 110066432201*x^10 - 62845353490*x^9 + 24469953713*x^8 + 8834451794*x^7 - 3413983256*x^6 - 656087847*x^5 + 269561213*x^4 + 14369257*x^3 - 9111951*x^2 + 527143*x - 2462, -3*x^44 + 11*x^43 + 195*x^42 - 742*x^41 - 5807*x^40 + 23089*x^39 + 104944*x^38 - 439862*x^37 - 1284621*x^36 + 5741841*x^35 + 11250313*x^34 - 54467568*x^33 - 72489226*x^32 + 388592869*x^31 + 347126892*x^30 - 2128982049*x^29 - 1225853922*x^28 + 9067522014*x^27 + 3074610563*x^26 - 30206313502*x^25 - 4822080833*x^24 + 78800608357*x^23 + 1779169634*x^22 - 160485500780*x^21 + 13154066360*x^20 + 253292280485*x^19 - 40726446515*x^18 - 306110870604*x^17 + 66980819810*x^16 + 278323950787*x^15 - 72332974264*x^14 - 185639320355*x^13 + 53367627803*x^12 + 87552414859*x^11 - 26737614480*x^10 - 27601934526*x^9 + 8799658722*x^8 + 5297463542*x^7 - 1784464542*x^6 - 514927656*x^5 + 197559831*x^4 + 13531628*x^3 - 8803812*x^2 + 645156*x - 166, -3*x^48 + 12*x^47 + 207*x^46 - 867*x^45 - 6574*x^44 + 29091*x^43 + 127283*x^42 - 602097*x^41 - 1676221*x^40 + 8610961*x^39 + 15839103*x^38 - 90343605*x^37 - 110096204*x^36 + 720520826*x^35 + 564287868*x^34 - 4466402673*x^33 - 2071041896*x^32 + 21820209509*x^31 + 4836338245*x^30 - 84689494915*x^29 - 2861353670*x^28 + 262039868582*x^27 - 30077072022*x^26 - 646040375457*x^25 + 151260951653*x^24 + 1263733106340*x^23 - 418874844730*x^22 - 1945197155952*x^21 + 801757716371*x^20 + 2325700455617*x^19 - 1118024813773*x^18 - 2119173966746*x^17 + 1147054713305*x^16 + 1431595637507*x^15 - 856976568884*x^14 - 688132413952*x^13 + 454286041822*x^12 + 220408751627*x^11 - 163549593377*x^10 - 41625277018*x^9 + 37293557004*x^8 + 3276494697*x^7 - 4793760851*x^6 + 141249719*x^5 + 273642609*x^4 - 29049537*x^3 - 2426833*x^2 + 194359*x + 1930, -3*x^46 + 12*x^45 + 197*x^44 - 831*x^43 - 5915*x^42 + 26621*x^41 + 107380*x^40 - 523794*x^39 - 1311448*x^38 + 7088374*x^37 + 11314261*x^36 - 70012611*x^35 - 70028932*x^34 + 522733568*x^33 + 304620781*x^32 - 3014935280*x^31 - 835359224*x^30 + 13611948191*x^29 + 628065502*x^28 - 48457693643*x^27 + 6414441608*x^26 + 136368332033*x^25 - 37196404308*x^24 - 302886420648*x^23 + 116520404271*x^22 + 527956956287*x^21 - 250809059898*x^20 - 714931027892*x^19 + 392519586048*x^18 + 740454873304*x^17 - 452373296907*x^16 - 573196032894*x^15 + 381185358687*x^14 + 320469889927*x^13 - 229723308575*x^12 - 122607108308*x^11 + 95280453243*x^10 + 29148519094*x^9 - 25558919430*x^8 - 3409149092*x^7 + 3992288939*x^6 + 5462713*x^5 - 293698361*x^4 + 27583029*x^3 + 4793946*x^2 - 543946*x + 1724, x^47 - 4*x^46 - 67*x^45 + 283*x^44 + 2050*x^43 - 9261*x^42 - 37829*x^41 + 186050*x^40 + 467386*x^39 - 2568194*x^38 - 4041295*x^37 + 25832016*x^36 + 24574485*x^35 - 195911436*x^34 - 99669182*x^33 + 1143436672*x^32 + 202452264*x^31 - 5195336247*x^30 + 429837718*x^29 + 18464754329*x^28 - 5449867084*x^27 - 51276512861*x^26 + 24491190783*x^25 + 110453813052*x^24 - 71250103773*x^23 - 181798935219*x^22 + 148032245255*x^21 + 222498941990*x^20 - 225233620631*x^19 - 192276171166*x^18 + 250535120937*x^17 + 103743311600*x^16 - 199906292014*x^15 - 19302730566*x^14 + 110315714150*x^13 - 16325674984*x^12 - 39587935884*x^11 + 14123963367*x^10 + 8290084681*x^9 - 4850364262*x^8 - 793870119*x^7 + 844434955*x^6 - 2266035*x^5 - 77863557*x^4 + 6398775*x^3 + 3558997*x^2 - 546499*x + 3483, x^46 - 7*x^45 - 53*x^44 + 466*x^43 + 1115*x^42 - 14277*x^41 - 9012*x^40 + 266885*x^39 - 76568*x^38 - 3401681*x^37 + 2996629*x^36 + 31279345*x^35 - 41611778*x^34 - 213963050*x^33 + 368428473*x^32 + 1105023176*x^31 - 2338512173*x^30 - 4316264767*x^29 + 11138423675*x^28 + 12572977097*x^27 - 40656838354*x^26 - 26136071119*x^25 + 114711230684*x^24 + 33694087220*x^23 - 250273062802*x^22 - 8022468923*x^21 + 419524044926*x^20 - 71698969011*x^19 - 533075468312*x^18 + 177836523147*x^17 + 502289776896*x^16 - 235903718218*x^15 - 339157116733*x^14 + 200786400423*x^13 + 155336851738*x^12 - 111797276293*x^11 - 43665042938*x^10 + 39346063598*x^9 + 5830526272*x^8 - 8077068370*x^7 + 96389284*x^6 + 825385656*x^5 - 96561958*x^4 - 28263335*x^3 + 5218892*x^2 - 110736*x + 1160, -3*x^47 + 12*x^46 + 201*x^45 - 843*x^44 - 6182*x^43 + 27444*x^42 + 115557*x^41 - 549817*x^40 - 1463715*x^39 + 7591834*x^38 + 13239979*x^37 - 76682801*x^36 - 87520068*x^35 + 586916057*x^34 + 422179694*x^33 - 3479164608*x^32 - 1427981649*x^31 + 16189142274*x^30 + 2867169606*x^29 - 59574318394*x^28 + 197397393*x^27 + 173850067949*x^26 - 25263708571*x^25 - 401766036791*x^24 + 103941348374*x^23 + 731315400771*x^22 - 256296373217*x^21 - 1038293064518*x^20 + 442149406643*x^19 + 1132647938768*x^18 - 554192665078*x^17 - 928774562287*x^16 + 506444618676*x^15 + 554465967498*x^14 - 332642731875*x^13 - 229507579500*x^12 + 152629141922*x^11 + 60583182327*x^10 - 46805885366*x^9 - 8415188605*x^8 + 8952418178*x^7 + 148983210*x^6 - 936375114*x^5 + 100247461*x^4 + 37115309*x^3 - 8179711*x^2 + 413705*x - 219, x^47 - 4*x^46 - 65*x^45 + 275*x^44 + 1930*x^43 - 8742*x^42 - 34633*x^41 + 170676*x^40 + 418355*x^39 - 2293049*x^38 - 3579733*x^37 + 22517009*x^36 + 22142661*x^35 - 167590661*x^34 - 98227024*x^33 + 967899412*x^32 + 293855203*x^31 - 4406275981*x^30 - 437508647*x^29 + 15978786928*x^28 - 784371427*x^27 - 46467135155*x^26 + 7273087422*x^25 + 108723652815*x^24 - 25479676333*x^23 - 204630916806*x^22 + 59811190808*x^21 + 308319962970*x^20 - 104609019498*x^19 - 367773556873*x^18 + 141089208969*x^17 + 340388498242*x^16 - 147267474746*x^15 - 236493547547*x^14 + 116625901446*x^13 + 116928462971*x^12 - 67210629523*x^11 - 37511074404*x^10 + 26416825087*x^9 + 6361186454*x^8 - 6434855148*x^7 - 142289435*x^6 + 832188711*x^5 - 106630249*x^4 - 38943951*x^3 + 10319121*x^2 - 641348*x + 166, x^46 - 2*x^45 - 73*x^44 + 136*x^43 + 2508*x^42 - 4326*x^41 - 53862*x^40 + 85656*x^39 + 809525*x^38 - 1184722*x^37 - 9029097*x^36 + 12168781*x^35 + 77315538*x^34 - 96262104*x^33 - 518717836*x^32 + 599743721*x^31 + 2759167899*x^30 - 2982336748*x^29 - 11705440654*x^28 + 11917186845*x^27 + 39661841256*x^26 - 38331848897*x^25 - 107067216605*x^24 + 98994021280*x^23 + 228838847857*x^22 - 203948345894*x^21 - 383281310927*x^20 + 331717099476*x^19 + 495481654344*x^18 - 419639997546*x^17 - 483815832495*x^16 + 404534343565*x^15 + 345996371357*x^14 - 288993616646*x^13 - 173108102989*x^12 + 147228445141*x^11 + 56277729993*x^10 - 50663138107*x^9 - 10302741348*x^8 + 10866561968*x^7 + 665542424*x^6 - 1274758254*x^5 + 56133396*x^4 + 62049683*x^3 - 6953743*x^2 - 222317*x - 528, -3*x^49 + 12*x^48 + 213*x^47 - 891*x^46 - 6978*x^45 + 30783*x^44 + 139781*x^43 - 657383*x^42 - 1911512*x^41 + 9722815*x^40 + 18847113*x^39 - 105758038*x^38 - 137655441*x^37 + 876890312*x^36 + 749996475*x^35 - 5668862135*x^34 - 2996110615*x^33 + 28985585031*x^32 + 8170189783*x^31 - 118230073162*x^30 - 10839796912*x^29 + 386324208471*x^28 - 22061297129*x^27 - 1011743687292*x^26 + 176614672378*x^25 + 2117484712496*x^24 - 566861284243*x^23 - 3519144731277*x^22 + 1202189044886*x^21 + 4597197618407*x^20 - 1839664268122*x^19 - 4651073247888*x^18 + 2077069807193*x^17 + 3569034593148*x^16 - 1727045164430*x^15 - 2016753712527*x^14 + 1040344331592*x^13 + 803566619294*x^12 - 440839333102*x^11 - 210690399805*x^10 + 125572025964*x^9 + 31868725545*x^8 - 22393289856*x^7 - 1850619433*x^6 + 2197317221*x^5 - 99015347*x^4 - 85987439*x^3 + 12050827*x^2 - 259257*x + 517, 2*x^45 - 7*x^44 - 128*x^43 + 460*x^42 + 3759*x^41 - 13911*x^40 - 67190*x^39 + 256801*x^38 + 817812*x^37 - 3236547*x^36 - 7188952*x^35 + 29506648*x^34 + 47283663*x^33 - 201108306*x^32 - 238359399*x^31 + 1044233567*x^30 + 939391843*x^29 - 4169269109*x^28 - 2958274450*x^27 + 12820569935*x^26 + 7666984161*x^25 - 30180872749*x^24 - 16979466480*x^23 + 53560823601*x^22 + 33152259398*x^21 - 69517799822*x^20 - 57037957167*x^19 + 62024997396*x^18 + 83109998881*x^17 - 32245267764*x^16 - 96758214771*x^15 + 2487537999*x^14 + 84993537839*x^13 + 8698023630*x^12 - 53362041456*x^11 - 5403631035*x^10 + 22553154778*x^9 + 877673902*x^8 - 5916241106*x^7 + 289127632*x^6 + 840364396*x^5 - 123756741*x^4 - 45197317*x^3 + 12168356*x^2 - 746200*x - 1392, -3*x^47 + 12*x^46 + 201*x^45 - 842*x^44 - 6190*x^43 + 27390*x^42 + 116088*x^41 - 548606*x^40 - 1479957*x^39 + 7578839*x^38 + 13543756*x^37 - 76662190*x^36 - 91407289*x^35 + 588331680*x^34 + 458260358*x^33 - 3502448751*x^32 - 1679277984*x^31 + 16400159546*x^30 + 4207346329*x^29 - 60887034526*x^28 - 5338007295*x^27 + 179844314394*x^26 - 7470417099*x^25 - 422427898476*x^24 + 59457966368*x^23 + 785691368702*x^22 - 170317539414*x^21 - 1147716798449*x^20 + 315159856337*x^19 + 1300010359275*x^18 - 413499289007*x^17 - 1120753574095*x^16 + 392688507217*x^15 + 716092157385*x^14 - 268135577915*x^13 - 326236397621*x^12 + 128392941910*x^11 + 99922610291*x^10 - 41237370352*x^9 - 18658977294*x^8 + 8259610232*x^7 + 1743195576*x^6 - 909620224*x^5 - 36791683*x^4 + 41870707*x^3 - 2841531*x^2 - 158472*x - 298, -3*x^45 + 6*x^44 + 211*x^43 - 425*x^42 - 6847*x^41 + 13879*x^40 + 136070*x^39 - 277398*x^38 - 1853714*x^37 + 3799034*x^36 + 18361681*x^35 - 37821665*x^34 - 136865910*x^33 + 283381966*x^32 + 783759967*x^31 - 1632164402*x^30 - 3489220726*x^29 + 7317551845*x^28 + 12140615842*x^27 - 25699719485*x^26 - 33007766386*x^25 + 70797367855*x^24 + 69725274234*x^23 - 152480889842*x^22 - 113090155835*x^21 + 254743034901*x^20 + 138056368456*x^19 - 325852826348*x^18 - 122775018820*x^17 + 313043544108*x^16 + 75101804871*x^15 - 219758717378*x^14 - 27859914449*x^13 + 108441913929*x^12 + 3661841797*x^11 - 35565783574*x^10 + 1513879037*x^9 + 7118040766*x^8 - 754842782*x^7 - 750077864*x^6 + 120092415*x^5 + 29306209*x^4 - 6355505*x^3 + 182225*x^2 + 7500*x - 1106, -3*x^47 + 12*x^46 + 201*x^45 - 841*x^44 - 6188*x^43 + 27303*x^42 + 115999*x^41 - 545285*x^40 - 1478637*x^39 + 7503855*x^38 + 13546503*x^37 - 75531379*x^36 - 91809522*x^35 + 576186348*x^34 + 465560370*x^33 - 3405976181*x^32 - 1756198324*x^31 + 15820356713*x^30 + 4764285141*x^29 - 58215718465*x^28 - 8282512110*x^27 + 170354336252*x^26 + 4219149866*x^25 - 396445128463*x^24 + 24169870753*x^23 + 731245058782*x^22 - 89072857312*x^21 - 1061684885872*x^20 + 173157509757*x^19 + 1200207157401*x^18 - 227325125387*x^17 - 1039856247662*x^16 + 213328116679*x^15 + 675086345179*x^14 - 145187947486*x^13 - 317924058374*x^12 + 71381098940*x^11 + 103486500073*x^10 - 24804077245*x^9 - 21567236170*x^8 + 5770469200*x^7 + 2505865461*x^6 - 797396349*x^5 - 112339213*x^4 + 50075715*x^3 - 1681329*x^2 - 378359*x - 1457, -3*x^46 + 12*x^45 + 195*x^44 - 820*x^43 - 5800*x^42 + 25904*x^41 + 104470*x^40 - 502280*x^39 - 1269811*x^38 + 6694037*x^37 + 10967012*x^36 - 65071790*x^35 - 68776289*x^34 + 477864234*x^33 + 311771072*x^32 - 2709361441*x^31 - 972714452*x^30 + 12019020194*x^29 + 1683390293*x^28 - 42026205476*x^27 + 1117533051*x^26 + 116145034430*x^25 - 18030610033*x^24 - 253343580006*x^23 + 64789611096*x^22 + 433808137508*x^21 - 145468306888*x^20 - 577417356819*x^19 + 230855728037*x^18 + 588373787221*x^17 - 267320915433*x^16 - 448688053071*x^15 + 226273013865*x^14 + 247546785939*x^13 - 137809914401*x^12 - 93693061185*x^11 + 58463550934*x^10 + 22151349643*x^9 - 16362614096*x^8 - 2624951372*x^7 + 2759563746*x^6 + 18162366*x^5 - 237138356*x^4 + 22400251*x^3 + 6935981*x^2 - 1014021*x + 1812, -3*x^46 + 13*x^45 + 191*x^44 - 888*x^43 - 5521*x^42 + 28039*x^41 + 95440*x^40 - 543273*x^39 - 1089874*x^38 + 7231138*x^37 + 8497405*x^36 - 70141851*x^35 - 44032471*x^34 + 513301413*x^33 + 124621507*x^32 - 2894450685*x^31 + 117130631*x^30 + 12734716622*x^29 - 3256116611*x^28 - 43992335681*x^27 + 18613956881*x^26 + 119476372043*x^25 - 66391970307*x^24 - 254255828521*x^23 + 168354818991*x^22 + 420613025847*x^21 - 314946969030*x^20 - 533760039346*x^19 + 437999988098*x^18 + 509287588529*x^17 - 449368430458*x^16 - 354726246310*x^15 + 333503446757*x^14 + 172412404084*x^13 - 173363165491*x^12 - 54206970697*x^11 + 60116327984*x^10 + 9374280250*x^9 - 12906545918*x^8 - 426412698*x^7 + 1512077476*x^6 - 96513402*x^5 - 72312820*x^4 + 10317787*x^3 - 93030*x^2 - 15862*x + 2212, 3*x^45 - 9*x^44 - 201*x^43 + 614*x^42 + 6201*x^41 - 19335*x^40 - 116878*x^39 + 373074*x^38 + 1505849*x^37 - 4938153*x^36 - 14058415*x^35 + 47570932*x^34 + 98359056*x^33 - 345332517*x^32 - 526002074*x^31 + 1929881641*x^30 + 2172595923*x^29 - 8410146420*x^28 - 6951176047*x^27 + 28774201749*x^26 + 17148650366*x^25 - 77442088701*x^24 - 32153086483*x^23 + 163570417678*x^22 + 44382280985*x^21 - 269353200915*x^20 - 41816963479*x^19 + 341950255271*x^18 + 20524935978*x^17 - 329157864012*x^16 + 6564725767*x^15 + 234665173150*x^14 - 21044629799*x^13 - 119914155625*x^12 + 18512711411*x^11 + 41917680208*x^10 - 9236055230*x^9 - 9323887362*x^8 + 2764042564*x^7 + 1143842494*x^6 - 460730368*x^5 - 45183409*x^4 + 33121480*x^3 - 2543682*x^2 - 155490*x + 930, x^47 - 4*x^46 - 67*x^45 + 280*x^44 + 2066*x^43 - 9096*x^42 - 38846*x^41 + 182132*x^40 + 497091*x^39 - 2517920*x^38 - 4570167*x^37 + 25512305*x^36 + 30994174*x^35 - 196281722*x^34 - 155963448*x^33 + 1172183703*x^32 + 571074107*x^31 - 5508147384*x^30 - 1407284746*x^29 + 20523374877*x^28 + 1585635990*x^27 - 60822727771*x^26 + 3746297453*x^25 + 143245006270*x^24 - 24410567479*x^23 - 266858041530*x^22 + 68222574649*x^21 + 389893580082*x^20 - 125548313766*x^19 - 440930265540*x^18 + 164544055501*x^17 + 378711923361*x^16 - 156226225077*x^15 - 240404037424*x^14 + 106707582207*x^13 + 108345757881*x^12 - 51235186613*x^11 - 32527216837*x^10 + 16607384058*x^9 + 5785690022*x^8 - 3395299342*x^7 - 445826098*x^6 + 385293604*x^5 - 10651851*x^4 - 17939609*x^3 + 2564201*x^2 - 38056*x - 1632, -3*x^45 + 14*x^44 + 184*x^43 - 937*x^42 - 5065*x^41 + 28896*x^40 + 81855*x^39 - 544806*x^38 - 844759*x^37 + 7026462*x^36 + 5508472*x^35 - 65717881*x^34 - 18021658*x^33 + 461082095*x^32 - 41465977*x^31 - 2476108941*x^30 + 903128127*x^29 + 10293375936*x^28 - 5992911451*x^27 - 33280924065*x^26 + 25384232669*x^25 + 83622689190*x^24 - 77021438723*x^23 - 162264670414*x^22 + 173639567140*x^21 + 240138214125*x^20 - 294018727000*x^19 - 265384424089*x^18 + 373091690414*x^17 + 211343130977*x^16 - 350656925051*x^15 - 113306346091*x^14 + 239006948158*x^13 + 34184787056*x^12 - 114290029339*x^11 - 864320046*x^10 + 36401593248*x^9 - 3502195180*x^8 - 7081928084*x^7 + 1269536886*x^6 + 712487487*x^5 - 184028203*x^4 - 22335440*x^3 + 9448968*x^2 - 645322*x + 166, x^46 - 2*x^45 - 69*x^44 + 133*x^43 + 2206*x^42 - 4046*x^41 - 43479*x^40 + 74590*x^39 + 593301*x^38 - 930431*x^37 - 5971521*x^36 + 8301595*x^35 + 46140837*x^34 - 54589117*x^33 - 281313672*x^32 + 268457918*x^31 + 1379554747*x^30 - 990775197*x^29 - 5509905883*x^28 + 2727136542*x^27 + 18029109959*x^26 - 5519226929*x^25 - 48292017996*x^24 + 8121497145*x^23 + 105102585991*x^22 - 9213986994*x^21 - 183346176154*x^20 + 11143791678*x^19 + 251434704898*x^18 - 19279133903*x^17 - 264247749209*x^16 + 32287152494*x^15 + 205876988304*x^14 - 38193663617*x^13 - 113683023082*x^12 + 29381634459*x^11 + 41675768781*x^10 - 14093599580*x^9 - 9107094259*x^8 + 3947140528*x^7 + 936200568*x^6 - 571461925*x^5 - 4055517*x^4 + 32200637*x^3 - 4440155*x^2 + 123953*x + 2582, 3*x^46 - 12*x^45 - 195*x^44 + 826*x^43 + 5778*x^42 - 26266*x^41 - 103096*x^40 + 512257*x^39 + 1230373*x^38 - 6860428*x^37 - 10276743*x^36 + 66946116*x^35 + 60533809*x^34 - 492928125*x^33 - 240593051*x^32 + 2798200276*x^31 + 512996552*x^30 - 12407478700*x^29 + 581782316*x^28 + 43276889184*x^27 - 9724605290*x^26 - 119009260628*x^25 + 43351625984*x^24 + 257516994626*x^23 - 122354794176*x^22 - 435779175336*x^21 + 245828802791*x^20 + 570570599735*x^19 - 363153961186*x^18 - 568683800287*x^17 + 396288428289*x^16 + 421352007775*x^15 - 316174476786*x^14 - 224075899286*x^13 + 180370888079*x^12 + 80907452480*x^11 - 71015424735*x^10 - 17879676580*x^9 + 18280583500*x^8 + 1807874190*x^7 - 2813811648*x^6 + 60858211*x^5 + 216010459*x^4 - 23994075*x^3 - 4807290*x^2 + 738426*x - 5676, -x^46 + 4*x^45 + 67*x^44 - 277*x^43 - 2076*x^42 + 8907*x^41 + 39468*x^40 - 176589*x^39 - 514921*x^38 + 2417124*x^37 + 4882858*x^36 - 24235101*x^35 - 34750587*x^34 + 184269764*x^33 + 188767901*x^32 - 1085052695*x^31 - 786820920*x^30 + 5008925300*x^29 + 2500025385*x^28 - 18233199356*x^27 - 5910240177*x^26 + 52365565731*x^25 + 9752021415*x^24 - 118144169149*x^23 - 9004030744*x^22 + 207427922747*x^21 - 2466711881*x^20 - 279077303984*x^19 + 22815259224*x^18 + 281136385463*x^17 - 37940937531*x^16 - 204864651217*x^15 + 34920867913*x^14 + 102428714732*x^13 - 18654092462*x^12 - 32223020605*x^11 + 4794748419*x^10 + 5451763246*x^9 + 94422231*x^8 - 381341914*x^7 - 324806351*x^6 + 35592591*x^5 + 53540643*x^4 - 8708631*x^3 - 1727567*x^2 + 350527*x - 3654, 3*x^44 - 11*x^43 - 191*x^42 + 730*x^41 + 5553*x^40 - 22305*x^39 - 97598*x^38 + 416426*x^37 + 1156481*x^36 - 5316769*x^35 - 9745685*x^34 + 49236552*x^33 + 59923494*x^32 - 342316561*x^31 - 270282270*x^30 + 1824736357*x^29 + 877188057*x^28 - 7551511388*x^27 - 1900946093*x^26 + 24418521561*x^25 + 1937376234*x^24 - 61793490465*x^23 + 3166657483*x^22 + 122043693436*x^21 - 18292565355*x^20 - 186803380985*x^19 + 41728641893*x^18 + 219001000297*x^17 - 60565838510*x^16 - 193251560392*x^15 + 60464673837*x^14 + 125206373460*x^13 - 41944021043*x^12 - 57502483683*x^11 + 19861689297*x^10 + 17791844448*x^9 - 6192653574*x^8 - 3428074260*x^7 + 1209238786*x^6 + 354688748*x^5 - 137705570*x^4 - 11671087*x^3 + 7195482*x^2 - 582006*x + 4746, -3*x^47 + 12*x^46 + 203*x^45 - 851*x^44 - 6310*x^43 + 27983*x^42 + 119292*x^41 - 566569*x^40 - 1529373*x^39 + 7910578*x^38 + 14012734*x^37 - 80838107*x^36 - 93899085*x^35 + 626273114*x^34 + 459508349*x^33 - 3759399341*x^32 - 1577653214*x^31 + 17720221534*x^30 + 3214158101*x^29 - 66068621424*x^28 + 266737217*x^27 + 195348975583*x^26 - 29572870591*x^25 - 457306477693*x^24 + 123816568760*x^23 + 842702516543*x^22 - 311358471203*x^21 - 1209812276918*x^20 + 548481944592*x^19 + 1331692123741*x^18 - 702689968501*x^17 - 1097582707979*x^16 + 656740478867*x^15 + 653534953396*x^14 - 440870342284*x^13 - 265233809293*x^12 + 205908640785*x^11 + 65578622714*x^10 - 63474391715*x^9 - 7024994678*x^8 + 11829059805*x^7 - 513996309*x^6 - 1126278263*x^5 + 182305023*x^4 + 33484891*x^3 - 10175139*x^2 + 639546*x + 940, x^48 - 4*x^47 - 69*x^46 + 289*x^45 + 2194*x^44 - 9701*x^43 - 42617*x^42 + 200988*x^41 + 564930*x^40 - 2879896*x^39 - 5403407*x^38 + 30307868*x^37 + 38390925*x^36 - 242838372*x^35 - 204901670*x^34 + 1515416654*x^33 + 815761926*x^32 - 7472934175*x^31 - 2330059946*x^30 + 29377040825*x^29 + 4143752140*x^28 - 92471160881*x^27 - 1031417247*x^26 + 233252140372*x^25 - 20539284321*x^24 - 470269408577*x^23 + 77063398993*x^22 + 753313125300*x^21 - 167091646135*x^20 - 949487948286*x^19 + 252808465257*x^18 + 928351432432*x^17 - 279308153826*x^16 - 690132707816*x^15 + 226923389928*x^14 + 379198025874*x^13 - 133898494520*x^12 - 147800161343*x^11 + 55756481041*x^10 + 38334462614*x^9 - 15608344389*x^8 - 5897304153*x^7 + 2709799791*x^6 + 403973465*x^5 - 250898893*x^4 + 2112559*x^3 + 8606097*x^2 - 862213*x + 3094, x^47 - 4*x^46 - 67*x^45 + 281*x^44 + 2062*x^43 - 9160*x^42 - 38581*x^41 + 184029*x^40 + 488933*x^39 - 2552483*x^38 - 4415144*x^37 + 25945244*x^36 + 28957434*x^35 - 200228172*x^34 - 136331214*x^33 + 1199172275*x^32 + 427352834*x^31 - 5648529277*x^30 - 591485354*x^29 + 21078435548*x^28 - 2047162703*x^27 - 62460134331*x^26 + 16502683515*x^25 + 146655718144*x^24 - 59725822026*x^23 - 271020540896*x^22 + 144921459784*x^21 + 389464877159*x^20 - 254964922151*x^19 - 426955497171*x^18 + 331688258753*x^17 + 346517931526*x^16 - 318002604028*x^15 - 198037292459*x^14 + 220668592547*x^13 + 72098805764*x^12 - 107325162832*x^11 - 12091592283*x^10 + 34784785833*x^9 - 1612883373*x^8 - 6919863820*x^7 + 1182718900*x^6 + 718016918*x^5 - 207176661*x^4 - 21514869*x^3 + 12507551*x^2 - 1153517*x + 5281, x^49 - 4*x^48 - 71*x^47 + 297*x^46 + 2326*x^45 - 10259*x^44 - 46597*x^43 + 218991*x^42 + 637392*x^41 - 3236622*x^40 - 6289148*x^39 + 35169111*x^38 + 46011953*x^37 - 291187397*x^36 - 251618816*x^35 + 1878918751*x^34 + 1013658132*x^33 - 9584270259*x^32 - 2826367413*x^31 + 38978653053*x^30 + 4151423069*x^29 - 126914702138*x^28 + 5202821264*x^27 + 330995788388*x^26 - 52303562526*x^25 - 689446874444*x^24 + 173793179099*x^23 + 1139742977325*x^22 - 374935082198*x^21 - 1480306853246*x^20 + 582651105386*x^19 + 1488401160471*x^18 - 670932483732*x^17 - 1134264517658*x^16 + 574097156688*x^15 + 634994303987*x^14 - 360840110116*x^13 - 248402949330*x^12 + 162555046448*x^11 + 61721573651*x^10 - 50315254157*x^9 - 7408126345*x^8 + 9938525058*x^7 - 298172055*x^6 - 1080821569*x^5 + 186606365*x^4 + 41151273*x^3 - 14740331*x^2 + 1190941*x - 3649, x^48 - 4*x^47 - 69*x^46 + 289*x^45 + 2192*x^44 - 9698*x^43 - 42469*x^42 + 200735*x^41 + 559965*x^40 - 2870461*x^39 - 5303124*x^38 + 30098708*x^37 + 37026642*x^36 - 239729848*x^35 - 191667208*x^34 + 1482408857*x^33 + 721363470*x^32 - 7212914281*x^31 - 1827940472*x^30 + 27821976392*x^29 + 2152652969*x^28 - 85312891713*x^27 + 4741294551*x^26 + 207712926286*x^25 - 32054581558*x^24 - 399546150030*x^23 + 89656789594*x^22 + 601864394899*x^21 - 161791047765*x^20 - 700948396005*x^19 + 202137869469*x^18 + 620515397760*x^17 - 174700169478*x^16 - 409034662771*x^15 + 99868327583*x^14 + 196552974104*x^13 - 33463935362*x^12 - 67958385685*x^11 + 3994697003*x^10 + 17102764531*x^9 + 1076915734*x^8 - 3235319696*x^7 - 376638104*x^6 + 438720747*x^5 + 22488953*x^4 - 31222147*x^3 + 1696795*x^2 + 331421*x - 632, -3*x^45 + 7*x^44 + 203*x^43 - 466*x^42 - 6371*x^41 + 14345*x^40 + 123198*x^39 - 271133*x^38 - 1644670*x^37 + 3523710*x^36 + 16095473*x^35 - 33418489*x^34 - 119675801*x^33 + 239569593*x^32 + 691385439*x^31 - 1326930751*x^30 - 3147198173*x^29 + 5756275170*x^28 + 11378987079*x^27 - 19711103997*x^26 - 32785482089*x^25 + 53460839271*x^24 + 75202765403*x^23 - 114805280053*x^22 - 136606960693*x^21 + 194432714177*x^20 + 194539100772*x^19 - 257647302434*x^18 - 213705664598*x^17 + 263737550889*x^16 + 176718657758*x^15 - 204522636568*x^14 - 106013987999*x^13 + 116692575186*x^12 + 43520662367*x^11 - 46883287103*x^10 - 11015239164*x^9 + 12402038324*x^8 + 1329535614*x^7 - 1936098262*x^6 + 11921748*x^5 + 143671428*x^4 - 13700402*x^3 - 2393223*x^2 + 271420*x - 862, -3*x^48 + 12*x^47 + 207*x^46 - 867*x^45 - 6576*x^44 + 29098*x^43 + 127409*x^42 - 602549*x^41 - 1679867*x^40 + 8624392*x^39 + 15903441*x^38 - 90587365*x^37 - 110871706*x^36 + 723545321*x^35 + 571069118*x^34 - 4493614398*x^33 - 2115670563*x^32 + 22003971672*x^31 + 5062930150*x^30 - 85640771342*x^29 - 3765280977*x^28 + 265862855551*x^27 - 27201907031*x^26 - 658049304949*x^25 + 143880546708*x^24 + 1293290777229*x^23 - 403461969501*x^22 - 2002137961804*x^21 + 775575132255*x^20 + 2411187755440*x^19 - 1082355005142*x^18 - 2218414949845*x^17 + 1109377853108*x^16 + 1519506456766*x^15 - 827912038537*x^14 - 746195587644*x^13 + 439566021802*x^12 + 247822642173*x^11 - 159817249270*x^10 - 50184607187*x^9 + 37528770246*x^8 + 4794559646*x^7 - 5181261446*x^6 + 41559353*x^5 + 351321883*x^4 - 35559569*x^3 - 7001423*x^2 + 1029585*x - 4024, x^45 - 5*x^44 - 63*x^43 + 340*x^42 + 1795*x^41 - 10687*x^40 - 30386*x^39 + 206113*x^38 + 335658*x^37 - 2730365*x^36 - 2464101*x^35 + 26351143*x^34 + 11090508*x^33 - 191782034*x^32 - 15135595*x^31 + 1074751986*x^30 - 189008201*x^29 - 4694281169*x^28 + 1749861337*x^27 + 16072699771*x^26 - 8511438812*x^25 - 43158948743*x^24 + 28393333198*x^23 + 90480753616*x^22 - 69311555570*x^21 - 146645580063*x^20 + 126232884800*x^19 + 180766800589*x^18 - 171541867134*x^17 - 165247211121*x^16 + 171795354654*x^15 + 107686991090*x^14 - 123783134553*x^13 - 46779868683*x^12 + 61777114372*x^11 + 11756952451*x^10 - 20151138036*x^9 - 956212474*x^8 + 3918101324*x^7 - 240865722*x^6 - 385342160*x^5 + 54701336*x^4 + 12840714*x^3 - 2581907*x^2 + 55078*x - 580, 2*x^47 - 8*x^46 - 133*x^45 + 560*x^44 + 4049*x^43 - 18138*x^42 - 74664*x^41 + 360916*x^40 + 928896*x^39 - 4940453*x^38 - 8202859*x^37 + 49367260*x^36 + 52449563*x^35 - 372908396*x^34 - 240725083*x^33 + 2175633381*x^32 + 745143423*x^31 - 9931084360*x^30 - 1153304960*x^29 + 35708248676*x^28 - 1989057816*x^27 - 101316327222*x^26 + 18929888196*x^25 + 226235430512*x^24 - 64722031360*x^23 - 394718676208*x^22 + 141635330998*x^21 + 531603837680*x^20 - 216727978209*x^19 - 542860498685*x^18 + 234674283342*x^17 + 410121373545*x^16 - 175471727807*x^15 - 222247524889*x^14 + 84789616432*x^13 + 83893145134*x^12 - 22317506623*x^11 - 22286282384*x^10 + 1099813643*x^9 + 4770575098*x^8 + 857000936*x^7 - 940694848*x^6 - 155447884*x^5 + 127819583*x^4 + 1015181*x^3 - 7037013*x^2 + 791162*x - 1096, x^46 - 2*x^45 - 71*x^44 + 138*x^43 + 2348*x^42 - 4423*x^41 - 48043*x^40 + 87473*x^39 + 681309*x^38 - 1195894*x^37 - 7107707*x^36 + 11999088*x^35 + 56500772*x^34 - 91543324*x^33 - 349720747*x^32 + 542849772*x^31 + 1707750392*x^30 - 2536198618*x^29 - 6625825193*x^28 + 9406740693*x^27 + 20473954113*x^26 - 27782552709*x^25 - 50301077835*x^24 + 65291131162*x^23 + 97708464906*x^22 - 121578683481*x^21 - 148588085646*x^20 + 178021862198*x^19 + 174247211485*x^18 - 202668479089*x^17 - 154050672874*x^16 + 176572231525*x^15 + 99149941965*x^14 - 115154462264*x^13 - 43773414256*x^12 + 54443199152*x^11 + 11708737412*x^10 - 17761959673*x^9 - 1207022963*x^8 + 3685527858*x^7 - 214586245*x^6 - 418122114*x^5 + 69415443*x^4 + 17251898*x^3 - 5097584*x^2 + 321965*x - 83, x^46 - 2*x^45 - 71*x^44 + 138*x^43 + 2348*x^42 - 4423*x^41 - 48043*x^40 + 87473*x^39 + 681309*x^38 - 1195894*x^37 - 7107707*x^36 + 11999088*x^35 + 56500772*x^34 - 91543324*x^33 - 349720747*x^32 + 542849772*x^31 + 1707750392*x^30 - 2536198618*x^29 - 6625825193*x^28 + 9406740693*x^27 + 20473954113*x^26 - 27782552709*x^25 - 50301077835*x^24 + 65291131162*x^23 + 97708464906*x^22 - 121578683481*x^21 - 148588085646*x^20 + 178021862198*x^19 + 174247211485*x^18 - 202668479089*x^17 - 154050672874*x^16 + 176572231525*x^15 + 99149941965*x^14 - 115154462264*x^13 - 43773414256*x^12 + 54443199152*x^11 + 11708737412*x^10 - 17761959673*x^9 - 1207022963*x^8 + 3685527858*x^7 - 214586245*x^6 - 418122114*x^5 + 69415443*x^4 + 17251898*x^3 - 5097584*x^2 + 321965*x - 83, x^47 - 3*x^46 - 71*x^45 + 214*x^44 + 2343*x^43 - 7089*x^42 - 47756*x^41 + 144863*x^40 + 673909*x^39 - 2045996*x^38 - 6995088*x^37 + 21207156*x^36 + 55388129*x^35 - 167190809*x^34 - 342415293*x^33 + 1025271750*x^32 + 1677651873*x^31 - 4959986932*x^30 - 6574441839*x^29 + 19085915685*x^28 + 20705092021*x^27 - 58632232603*x^26 - 52448835067*x^25 + 143764021907*x^24 + 106566434241*x^23 - 280242093073*x^22 - 172526358050*x^21 + 430885838174*x^20 + 220141376974*x^19 - 516128181383*x^18 - 217881537852*x^17 + 473065248498*x^16 + 163621004242*x^15 - 323518988567*x^14 - 90573288478*x^13 + 159428198604*x^12 + 35689144409*x^11 - 54034097419*x^10 - 9666578161*x^9 + 11914948215*x^8 + 1754514333*x^7 - 1643450314*x^6 - 199487028*x^5 + 145064156*x^4 + 7899096*x^3 - 7406236*x^2 + 622164*x - 1190, x^47 - 3*x^46 - 71*x^45 + 214*x^44 + 2343*x^43 - 7089*x^42 - 47756*x^41 + 144863*x^40 + 673909*x^39 - 2045996*x^38 - 6995088*x^37 + 21207156*x^36 + 55388129*x^35 - 167190809*x^34 - 342415293*x^33 + 1025271750*x^32 + 1677651873*x^31 - 4959986932*x^30 - 6574441839*x^29 + 19085915685*x^28 + 20705092021*x^27 - 58632232603*x^26 - 52448835067*x^25 + 143764021907*x^24 + 106566434241*x^23 - 280242093073*x^22 - 172526358050*x^21 + 430885838174*x^20 + 220141376974*x^19 - 516128181383*x^18 - 217881537852*x^17 + 473065248498*x^16 + 163621004242*x^15 - 323518988567*x^14 - 90573288478*x^13 + 159428198604*x^12 + 35689144409*x^11 - 54034097419*x^10 - 9666578161*x^9 + 11914948215*x^8 + 1754514333*x^7 - 1643450314*x^6 - 199487028*x^5 + 145064156*x^4 + 7899096*x^3 - 7406236*x^2 + 622164*x - 1190, x^47 - 4*x^46 - 68*x^45 + 287*x^44 + 2117*x^43 - 9538*x^42 - 39912*x^41 + 194990*x^40 + 507226*x^39 - 2746727*x^38 - 4564938*x^37 + 28301503*x^36 + 29574249*x^35 - 221001675*x^34 - 135370224*x^33 + 1337173323*x^32 + 395416147*x^31 - 6355648117*x^30 - 357066358*x^29 + 23917711034*x^28 - 3088488697*x^27 - 71491704926*x^26 + 19662446003*x^25 + 169581154272*x^24 - 66410299752*x^23 - 317637296898*x^22 + 154445879661*x^21 + 465367486467*x^20 - 262833342684*x^19 - 525277869139*x^18 + 332374515485*x^17 + 446359028381*x^16 - 310909805477*x^15 - 275553119332*x^14 + 211108124911*x^13 + 116505394344*x^12 - 100556946183*x^11 - 30063429734*x^10 + 31784406973*x^9 + 3321826382*x^8 - 6076933078*x^7 + 274794450*x^6 + 589909453*x^5 - 95506827*x^4 - 17606229*x^3 + 5262833*x^2 - 321600*x - 470, x^47 - 4*x^46 - 68*x^45 + 287*x^44 + 2117*x^43 - 9538*x^42 - 39912*x^41 + 194990*x^40 + 507226*x^39 - 2746727*x^38 - 4564938*x^37 + 28301503*x^36 + 29574249*x^35 - 221001675*x^34 - 135370224*x^33 + 1337173323*x^32 + 395416147*x^31 - 6355648117*x^30 - 357066358*x^29 + 23917711034*x^28 - 3088488697*x^27 - 71491704926*x^26 + 19662446003*x^25 + 169581154272*x^24 - 66410299752*x^23 - 317637296898*x^22 + 154445879661*x^21 + 465367486467*x^20 - 262833342684*x^19 - 525277869139*x^18 + 332374515485*x^17 + 446359028381*x^16 - 310909805477*x^15 - 275553119332*x^14 + 211108124911*x^13 + 116505394344*x^12 - 100556946183*x^11 - 30063429734*x^10 + 31784406973*x^9 + 3321826382*x^8 - 6076933078*x^7 + 274794450*x^6 + 589909453*x^5 - 95506827*x^4 - 17606229*x^3 + 5262833*x^2 - 321600*x - 470, x^48 - 3*x^47 - 73*x^46 + 222*x^45 + 2474*x^44 - 7641*x^43 - 51685*x^42 + 162493*x^41 + 745309*x^40 - 2392089*x^39 - 7870918*x^38 + 25884110*x^37 + 63019972*x^36 - 213368891*x^35 - 390634020*x^34 + 1370365995*x^33 + 1896914246*x^32 - 6955263026*x^31 - 7251321479*x^30 + 28133287754*x^29 + 21783797167*x^28 - 91052855061*x^27 - 50942969784*x^26 + 235855175331*x^25 + 90777177393*x^24 - 487393220901*x^23 - 117699392961*x^22 + 798105993580*x^21 + 98220034371*x^20 - 1024581000812*x^19 - 25964180681*x^18 + 1015448592676*x^17 - 55361822051*x^16 - 760576741811*x^15 + 89907842324*x^14 + 418174020188*x^13 - 69641206984*x^12 - 162208415290*x^11 + 32412801114*x^10 + 42053541652*x^9 - 9209048407*x^8 - 6760786191*x^7 + 1542842166*x^6 + 598772936*x^5 - 142673300*x^4 - 21443369*x^3 + 5846001*x^2 - 155816*x - 376, x^48 - 3*x^47 - 73*x^46 + 222*x^45 + 2474*x^44 - 7641*x^43 - 51685*x^42 + 162493*x^41 + 745309*x^40 - 2392089*x^39 - 7870918*x^38 + 25884110*x^37 + 63019972*x^36 - 213368891*x^35 - 390634020*x^34 + 1370365995*x^33 + 1896914246*x^32 - 6955263026*x^31 - 7251321479*x^30 + 28133287754*x^29 + 21783797167*x^28 - 91052855061*x^27 - 50942969784*x^26 + 235855175331*x^25 + 90777177393*x^24 - 487393220901*x^23 - 117699392961*x^22 + 798105993580*x^21 + 98220034371*x^20 - 1024581000812*x^19 - 25964180681*x^18 + 1015448592676*x^17 - 55361822051*x^16 - 760576741811*x^15 + 89907842324*x^14 + 418174020188*x^13 - 69641206984*x^12 - 162208415290*x^11 + 32412801114*x^10 + 42053541652*x^9 - 9209048407*x^8 - 6760786191*x^7 + 1542842166*x^6 + 598772936*x^5 - 142673300*x^4 - 21443369*x^3 + 5846001*x^2 - 155816*x - 376, x^46 - 6*x^45 - 60*x^44 + 414*x^43 + 1581*x^42 - 13207*x^41 - 23357*x^40 + 258620*x^39 + 194521*x^38 - 3481060*x^37 - 524136*x^36 + 34178994*x^35 - 8282045*x^34 - 253550921*x^33 + 130458374*x^32 + 1452426322*x^31 - 1030870752*x^30 - 6511173451*x^29 + 5547120047*x^28 + 23013881765*x^27 - 21979819396*x^26 - 64308600715*x^25 + 66090334683*x^24 + 141859996666*x^23 - 152535429995*x^22 - 245641471925*x^21 + 270509428249*x^20 + 330430957231*x^19 - 366164568656*x^18 - 339714865089*x^17 + 373033499167*x^16 + 260485521719*x^15 - 279631072767*x^14 - 143591359320*x^13 + 149103765649*x^12 + 53731118719*x^11 - 53788116687*x^10 - 12376633764*x^9 + 12170585703*x^8 + 1431808019*x^7 - 1527742949*x^6 - 35586666*x^5 + 81156953*x^4 - 3214765*x^3 - 126253*x^2 - 167339*x + 459, x^46 - 6*x^45 - 60*x^44 + 414*x^43 + 1581*x^42 - 13207*x^41 - 23357*x^40 + 258620*x^39 + 194521*x^38 - 3481060*x^37 - 524136*x^36 + 34178994*x^35 - 8282045*x^34 - 253550921*x^33 + 130458374*x^32 + 1452426322*x^31 - 1030870752*x^30 - 6511173451*x^29 + 5547120047*x^28 + 23013881765*x^27 - 21979819396*x^26 - 64308600715*x^25 + 66090334683*x^24 + 141859996666*x^23 - 152535429995*x^22 - 245641471925*x^21 + 270509428249*x^20 + 330430957231*x^19 - 366164568656*x^18 - 339714865089*x^17 + 373033499167*x^16 + 260485521719*x^15 - 279631072767*x^14 - 143591359320*x^13 + 149103765649*x^12 + 53731118719*x^11 - 53788116687*x^10 - 12376633764*x^9 + 12170585703*x^8 + 1431808019*x^7 - 1527742949*x^6 - 35586666*x^5 + 81156953*x^4 - 3214765*x^3 - 126253*x^2 - 167339*x + 459, x^46 - 3*x^45 - 72*x^44 + 221*x^43 + 2385*x^42 - 7508*x^41 - 48238*x^40 + 156217*x^39 + 666599*x^38 - 2229465*x^37 - 6671762*x^36 + 23160682*x^35 + 50009809*x^34 - 181377194*x^33 - 286219991*x^32 + 1094046896*x^31 + 1262905318*x^30 - 5149077954*x^29 - 4303094016*x^28 + 19038102633*x^27 + 11245439437*x^26 - 55406757029*x^25 - 22125492495*x^24 + 126624707668*x^23 + 31454847818*x^22 - 225751942788*x^21 - 29088240303*x^20 + 310514984055*x^19 + 10645133997*x^18 - 324179943998*x^17 + 12911210102*x^16 + 251111298217*x^15 - 24294789611*x^14 - 139907842598*x^13 + 19441343630*x^12 + 53756458303*x^11 - 9067960635*x^10 - 13455062703*x^9 + 2540435973*x^8 + 2030420883*x^7 - 414466078*x^6 - 164580104*x^5 + 36350767*x^4 + 5492933*x^3 - 1393259*x^2 + 18764*x + 816, x^46 - 3*x^45 - 72*x^44 + 221*x^43 + 2385*x^42 - 7508*x^41 - 48238*x^40 + 156217*x^39 + 666599*x^38 - 2229465*x^37 - 6671762*x^36 + 23160682*x^35 + 50009809*x^34 - 181377194*x^33 - 286219991*x^32 + 1094046896*x^31 + 1262905318*x^30 - 5149077954*x^29 - 4303094016*x^28 + 19038102633*x^27 + 11245439437*x^26 - 55406757029*x^25 - 22125492495*x^24 + 126624707668*x^23 + 31454847818*x^22 - 225751942788*x^21 - 29088240303*x^20 + 310514984055*x^19 + 10645133997*x^18 - 324179943998*x^17 + 12911210102*x^16 + 251111298217*x^15 - 24294789611*x^14 - 139907842598*x^13 + 19441343630*x^12 + 53756458303*x^11 - 9067960635*x^10 - 13455062703*x^9 + 2540435973*x^8 + 2030420883*x^7 - 414466078*x^6 - 164580104*x^5 + 36350767*x^4 + 5492933*x^3 - 1393259*x^2 + 18764*x + 816, x^48 - 4*x^47 - 68*x^46 + 286*x^45 + 2122*x^44 - 9482*x^43 - 40221*x^42 + 193591*x^41 + 515996*x^40 - 2726355*x^39 - 4716616*x^38 + 28113844*x^37 + 31363153*x^36 - 219927256*x^35 - 150629446*x^34 + 1334280753*x^33 + 492868237*x^32 - 6364642318*x^31 - 833150756*x^30 + 24057863688*x^29 - 1285420066*x^28 - 72296608203*x^27 + 14327246743*x^26 + 172622345570*x^25 - 54036828672*x^24 - 326117835417*x^23 + 131995062587*x^22 + 483691506508*x^21 - 231278390500*x^20 - 556715549210*x^19 + 298914122264*x^18 + 489402586916*x^17 - 285880078048*x^16 - 321799766332*x^15 + 200482046609*x^14 + 153984522210*x^13 - 101344197351*x^12 - 51596867432*x^11 + 36057619189*x^10 + 11325125839*x^9 - 8711791282*x^8 - 1374284519*x^7 + 1329181882*x^6 + 33480686*x^5 - 107497639*x^4 + 8478531*x^3 + 2799226*x^2 - 369761*x + 2838, x^48 - 4*x^47 - 68*x^46 + 286*x^45 + 2122*x^44 - 9482*x^43 - 40221*x^42 + 193591*x^41 + 515996*x^40 - 2726355*x^39 - 4716616*x^38 + 28113844*x^37 + 31363153*x^36 - 219927256*x^35 - 150629446*x^34 + 1334280753*x^33 + 492868237*x^32 - 6364642318*x^31 - 833150756*x^30 + 24057863688*x^29 - 1285420066*x^28 - 72296608203*x^27 + 14327246743*x^26 + 172622345570*x^25 - 54036828672*x^24 - 326117835417*x^23 + 131995062587*x^22 + 483691506508*x^21 - 231278390500*x^20 - 556715549210*x^19 + 298914122264*x^18 + 489402586916*x^17 - 285880078048*x^16 - 321799766332*x^15 + 200482046609*x^14 + 153984522210*x^13 - 101344197351*x^12 - 51596867432*x^11 + 36057619189*x^10 + 11325125839*x^9 - 8711791282*x^8 - 1374284519*x^7 + 1329181882*x^6 + 33480686*x^5 - 107497639*x^4 + 8478531*x^3 + 2799226*x^2 - 369761*x + 2838, -3*x^46 + 13*x^45 + 193*x^44 - 894*x^43 - 5642*x^42 + 28406*x^41 + 98792*x^40 - 553553*x^39 - 1146300*x^38 + 7406113*x^37 + 9143341*x^36 - 72167239*x^35 - 49363749*x^34 + 530213246*x^33 + 157421786*x^32 - 2999926398*x^31 - 36026552*x^30 + 13236888225*x^29 - 2710579220*x^28 - 45842766165*x^27 + 17148110944*x^26 + 124797623497*x^25 - 63545540450*x^24 - 266244023779*x^23 + 164900993709*x^22 + 441756135040*x^21 - 314300103307*x^20 - 562746649108*x^19 + 445349844193*x^18 + 539658859542*x^17 - 466863298313*x^16 - 378254646164*x^15 + 355894310699*x^14 + 185104177789*x^13 - 191452471441*x^12 - 58461125777*x^11 + 69372758066*x^10 + 10029020424*x^9 - 15761543902*x^8 - 385314618*x^7 + 1998182251*x^6 - 126794466*x^5 - 111783447*x^4 + 13684104*x^3 + 1024237*x^2 - 97908*x - 965, -3*x^46 + 13*x^45 + 193*x^44 - 894*x^43 - 5642*x^42 + 28406*x^41 + 98792*x^40 - 553553*x^39 - 1146300*x^38 + 7406113*x^37 + 9143341*x^36 - 72167239*x^35 - 49363749*x^34 + 530213246*x^33 + 157421786*x^32 - 2999926398*x^31 - 36026552*x^30 + 13236888225*x^29 - 2710579220*x^28 - 45842766165*x^27 + 17148110944*x^26 + 124797623497*x^25 - 63545540450*x^24 - 266244023779*x^23 + 164900993709*x^22 + 441756135040*x^21 - 314300103307*x^20 - 562746649108*x^19 + 445349844193*x^18 + 539658859542*x^17 - 466863298313*x^16 - 378254646164*x^15 + 355894310699*x^14 + 185104177789*x^13 - 191452471441*x^12 - 58461125777*x^11 + 69372758066*x^10 + 10029020424*x^9 - 15761543902*x^8 - 385314618*x^7 + 1998182251*x^6 - 126794466*x^5 - 111783447*x^4 + 13684104*x^3 + 1024237*x^2 - 97908*x - 965, x^49 - 4*x^48 - 71*x^47 + 298*x^46 + 2323*x^45 - 10329*x^44 - 46387*x^43 + 221267*x^42 + 630572*x^41 - 3282261*x^40 - 6152738*x^39 + 35801024*x^38 + 44130950*x^37 - 297596019*x^36 - 232653258*x^35 + 1928190824*x^34 + 868963544*x^33 - 9877449022*x^32 - 1973710326*x^31 + 40344596165*x^30 + 224951252*x^29 - 131922567913*x^28 + 19404793256*x^27 + 345430377718*x^26 - 92629162871*x^25 - 721934420201*x^24 + 263127393699*x^23 + 1196047479614*x^22 - 527359601159*x^21 - 1553686873357*x^20 + 778475443157*x^19 + 1557540954740*x^18 - 852928876875*x^17 - 1178280168258*x^16 + 686863579893*x^15 + 651785166431*x^14 - 397241938694*x^13 - 251995406910*x^12 + 158932071995*x^11 + 63674837957*x^10 - 41596011898*x^9 - 9466685999*x^8 + 6549114024*x^7 + 699381084*x^6 - 541959208*x^5 - 23834225*x^4 + 19390274*x^3 + 1404419*x^2 - 466724*x + 1566, x^49 - 4*x^48 - 71*x^47 + 298*x^46 + 2323*x^45 - 10329*x^44 - 46387*x^43 + 221267*x^42 + 630572*x^41 - 3282261*x^40 - 6152738*x^39 + 35801024*x^38 + 44130950*x^37 - 297596019*x^36 - 232653258*x^35 + 1928190824*x^34 + 868963544*x^33 - 9877449022*x^32 - 1973710326*x^31 + 40344596165*x^30 + 224951252*x^29 - 131922567913*x^28 + 19404793256*x^27 + 345430377718*x^26 - 92629162871*x^25 - 721934420201*x^24 + 263127393699*x^23 + 1196047479614*x^22 - 527359601159*x^21 - 1553686873357*x^20 + 778475443157*x^19 + 1557540954740*x^18 - 852928876875*x^17 - 1178280168258*x^16 + 686863579893*x^15 + 651785166431*x^14 - 397241938694*x^13 - 251995406910*x^12 + 158932071995*x^11 + 63674837957*x^10 - 41596011898*x^9 - 9466685999*x^8 + 6549114024*x^7 + 699381084*x^6 - 541959208*x^5 - 23834225*x^4 + 19390274*x^3 + 1404419*x^2 - 466724*x + 1566, -2*x^45 + 7*x^44 + 132*x^43 - 476*x^42 - 4007*x^41 + 14965*x^40 + 74165*x^39 - 288764*x^38 - 935161*x^37 + 3828497*x^36 + 8497065*x^35 - 36996363*x^34 - 57339579*x^33 + 269732786*x^32 + 291403773*x^31 - 1515159967*x^30 - 1115326339*x^29 + 6638545300*x^28 + 3157854748*x^27 - 22824479056*x^26 - 6258453747*x^25 + 61641515209*x^24 + 7142159543*x^23 - 130300372561*x^22 + 1279651259*x^21 + 213845222364*x^20 - 23559296522*x^19 - 268936527899*x^18 + 51256177477*x^17 + 254283571534*x^16 - 64997430845*x^15 - 175966681452*x^14 + 54572876338*x^13 + 85755391556*x^12 - 31016135319*x^11 - 27715294411*x^10 + 11808143440*x^9 + 5278403706*x^8 - 2896942664*x^7 - 390318603*x^6 + 407438447*x^5 - 36495474*x^4 - 21709453*x^3 + 6214660*x^2 - 523797*x + 2155, -2*x^45 + 7*x^44 + 132*x^43 - 476*x^42 - 4007*x^41 + 14965*x^40 + 74165*x^39 - 288764*x^38 - 935161*x^37 + 3828497*x^36 + 8497065*x^35 - 36996363*x^34 - 57339579*x^33 + 269732786*x^32 + 291403773*x^31 - 1515159967*x^30 - 1115326339*x^29 + 6638545300*x^28 + 3157854748*x^27 - 22824479056*x^26 - 6258453747*x^25 + 61641515209*x^24 + 7142159543*x^23 - 130300372561*x^22 + 1279651259*x^21 + 213845222364*x^20 - 23559296522*x^19 - 268936527899*x^18 + 51256177477*x^17 + 254283571534*x^16 - 64997430845*x^15 - 175966681452*x^14 + 54572876338*x^13 + 85755391556*x^12 - 31016135319*x^11 - 27715294411*x^10 + 11808143440*x^9 + 5278403706*x^8 - 2896942664*x^7 - 390318603*x^6 + 407438447*x^5 - 36495474*x^4 - 21709453*x^3 + 6214660*x^2 - 523797*x + 2155, -2*x^45 + 7*x^44 + 132*x^43 - 478*x^42 - 4000*x^41 + 15089*x^40 + 73717*x^39 - 292263*x^38 - 922102*x^37 + 3888276*x^36 + 8266779*x^35 - 37691057*x^34 - 54587663*x^33 + 275591409*x^32 + 267745450*x^31 - 1552597736*x^30 - 963690910*x^29 + 6825832253*x^28 + 2416741289*x^27 - 23576893359*x^26 - 3456089601*x^25 + 64110770001*x^24 - 1128873710*x^23 - 136953493747*x^22 + 20414225930*x^21 + 228428808515*x^20 - 58238622795*x^19 - 294383729203*x^18 + 100176692163*x^17 + 288568102331*x^16 - 117919327699*x^15 - 210351094623*x^14 + 97326835365*x^13 + 110359166948*x^12 - 55739459593*x^11 - 39669362962*x^10 + 21419167107*x^9 + 9011335849*x^8 - 5204094968*x^7 - 1104916978*x^6 + 721199568*x^5 + 44866364*x^4 - 45836713*x^3 + 1709674*x^2 + 544733*x + 998, -2*x^45 + 7*x^44 + 132*x^43 - 478*x^42 - 4000*x^41 + 15089*x^40 + 73717*x^39 - 292263*x^38 - 922102*x^37 + 3888276*x^36 + 8266779*x^35 - 37691057*x^34 - 54587663*x^33 + 275591409*x^32 + 267745450*x^31 - 1552597736*x^30 - 963690910*x^29 + 6825832253*x^28 + 2416741289*x^27 - 23576893359*x^26 - 3456089601*x^25 + 64110770001*x^24 - 1128873710*x^23 - 136953493747*x^22 + 20414225930*x^21 + 228428808515*x^20 - 58238622795*x^19 - 294383729203*x^18 + 100176692163*x^17 + 288568102331*x^16 - 117919327699*x^15 - 210351094623*x^14 + 97326835365*x^13 + 110359166948*x^12 - 55739459593*x^11 - 39669362962*x^10 + 21419167107*x^9 + 9011335849*x^8 - 5204094968*x^7 - 1104916978*x^6 + 721199568*x^5 + 44866364*x^4 - 45836713*x^3 + 1709674*x^2 + 544733*x + 998, -3*x^46 + 12*x^45 + 197*x^44 - 827*x^43 - 5926*x^42 + 26366*x^41 + 108076*x^40 - 516279*x^39 - 1331731*x^38 + 6952282*x^37 + 11675819*x^36 - 68314632*x^35 - 74444712*x^34 + 507224895*x^33 + 343844457*x^32 - 2907414699*x^31 - 1097880272*x^30 + 13033226474*x^29 + 1981339185*x^28 - 46006393801*x^27 + 969099230*x^26 + 128141634079*x^25 - 19969599167*x^24 - 280987688229*x^23 + 73582798142*x^22 + 481922448643*x^21 - 166712862806*x^20 - 639269908336*x^19 + 264081170032*x^18 + 644820193779*x^17 - 301466617216*x^16 - 482520244634*x^15 + 247634653331*x^14 + 258344004072*x^13 - 143468439940*x^12 - 93619729923*x^11 + 56505681952*x^10 + 20884709291*x^9 - 14288176034*x^8 - 2322788218*x^7 + 2122443166*x^6 + 29344054*x^5 - 157103287*x^4 + 13689929*x^3 + 3707564*x^2 - 514902*x + 2012, -3*x^46 + 12*x^45 + 197*x^44 - 827*x^43 - 5926*x^42 + 26366*x^41 + 108076*x^40 - 516279*x^39 - 1331731*x^38 + 6952282*x^37 + 11675819*x^36 - 68314632*x^35 - 74444712*x^34 + 507224895*x^33 + 343844457*x^32 - 2907414699*x^31 - 1097880272*x^30 + 13033226474*x^29 + 1981339185*x^28 - 46006393801*x^27 + 969099230*x^26 + 128141634079*x^25 - 19969599167*x^24 - 280987688229*x^23 + 73582798142*x^22 + 481922448643*x^21 - 166712862806*x^20 - 639269908336*x^19 + 264081170032*x^18 + 644820193779*x^17 - 301466617216*x^16 - 482520244634*x^15 + 247634653331*x^14 + 258344004072*x^13 - 143468439940*x^12 - 93619729923*x^11 + 56505681952*x^10 + 20884709291*x^9 - 14288176034*x^8 - 2322788218*x^7 + 2122443166*x^6 + 29344054*x^5 - 157103287*x^4 + 13689929*x^3 + 3707564*x^2 - 514902*x + 2012, x^45 - 5*x^44 - 63*x^43 + 338*x^42 + 1806*x^41 - 10554*x^40 - 31105*x^39 + 202049*x^38 + 357275*x^37 - 2654618*x^36 - 2860725*x^35 + 25387178*x^34 + 16058812*x^33 - 182899058*x^32 - 60171590*x^31 + 1013424685*x^30 + 116492277*x^29 - 4370604484*x^28 + 168032980*x^27 + 14752266419*x^26 - 2191518155*x^25 - 38978575973*x^24 + 8827319002*x^23 + 80232283112*x^22 - 22435754354*x^21 - 127355861965*x^20 + 39902423206*x^19 + 153339576101*x^18 - 50821757156*x^17 - 136564312796*x^16 + 46068041463*x^15 + 86569295774*x^14 - 28997253196*x^13 - 36651461028*x^12 + 12173316793*x^11 + 9090578175*x^10 - 3229671821*x^9 - 779352333*x^8 + 500661596*x^7 - 187261770*x^6 - 30252862*x^5 + 54236881*x^4 - 4260504*x^3 - 4105108*x^2 + 684396*x - 2471, x^45 - 5*x^44 - 63*x^43 + 338*x^42 + 1806*x^41 - 10554*x^40 - 31105*x^39 + 202049*x^38 + 357275*x^37 - 2654618*x^36 - 2860725*x^35 + 25387178*x^34 + 16058812*x^33 - 182899058*x^32 - 60171590*x^31 + 1013424685*x^30 + 116492277*x^29 - 4370604484*x^28 + 168032980*x^27 + 14752266419*x^26 - 2191518155*x^25 - 38978575973*x^24 + 8827319002*x^23 + 80232283112*x^22 - 22435754354*x^21 - 127355861965*x^20 + 39902423206*x^19 + 153339576101*x^18 - 50821757156*x^17 - 136564312796*x^16 + 46068041463*x^15 + 86569295774*x^14 - 28997253196*x^13 - 36651461028*x^12 + 12173316793*x^11 + 9090578175*x^10 - 3229671821*x^9 - 779352333*x^8 + 500661596*x^7 - 187261770*x^6 - 30252862*x^5 + 54236881*x^4 - 4260504*x^3 - 4105108*x^2 + 684396*x - 2471, -3*x^45 + 11*x^44 + 195*x^43 - 743*x^42 - 5809*x^41 + 23163*x^40 + 105073*x^39 - 442401*x^38 - 1288372*x^37 + 5795200*x^36 + 11315500*x^35 - 55233723*x^34 - 73244643*x^33 + 396543655*x^32 + 353281766*x^31 - 2190569676*x^30 - 1261978018*x^29 + 9430414525*x^28 + 3227770173*x^27 - 31849639982*x^26 - 5280096467*x^25 + 84542159235*x^24 + 2665822364*x^23 - 175941615597*x^22 + 12424616263*x^21 + 285149720815*x^20 - 42152064150*x^19 - 355818286027*x^18 + 73089186787*x^17 + 336032760512*x^16 - 83207746676*x^15 - 234272685723*x^14 + 65162831757*x^13 + 116271668218*x^12 - 34964695488*x^11 - 38885630324*x^10 + 12437378128*x^9 + 8017012961*x^8 - 2750023243*x^7 - 862516605*x^6 + 336240934*x^5 + 29595967*x^4 - 17467363*x^3 + 913755*x^2 + 80142*x + 149, -3*x^45 + 11*x^44 + 195*x^43 - 743*x^42 - 5809*x^41 + 23163*x^40 + 105073*x^39 - 442401*x^38 - 1288372*x^37 + 5795200*x^36 + 11315500*x^35 - 55233723*x^34 - 73244643*x^33 + 396543655*x^32 + 353281766*x^31 - 2190569676*x^30 - 1261978018*x^29 + 9430414525*x^28 + 3227770173*x^27 - 31849639982*x^26 - 5280096467*x^25 + 84542159235*x^24 + 2665822364*x^23 - 175941615597*x^22 + 12424616263*x^21 + 285149720815*x^20 - 42152064150*x^19 - 355818286027*x^18 + 73089186787*x^17 + 336032760512*x^16 - 83207746676*x^15 - 234272685723*x^14 + 65162831757*x^13 + 116271668218*x^12 - 34964695488*x^11 - 38885630324*x^10 + 12437378128*x^9 + 8017012961*x^8 - 2750023243*x^7 - 862516605*x^6 + 336240934*x^5 + 29595967*x^4 - 17467363*x^3 + 913755*x^2 + 80142*x + 149, -2*x^45 + 9*x^44 + 124*x^43 - 602*x^42 - 3474*x^41 + 18573*x^40 + 57819*x^39 - 350788*x^38 - 628999*x^37 + 4539672*x^36 + 4578291*x^35 - 42694799*x^34 - 20995658*x^33 + 302017123*x^32 + 38697604*x^31 - 1640755833*x^30 + 229495918*x^29 + 6929379293*x^28 - 2386152911*x^27 - 22883954814*x^26 + 11552563151*x^25 + 59136833353*x^24 - 37500709775*x^23 - 119092579567*x^22 + 88303859152*x^21 + 185177933818*x^20 - 154508940089*x^19 - 218891217090*x^18 + 201469870385*x^17 + 191970746119*x^16 - 193812534500*x^15 - 120155281974*x^14 + 134601415597*x^13 + 50132458021*x^12 - 65107324651*x^11 - 11983178625*x^10 + 20709565892*x^9 + 813996681*x^8 - 3933032348*x^7 + 270679447*x^6 + 371833380*x^5 - 50062058*x^4 - 11698292*x^3 + 1450149*x^2 + 112104*x - 1936, -2*x^45 + 9*x^44 + 124*x^43 - 602*x^42 - 3474*x^41 + 18573*x^40 + 57819*x^39 - 350788*x^38 - 628999*x^37 + 4539672*x^36 + 4578291*x^35 - 42694799*x^34 - 20995658*x^33 + 302017123*x^32 + 38697604*x^31 - 1640755833*x^30 + 229495918*x^29 + 6929379293*x^28 - 2386152911*x^27 - 22883954814*x^26 + 11552563151*x^25 + 59136833353*x^24 - 37500709775*x^23 - 119092579567*x^22 + 88303859152*x^21 + 185177933818*x^20 - 154508940089*x^19 - 218891217090*x^18 + 201469870385*x^17 + 191970746119*x^16 - 193812534500*x^15 - 120155281974*x^14 + 134601415597*x^13 + 50132458021*x^12 - 65107324651*x^11 - 11983178625*x^10 + 20709565892*x^9 + 813996681*x^8 - 3933032348*x^7 + 270679447*x^6 + 371833380*x^5 - 50062058*x^4 - 11698292*x^3 + 1450149*x^2 + 112104*x - 1936, x^46 - 4*x^45 - 65*x^44 + 269*x^43 + 1944*x^42 - 8353*x^41 - 35516*x^40 + 158989*x^39 + 443990*x^38 - 2076732*x^37 - 4034604*x^36 + 19750838*x^35 + 27667997*x^34 - 141618291*x^33 - 147005318*x^32 + 782192502*x^31 + 618227559*x^30 - 3371770422*x^29 - 2099907836*x^28 + 11426378691*x^27 + 5880694482*x^26 - 30528604071*x^25 - 13835620234*x^24 + 64262804567*x^23 + 27632335095*x^22 - 106199758870*x^21 - 46586937193*x^20 + 136996449417*x^19 + 64775194642*x^18 - 136998733117*x^17 - 71651217275*x^16 + 105498685156*x^15 + 60400132482*x^14 - 62227084170*x^13 - 36930613735*x^12 + 27933396701*x^11 + 15395044415*x^10 - 9357823952*x^9 - 3998389777*x^8 + 2209019298*x^7 + 547327511*x^6 - 322948704*x^5 - 22001911*x^4 + 21864849*x^3 - 1425156*x^2 - 163070*x + 316, x^46 - 4*x^45 - 65*x^44 + 269*x^43 + 1944*x^42 - 8353*x^41 - 35516*x^40 + 158989*x^39 + 443990*x^38 - 2076732*x^37 - 4034604*x^36 + 19750838*x^35 + 27667997*x^34 - 141618291*x^33 - 147005318*x^32 + 782192502*x^31 + 618227559*x^30 - 3371770422*x^29 - 2099907836*x^28 + 11426378691*x^27 + 5880694482*x^26 - 30528604071*x^25 - 13835620234*x^24 + 64262804567*x^23 + 27632335095*x^22 - 106199758870*x^21 - 46586937193*x^20 + 136996449417*x^19 + 64775194642*x^18 - 136998733117*x^17 - 71651217275*x^16 + 105498685156*x^15 + 60400132482*x^14 - 62227084170*x^13 - 36930613735*x^12 + 27933396701*x^11 + 15395044415*x^10 - 9357823952*x^9 - 3998389777*x^8 + 2209019298*x^7 + 547327511*x^6 - 322948704*x^5 - 22001911*x^4 + 21864849*x^3 - 1425156*x^2 - 163070*x + 316, x^46 - 3*x^45 - 72*x^44 + 220*x^43 + 2394*x^42 - 7469*x^41 - 48772*x^40 + 155851*x^39 + 681056*x^38 - 2237926*x^37 - 6908220*x^36 + 23463468*x^35 + 52616244*x^34 - 185989991*x^33 - 306654831*x^32 + 1138798964*x^31 + 1379948832*x^30 - 5456143248*x^29 - 4796809612*x^28 + 20597324010*x^27 + 12761304015*x^26 - 61399163660*x^25 - 25355409726*x^24 + 144235236679*x^23 + 35484423131*x^22 - 265407091655*x^21 - 29070987248*x^20 + 378605888560*x^19 - 1136672160*x^18 - 412304060416*x^17 + 39700930906*x^16 + 335414988625*x^15 - 58303837889*x^14 - 197761850429*x^13 + 47155279318*x^12 + 80962062355*x^11 - 23733198180*x^10 - 21592413438*x^9 + 7407237135*x^8 + 3370869554*x^7 - 1356032913*x^6 - 240918511*x^5 + 128648834*x^4 + 723219*x^3 - 4576298*x^2 + 432848*x - 1547, x^46 - 3*x^45 - 72*x^44 + 220*x^43 + 2394*x^42 - 7469*x^41 - 48772*x^40 + 155851*x^39 + 681056*x^38 - 2237926*x^37 - 6908220*x^36 + 23463468*x^35 + 52616244*x^34 - 185989991*x^33 - 306654831*x^32 + 1138798964*x^31 + 1379948832*x^30 - 5456143248*x^29 - 4796809612*x^28 + 20597324010*x^27 + 12761304015*x^26 - 61399163660*x^25 - 25355409726*x^24 + 144235236679*x^23 + 35484423131*x^22 - 265407091655*x^21 - 29070987248*x^20 + 378605888560*x^19 - 1136672160*x^18 - 412304060416*x^17 + 39700930906*x^16 + 335414988625*x^15 - 58303837889*x^14 - 197761850429*x^13 + 47155279318*x^12 + 80962062355*x^11 - 23733198180*x^10 - 21592413438*x^9 + 7407237135*x^8 + 3370869554*x^7 - 1356032913*x^6 - 240918511*x^5 + 128648834*x^4 + 723219*x^3 - 4576298*x^2 + 432848*x - 1547, x^45 - 7*x^44 - 55*x^43 + 469*x^42 + 1259*x^41 - 14486*x^40 - 13838*x^39 + 273702*x^38 + 23265*x^37 - 3539788*x^36 + 1571288*x^35 + 33222703*x^34 - 26732916*x^33 - 234080715*x^32 + 251046315*x^31 + 1263334170*x^30 - 1624914759*x^29 - 5281452373*x^28 + 7759824205*x^27 + 17179263841*x^26 - 28146785594*x^25 - 43414337604*x^24 + 78530838119*x^23 + 84588498914*x^22 - 169072642623*x^21 - 125112565777*x^20 + 279837693587*x^19 + 136617187953*x^18 - 352517718872*x^17 - 104454933574*x^16 + 332334695047*x^15 + 49240912515*x^14 - 228601953086*x^13 - 7513948035*x^12 + 110546890454*x^11 - 6356809844*x^10 - 35553503789*x^9 + 4601255004*x^8 + 6966529735*x^7 - 1318405834*x^6 - 709765967*x^5 + 174804629*x^4 + 24350217*x^3 - 8565513*x^2 + 469437*x - 2810, x^45 - 7*x^44 - 55*x^43 + 469*x^42 + 1259*x^41 - 14486*x^40 - 13838*x^39 + 273702*x^38 + 23265*x^37 - 3539788*x^36 + 1571288*x^35 + 33222703*x^34 - 26732916*x^33 - 234080715*x^32 + 251046315*x^31 + 1263334170*x^30 - 1624914759*x^29 - 5281452373*x^28 + 7759824205*x^27 + 17179263841*x^26 - 28146785594*x^25 - 43414337604*x^24 + 78530838119*x^23 + 84588498914*x^22 - 169072642623*x^21 - 125112565777*x^20 + 279837693587*x^19 + 136617187953*x^18 - 352517718872*x^17 - 104454933574*x^16 + 332334695047*x^15 + 49240912515*x^14 - 228601953086*x^13 - 7513948035*x^12 + 110546890454*x^11 - 6356809844*x^10 - 35553503789*x^9 + 4601255004*x^8 + 6966529735*x^7 - 1318405834*x^6 - 709765967*x^5 + 174804629*x^4 + 24350217*x^3 - 8565513*x^2 + 469437*x - 2810, -x^44 + 5*x^43 + 58*x^42 - 324*x^41 - 1485*x^40 + 9640*x^39 + 21676*x^38 - 174684*x^37 - 189308*x^36 + 2156365*x^35 + 832810*x^34 - 19217781*x^33 + 1507978*x^32 + 127859902*x^31 - 52572642*x^30 - 647703933*x^29 + 429317516*x^28 + 2525114977*x^27 - 2177840094*x^26 - 7605637066*x^25 + 7824299118*x^24 + 17659871983*x^23 - 20763362121*x^22 - 31337423170*x^21 + 41274909965*x^20 + 41772802686*x^19 - 61474627487*x^18 - 40545387244*x^17 + 67953151810*x^16 + 26949974035*x^15 - 54729399845*x^14 - 10449695622*x^13 + 31205835971*x^12 + 674488943*x^11 - 12062917880*x^10 + 1521700828*x^9 + 2947906551*x^8 - 777401889*x^7 - 394576873*x^6 + 161512399*x^5 + 16756161*x^4 - 12962999*x^3 + 980838*x^2 + 80118*x - 465, -x^44 + 5*x^43 + 58*x^42 - 324*x^41 - 1485*x^40 + 9640*x^39 + 21676*x^38 - 174684*x^37 - 189308*x^36 + 2156365*x^35 + 832810*x^34 - 19217781*x^33 + 1507978*x^32 + 127859902*x^31 - 52572642*x^30 - 647703933*x^29 + 429317516*x^28 + 2525114977*x^27 - 2177840094*x^26 - 7605637066*x^25 + 7824299118*x^24 + 17659871983*x^23 - 20763362121*x^22 - 31337423170*x^21 + 41274909965*x^20 + 41772802686*x^19 - 61474627487*x^18 - 40545387244*x^17 + 67953151810*x^16 + 26949974035*x^15 - 54729399845*x^14 - 10449695622*x^13 + 31205835971*x^12 + 674488943*x^11 - 12062917880*x^10 + 1521700828*x^9 + 2947906551*x^8 - 777401889*x^7 - 394576873*x^6 + 161512399*x^5 + 16756161*x^4 - 12962999*x^3 + 980838*x^2 + 80118*x - 465]>
       ]
>;

MOG[853] := 	// J_0(853)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [37, 323, 499, 699, 761, 301*x + 169, 552*x + 169, 56*x + 847, 797*x + 847, 112*x + 675, 741*x + 675, 764*x + 4, 89*x + 4, 235*x + 743, 618*x + 743, 467*x + 40, 386*x + 40, 836*x + 780, 17*x + 780, 213*x + 332, 640*x + 332, 562*x + 548, 291*x + 548, 67*x + 559, 786*x + 559, 801*x + 191, 52*x + 191, 353*x + 107, 500*x + 107, 295*x + 671, 558*x + 671, 388*x + 609, 465*x + 609, 798*x + 705, 55*x + 705, 555*x + 693, 298*x + 693, 192*x + 256, 661*x + 256, 484*x + 286, 369*x + 286, 195*x + 230, 658*x + 230, 518*x + 845, 335*x + 845, 383*x + 70, 470*x + 70, 60*x + 35, 793*x + 35, 751*x + 839, 102*x + 839, 686*x + 136, 167*x + 136, 487*x + 304, 366*x + 304, 707*x + 42, 146*x + 42, 9*x + 406, 844*x + 406, 495*x + 724, 358*x + 724, 629*x + 699, 224*x + 699, 326*x + 659, 527*x + 659, 821*x + 492, 32*x + 492, 453*x + 445, 400*x + 445, 644*x + 450, 209*x + 450]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^33 + 13*x^32 + 36*x^31 - 234*x^30 - 1459*x^29 + 271*x^28 + 18656*x^27 + 26883*x^26 - 117520*x^25 - 320959*x^24 + 352192*x^23 + 1879346*x^22 + 27123*x^21 - 6619961*x^20 - 4274338*x^19 + 14592460*x^18 + 16889963*x^17 - 19280555*x^16 - 34743378*x^15 + 12160466*x^14 + 42483740*x^13 + 2241143*x^12 - 30699773*x^11 - 8849322*x^10 + 12260191*x^9 + 5231994*x^8 - 2461252*x^7 - 1206361*x^6 + 223726*x^5 + 91447*x^4 - 12178*x^3 - 884*x^2 + 92*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, -x^32 - 13*x^31 - 38*x^30 + 208*x^29 + 1379*x^28 + 96*x^27 - 16027*x^26 - 25932*x^25 + 89941*x^24 + 268531*x^23 - 220909*x^22 - 1408589*x^21 - 213520*x^20 + 4454217*x^19 + 3230609*x^18 - 8783386*x^17 - 10577087*x^16 + 10355048*x^15 + 18841156*x^14 - 5935034*x^13 - 20113879*x^12 - 515291*x^11 + 12745262*x^10 + 2749075*x^9 - 4495744*x^8 - 1404369*x^7 + 780093*x^6 + 259807*x^5 - 49600*x^4 - 12191*x^3 + 532*x^2 + 49*x - 1, x^32 + 13*x^31 + 38*x^30 - 208*x^29 - 1379*x^28 - 96*x^27 + 16027*x^26 + 25932*x^25 - 89941*x^24 - 268531*x^23 + 220909*x^22 + 1408589*x^21 + 213520*x^20 - 4454217*x^19 - 3230609*x^18 + 8783386*x^17 + 10577087*x^16 - 10355048*x^15 - 18841156*x^14 + 5935034*x^13 + 20113879*x^12 + 515291*x^11 - 12745262*x^10 - 2749075*x^9 + 4495744*x^8 + 1404369*x^7 - 780093*x^6 - 259807*x^5 + 49600*x^4 + 12191*x^3 - 532*x^2 - 49*x + 1, -x^31 - 13*x^30 - 40*x^29 + 184*x^28 + 1321*x^27 + 498*x^26 - 13848*x^25 - 26751*x^24 + 65121*x^23 + 239435*x^22 - 83186*x^21 - 1094241*x^20 - 583018*x^19 + 2891510*x^18 + 3346076*x^17 - 4286915*x^16 - 8254661*x^15 + 2613848*x^14 + 11358950*x^13 + 1529954*x^12 - 8834190*x^11 - 3452073*x^10 + 3654681*x^9 + 1971330*x^8 - 771484*x^7 - 459050*x^6 + 84307*x^5 + 36809*x^4 - 5595*x^3 - 73*x^2 + 16*x - 1, x^31 + 13*x^30 + 40*x^29 - 184*x^28 - 1321*x^27 - 498*x^26 + 13848*x^25 + 26751*x^24 - 65121*x^23 - 239435*x^22 + 83186*x^21 + 1094241*x^20 + 583018*x^19 - 2891510*x^18 - 3346076*x^17 + 4286915*x^16 + 8254661*x^15 - 2613848*x^14 - 11358950*x^13 - 1529954*x^12 + 8834190*x^11 + 3452073*x^10 - 3654681*x^9 - 1971330*x^8 + 771484*x^7 + 459050*x^6 - 84307*x^5 - 36809*x^4 + 5595*x^3 + 73*x^2 - 16*x + 1, -x^31 - 13*x^30 - 40*x^29 + 183*x^28 + 1308*x^27 + 453*x^26 - 13731*x^25 - 25677*x^24 + 66162*x^23 + 231322*x^22 - 103211*x^21 - 1071503*x^20 - 460711*x^19 + 2917564*x^18 + 2966800*x^17 - 4638592*x^16 - 7647561*x^15 + 3611584*x^14 + 11010911*x^13 + 195898*x^12 - 9120321*x^11 - 2648174*x^10 + 4109766*x^9 + 1856295*x^8 - 909675*x^7 - 487504*x^6 + 89819*x^5 + 42447*x^4 - 6051*x^3 - 762*x^2 + 75*x, x^31 + 13*x^30 + 40*x^29 - 183*x^28 - 1308*x^27 - 453*x^26 + 13731*x^25 + 25677*x^24 - 66162*x^23 - 231322*x^22 + 103211*x^21 + 1071503*x^20 + 460711*x^19 - 2917564*x^18 - 2966800*x^17 + 4638592*x^16 + 7647561*x^15 - 3611584*x^14 - 11010911*x^13 - 195898*x^12 + 9120321*x^11 + 2648174*x^10 - 4109766*x^9 - 1856295*x^8 + 909675*x^7 + 487504*x^6 - 89819*x^5 - 42447*x^4 + 6051*x^3 + 762*x^2 - 75*x, -x^30 - 12*x^29 - 29*x^28 + 201*x^27 + 1090*x^26 - 404*x^25 - 12398*x^24 - 14624*x^23 + 68502*x^22 + 157349*x^21 - 181482*x^20 - 778773*x^19 + 42781*x^18 + 2225664*x^17 + 1199727*x^16 - 3784999*x^15 - 3796441*x^14 + 3543925*x^13 + 5675802*x^12 - 1207560*x^11 - 4536309*x^10 - 619623*x^9 + 1827844*x^8 + 597851*x^7 - 322584*x^6 - 146614*x^5 + 15574*x^4 + 9559*x^3 - 146*x^2 - 88*x + 2, x^30 + 12*x^29 + 29*x^28 - 201*x^27 - 1090*x^26 + 404*x^25 + 12398*x^24 + 14624*x^23 - 68502*x^22 - 157349*x^21 + 181482*x^20 + 778773*x^19 - 42781*x^18 - 2225664*x^17 - 1199727*x^16 + 3784999*x^15 + 3796441*x^14 - 3543925*x^13 - 5675802*x^12 + 1207560*x^11 + 4536309*x^10 + 619623*x^9 - 1827844*x^8 - 597851*x^7 + 322584*x^6 + 146614*x^5 - 15574*x^4 - 9559*x^3 + 146*x^2 + 88*x - 2, -x^30 - 12*x^29 - 29*x^28 + 201*x^27 + 1089*x^26 - 415*x^25 - 12422*x^24 - 14472*x^23 + 69221*x^22 + 156999*x^21 - 188016*x^20 - 783934*x^19 + 72686*x^18 + 2270807*x^17 + 1122699*x^16 - 3956201*x^15 - 3685765*x^14 + 3921063*x^13 + 5603887*x^12 - 1729222*x^11 - 4554272*x^10 - 158122*x^9 + 1896416*x^8 + 347468*x^7 - 373202*x^6 - 76384*x^5 + 28431*x^4 + 2559*x^3 - 370*x^2 + 38*x - 1, x^30 + 12*x^29 + 29*x^28 - 201*x^27 - 1089*x^26 + 415*x^25 + 12422*x^24 + 14472*x^23 - 69221*x^22 - 156999*x^21 + 188016*x^20 + 783934*x^19 - 72686*x^18 - 2270807*x^17 - 1122699*x^16 + 3956201*x^15 + 3685765*x^14 - 3921063*x^13 - 5603887*x^12 + 1729222*x^11 + 4554272*x^10 + 158122*x^9 - 1896416*x^8 - 347468*x^7 + 373202*x^6 + 76384*x^5 - 28431*x^4 - 2559*x^3 + 370*x^2 - 38*x + 1, -x^30 - 13*x^29 - 42*x^28 + 157*x^27 + 1219*x^26 + 703*x^25 - 11508*x^24 - 23670*x^23 + 48359*x^22 + 188537*x^21 - 46830*x^20 - 788791*x^19 - 431263*x^18 + 1937932*x^17 + 2163237*x^16 - 2732748*x^15 - 4902920*x^14 + 1738363*x^13 + 6297622*x^12 + 491114*x^11 - 4626745*x^10 - 1512866*x^9 + 1807883*x^8 + 873830*x^7 - 327207*x^6 - 194423*x^5 + 19759*x^4 + 13079*x^3 - 496*x^2 - 56*x + 1, x^30 + 13*x^29 + 42*x^28 - 157*x^27 - 1219*x^26 - 703*x^25 + 11508*x^24 + 23670*x^23 - 48359*x^22 - 188537*x^21 + 46830*x^20 + 788791*x^19 + 431263*x^18 - 1937932*x^17 - 2163237*x^16 + 2732748*x^15 + 4902920*x^14 - 1738363*x^13 - 6297622*x^12 - 491114*x^11 + 4626745*x^10 + 1512866*x^9 - 1807883*x^8 - 873830*x^7 + 327207*x^6 + 194423*x^5 - 19759*x^4 - 13079*x^3 + 496*x^2 + 56*x - 1, -x^30 - 12*x^29 - 29*x^28 + 200*x^27 + 1077*x^26 - 448*x^25 - 12271*x^24 - 13539*x^23 + 69339*x^22 + 148549*x^21 - 200361*x^20 - 747862*x^19 + 167454*x^18 + 2206862*x^17 + 766289*x^16 - 4010716*x^15 - 2927325*x^14 + 4392569*x^13 + 4695936*x^12 - 2623997*x^11 - 4008751*x^10 + 620086*x^9 + 1778186*x^8 + 43035*x^7 - 363067*x^6 - 22937*x^5 + 23790*x^4 - 1650*x^3 + 39*x^2 + 7*x, x^30 + 12*x^29 + 29*x^28 - 200*x^27 - 1077*x^26 + 448*x^25 + 12271*x^24 + 13539*x^23 - 69339*x^22 - 148549*x^21 + 200361*x^20 + 747862*x^19 - 167454*x^18 - 2206862*x^17 - 766289*x^16 + 4010716*x^15 + 2927325*x^14 - 4392569*x^13 - 4695936*x^12 + 2623997*x^11 + 4008751*x^10 - 620086*x^9 - 1778186*x^8 - 43035*x^7 + 363067*x^6 + 22937*x^5 - 23790*x^4 + 1650*x^3 - 39*x^2 - 7*x, -x^29 - 12*x^28 - 30*x^27 + 188*x^26 + 1046*x^25 - 271*x^24 - 11243*x^23 - 13584*x^22 + 59053*x^21 + 133986*x^20 - 152974*x^19 - 623065*x^18 + 79315*x^17 + 1701643*x^16 + 673221*x^15 - 2866364*x^14 - 2139223*x^13 + 2938288*x^12 + 3090321*x^11 - 1703859*x^10 - 2446460*x^9 + 454365*x^8 + 1046751*x^7 - 10148*x^6 - 215347*x^5 - 11676*x^4 + 15008*x^3 - 161*x^2 - 102*x + 3, x^29 + 12*x^28 + 30*x^27 - 188*x^26 - 1046*x^25 + 271*x^24 + 11243*x^23 + 13584*x^22 - 59053*x^21 - 133986*x^20 + 152974*x^19 + 623065*x^18 - 79315*x^17 - 1701643*x^16 - 673221*x^15 + 2866364*x^14 + 2139223*x^13 - 2938288*x^12 - 3090321*x^11 + 1703859*x^10 + 2446460*x^9 - 454365*x^8 - 1046751*x^7 + 10148*x^6 + 215347*x^5 + 11676*x^4 - 15008*x^3 + 161*x^2 + 102*x - 3, -x^29 - 12*x^28 - 31*x^27 + 176*x^26 + 1011*x^25 - 143*x^24 - 10372*x^23 - 13215*x^22 + 52169*x^21 + 122291*x^20 - 128230*x^19 - 548017*x^18 + 47430*x^17 + 1453413*x^16 + 612695*x^15 - 2378550*x^14 - 1834000*x^13 + 2344711*x^12 + 2550696*x^11 - 1260321*x^10 - 1916387*x^9 + 272554*x^8 + 745750*x^7 + 9464*x^6 - 132260*x^5 - 5819*x^4 + 7784*x^3 - 259*x^2 + 21*x, x^29 + 12*x^28 + 31*x^27 - 176*x^26 - 1011*x^25 + 143*x^24 + 10372*x^23 + 13215*x^22 - 52169*x^21 - 122291*x^20 + 128230*x^19 + 548017*x^18 - 47430*x^17 - 1453413*x^16 - 612695*x^15 + 2378550*x^14 + 1834000*x^13 - 2344711*x^12 - 2550696*x^11 + 1260321*x^10 + 1916387*x^9 - 272554*x^8 - 745750*x^7 - 9464*x^6 + 132260*x^5 + 5819*x^4 - 7784*x^3 + 259*x^2 - 21*x, -x^29 - 13*x^28 - 45*x^27 + 119*x^26 + 1094*x^25 + 1070*x^24 - 8437*x^23 - 21120*x^22 + 24527*x^21 + 133780*x^20 + 25695*x^19 - 441829*x^18 - 395274*x^17 + 806333*x^16 + 1235812*x^15 - 717343*x^14 - 1962907*x^13 + 64336*x^12 + 1725013*x^11 + 381462*x^10 - 841428*x^9 - 256755*x^8 + 247316*x^7 + 69743*x^6 - 44606*x^5 - 10201*x^4 + 3319*x^3 + 473*x^2 - 44*x - 1, x^29 + 13*x^28 + 45*x^27 - 119*x^26 - 1094*x^25 - 1070*x^24 + 8437*x^23 + 21120*x^22 - 24527*x^21 - 133780*x^20 - 25695*x^19 + 441829*x^18 + 395274*x^17 - 806333*x^16 - 1235812*x^15 + 717343*x^14 + 1962907*x^13 - 64336*x^12 - 1725013*x^11 - 381462*x^10 + 841428*x^9 + 256755*x^8 - 247316*x^7 - 69743*x^6 + 44606*x^5 + 10201*x^4 - 3319*x^3 - 473*x^2 + 44*x + 1, -x^29 - 13*x^28 - 44*x^27 + 131*x^26 + 1129*x^25 + 937*x^24 - 9366*x^23 - 21665*x^22 + 31854*x^21 + 148932*x^20 + 3753*x^19 - 537803*x^18 - 408289*x^17 + 1099511*x^16 + 1508829*x^15 - 1155878*x^14 - 2750382*x^13 + 230880*x^12 + 2768563*x^11 + 753846*x^10 - 1460455*x^9 - 725710*x^8 + 335152*x^7 + 223338*x^6 - 25454*x^5 - 19167*x^4 + 2236*x^3 + 233*x^2 - 30*x + 1, x^29 + 13*x^28 + 44*x^27 - 131*x^26 - 1129*x^25 - 937*x^24 + 9366*x^23 + 21665*x^22 - 31854*x^21 - 148932*x^20 - 3753*x^19 + 537803*x^18 + 408289*x^17 - 1099511*x^16 - 1508829*x^15 + 1155878*x^14 + 2750382*x^13 - 230880*x^12 - 2768563*x^11 - 753846*x^10 + 1460455*x^9 + 725710*x^8 - 335152*x^7 - 223338*x^6 + 25454*x^5 + 19167*x^4 - 2236*x^3 - 233*x^2 + 30*x - 1, -x^29 - 12*x^28 - 31*x^27 + 176*x^26 + 1012*x^25 - 133*x^24 - 10362*x^23 - 13434*x^22 + 51399*x^21 + 123280*x^20 - 119697*x^19 - 543248*x^18 + 6351*x^17 + 1394165*x^16 + 709520*x^15 - 2146340*x^14 - 1922406*x^13 + 1876041*x^12 + 2487573*x^11 - 740491*x^10 - 1711494*x^9 - 35074*x^8 + 589643*x^7 + 101500*x^6 - 88966*x^5 - 20307*x^4 + 4440*x^3 + 808*x^2 - 68*x, x^29 + 12*x^28 + 31*x^27 - 176*x^26 - 1012*x^25 + 133*x^24 + 10362*x^23 + 13434*x^22 - 51399*x^21 - 123280*x^20 + 119697*x^19 + 543248*x^18 - 6351*x^17 - 1394165*x^16 - 709520*x^15 + 2146340*x^14 + 1922406*x^13 - 1876041*x^12 - 2487573*x^11 + 740491*x^10 + 1711494*x^9 + 35074*x^8 - 589643*x^7 - 101500*x^6 + 88966*x^5 + 20307*x^4 - 4440*x^3 - 808*x^2 + 68*x, -x^28 - 13*x^27 - 44*x^26 + 133*x^25 + 1155*x^24 + 1040*x^23 - 9449*x^22 - 23363*x^21 + 28508*x^20 + 155708*x^19 + 36534*x^18 - 524021*x^17 - 526506*x^16 + 918635*x^15 + 1657218*x^14 - 605637*x^13 - 2585481*x^12 - 496299*x^11 + 2089849*x^10 + 1073988*x^9 - 781093*x^8 - 607999*x^7 + 107237*x^6 + 134938*x^5 - 566*x^4 - 9720*x^3 + 44*x^2 + 91*x - 2, x^28 + 13*x^27 + 44*x^26 - 133*x^25 - 1155*x^24 - 1040*x^23 + 9449*x^22 + 23363*x^21 - 28508*x^20 - 155708*x^19 - 36534*x^18 + 524021*x^17 + 526506*x^16 - 918635*x^15 - 1657218*x^14 + 605637*x^13 + 2585481*x^12 + 496299*x^11 - 2089849*x^10 - 1073988*x^9 + 781093*x^8 + 607999*x^7 - 107237*x^6 - 134938*x^5 + 566*x^4 + 9720*x^3 - 44*x^2 - 91*x + 2, -2*x^28 - 25*x^27 - 78*x^26 + 272*x^25 + 2050*x^24 + 1257*x^23 - 17052*x^22 - 34708*x^21 + 59786*x^20 + 235917*x^19 - 25256*x^18 - 817394*x^17 - 510004*x^16 + 1577651*x^15 + 1851765*x^14 - 1576352*x^13 - 3053191*x^12 + 468901*x^11 + 2637885*x^10 + 430676*x^9 - 1150666*x^8 - 338004*x^7 + 240942*x^6 + 70565*x^5 - 20647*x^4 - 2818*x^3 + 391*x^2 - 38*x + 1, 2*x^28 + 25*x^27 + 78*x^26 - 272*x^25 - 2050*x^24 - 1257*x^23 + 17052*x^22 + 34708*x^21 - 59786*x^20 - 235917*x^19 + 25256*x^18 + 817394*x^17 + 510004*x^16 - 1577651*x^15 - 1851765*x^14 + 1576352*x^13 + 3053191*x^12 - 468901*x^11 - 2637885*x^10 - 430676*x^9 + 1150666*x^8 + 338004*x^7 - 240942*x^6 - 70565*x^5 + 20647*x^4 + 2818*x^3 - 391*x^2 + 38*x - 1, -x^28 - 13*x^27 - 47*x^26 + 95*x^25 + 1021*x^24 + 1293*x^23 - 6780*x^22 - 20049*x^21 + 12739*x^20 + 111045*x^19 + 61245*x^18 - 314205*x^17 - 417421*x^16 + 437754*x^15 + 1088248*x^14 - 97675*x^13 - 1519418*x^12 - 578553*x^11 + 1147432*x^10 + 825435*x^9 - 409901*x^8 - 466083*x^7 + 41659*x^6 + 113657*x^5 + 4207*x^4 - 9788*x^3 + 61*x^2 + 93*x - 2, x^28 + 13*x^27 + 47*x^26 - 95*x^25 - 1021*x^24 - 1293*x^23 + 6780*x^22 + 20049*x^21 - 12739*x^20 - 111045*x^19 - 61245*x^18 + 314205*x^17 + 417421*x^16 - 437754*x^15 - 1088248*x^14 + 97675*x^13 + 1519418*x^12 + 578553*x^11 - 1147432*x^10 - 825435*x^9 + 409901*x^8 + 466083*x^7 - 41659*x^6 - 113657*x^5 - 4207*x^4 + 9788*x^3 - 61*x^2 - 93*x + 2, -x^28 - 13*x^27 - 44*x^26 + 131*x^25 + 1131*x^24 + 961*x^23 - 9287*x^22 - 21827*x^21 + 30318*x^20 + 147122*x^19 + 12339*x^18 - 513608*x^17 - 418702*x^16 + 991707*x^15 + 1435757*x^14 - 934417*x^13 - 2421602*x^12 + 67001*x^11 + 2205263*x^10 + 638432*x^9 - 1024899*x^8 - 481904*x^7 + 209057*x^6 + 121518*x^5 - 12034*x^4 - 7699*x^3 + 215*x^2 + 62*x - 1, x^28 + 13*x^27 + 44*x^26 - 131*x^25 - 1131*x^24 - 961*x^23 + 9287*x^22 + 21827*x^21 - 30318*x^20 - 147122*x^19 - 12339*x^18 + 513608*x^17 + 418702*x^16 - 991707*x^15 - 1435757*x^14 + 934417*x^13 + 2421602*x^12 - 67001*x^11 - 2205263*x^10 - 638432*x^9 + 1024899*x^8 + 481904*x^7 - 209057*x^6 - 121518*x^5 + 12034*x^4 + 7699*x^3 - 215*x^2 - 62*x + 1, -x^28 - 13*x^27 - 46*x^26 + 103*x^25 + 1011*x^24 + 1044*x^23 - 7218*x^22 - 17778*x^21 + 20265*x^20 + 103866*x^19 + 10635*x^18 - 324813*x^17 - 235706*x^16 + 585163*x^15 + 716781*x^14 - 573066*x^13 - 1107457*x^12 + 195731*x^11 + 961027*x^10 + 148724*x^9 - 447832*x^8 - 168588*x^7 + 92696*x^6 + 53738*x^5 - 5489*x^4 - 5147*x^3 + 251*x^2 - 5*x, x^28 + 13*x^27 + 46*x^26 - 103*x^25 - 1011*x^24 - 1044*x^23 + 7218*x^22 + 17778*x^21 - 20265*x^20 - 103866*x^19 - 10635*x^18 + 324813*x^17 + 235706*x^16 - 585163*x^15 - 716781*x^14 + 573066*x^13 + 1107457*x^12 - 195731*x^11 - 961027*x^10 - 148724*x^9 + 447832*x^8 + 168588*x^7 - 92696*x^6 - 53738*x^5 + 5489*x^4 + 5147*x^3 - 251*x^2 + 5*x, -x^28 - 12*x^27 - 33*x^26 + 152*x^25 + 944*x^24 + 145*x^23 - 8571*x^22 - 13005*x^21 + 36017*x^20 + 99659*x^19 - 57615*x^18 - 373208*x^17 - 93696*x^16 + 782701*x^15 + 591578*x^14 - 891470*x^13 - 1109015*x^12 + 416432*x^11 + 994944*x^10 + 106905*x^9 - 395769*x^8 - 165984*x^7 + 35606*x^6 + 43910*x^5 + 10881*x^4 - 2028*x^3 - 1084*x^2 + 41*x, x^28 + 12*x^27 + 33*x^26 - 152*x^25 - 944*x^24 - 145*x^23 + 8571*x^22 + 13005*x^21 - 36017*x^20 - 99659*x^19 + 57615*x^18 + 373208*x^17 + 93696*x^16 - 782701*x^15 - 591578*x^14 + 891470*x^13 + 1109015*x^12 - 416432*x^11 - 994944*x^10 - 106905*x^9 + 395769*x^8 + 165984*x^7 - 35606*x^6 - 43910*x^5 - 10881*x^4 + 2028*x^3 + 1084*x^2 - 41*x, -x^28 - 12*x^27 - 32*x^26 + 163*x^25 + 965*x^24 - 40*x^23 - 9369*x^22 - 12264*x^21 + 44647*x^20 + 104955*x^19 - 103488*x^18 - 439489*x^17 + 36927*x^16 + 1081675*x^15 + 413341*x^14 - 1625058*x^13 - 1099348*x^12 + 1467074*x^11 + 1302313*x^10 - 762065*x^9 - 792774*x^8 + 224449*x^7 + 238495*x^6 - 41280*x^5 - 30231*x^4 + 4486*x^3 + 977*x^2 - 48*x, x^28 + 12*x^27 + 32*x^26 - 163*x^25 - 965*x^24 + 40*x^23 + 9369*x^22 + 12264*x^21 - 44647*x^20 - 104955*x^19 + 103488*x^18 + 439489*x^17 - 36927*x^16 - 1081675*x^15 - 413341*x^14 + 1625058*x^13 + 1099348*x^12 - 1467074*x^11 - 1302313*x^10 + 762065*x^9 + 792774*x^8 - 224449*x^7 - 238495*x^6 + 41280*x^5 + 30231*x^4 - 4486*x^3 - 977*x^2 + 48*x, -x^27 - 11*x^26 - 22*x^25 + 180*x^24 + 833*x^23 - 492*x^22 - 8718*x^21 - 8596*x^20 + 42386*x^19 + 86705*x^18 - 92213*x^17 - 364306*x^16 - 7710*x^15 + 824970*x^14 + 488159*x^13 - 1012985*x^12 - 1067473*x^11 + 572584*x^10 + 1026935*x^9 - 37465*x^8 - 457610*x^7 - 63971*x^6 + 93263*x^5 + 13990*x^4 - 7265*x^3 + 37*x^2 + 38*x - 2, x^27 + 11*x^26 + 22*x^25 - 180*x^24 - 833*x^23 + 492*x^22 + 8718*x^21 + 8596*x^20 - 42386*x^19 - 86705*x^18 + 92213*x^17 + 364306*x^16 + 7710*x^15 - 824970*x^14 - 488159*x^13 + 1012985*x^12 + 1067473*x^11 - 572584*x^10 - 1026935*x^9 + 37465*x^8 + 457610*x^7 + 63971*x^6 - 93263*x^5 - 13990*x^4 + 7265*x^3 - 37*x^2 - 38*x + 2, -2*x^27 - 23*x^26 - 55*x^25 + 330*x^24 + 1757*x^23 - 373*x^22 - 16910*x^21 - 20154*x^20 + 77279*x^19 + 172452*x^18 - 162160*x^17 - 682095*x^16 + 3258*x^15 + 1519541*x^14 + 743716*x^13 - 1940146*x^12 - 1637824*x^11 + 1309535*x^10 + 1607149*x^9 - 353803*x^8 - 752124*x^7 - 8642*x^6 + 156219*x^5 + 13202*x^4 - 10712*x^3 - 252*x^2 + 24*x + 1, 2*x^27 + 23*x^26 + 55*x^25 - 330*x^24 - 1757*x^23 + 373*x^22 + 16910*x^21 + 20154*x^20 - 77279*x^19 - 172452*x^18 + 162160*x^17 + 682095*x^16 - 3258*x^15 - 1519541*x^14 - 743716*x^13 + 1940146*x^12 + 1637824*x^11 - 1309535*x^10 - 1607149*x^9 + 353803*x^8 + 752124*x^7 + 8642*x^6 - 156219*x^5 - 13202*x^4 + 10712*x^3 + 252*x^2 - 24*x - 1, -x^27 - 11*x^26 - 25*x^25 + 142*x^24 + 699*x^23 - 239*x^22 - 6049*x^21 - 5282*x^20 + 26617*x^19 + 42042*x^18 - 67502*x^17 - 154490*x^16 + 101375*x^15 + 344089*x^14 - 80811*x^13 - 505023*x^12 - 1410*x^11 + 490330*x^10 + 84518*x^9 - 286018*x^8 - 86418*x^7 + 77945*x^6 + 27685*x^5 - 7291*x^4 - 2492*x^3 - 31*x^2 + 55*x, x^27 + 11*x^26 + 25*x^25 - 142*x^24 - 699*x^23 + 239*x^22 + 6049*x^21 + 5282*x^20 - 26617*x^19 - 42042*x^18 + 67502*x^17 + 154490*x^16 - 101375*x^15 - 344089*x^14 + 80811*x^13 + 505023*x^12 + 1410*x^11 - 490330*x^10 - 84518*x^9 + 286018*x^8 + 86418*x^7 - 77945*x^6 - 27685*x^5 + 7291*x^4 + 2492*x^3 + 31*x^2 - 55*x, -x^27 - 13*x^26 - 48*x^25 + 81*x^24 + 958*x^23 + 1310*x^22 - 5739*x^21 - 17453*x^20 + 8933*x^19 + 85582*x^18 + 45355*x^17 - 214089*x^16 - 248939*x^15 + 275579*x^14 + 524300*x^13 - 137866*x^12 - 576171*x^11 - 46357*x^10 + 347009*x^9 + 76690*x^8 - 119239*x^7 - 34031*x^6 + 21128*x^5 + 7704*x^4 - 766*x^3 - 349*x^2 - 13*x + 1, x^27 + 13*x^26 + 48*x^25 - 81*x^24 - 958*x^23 - 1310*x^22 + 5739*x^21 + 17453*x^20 - 8933*x^19 - 85582*x^18 - 45355*x^17 + 214089*x^16 + 248939*x^15 - 275579*x^14 - 524300*x^13 + 137866*x^12 + 576171*x^11 + 46357*x^10 - 347009*x^9 - 76690*x^8 + 119239*x^7 + 34031*x^6 - 21128*x^5 - 7704*x^4 + 766*x^3 + 349*x^2 + 13*x - 1, -x^27 - 14*x^26 - 59*x^25 + 53*x^24 + 1067*x^23 + 1910*x^22 - 5817*x^21 - 22174*x^20 + 4601*x^19 + 106261*x^18 + 78846*x^17 - 267376*x^16 - 379363*x^15 + 343836*x^14 + 826571*x^13 - 129930*x^12 - 991645*x^11 - 192339*x^10 + 660654*x^9 + 244774*x^8 - 233048*x^7 - 96974*x^6 + 43281*x^5 + 13617*x^4 - 3833*x^3 - 464*x^2 + 14*x, x^27 + 14*x^26 + 59*x^25 - 53*x^24 - 1067*x^23 - 1910*x^22 + 5817*x^21 + 22174*x^20 - 4601*x^19 - 106261*x^18 - 78846*x^17 + 267376*x^16 + 379363*x^15 - 343836*x^14 - 826571*x^13 + 129930*x^12 + 991645*x^11 + 192339*x^10 - 660654*x^9 - 244774*x^8 + 233048*x^7 + 96974*x^6 - 43281*x^5 - 13617*x^4 + 3833*x^3 + 464*x^2 - 14*x, -x^27 - 14*x^26 - 59*x^25 + 54*x^24 + 1081*x^23 + 1977*x^22 - 5772*x^21 - 22892*x^20 + 2281*x^19 + 106729*x^18 + 93737*x^17 - 246972*x^16 - 412685*x^15 + 238976*x^14 + 816354*x^13 + 94781*x^12 - 815891*x^11 - 412783*x^10 + 351969*x^9 + 312348*x^8 - 9408*x^7 - 72626*x^6 - 23316*x^5 + 403*x^4 + 1848*x^3 + 226*x^2 + 16*x - 1, x^27 + 14*x^26 + 59*x^25 - 54*x^24 - 1081*x^23 - 1977*x^22 + 5772*x^21 + 22892*x^20 - 2281*x^19 - 106729*x^18 - 93737*x^17 + 246972*x^16 + 412685*x^15 - 238976*x^14 - 816354*x^13 - 94781*x^12 + 815891*x^11 + 412783*x^10 - 351969*x^9 - 312348*x^8 + 9408*x^7 + 72626*x^6 + 23316*x^5 - 403*x^4 - 1848*x^3 - 226*x^2 - 16*x + 1, -x^27 - 12*x^26 - 35*x^25 + 128*x^24 + 870*x^23 + 356*x^22 - 6950*x^21 - 11827*x^20 + 24952*x^19 + 76988*x^18 - 27874*x^17 - 251597*x^16 - 89071*x^15 + 459087*x^14 + 371467*x^13 - 446583*x^12 - 567651*x^11 + 168192*x^10 + 413969*x^9 + 44905*x^8 - 128326*x^7 - 47066*x^6 + 10046*x^5 + 10548*x^4 + 736*x^3 - 916*x^2 + 58*x - 1, x^27 + 12*x^26 + 35*x^25 - 128*x^24 - 870*x^23 - 356*x^22 + 6950*x^21 + 11827*x^20 - 24952*x^19 - 76988*x^18 + 27874*x^17 + 251597*x^16 + 89071*x^15 - 459087*x^14 - 371467*x^13 + 446583*x^12 + 567651*x^11 - 168192*x^10 - 413969*x^9 - 44905*x^8 + 128326*x^7 + 47066*x^6 - 10046*x^5 - 10548*x^4 - 736*x^3 + 916*x^2 - 58*x + 1, -x^27 - 12*x^26 - 33*x^25 + 150*x^24 + 921*x^23 + 73*x^22 - 8432*x^21 - 11794*x^20 + 37130*x^19 + 93052*x^18 - 72173*x^17 - 359867*x^16 - 28871*x^15 + 795783*x^14 + 441924*x^13 - 1013026*x^12 - 924978*x^11 + 679204*x^10 + 901756*x^9 - 175815*x^8 - 425711*x^7 - 10524*x^6 + 89801*x^5 + 7731*x^4 - 6260*x^3 + 149*x^2 + 10*x + 1, x^27 + 12*x^26 + 33*x^25 - 150*x^24 - 921*x^23 - 73*x^22 + 8432*x^21 + 11794*x^20 - 37130*x^19 - 93052*x^18 + 72173*x^17 + 359867*x^16 + 28871*x^15 - 795783*x^14 - 441924*x^13 + 1013026*x^12 + 924978*x^11 - 679204*x^10 - 901756*x^9 + 175815*x^8 + 425711*x^7 + 10524*x^6 - 89801*x^5 - 7731*x^4 + 6260*x^3 - 149*x^2 - 10*x - 1, -x^27 - 13*x^26 - 47*x^25 + 93*x^24 + 993*x^23 + 1170*x^22 - 6752*x^21 - 18325*x^20 + 16209*x^19 + 103759*x^18 + 30576*x^17 - 312490*x^16 - 296179*x^15 + 521282*x^14 + 823058*x^13 - 408967*x^12 - 1185260*x^11 - 21574*x^10 + 918720*x^9 + 259523*x^8 - 351148*x^7 - 142780*x^6 + 58735*x^5 + 24793*x^4 - 3463*x^3 - 856*x^2 + 68*x, x^27 + 13*x^26 + 47*x^25 - 93*x^24 - 993*x^23 - 1170*x^22 + 6752*x^21 + 18325*x^20 - 16209*x^19 - 103759*x^18 - 30576*x^17 + 312490*x^16 + 296179*x^15 - 521282*x^14 - 823058*x^13 + 408967*x^12 + 1185260*x^11 + 21574*x^10 - 918720*x^9 - 259523*x^8 + 351148*x^7 + 142780*x^6 - 58735*x^5 - 24793*x^4 + 3463*x^3 + 856*x^2 - 68*x, 3*x^25 + 37*x^24 + 127*x^23 - 231*x^22 - 2356*x^21 - 2661*x^20 + 13814*x^19 + 35548*x^18 - 26861*x^17 - 168833*x^16 - 54852*x^15 + 411492*x^14 + 379922*x^13 - 524779*x^12 - 797190*x^11 + 278799*x^10 + 822670*x^9 + 44739*x^8 - 422762*x^7 - 93365*x^6 + 98856*x^5 + 23137*x^4 - 8146*x^3 - 619*x^2 + 63*x, -3*x^25 - 37*x^24 - 127*x^23 + 231*x^22 + 2356*x^21 + 2661*x^20 - 13814*x^19 - 35548*x^18 + 26861*x^17 + 168833*x^16 + 54852*x^15 - 411492*x^14 - 379922*x^13 + 524779*x^12 + 797190*x^11 - 278799*x^10 - 822670*x^9 - 44739*x^8 + 422762*x^7 + 93365*x^6 - 98856*x^5 - 23137*x^4 + 8146*x^3 + 619*x^2 - 63*x, -x^26 - 13*x^25 - 49*x^24 + 72*x^23 + 949*x^22 + 1451*x^21 - 5354*x^20 - 18256*x^19 + 5100*x^18 + 86596*x^17 + 64474*x^16 - 203945*x^15 - 302110*x^14 + 218175*x^13 + 602505*x^12 - 2222*x^11 - 614812*x^10 - 208795*x^9 + 305459*x^8 + 164750*x^7 - 59701*x^6 - 43276*x^5 + 1023*x^4 + 3470*x^3 + 401*x^2 - 69*x + 2, x^26 + 13*x^25 + 49*x^24 - 72*x^23 - 949*x^22 - 1451*x^21 + 5354*x^20 + 18256*x^19 - 5100*x^18 - 86596*x^17 - 64474*x^16 + 203945*x^15 + 302110*x^14 - 218175*x^13 - 602505*x^12 + 2222*x^11 + 614812*x^10 + 208795*x^9 - 305459*x^8 - 164750*x^7 + 59701*x^6 + 43276*x^5 - 1023*x^4 - 3470*x^3 - 401*x^2 + 69*x - 2, -x^25 - 14*x^24 - 55*x^23 + 92*x^22 + 1145*x^21 + 1548*x^20 - 7207*x^19 - 20990*x^18 + 13520*x^17 + 104008*x^16 + 41770*x^15 - 261838*x^14 - 258366*x^13 + 340742*x^12 + 534418*x^11 - 185611*x^10 - 539950*x^9 - 14797*x^8 + 267302*x^7 + 39170*x^6 - 62677*x^5 - 5996*x^4 + 5969*x^3 - 475*x^2 - 23*x, x^25 + 14*x^24 + 55*x^23 - 92*x^22 - 1145*x^21 - 1548*x^20 + 7207*x^19 + 20990*x^18 - 13520*x^17 - 104008*x^16 - 41770*x^15 + 261838*x^14 + 258366*x^13 - 340742*x^12 - 534418*x^11 + 185611*x^10 + 539950*x^9 + 14797*x^8 - 267302*x^7 - 39170*x^6 + 62677*x^5 + 5996*x^4 - 5969*x^3 + 475*x^2 + 23*x, -x^26 - 14*x^25 - 58*x^24 + 63*x^23 + 1090*x^22 + 1836*x^21 - 6157*x^20 - 22089*x^19 + 6114*x^18 + 105715*x^17 + 74618*x^16 - 257116*x^15 - 359514*x^14 + 296380*x^13 + 738149*x^12 - 40863*x^11 - 777250*x^10 - 250345*x^9 + 393519*x^8 + 224288*x^7 - 68946*x^6 - 63381*x^5 - 3211*x^4 + 4637*x^3 + 681*x^2 - 54*x + 1, x^26 + 14*x^25 + 58*x^24 - 63*x^23 - 1090*x^22 - 1836*x^21 + 6157*x^20 + 22089*x^19 - 6114*x^18 - 105715*x^17 - 74618*x^16 + 257116*x^15 + 359514*x^14 - 296380*x^13 - 738149*x^12 + 40863*x^11 + 777250*x^10 + 250345*x^9 - 393519*x^8 - 224288*x^7 + 68946*x^6 + 63381*x^5 + 3211*x^4 - 4637*x^3 - 681*x^2 + 54*x - 1, -x^26 - 11*x^25 - 25*x^24 + 143*x^23 + 707*x^22 - 244*x^21 - 6264*x^20 - 5797*x^19 + 27803*x^18 + 48153*x^17 - 65730*x^16 - 181030*x^15 + 65881*x^14 + 389520*x^13 + 44018*x^12 - 497003*x^11 - 191254*x^10 + 360934*x^9 + 196852*x^8 - 134181*x^7 - 82786*x^6 + 22792*x^5 + 13151*x^4 - 1509*x^3 - 445*x^2 + 34*x, x^26 + 11*x^25 + 25*x^24 - 143*x^23 - 707*x^22 + 244*x^21 + 6264*x^20 + 5797*x^19 - 27803*x^18 - 48153*x^17 + 65730*x^16 + 181030*x^15 - 65881*x^14 - 389520*x^13 - 44018*x^12 + 497003*x^11 + 191254*x^10 - 360934*x^9 - 196852*x^8 + 134181*x^7 + 82786*x^6 - 22792*x^5 - 13151*x^4 + 1509*x^3 + 445*x^2 - 34*x]>,
         rec<Eigen |
           DefiningPolynomial := x^37 - 13*x^36 + 28*x^35 + 340*x^34 - 1762*x^33 - 2216*x^32 + 31230*x^31 - 25293*x^30 - 283275*x^29 + 575310*x^28 + 1427188*x^27 - 5001761*x^26 - 3220789*x^25 + 25720538*x^24 - 5653170*x^23 - 85636916*x^22 + 67996832*x^21 + 187110596*x^20 - 246648482*x^19 - 256118426*x^18 + 523573401*x^17 + 177587990*x^16 - 716778449*x^15 + 33388342*x^14 + 642035597*x^13 - 191372957*x^12 - 367298511*x^11 + 179908299*x^10 + 125796355*x^9 - 85051623*x^8 - 22377290*x^7 + 21487719*x^6 + 1373724*x^5 - 2736306*x^4 + 34172*x^3 + 167148*x^2 - 4144*x - 3911,
           Coordinates        := [-x^36 + 11*x^35 - 7*x^34 - 343*x^33 + 1067*x^32 + 4029*x^31 - 22125*x^30 - 15550*x^29 + 232142*x^28 - 120372*x^27 - 1474306*x^26 + 1921077*x^25 + 5944659*x^24 - 12203973*x^23 - 14747737*x^22 + 47093595*x^21 + 17794747*x^20 - 120708253*x^19 + 11863391*x^18 + 210765911*x^17 - 88066914*x^16 - 249983387*x^15 + 166469505*x^14 + 196223883*x^13 - 176596978*x^12 - 95892116*x^11 + 114988379*x^10 + 25061237*x^9 - 45684398*x^8 - 1627780*x^7 + 10504954*x^6 - 617337*x^5 - 1283656*x^4 + 103823*x^3 + 78482*x^2 - 4085*x - 1926, x^36 - 12*x^35 + 18*x^34 + 334*x^33 - 1388*x^32 - 2984*x^31 + 25556*x^30 - 4535*x^29 - 241966*x^28 + 316392*x^27 + 1344188*x^26 - 3071345*x^25 - 4288194*x^24 + 16424880*x^23 + 5274434*x^22 - 56249060*x^21 + 15614536*x^20 + 128366932*x^19 - 90196888*x^18 - 194219706*x^17 + 212476539*x^16 + 184685497*x^15 - 298653116*x^14 - 90776936*x^13 + 265912845*x^12 - 4201510*x^11 - 148030767*x^10 + 33397366*x^9 + 48116949*x^8 - 18638328*x^7 - 7690640*x^6 + 4351855*x^5 + 321991*x^4 - 390839*x^3 + 17545*x^2 + 11263*x - 951, 4*x^30 - 44*x^29 + 70*x^28 + 910*x^27 - 3650*x^26 - 5264*x^25 + 48096*x^24 - 20386*x^23 - 313038*x^22 + 429764*x^21 + 1117236*x^20 - 2546612*x^19 - 2005072*x^18 + 8201416*x^17 + 441832*x^16 - 16002262*x^15 + 5562818*x^14 + 19389006*x^13 - 11902834*x^12 - 14360154*x^11 + 11995002*x^10 + 6078696*x^9 - 6715666*x^8 - 1177142*x^7 + 2074028*x^6 - 21438*x^5 - 316736*x^4 + 37262*x^3 + 17294*x^2 - 2588*x - 152, 2*x^31 - 22*x^30 + 32*x^29 + 488*x^28 - 1880*x^27 - 3290*x^26 + 26764*x^25 - 6768*x^24 - 191034*x^23 + 234056*x^22 + 772432*x^21 - 1601268*x^20 - 1700808*x^19 + 5919348*x^18 + 1189120*x^17 - 13474010*x^16 + 3656702*x^15 + 19409030*x^14 - 11584292*x^13 - 17274818*x^12 + 15434580*x^11 + 8591324*x^10 - 11428176*x^9 - 1510810*x^8 + 4746928*x^7 - 515506*x^6 - 997786*x^5 + 260862*x^4 + 79574*x^3 - 29382*x^2 - 1682*x + 906, -x^35 + 11*x^34 - 9*x^33 - 321*x^32 + 1047*x^31 + 3407*x^30 - 20033*x^29 - 9346*x^28 + 193626*x^27 - 132072*x^26 - 1118284*x^25 + 1627247*x^24 + 4007039*x^23 - 9047847*x^22 - 8395611*x^21 + 30812849*x^20 + 6631415*x^19 - 69079297*x^18 + 13974665*x^17 + 103738431*x^16 - 50342170*x^15 - 103326785*x^14 + 72990853*x^13 + 65928883*x^12 - 60525900*x^11 - 25007222*x^10 + 29989483*x^9 + 4689393*x^8 - 8616776*x^7 - 139526*x^6 + 1324742*x^5 - 65171*x^4 - 94992*x^3 + 6099*x^2 + 2100*x - 59, x^35 - 12*x^34 + 20*x^33 + 310*x^32 - 1345*x^31 - 2399*x^30 + 22922*x^29 - 8476*x^28 - 199696*x^27 + 293114*x^26 + 1001970*x^25 - 2503732*x^24 - 2748638*x^23 + 12056711*x^22 + 1933382*x^21 - 37179100*x^20 + 14042331*x^19 + 76047804*x^18 - 58438578*x^17 - 102689516*x^16 + 116719918*x^15 + 87243919*x^14 - 142672908*x^13 - 39370699*x^12 + 111734627*x^11 + 759917*x^10 - 55538386*x^9 + 9148173*x^8 + 16662489*x^7 - 4722612*x^6 - 2701794*x^5 + 1011738*x^4 + 187106*x^3 - 86715*x^2 - 4035*x + 2431, x^35 - 12*x^34 + 20*x^33 + 310*x^32 - 1345*x^31 - 2399*x^30 + 22922*x^29 - 8476*x^28 - 199696*x^27 + 293114*x^26 + 1001970*x^25 - 2503732*x^24 - 2748638*x^23 + 12056711*x^22 + 1933382*x^21 - 37179100*x^20 + 14042331*x^19 + 76047804*x^18 - 58438578*x^17 - 102689516*x^16 + 116719918*x^15 + 87243919*x^14 - 142672908*x^13 - 39370699*x^12 + 111734627*x^11 + 759917*x^10 - 55538386*x^9 + 9148173*x^8 + 16662489*x^7 - 4722612*x^6 - 2701794*x^5 + 1011738*x^4 + 187106*x^3 - 86715*x^2 - 4035*x + 2431, x^34 - 12*x^33 + 21*x^32 + 298*x^31 - 1324*x^30 - 2104*x^29 + 21629*x^28 - 10609*x^27 - 178804*x^26 + 284838*x^25 + 829304*x^24 - 2254389*x^23 - 1929062*x^22 + 10072793*x^21 - 189862*x^20 - 28312647*x^19 + 15538372*x^18 + 50966009*x^17 - 49790896*x^16 - 56461269*x^15 + 83836180*x^14 + 32471590*x^13 - 85085758*x^12 - 319781*x^11 + 52318275*x^10 - 12377811*x^9 - 18250601*x^8 + 7699661*x^7 + 2977883*x^6 - 1932951*x^5 - 82380*x^4 + 182483*x^3 - 14422*x^2 - 5461*x + 696, x^34 - 12*x^33 + 21*x^32 + 298*x^31 - 1324*x^30 - 2104*x^29 + 21629*x^28 - 10609*x^27 - 178804*x^26 + 284838*x^25 + 829304*x^24 - 2254389*x^23 - 1929062*x^22 + 10072793*x^21 - 189862*x^20 - 28312647*x^19 + 15538372*x^18 + 50966009*x^17 - 49790896*x^16 - 56461269*x^15 + 83836180*x^14 + 32471590*x^13 - 85085758*x^12 - 319781*x^11 + 52318275*x^10 - 12377811*x^9 - 18250601*x^8 + 7699661*x^7 + 2977883*x^6 - 1932951*x^5 - 82380*x^4 + 182483*x^3 - 14422*x^2 - 5461*x + 696, x^34 - 12*x^33 + 22*x^32 + 287*x^31 - 1310*x^30 - 1837*x^29 + 20641*x^28 - 12669*x^27 - 163414*x^26 + 282775*x^25 + 710252*x^24 - 2113780*x^23 - 1411990*x^22 + 8997167*x^21 - 1382343*x^20 - 24006481*x^19 + 16219938*x^18 + 40564181*x^17 - 45965725*x^16 - 40980309*x^15 + 72144028*x^14 + 18934647*x^13 - 69092460*x^12 + 5281208*x^11 + 40174106*x^10 - 11871382*x^9 - 13203859*x^8 + 6216055*x^7 + 2010963*x^6 - 1407166*x^5 - 52505*x^4 + 121641*x^3 - 7158*x^2 - 3371*x + 255, x^34 - 12*x^33 + 22*x^32 + 287*x^31 - 1310*x^30 - 1837*x^29 + 20641*x^28 - 12669*x^27 - 163414*x^26 + 282775*x^25 + 710252*x^24 - 2113780*x^23 - 1411990*x^22 + 8997167*x^21 - 1382343*x^20 - 24006481*x^19 + 16219938*x^18 + 40564181*x^17 - 45965725*x^16 - 40980309*x^15 + 72144028*x^14 + 18934647*x^13 - 69092460*x^12 + 5281208*x^11 + 40174106*x^10 - 11871382*x^9 - 13203859*x^8 + 6216055*x^7 + 2010963*x^6 - 1407166*x^5 - 52505*x^4 + 121641*x^3 - 7158*x^2 - 3371*x + 255, x^33 - 11*x^32 + 11*x^31 + 298*x^30 - 1012*x^29 - 2850*x^28 + 17804*x^27 + 5095*x^26 - 158502*x^25 + 125584*x^24 + 835323*x^23 - 1291845*x^22 - 2678172*x^21 + 6379105*x^20 + 4780221*x^19 - 19299446*x^18 - 2163978*x^17 + 37964318*x^16 - 10219143*x^15 - 48974766*x^14 + 26287859*x^13 + 40427537*x^12 - 30989514*x^11 - 19833556*x^10 + 20773130*x^9 + 4600566*x^8 - 7918738*x^7 + 111741*x^6 + 1553717*x^5 - 238084*x^4 - 122309*x^3 + 26852*x^2 + 2942*x - 772, x^33 - 11*x^32 + 11*x^31 + 298*x^30 - 1012*x^29 - 2850*x^28 + 17804*x^27 + 5095*x^26 - 158502*x^25 + 125584*x^24 + 835323*x^23 - 1291845*x^22 - 2678172*x^21 + 6379105*x^20 + 4780221*x^19 - 19299446*x^18 - 2163978*x^17 + 37964318*x^16 - 10219143*x^15 - 48974766*x^14 + 26287859*x^13 + 40427537*x^12 - 30989514*x^11 - 19833556*x^10 + 20773130*x^9 + 4600566*x^8 - 7918738*x^7 + 111741*x^6 + 1553717*x^5 - 238084*x^4 - 122309*x^3 + 26852*x^2 + 2942*x - 772, -x^32 + 10*x^31 - 3*x^30 - 281*x^29 + 717*x^28 + 3088*x^27 - 13371*x^26 - 14164*x^25 + 123759*x^24 - 15747*x^23 - 692073*x^22 + 554928*x^21 + 2487348*x^20 - 3284180*x^19 - 5782349*x^18 + 10811660*x^17 + 8263929*x^16 - 22664595*x^15 - 5797563*x^14 + 31299291*x^13 - 1376619*x^12 - 28426838*x^11 + 6695828*x^10 + 16514655*x^9 - 6049078*x^8 - 5765868*x^7 + 2677920*x^6 + 1065697*x^5 - 591171*x^4 - 79219*x^3 + 54402*x^2 + 1789*x - 1659, -x^32 + 10*x^31 - 3*x^30 - 281*x^29 + 717*x^28 + 3088*x^27 - 13371*x^26 - 14164*x^25 + 123759*x^24 - 15747*x^23 - 692073*x^22 + 554928*x^21 + 2487348*x^20 - 3284180*x^19 - 5782349*x^18 + 10811660*x^17 + 8263929*x^16 - 22664595*x^15 - 5797563*x^14 + 31299291*x^13 - 1376619*x^12 - 28426838*x^11 + 6695828*x^10 + 16514655*x^9 - 6049078*x^8 - 5765868*x^7 + 2677920*x^6 + 1065697*x^5 - 591171*x^4 - 79219*x^3 + 54402*x^2 + 1789*x - 1659, x^33 - 12*x^32 + 23*x^31 + 274*x^30 - 1273*x^29 - 1614*x^28 + 19194*x^27 - 12646*x^26 - 145848*x^25 + 253612*x^24 + 610652*x^23 - 1798663*x^22 - 1196602*x^21 + 7322271*x^20 - 822741*x^19 - 18830347*x^18 + 11143906*x^17 + 31203928*x^16 - 30532772*x^15 - 32478132*x^14 + 46056797*x^13 + 19040370*x^12 - 42805701*x^11 - 3336404*x^10 + 24752311*x^9 - 3024727*x^8 - 8534585*x^7 + 2151703*x^6 + 1579864*x^5 - 539757*x^4 - 126169*x^3 + 51660*x^2 + 3253*x - 1584, x^33 - 12*x^32 + 23*x^31 + 274*x^30 - 1273*x^29 - 1614*x^28 + 19194*x^27 - 12646*x^26 - 145848*x^25 + 253612*x^24 + 610652*x^23 - 1798663*x^22 - 1196602*x^21 + 7322271*x^20 - 822741*x^19 - 18830347*x^18 + 11143906*x^17 + 31203928*x^16 - 30532772*x^15 - 32478132*x^14 + 46056797*x^13 + 19040370*x^12 - 42805701*x^11 - 3336404*x^10 + 24752311*x^9 - 3024727*x^8 - 8534585*x^7 + 2151703*x^6 + 1579864*x^5 - 539757*x^4 - 126169*x^3 + 51660*x^2 + 3253*x - 1584, x^33 - 11*x^32 + 12*x^31 + 288*x^30 - 1008*x^29 - 2579*x^28 + 17088*x^27 + 2307*x^26 - 145870*x^25 + 136340*x^24 + 725996*x^23 - 1260881*x^22 - 2119123*x^21 + 5850348*x^20 + 3000348*x^19 - 16653276*x^18 + 1328947*x^17 + 30505279*x^16 - 14043118*x^15 - 35831140*x^14 + 27523651*x^13 + 25611537*x^12 - 28754820*x^11 - 9294895*x^10 + 17582216*x^9 + 92609*x^8 - 6116941*x^7 + 1163743*x^6 + 1069425*x^5 - 350340*x^4 - 68095*x^3 + 31684*x^2 + 1037*x - 847, x^33 - 11*x^32 + 12*x^31 + 288*x^30 - 1008*x^29 - 2579*x^28 + 17088*x^27 + 2307*x^26 - 145870*x^25 + 136340*x^24 + 725996*x^23 - 1260881*x^22 - 2119123*x^21 + 5850348*x^20 + 3000348*x^19 - 16653276*x^18 + 1328947*x^17 + 30505279*x^16 - 14043118*x^15 - 35831140*x^14 + 27523651*x^13 + 25611537*x^12 - 28754820*x^11 - 9294895*x^10 + 17582216*x^9 + 92609*x^8 - 6116941*x^7 + 1163743*x^6 + 1069425*x^5 - 350340*x^4 - 68095*x^3 + 31684*x^2 + 1037*x - 847, x^32 - 11*x^31 + 14*x^30 + 266*x^29 - 975*x^28 - 2100*x^27 + 15207*x^26 - 752*x^25 - 119565*x^24 + 127221*x^23 + 542735*x^22 - 1015516*x^21 - 1409022*x^20 + 4232980*x^19 + 1597096*x^18 - 10837713*x^17 + 1607435*x^16 + 17705646*x^15 - 8573555*x^14 - 18331912*x^13 + 13668707*x^12 + 11475739*x^11 - 11711589*x^10 - 3794753*x^9 + 5731297*x^8 + 330818*x^7 - 1535907*x^6 + 141150*x^5 + 198155*x^4 - 33322*x^3 - 9488*x^2 + 1747*x + 76, x^32 - 11*x^31 + 14*x^30 + 266*x^29 - 975*x^28 - 2100*x^27 + 15207*x^26 - 752*x^25 - 119565*x^24 + 127221*x^23 + 542735*x^22 - 1015516*x^21 - 1409022*x^20 + 4232980*x^19 + 1597096*x^18 - 10837713*x^17 + 1607435*x^16 + 17705646*x^15 - 8573555*x^14 - 18331912*x^13 + 13668707*x^12 + 11475739*x^11 - 11711589*x^10 - 3794753*x^9 + 5731297*x^8 + 330818*x^7 - 1535907*x^6 + 141150*x^5 + 198155*x^4 - 33322*x^3 - 9488*x^2 + 1747*x + 76, -x^34 + 11*x^33 - 10*x^32 - 311*x^31 + 1046*x^30 + 3102*x^29 - 19258*x^28 - 5850*x^27 + 178011*x^26 - 146915*x^25 - 968810*x^24 + 1578063*x^23 + 3176063*x^22 - 8140373*x^21 - 5581666*x^20 + 25814478*x^19 + 1055637*x^18 - 53513740*x^17 + 18862372*x^16 + 73328301*x^15 - 46739326*x^14 - 65147500*x^13 + 58035539*x^12 + 35442447*x^11 - 42499448*x^10 - 10185922*x^9 + 18533811*x^8 + 744127*x^7 - 4590106*x^6 + 276083*x^5 + 594332*x^4 - 48862*x^3 - 38191*x^2 + 2013*x + 963, -x^34 + 11*x^33 - 10*x^32 - 311*x^31 + 1046*x^30 + 3102*x^29 - 19258*x^28 - 5850*x^27 + 178011*x^26 - 146915*x^25 - 968810*x^24 + 1578063*x^23 + 3176063*x^22 - 8140373*x^21 - 5581666*x^20 + 25814478*x^19 + 1055637*x^18 - 53513740*x^17 + 18862372*x^16 + 73328301*x^15 - 46739326*x^14 - 65147500*x^13 + 58035539*x^12 + 35442447*x^11 - 42499448*x^10 - 10185922*x^9 + 18533811*x^8 + 744127*x^7 - 4590106*x^6 + 276083*x^5 + 594332*x^4 - 48862*x^3 - 38191*x^2 + 2013*x + 963, -x^31 + 12*x^30 - 29*x^29 - 205*x^28 + 1135*x^27 + 301*x^26 - 13046*x^25 + 17966*x^24 + 69247*x^23 - 188963*x^22 - 142942*x^21 + 916087*x^20 - 275502*x^19 - 2479950*x^18 + 2394973*x^17 + 3691995*x^16 - 6335856*x^15 - 2212774*x^14 + 8966549*x^13 - 1508271*x^12 - 7255492*x^11 + 3618144*x^10 + 3204630*x^9 - 2648848*x^8 - 609466*x^7 + 944245*x^6 - 23149*x^5 - 160808*x^4 + 20694*x^3 + 10760*x^2 - 1295*x - 207, -x^31 + 12*x^30 - 29*x^29 - 205*x^28 + 1135*x^27 + 301*x^26 - 13046*x^25 + 17966*x^24 + 69247*x^23 - 188963*x^22 - 142942*x^21 + 916087*x^20 - 275502*x^19 - 2479950*x^18 + 2394973*x^17 + 3691995*x^16 - 6335856*x^15 - 2212774*x^14 + 8966549*x^13 - 1508271*x^12 - 7255492*x^11 + 3618144*x^10 + 3204630*x^9 - 2648848*x^8 - 609466*x^7 + 944245*x^6 - 23149*x^5 - 160808*x^4 + 20694*x^3 + 10760*x^2 - 1295*x - 207, x^32 - 12*x^31 + 25*x^30 + 252*x^29 - 1242*x^28 - 1112*x^27 + 17265*x^26 - 16117*x^25 - 117566*x^24 + 245870*x^23 + 404351*x^22 - 1531954*x^21 - 356485*x^20 + 5451636*x^19 - 2596082*x^18 - 11755226*x^17 + 11740958*x^16 + 14838033*x^15 - 23874457*x^14 - 8860826*x^13 + 27795030*x^12 - 1362120*x^11 - 19039939*x^10 + 5642025*x^9 + 7318122*x^8 - 3454886*x^7 - 1375344*x^6 + 890558*x^5 + 87144*x^4 - 90675*x^3 - 349*x^2 + 3082*x - 48, x^32 - 12*x^31 + 25*x^30 + 252*x^29 - 1242*x^28 - 1112*x^27 + 17265*x^26 - 16117*x^25 - 117566*x^24 + 245870*x^23 + 404351*x^22 - 1531954*x^21 - 356485*x^20 + 5451636*x^19 - 2596082*x^18 - 11755226*x^17 + 11740958*x^16 + 14838033*x^15 - 23874457*x^14 - 8860826*x^13 + 27795030*x^12 - 1362120*x^11 - 19039939*x^10 + 5642025*x^9 + 7318122*x^8 - 3454886*x^7 - 1375344*x^6 + 890558*x^5 + 87144*x^4 - 90675*x^3 - 349*x^2 + 3082*x - 48, x^32 - 11*x^31 + 14*x^30 + 266*x^29 - 974*x^28 - 2112*x^27 + 15237*x^26 - 565*x^25 - 120596*x^24 + 126903*x^23 + 553748*x^22 - 1027696*x^21 - 1467657*x^20 + 4352857*x^19 + 1762285*x^18 - 11387849*x^17 + 1417328*x^16 + 19192287*x^15 - 8789237*x^14 - 20846761*x^13 + 14726103*x^12 + 14178717*x^11 - 13296995*x^10 - 5618225*x^9 + 6994309*x^8 + 1064629*x^7 - 2105281*x^6 - 12599*x^5 + 334750*x^4 - 21862*x^3 - 23489*x^2 + 1487*x + 592, x^32 - 11*x^31 + 14*x^30 + 266*x^29 - 974*x^28 - 2112*x^27 + 15237*x^26 - 565*x^25 - 120596*x^24 + 126903*x^23 + 553748*x^22 - 1027696*x^21 - 1467657*x^20 + 4352857*x^19 + 1762285*x^18 - 11387849*x^17 + 1417328*x^16 + 19192287*x^15 - 8789237*x^14 - 20846761*x^13 + 14726103*x^12 + 14178717*x^11 - 13296995*x^10 - 5618225*x^9 + 6994309*x^8 + 1064629*x^7 - 2105281*x^6 - 12599*x^5 + 334750*x^4 - 21862*x^3 - 23489*x^2 + 1487*x + 592, x^31 - 10*x^30 + 5*x^29 + 262*x^28 - 717*x^27 - 2557*x^26 + 12173*x^25 + 8405*x^24 - 101554*x^23 + 42273*x^22 + 496718*x^21 - 544857*x^20 - 1482317*x^19 + 2542385*x^18 + 2582293*x^17 - 6784662*x^16 - 2011114*x^15 + 11233824*x^14 - 1034860*x^13 - 11676980*x^12 + 3843345*x^11 + 7447479*x^10 - 3613657*x^9 - 2758938*x^8 + 1635903*x^7 + 544915*x^6 - 357776*x^5 - 56100*x^4 + 33247*x^3 + 4277*x^2 - 1184*x - 134, x^31 - 10*x^30 + 5*x^29 + 262*x^28 - 717*x^27 - 2557*x^26 + 12173*x^25 + 8405*x^24 - 101554*x^23 + 42273*x^22 + 496718*x^21 - 544857*x^20 - 1482317*x^19 + 2542385*x^18 + 2582293*x^17 - 6784662*x^16 - 2011114*x^15 + 11233824*x^14 - 1034860*x^13 - 11676980*x^12 + 3843345*x^11 + 7447479*x^10 - 3613657*x^9 - 2758938*x^8 + 1635903*x^7 + 544915*x^6 - 357776*x^5 - 56100*x^4 + 33247*x^3 + 4277*x^2 - 1184*x - 134, -x^33 + 11*x^32 - 11*x^31 - 302*x^30 + 1056*x^29 + 2779*x^28 - 18703*x^27 - 1472*x^26 + 163638*x^25 - 172943*x^24 - 815229*x^23 + 1599547*x^22 + 2259017*x^21 - 7485719*x^20 - 2291598*x^19 + 21347906*x^18 - 5923953*x^17 - 38674059*x^16 + 26267439*x^15 + 43976848*x^14 - 46254605*x^13 - 29109817*x^12 + 46453290*x^11 + 8125472*x^10 - 27970327*x^9 + 2103812*x^8 + 9792538*x^7 - 2262311*x^6 - 1796107*x^5 + 607480*x^4 + 136020*x^3 - 58488*x^2 - 2926*x + 1718, -x^33 + 11*x^32 - 11*x^31 - 302*x^30 + 1056*x^29 + 2779*x^28 - 18703*x^27 - 1472*x^26 + 163638*x^25 - 172943*x^24 - 815229*x^23 + 1599547*x^22 + 2259017*x^21 - 7485719*x^20 - 2291598*x^19 + 21347906*x^18 - 5923953*x^17 - 38674059*x^16 + 26267439*x^15 + 43976848*x^14 - 46254605*x^13 - 29109817*x^12 + 46453290*x^11 + 8125472*x^10 - 27970327*x^9 + 2103812*x^8 + 9792538*x^7 - 2262311*x^6 - 1796107*x^5 + 607480*x^4 + 136020*x^3 - 58488*x^2 - 2926*x + 1718, -x^30 + 12*x^29 - 30*x^28 - 190*x^27 + 1072*x^26 + 176*x^25 - 11422*x^24 + 15614*x^23 + 56174*x^22 - 146328*x^21 - 112054*x^20 + 634389*x^19 - 122586*x^18 - 1527958*x^17 + 1134275*x^16 + 2052559*x^15 - 2532167*x^14 - 1310463*x^13 + 2813955*x^12 - 29445*x^11 - 1584438*x^10 + 569168*x^9 + 311449*x^8 - 313708*x^7 + 87459*x^6 + 55435*x^5 - 47029*x^4 + 909*x^3 + 5533*x^2 - 534*x - 134, -x^30 + 12*x^29 - 30*x^28 - 190*x^27 + 1072*x^26 + 176*x^25 - 11422*x^24 + 15614*x^23 + 56174*x^22 - 146328*x^21 - 112054*x^20 + 634389*x^19 - 122586*x^18 - 1527958*x^17 + 1134275*x^16 + 2052559*x^15 - 2532167*x^14 - 1310463*x^13 + 2813955*x^12 - 29445*x^11 - 1584438*x^10 + 569168*x^9 + 311449*x^8 - 313708*x^7 + 87459*x^6 + 55435*x^5 - 47029*x^4 + 909*x^3 + 5533*x^2 - 534*x - 134, x^31 - 10*x^30 + 5*x^29 + 262*x^28 - 718*x^27 - 2547*x^26 + 12161*x^25 + 8217*x^24 - 100944*x^23 + 43372*x^22 + 489996*x^21 - 545240*x^20 - 1446582*x^19 + 2522737*x^18 + 2469040*x^17 - 6703893*x^16 - 1747597*x^15 + 11079322*x^14 - 1561311*x^13 - 11456997*x^12 + 4661053*x^11 + 7142278*x^10 - 4450182*x^9 - 2421814*x^8 + 2137370*x^7 + 318387*x^6 - 512042*x^5 + 20740*x^4 + 51784*x^3 - 5644*x^2 - 1716*x + 182, x^31 - 10*x^30 + 5*x^29 + 262*x^28 - 718*x^27 - 2547*x^26 + 12161*x^25 + 8217*x^24 - 100944*x^23 + 43372*x^22 + 489996*x^21 - 545240*x^20 - 1446582*x^19 + 2522737*x^18 + 2469040*x^17 - 6703893*x^16 - 1747597*x^15 + 11079322*x^14 - 1561311*x^13 - 11456997*x^12 + 4661053*x^11 + 7142278*x^10 - 4450182*x^9 - 2421814*x^8 + 2137370*x^7 + 318387*x^6 - 512042*x^5 + 20740*x^4 + 51784*x^3 - 5644*x^2 - 1716*x + 182, x^31 - 12*x^30 + 26*x^29 + 240*x^28 - 1211*x^27 - 924*x^26 + 16121*x^25 - 15959*x^24 - 105357*x^23 + 223337*x^22 + 350121*x^21 - 1325395*x^20 - 326759*x^19 + 4552384*x^18 - 1871988*x^17 - 9662002*x^16 + 8405912*x^15 + 12537984*x^14 - 16700456*x^13 - 8945493*x^12 + 19104709*x^11 + 1836151*x^10 - 12984007*x^9 + 1991655*x^8 + 5021871*x^7 - 1579532*x^6 - 980678*x^5 + 428342*x^4 + 74036*x^3 - 42934*x^2 - 1585*x + 1402, x^31 - 12*x^30 + 26*x^29 + 240*x^28 - 1211*x^27 - 924*x^26 + 16121*x^25 - 15959*x^24 - 105357*x^23 + 223337*x^22 + 350121*x^21 - 1325395*x^20 - 326759*x^19 + 4552384*x^18 - 1871988*x^17 - 9662002*x^16 + 8405912*x^15 + 12537984*x^14 - 16700456*x^13 - 8945493*x^12 + 19104709*x^11 + 1836151*x^10 - 12984007*x^9 + 1991655*x^8 + 5021871*x^7 - 1579532*x^6 - 980678*x^5 + 428342*x^4 + 74036*x^3 - 42934*x^2 - 1585*x + 1402, x^31 - 11*x^30 + 15*x^29 + 256*x^28 - 966*x^27 - 1885*x^26 + 14608*x^25 - 2628*x^24 - 111246*x^23 + 135331*x^22 + 479064*x^21 - 1024819*x^20 - 1085931*x^19 + 4124393*x^18 + 462025*x^17 - 10048866*x^16 + 4300823*x^15 + 14994391*x^14 - 12638277*x^13 - 12890152*x^12 + 17177614*x^11 + 4932984*x^10 - 12944162*x^9 + 805186*x^8 + 5348110*x^7 - 1423376*x^6 - 1075200*x^5 + 440278*x^4 + 75746*x^3 - 43594*x^2 - 1210*x + 1300, x^31 - 11*x^30 + 15*x^29 + 256*x^28 - 966*x^27 - 1885*x^26 + 14608*x^25 - 2628*x^24 - 111246*x^23 + 135331*x^22 + 479064*x^21 - 1024819*x^20 - 1085931*x^19 + 4124393*x^18 + 462025*x^17 - 10048866*x^16 + 4300823*x^15 + 14994391*x^14 - 12638277*x^13 - 12890152*x^12 + 17177614*x^11 + 4932984*x^10 - 12944162*x^9 + 805186*x^8 + 5348110*x^7 - 1423376*x^6 - 1075200*x^5 + 440278*x^4 + 75746*x^3 - 43594*x^2 - 1210*x + 1300, x^31 - 11*x^30 + 19*x^29 + 211*x^28 - 885*x^27 - 987*x^26 + 10666*x^25 - 6809*x^24 - 61002*x^23 + 97854*x^22 + 172402*x^21 - 472672*x^20 - 152132*x^19 + 1141034*x^18 - 373644*x^17 - 1264126*x^16 + 953058*x^15 - 10012*x^14 - 159271*x^13 + 1457332*x^12 - 1719789*x^11 - 1256314*x^10 + 2356255*x^9 + 166834*x^8 - 1336450*x^7 + 247034*x^6 + 340525*x^5 - 111800*x^4 - 31140*x^3 + 13397*x^2 + 765*x - 453, x^31 - 11*x^30 + 19*x^29 + 211*x^28 - 885*x^27 - 987*x^26 + 10666*x^25 - 6809*x^24 - 61002*x^23 + 97854*x^22 + 172402*x^21 - 472672*x^20 - 152132*x^19 + 1141034*x^18 - 373644*x^17 - 1264126*x^16 + 953058*x^15 - 10012*x^14 - 159271*x^13 + 1457332*x^12 - 1719789*x^11 - 1256314*x^10 + 2356255*x^9 + 166834*x^8 - 1336450*x^7 + 247034*x^6 + 340525*x^5 - 111800*x^4 - 31140*x^3 + 13397*x^2 + 765*x - 453, x^30 - 9*x^29 - 4*x^28 + 261*x^27 - 487*x^26 - 3004*x^25 + 9794*x^24 + 15996*x^23 - 89389*x^22 - 19337*x^21 + 471945*x^20 - 244013*x^19 - 1537540*x^18 + 1584011*x^17 + 3085344*x^16 - 4724225*x^15 - 3540627*x^14 + 8216243*x^13 + 1631635*x^12 - 8689313*x^11 + 955654*x^10 + 5485997*x^9 - 1673580*x^8 - 1923273*x^7 + 859744*x^6 + 314792*x^5 - 185648*x^4 - 14185*x^3 + 13948*x^2 - 165*x - 258, x^30 - 9*x^29 - 4*x^28 + 261*x^27 - 487*x^26 - 3004*x^25 + 9794*x^24 + 15996*x^23 - 89389*x^22 - 19337*x^21 + 471945*x^20 - 244013*x^19 - 1537540*x^18 + 1584011*x^17 + 3085344*x^16 - 4724225*x^15 - 3540627*x^14 + 8216243*x^13 + 1631635*x^12 - 8689313*x^11 + 955654*x^10 + 5485997*x^9 - 1673580*x^8 - 1923273*x^7 + 859744*x^6 + 314792*x^5 - 185648*x^4 - 14185*x^3 + 13948*x^2 - 165*x - 258, -x^32 + 10*x^31 - 2*x^30 - 294*x^29 + 760*x^28 + 3243*x^27 - 14674*x^26 - 12982*x^25 + 135615*x^24 - 47763*x^23 - 728083*x^22 + 797596*x^21 + 2373981*x^20 - 4191070*x^19 - 4499640*x^18 + 12444708*x^17 + 3713072*x^16 - 23015597*x^15 + 2697495*x^14 + 27071134*x^13 - 10073978*x^12 - 20061483*x^11 + 10910977*x^10 + 9085104*x^9 - 6092425*x^8 - 2396972*x^7 + 1849754*x^6 + 354546*x^5 - 297504*x^4 - 30320*x^3 + 24505*x^2 + 1000*x - 756, -x^32 + 10*x^31 - 2*x^30 - 294*x^29 + 760*x^28 + 3243*x^27 - 14674*x^26 - 12982*x^25 + 135615*x^24 - 47763*x^23 - 728083*x^22 + 797596*x^21 + 2373981*x^20 - 4191070*x^19 - 4499640*x^18 + 12444708*x^17 + 3713072*x^16 - 23015597*x^15 + 2697495*x^14 + 27071134*x^13 - 10073978*x^12 - 20061483*x^11 + 10910977*x^10 + 9085104*x^9 - 6092425*x^8 - 2396972*x^7 + 1849754*x^6 + 354546*x^5 - 297504*x^4 - 30320*x^3 + 24505*x^2 + 1000*x - 756, 3*x^28 - 31*x^27 + 40*x^26 + 625*x^25 - 2203*x^24 - 3831*x^23 + 27779*x^22 - 5436*x^21 - 171101*x^20 + 188790*x^19 + 579166*x^18 - 1080960*x^17 - 1024907*x^16 + 3194712*x^15 + 523046*x^14 - 5549748*x^13 + 1356032*x^12 + 5801622*x^11 - 2917136*x^10 - 3545920*x^9 + 2509245*x^8 + 1147114*x^7 - 1089867*x^6 - 142664*x^5 + 227563*x^4 - 5114*x^3 - 18390*x^2 + 1091*x + 392, 3*x^28 - 31*x^27 + 40*x^26 + 625*x^25 - 2203*x^24 - 3831*x^23 + 27779*x^22 - 5436*x^21 - 171101*x^20 + 188790*x^19 + 579166*x^18 - 1080960*x^17 - 1024907*x^16 + 3194712*x^15 + 523046*x^14 - 5549748*x^13 + 1356032*x^12 + 5801622*x^11 - 2917136*x^10 - 3545920*x^9 + 2509245*x^8 + 1147114*x^7 - 1089867*x^6 - 142664*x^5 + 227563*x^4 - 5114*x^3 - 18390*x^2 + 1091*x + 392, -x^29 + 12*x^28 - 32*x^27 - 165*x^26 + 999*x^25 - 149*x^24 - 9242*x^23 + 14856*x^22 + 36324*x^21 - 110597*x^20 - 35874*x^19 + 372826*x^18 - 179738*x^17 - 614529*x^16 + 608977*x^15 + 379265*x^14 - 602846*x^13 + 122794*x^12 - 130568*x^11 - 131840*x^10 + 652739*x^9 - 174105*x^8 - 450189*x^7 + 201057*x^6 + 118784*x^5 - 65846*x^4 - 10047*x^3 + 7096*x^2 + 70*x - 185, -x^29 + 12*x^28 - 32*x^27 - 165*x^26 + 999*x^25 - 149*x^24 - 9242*x^23 + 14856*x^22 + 36324*x^21 - 110597*x^20 - 35874*x^19 + 372826*x^18 - 179738*x^17 - 614529*x^16 + 608977*x^15 + 379265*x^14 - 602846*x^13 + 122794*x^12 - 130568*x^11 - 131840*x^10 + 652739*x^9 - 174105*x^8 - 450189*x^7 + 201057*x^6 + 118784*x^5 - 65846*x^4 - 10047*x^3 + 7096*x^2 + 70*x - 185, -x^29 + 13*x^28 - 37*x^27 - 210*x^26 + 1319*x^25 + 100*x^24 - 14896*x^23 + 20889*x^22 + 81161*x^21 - 207251*x^20 - 206438*x^19 + 991058*x^18 + 17969*x^17 - 2757364*x^16 + 1377286*x^15 + 4651528*x^14 - 3998077*x^13 - 4675876*x^12 + 5633761*x^11 + 2549002*x^10 - 4456946*x^9 - 484846*x^8 + 1968203*x^7 - 164394*x^6 - 440651*x^5 + 85616*x^4 + 38892*x^3 - 9162*x^2 - 991*x + 233, -x^29 + 13*x^28 - 37*x^27 - 210*x^26 + 1319*x^25 + 100*x^24 - 14896*x^23 + 20889*x^22 + 81161*x^21 - 207251*x^20 - 206438*x^19 + 991058*x^18 + 17969*x^17 - 2757364*x^16 + 1377286*x^15 + 4651528*x^14 - 3998077*x^13 - 4675876*x^12 + 5633761*x^11 + 2549002*x^10 - 4456946*x^9 - 484846*x^8 + 1968203*x^7 - 164394*x^6 - 440651*x^5 + 85616*x^4 + 38892*x^3 - 9162*x^2 - 991*x + 233, x^30 - 11*x^29 + 18*x^28 + 225*x^27 - 934*x^26 - 1161*x^25 + 12109*x^24 - 7637*x^23 - 75119*x^22 + 125398*x^21 + 236977*x^20 - 692814*x^19 - 266964*x^18 + 2075255*x^17 - 577682*x^16 - 3677335*x^15 + 2522473*x^14 + 3913410*x^13 - 4014445*x^12 - 2435490*x^11 + 3506930*x^10 + 806576*x^9 - 1811405*x^8 - 92849*x^7 + 559060*x^6 - 21565*x^5 - 98724*x^4 + 8849*x^3 + 7926*x^2 - 689*x - 185, x^30 - 11*x^29 + 18*x^28 + 225*x^27 - 934*x^26 - 1161*x^25 + 12109*x^24 - 7637*x^23 - 75119*x^22 + 125398*x^21 + 236977*x^20 - 692814*x^19 - 266964*x^18 + 2075255*x^17 - 577682*x^16 - 3677335*x^15 + 2522473*x^14 + 3913410*x^13 - 4014445*x^12 - 2435490*x^11 + 3506930*x^10 + 806576*x^9 - 1811405*x^8 - 92849*x^7 + 559060*x^6 - 21565*x^5 - 98724*x^4 + 8849*x^3 + 7926*x^2 - 689*x - 185, x^30 - 9*x^29 - 5*x^28 + 269*x^27 - 472*x^26 - 3291*x^25 + 10156*x^24 + 19637*x^23 - 99246*x^22 - 39034*x^21 + 565428*x^20 - 222414*x^19 - 2001159*x^18 + 1856270*x^17 + 4393550*x^16 - 6232998*x^15 - 5609510*x^14 + 11907354*x^13 + 3182487*x^12 - 13722110*x^11 + 1020014*x^10 + 9459928*x^9 - 2677658*x^8 - 3683877*x^7 + 1571384*x^6 + 707068*x^5 - 389697*x^4 - 48143*x^3 + 36452*x^2 + 784*x - 1115, x^30 - 9*x^29 - 5*x^28 + 269*x^27 - 472*x^26 - 3291*x^25 + 10156*x^24 + 19637*x^23 - 99246*x^22 - 39034*x^21 + 565428*x^20 - 222414*x^19 - 2001159*x^18 + 1856270*x^17 + 4393550*x^16 - 6232998*x^15 - 5609510*x^14 + 11907354*x^13 + 3182487*x^12 - 13722110*x^11 + 1020014*x^10 + 9459928*x^9 - 2677658*x^8 - 3683877*x^7 + 1571384*x^6 + 707068*x^5 - 389697*x^4 - 48143*x^3 + 36452*x^2 + 784*x - 1115, -x^29 + 13*x^28 - 42*x^27 - 157*x^26 + 1228*x^25 - 806*x^24 - 11209*x^23 + 24562*x^22 + 41911*x^21 - 183702*x^20 - 6050*x^19 + 700899*x^18 - 517287*x^17 - 1510055*x^16 + 2035102*x^15 + 1760470*x^14 - 3950745*x^13 - 730976*x^12 + 4476377*x^11 - 667181*x^10 - 3036517*x^9 + 1031459*x^8 + 1195872*x^7 - 541303*x^6 - 254191*x^5 + 130693*x^4 + 26411*x^3 - 14173*x^2 - 971*x + 523, -x^29 + 13*x^28 - 42*x^27 - 157*x^26 + 1228*x^25 - 806*x^24 - 11209*x^23 + 24562*x^22 + 41911*x^21 - 183702*x^20 - 6050*x^19 + 700899*x^18 - 517287*x^17 - 1510055*x^16 + 2035102*x^15 + 1760470*x^14 - 3950745*x^13 - 730976*x^12 + 4476377*x^11 - 667181*x^10 - 3036517*x^9 + 1031459*x^8 + 1195872*x^7 - 541303*x^6 - 254191*x^5 + 130693*x^4 + 26411*x^3 - 14173*x^2 - 971*x + 523, x^30 - 11*x^29 + 19*x^28 + 215*x^27 - 921*x^26 - 980*x^25 + 11498*x^24 - 8663*x^23 - 68308*x^22 + 125260*x^21 + 198289*x^20 - 665211*x^19 - 130857*x^18 + 1922307*x^17 - 906102*x^16 - 3200037*x^15 + 3067148*x^14 + 2915087*x^13 - 4543058*x^12 - 1074877*x^11 + 3658248*x^10 - 293637*x^9 - 1615093*x^8 + 359547*x^7 + 371778*x^6 - 77763*x^5 - 49154*x^4 - 2003*x^3 + 6960*x^2 + 648*x - 440, x^30 - 11*x^29 + 19*x^28 + 215*x^27 - 921*x^26 - 980*x^25 + 11498*x^24 - 8663*x^23 - 68308*x^22 + 125260*x^21 + 198289*x^20 - 665211*x^19 - 130857*x^18 + 1922307*x^17 - 906102*x^16 - 3200037*x^15 + 3067148*x^14 + 2915087*x^13 - 4543058*x^12 - 1074877*x^11 + 3658248*x^10 - 293637*x^9 - 1615093*x^8 + 359547*x^7 + 371778*x^6 - 77763*x^5 - 49154*x^4 - 2003*x^3 + 6960*x^2 + 648*x - 440, -x^31 + 10*x^30 - 2*x^29 - 296*x^28 + 786*x^27 + 3164*x^26 - 15041*x^25 - 10435*x^24 + 134909*x^23 - 73868*x^22 - 682632*x^21 + 920668*x^20 + 1983028*x^19 - 4403558*x^18 - 2807683*x^17 + 11945390*x^16 - 554347*x^15 - 19603209*x^14 + 9109493*x^13 + 19122312*x^12 - 15480830*x^11 - 9951345*x^10 + 12792798*x^9 + 1591641*x^8 - 5545812*x^7 + 767103*x^6 + 1144057*x^5 - 340296*x^4 - 81195*x^3 + 34983*x^2 + 1170*x - 962, -x^31 + 10*x^30 - 2*x^29 - 296*x^28 + 786*x^27 + 3164*x^26 - 15041*x^25 - 10435*x^24 + 134909*x^23 - 73868*x^22 - 682632*x^21 + 920668*x^20 + 1983028*x^19 - 4403558*x^18 - 2807683*x^17 + 11945390*x^16 - 554347*x^15 - 19603209*x^14 + 9109493*x^13 + 19122312*x^12 - 15480830*x^11 - 9951345*x^10 + 12792798*x^9 + 1591641*x^8 - 5545812*x^7 + 767103*x^6 + 1144057*x^5 - 340296*x^4 - 81195*x^3 + 34983*x^2 + 1170*x - 962, 2*x^27 - 22*x^26 + 48*x^25 + 326*x^24 - 1657*x^23 - 298*x^22 + 15865*x^21 - 21921*x^20 - 65365*x^19 + 180970*x^18 + 77826*x^17 - 663876*x^16 + 312712*x^15 + 1271248*x^14 - 1364551*x^13 - 1188740*x^12 + 2261570*x^11 + 255333*x^10 - 1926096*x^9 + 439317*x^8 + 858366*x^7 - 370757*x^6 - 183117*x^5 + 110553*x^4 + 14911*x^3 - 13103*x^2 - 214*x + 472, 2*x^27 - 22*x^26 + 48*x^25 + 326*x^24 - 1657*x^23 - 298*x^22 + 15865*x^21 - 21921*x^20 - 65365*x^19 + 180970*x^18 + 77826*x^17 - 663876*x^16 + 312712*x^15 + 1271248*x^14 - 1364551*x^13 - 1188740*x^12 + 2261570*x^11 + 255333*x^10 - 1926096*x^9 + 439317*x^8 + 858366*x^7 - 370757*x^6 - 183117*x^5 + 110553*x^4 + 14911*x^3 - 13103*x^2 - 214*x + 472, -2*x^28 + 23*x^27 - 51*x^26 - 373*x^25 + 1854*x^24 + 899*x^23 - 19552*x^22 + 19866*x^21 + 98101*x^20 - 196198*x^19 - 238122*x^18 + 835603*x^17 + 138578*x^16 - 1986006*x^15 + 658073*x^14 + 2797808*x^13 - 1755783*x^12 - 2363965*x^11 + 1981844*x^10 + 1182823*x^9 - 1200955*x^8 - 343601*x^7 + 402082*x^6 + 61836*x^5 - 73571*x^4 - 8724*x^3 + 7640*x^2 + 563*x - 338, -2*x^28 + 23*x^27 - 51*x^26 - 373*x^25 + 1854*x^24 + 899*x^23 - 19552*x^22 + 19866*x^21 + 98101*x^20 - 196198*x^19 - 238122*x^18 + 835603*x^17 + 138578*x^16 - 1986006*x^15 + 658073*x^14 + 2797808*x^13 - 1755783*x^12 - 2363965*x^11 + 1981844*x^10 + 1182823*x^9 - 1200955*x^8 - 343601*x^7 + 402082*x^6 + 61836*x^5 - 73571*x^4 - 8724*x^3 + 7640*x^2 + 563*x - 338, x^29 - 10*x^28 + 8*x^27 + 235*x^26 - 721*x^25 - 1834*x^24 + 10601*x^23 + 1307*x^22 - 74110*x^21 + 67153*x^20 + 282209*x^19 - 475970*x^18 - 561964*x^17 + 1591117*x^16 + 349559*x^15 - 3015064*x^14 + 778657*x^13 + 3327516*x^12 - 1875669*x^11 - 2049589*x^10 + 1712674*x^9 + 593154*x^8 - 778934*x^7 - 13417*x^6 + 174886*x^5 - 29796*x^4 - 17967*x^3 + 5793*x^2 + 616*x - 287, x^29 - 10*x^28 + 8*x^27 + 235*x^26 - 721*x^25 - 1834*x^24 + 10601*x^23 + 1307*x^22 - 74110*x^21 + 67153*x^20 + 282209*x^19 - 475970*x^18 - 561964*x^17 + 1591117*x^16 + 349559*x^15 - 3015064*x^14 + 778657*x^13 + 3327516*x^12 - 1875669*x^11 - 2049589*x^10 + 1712674*x^9 + 593154*x^8 - 778934*x^7 - 13417*x^6 + 174886*x^5 - 29796*x^4 - 17967*x^3 + 5793*x^2 + 616*x - 287, x^29 - 9*x^28 + x^27 + 217*x^26 - 487*x^25 - 1954*x^24 + 7590*x^23 + 6517*x^22 - 55274*x^21 + 14712*x^20 + 227713*x^19 - 209785*x^18 - 550427*x^17 + 821453*x^16 + 736804*x^15 - 1726429*x^14 - 385710*x^13 + 2143667*x^12 - 255724*x^11 - 1586325*x^10 + 485598*x^9 + 677559*x^8 - 259975*x^7 - 160403*x^6 + 50972*x^5 + 24181*x^4 - 792*x^3 - 3587*x^2 - 214*x + 220, x^29 - 9*x^28 + x^27 + 217*x^26 - 487*x^25 - 1954*x^24 + 7590*x^23 + 6517*x^22 - 55274*x^21 + 14712*x^20 + 227713*x^19 - 209785*x^18 - 550427*x^17 + 821453*x^16 + 736804*x^15 - 1726429*x^14 - 385710*x^13 + 2143667*x^12 - 255724*x^11 - 1586325*x^10 + 485598*x^9 + 677559*x^8 - 259975*x^7 - 160403*x^6 + 50972*x^5 + 24181*x^4 - 792*x^3 - 3587*x^2 - 214*x + 220]>
       ]
>;

MOG[857] := 	// J_0(857)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 9, 19, 26, 53, 139, 164, 316, 340, 347, 523, 545, 581, 655, 716, 812, 822*x + 214, 35*x + 214, 270*x + 606, 587*x + 606, 836*x + 769, 21*x + 769, 751*x + 271, 106*x + 271, 180*x + 510, 677*x + 510, 236*x + 166, 621*x + 166, 463*x + 749, 394*x + 749, 778*x + 183, 79*x + 183, 673*x + 805, 184*x + 805, 614*x + 337, 243*x + 337, 576*x + 433, 281*x + 433, 824*x + 773, 33*x + 773, 829*x + 834, 28*x + 834, 473*x + 377, 384*x + 377, 646*x + 77, 211*x + 77, 151*x + 473, 706*x + 473, 361*x + 487, 496*x + 487, 664*x + 73, 193*x + 73, 702*x + 516, 155*x + 516, 175*x + 698, 682*x + 698, 351*x + 323, 506*x + 323, 630*x + 545, 227*x + 545, 439*x + 327, 418*x + 327, 187*x + 391, 670*x + 391, 380*x + 428, 477*x + 428, 334*x + 833, 523*x + 833, 825*x + 729, 32*x + 729, 482*x + 275, 375*x + 275]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^28 + 4*x^27 - 27*x^26 - 120*x^25 + 305*x^24 + 1570*x^23 - 1842*x^22 - 11806*x^21 + 6086*x^20 + 56588*x^19 - 8090*x^18 - 181200*x^17 - 15531*x^16 + 395070*x^15 + 90964*x^14 - 586874*x^13 - 187094*x^12 + 585018*x^11 + 212705*x^10 - 379073*x^9 - 138460*x^8 + 151921*x^7 + 47427*x^6 - 35431*x^5 - 6552*x^4 + 4537*x^3 + 76*x^2 - 216*x + 21,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^27 - 4*x^26 + 25*x^25 + 112*x^24 - 259*x^23 - 1360*x^22 + 1416*x^21 + 9432*x^20 - 4144*x^19 - 41405*x^18 + 4481*x^17 + 120501*x^16 + 10216*x^15 - 236784*x^14 - 46413*x^13 + 313931*x^12 + 79329*x^11 - 275714*x^10 - 73798*x^9 + 154118*x^8 + 37581*x^7 - 51032*x^6 - 8892*x^5 + 8857*x^4 + 395*x^3 - 653*x^2 + 63*x + 1, x^27 + 4*x^26 - 25*x^25 - 112*x^24 + 259*x^23 + 1360*x^22 - 1416*x^21 - 9432*x^20 + 4144*x^19 + 41405*x^18 - 4481*x^17 - 120501*x^16 - 10216*x^15 + 236784*x^14 + 46413*x^13 - 313931*x^12 - 79329*x^11 + 275714*x^10 + 73798*x^9 - 154118*x^8 - 37581*x^7 + 51032*x^6 + 8892*x^5 - 8857*x^4 - 395*x^3 + 653*x^2 - 63*x - 1, -x^26 - 4*x^25 + 23*x^24 + 104*x^23 - 217*x^22 - 1169*x^21 + 1055*x^20 + 7464*x^19 - 2555*x^18 - 29926*x^17 + 1072*x^16 + 78685*x^15 + 10950*x^14 - 137703*x^13 - 32099*x^12 + 159638*x^11 + 42792*x^10 - 119822*x^9 - 30096*x^8 + 55707*x^7 + 10041*x^6 - 14865*x^5 - 793*x^4 + 1947*x^3 - 182*x^2 - 58*x + 8, x^26 + 4*x^25 - 23*x^24 - 104*x^23 + 217*x^22 + 1169*x^21 - 1055*x^20 - 7464*x^19 + 2555*x^18 + 29926*x^17 - 1072*x^16 - 78685*x^15 - 10950*x^14 + 137703*x^13 + 32099*x^12 - 159638*x^11 - 42792*x^10 + 119822*x^9 + 30096*x^8 - 55707*x^7 - 10041*x^6 + 14865*x^5 + 793*x^4 - 1947*x^3 + 182*x^2 + 58*x - 8, -x^26 - 4*x^25 + 23*x^24 + 106*x^23 - 209*x^22 - 1205*x^21 + 887*x^20 + 7719*x^19 - 1054*x^18 - 30773*x^17 - 6387*x^16 + 79601*x^15 + 33601*x^14 - 135240*x^13 - 75666*x^12 + 149666*x^11 + 96115*x^10 - 105133*x^9 - 70783*x^8 + 45182*x^7 + 28494*x^6 - 11709*x^5 - 5364*x^4 + 1937*x^3 + 321*x^2 - 157*x + 13, x^26 + 4*x^25 - 23*x^24 - 106*x^23 + 209*x^22 + 1205*x^21 - 887*x^20 - 7719*x^19 + 1054*x^18 + 30773*x^17 + 6387*x^16 - 79601*x^15 - 33601*x^14 + 135240*x^13 + 75666*x^12 - 149666*x^11 - 96115*x^10 + 105133*x^9 + 70783*x^8 - 45182*x^7 - 28494*x^6 + 11709*x^5 + 5364*x^4 - 1937*x^3 - 321*x^2 + 157*x - 13, -x^25 - 4*x^24 + 21*x^23 + 96*x^22 - 179*x^21 - 993*x^20 + 767*x^19 + 5808*x^18 - 1493*x^17 - 21199*x^16 - 533*x^15 + 50303*x^14 + 9522*x^13 - 78397*x^12 - 22316*x^11 + 79106*x^10 + 26407*x^9 - 49548*x^8 - 17029*x^7 + 17750*x^6 + 5424*x^5 - 3172*x^4 - 604*x^3 + 254*x^2 + 13*x - 5, x^25 + 4*x^24 - 21*x^23 - 96*x^22 + 179*x^21 + 993*x^20 - 767*x^19 - 5808*x^18 + 1493*x^17 + 21199*x^16 + 533*x^15 - 50303*x^14 - 9522*x^13 + 78397*x^12 + 22316*x^11 - 79106*x^10 - 26407*x^9 + 49548*x^8 + 17029*x^7 - 17750*x^6 - 5424*x^5 + 3172*x^4 + 604*x^3 - 254*x^2 - 13*x + 5, -x^25 - 4*x^24 + 21*x^23 + 95*x^22 - 182*x^21 - 975*x^20 + 822*x^19 + 5671*x^18 - 1916*x^17 - 20617*x^16 + 1267*x^15 + 48778*x^14 + 4792*x^13 - 75896*x^12 - 14221*x^11 + 76786*x^10 + 17295*x^9 - 48863*x^8 - 10511*x^7 + 18417*x^6 + 2675*x^5 - 3738*x^4 + 27*x^3 + 341*x^2 - 68*x + 4, x^25 + 4*x^24 - 21*x^23 - 95*x^22 + 182*x^21 + 975*x^20 - 822*x^19 - 5671*x^18 + 1916*x^17 + 20617*x^16 - 1267*x^15 - 48778*x^14 - 4792*x^13 + 75896*x^12 + 14221*x^11 - 76786*x^10 - 17295*x^9 + 48863*x^8 + 10511*x^7 - 18417*x^6 - 2675*x^5 + 3738*x^4 - 27*x^3 - 341*x^2 + 68*x - 4, -x^25 - 3*x^24 + 25*x^23 + 77*x^22 - 267*x^21 - 849*x^20 + 1595*x^19 + 5278*x^18 - 5856*x^17 - 20415*x^16 + 13650*x^15 + 51156*x^14 - 20075*x^13 - 83840*x^12 + 17725*x^11 + 88557*x^10 - 8193*x^9 - 57773*x^8 + 1243*x^7 + 21383*x^6 + 23*x^5 - 3830*x^4 + 155*x^3 + 256*x^2 - 27*x - 1, x^25 + 3*x^24 - 25*x^23 - 77*x^22 + 267*x^21 + 849*x^20 - 1595*x^19 - 5278*x^18 + 5856*x^17 + 20415*x^16 - 13650*x^15 - 51156*x^14 + 20075*x^13 + 83840*x^12 - 17725*x^11 - 88557*x^10 + 8193*x^9 + 57773*x^8 - 1243*x^7 - 21383*x^6 - 23*x^5 + 3830*x^4 - 155*x^3 - 256*x^2 + 27*x + 1, -x^25 - 3*x^24 + 25*x^23 + 78*x^22 - 262*x^21 - 864*x^20 + 1495*x^19 + 5354*x^18 - 5012*x^17 - 20485*x^16 + 9735*x^15 + 50388*x^14 - 9178*x^13 - 80425*x^12 - 939*x^11 + 82024*x^10 + 11208*x^9 - 51163*x^8 - 10330*x^7 + 17940*x^6 + 3505*x^5 - 3090*x^4 - 229*x^3 + 240*x^2 - 23*x, x^25 + 3*x^24 - 25*x^23 - 78*x^22 + 262*x^21 + 864*x^20 - 1495*x^19 - 5354*x^18 + 5012*x^17 + 20485*x^16 - 9735*x^15 - 50388*x^14 + 9178*x^13 + 80425*x^12 + 939*x^11 - 82024*x^10 - 11208*x^9 + 51163*x^8 + 10330*x^7 - 17940*x^6 - 3505*x^5 + 3090*x^4 + 229*x^3 - 240*x^2 + 23*x, -x^24 - 4*x^23 + 20*x^22 + 91*x^21 - 166*x^20 - 896*x^19 + 733*x^18 + 5014*x^17 - 1803*x^16 - 17615*x^15 + 2161*x^14 + 40499*x^13 + 141*x^12 - 61532*x^11 - 4172*x^10 + 60726*x^9 + 5674*x^8 - 37033*x^7 - 3250*x^6 + 12591*x^5 + 540*x^4 - 1930*x^3 + 131*x^2 + 85*x - 11, x^24 + 4*x^23 - 20*x^22 - 91*x^21 + 166*x^20 + 896*x^19 - 733*x^18 - 5014*x^17 + 1803*x^16 + 17615*x^15 - 2161*x^14 - 40499*x^13 - 141*x^12 + 61532*x^11 + 4172*x^10 - 60726*x^9 - 5674*x^8 + 37033*x^7 + 3250*x^6 - 12591*x^5 - 540*x^4 + 1930*x^3 - 131*x^2 - 85*x + 11, -x^24 - 4*x^23 + 18*x^22 + 85*x^21 - 122*x^20 - 760*x^19 + 329*x^18 + 3713*x^17 + 198*x^16 - 10767*x^15 - 3589*x^14 + 18807*x^13 + 9642*x^12 - 19000*x^11 - 12213*x^10 + 9548*x^9 + 7393*x^8 - 924*x^7 - 1367*x^6 - 898*x^5 - 351*x^4 + 237*x^3 + 64*x^2 - 32*x + 3, x^24 + 4*x^23 - 18*x^22 - 85*x^21 + 122*x^20 + 760*x^19 - 329*x^18 - 3713*x^17 - 198*x^16 + 10767*x^15 + 3589*x^14 - 18807*x^13 - 9642*x^12 + 19000*x^11 + 12213*x^10 - 9548*x^9 - 7393*x^8 + 924*x^7 + 1367*x^6 + 898*x^5 + 351*x^4 - 237*x^3 - 64*x^2 + 32*x - 3, -x^24 - 4*x^23 + 19*x^22 + 86*x^21 - 151*x^20 - 798*x^19 + 648*x^18 + 4191*x^17 - 1588*x^16 - 13720*x^15 + 2003*x^14 + 29042*x^13 - 274*x^12 - 39891*x^11 - 2909*x^10 + 34741*x^9 + 4091*x^8 - 18165*x^7 - 2308*x^6 + 5144*x^5 + 460*x^4 - 656*x^3 + 11*x^2 + 28*x - 3, x^24 + 4*x^23 - 19*x^22 - 86*x^21 + 151*x^20 + 798*x^19 - 648*x^18 - 4191*x^17 + 1588*x^16 + 13720*x^15 - 2003*x^14 - 29042*x^13 + 274*x^12 + 39891*x^11 + 2909*x^10 - 34741*x^9 - 4091*x^8 + 18165*x^7 + 2308*x^6 - 5144*x^5 - 460*x^4 + 656*x^3 - 11*x^2 - 28*x + 3, -x^24 - 5*x^23 + 16*x^22 + 108*x^21 - 82*x^20 - 995*x^19 - 9*x^18 + 5118*x^17 + 1783*x^16 - 16187*x^15 - 8161*x^14 + 32765*x^13 + 18152*x^12 - 42961*x^11 - 22588*x^10 + 36218*x^9 + 15494*x^8 - 19125*x^7 - 5058*x^6 + 5983*x^5 + 360*x^4 - 950*x^3 + 103*x^2 + 34*x - 5, x^24 + 5*x^23 - 16*x^22 - 108*x^21 + 82*x^20 + 995*x^19 + 9*x^18 - 5118*x^17 - 1783*x^16 + 16187*x^15 + 8161*x^14 - 32765*x^13 - 18152*x^12 + 42961*x^11 + 22588*x^10 - 36218*x^9 - 15494*x^8 + 19125*x^7 + 5058*x^6 - 5983*x^5 - 360*x^4 + 950*x^3 - 103*x^2 - 34*x + 5, -x^24 - 4*x^23 + 19*x^22 + 89*x^21 - 141*x^20 - 846*x^19 + 476*x^18 + 4502*x^17 - 378*x^16 - 14795*x^15 - 2520*x^14 + 31325*x^13 + 9551*x^12 - 43384*x^11 - 15751*x^10 + 39167*x^9 + 14253*x^8 - 22556*x^7 - 7088*x^6 + 7902*x^5 + 1689*x^4 - 1526*x^3 - 92*x^2 + 129*x - 14, x^24 + 4*x^23 - 19*x^22 - 89*x^21 + 141*x^20 + 846*x^19 - 476*x^18 - 4502*x^17 + 378*x^16 + 14795*x^15 + 2520*x^14 - 31325*x^13 - 9551*x^12 + 43384*x^11 + 15751*x^10 - 39167*x^9 - 14253*x^8 + 22556*x^7 + 7088*x^6 - 7902*x^5 - 1689*x^4 + 1526*x^3 + 92*x^2 - 129*x + 14, -x^24 - 3*x^23 + 25*x^22 + 79*x^21 - 256*x^20 - 870*x^19 + 1396*x^18 + 5276*x^17 - 4363*x^16 - 19478*x^15 + 7609*x^14 + 45637*x^13 - 5698*x^12 - 68581*x^11 - 2883*x^10 + 65178*x^9 + 9290*x^8 - 37572*x^7 - 7049*x^6 + 12124*x^5 + 2045*x^4 - 1926*x^3 - 104*x^2 + 134*x - 13, x^24 + 3*x^23 - 25*x^22 - 79*x^21 + 256*x^20 + 870*x^19 - 1396*x^18 - 5276*x^17 + 4363*x^16 + 19478*x^15 - 7609*x^14 - 45637*x^13 + 5698*x^12 + 68581*x^11 + 2883*x^10 - 65178*x^9 - 9290*x^8 + 37572*x^7 + 7049*x^6 - 12124*x^5 - 2045*x^4 + 1926*x^3 + 104*x^2 - 134*x + 13, -x^23 - 5*x^22 + 13*x^21 + 97*x^20 - 34*x^19 - 794*x^18 - 310*x^17 + 3584*x^16 + 2694*x^15 - 9804*x^14 - 9381*x^13 + 16865*x^12 + 18144*x^11 - 18380*x^10 - 20733*x^9 + 12515*x^8 + 13779*x^7 - 5159*x^6 - 4884*x^5 + 1242*x^4 + 735*x^3 - 169*x^2 - 24*x + 5, x^23 + 5*x^22 - 13*x^21 - 97*x^20 + 34*x^19 + 794*x^18 + 310*x^17 - 3584*x^16 - 2694*x^15 + 9804*x^14 + 9381*x^13 - 16865*x^12 - 18144*x^11 + 18380*x^10 + 20733*x^9 - 12515*x^8 - 13779*x^7 + 5159*x^6 + 4884*x^5 - 1242*x^4 - 735*x^3 + 169*x^2 + 24*x - 5, -x^23 - 3*x^22 + 20*x^21 + 62*x^20 - 165*x^19 - 537*x^18 + 714*x^17 + 2528*x^16 - 1666*x^15 - 7009*x^14 + 1706*x^13 + 11548*x^12 + 735*x^11 - 10667*x^10 - 3892*x^9 + 4335*x^8 + 4178*x^7 + 441*x^6 - 2100*x^5 - 837*x^4 + 559*x^3 + 133*x^2 - 85*x + 9, x^23 + 3*x^22 - 20*x^21 - 62*x^20 + 165*x^19 + 537*x^18 - 714*x^17 - 2528*x^16 + 1666*x^15 + 7009*x^14 - 1706*x^13 - 11548*x^12 - 735*x^11 + 10667*x^10 + 3892*x^9 - 4335*x^8 - 4178*x^7 - 441*x^6 + 2100*x^5 + 837*x^4 - 559*x^3 - 133*x^2 + 85*x - 9, -2*x^23 - 8*x^22 + 37*x^21 + 171*x^20 - 273*x^19 - 1558*x^18 + 977*x^17 + 7904*x^16 - 1390*x^15 - 24487*x^14 - 1586*x^13 + 47849*x^12 + 9368*x^11 - 58891*x^10 - 15122*x^9 + 44289*x^8 + 11484*x^7 - 19089*x^6 - 3675*x^5 + 4246*x^4 + 109*x^3 - 419*x^2 + 75*x - 4, 2*x^23 + 8*x^22 - 37*x^21 - 171*x^20 + 273*x^19 + 1558*x^18 - 977*x^17 - 7904*x^16 + 1390*x^15 + 24487*x^14 + 1586*x^13 - 47849*x^12 - 9368*x^11 + 58891*x^10 + 15122*x^9 - 44289*x^8 - 11484*x^7 + 19089*x^6 + 3675*x^5 - 4246*x^4 - 109*x^3 + 419*x^2 - 75*x + 4, -x^22 - 6*x^21 + 6*x^20 + 99*x^19 + 78*x^18 - 649*x^17 - 1007*x^16 + 2126*x^15 + 4751*x^14 - 3480*x^13 - 11844*x^12 + 1944*x^11 + 16846*x^10 + 1918*x^9 - 13591*x^8 - 3281*x^7 + 5816*x^6 + 1460*x^5 - 1164*x^4 - 125*x^3 + 106*x^2 - 10*x, x^22 + 6*x^21 - 6*x^20 - 99*x^19 - 78*x^18 + 649*x^17 + 1007*x^16 - 2126*x^15 - 4751*x^14 + 3480*x^13 + 11844*x^12 - 1944*x^11 - 16846*x^10 - 1918*x^9 + 13591*x^8 + 3281*x^7 - 5816*x^6 - 1460*x^5 + 1164*x^4 + 125*x^3 - 106*x^2 + 10*x, -x^23 - 6*x^22 + 11*x^21 + 121*x^20 + 15*x^19 - 1029*x^18 - 803*x^17 + 4808*x^16 + 5367*x^15 - 13493*x^14 - 17965*x^13 + 23384*x^12 + 35017*x^11 - 24817*x^10 - 40968*x^9 + 15485*x^8 + 28009*x^7 - 5346*x^6 - 10217*x^5 + 1099*x^4 + 1602*x^3 - 215*x^2 - 66*x + 10, x^23 + 6*x^22 - 11*x^21 - 121*x^20 - 15*x^19 + 1029*x^18 + 803*x^17 - 4808*x^16 - 5367*x^15 + 13493*x^14 + 17965*x^13 - 23384*x^12 - 35017*x^11 + 24817*x^10 + 40968*x^9 - 15485*x^8 - 28009*x^7 + 5346*x^6 + 10217*x^5 - 1099*x^4 - 1602*x^3 + 215*x^2 + 66*x - 10, -x^23 - 4*x^22 + 18*x^21 + 85*x^20 - 124*x^19 - 767*x^18 + 360*x^17 + 3837*x^16 + 17*x^15 - 11670*x^14 - 3139*x^13 + 22304*x^12 + 9485*x^11 - 26802*x^10 - 13772*x^9 + 19723*x^8 + 10794*x^7 - 8423*x^6 - 4317*x^5 + 1944*x^4 + 703*x^3 - 230*x^2 - 21*x + 6, x^23 + 4*x^22 - 18*x^21 - 85*x^20 + 124*x^19 + 767*x^18 - 360*x^17 - 3837*x^16 - 17*x^15 + 11670*x^14 + 3139*x^13 - 22304*x^12 - 9485*x^11 + 26802*x^10 + 13772*x^9 - 19723*x^8 - 10794*x^7 + 8423*x^6 + 4317*x^5 - 1944*x^4 - 703*x^3 + 230*x^2 + 21*x - 6, -x^22 - 5*x^21 + 11*x^20 + 87*x^19 - 14*x^18 - 627*x^17 - 311*x^16 + 2444*x^15 + 1951*x^14 - 5669*x^13 - 5381*x^12 + 8135*x^11 + 8256*x^10 - 7243*x^9 - 7380*x^8 + 3865*x^7 + 3712*x^6 - 1132*x^5 - 904*x^4 + 159*x^3 + 60*x^2 - 14*x + 1, x^22 + 5*x^21 - 11*x^20 - 87*x^19 + 14*x^18 + 627*x^17 + 311*x^16 - 2444*x^15 - 1951*x^14 + 5669*x^13 + 5381*x^12 - 8135*x^11 - 8256*x^10 + 7243*x^9 + 7380*x^8 - 3865*x^7 - 3712*x^6 + 1132*x^5 + 904*x^4 - 159*x^3 - 60*x^2 + 14*x - 1, -x^22 - 3*x^21 + 19*x^20 + 58*x^19 - 152*x^18 - 471*x^17 + 664*x^16 + 2092*x^15 - 1714*x^14 - 5553*x^13 + 2641*x^12 + 9068*x^11 - 2346*x^10 - 9105*x^9 + 1120*x^8 + 5543*x^7 - 292*x^6 - 2039*x^5 + 73*x^4 + 455*x^3 - 16*x^2 - 44*x + 6, x^22 + 3*x^21 - 19*x^20 - 58*x^19 + 152*x^18 + 471*x^17 - 664*x^16 - 2092*x^15 + 1714*x^14 + 5553*x^13 - 2641*x^12 - 9068*x^11 + 2346*x^10 + 9105*x^9 - 1120*x^8 - 5543*x^7 + 292*x^6 + 2039*x^5 - 73*x^4 - 455*x^3 + 16*x^2 + 44*x - 6, -x^21 - 6*x^20 + 6*x^19 + 99*x^18 + 78*x^17 - 649*x^16 - 1007*x^15 + 2126*x^14 + 4751*x^13 - 3480*x^12 - 11844*x^11 + 1944*x^10 + 16846*x^9 + 1918*x^8 - 13591*x^7 - 3281*x^6 + 5816*x^5 + 1460*x^4 - 1164*x^3 - 125*x^2 + 106*x - 10, x^21 + 6*x^20 - 6*x^19 - 99*x^18 - 78*x^17 + 649*x^16 + 1007*x^15 - 2126*x^14 - 4751*x^13 + 3480*x^12 + 11844*x^11 - 1944*x^10 - 16846*x^9 - 1918*x^8 + 13591*x^7 + 3281*x^6 - 5816*x^5 - 1460*x^4 + 1164*x^3 + 125*x^2 - 106*x + 10, -x^22 - 4*x^21 + 17*x^20 + 79*x^19 - 116*x^18 - 665*x^17 + 395*x^16 + 3125*x^15 - 619*x^14 - 9021*x^13 - 66*x^12 + 16582*x^11 + 1979*x^10 - 19444*x^9 - 3459*x^8 + 14133*x^7 + 2771*x^6 - 5958*x^5 - 986*x^4 + 1296*x^3 + 71*x^2 - 123*x + 14, x^22 + 4*x^21 - 17*x^20 - 79*x^19 + 116*x^18 + 665*x^17 - 395*x^16 - 3125*x^15 + 619*x^14 + 9021*x^13 + 66*x^12 - 16582*x^11 - 1979*x^10 + 19444*x^9 + 3459*x^8 - 14133*x^7 - 2771*x^6 + 5958*x^5 + 986*x^4 - 1296*x^3 - 71*x^2 + 123*x - 14, -x^21 - 5*x^20 + 10*x^19 + 85*x^18 + 3*x^17 - 595*x^16 - 428*x^15 + 2236*x^14 + 2364*x^13 - 4960*x^12 - 6143*x^11 + 6772*x^10 + 8842*x^9 - 5772*x^8 - 7198*x^7 + 3040*x^6 + 3137*x^5 - 938*x^4 - 614*x^3 + 141*x^2 + 26*x - 5, x^21 + 5*x^20 - 10*x^19 - 85*x^18 - 3*x^17 + 595*x^16 + 428*x^15 - 2236*x^14 - 2364*x^13 + 4960*x^12 + 6143*x^11 - 6772*x^10 - 8842*x^9 + 5772*x^8 + 7198*x^7 - 3040*x^6 - 3137*x^5 + 938*x^4 + 614*x^3 - 141*x^2 - 26*x + 5, -x^21 - 5*x^20 + 10*x^19 + 82*x^18 - 4*x^17 - 545*x^16 - 315*x^15 + 1899*x^14 + 1636*x^13 - 3770*x^12 - 3745*x^11 + 4365*x^10 + 4511*x^9 - 2878*x^8 - 2869*x^7 + 987*x^6 + 843*x^5 - 145*x^4 - 61*x^3 + 14*x^2 - x, x^21 + 5*x^20 - 10*x^19 - 82*x^18 + 4*x^17 + 545*x^16 + 315*x^15 - 1899*x^14 - 1636*x^13 + 3770*x^12 + 3745*x^11 - 4365*x^10 - 4511*x^9 + 2878*x^8 + 2869*x^7 - 987*x^6 - 843*x^5 + 145*x^4 + 61*x^3 - 14*x^2 + x, -x^21 - 4*x^20 + 13*x^19 + 66*x^18 - 50*x^17 - 436*x^16 - 48*x^15 + 1456*x^14 + 935*x^13 - 2480*x^12 - 3081*x^11 + 1562*x^10 + 5012*x^9 + 1208*x^8 - 4470*x^7 - 2480*x^6 + 2173*x^5 + 1292*x^4 - 575*x^3 - 177*x^2 + 91*x - 9, x^21 + 4*x^20 - 13*x^19 - 66*x^18 + 50*x^17 + 436*x^16 + 48*x^15 - 1456*x^14 - 935*x^13 + 2480*x^12 + 3081*x^11 - 1562*x^10 - 5012*x^9 - 1208*x^8 + 4470*x^7 + 2480*x^6 - 2173*x^5 - 1292*x^4 + 575*x^3 + 177*x^2 - 91*x + 9, -x^21 - 6*x^20 + 8*x^19 + 102*x^18 + 35*x^17 - 712*x^16 - 636*x^15 + 2649*x^14 + 3073*x^13 - 5722*x^12 - 7506*x^11 + 7358*x^10 + 10313*x^9 - 5590*x^8 - 8023*x^7 + 2465*x^6 + 3331*x^5 - 648*x^4 - 632*x^3 + 107*x^2 + 35*x - 6, x^21 + 6*x^20 - 8*x^19 - 102*x^18 - 35*x^17 + 712*x^16 + 636*x^15 - 2649*x^14 - 3073*x^13 + 5722*x^12 + 7506*x^11 - 7358*x^10 - 10313*x^9 + 5590*x^8 + 8023*x^7 - 2465*x^6 - 3331*x^5 + 648*x^4 + 632*x^3 - 107*x^2 - 35*x + 6, -x^20 - 5*x^19 + 10*x^18 + 82*x^17 - 4*x^16 - 545*x^15 - 315*x^14 + 1899*x^13 + 1636*x^12 - 3770*x^11 - 3745*x^10 + 4365*x^9 + 4511*x^8 - 2878*x^7 - 2869*x^6 + 987*x^5 + 843*x^4 - 145*x^3 - 61*x^2 + 14*x - 1, x^20 + 5*x^19 - 10*x^18 - 82*x^17 + 4*x^16 + 545*x^15 + 315*x^14 - 1899*x^13 - 1636*x^12 + 3770*x^11 + 3745*x^10 - 4365*x^9 - 4511*x^8 + 2878*x^7 + 2869*x^6 - 987*x^5 - 843*x^4 + 145*x^3 + 61*x^2 - 14*x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^43 - 3*x^42 - 66*x^41 + 202*x^40 + 1999*x^39 - 6263*x^38 - 36833*x^37 + 118637*x^36 + 461421*x^35 - 1536223*x^34 - 4159875*x^33 + 14417229*x^32 + 27857264*x^31 - 101456722*x^30 - 140937334*x^29 + 546449176*x^28 + 542042611*x^27 - 2279465239*x^26 - 1578361601*x^25 + 7405647462*x^24 + 3418825353*x^23 - 18748344844*x^22 - 5270968579*x^21 + 36831742100*x^20 + 5103579086*x^19 - 55644939345*x^18 - 1411997885*x^17 + 63714182433*x^16 - 4108414685*x^15 - 54109220097*x^14 + 7322868201*x^13 + 33039041121*x^12 - 6283650817*x^11 - 13869643765*x^10 + 3201012600*x^9 + 3749272699*x^8 - 963868983*x^7 - 591959030*x^6 + 156849597*x^5 + 47393378*x^4 - 11395362*x^3 - 1686837*x^2 + 247551*x + 29259,
           Coordinates        := [-x^42 + 4*x^41 + 60*x^40 - 254*x^39 - 1629*x^38 + 7400*x^37 + 26399*x^36 - 131188*x^35 - 283067*x^34 + 1582750*x^33 + 2094703*x^32 - 13770312*x^31 - 10710512*x^30 + 89325230*x^29 + 35540812*x^28 - 440597700*x^27 - 53910751*x^26 + 1670503908*x^25 - 138267489*x^24 - 4889562821*x^23 + 1162761536*x^22 + 11036839782*x^21 - 3924128271*x^20 - 19094248165*x^19 + 8485388787*x^18 + 25029590492*x^17 - 12765162471*x^16 - 24423624696*x^15 + 13586370909*x^14 + 17293026858*x^13 - 10135261359*x^12 - 8568052380*x^11 + 5157811253*x^10 + 2819795688*x^9 - 1712589924*x^8 - 570180933*x^7 + 347069796*x^6 + 62312922*x^5 - 38750137*x^4 - 2779263*x^3 + 1986111*x^2 + 5430*x - 27891, x^42 - 6*x^41 - 52*x^40 + 370*x^39 + 1137*x^38 - 10434*x^37 - 12551*x^36 + 178354*x^35 + 46527*x^34 - 2065172*x^33 + 646917*x^32 + 17146752*x^31 - 12131492*x^30 - 105396522*x^29 + 105851476*x^28 + 488131860*x^27 - 608961331*x^26 - 1716629090*x^25 + 2516084641*x^24 + 4581586889*x^23 - 7711505062*x^22 - 9195096850*x^21 + 17737493935*x^20 + 13588967873*x^19 - 30615348853*x^18 - 14177160356*x^17 + 39290557737*x^16 + 9477956224*x^15 - 36816193239*x^14 - 2812393158*x^13 + 24470988741*x^12 - 1125839564*x^11 - 11049848077*x^10 + 1488422676*x^9 + 3179091766*x^8 - 616799187*x^7 - 529646108*x^6 + 118099460*x^5 + 44614115*x^4 - 9409251*x^3 - 1681407*x^2 + 219660*x + 29259, 4*x^35 - 22*x^34 - 156*x^33 + 1042*x^32 + 2404*x^31 - 22090*x^30 - 15386*x^29 + 276788*x^28 - 35814*x^27 - 2279382*x^26 + 1488180*x^25 + 12969616*x^24 - 13512282*x^23 - 52112268*x^22 + 71950742*x^21 + 148048904*x^20 - 257174988*x^19 - 290810776*x^18 + 643350864*x^17 + 368420200*x^16 - 1137232216*x^15 - 232507502*x^14 + 1406775082*x^13 - 75897452*x^12 - 1184564698*x^11 + 290187238*x^10 + 645003768*x^9 - 255292160*x^8 - 207084874*x^7 + 110162532*x^6 + 32413730*x^5 - 22937712*x^4 - 1303904*x^3 + 1832190*x^2 - 55848*x - 35946, 4*x^35 - 22*x^34 - 160*x^33 + 1062*x^32 + 2554*x^31 - 22938*x^30 - 17784*x^29 + 292676*x^28 - 14316*x^27 - 2453416*x^26 + 1365680*x^25 + 14214612*x^24 - 12995870*x^23 - 58283356*x^22 + 69860776*x^21 + 170082816*x^20 - 248047180*x^19 - 349313134*x^18 + 608537816*x^17 + 487493088*x^16 - 1041016192*x^15 - 422962850*x^14 + 1227328150*x^13 + 164005822*x^12 - 967281426*x^11 + 61492160*x^10 + 482954566*x^9 - 103860654*x^8 - 139478036*x^7 + 48925232*x^6 + 19388962*x^5 - 10400914*x^4 - 604034*x^3 + 878868*x^2 - 46614*x - 18396, 2*x^35 - 4*x^34 - 110*x^33 + 218*x^32 + 2732*x^31 - 5358*x^30 - 40536*x^29 + 78530*x^28 + 400718*x^27 - 765024*x^26 - 2787622*x^25 + 5228702*x^24 + 14056648*x^23 - 25805966*x^22 - 52163194*x^21 + 93299000*x^20 + 143197476*x^19 - 248177994*x^18 - 289909758*x^17 + 483922196*x^16 + 427956410*x^15 - 683857666*x^14 - 450790076*x^13 + 686521048*x^12 + 326690396*x^11 - 474651312*x^10 - 153040650*x^9 + 215628656*x^8 + 41265898*x^7 - 59853578*x^6 - 4917954*x^5 + 9077918*x^4 + 50392*x^3 - 649818*x^2 + 18732*x + 15444, 2*x^36 - 8*x^35 - 102*x^34 + 438*x^33 + 2296*x^32 - 10822*x^31 - 29820*x^30 + 159602*x^29 + 243658*x^28 - 1566460*x^27 - 1257574*x^26 + 10803946*x^25 + 3599244*x^24 - 53919262*x^23 - 551262*x^22 + 197625388*x^21 - 43400524*x^20 - 534572946*x^19 + 206446230*x^18 + 1063741712*x^17 - 539887982*x^16 - 1539770486*x^15 + 916925256*x^14 + 1588101200*x^13 - 1046351700*x^12 - 1128032104*x^11 + 796261974*x^10 + 521709956*x^9 - 389991414*x^8 - 142385374*x^7 + 114789202*x^6 + 18913826*x^5 - 18105444*x^4 - 750602*x^3 + 1318368*x^2 - 22020*x - 30888, 4*x^34 - 16*x^33 - 166*x^32 + 688*x^31 + 3134*x^30 - 13328*x^29 - 36194*x^28 + 154760*x^27 + 290672*x^26 - 1210142*x^25 - 1740354*x^24 + 6785950*x^23 + 8016034*x^22 - 28306188*x^21 - 28423438*x^20 + 89456222*x^19 + 76047370*x^18 - 214707062*x^17 - 148675226*x^16 + 386570924*x^15 + 203460242*x^14 - 508541972*x^13 - 182846558*x^12 + 469004124*x^11 + 95694832*x^10 - 285058438*x^9 - 20126834*x^8 + 103715430*x^7 - 3343994*x^6 - 19197296*x^5 + 1857174*x^4 + 1328478*x^3 - 133350*x^2 - 23478*x - 1620, 4*x^35 - 20*x^34 - 166*x^33 + 954*x^32 + 2894*x^31 - 20372*x^30 - 26370*x^29 + 257472*x^28 + 113262*x^27 - 2146194*x^26 + 123724*x^25 + 12453170*x^24 - 4642946*x^23 - 51780326*x^22 + 29965278*x^21 + 156629728*x^20 - 111082454*x^19 - 346860158*x^18 + 270402178*x^17 + 562719936*x^16 - 446910108*x^15 - 667157842*x^14 + 501113166*x^13 + 576249226*x^12 - 373706768*x^11 - 361300212*x^10 + 179948192*x^9 + 162225432*x^8 - 55100576*x^7 - 49523908*x^6 + 11271470*x^5 + 8961958*x^4 - 1574620*x^3 - 699480*x^2 + 82464*x + 18540, 2*x^37 - 10*x^36 - 94*x^35 + 530*x^34 + 1908*x^33 - 12710*x^32 - 21360*x^31 + 182530*x^30 + 133758*x^29 - 1751210*x^28 - 307150*x^27 + 11858140*x^26 - 2191892*x^25 - 58389448*x^24 + 25104214*x^23 + 212361648*x^22 - 127392190*x^21 - 574060386*x^20 + 410650114*x^19 + 1152629126*x^18 - 906473660*x^17 - 1708423910*x^16 + 1394323514*x^15 + 1849844036*x^14 - 1482673354*x^13 - 1444225120*x^12 + 1061378968*x^11 + 802169410*x^10 - 488911916*x^9 - 312390998*x^8 + 135993280*x^7 + 82542530*x^6 - 21401136*x^5 - 13362770*x^4 + 1906226*x^3 + 1010130*x^2 - 83520*x - 20430, 2*x^36 - 8*x^35 - 104*x^34 + 450*x^33 + 2360*x^32 - 11316*x^31 - 30576*x^30 + 168664*x^29 + 246230*x^28 - 1664726*x^27 - 1226208*x^26 + 11509522*x^25 + 3132912*x^24 - 57484126*x^23 + 2548810*x^22 + 210768938*x^21 - 56581228*x^20 - 570668984*x^19 + 245920362*x^18 + 1138043046*x^17 - 626443866*x^16 - 1653501818*x^15 + 1057237194*x^14 + 1714959664*x^13 - 1212620474*x^12 - 1228307732*x^11 + 936628498*x^10 + 576049254*x^9 - 471565140*x^8 - 161215604*x^7 + 145770564*x^6 + 21948710*x^5 - 24769282*x^4 - 570326*x^3 + 1826340*x^2 - 60600*x - 35946, 2*x^35 - 6*x^34 - 104*x^33 + 324*x^32 + 2406*x^31 - 7850*x^30 - 32644*x^29 + 112882*x^28 + 287948*x^27 - 1073784*x^26 - 1726588*x^25 + 7128982*x^24 + 7117892*x^23 - 33969430*x^22 - 19725364*x^21 + 117669096*x^20 + 33406840*x^19 - 296901316*x^18 - 20407326*x^17 + 541646882*x^16 - 48079416*x^15 - 702201674*x^14 + 143604706*x^13 + 628011372*x^12 - 182483326*x^11 - 369360744*x^10 + 132459154*x^9 + 131857464*x^8 - 55971010*x^7 - 24486254*x^6 + 12702374*x^5 + 1586458*x^4 - 1203192*x^3 + 4962*x^2 + 31008*x - 1620, 2*x^36 - 10*x^35 - 88*x^34 + 502*x^33 + 1652*x^32 - 11374*x^31 - 16664*x^30 + 153938*x^29 + 86174*x^28 - 1388002*x^27 - 30692*x^26 + 8802732*x^25 - 2927124*x^24 - 40401880*x^23 + 23579330*x^22 + 135967372*x^21 - 104904562*x^20 - 336132222*x^19 + 309146254*x^18 + 605333118*x^17 - 631907396*x^16 - 778613224*x^15 + 901047704*x^14 + 690702108*x^13 - 880520484*x^12 - 398393904*x^11 + 566240128*x^10 + 135163298*x^9 - 223095054*x^8 - 23001114*x^7 + 47790166*x^6 + 2202974*x^5 - 4641210*x^4 - 446558*x^3 + 177174*x^2 + 41766*x - 2142, 4*x^36 - 24*x^35 - 158*x^34 + 1188*x^33 + 2372*x^32 - 26312*x^31 - 11880*x^30 + 344420*x^29 - 117478*x^28 - 2964732*x^27 + 2499078*x^26 + 17664058*x^25 - 21442918*x^24 - 74619044*x^23 + 114355404*x^22 + 224772902*x^21 - 417326898*x^20 - 476852224*x^19 + 1077765394*x^18 + 683976392*x^17 - 1987025190*x^16 - 590372816*x^15 + 2598251554*x^14 + 164425750*x^13 - 2362558024*x^12 + 239308288*x^11 + 1443378428*x^10 - 310219476*x^9 - 561635280*x^8 + 160600820*x^7 + 128308082*x^6 - 40240224*x^5 - 15275932*x^4 + 4385308*x^3 + 832914*x^2 - 159954*x - 15984, 2*x^37 - 12*x^36 - 84*x^35 + 624*x^34 + 1378*x^33 - 14606*x^32 - 8712*x^31 + 203464*x^30 - 46146*x^29 - 1878946*x^28 + 1394952*x^27 + 12126696*x^26 - 13514774*x^25 - 56170122*x^24 + 79708596*x^23 + 188649338*x^22 - 321432540*x^21 - 458018158*x^20 + 922154042*x^19 + 789621254*x^18 - 1905591804*x^17 - 926915668*x^16 + 2828099616*x^15 + 669147354*x^14 - 2968867096*x^13 - 197551624*x^12 + 2143300784*x^11 - 98714230*x^10 - 1017506624*x^9 + 116087564*x^8 + 296371916*x^7 - 43069044*x^6 - 47286748*x^5 + 6809708*x^4 + 3288266*x^3 - 330576*x^2 - 55680*x - 3240, 2*x^35 - 8*x^34 - 98*x^33 + 440*x^32 + 2006*x^31 - 10586*x^30 - 21814*x^29 + 147856*x^28 + 124202*x^27 - 1338240*x^26 - 156968*x^25 + 8280988*x^24 - 3050754*x^23 - 35955810*x^22 + 26354890*x^21 + 110394758*x^20 - 115173910*x^19 - 237446626*x^18 + 322024076*x^17 + 346016956*x^16 - 608293142*x^15 - 312809360*x^14 + 781202724*x^13 + 125338024*x^12 - 667718898*x^11 + 51951798*x^10 + 361382822*x^9 - 89081348*x^8 - 112557550*x^7 + 42525276*x^6 + 16410736*x^5 - 8607846*x^4 - 503092*x^3 + 600228*x^2 - 29328*x - 6372, 2*x^36 - 10*x^35 - 88*x^34 + 500*x^33 + 1664*x^32 - 11306*x^31 - 17200*x^30 + 153170*x^29 + 96720*x^28 - 1388482*x^27 - 150556*x^26 + 8906964*x^25 - 2061578*x^24 - 41689468*x^23 + 19484968*x^22 + 144605934*x^21 - 92463850*x^20 - 373452806*x^19 + 287690752*x^18 + 714597212*x^17 - 624899704*x^16 - 998289440*x^15 + 960119768*x^14 + 991474896*x^13 - 1031563622*x^12 - 670896236*x^11 + 751162464*x^10 + 289276366*x^9 - 351507000*x^8 - 71153650*x^7 + 97407096*x^6 + 8000120*x^5 - 14095810*x^4 - 174794*x^3 + 852684*x^2 - 5562*x - 14598, x^41 - 6*x^40 - 50*x^39 + 358*x^38 + 1041*x^37 - 9740*x^36 - 10665*x^35 + 160126*x^34 + 29271*x^33 - 1777293*x^32 + 661090*x^31 + 14095868*x^30 - 10593440*x^29 - 82469876*x^28 + 85394579*x^27 + 362284201*x^26 - 458532741*x^25 - 1204629053*x^24 + 1769179024*x^23 + 3032481693*x^22 - 5051028416*x^21 - 5735194707*x^20 + 10781908278*x^19 + 8005806314*x^18 - 17193107927*x^17 - 7970369398*x^16 + 20281547767*x^15 + 5268857106*x^14 - 17365480017*x^13 - 1879548304*x^12 + 10468979940*x^11 - 57683659*x^10 - 4240653949*x^9 + 385848943*x^8 + 1072382837*x^7 - 165575449*x^6 - 149587124*x^5 + 29723891*x^4 + 9025872*x^3 - 2025918*x^2 - 117291*x + 27207, x^41 - 6*x^40 - 50*x^39 + 358*x^38 + 1041*x^37 - 9740*x^36 - 10665*x^35 + 160126*x^34 + 29271*x^33 - 1777293*x^32 + 661090*x^31 + 14095868*x^30 - 10593440*x^29 - 82469876*x^28 + 85394579*x^27 + 362284201*x^26 - 458532741*x^25 - 1204629053*x^24 + 1769179024*x^23 + 3032481693*x^22 - 5051028416*x^21 - 5735194707*x^20 + 10781908278*x^19 + 8005806314*x^18 - 17193107927*x^17 - 7970369398*x^16 + 20281547767*x^15 + 5268857106*x^14 - 17365480017*x^13 - 1879548304*x^12 + 10468979940*x^11 - 57683659*x^10 - 4240653949*x^9 + 385848943*x^8 + 1072382837*x^7 - 165575449*x^6 - 149587124*x^5 + 29723891*x^4 + 9025872*x^3 - 2025918*x^2 - 117291*x + 27207, x^40 - 6*x^39 - 48*x^38 + 346*x^37 + 949*x^36 - 9071*x^35 - 8944*x^34 + 143205*x^33 + 14585*x^32 - 1520179*x^31 + 663005*x^30 + 11476094*x^29 - 9233191*x^28 - 63549659*x^27 + 68672876*x^26 + 262466269*x^25 - 342534285*x^24 - 813990321*x^23 + 1224083896*x^22 + 1893096396*x^21 - 3214185868*x^20 - 3270407940*x^19 + 6248068112*x^18 + 4114201207*x^17 - 8960578839*x^16 - 3633559021*x^15 + 9363187041*x^14 + 2093484644*x^13 - 6974911157*x^12 - 641500691*x^11 + 3582788372*x^10 - 8336359*x^9 - 1207638978*x^8 + 81158887*x^7 + 247706170*x^6 - 26081352*x^5 - 27497173*x^4 + 3060113*x^3 + 1421088*x^2 - 116178*x - 25164, x^40 - 6*x^39 - 48*x^38 + 346*x^37 + 949*x^36 - 9071*x^35 - 8944*x^34 + 143205*x^33 + 14585*x^32 - 1520179*x^31 + 663005*x^30 + 11476094*x^29 - 9233191*x^28 - 63549659*x^27 + 68672876*x^26 + 262466269*x^25 - 342534285*x^24 - 813990321*x^23 + 1224083896*x^22 + 1893096396*x^21 - 3214185868*x^20 - 3270407940*x^19 + 6248068112*x^18 + 4114201207*x^17 - 8960578839*x^16 - 3633559021*x^15 + 9363187041*x^14 + 2093484644*x^13 - 6974911157*x^12 - 641500691*x^11 + 3582788372*x^10 - 8336359*x^9 - 1207638978*x^8 + 81158887*x^7 + 247706170*x^6 - 26081352*x^5 - 27497173*x^4 + 3060113*x^3 + 1421088*x^2 - 116178*x - 25164, x^40 - 6*x^39 - 48*x^38 + 348*x^37 + 937*x^36 - 9157*x^35 - 8312*x^34 + 144674*x^33 - 412*x^32 - 1530705*x^31 + 875047*x^30 + 11450552*x^29 - 11223706*x^28 - 62298000*x^27 + 81755714*x^26 + 249533768*x^25 - 404371332*x^24 - 735114875*x^23 + 1436392750*x^22 + 1566805747*x^21 - 3741399789*x^20 - 2312753619*x^19 + 7174172814*x^18 + 2092589751*x^17 - 10048431131*x^16 - 575540097*x^15 + 10087526181*x^14 - 1160639790*x^13 - 7027097644*x^12 + 1709656596*x^11 + 3226405756*x^10 - 1094237374*x^9 - 899069951*x^8 + 370064851*x^7 + 132352814*x^6 - 62294217*x^5 - 8091070*x^4 + 4323220*x^3 + 143028*x^2 - 76275*x - 4095, x^40 - 6*x^39 - 48*x^38 + 348*x^37 + 937*x^36 - 9157*x^35 - 8312*x^34 + 144674*x^33 - 412*x^32 - 1530705*x^31 + 875047*x^30 + 11450552*x^29 - 11223706*x^28 - 62298000*x^27 + 81755714*x^26 + 249533768*x^25 - 404371332*x^24 - 735114875*x^23 + 1436392750*x^22 + 1566805747*x^21 - 3741399789*x^20 - 2312753619*x^19 + 7174172814*x^18 + 2092589751*x^17 - 10048431131*x^16 - 575540097*x^15 + 10087526181*x^14 - 1160639790*x^13 - 7027097644*x^12 + 1709656596*x^11 + 3226405756*x^10 - 1094237374*x^9 - 899069951*x^8 + 370064851*x^7 + 132352814*x^6 - 62294217*x^5 - 8091070*x^4 + 4323220*x^3 + 143028*x^2 - 76275*x - 4095, x^39 - 6*x^38 - 46*x^37 + 334*x^36 + 863*x^35 - 8437*x^34 - 7476*x^33 + 128085*x^32 + 4145*x^31 - 1304760*x^30 + 634570*x^29 + 9430727*x^28 - 7927678*x^27 - 49878056*x^26 + 55103412*x^25 + 196212524*x^24 - 258523520*x^23 - 577811230*x^22 + 868449290*x^21 + 1271519726*x^20 - 2135151363*x^19 - 2070361313*x^18 + 3859753264*x^17 + 2445899889*x^16 - 5094382900*x^15 - 2027071695*x^14 + 4824043177*x^13 + 1110815730*x^12 - 3182426281*x^11 - 355696693*x^10 + 1398289903*x^9 + 42335165*x^8 - 382170346*x^7 + 8521847*x^6 + 58267669*x^5 - 2923913*x^4 - 4034825*x^3 + 196647*x^2 + 83517*x - 603, x^39 - 6*x^38 - 46*x^37 + 334*x^36 + 863*x^35 - 8437*x^34 - 7476*x^33 + 128085*x^32 + 4145*x^31 - 1304760*x^30 + 634570*x^29 + 9430727*x^28 - 7927678*x^27 - 49878056*x^26 + 55103412*x^25 + 196212524*x^24 - 258523520*x^23 - 577811230*x^22 + 868449290*x^21 + 1271519726*x^20 - 2135151363*x^19 - 2070361313*x^18 + 3859753264*x^17 + 2445899889*x^16 - 5094382900*x^15 - 2027071695*x^14 + 4824043177*x^13 + 1110815730*x^12 - 3182426281*x^11 - 355696693*x^10 + 1398289903*x^9 + 42335165*x^8 - 382170346*x^7 + 8521847*x^6 + 58267669*x^5 - 2923913*x^4 - 4034825*x^3 + 196647*x^2 + 83517*x - 603, x^39 - 6*x^38 - 46*x^37 + 335*x^36 + 858*x^35 - 8484*x^34 - 7210*x^33 + 129029*x^32 - 2230*x^31 - 1315014*x^30 + 725679*x^29 + 9489490*x^28 - 8794025*x^27 - 49939876*x^26 + 60895044*x^25 + 194426208*x^24 - 286571608*x^23 - 561574067*x^22 + 968393258*x^21 + 1193267041*x^20 - 2398688803*x^19 - 1821243794*x^18 + 4372775824*x^17 + 1890910488*x^16 - 5823977826*x^15 - 1148300767*x^14 + 5566525683*x^13 + 127231883*x^12 - 3703765287*x^11 + 405043993*x^10 + 1634725068*x^9 - 347025221*x^8 - 442506321*x^7 + 130972250*x^6 + 63822282*x^5 - 23739865*x^4 - 3569959*x^3 + 1713093*x^2 + 8610*x - 26604, x^39 - 6*x^38 - 46*x^37 + 335*x^36 + 858*x^35 - 8484*x^34 - 7210*x^33 + 129029*x^32 - 2230*x^31 - 1315014*x^30 + 725679*x^29 + 9489490*x^28 - 8794025*x^27 - 49939876*x^26 + 60895044*x^25 + 194426208*x^24 - 286571608*x^23 - 561574067*x^22 + 968393258*x^21 + 1193267041*x^20 - 2398688803*x^19 - 1821243794*x^18 + 4372775824*x^17 + 1890910488*x^16 - 5823977826*x^15 - 1148300767*x^14 + 5566525683*x^13 + 127231883*x^12 - 3703765287*x^11 + 405043993*x^10 + 1634725068*x^9 - 347025221*x^8 - 442506321*x^7 + 130972250*x^6 + 63822282*x^5 - 23739865*x^4 - 3569959*x^3 + 1713093*x^2 + 8610*x - 26604, x^39 - 5*x^38 - 52*x^37 + 292*x^36 + 1173*x^35 - 7745*x^34 - 14662*x^33 + 123541*x^32 + 102828*x^31 - 1322692*x^30 - 257900*x^29 + 10046264*x^28 - 2344109*x^27 - 55780748*x^26 + 30455980*x^25 + 229871071*x^24 - 182073718*x^23 - 706230279*x^22 + 708167304*x^21 + 1609187897*x^20 - 1937366204*x^19 - 2674474358*x^18 + 3817056144*x^17 + 3131497412*x^16 - 5422037799*x^15 - 2396201642*x^14 + 5476011975*x^13 + 954937906*x^12 - 3820693260*x^11 + 75388956*x^10 + 1754696935*x^9 - 284656633*x^8 - 489376780*x^7 + 131097802*x^6 + 71555461*x^5 - 25264175*x^4 - 3928996*x^3 + 1851927*x^2 + 2799*x - 30231, x^39 - 5*x^38 - 52*x^37 + 292*x^36 + 1173*x^35 - 7745*x^34 - 14662*x^33 + 123541*x^32 + 102828*x^31 - 1322692*x^30 - 257900*x^29 + 10046264*x^28 - 2344109*x^27 - 55780748*x^26 + 30455980*x^25 + 229871071*x^24 - 182073718*x^23 - 706230279*x^22 + 708167304*x^21 + 1609187897*x^20 - 1937366204*x^19 - 2674474358*x^18 + 3817056144*x^17 + 3131497412*x^16 - 5422037799*x^15 - 2396201642*x^14 + 5476011975*x^13 + 954937906*x^12 - 3820693260*x^11 + 75388956*x^10 + 1754696935*x^9 - 284656633*x^8 - 489376780*x^7 + 131097802*x^6 + 71555461*x^5 - 25264175*x^4 - 3928996*x^3 + 1851927*x^2 + 2799*x - 30231, x^39 - 5*x^38 - 52*x^37 + 291*x^36 + 1180*x^35 - 7707*x^34 - 15021*x^33 + 123047*x^32 + 111129*x^31 - 1322624*x^30 - 372366*x^29 + 10125612*x^28 - 1294756*x^27 - 56969685*x^26 + 23705429*x^25 + 239643107*x^24 - 150712556*x^23 - 759445667*x^22 + 601461323*x^21 + 1813253191*x^20 - 1670369260*x^19 - 3238742205*x^18 + 3327620652*x^17 + 4263331889*x^16 - 4771983787*x^15 - 4033295254*x^14 + 4862370398*x^13 + 2634266994*x^12 - 3421880924*x^11 - 1111942671*x^10 + 1586887063*x^9 + 268872541*x^8 - 450653243*x^7 - 27816570*x^6 + 69940593*x^5 - 136496*x^4 - 4953848*x^3 + 97716*x^2 + 110397*x + 3024, x^39 - 5*x^38 - 52*x^37 + 291*x^36 + 1180*x^35 - 7707*x^34 - 15021*x^33 + 123047*x^32 + 111129*x^31 - 1322624*x^30 - 372366*x^29 + 10125612*x^28 - 1294756*x^27 - 56969685*x^26 + 23705429*x^25 + 239643107*x^24 - 150712556*x^23 - 759445667*x^22 + 601461323*x^21 + 1813253191*x^20 - 1670369260*x^19 - 3238742205*x^18 + 3327620652*x^17 + 4263331889*x^16 - 4771983787*x^15 - 4033295254*x^14 + 4862370398*x^13 + 2634266994*x^12 - 3421880924*x^11 - 1111942671*x^10 + 1586887063*x^9 + 268872541*x^8 - 450653243*x^7 - 27816570*x^6 + 69940593*x^5 - 136496*x^4 - 4953848*x^3 + 97716*x^2 + 110397*x + 3024, x^38 - 6*x^37 - 43*x^36 + 317*x^35 + 733*x^34 - 7553*x^33 - 5188*x^32 + 107385*x^31 - 14473*x^30 - 1016058*x^29 + 649116*x^28 + 6757589*x^27 - 6682109*x^26 - 32538543*x^25 + 40885087*x^24 + 115169403*x^23 - 170458754*x^22 - 301312046*x^21 + 507308946*x^20 + 581537030*x^19 - 1096641278*x^18 - 820756440*x^17 + 1726499660*x^16 + 833718397*x^15 - 1964493432*x^14 - 594513260*x^13 + 1587432203*x^12 + 286091003*x^11 - 884334544*x^10 - 86594401*x^9 + 323939458*x^8 + 14042303*x^7 - 72346922*x^6 - 595206*x^5 + 8692038*x^4 - 77891*x^3 - 454182*x^2 + 1161*x + 7299, x^38 - 6*x^37 - 43*x^36 + 317*x^35 + 733*x^34 - 7553*x^33 - 5188*x^32 + 107385*x^31 - 14473*x^30 - 1016058*x^29 + 649116*x^28 + 6757589*x^27 - 6682109*x^26 - 32538543*x^25 + 40885087*x^24 + 115169403*x^23 - 170458754*x^22 - 301312046*x^21 + 507308946*x^20 + 581537030*x^19 - 1096641278*x^18 - 820756440*x^17 + 1726499660*x^16 + 833718397*x^15 - 1964493432*x^14 - 594513260*x^13 + 1587432203*x^12 + 286091003*x^11 - 884334544*x^10 - 86594401*x^9 + 323939458*x^8 + 14042303*x^7 - 72346922*x^6 - 595206*x^5 + 8692038*x^4 - 77891*x^3 - 454182*x^2 + 1161*x + 7299, x^38 - 6*x^37 - 43*x^36 + 317*x^35 + 735*x^34 - 7567*x^33 - 5252*x^32 + 108034*x^31 - 13962*x^30 - 1029309*x^29 + 656397*x^28 + 6914014*x^27 - 6887355*x^26 - 33715202*x^25 + 43125678*x^24 + 121009688*x^23 - 185175852*x^22 - 320264624*x^21 + 571725559*x^20 + 618509597*x^19 - 1291673570*x^18 - 847544878*x^17 + 2139696279*x^16 + 772768929*x^15 - 2574650432*x^14 - 388155654*x^13 + 2205052673*x^12 - 287005*x^11 - 1300163925*x^10 + 137265925*x^9 + 501529174*x^8 - 86679343*x^7 - 117091579*x^6 + 23752645*x^5 + 14770310*x^4 - 2785575*x^3 - 883389*x^2 + 114414*x + 17865, x^38 - 6*x^37 - 43*x^36 + 317*x^35 + 735*x^34 - 7567*x^33 - 5252*x^32 + 108034*x^31 - 13962*x^30 - 1029309*x^29 + 656397*x^28 + 6914014*x^27 - 6887355*x^26 - 33715202*x^25 + 43125678*x^24 + 121009688*x^23 - 185175852*x^22 - 320264624*x^21 + 571725559*x^20 + 618509597*x^19 - 1291673570*x^18 - 847544878*x^17 + 2139696279*x^16 + 772768929*x^15 - 2574650432*x^14 - 388155654*x^13 + 2205052673*x^12 - 287005*x^11 - 1300163925*x^10 + 137265925*x^9 + 501529174*x^8 - 86679343*x^7 - 117091579*x^6 + 23752645*x^5 + 14770310*x^4 - 2785575*x^3 - 883389*x^2 + 114414*x + 17865, x^38 - 6*x^37 - 42*x^36 + 312*x^35 + 689*x^34 - 7308*x^33 - 4337*x^32 + 101957*x^31 - 24005*x^30 - 943815*x^29 + 717778*x^28 + 6109455*x^27 - 7016022*x^26 - 28365684*x^25 + 41992877*x^24 + 95137485*x^23 - 172773389*x^22 - 227975798*x^21 + 508507626*x^20 + 374987390*x^19 - 1083873327*x^18 - 375364466*x^17 + 1666962784*x^16 + 111298187*x^15 - 1818544209*x^14 + 261381137*x^13 + 1362835278*x^12 - 424877101*x^11 - 665509426*x^10 + 305184288*x^9 + 193999165*x^8 - 118504205*x^7 - 28548950*x^6 + 23880690*x^5 + 1224096*x^4 - 2119144*x^3 + 65790*x^2 + 54738*x - 1881, x^38 - 6*x^37 - 42*x^36 + 312*x^35 + 689*x^34 - 7308*x^33 - 4337*x^32 + 101957*x^31 - 24005*x^30 - 943815*x^29 + 717778*x^28 + 6109455*x^27 - 7016022*x^26 - 28365684*x^25 + 41992877*x^24 + 95137485*x^23 - 172773389*x^22 - 227975798*x^21 + 508507626*x^20 + 374987390*x^19 - 1083873327*x^18 - 375364466*x^17 + 1666962784*x^16 + 111298187*x^15 - 1818544209*x^14 + 261381137*x^13 + 1362835278*x^12 - 424877101*x^11 - 665509426*x^10 + 305184288*x^9 + 193999165*x^8 - 118504205*x^7 - 28548950*x^6 + 23880690*x^5 + 1224096*x^4 - 2119144*x^3 + 65790*x^2 + 54738*x - 1881, x^38 - 5*x^37 - 49*x^36 + 275*x^35 + 1045*x^34 - 6868*x^33 - 12478*x^32 + 103208*x^31 + 86679*x^30 - 1042789*x^29 - 278612*x^28 + 7500328*x^27 - 761810*x^26 - 39674377*x^25 + 13969800*x^24 + 157278769*x^23 - 82917249*x^22 - 471853557*x^21 + 306989439*x^20 + 1074176756*x^19 - 791418961*x^18 - 1847926253*x^17 + 1469638229*x^16 + 2373960067*x^15 - 1978117149*x^14 - 2227633898*x^13 + 1908310592*x^12 + 1471421785*x^11 - 1282553878*x^10 - 643873150*x^9 + 571133492*x^8 + 168317568*x^7 - 155334938*x^6 - 21539203*x^5 + 22703118*x^4 + 772124*x^3 - 1478268*x^2 + 34836*x + 27045, x^38 - 5*x^37 - 49*x^36 + 275*x^35 + 1045*x^34 - 6868*x^33 - 12478*x^32 + 103208*x^31 + 86679*x^30 - 1042789*x^29 - 278612*x^28 + 7500328*x^27 - 761810*x^26 - 39674377*x^25 + 13969800*x^24 + 157278769*x^23 - 82917249*x^22 - 471853557*x^21 + 306989439*x^20 + 1074176756*x^19 - 791418961*x^18 - 1847926253*x^17 + 1469638229*x^16 + 2373960067*x^15 - 1978117149*x^14 - 2227633898*x^13 + 1908310592*x^12 + 1471421785*x^11 - 1282553878*x^10 - 643873150*x^9 + 571133492*x^8 + 168317568*x^7 - 155334938*x^6 - 21539203*x^5 + 22703118*x^4 + 772124*x^3 - 1478268*x^2 + 34836*x + 27045, x^38 - 4*x^37 - 56*x^36 + 239*x^35 + 1395*x^34 - 6471*x^33 - 20301*x^32 + 105185*x^31 + 189745*x^30 - 1146388*x^29 - 1166667*x^28 + 8861361*x^27 + 4481014*x^26 - 50118677*x^25 - 7573457*x^24 + 210958314*x^23 - 21995167*x^22 - 665785154*x^21 + 194845688*x^20 + 1575645465*x^19 - 682642312*x^18 - 2778148483*x^17 + 1494895920*x^16 + 3601376254*x^15 - 2215312564*x^14 - 3360434279*x^13 + 2251466478*x^12 + 2186425620*x^11 - 1547097777*x^10 - 945116194*x^9 + 694349804*x^8 + 250409731*x^7 - 191895155*x^6 - 34525419*x^5 + 29426249*x^4 + 1457703*x^3 - 1992156*x^2 + 43245*x + 34326, x^38 - 4*x^37 - 56*x^36 + 239*x^35 + 1395*x^34 - 6471*x^33 - 20301*x^32 + 105185*x^31 + 189745*x^30 - 1146388*x^29 - 1166667*x^28 + 8861361*x^27 + 4481014*x^26 - 50118677*x^25 - 7573457*x^24 + 210958314*x^23 - 21995167*x^22 - 665785154*x^21 + 194845688*x^20 + 1575645465*x^19 - 682642312*x^18 - 2778148483*x^17 + 1494895920*x^16 + 3601376254*x^15 - 2215312564*x^14 - 3360434279*x^13 + 2251466478*x^12 + 2186425620*x^11 - 1547097777*x^10 - 945116194*x^9 + 694349804*x^8 + 250409731*x^7 - 191895155*x^6 - 34525419*x^5 + 29426249*x^4 + 1457703*x^3 - 1992156*x^2 + 43245*x + 34326, x^38 - 5*x^37 - 48*x^36 + 270*x^35 + 998*x^34 - 6606*x^33 - 11506*x^32 + 96952*x^31 + 75211*x^30 - 952574*x^29 - 196662*x^28 + 6623071*x^27 - 1080600*x^26 - 33596090*x^25 + 14015669*x^24 + 126381764*x^23 - 75485760*x^22 - 355013879*x^21 + 257777338*x^20 + 744380674*x^19 - 607809957*x^18 - 1156878514*x^17 + 1013115455*x^16 + 1314228630*x^15 - 1191860529*x^14 - 1067463614*x^13 + 970949726*x^12 + 600281657*x^11 - 527576022*x^10 - 223777148*x^9 + 179544167*x^8 + 52771822*x^7 - 34595651*x^6 - 7782872*x^5 + 3273718*x^4 + 728344*x^3 - 130347*x^2 - 31098*x + 1071, x^38 - 5*x^37 - 48*x^36 + 270*x^35 + 998*x^34 - 6606*x^33 - 11506*x^32 + 96952*x^31 + 75211*x^30 - 952574*x^29 - 196662*x^28 + 6623071*x^27 - 1080600*x^26 - 33596090*x^25 + 14015669*x^24 + 126381764*x^23 - 75485760*x^22 - 355013879*x^21 + 257777338*x^20 + 744380674*x^19 - 607809957*x^18 - 1156878514*x^17 + 1013115455*x^16 + 1314228630*x^15 - 1191860529*x^14 - 1067463614*x^13 + 970949726*x^12 + 600281657*x^11 - 527576022*x^10 - 223777148*x^9 + 179544167*x^8 + 52771822*x^7 - 34595651*x^6 - 7782872*x^5 + 3273718*x^4 + 728344*x^3 - 130347*x^2 - 31098*x + 1071, x^37 - 5*x^36 - 46*x^35 + 260*x^34 + 910*x^33 - 6094*x^32 - 9906*x^31 + 85238*x^30 + 60692*x^29 - 794192*x^28 - 149383*x^27 + 5212817*x^26 - 703551*x^25 - 24872999*x^24 + 8356170*x^23 + 87849846*x^22 - 39707804*x^21 - 231964538*x^20 + 116356043*x^19 + 459983619*x^18 - 227661800*x^17 - 685265824*x^16 + 301789852*x^15 + 763411081*x^14 - 267743878*x^13 - 627173103*x^12 + 154790953*x^11 + 367816522*x^10 - 56843821*x^9 - 144380426*x^8 + 13451508*x^7 + 33951991*x^6 - 2288883*x^5 - 3963686*x^4 + 292377*x^3 + 135090*x^2 - 20538*x + 3843, x^37 - 5*x^36 - 46*x^35 + 260*x^34 + 910*x^33 - 6094*x^32 - 9906*x^31 + 85238*x^30 + 60692*x^29 - 794192*x^28 - 149383*x^27 + 5212817*x^26 - 703551*x^25 - 24872999*x^24 + 8356170*x^23 + 87849846*x^22 - 39707804*x^21 - 231964538*x^20 + 116356043*x^19 + 459983619*x^18 - 227661800*x^17 - 685265824*x^16 + 301789852*x^15 + 763411081*x^14 - 267743878*x^13 - 627173103*x^12 + 154790953*x^11 + 367816522*x^10 - 56843821*x^9 - 144380426*x^8 + 13451508*x^7 + 33951991*x^6 - 2288883*x^5 - 3963686*x^4 + 292377*x^3 + 135090*x^2 - 20538*x + 3843, x^37 - 5*x^36 - 47*x^35 + 265*x^34 + 958*x^33 - 6364*x^32 - 10890*x^31 + 91772*x^30 + 71674*x^29 - 888009*x^28 - 216374*x^27 + 6104117*x^26 - 573435*x^25 - 30786008*x^24 + 9672031*x^23 + 116018477*x^22 - 53129894*x^21 - 329542609*x^20 + 180571506*x^19 + 706171672*x^18 - 422275482*x^17 - 1134198008*x^16 + 700098595*x^15 + 1345221741*x^14 - 824047417*x^13 - 1148753968*x^12 + 676932429*x^11 + 678818436*x^10 - 374465806*x^9 - 261245245*x^8 + 131185708*x^7 + 59813526*x^6 - 26164912*x^5 - 7254773*x^4 + 2432962*x^3 + 437178*x^2 - 80967*x - 8595, x^37 - 5*x^36 - 47*x^35 + 265*x^34 + 958*x^33 - 6364*x^32 - 10890*x^31 + 91772*x^30 + 71674*x^29 - 888009*x^28 - 216374*x^27 + 6104117*x^26 - 573435*x^25 - 30786008*x^24 + 9672031*x^23 + 116018477*x^22 - 53129894*x^21 - 329542609*x^20 + 180571506*x^19 + 706171672*x^18 - 422275482*x^17 - 1134198008*x^16 + 700098595*x^15 + 1345221741*x^14 - 824047417*x^13 - 1148753968*x^12 + 676932429*x^11 + 678818436*x^10 - 374465806*x^9 - 261245245*x^8 + 131185708*x^7 + 59813526*x^6 - 26164912*x^5 - 7254773*x^4 + 2432962*x^3 + 437178*x^2 - 80967*x - 8595, 2*x^37 - 12*x^36 - 81*x^35 + 605*x^34 + 1266*x^33 - 13687*x^32 - 7217*x^31 + 183679*x^30 - 49847*x^29 - 1628704*x^28 + 1256697*x^27 + 10058737*x^26 - 11404299*x^25 - 44416828*x^24 + 63675637*x^23 + 141528129*x^22 - 243593837*x^21 - 323467520*x^20 + 662906287*x^19 + 516644763*x^18 - 1297781503*x^17 - 538932952*x^16 + 1819633873*x^15 + 293694300*x^14 - 1794943087*x^13 + 37651233*x^12 + 1205329927*x^11 - 185855818*x^10 - 522294923*x^9 + 132230737*x^8 + 133893059*x^7 - 44582728*x^6 - 17332447*x^5 + 7393111*x^4 + 718474*x^3 - 519411*x^2 + 15315*x + 9198, 2*x^37 - 12*x^36 - 81*x^35 + 605*x^34 + 1266*x^33 - 13687*x^32 - 7217*x^31 + 183679*x^30 - 49847*x^29 - 1628704*x^28 + 1256697*x^27 + 10058737*x^26 - 11404299*x^25 - 44416828*x^24 + 63675637*x^23 + 141528129*x^22 - 243593837*x^21 - 323467520*x^20 + 662906287*x^19 + 516644763*x^18 - 1297781503*x^17 - 538932952*x^16 + 1819633873*x^15 + 293694300*x^14 - 1794943087*x^13 + 37651233*x^12 + 1205329927*x^11 - 185855818*x^10 - 522294923*x^9 + 132230737*x^8 + 133893059*x^7 - 44582728*x^6 - 17332447*x^5 + 7393111*x^4 + 718474*x^3 - 519411*x^2 + 15315*x + 9198, 2*x^37 - 11*x^36 - 88*x^35 + 571*x^34 + 1607*x^33 - 13385*x^32 - 14558*x^31 + 187520*x^30 + 41946*x^29 - 1751331*x^28 + 521306*x^27 + 11515455*x^26 - 7497868*x^25 - 54871895*x^24 + 50122582*x^23 + 192070140*x^22 - 216291795*x^21 - 494812131*x^20 + 651909189*x^19 + 929234565*x^18 - 1408031537*x^17 - 1240679349*x^16 + 2185799744*x^15 + 1115987604*x^14 - 2408747318*x^13 - 589760217*x^12 + 1832925934*x^11 + 85996113*x^10 - 918430980*x^9 + 96290279*x^8 + 280064312*x^7 - 62508832*x^6 - 45265739*x^5 + 14227610*x^4 + 2917275*x^3 - 1138944*x^2 - 25806*x + 17406, 2*x^37 - 11*x^36 - 88*x^35 + 571*x^34 + 1607*x^33 - 13385*x^32 - 14558*x^31 + 187520*x^30 + 41946*x^29 - 1751331*x^28 + 521306*x^27 + 11515455*x^26 - 7497868*x^25 - 54871895*x^24 + 50122582*x^23 + 192070140*x^22 - 216291795*x^21 - 494812131*x^20 + 651909189*x^19 + 929234565*x^18 - 1408031537*x^17 - 1240679349*x^16 + 2185799744*x^15 + 1115987604*x^14 - 2408747318*x^13 - 589760217*x^12 + 1832925934*x^11 + 85996113*x^10 - 918430980*x^9 + 96290279*x^8 + 280064312*x^7 - 62508832*x^6 - 45265739*x^5 + 14227610*x^4 + 2917275*x^3 - 1138944*x^2 - 25806*x + 17406, x^37 - 4*x^36 - 52*x^35 + 221*x^34 + 1203*x^33 - 5520*x^32 - 16276*x^31 + 82480*x^30 + 142097*x^29 - 822495*x^28 - 829146*x^27 + 5784485*x^26 + 3193433*x^25 - 29573982*x^24 - 7303955*x^23 + 111715677*x^22 + 4381335*x^21 - 313935973*x^20 + 31624377*x^19 + 655959853*x^18 - 124989112*x^17 - 1011846341*x^16 + 244484423*x^15 + 1135979433*x^14 - 297780812*x^13 - 907276576*x^12 + 234785789*x^11 + 498180634*x^10 - 118475382*x^9 - 179007015*x^8 + 36761652*x^7 + 39383702*x^6 - 6593745*x^5 - 4914260*x^4 + 633988*x^3 + 313899*x^2 - 24810*x - 7722, x^37 - 4*x^36 - 52*x^35 + 221*x^34 + 1203*x^33 - 5520*x^32 - 16276*x^31 + 82480*x^30 + 142097*x^29 - 822495*x^28 - 829146*x^27 + 5784485*x^26 + 3193433*x^25 - 29573982*x^24 - 7303955*x^23 + 111715677*x^22 + 4381335*x^21 - 313935973*x^20 + 31624377*x^19 + 655959853*x^18 - 124989112*x^17 - 1011846341*x^16 + 244484423*x^15 + 1135979433*x^14 - 297780812*x^13 - 907276576*x^12 + 234785789*x^11 + 498180634*x^10 - 118475382*x^9 - 179007015*x^8 + 36761652*x^7 + 39383702*x^6 - 6593745*x^5 - 4914260*x^4 + 633988*x^3 + 313899*x^2 - 24810*x - 7722, x^37 - 4*x^36 - 53*x^35 + 229*x^34 + 1229*x^33 - 5878*x^32 - 16291*x^31 + 89625*x^30 + 134022*x^29 - 906291*x^28 - 675205*x^27 + 6423881*x^26 + 1644940*x^25 - 32882557*x^24 + 2799782*x^23 + 123362374*x^22 - 41468059*x^21 - 340531871*x^20 + 180547136*x^19 + 687744836*x^18 - 474233971*x^17 - 999759387*x^16 + 832765168*x^15 + 1013884512*x^14 - 996911599*x^13 - 676822878*x^12 + 802173698*x^11 + 262048728*x^10 - 416473981*x^9 - 36067128*x^8 + 129164057*x^7 - 10288283*x^6 - 20590009*x^5 + 4018760*x^4 + 1164716*x^3 - 330414*x^2 - 3309*x + 3186, x^37 - 4*x^36 - 53*x^35 + 229*x^34 + 1229*x^33 - 5878*x^32 - 16291*x^31 + 89625*x^30 + 134022*x^29 - 906291*x^28 - 675205*x^27 + 6423881*x^26 + 1644940*x^25 - 32882557*x^24 + 2799782*x^23 + 123362374*x^22 - 41468059*x^21 - 340531871*x^20 + 180547136*x^19 + 687744836*x^18 - 474233971*x^17 - 999759387*x^16 + 832765168*x^15 + 1013884512*x^14 - 996911599*x^13 - 676822878*x^12 + 802173698*x^11 + 262048728*x^10 - 416473981*x^9 - 36067128*x^8 + 129164057*x^7 - 10288283*x^6 - 20590009*x^5 + 4018760*x^4 + 1164716*x^3 - 330414*x^2 - 3309*x + 3186, x^36 - 5*x^35 - 44*x^34 + 256*x^33 + 802*x^32 - 5871*x^31 - 7315*x^30 + 79769*x^29 + 23996*x^28 - 715626*x^27 + 194073*x^26 + 4472111*x^25 - 2954935*x^24 - 20015602*x^23 + 19035273*x^22 + 64966173*x^21 - 77016930*x^20 - 153177788*x^19 + 213019625*x^18 + 260479728*x^17 - 412863467*x^16 - 314791739*x^15 + 560770121*x^14 + 265120969*x^13 - 525364674*x^12 - 153060270*x^11 + 329310089*x^10 + 60689357*x^9 - 131480935*x^8 - 16851964*x^7 + 30674337*x^6 + 3225265*x^5 - 3485401*x^4 - 421007*x^3 + 119745*x^2 + 27492*x + 423, x^36 - 5*x^35 - 44*x^34 + 256*x^33 + 802*x^32 - 5871*x^31 - 7315*x^30 + 79769*x^29 + 23996*x^28 - 715626*x^27 + 194073*x^26 + 4472111*x^25 - 2954935*x^24 - 20015602*x^23 + 19035273*x^22 + 64966173*x^21 - 77016930*x^20 - 153177788*x^19 + 213019625*x^18 + 260479728*x^17 - 412863467*x^16 - 314791739*x^15 + 560770121*x^14 + 265120969*x^13 - 525364674*x^12 - 153060270*x^11 + 329310089*x^10 + 60689357*x^9 - 131480935*x^8 - 16851964*x^7 + 30674337*x^6 + 3225265*x^5 - 3485401*x^4 - 421007*x^3 + 119745*x^2 + 27492*x + 423, x^36 - 5*x^35 - 42*x^34 + 245*x^33 + 726*x^32 - 5372*x^31 - 6136*x^30 + 69626*x^29 + 15238*x^28 - 593523*x^27 + 209803*x^26 + 3502629*x^25 - 2667639*x^24 - 14663242*x^23 + 16027481*x^22 + 43851909*x^21 - 61611444*x^20 - 92909431*x^19 + 163226416*x^18 + 135622352*x^17 - 305399676*x^16 - 127645783*x^15 + 405381274*x^14 + 63449103*x^13 - 379366276*x^12 + 2173012*x^11 + 246879683*x^10 - 24045364*x^9 - 109098221*x^8 + 15307161*x^7 + 31113141*x^6 - 4842506*x^5 - 5082575*x^4 + 789791*x^3 + 365244*x^2 - 42042*x - 9270, x^36 - 5*x^35 - 42*x^34 + 245*x^33 + 726*x^32 - 5372*x^31 - 6136*x^30 + 69626*x^29 + 15238*x^28 - 593523*x^27 + 209803*x^26 + 3502629*x^25 - 2667639*x^24 - 14663242*x^23 + 16027481*x^22 + 43851909*x^21 - 61611444*x^20 - 92909431*x^19 + 163226416*x^18 + 135622352*x^17 - 305399676*x^16 - 127645783*x^15 + 405381274*x^14 + 63449103*x^13 - 379366276*x^12 + 2173012*x^11 + 246879683*x^10 - 24045364*x^9 - 109098221*x^8 + 15307161*x^7 + 31113141*x^6 - 4842506*x^5 - 5082575*x^4 + 789791*x^3 + 365244*x^2 - 42042*x - 9270, 2*x^36 - 11*x^35 - 80*x^34 + 529*x^33 + 1285*x^32 - 11389*x^31 - 9260*x^30 + 145058*x^29 + 190*x^28 - 1217071*x^27 + 598754*x^26 + 7089879*x^25 - 5885964*x^24 - 29449109*x^23 + 31967354*x^22 + 88177546*x^21 - 114375775*x^20 - 190133499*x^19 + 283651747*x^18 + 291563631*x^17 - 494278495*x^16 - 309539213*x^15 + 601657420*x^14 + 216322260*x^13 - 500859070*x^12 - 89408443*x^11 + 274654468*x^10 + 14883139*x^9 - 93479020*x^8 + 3223551*x^7 + 17878862*x^6 - 1870208*x^5 - 1580539*x^4 + 251856*x^3 + 38751*x^2 - 6234*x + 810, 2*x^36 - 11*x^35 - 80*x^34 + 529*x^33 + 1285*x^32 - 11389*x^31 - 9260*x^30 + 145058*x^29 + 190*x^28 - 1217071*x^27 + 598754*x^26 + 7089879*x^25 - 5885964*x^24 - 29449109*x^23 + 31967354*x^22 + 88177546*x^21 - 114375775*x^20 - 190133499*x^19 + 283651747*x^18 + 291563631*x^17 - 494278495*x^16 - 309539213*x^15 + 601657420*x^14 + 216322260*x^13 - 500859070*x^12 - 89408443*x^11 + 274654468*x^10 + 14883139*x^9 - 93479020*x^8 + 3223551*x^7 + 17878862*x^6 - 1870208*x^5 - 1580539*x^4 + 251856*x^3 + 38751*x^2 - 6234*x + 810, x^36 - 2*x^35 - 62*x^34 + 143*x^33 + 1650*x^32 - 4244*x^31 - 25147*x^30 + 71433*x^29 + 245232*x^28 - 772754*x^27 - 1609866*x^26 + 5726598*x^25 + 7240327*x^24 - 30111814*x^23 - 22021702*x^22 + 114484345*x^21 + 42282676*x^20 - 317231645*x^19 - 37512021*x^18 + 640346050*x^17 - 35686886*x^16 - 933989924*x^15 + 161163771*x^14 + 968651737*x^13 - 236672306*x^12 - 696069160*x^11 + 193995298*x^10 + 332999812*x^9 - 93620607*x^8 - 99482410*x^7 + 25534582*x^6 + 16595469*x^5 - 3492251*x^4 - 1217791*x^3 + 162507*x^2 + 20541*x + 1620, x^36 - 2*x^35 - 62*x^34 + 143*x^33 + 1650*x^32 - 4244*x^31 - 25147*x^30 + 71433*x^29 + 245232*x^28 - 772754*x^27 - 1609866*x^26 + 5726598*x^25 + 7240327*x^24 - 30111814*x^23 - 22021702*x^22 + 114484345*x^21 + 42282676*x^20 - 317231645*x^19 - 37512021*x^18 + 640346050*x^17 - 35686886*x^16 - 933989924*x^15 + 161163771*x^14 + 968651737*x^13 - 236672306*x^12 - 696069160*x^11 + 193995298*x^10 + 332999812*x^9 - 93620607*x^8 - 99482410*x^7 + 25534582*x^6 + 16595469*x^5 - 3492251*x^4 - 1217791*x^3 + 162507*x^2 + 20541*x + 1620, x^35 - 3*x^34 - 45*x^33 + 132*x^32 + 904*x^31 - 2517*x^30 - 10824*x^29 + 26985*x^28 + 87798*x^27 - 174007*x^26 - 526661*x^25 + 633873*x^24 + 2511259*x^23 - 636359*x^22 - 9964083*x^21 - 5853109*x^20 + 32894037*x^19 + 35109898*x^18 - 86960015*x^17 - 102530414*x^16 + 175275286*x^15 + 187171590*x^14 - 257410832*x^13 - 223525466*x^12 + 263427200*x^11 + 173084766*x^10 - 177816525*x^9 - 83550160*x^8 + 73060623*x^7 + 23732834*x^6 - 16116173*x^5 - 3793270*x^4 + 1580588*x^3 + 332166*x^2 - 49818*x - 11835, x^35 - 3*x^34 - 45*x^33 + 132*x^32 + 904*x^31 - 2517*x^30 - 10824*x^29 + 26985*x^28 + 87798*x^27 - 174007*x^26 - 526661*x^25 + 633873*x^24 + 2511259*x^23 - 636359*x^22 - 9964083*x^21 - 5853109*x^20 + 32894037*x^19 + 35109898*x^18 - 86960015*x^17 - 102530414*x^16 + 175275286*x^15 + 187171590*x^14 - 257410832*x^13 - 223525466*x^12 + 263427200*x^11 + 173084766*x^10 - 177816525*x^9 - 83550160*x^8 + 73060623*x^7 + 23732834*x^6 - 16116173*x^5 - 3793270*x^4 + 1580588*x^3 + 332166*x^2 - 49818*x - 11835, x^35 - x^34 - 63*x^33 + 91*x^32 + 1687*x^31 - 2952*x^30 - 25872*x^29 + 51581*x^28 + 255658*x^27 - 566699*x^26 - 1724723*x^25 + 4223524*x^24 + 8167844*x^23 - 22247314*x^22 - 27345043*x^21 + 84639859*x^20 + 63769545*x^19 - 234613789*x^18 - 98241652*x^17 + 473004499*x^16 + 83704983*x^15 - 685461702*x^14 - 209964*x^13 + 697638299*x^12 - 88908064*x^11 - 480211931*x^10 + 103179411*x^9 + 211078622*x^8 - 55837794*x^7 - 54459560*x^6 + 14919655*x^5 + 7335949*x^4 - 1753220*x^3 - 439764*x^2 + 70779*x + 7992, x^35 - x^34 - 63*x^33 + 91*x^32 + 1687*x^31 - 2952*x^30 - 25872*x^29 + 51581*x^28 + 255658*x^27 - 566699*x^26 - 1724723*x^25 + 4223524*x^24 + 8167844*x^23 - 22247314*x^22 - 27345043*x^21 + 84639859*x^20 + 63769545*x^19 - 234613789*x^18 - 98241652*x^17 + 473004499*x^16 + 83704983*x^15 - 685461702*x^14 - 209964*x^13 + 697638299*x^12 - 88908064*x^11 - 480211931*x^10 + 103179411*x^9 + 211078622*x^8 - 55837794*x^7 - 54459560*x^6 + 14919655*x^5 + 7335949*x^4 - 1753220*x^3 - 439764*x^2 + 70779*x + 7992, 3*x^35 - 14*x^34 - 128*x^33 + 668*x^32 + 2348*x^31 - 14296*x^30 - 23792*x^29 + 181604*x^28 + 138229*x^27 - 1527704*x^26 - 367616*x^25 + 8993784*x^24 - 762442*x^23 - 38197138*x^22 + 11243814*x^21 + 118964082*x^20 - 50751930*x^19 - 273648004*x^18 + 137283132*x^17 + 464905343*x^16 - 246637905*x^15 - 579570964*x^14 + 301076435*x^13 + 522915608*x^12 - 247569420*x^11 - 333503056*x^10 + 132908431*x^9 + 144694942*x^8 - 44101557*x^7 - 40169778*x^6 + 8379963*x^5 + 6458106*x^4 - 864526*x^3 - 484182*x^2 + 40689*x + 10215, 3*x^35 - 14*x^34 - 128*x^33 + 668*x^32 + 2348*x^31 - 14296*x^30 - 23792*x^29 + 181604*x^28 + 138229*x^27 - 1527704*x^26 - 367616*x^25 + 8993784*x^24 - 762442*x^23 - 38197138*x^22 + 11243814*x^21 + 118964082*x^20 - 50751930*x^19 - 273648004*x^18 + 137283132*x^17 + 464905343*x^16 - 246637905*x^15 - 579570964*x^14 + 301076435*x^13 + 522915608*x^12 - 247569420*x^11 - 333503056*x^10 + 132908431*x^9 + 144694942*x^8 - 44101557*x^7 - 40169778*x^6 + 8379963*x^5 + 6458106*x^4 - 864526*x^3 - 484182*x^2 + 40689*x + 10215, x^35 + 2*x^34 - 79*x^33 - 30*x^32 + 2450*x^31 - 992*x^30 - 41960*x^29 + 36817*x^28 + 453821*x^27 - 546727*x^26 - 3311577*x^25 + 4832321*x^24 + 16867984*x^23 - 28362997*x^22 - 60855199*x^21 + 115764076*x^20 + 155393649*x^19 - 335089538*x^18 - 276050127*x^17 + 690669167*x^16 + 326688043*x^15 - 1005352543*x^14 - 231235603*x^13 + 1012317340*x^12 + 62717836*x^11 - 680211380*x^10 + 33577008*x^9 + 288091718*x^8 - 32475825*x^7 - 70523344*x^6 + 9097638*x^5 + 8859259*x^4 - 827415*x^3 - 501729*x^2 + 10491*x + 11412, x^35 + 2*x^34 - 79*x^33 - 30*x^32 + 2450*x^31 - 992*x^30 - 41960*x^29 + 36817*x^28 + 453821*x^27 - 546727*x^26 - 3311577*x^25 + 4832321*x^24 + 16867984*x^23 - 28362997*x^22 - 60855199*x^21 + 115764076*x^20 + 155393649*x^19 - 335089538*x^18 - 276050127*x^17 + 690669167*x^16 + 326688043*x^15 - 1005352543*x^14 - 231235603*x^13 + 1012317340*x^12 + 62717836*x^11 - 680211380*x^10 + 33577008*x^9 + 288091718*x^8 - 32475825*x^7 - 70523344*x^6 + 9097638*x^5 + 8859259*x^4 - 827415*x^3 - 501729*x^2 + 10491*x + 11412, 3*x^34 - 5*x^33 - 177*x^32 + 365*x^31 + 4381*x^30 - 10404*x^29 - 61014*x^28 + 163243*x^27 + 534620*x^26 - 1614267*x^25 - 3091833*x^24 + 10764158*x^23 + 11903040*x^22 - 50187090*x^21 - 29296341*x^20 + 166611179*x^19 + 38051857*x^18 - 396013045*x^17 + 9075362*x^16 + 670346229*x^15 - 138017235*x^14 - 794810820*x^13 + 272450788*x^12 + 640129765*x^11 - 287622838*x^10 - 332565301*x^9 + 179503795*x^8 + 101870440*x^7 - 64679914*x^6 - 15278278*x^5 + 12133095*x^4 + 585277*x^3 - 927834*x^2 + 27114*x + 17973, 3*x^34 - 5*x^33 - 177*x^32 + 365*x^31 + 4381*x^30 - 10404*x^29 - 61014*x^28 + 163243*x^27 + 534620*x^26 - 1614267*x^25 - 3091833*x^24 + 10764158*x^23 + 11903040*x^22 - 50187090*x^21 - 29296341*x^20 + 166611179*x^19 + 38051857*x^18 - 396013045*x^17 + 9075362*x^16 + 670346229*x^15 - 138017235*x^14 - 794810820*x^13 + 272450788*x^12 + 640129765*x^11 - 287622838*x^10 - 332565301*x^9 + 179503795*x^8 + 101870440*x^7 - 64679914*x^6 - 15278278*x^5 + 12133095*x^4 + 585277*x^3 - 927834*x^2 + 27114*x + 17973]>
       ]
>;

MOG[859] := 	// J_0(859)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [6, 10, 61, 98, 168, 333, 450, 485, 499, 587, 590, 640, 643, 785, 441*x + 770, 418*x + 770, 100*x + 429, 759*x + 429, 498*x + 337, 361*x + 337, 396*x + 778, 463*x + 778, 588*x + 227, 271*x + 227, 444*x + 246, 415*x + 246, 50*x + 120, 809*x + 120, 595*x + 498, 264*x + 498, 629*x + 435, 230*x + 435, 310*x + 736, 549*x + 736, 107*x + 631, 752*x + 631, 91*x + 235, 768*x + 235, 577*x + 781, 282*x + 781, 642*x + 19, 217*x + 19, 569*x + 659, 290*x + 659, 775*x + 236, 84*x + 236, 515*x + 807, 344*x + 807, 275*x + 140, 584*x + 140, 303*x + 583, 556*x + 583, 566*x + 460, 293*x + 460, x + 567, 858*x + 567, 83*x + 136, 776*x + 136, 795*x + 439, 64*x + 439, 641*x + 824, 218*x + 824, 634*x + 728, 225*x + 728, 778*x + 329, 81*x + 329, 187*x + 590, 672*x + 590, 677*x + 587, 182*x + 587, 434*x + 289, 425*x + 289]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^29 + 10*x^28 + 11*x^27 - 201*x^26 - 639*x^25 + 1379*x^24 + 8131*x^23 - 1221*x^22 - 52280*x^21 - 37112*x^20 + 197613*x^19 + 255017*x^18 - 454866*x^17 - 855797*x^16 + 609080*x^15 + 1740283*x^14 - 356217*x^13 - 2269187*x^12 - 181974*x^11 + 1919504*x^10 + 487957*x^9 - 1037295*x^8 - 377746*x^7 + 342369*x^6 + 147606*x^5 - 62919*x^4 - 28904*x^3 + 5277*x^2 + 2219*x - 106,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^28 - 10*x^27 - 13*x^26 + 181*x^25 + 609*x^24 - 1055*x^23 - 6961*x^22 - 285*x^21 + 40290*x^20 + 33525*x^19 - 136057*x^18 - 189328*x^17 + 275924*x^16 + 551183*x^15 - 317071*x^14 - 975615*x^13 + 144426*x^12 + 1097484*x^11 + 95844*x^10 - 788799*x^9 - 174079*x^8 + 354937*x^7 + 102905*x^6 - 95110*x^5 - 29576*x^4 + 13685*x^3 + 3928*x^2 - 807*x - 170, x^28 + 10*x^27 + 13*x^26 - 181*x^25 - 609*x^24 + 1055*x^23 + 6961*x^22 + 285*x^21 - 40290*x^20 - 33525*x^19 + 136057*x^18 + 189328*x^17 - 275924*x^16 - 551183*x^15 + 317071*x^14 + 975615*x^13 - 144426*x^12 - 1097484*x^11 - 95844*x^10 + 788799*x^9 + 174079*x^8 - 354937*x^7 - 102905*x^6 + 95110*x^5 + 29576*x^4 - 13685*x^3 - 3928*x^2 + 807*x + 170, -x^27 - 10*x^26 - 15*x^25 + 162*x^24 + 585*x^23 - 753*x^22 - 5995*x^21 - 1793*x^20 + 30779*x^19 + 32822*x^18 - 89565*x^17 - 152214*x^16 + 146985*x^15 + 382975*x^14 - 109838*x^13 - 591334*x^12 - 36072*x^11 + 580636*x^10 + 152658*x^9 - 361698*x^8 - 139598*x^7 + 137963*x^6 + 63113*x^5 - 29669*x^4 - 14318*x^3 + 2998*x^2 + 1285*x - 82, x^27 + 10*x^26 + 15*x^25 - 162*x^24 - 585*x^23 + 753*x^22 + 5995*x^21 + 1793*x^20 - 30779*x^19 - 32822*x^18 + 89565*x^17 + 152214*x^16 - 146985*x^15 - 382975*x^14 + 109838*x^13 + 591334*x^12 + 36072*x^11 - 580636*x^10 - 152658*x^9 + 361698*x^8 + 139598*x^7 - 137963*x^6 - 63113*x^5 + 29669*x^4 + 14318*x^3 - 2998*x^2 - 1285*x + 82, -x^27 - 10*x^26 - 15*x^25 + 162*x^24 + 585*x^23 - 753*x^22 - 5995*x^21 - 1794*x^20 + 30777*x^19 + 32867*x^18 - 89377*x^17 - 152400*x^16 + 145024*x^15 + 381693*x^14 - 101953*x^13 - 580369*x^12 - 50058*x^11 + 550069*x^10 + 161220*x^9 - 320660*x^8 - 135243*x^7 + 109296*x^6 + 54917*x^5 - 19565*x^4 - 10658*x^3 + 1472*x^2 + 764*x - 24, x^27 + 10*x^26 + 15*x^25 - 162*x^24 - 585*x^23 + 753*x^22 + 5995*x^21 + 1794*x^20 - 30777*x^19 - 32867*x^18 + 89377*x^17 + 152400*x^16 - 145024*x^15 - 381693*x^14 + 101953*x^13 + 580369*x^12 + 50058*x^11 - 550069*x^10 - 161220*x^9 + 320660*x^8 + 135243*x^7 - 109296*x^6 - 54917*x^5 + 19565*x^4 + 10658*x^3 - 1472*x^2 - 764*x + 24, -x^26 - 9*x^25 - 7*x^24 + 160*x^23 + 417*x^22 - 1018*x^21 - 4561*x^20 + 1895*x^19 + 24590*x^18 + 9107*x^17 - 77115*x^16 - 62794*x^15 + 148815*x^14 + 169497*x^13 - 179495*x^12 - 259732*x^11 + 133458*x^10 + 244865*x^9 - 57034*x^8 - 143806*x^7 + 10545*x^6 + 50903*x^5 + 1022*x^4 - 9857*x^3 - 705*x^2 + 800*x + 76, x^26 + 9*x^25 + 7*x^24 - 160*x^23 - 417*x^22 + 1018*x^21 + 4561*x^20 - 1895*x^19 - 24590*x^18 - 9107*x^17 + 77115*x^16 + 62794*x^15 - 148815*x^14 - 169497*x^13 + 179495*x^12 + 259732*x^11 - 133458*x^10 - 244865*x^9 + 57034*x^8 + 143806*x^7 - 10545*x^6 - 50903*x^5 - 1022*x^4 + 9857*x^3 + 705*x^2 - 800*x - 76, -x^26 - 10*x^25 - 17*x^24 + 142*x^23 + 549*x^22 - 490*x^21 - 4950*x^20 - 2598*x^19 + 21902*x^18 + 28007*x^17 - 51824*x^16 - 105414*x^15 + 58418*x^14 + 214784*x^13 - 1003*x^12 - 257116*x^11 - 76644*x^10 + 182236*x^9 + 91515*x^8 - 73168*x^7 - 50337*x^6 + 14538*x^5 + 14236*x^4 - 830*x^3 - 1938*x^2 - 75*x + 94, x^26 + 10*x^25 + 17*x^24 - 142*x^23 - 549*x^22 + 490*x^21 + 4950*x^20 + 2598*x^19 - 21902*x^18 - 28007*x^17 + 51824*x^16 + 105414*x^15 - 58418*x^14 - 214784*x^13 + 1003*x^12 + 257116*x^11 + 76644*x^10 - 182236*x^9 - 91515*x^8 + 73168*x^7 + 50337*x^6 - 14538*x^5 - 14236*x^4 + 830*x^3 + 1938*x^2 + 75*x - 94, -x^26 - 9*x^25 - 7*x^24 + 159*x^23 + 407*x^22 - 1040*x^21 - 4466*x^20 + 2360*x^19 + 24611*x^18 + 6195*x^17 - 80525*x^16 - 54740*x^15 + 165560*x^14 + 160791*x^13 - 216634*x^12 - 262914*x^11 + 177249*x^10 + 260430*x^9 - 85778*x^8 - 157355*x^7 + 21058*x^6 + 55836*x^5 - 1097*x^4 - 10524*x^3 - 452*x^2 + 804*x + 56, x^26 + 9*x^25 + 7*x^24 - 159*x^23 - 407*x^22 + 1040*x^21 + 4466*x^20 - 2360*x^19 - 24611*x^18 - 6195*x^17 + 80525*x^16 + 54740*x^15 - 165560*x^14 - 160791*x^13 + 216634*x^12 + 262914*x^11 - 177249*x^10 - 260430*x^9 + 85778*x^8 + 157355*x^7 - 21058*x^6 - 55836*x^5 + 1097*x^4 + 10524*x^3 + 452*x^2 - 804*x - 56, -x^26 - 10*x^25 - 17*x^24 + 143*x^23 + 559*x^22 - 469*x^21 - 5047*x^20 - 3018*x^19 + 22069*x^18 + 30733*x^17 - 50375*x^16 - 114750*x^15 + 49558*x^14 + 234455*x^13 + 22150*x^12 - 284501*x^11 - 111873*x^10 + 207709*x^9 + 124614*x^8 - 88286*x^7 - 69046*x^6 + 19709*x^5 + 20015*x^4 - 1689*x^3 - 2712*x^2 - 21*x + 114, x^26 + 10*x^25 + 17*x^24 - 143*x^23 - 559*x^22 + 469*x^21 + 5047*x^20 + 3018*x^19 - 22069*x^18 - 30733*x^17 + 50375*x^16 + 114750*x^15 - 49558*x^14 - 234455*x^13 - 22150*x^12 + 284501*x^11 + 111873*x^10 - 207709*x^9 - 124614*x^8 + 88286*x^7 + 69046*x^6 - 19709*x^5 - 20015*x^4 + 1689*x^3 + 2712*x^2 + 21*x - 114, -x^25 - 9*x^24 - 8*x^23 + 152*x^22 + 416*x^21 - 873*x^20 - 4294*x^19 + 875*x^18 + 21557*x^17 + 12305*x^16 - 60964*x^15 - 64663*x^14 + 99840*x^13 + 152107*x^12 - 90202*x^11 - 202313*x^10 + 35173*x^9 + 160858*x^8 + 6337*x^7 - 76515*x^6 - 11188*x^5 + 20834*x^4 + 3756*x^3 - 2903*x^2 - 409*x + 158, x^25 + 9*x^24 + 8*x^23 - 152*x^22 - 416*x^21 + 873*x^20 + 4294*x^19 - 875*x^18 - 21557*x^17 - 12305*x^16 + 60964*x^15 + 64663*x^14 - 99840*x^13 - 152107*x^12 + 90202*x^11 + 202313*x^10 - 35173*x^9 - 160858*x^8 - 6337*x^7 + 76515*x^6 + 11188*x^5 - 20834*x^4 - 3756*x^3 + 2903*x^2 + 409*x - 158, -x^25 - 11*x^24 - 28*x^23 + 112*x^22 + 639*x^21 + 90*x^20 - 4676*x^19 - 6139*x^18 + 16184*x^17 + 37266*x^16 - 24592*x^15 - 111254*x^14 - 5801*x^13 + 191036*x^12 + 82288*x^11 - 194580*x^10 - 134198*x^9 + 114111*x^8 + 106596*x^7 - 33971*x^6 - 45235*x^5 + 2689*x^4 + 9619*x^3 + 782*x^2 - 793*x - 126, x^25 + 11*x^24 + 28*x^23 - 112*x^22 - 639*x^21 - 90*x^20 + 4676*x^19 + 6139*x^18 - 16184*x^17 - 37266*x^16 + 24592*x^15 + 111254*x^14 + 5801*x^13 - 191036*x^12 - 82288*x^11 + 194580*x^10 + 134198*x^9 - 114111*x^8 - 106596*x^7 + 33971*x^6 + 45235*x^5 - 2689*x^4 - 9619*x^3 - 782*x^2 + 793*x + 126, -x^25 - 9*x^24 - 8*x^23 + 151*x^22 + 406*x^21 - 895*x^20 - 4201*x^19 + 1324*x^18 + 21557*x^17 + 9534*x^16 - 63975*x^15 - 56937*x^14 + 114636*x^13 + 143182*x^12 - 122860*x^11 - 203820*x^10 + 73055*x^9 + 174419*x^8 - 17335*x^7 - 89454*x^6 - 3642*x^5 + 26150*x^4 + 2761*x^3 - 3855*x^2 - 398*x + 208, x^25 + 9*x^24 + 8*x^23 - 151*x^22 - 406*x^21 + 895*x^20 + 4201*x^19 - 1324*x^18 - 21557*x^17 - 9534*x^16 + 63975*x^15 + 56937*x^14 - 114636*x^13 - 143182*x^12 + 122860*x^11 + 203820*x^10 - 73055*x^9 - 174419*x^8 + 17335*x^7 + 89454*x^6 + 3642*x^5 - 26150*x^4 - 2761*x^3 + 3855*x^2 + 398*x - 208, -x^25 - 10*x^24 - 19*x^23 + 120*x^22 + 489*x^21 - 312*x^20 - 3806*x^19 - 2061*x^18 + 15047*x^17 + 17135*x^16 - 34204*x^15 - 55342*x^14 + 46110*x^13 + 100821*x^12 - 35607*x^11 - 112390*x^10 + 13432*x^9 + 77527*x^8 - 1054*x^7 - 32402*x^6 - 178*x^5 + 7944*x^4 - 318*x^3 - 1120*x^2 + 96*x + 80, x^25 + 10*x^24 + 19*x^23 - 120*x^22 - 489*x^21 + 312*x^20 + 3806*x^19 + 2061*x^18 - 15047*x^17 - 17135*x^16 + 34204*x^15 + 55342*x^14 - 46110*x^13 - 100821*x^12 + 35607*x^11 + 112390*x^10 - 13432*x^9 - 77527*x^8 + 1054*x^7 + 32402*x^6 + 178*x^5 - 7944*x^4 + 318*x^3 + 1120*x^2 - 96*x - 80, -x^25 - 10*x^24 - 17*x^23 + 142*x^22 + 551*x^21 - 470*x^20 - 4901*x^19 - 2739*x^18 + 21090*x^17 + 27649*x^16 - 47758*x^15 - 99252*x^14 + 50277*x^13 + 191421*x^12 + 825*x^11 - 214937*x^10 - 57752*x^9 + 142471*x^8 + 59045*x^7 - 54665*x^6 - 26287*x^5 + 11739*x^4 + 5340*x^3 - 1425*x^2 - 397*x + 94, x^25 + 10*x^24 + 17*x^23 - 142*x^22 - 551*x^21 + 470*x^20 + 4901*x^19 + 2739*x^18 - 21090*x^17 - 27649*x^16 + 47758*x^15 + 99252*x^14 - 50277*x^13 - 191421*x^12 - 825*x^11 + 214937*x^10 + 57752*x^9 - 142471*x^8 - 59045*x^7 + 54665*x^6 + 26287*x^5 - 11739*x^4 - 5340*x^3 + 1425*x^2 + 397*x - 94, -x^25 - 9*x^24 - 9*x^23 + 142*x^22 + 397*x^21 - 754*x^20 - 3807*x^19 + 605*x^18 + 17912*x^17 + 10001*x^16 - 47708*x^15 - 47986*x^14 + 73826*x^13 + 104447*x^12 - 62640*x^11 - 127423*x^10 + 21146*x^9 + 89903*x^8 + 7152*x^7 - 34922*x^6 - 8615*x^5 + 6137*x^4 + 2606*x^3 - 68*x^2 - 253*x - 70, x^25 + 9*x^24 + 9*x^23 - 142*x^22 - 397*x^21 + 754*x^20 + 3807*x^19 - 605*x^18 - 17912*x^17 - 10001*x^16 + 47708*x^15 + 47986*x^14 - 73826*x^13 - 104447*x^12 + 62640*x^11 + 127423*x^10 - 21146*x^9 - 89903*x^8 - 7152*x^7 + 34922*x^6 + 8615*x^5 - 6137*x^4 - 2606*x^3 + 68*x^2 + 253*x + 70, -x^24 - 8*x^23 - x^22 + 145*x^21 + 267*x^20 - 1020*x^19 - 3033*x^18 + 3198*x^17 + 16151*x^16 - 1869*x^15 - 48975*x^14 - 17390*x^13 + 89293*x^12 + 57419*x^11 - 98285*x^10 - 84007*x^9 + 63371*x^8 + 67291*x^7 - 21733*x^6 - 30069*x^5 + 2734*x^4 + 6954*x^3 + 296*x^2 - 642*x - 76, x^24 + 8*x^23 + x^22 - 145*x^21 - 267*x^20 + 1020*x^19 + 3033*x^18 - 3198*x^17 - 16151*x^16 + 1869*x^15 + 48975*x^14 + 17390*x^13 - 89293*x^12 - 57419*x^11 + 98285*x^10 + 84007*x^9 - 63371*x^8 - 67291*x^7 + 21733*x^6 + 30069*x^5 - 2734*x^4 - 6954*x^3 - 296*x^2 + 642*x + 76, -x^24 - 11*x^23 - 30*x^22 + 91*x^21 + 586*x^20 + 265*x^19 - 3657*x^18 - 5788*x^17 + 10097*x^16 + 28364*x^15 - 8877*x^14 - 69858*x^13 - 17530*x^12 + 98143*x^11 + 54836*x^10 - 81557*x^9 - 62446*x^8 + 40251*x^7 + 37504*x^6 - 11671*x^5 - 12561*x^4 + 1930*x^3 + 2265*x^2 - 147*x - 174, x^24 + 11*x^23 + 30*x^22 - 91*x^21 - 586*x^20 - 265*x^19 + 3657*x^18 + 5788*x^17 - 10097*x^16 - 28364*x^15 + 8877*x^14 + 69858*x^13 + 17530*x^12 - 98143*x^11 - 54836*x^10 + 81557*x^9 + 62446*x^8 - 40251*x^7 - 37504*x^6 + 11671*x^5 + 12561*x^4 - 1930*x^3 - 2265*x^2 + 147*x + 174, x^23 + 8*x^22 + x^21 - 146*x^20 - 279*x^19 + 979*x^18 + 3084*x^17 - 2617*x^16 - 15498*x^15 - 719*x^14 + 43034*x^13 + 21325*x^12 - 69564*x^11 - 54121*x^10 + 65238*x^9 + 65569*x^8 - 33621*x^7 - 42759*x^6 + 7970*x^5 + 14675*x^4 - 264*x^3 - 2315*x^2 - 115*x + 114, -x^23 - 8*x^22 - x^21 + 146*x^20 + 279*x^19 - 979*x^18 - 3084*x^17 + 2617*x^16 + 15498*x^15 + 719*x^14 - 43034*x^13 - 21325*x^12 + 69564*x^11 + 54121*x^10 - 65238*x^9 - 65569*x^8 + 33621*x^7 + 42759*x^6 - 7970*x^5 - 14675*x^4 + 264*x^3 + 2315*x^2 + 115*x - 114, -x^24 - 11*x^23 - 30*x^22 + 89*x^21 + 570*x^20 + 255*x^19 - 3425*x^18 - 5244*x^17 + 9055*x^16 + 23990*x^15 - 8196*x^14 - 54169*x^13 - 10009*x^12 + 68236*x^11 + 30763*x^10 - 48705*x^9 - 29387*x^8 + 18357*x^7 + 12735*x^6 - 2657*x^5 - 1910*x^4 - 215*x^3 - 234*x^2 + 69*x + 70, x^24 + 11*x^23 + 30*x^22 - 89*x^21 - 570*x^20 - 255*x^19 + 3425*x^18 + 5244*x^17 - 9055*x^16 - 23990*x^15 + 8196*x^14 + 54169*x^13 + 10009*x^12 - 68236*x^11 - 30763*x^10 + 48705*x^9 + 29387*x^8 - 18357*x^7 - 12735*x^6 + 2657*x^5 + 1910*x^4 + 215*x^3 + 234*x^2 - 69*x - 70, -x^24 - 10*x^23 - 20*x^22 + 112*x^21 + 486*x^20 - 184*x^19 - 3552*x^18 - 2820*x^17 + 12668*x^16 + 19056*x^15 - 23718*x^14 - 56182*x^13 + 19657*x^12 + 94438*x^11 + 5596*x^10 - 96660*x^9 - 27559*x^8 + 60516*x^7 + 25509*x^6 - 22187*x^5 - 11272*x^4 + 4227*x^3 + 2391*x^2 - 302*x - 184, x^24 + 10*x^23 + 20*x^22 - 112*x^21 - 486*x^20 + 184*x^19 + 3552*x^18 + 2820*x^17 - 12668*x^16 - 19056*x^15 + 23718*x^14 + 56182*x^13 - 19657*x^12 - 94438*x^11 - 5596*x^10 + 96660*x^9 + 27559*x^8 - 60516*x^7 - 25509*x^6 + 22187*x^5 + 11272*x^4 - 4227*x^3 - 2391*x^2 + 302*x + 184, -x^23 - 8*x^22 - 4*x^21 + 120*x^20 + 241*x^19 - 710*x^18 - 2208*x^17 + 1977*x^16 + 10120*x^15 - 1702*x^14 - 27937*x^13 - 5395*x^12 + 49336*x^11 + 20021*x^10 - 55809*x^9 - 30196*x^8 + 39221*x^7 + 24713*x^6 - 16147*x^5 - 11146*x^4 + 3494*x^3 + 2557*x^2 - 309*x - 234, x^23 + 8*x^22 + 4*x^21 - 120*x^20 - 241*x^19 + 710*x^18 + 2208*x^17 - 1977*x^16 - 10120*x^15 + 1702*x^14 + 27937*x^13 + 5395*x^12 - 49336*x^11 - 20021*x^10 + 55809*x^9 + 30196*x^8 - 39221*x^7 - 24713*x^6 + 16147*x^5 + 11146*x^4 - 3494*x^3 - 2557*x^2 + 309*x + 234, -x^23 - 10*x^22 - 21*x^21 + 102*x^20 + 461*x^19 - 112*x^18 - 3115*x^17 - 2614*x^16 + 10229*x^15 + 15240*x^14 - 17557*x^13 - 39230*x^12 + 14114*x^11 + 55879*x^10 - 1001*x^9 - 46390*x^8 - 6496*x^7 + 22375*x^6 + 4424*x^5 - 6006*x^4 - 1126*x^3 + 807*x^2 + 101*x - 38, x^23 + 10*x^22 + 21*x^21 - 102*x^20 - 461*x^19 + 112*x^18 + 3115*x^17 + 2614*x^16 - 10229*x^15 - 15240*x^14 + 17557*x^13 + 39230*x^12 - 14114*x^11 - 55879*x^10 + 1001*x^9 + 46390*x^8 + 6496*x^7 - 22375*x^6 - 4424*x^5 + 6006*x^4 + 1126*x^3 - 807*x^2 - 101*x + 38, -x^23 - 11*x^22 - 32*x^21 + 73*x^20 + 558*x^19 + 463*x^18 - 2972*x^17 - 6288*x^16 + 5486*x^15 + 26156*x^14 + 5828*x^13 - 53663*x^12 - 41566*x^11 + 57144*x^10 + 72753*x^9 - 27470*x^8 - 62596*x^7 - 75*x^6 + 28250*x^5 + 5247*x^4 - 6228*x^3 - 1736*x^2 + 518*x + 164, x^23 + 11*x^22 + 32*x^21 - 73*x^20 - 558*x^19 - 463*x^18 + 2972*x^17 + 6288*x^16 - 5486*x^15 - 26156*x^14 - 5828*x^13 + 53663*x^12 + 41566*x^11 - 57144*x^10 - 72753*x^9 + 27470*x^8 + 62596*x^7 + 75*x^6 - 28250*x^5 - 5247*x^4 + 6228*x^3 + 1736*x^2 - 518*x - 164, -x^23 - 11*x^22 - 31*x^21 + 81*x^20 + 565*x^19 + 369*x^18 - 3172*x^17 - 5813*x^16 + 6952*x^15 + 24891*x^14 + 63*x^13 - 52242*x^12 - 28068*x^11 + 58089*x^10 + 53841*x^9 - 31611*x^8 - 46727*x^7 + 4236*x^6 + 20455*x^5 + 3113*x^4 - 4143*x^3 - 1202*x^2 + 276*x + 104, x^23 + 11*x^22 + 31*x^21 - 81*x^20 - 565*x^19 - 369*x^18 + 3172*x^17 + 5813*x^16 - 6952*x^15 - 24891*x^14 - 63*x^13 + 52242*x^12 + 28068*x^11 - 58089*x^10 - 53841*x^9 + 31611*x^8 + 46727*x^7 - 4236*x^6 - 20455*x^5 - 3113*x^4 + 4143*x^3 + 1202*x^2 - 276*x - 104, -2*x^22 - 18*x^21 - 28*x^20 + 198*x^19 + 685*x^18 - 500*x^17 - 4611*x^16 - 2208*x^15 + 14705*x^14 + 16195*x^13 - 24036*x^12 - 40999*x^11 + 17917*x^10 + 54087*x^9 - 150*x^8 - 40326*x^7 - 9254*x^6 + 16918*x^5 + 6333*x^4 - 3666*x^3 - 1747*x^2 + 311*x + 174, 2*x^22 + 18*x^21 + 28*x^20 - 198*x^19 - 685*x^18 + 500*x^17 + 4611*x^16 + 2208*x^15 - 14705*x^14 - 16195*x^13 + 24036*x^12 + 40999*x^11 - 17917*x^10 - 54087*x^9 + 150*x^8 + 40326*x^7 + 9254*x^6 - 16918*x^5 - 6333*x^4 + 3666*x^3 + 1747*x^2 - 311*x - 174, -x^22 - 7*x^21 + 2*x^20 + 112*x^19 + 140*x^18 - 721*x^17 - 1420*x^16 + 2375*x^15 + 6333*x^14 - 4200*x^13 - 15921*x^12 + 3601*x^11 + 24559*x^10 - 276*x^9 - 24000*x^8 - 2252*x^7 + 14840*x^6 + 2005*x^5 - 5573*x^4 - 731*x^3 + 1142*x^2 + 97*x - 98, x^22 + 7*x^21 - 2*x^20 - 112*x^19 - 140*x^18 + 721*x^17 + 1420*x^16 - 2375*x^15 - 6333*x^14 + 4200*x^13 + 15921*x^12 - 3601*x^11 - 24559*x^10 + 276*x^9 + 24000*x^8 + 2252*x^7 - 14840*x^6 - 2005*x^5 + 5573*x^4 + 731*x^3 - 1142*x^2 - 97*x + 98, -x^22 - 10*x^21 - 23*x^20 + 84*x^19 + 430*x^18 + 59*x^17 - 2482*x^16 - 2895*x^15 + 6560*x^14 + 13071*x^13 - 7586*x^12 - 28150*x^11 + 42*x^10 + 34166*x^9 + 9560*x^8 - 24372*x^7 - 10705*x^6 + 10089*x^5 + 5429*x^4 - 2249*x^3 - 1357*x^2 + 210*x + 136, x^22 + 10*x^21 + 23*x^20 - 84*x^19 - 430*x^18 - 59*x^17 + 2482*x^16 + 2895*x^15 - 6560*x^14 - 13071*x^13 + 7586*x^12 + 28150*x^11 - 42*x^10 - 34166*x^9 - 9560*x^8 + 24372*x^7 + 10705*x^6 - 10089*x^5 - 5429*x^4 + 2249*x^3 + 1357*x^2 - 210*x - 136, -x^22 - 8*x^21 - 5*x^20 + 114*x^19 + 253*x^18 - 569*x^17 - 2103*x^16 + 901*x^15 + 8259*x^14 + 1927*x^13 - 18059*x^12 - 10147*x^11 + 23078*x^10 + 17094*x^9 - 17340*x^8 - 14121*x^7 + 7720*x^6 + 5770*x^5 - 2233*x^4 - 987*x^3 + 510*x^2 + 35*x - 70, x^22 + 8*x^21 + 5*x^20 - 114*x^19 - 253*x^18 + 569*x^17 + 2103*x^16 - 901*x^15 - 8259*x^14 - 1927*x^13 + 18059*x^12 + 10147*x^11 - 23078*x^10 - 17094*x^9 + 17340*x^8 + 14121*x^7 - 7720*x^6 - 5770*x^5 + 2233*x^4 + 987*x^3 - 510*x^2 - 35*x + 70, -x^21 - 9*x^20 - 17*x^19 + 73*x^18 + 301*x^17 - 8*x^16 - 1460*x^15 - 1483*x^14 + 2725*x^13 + 5255*x^12 - 661*x^11 - 6974*x^10 - 4220*x^9 + 2633*x^8 + 5616*x^7 + 2261*x^6 - 2837*x^5 - 2490*x^4 + 587*x^3 + 834*x^2 - 39*x - 98, x^21 + 9*x^20 + 17*x^19 - 73*x^18 - 301*x^17 + 8*x^16 + 1460*x^15 + 1483*x^14 - 2725*x^13 - 5255*x^12 + 661*x^11 + 6974*x^10 + 4220*x^9 - 2633*x^8 - 5616*x^7 - 2261*x^6 + 2837*x^5 + 2490*x^4 - 587*x^3 - 834*x^2 + 39*x + 98, -x^21 - 6*x^20 + 11*x^19 + 129*x^18 + 67*x^17 - 1022*x^16 - 1412*x^15 + 3835*x^14 + 7816*x^13 - 6925*x^12 - 21176*x^11 + 4262*x^10 + 31533*x^9 + 3944*x^8 - 26633*x^7 - 7868*x^6 + 12579*x^5 + 4842*x^4 - 3083*x^3 - 1318*x^2 + 308*x + 136, x^21 + 6*x^20 - 11*x^19 - 129*x^18 - 67*x^17 + 1022*x^16 + 1412*x^15 - 3835*x^14 - 7816*x^13 + 6925*x^12 + 21176*x^11 - 4262*x^10 - 31533*x^9 - 3944*x^8 + 26633*x^7 + 7868*x^6 - 12579*x^5 - 4842*x^4 + 3083*x^3 + 1318*x^2 - 308*x - 136, -x^21 - 9*x^20 - 14*x^19 + 98*x^18 + 332*x^17 - 273*x^16 - 2209*x^15 - 686*x^14 + 7246*x^13 + 5825*x^12 - 13411*x^11 - 14739*x^10 + 14781*x^9 + 19385*x^8 - 9825*x^7 - 14547*x^6 + 3842*x^5 + 6247*x^4 - 818*x^3 - 1431*x^2 + 74*x + 136, x^21 + 9*x^20 + 14*x^19 - 98*x^18 - 332*x^17 + 273*x^16 + 2209*x^15 + 686*x^14 - 7246*x^13 - 5825*x^12 + 13411*x^11 + 14739*x^10 - 14781*x^9 - 19385*x^8 + 9825*x^7 + 14547*x^6 - 3842*x^5 - 6247*x^4 + 818*x^3 + 1431*x^2 - 74*x - 136]>,
         rec<Eigen |
           DefiningPolynomial := x^42 - 10*x^41 - 16*x^40 + 471*x^39 - 651*x^38 - 9662*x^37 + 27108*x^36 + 110475*x^35 - 468499*x^34 - 717545*x^33 + 4934993*x^32 + 1798285*x^31 - 35315080*x^30 + 11936965*x^29 + 179667721*x^28 - 152247429*x^27 - 661052098*x^26 + 852309158*x^25 + 1752058415*x^24 - 3088174705*x^23 - 3241550756*x^22 + 7864292763*x^21 + 3794093478*x^20 - 14414417295*x^19 - 1721108985*x^18 + 19008828395*x^17 - 2491614473*x^16 - 17738702872*x^15 + 5532091989*x^14 + 11344949429*x^13 - 5040591457*x^12 - 4740182984*x^11 + 2538309563*x^10 + 1224439291*x^9 - 700410245*x^8 - 193222034*x^7 + 96294232*x^6 + 20013784*x^5 - 5203200*x^4 - 1162944*x^3 - 10752*x^2 + 6912*x + 256,
           Coordinates        := [-x^41 + 10*x^40 + 13*x^39 - 441*x^38 + 684*x^37 + 8397*x^36 - 24982*x^35 - 87674*x^34 + 397081*x^33 + 496847*x^32 - 3863628*x^31 - 716900*x^30 + 25478428*x^29 - 11944309*x^28 - 118815699*x^27 + 113382806*x^26 + 397552393*x^25 - 552226670*x^24 - 947087782*x^23 + 1776867949*x^22 + 1544137546*x^21 - 4020646416*x^20 - 1517690758*x^19 + 6501856933*x^18 + 383577499*x^17 - 7468770984*x^16 + 1201099868*x^15 + 5953339576*x^14 - 1890833111*x^13 - 3155833373*x^12 + 1353498258*x^11 + 1041756381*x^10 - 519794377*x^9 - 197380790*x^8 + 100904864*x^7 + 21107954*x^6 - 8725164*x^5 - 1277888*x^4 + 235984*x^3 + 23808*x^2 - 2176*x - 128, x^41 - 9*x^40 - 23*x^39 + 430*x^38 - 263*x^37 - 9101*x^36 + 17405*x^35 + 111252*x^34 - 323763*x^33 - 848982*x^32 + 3501829*x^31 + 3931464*x^30 - 25411310*x^29 - 7797459*x^28 + 130944100*x^27 - 28674383*x^26 - 491393799*x^25 + 296369647*x^24 + 1353233330*x^23 - 1244881239*x^22 - 2716977933*x^21 + 3319659222*x^20 + 3886025812*x^19 - 6100556321*x^18 - 3757902266*x^17 + 7856998155*x^16 + 2153439988*x^15 - 7013126646*x^14 - 374442431*x^13 + 4202394000*x^12 - 355272013*x^11 - 1604470783*x^10 + 244270274*x^9 + 364587201*x^8 - 53061302*x^7 - 46364500*x^6 + 3159632*x^5 + 2768544*x^4 + 125808*x^3 - 22528*x^2 - 1088*x, -2*x^35 + 16*x^34 + 36*x^33 - 600*x^32 + 366*x^31 + 9666*x^30 - 17374*x^29 - 86138*x^28 + 237802*x^27 + 445236*x^26 - 1835288*x^25 - 1145406*x^24 + 9103280*x^23 - 637186*x^22 - 30301078*x^21 + 16383798*x^20 + 67963322*x^19 - 63189946*x^18 - 99468270*x^17 + 134680882*x^16 + 85541038*x^15 - 177892138*x^14 - 26676850*x^13 + 145562766*x^12 - 20450994*x^11 - 69836290*x^10 + 22465344*x^9 + 17937490*x^8 - 7440836*x^7 - 2504454*x^6 + 986848*x^5 + 213176*x^4 - 42512*x^3 - 5760*x^2 + 64*x, -2*x^36 + 20*x^35 + 4*x^34 - 672*x^33 + 1566*x^32 + 8934*x^31 - 36706*x^30 - 51390*x^29 + 410078*x^28 - 30368*x^27 - 2725760*x^26 + 2525170*x^25 + 11394092*x^24 - 18843746*x^23 - 29026706*x^22 + 76985954*x^21 + 35195726*x^20 - 199116590*x^19 + 26911622*x^18 + 333617422*x^17 - 183820726*x^16 - 348974214*x^15 + 329107426*x^14 + 198916466*x^13 - 311576526*x^12 - 28934302*x^11 + 162137924*x^10 - 26993198*x^9 - 43315816*x^8 + 12377218*x^7 + 5995756*x^6 - 1760520*x^5 - 468864*x^4 + 79264*x^3 + 11584*x^2 - 128*x, -2*x^37 + 20*x^36 + 10*x^35 - 726*x^34 + 1506*x^33 + 10838*x^32 - 39572*x^31 - 79226*x^30 + 490068*x^29 + 176740*x^28 - 3680586*x^27 + 1871028*x^26 + 18096446*x^25 - 20516572*x^24 - 59133622*x^23 + 103420962*x^22 + 122923920*x^21 - 326788496*x^20 - 130415304*x^19 + 691167810*x^18 - 50542136*x^17 - 984597638*x^16 + 401974942*x^15 + 915792152*x^14 - 638369786*x^13 - 511836168*x^12 + 532713478*x^11 + 136675088*x^10 - 247417064*x^9 - 35936*x^8 + 60282414*x^7 - 5753884*x^6 - 7283784*x^5 + 482600*x^4 + 392640*x^3 + 20672*x^2 - 2688*x - 128, -8*x^34 + 80*x^33 - 4*x^32 - 2456*x^31 + 5928*x^30 + 29784*x^29 - 123210*x^28 - 156880*x^27 + 1246564*x^26 - 58554*x^25 - 7571518*x^24 + 6005826*x^23 + 29355210*x^22 - 40481742*x^21 - 72401916*x^20 + 147955032*x^19 + 103634398*x^18 - 341243926*x^17 - 48510980*x^16 + 512165682*x^15 - 101268666*x^14 - 493159874*x^13 + 210128064*x^12 + 290419862*x^11 - 170435600*x^10 - 97071890*x^9 + 66161830*x^8 + 18346104*x^7 - 10987784*x^6 - 2912004*x^5 + 635480*x^4 + 283440*x^3 + 15936*x^2 - 2048*x - 128, -4*x^35 + 42*x^34 - 16*x^33 - 1288*x^32 + 3602*x^31 + 15136*x^30 - 73698*x^29 - 66292*x^28 + 748862*x^27 - 263948*x^26 - 4564324*x^25 + 5110878*x^24 + 17532358*x^23 - 31704044*x^22 - 41241760*x^21 + 114605880*x^20 + 48323834*x^19 - 266431802*x^18 + 16639724*x^17 + 405058416*x^16 - 149704314*x^15 - 393993072*x^14 + 227511092*x^13 + 232852482*x^12 - 162987592*x^11 - 80421842*x^10 + 51150720*x^9 + 21488314*x^8 - 3074272*x^7 - 7030688*x^6 - 320664*x^5 + 774624*x^4 + 66272*x^3 - 2816*x^2 + 256*x, -x^39 + 10*x^38 + 9*x^37 - 401*x^36 + 716*x^35 + 6833*x^34 - 22096*x^33 - 61812*x^32 + 311669*x^31 + 272081*x^30 - 2696838*x^29 + 198034*x^28 + 15704878*x^27 - 10650677*x^26 - 63866211*x^25 + 73713736*x^24 + 182651275*x^23 - 296617888*x^22 - 358882692*x^21 + 803482099*x^20 + 443999356*x^19 - 1524465644*x^18 - 227750064*x^17 + 2033100175*x^16 - 252569067*x^15 - 1867658608*x^14 + 605405418*x^13 + 1128311478*x^12 - 541890817*x^11 - 412599231*x^10 + 252244572*x^9 + 80764871*x^8 - 58675943*x^7 - 8565984*x^6 + 6537384*x^5 + 596040*x^4 - 303328*x^3 - 26048*x^2 + 2624*x + 128, -x^39 + 10*x^38 + 9*x^37 - 401*x^36 + 720*x^35 + 6797*x^34 - 22138*x^33 - 60542*x^32 + 309927*x^31 + 253039*x^30 - 2647192*x^29 + 351886*x^28 + 15101530*x^27 - 11312377*x^26 - 59478671*x^25 + 74424444*x^24 + 161608629*x^23 - 288110708*x^22 - 289933272*x^21 + 746915625*x^20 + 289369946*x^19 - 1339193614*x^18 + 1771428*x^17 + 1652940375*x^16 - 454620123*x^15 - 1357762472*x^14 + 666626842*x^13 + 688374714*x^12 - 477981433*x^11 - 182269333*x^10 + 177528684*x^9 + 14772743*x^8 - 29376821*x^7 + 760838*x^6 + 1710644*x^5 - 90248*x^4 + 22992*x^3 + 7616*x^2 - 192*x, -2*x^36 + 20*x^35 + 4*x^34 - 664*x^33 + 1480*x^32 + 9014*x^31 - 34396*x^30 - 59202*x^29 + 388700*x^28 + 107084*x^27 - 2703186*x^26 + 1314834*x^25 + 12561248*x^24 - 12645908*x^23 - 40371400*x^22 + 58576270*x^21 + 90481442*x^20 - 174587324*x^19 - 138898188*x^18 + 360634040*x^17 + 136264230*x^16 - 528763518*x^15 - 64260566*x^14 + 549690080*x^13 - 22478822*x^12 - 396194664*x^11 + 54767812*x^10 + 189018800*x^9 - 33722570*x^8 - 55463514*x^7 + 8559538*x^6 + 9078456*x^5 - 551792*x^4 - 679808*x^3 - 42528*x^2 + 4736*x + 256, 2*x^40 - 18*x^39 - 42*x^38 + 824*x^37 - 602*x^36 - 16628*x^35 + 33484*x^34 + 192326*x^33 - 584182*x^32 - 1368650*x^31 + 5972306*x^30 + 5676886*x^29 - 40926162*x^28 - 7371054*x^27 + 198332682*x^26 - 64545712*x^25 - 695194732*x^24 + 490060136*x^23 + 1769454062*x^22 - 1827655608*x^21 - 3227726888*x^20 + 4427835162*x^19 + 4063763040*x^18 - 7393927974*x^17 - 3211943694*x^16 + 8572136238*x^15 + 1106592226*x^14 - 6768112998*x^13 + 482925444*x^12 + 3490984214*x^11 - 689568506*x^10 - 1104122364*x^9 + 282761742*x^8 + 199918836*x^7 - 46770100*x^6 - 20404872*x^5 + 2560464*x^4 + 1014608*x^3 + 32192*x^2 - 5824*x - 256, -4*x^35 + 38*x^34 + 24*x^33 - 1304*x^32 + 2500*x^31 + 18170*x^30 - 62616*x^29 - 120970*x^28 + 717024*x^27 + 208906*x^26 - 4867066*x^25 + 2818232*x^24 + 21003636*x^23 - 25797822*x^22 - 57427116*x^21 + 111288108*x^20 + 89363604*x^19 - 294360442*x^18 - 33810320*x^17 + 500942542*x^16 - 158408554*x^15 - 538983548*x^14 + 353470110*x^13 + 337339100*x^12 - 350124560*x^11 - 93831996*x^10 + 181635904*x^9 - 5524336*x^8 - 46845822*x^7 + 6497818*x^6 + 5828072*x^5 - 616512*x^4 - 338544*x^3 - 15040*x^2 + 2624*x + 128, -2*x^36 + 22*x^35 - 12*x^34 - 704*x^33 + 2126*x^32 + 8578*x^31 - 45230*x^30 - 36874*x^29 + 483372*x^28 - 214152*x^27 - 3107702*x^26 + 3854598*x^25 + 12542628*x^24 - 25063962*x^23 - 30225570*x^22 + 96511352*x^21 + 30244308*x^20 - 239799510*x^19 + 51903514*x^18 + 385668302*x^17 - 237457564*x^16 - 377395236*x^15 + 393040324*x^14 + 176322276*x^13 - 350636834*x^12 + 25352960*x^11 + 166818508*x^10 - 70458596*x^9 - 35513532*x^8 + 30086722*x^7 + 2107582*x^6 - 5391828*x^5 - 17416*x^4 + 393552*x^3 + 26848*x^2 - 2688*x - 128, -x^40 + 10*x^39 + 11*x^38 - 421*x^37 + 702*x^36 + 7595*x^35 - 23546*x^34 - 74044*x^33 + 352847*x^32 + 374493*x^31 - 3242032*x^30 - 191780*x^29 + 20134398*x^28 - 11394389*x^27 - 88009291*x^26 + 91419752*x^25 + 274207511*x^24 - 404088490*x^23 - 602827878*x^22 + 1192139353*x^21 + 895321582*x^20 - 2470248692*x^19 - 784321456*x^18 + 3638197675*x^17 + 157598863*x^16 - 3782730434*x^15 + 493910678*x^14 + 2727918496*x^13 - 618800851*x^12 - 1339147181*x^11 + 333626008*x^10 + 446887817*x^9 - 90021121*x^8 - 101843176*x^7 + 12852100*x^6 + 13302808*x^5 - 477136*x^4 - 772096*x^3 - 44352*x^2 + 5376*x + 256, 2*x^39 - 18*x^38 - 38*x^37 + 787*x^36 - 663*x^35 - 15089*x^34 + 31672*x^33 + 164657*x^32 - 515676*x^31 - 1093021*x^30 + 4948229*x^29 + 4111932*x^28 - 31777759*x^27 - 3598473*x^26 + 143796433*x^25 - 51339579*x^24 - 468506299*x^23 + 331053435*x^22 + 1103114489*x^21 - 1105741641*x^20 - 1854144292*x^19 + 2403592334*x^18 + 2151930419*x^17 - 3570930036*x^16 - 1600143875*x^15 + 3629070147*x^14 + 615905153*x^13 - 2456901893*x^12 + 10487760*x^11 + 1052409601*x^10 - 102889403*x^9 - 264627783*x^8 + 29676252*x^7 + 36162064*x^6 - 1879400*x^5 - 2261240*x^4 - 109712*x^3 + 19616*x^2 + 960*x, 2*x^39 - 18*x^38 - 38*x^37 + 787*x^36 - 663*x^35 - 15089*x^34 + 31672*x^33 + 164657*x^32 - 515676*x^31 - 1093021*x^30 + 4948229*x^29 + 4111932*x^28 - 31777759*x^27 - 3598473*x^26 + 143796433*x^25 - 51339579*x^24 - 468506299*x^23 + 331053435*x^22 + 1103114489*x^21 - 1105741641*x^20 - 1854144292*x^19 + 2403592334*x^18 + 2151930419*x^17 - 3570930036*x^16 - 1600143875*x^15 + 3629070147*x^14 + 615905153*x^13 - 2456901893*x^12 + 10487760*x^11 + 1052409601*x^10 - 102889403*x^9 - 264627783*x^8 + 29676252*x^7 + 36162064*x^6 - 1879400*x^5 - 2261240*x^4 - 109712*x^3 + 19616*x^2 + 960*x, 2*x^38 - 18*x^37 - 35*x^36 + 761*x^35 - 717*x^34 - 14028*x^33 + 30836*x^32 + 145781*x^31 - 478030*x^30 - 903158*x^29 + 4383801*x^28 + 2958926*x^27 - 26842071*x^26 + 338101*x^25 + 115208943*x^24 - 54479135*x^23 - 353191186*x^22 + 292326884*x^21 + 772759555*x^20 - 886973645*x^19 - 1181584846*x^18 + 1775956214*x^17 + 1195215046*x^16 - 2425682770*x^15 - 687153919*x^14 + 2243518517*x^13 + 79786067*x^12 - 1357566372*x^11 + 165318817*x^10 + 505114100*x^9 - 104855989*x^8 - 105653334*x^7 + 23127358*x^6 + 11355400*x^5 - 1608432*x^4 - 551984*x^3 - 8864*x^2 + 3328*x + 128, 2*x^38 - 18*x^37 - 35*x^36 + 761*x^35 - 717*x^34 - 14028*x^33 + 30836*x^32 + 145781*x^31 - 478030*x^30 - 903158*x^29 + 4383801*x^28 + 2958926*x^27 - 26842071*x^26 + 338101*x^25 + 115208943*x^24 - 54479135*x^23 - 353191186*x^22 + 292326884*x^21 + 772759555*x^20 - 886973645*x^19 - 1181584846*x^18 + 1775956214*x^17 + 1195215046*x^16 - 2425682770*x^15 - 687153919*x^14 + 2243518517*x^13 + 79786067*x^12 - 1357566372*x^11 + 165318817*x^10 + 505114100*x^9 - 104855989*x^8 - 105653334*x^7 + 23127358*x^6 + 11355400*x^5 - 1608432*x^4 - 551984*x^3 - 8864*x^2 + 3328*x + 128, 2*x^38 - 19*x^37 - 26*x^36 + 778*x^35 - 1095*x^34 - 13641*x^33 + 37670*x^32 + 129848*x^31 - 546047*x^30 - 661796*x^29 + 4764602*x^28 + 813655*x^27 - 27694178*x^26 + 12868032*x^25 + 111479490*x^24 - 104527566*x^23 - 313148387*x^22 + 429587083*x^21 + 600823041*x^20 - 1137269183*x^19 - 730247775*x^18 + 2047041724*x^17 + 416584773*x^16 - 2517383321*x^15 + 196466846*x^14 + 2067692588*x^13 - 552223751*x^12 - 1081008241*x^11 + 421360286*x^10 + 334380481*x^9 - 148229501*x^8 - 58103438*x^7 + 21763342*x^6 + 6788232*x^5 - 1061744*x^4 - 443008*x^3 - 22368*x^2 + 2496*x + 128, 2*x^38 - 19*x^37 - 26*x^36 + 778*x^35 - 1095*x^34 - 13641*x^33 + 37670*x^32 + 129848*x^31 - 546047*x^30 - 661796*x^29 + 4764602*x^28 + 813655*x^27 - 27694178*x^26 + 12868032*x^25 + 111479490*x^24 - 104527566*x^23 - 313148387*x^22 + 429587083*x^21 + 600823041*x^20 - 1137269183*x^19 - 730247775*x^18 + 2047041724*x^17 + 416584773*x^16 - 2517383321*x^15 + 196466846*x^14 + 2067692588*x^13 - 552223751*x^12 - 1081008241*x^11 + 421360286*x^10 + 334380481*x^9 - 148229501*x^8 - 58103438*x^7 + 21763342*x^6 + 6788232*x^5 - 1061744*x^4 - 443008*x^3 - 22368*x^2 + 2496*x + 128, x^37 - 7*x^36 - 33*x^35 + 329*x^34 + 316*x^33 - 6961*x^32 + 2415*x^31 + 87469*x^30 - 93141*x^29 - 724466*x^28 + 1142901*x^27 + 4142833*x^26 - 8433928*x^25 - 16593481*x^24 + 42316021*x^23 + 45825777*x^22 - 150918106*x^21 - 81203086*x^20 + 388580651*x^19 + 67134545*x^18 - 721403859*x^17 + 61923705*x^16 + 951029258*x^15 - 262169531*x^14 - 862965368*x^13 + 360781258*x^12 + 510977034*x^11 - 268150414*x^10 - 180880259*x^9 + 108176304*x^8 + 33642465*x^7 - 20708862*x^6 - 3152232*x^5 + 1506640*x^4 + 148272*x^3 - 13856*x^2 - 640*x, x^37 - 7*x^36 - 33*x^35 + 329*x^34 + 316*x^33 - 6961*x^32 + 2415*x^31 + 87469*x^30 - 93141*x^29 - 724466*x^28 + 1142901*x^27 + 4142833*x^26 - 8433928*x^25 - 16593481*x^24 + 42316021*x^23 + 45825777*x^22 - 150918106*x^21 - 81203086*x^20 + 388580651*x^19 + 67134545*x^18 - 721403859*x^17 + 61923705*x^16 + 951029258*x^15 - 262169531*x^14 - 862965368*x^13 + 360781258*x^12 + 510977034*x^11 - 268150414*x^10 - 180880259*x^9 + 108176304*x^8 + 33642465*x^7 - 20708862*x^6 - 3152232*x^5 + 1506640*x^4 + 148272*x^3 - 13856*x^2 - 640*x, 2*x^37 - 19*x^36 - 21*x^35 + 732*x^34 - 1152*x^33 - 11915*x^32 + 35231*x^31 + 102394*x^30 - 471287*x^29 - 428540*x^28 + 3792787*x^27 - 206259*x^26 - 20153562*x^25 + 13453925*x^24 + 72999092*x^23 - 84552328*x^22 - 179436828*x^21 + 299971082*x^20 + 283978795*x^19 - 694770665*x^18 - 235311514*x^17 + 1083323561*x^16 - 38039302*x^15 - 1123382099*x^14 + 326846282*x^13 + 738554263*x^12 - 356145977*x^11 - 279145087*x^10 + 178913673*x^9 + 50798145*x^8 - 40191359*x^7 - 4097802*x^6 + 3423200*x^5 + 202616*x^4 - 47424*x^3 - 2432*x^2 - 192*x, 2*x^37 - 19*x^36 - 21*x^35 + 732*x^34 - 1152*x^33 - 11915*x^32 + 35231*x^31 + 102394*x^30 - 471287*x^29 - 428540*x^28 + 3792787*x^27 - 206259*x^26 - 20153562*x^25 + 13453925*x^24 + 72999092*x^23 - 84552328*x^22 - 179436828*x^21 + 299971082*x^20 + 283978795*x^19 - 694770665*x^18 - 235311514*x^17 + 1083323561*x^16 - 38039302*x^15 - 1123382099*x^14 + 326846282*x^13 + 738554263*x^12 - 356145977*x^11 - 279145087*x^10 + 178913673*x^9 + 50798145*x^8 - 40191359*x^7 - 4097802*x^6 + 3423200*x^5 + 202616*x^4 - 47424*x^3 - 2432*x^2 - 192*x, x^37 - 8*x^36 - 25*x^35 + 355*x^34 - 49*x^33 - 6911*x^32 + 9634*x^31 + 77040*x^30 - 173769*x^29 - 534085*x^28 + 1691480*x^27 + 2285083*x^26 - 10635071*x^25 - 4998743*x^24 + 45927098*x^23 - 3290883*x^22 - 139303501*x^21 + 62557734*x^20 + 296926014*x^19 - 220876717*x^18 - 436768041*x^17 + 440212425*x^16 + 425559301*x^15 - 550337586*x^14 - 254459442*x^13 + 429934882*x^12 + 82576575*x^11 - 198005988*x^10 - 16420306*x^9 + 48316234*x^8 + 7692081*x^7 - 5652608*x^6 - 2815960*x^5 + 190272*x^4 + 301360*x^3 + 24416*x^2 - 2176*x - 128, x^37 - 8*x^36 - 25*x^35 + 355*x^34 - 49*x^33 - 6911*x^32 + 9634*x^31 + 77040*x^30 - 173769*x^29 - 534085*x^28 + 1691480*x^27 + 2285083*x^26 - 10635071*x^25 - 4998743*x^24 + 45927098*x^23 - 3290883*x^22 - 139303501*x^21 + 62557734*x^20 + 296926014*x^19 - 220876717*x^18 - 436768041*x^17 + 440212425*x^16 + 425559301*x^15 - 550337586*x^14 - 254459442*x^13 + 429934882*x^12 + 82576575*x^11 - 198005988*x^10 - 16420306*x^9 + 48316234*x^8 + 7692081*x^7 - 5652608*x^6 - 2815960*x^5 + 190272*x^4 + 301360*x^3 + 24416*x^2 - 2176*x - 128, -x^38 + 11*x^37 - x^36 - 407*x^35 + 1093*x^34 + 6047*x^33 - 27898*x^32 - 40005*x^31 + 354185*x^30 - 9858*x^29 - 2764192*x^28 + 2392101*x^27 + 14181422*x^26 - 21681872*x^25 - 48189244*x^24 + 109430814*x^23 + 101824531*x^22 - 362987947*x^21 - 94085276*x^20 + 826970503*x^19 - 135673893*x^18 - 1298577605*x^17 + 613334290*x^16 + 1371051420*x^15 - 1011039973*x^14 - 913669462*x^13 + 945958770*x^12 + 328295951*x^11 - 520023132*x^10 - 28919792*x^9 + 158208111*x^8 - 15604991*x^7 - 23721224*x^6 + 3633616*x^5 + 1627960*x^4 - 214016*x^3 - 41536*x^2 + 1344*x + 128, -x^38 + 11*x^37 - x^36 - 407*x^35 + 1093*x^34 + 6047*x^33 - 27898*x^32 - 40005*x^31 + 354185*x^30 - 9858*x^29 - 2764192*x^28 + 2392101*x^27 + 14181422*x^26 - 21681872*x^25 - 48189244*x^24 + 109430814*x^23 + 101824531*x^22 - 362987947*x^21 - 94085276*x^20 + 826970503*x^19 - 135673893*x^18 - 1298577605*x^17 + 613334290*x^16 + 1371051420*x^15 - 1011039973*x^14 - 913669462*x^13 + 945958770*x^12 + 328295951*x^11 - 520023132*x^10 - 28919792*x^9 + 158208111*x^8 - 15604991*x^7 - 23721224*x^6 + 3633616*x^5 + 1627960*x^4 - 214016*x^3 - 41536*x^2 + 1344*x + 128, -x^38 + 10*x^37 + 9*x^36 - 399*x^35 + 704*x^34 + 6751*x^33 - 21460*x^32 - 60727*x^31 + 297420*x^30 + 271833*x^29 - 2516434*x^28 + 41006*x^27 + 14265310*x^26 - 8497654*x^25 - 56299441*x^24 + 57988891*x^23 + 156447303*x^22 - 222611864*x^21 - 302975818*x^20 + 565527539*x^19 + 393046442*x^18 - 992628650*x^17 - 306109493*x^16 + 1212483981*x^15 + 86358082*x^14 - 1019771891*x^13 + 70409709*x^12 + 578438924*x^11 - 78048662*x^10 - 216057537*x^9 + 30322150*x^8 + 51302007*x^7 - 5570728*x^6 - 6696528*x^5 + 250064*x^4 + 389856*x^3 + 22080*x^2 - 2688*x - 128, -x^38 + 10*x^37 + 9*x^36 - 399*x^35 + 704*x^34 + 6751*x^33 - 21460*x^32 - 60727*x^31 + 297420*x^30 + 271833*x^29 - 2516434*x^28 + 41006*x^27 + 14265310*x^26 - 8497654*x^25 - 56299441*x^24 + 57988891*x^23 + 156447303*x^22 - 222611864*x^21 - 302975818*x^20 + 565527539*x^19 + 393046442*x^18 - 992628650*x^17 - 306109493*x^16 + 1212483981*x^15 + 86358082*x^14 - 1019771891*x^13 + 70409709*x^12 + 578438924*x^11 - 78048662*x^10 - 216057537*x^9 + 30322150*x^8 + 51302007*x^7 - 5570728*x^6 - 6696528*x^5 + 250064*x^4 + 389856*x^3 + 22080*x^2 - 2688*x - 128, -x^37 + 12*x^36 - 11*x^35 - 408*x^34 + 1418*x^33 + 5262*x^32 - 31961*x^31 - 22484*x^30 + 373417*x^29 - 193730*x^28 - 2691899*x^27 + 3487684*x^26 + 12641502*x^25 - 25270465*x^24 - 38355384*x^23 + 112732229*x^22 + 67030324*x^21 - 339231706*x^20 - 23849856*x^19 + 707362642*x^18 - 193494413*x^17 - 1020487071*x^16 + 536248794*x^15 + 994486136*x^14 - 730021906*x^13 - 621433403*x^12 + 584784549*x^11 + 224771385*x^10 - 273866837*x^9 - 37477517*x^8 + 68718892*x^7 + 1312862*x^6 - 7803228*x^5 - 80312*x^4 + 335872*x^3 + 21888*x^2 - 2176*x - 128, -x^37 + 12*x^36 - 11*x^35 - 408*x^34 + 1418*x^33 + 5262*x^32 - 31961*x^31 - 22484*x^30 + 373417*x^29 - 193730*x^28 - 2691899*x^27 + 3487684*x^26 + 12641502*x^25 - 25270465*x^24 - 38355384*x^23 + 112732229*x^22 + 67030324*x^21 - 339231706*x^20 - 23849856*x^19 + 707362642*x^18 - 193494413*x^17 - 1020487071*x^16 + 536248794*x^15 + 994486136*x^14 - 730021906*x^13 - 621433403*x^12 + 584784549*x^11 + 224771385*x^10 - 273866837*x^9 - 37477517*x^8 + 68718892*x^7 + 1312862*x^6 - 7803228*x^5 - 80312*x^4 + 335872*x^3 + 21888*x^2 - 2176*x - 128, 2*x^36 - 18*x^35 - 27*x^34 + 695*x^33 - 867*x^32 - 11426*x^31 + 29227*x^30 + 101201*x^29 - 397284*x^28 - 473286*x^27 + 3200825*x^26 + 474322*x^25 - 16939386*x^24 + 8282191*x^23 + 61022129*x^22 - 59386126*x^21 - 149549054*x^20 + 216052836*x^19 + 238910690*x^18 - 499138240*x^17 - 212767277*x^16 + 766051877*x^15 + 19514065*x^14 - 774942348*x^13 + 185501359*x^12 + 493636736*x^11 - 211176529*x^10 - 180449118*x^9 + 102142147*x^8 + 32836640*x^7 - 21017020*x^6 - 3349556*x^5 + 1641320*x^4 + 213680*x^3 - 13216*x^2 - 1152*x, 2*x^36 - 18*x^35 - 27*x^34 + 695*x^33 - 867*x^32 - 11426*x^31 + 29227*x^30 + 101201*x^29 - 397284*x^28 - 473286*x^27 + 3200825*x^26 + 474322*x^25 - 16939386*x^24 + 8282191*x^23 + 61022129*x^22 - 59386126*x^21 - 149549054*x^20 + 216052836*x^19 + 238910690*x^18 - 499138240*x^17 - 212767277*x^16 + 766051877*x^15 + 19514065*x^14 - 774942348*x^13 + 185501359*x^12 + 493636736*x^11 - 211176529*x^10 - 180449118*x^9 + 102142147*x^8 + 32836640*x^7 - 21017020*x^6 - 3349556*x^5 + 1641320*x^4 + 213680*x^3 - 13216*x^2 - 1152*x, -x^38 + 10*x^37 + 9*x^36 - 398*x^35 + 691*x^34 + 6779*x^33 - 21125*x^32 - 62442*x^31 + 295238*x^30 + 301480*x^29 - 2539037*x^28 - 220052*x^27 + 14774024*x^26 - 7231704*x^25 - 60553649*x^24 + 55309585*x^23 + 177135769*x^22 - 227725848*x^21 - 366454761*x^20 + 619466452*x^19 + 514356451*x^18 - 1170061258*x^17 - 431237897*x^16 + 1541486434*x^15 + 99411298*x^14 - 1383298264*x^13 + 204865444*x^12 + 800425678*x^11 - 239774604*x^10 - 269643941*x^9 + 107605348*x^8 + 44758749*x^7 - 18926694*x^6 - 3782000*x^5 + 1172832*x^4 + 166064*x^3 - 4224*x^2 - 448*x, -x^38 + 10*x^37 + 9*x^36 - 398*x^35 + 691*x^34 + 6779*x^33 - 21125*x^32 - 62442*x^31 + 295238*x^30 + 301480*x^29 - 2539037*x^28 - 220052*x^27 + 14774024*x^26 - 7231704*x^25 - 60553649*x^24 + 55309585*x^23 + 177135769*x^22 - 227725848*x^21 - 366454761*x^20 + 619466452*x^19 + 514356451*x^18 - 1170061258*x^17 - 431237897*x^16 + 1541486434*x^15 + 99411298*x^14 - 1383298264*x^13 + 204865444*x^12 + 800425678*x^11 - 239774604*x^10 - 269643941*x^9 + 107605348*x^8 + 44758749*x^7 - 18926694*x^6 - 3782000*x^5 + 1172832*x^4 + 166064*x^3 - 4224*x^2 - 448*x, -x^37 + 11*x^36 - 4*x^35 - 373*x^34 + 1071*x^33 + 4933*x^32 - 24416*x^31 - 26005*x^30 + 278535*x^29 - 73930*x^28 - 1928282*x^27 + 2059273*x^26 + 8553476*x^25 - 15087420*x^24 - 23878964*x^23 + 64107698*x^22 + 35743034*x^21 - 177202695*x^20 + 1789840*x^19 + 326050052*x^18 - 127048644*x^17 - 391226826*x^16 + 271372319*x^15 + 285157674*x^14 - 289073963*x^13 - 103749761*x^12 + 164903050*x^11 + 4981623*x^10 - 43332126*x^9 + 4299204*x^8 + 2590927*x^7 + 819430*x^6 + 151624*x^5 - 190536*x^4 - 19712*x^3 + 64*x^2 - 192*x, -x^37 + 11*x^36 - 4*x^35 - 373*x^34 + 1071*x^33 + 4933*x^32 - 24416*x^31 - 26005*x^30 + 278535*x^29 - 73930*x^28 - 1928282*x^27 + 2059273*x^26 + 8553476*x^25 - 15087420*x^24 - 23878964*x^23 + 64107698*x^22 + 35743034*x^21 - 177202695*x^20 + 1789840*x^19 + 326050052*x^18 - 127048644*x^17 - 391226826*x^16 + 271372319*x^15 + 285157674*x^14 - 289073963*x^13 - 103749761*x^12 + 164903050*x^11 + 4981623*x^10 - 43332126*x^9 + 4299204*x^8 + 2590927*x^7 + 819430*x^6 + 151624*x^5 - 190536*x^4 - 19712*x^3 + 64*x^2 - 192*x, -x^39 + 9*x^38 + 19*x^37 - 392*x^36 + 319*x^35 + 7515*x^34 - 15328*x^33 - 82608*x^32 + 248753*x^31 + 562194*x^30 - 2380931*x^29 - 2298571*x^28 + 15296049*x^27 + 3953033*x^26 - 69610752*x^25 + 13038744*x^24 + 230231061*x^23 - 113947258*x^22 - 559415393*x^21 + 403350157*x^20 + 999805450*x^19 - 894379882*x^18 - 1306658790*x^17 + 1345693473*x^16 + 1234971029*x^15 - 1395293982*x^14 - 832659855*x^13 + 984269463*x^12 + 396082059*x^11 - 455261701*x^10 - 132840244*x^9 + 128325306*x^8 + 31791287*x^7 - 18949156*x^6 - 5311896*x^5 + 1038264*x^4 + 421184*x^3 + 23648*x^2 - 2176*x - 128, -x^39 + 9*x^38 + 19*x^37 - 392*x^36 + 319*x^35 + 7515*x^34 - 15328*x^33 - 82608*x^32 + 248753*x^31 + 562194*x^30 - 2380931*x^29 - 2298571*x^28 + 15296049*x^27 + 3953033*x^26 - 69610752*x^25 + 13038744*x^24 + 230231061*x^23 - 113947258*x^22 - 559415393*x^21 + 403350157*x^20 + 999805450*x^19 - 894379882*x^18 - 1306658790*x^17 + 1345693473*x^16 + 1234971029*x^15 - 1395293982*x^14 - 832659855*x^13 + 984269463*x^12 + 396082059*x^11 - 455261701*x^10 - 132840244*x^9 + 128325306*x^8 + 31791287*x^7 - 18949156*x^6 - 5311896*x^5 + 1038264*x^4 + 421184*x^3 + 23648*x^2 - 2176*x - 128, -x^37 + 9*x^36 + 17*x^35 - 375*x^34 + 362*x^33 + 6776*x^32 - 14922*x^31 - 68675*x^30 + 223899*x^29 + 413586*x^28 - 1979121*x^27 - 1328110*x^26 + 11613158*x^25 + 157928*x^24 - 47477347*x^23 + 19673067*x^22 + 137875560*x^21 - 100185000*x^20 - 284904155*x^19 + 279430419*x^18 + 413522938*x^17 - 502380099*x^16 - 410051053*x^15 + 600160112*x^14 + 266748235*x^13 - 470717048*x^12 - 111044263*x^11 + 234362210*x^10 + 33673725*x^9 - 71647040*x^8 - 9836372*x^7 + 13251496*x^6 + 1691652*x^5 - 1026536*x^4 - 149184*x^3 + 3552*x^2 + 704*x, -x^37 + 9*x^36 + 17*x^35 - 375*x^34 + 362*x^33 + 6776*x^32 - 14922*x^31 - 68675*x^30 + 223899*x^29 + 413586*x^28 - 1979121*x^27 - 1328110*x^26 + 11613158*x^25 + 157928*x^24 - 47477347*x^23 + 19673067*x^22 + 137875560*x^21 - 100185000*x^20 - 284904155*x^19 + 279430419*x^18 + 413522938*x^17 - 502380099*x^16 - 410051053*x^15 + 600160112*x^14 + 266748235*x^13 - 470717048*x^12 - 111044263*x^11 + 234362210*x^10 + 33673725*x^9 - 71647040*x^8 - 9836372*x^7 + 13251496*x^6 + 1691652*x^5 - 1026536*x^4 - 149184*x^3 + 3552*x^2 + 704*x, -x^36 + 11*x^35 - 5*x^34 - 365*x^33 + 1079*x^32 + 4727*x^31 - 24215*x^30 - 23923*x^29 + 275678*x^28 - 85051*x^27 - 1926263*x^26 + 2114801*x^25 + 8744340*x^24 - 15576448*x^23 - 25553117*x^22 + 67930970*x^21 + 42633823*x^20 - 196082605*x^19 - 13080199*x^18 + 384885701*x^17 - 115836870*x^16 - 508960996*x^15 + 293948895*x^14 + 435018579*x^13 - 358635158*x^12 - 219508316*x^11 + 245052854*x^10 + 53252751*x^9 - 89684601*x^8 - 3254528*x^7 + 15221268*x^6 + 278488*x^5 - 1039576*x^4 - 96752*x^3 + 4480*x^2 + 512*x, -x^36 + 11*x^35 - 5*x^34 - 365*x^33 + 1079*x^32 + 4727*x^31 - 24215*x^30 - 23923*x^29 + 275678*x^28 - 85051*x^27 - 1926263*x^26 + 2114801*x^25 + 8744340*x^24 - 15576448*x^23 - 25553117*x^22 + 67930970*x^21 + 42633823*x^20 - 196082605*x^19 - 13080199*x^18 + 384885701*x^17 - 115836870*x^16 - 508960996*x^15 + 293948895*x^14 + 435018579*x^13 - 358635158*x^12 - 219508316*x^11 + 245052854*x^10 + 53252751*x^9 - 89684601*x^8 - 3254528*x^7 + 15221268*x^6 + 278488*x^5 - 1039576*x^4 - 96752*x^3 + 4480*x^2 + 512*x, -x^36 + 12*x^35 - 10*x^34 - 410*x^33 + 1356*x^32 + 5422*x^31 - 30420*x^30 - 27198*x^29 + 352538*x^28 - 118676*x^27 - 2520244*x^26 + 2739854*x^25 + 11767652*x^24 - 20259154*x^23 - 35855927*x^22 + 89273900*x^21 + 65630808*x^20 - 261120941*x^19 - 43278265*x^18 + 521682477*x^17 - 104504407*x^16 - 708498510*x^15 + 328925686*x^14 + 633597425*x^13 - 430418886*x^12 - 348667288*x^11 + 309872498*x^10 + 103677592*x^9 - 120103652*x^8 - 13662301*x^7 + 21765266*x^6 + 1567676*x^5 - 1630256*x^4 - 179472*x^3 + 14496*x^2 + 1344*x, -x^36 + 12*x^35 - 10*x^34 - 410*x^33 + 1356*x^32 + 5422*x^31 - 30420*x^30 - 27198*x^29 + 352538*x^28 - 118676*x^27 - 2520244*x^26 + 2739854*x^25 + 11767652*x^24 - 20259154*x^23 - 35855927*x^22 + 89273900*x^21 + 65630808*x^20 - 261120941*x^19 - 43278265*x^18 + 521682477*x^17 - 104504407*x^16 - 708498510*x^15 + 328925686*x^14 + 633597425*x^13 - 430418886*x^12 - 348667288*x^11 + 309872498*x^10 + 103677592*x^9 - 120103652*x^8 - 13662301*x^7 + 21765266*x^6 + 1567676*x^5 - 1630256*x^4 - 179472*x^3 + 14496*x^2 + 1344*x, -x^39 + 10*x^38 + 9*x^37 - 402*x^36 + 727*x^35 + 6832*x^34 - 22494*x^33 - 60793*x^32 + 317565*x^31 + 246924*x^30 - 2738685*x^29 + 507763*x^28 + 15774443*x^27 - 13004471*x^26 - 62560080*x^25 + 85578793*x^24 + 169564055*x^23 - 337167194*x^22 - 294181584*x^21 + 896140424*x^20 + 241280293*x^19 - 1656547183*x^18 + 199024557*x^17 + 2121761080*x^16 - 862396797*x^15 - 1827446814*x^14 + 1189346792*x^13 + 991924199*x^12 - 907135728*x^11 - 296409338*x^10 + 397892491*x^9 + 33920032*x^8 - 95337667*x^7 + 557746*x^6 + 11792020*x^5 + 56104*x^4 - 641456*x^3 - 46752*x^2 + 4352*x + 256, -x^39 + 10*x^38 + 9*x^37 - 402*x^36 + 727*x^35 + 6832*x^34 - 22494*x^33 - 60793*x^32 + 317565*x^31 + 246924*x^30 - 2738685*x^29 + 507763*x^28 + 15774443*x^27 - 13004471*x^26 - 62560080*x^25 + 85578793*x^24 + 169564055*x^23 - 337167194*x^22 - 294181584*x^21 + 896140424*x^20 + 241280293*x^19 - 1656547183*x^18 + 199024557*x^17 + 2121761080*x^16 - 862396797*x^15 - 1827446814*x^14 + 1189346792*x^13 + 991924199*x^12 - 907135728*x^11 - 296409338*x^10 + 397892491*x^9 + 33920032*x^8 - 95337667*x^7 + 557746*x^6 + 11792020*x^5 + 56104*x^4 - 641456*x^3 - 46752*x^2 + 4352*x + 256, -x^40 + 10*x^39 + 11*x^38 - 422*x^37 + 712*x^36 + 7603*x^35 - 23936*x^34 - 73327*x^33 + 359259*x^32 + 353446*x^31 - 3297310*x^30 + 92218*x^29 + 20358812*x^28 - 13735117*x^27 - 87745207*x^26 + 104331368*x^25 + 265381561*x^24 - 453609133*x^23 - 547292666*x^22 + 1325753497*x^21 + 690540569*x^20 - 2721155835*x^19 - 276605015*x^18 + 3950929868*x^17 - 724056734*x^16 - 4001316431*x^15 + 1573674100*x^14 + 2730598780*x^13 - 1534146174*x^12 - 1179639711*x^11 + 842444589*x^10 + 290085342*x^9 - 254742130*x^8 - 35135452*x^7 + 37358484*x^6 + 2716544*x^5 - 2245040*x^4 - 183520*x^3 + 15712*x^2 + 704*x, -x^40 + 10*x^39 + 11*x^38 - 422*x^37 + 712*x^36 + 7603*x^35 - 23936*x^34 - 73327*x^33 + 359259*x^32 + 353446*x^31 - 3297310*x^30 + 92218*x^29 + 20358812*x^28 - 13735117*x^27 - 87745207*x^26 + 104331368*x^25 + 265381561*x^24 - 453609133*x^23 - 547292666*x^22 + 1325753497*x^21 + 690540569*x^20 - 2721155835*x^19 - 276605015*x^18 + 3950929868*x^17 - 724056734*x^16 - 4001316431*x^15 + 1573674100*x^14 + 2730598780*x^13 - 1534146174*x^12 - 1179639711*x^11 + 842444589*x^10 + 290085342*x^9 - 254742130*x^8 - 35135452*x^7 + 37358484*x^6 + 2716544*x^5 - 2245040*x^4 - 183520*x^3 + 15712*x^2 + 704*x, -x^36 + 7*x^35 + 33*x^34 - 337*x^33 - 238*x^32 + 6974*x^31 - 4846*x^30 - 82146*x^29 + 123727*x^28 + 610005*x^27 - 1324042*x^26 - 2957576*x^25 + 8664166*x^24 + 9161523*x^23 - 38244810*x^22 - 15448696*x^21 + 118256663*x^20 - 1192965*x^19 - 258953923*x^18 + 76725613*x^17 + 398438539*x^16 - 202272816*x^15 - 419769959*x^14 + 282306608*x^13 + 289263076*x^12 - 233032451*x^11 - 122639823*x^10 + 110736772*x^9 + 31488518*x^8 - 28214139*x^7 - 5989116*x^6 + 3978340*x^5 + 627288*x^4 - 237120*x^3 - 24928*x^2 + 1984*x + 128, -x^36 + 7*x^35 + 33*x^34 - 337*x^33 - 238*x^32 + 6974*x^31 - 4846*x^30 - 82146*x^29 + 123727*x^28 + 610005*x^27 - 1324042*x^26 - 2957576*x^25 + 8664166*x^24 + 9161523*x^23 - 38244810*x^22 - 15448696*x^21 + 118256663*x^20 - 1192965*x^19 - 258953923*x^18 + 76725613*x^17 + 398438539*x^16 - 202272816*x^15 - 419769959*x^14 + 282306608*x^13 + 289263076*x^12 - 233032451*x^11 - 122639823*x^10 + 110736772*x^9 + 31488518*x^8 - 28214139*x^7 - 5989116*x^6 + 3978340*x^5 + 627288*x^4 - 237120*x^3 - 24928*x^2 + 1984*x + 128, -x^36 + 8*x^35 + 24*x^34 - 345*x^33 + 49*x^32 + 6583*x^31 - 8763*x^30 - 72983*x^29 + 153973*x^28 + 516785*x^27 - 1475580*x^26 - 2393565*x^25 + 9246543*x^24 + 6890841*x^23 - 40412410*x^22 - 8816423*x^21 + 126474525*x^20 - 16885625*x^19 - 285070879*x^18 + 110232895*x^17 + 457972442*x^16 - 266517723*x^15 - 509884156*x^14 + 380078262*x^13 + 373141397*x^12 - 336007691*x^11 - 163193610*x^10 + 176676681*x^9 + 35794094*x^8 - 49540868*x^7 - 3093716*x^6 + 6285580*x^5 + 229152*x^4 - 306224*x^3 - 21760*x^2 + 2368*x + 128, -x^36 + 8*x^35 + 24*x^34 - 345*x^33 + 49*x^32 + 6583*x^31 - 8763*x^30 - 72983*x^29 + 153973*x^28 + 516785*x^27 - 1475580*x^26 - 2393565*x^25 + 9246543*x^24 + 6890841*x^23 - 40412410*x^22 - 8816423*x^21 + 126474525*x^20 - 16885625*x^19 - 285070879*x^18 + 110232895*x^17 + 457972442*x^16 - 266517723*x^15 - 509884156*x^14 + 380078262*x^13 + 373141397*x^12 - 336007691*x^11 - 163193610*x^10 + 176676681*x^9 + 35794094*x^8 - 49540868*x^7 - 3093716*x^6 + 6285580*x^5 + 229152*x^4 - 306224*x^3 - 21760*x^2 + 2368*x + 128, -2*x^35 + 19*x^34 + 6*x^33 - 584*x^32 + 1163*x^31 + 7324*x^30 - 24756*x^29 - 45294*x^28 + 248851*x^27 + 102697*x^26 - 1503597*x^25 + 447474*x^24 + 5911426*x^23 - 4388849*x^22 - 15580078*x^21 + 16674576*x^20 + 27655282*x^19 - 37406062*x^18 - 32575352*x^17 + 53553633*x^16 + 24217824*x^15 - 49583401*x^14 - 8691514*x^13 + 28783690*x^12 - 3724004*x^11 - 8325024*x^10 + 7505555*x^9 - 1571105*x^8 - 3956756*x^7 + 2059342*x^6 + 478072*x^5 - 245592*x^4 - 25168*x^3 + 384*x^2 - 192*x, -2*x^35 + 19*x^34 + 6*x^33 - 584*x^32 + 1163*x^31 + 7324*x^30 - 24756*x^29 - 45294*x^28 + 248851*x^27 + 102697*x^26 - 1503597*x^25 + 447474*x^24 + 5911426*x^23 - 4388849*x^22 - 15580078*x^21 + 16674576*x^20 + 27655282*x^19 - 37406062*x^18 - 32575352*x^17 + 53553633*x^16 + 24217824*x^15 - 49583401*x^14 - 8691514*x^13 + 28783690*x^12 - 3724004*x^11 - 8325024*x^10 + 7505555*x^9 - 1571105*x^8 - 3956756*x^7 + 2059342*x^6 + 478072*x^5 - 245592*x^4 - 25168*x^3 + 384*x^2 - 192*x, -x^38 + 10*x^37 + 6*x^36 - 373*x^35 + 751*x^34 + 5755*x^33 - 20569*x^32 - 44080*x^31 + 263387*x^30 + 114065*x^29 - 2045332*x^28 + 950698*x^27 + 10411103*x^26 - 11520871*x^25 - 35263857*x^24 + 61132354*x^23 + 75975313*x^22 - 201887225*x^21 - 82805515*x^20 + 445142200*x^19 - 38726879*x^18 - 659107530*x^17 + 292897834*x^16 + 632383183*x^15 - 483738606*x^14 - 355376317*x^13 + 422145002*x^12 + 82804695*x^11 - 204777494*x^10 + 13478631*x^9 + 51799115*x^8 - 9065551*x^7 - 6639770*x^6 + 1121560*x^5 + 430752*x^4 - 29296*x^3 - 7136*x^2, -x^38 + 10*x^37 + 6*x^36 - 373*x^35 + 751*x^34 + 5755*x^33 - 20569*x^32 - 44080*x^31 + 263387*x^30 + 114065*x^29 - 2045332*x^28 + 950698*x^27 + 10411103*x^26 - 11520871*x^25 - 35263857*x^24 + 61132354*x^23 + 75975313*x^22 - 201887225*x^21 - 82805515*x^20 + 445142200*x^19 - 38726879*x^18 - 659107530*x^17 + 292897834*x^16 + 632383183*x^15 - 483738606*x^14 - 355376317*x^13 + 422145002*x^12 + 82804695*x^11 - 204777494*x^10 + 13478631*x^9 + 51799115*x^8 - 9065551*x^7 - 6639770*x^6 + 1121560*x^5 + 430752*x^4 - 29296*x^3 - 7136*x^2, -x^36 + 8*x^35 + 19*x^34 - 299*x^33 + 88*x^32 + 5053*x^31 - 6469*x^30 - 51155*x^29 + 96383*x^28 + 344628*x^27 - 823898*x^26 - 1608773*x^25 + 4738604*x^24 + 5181773*x^23 - 19382171*x^22 - 10774652*x^21 + 57423375*x^20 + 10721511*x^19 - 123129551*x^18 + 9911858*x^17 + 188565674*x^16 - 52788087*x^15 - 201371743*x^14 + 86924985*x^13 + 144783090*x^12 - 79236570*x^11 - 67111699*x^10 + 42248034*x^9 + 19566015*x^8 - 13032234*x^7 - 3755412*x^6 + 2387924*x^5 + 378928*x^4 - 186304*x^3 - 20608*x^2 + 1536*x + 128, -x^36 + 8*x^35 + 19*x^34 - 299*x^33 + 88*x^32 + 5053*x^31 - 6469*x^30 - 51155*x^29 + 96383*x^28 + 344628*x^27 - 823898*x^26 - 1608773*x^25 + 4738604*x^24 + 5181773*x^23 - 19382171*x^22 - 10774652*x^21 + 57423375*x^20 + 10721511*x^19 - 123129551*x^18 + 9911858*x^17 + 188565674*x^16 - 52788087*x^15 - 201371743*x^14 + 86924985*x^13 + 144783090*x^12 - 79236570*x^11 - 67111699*x^10 + 42248034*x^9 + 19566015*x^8 - 13032234*x^7 - 3755412*x^6 + 2387924*x^5 + 378928*x^4 - 186304*x^3 - 20608*x^2 + 1536*x + 128, -x^36 + 8*x^35 + 19*x^34 - 301*x^33 + 110*x^32 + 5023*x^31 - 7002*x^30 - 49017*x^29 + 100036*x^28 + 310451*x^27 - 805568*x^26 - 1340219*x^25 + 4264991*x^24 + 4050764*x^23 - 15739592*x^22 - 8844245*x^21 + 41568660*x^20 + 15228721*x^19 - 79575255*x^18 - 24996257*x^17 + 111541609*x^16 + 43069181*x^15 - 116481761*x^14 - 64410144*x^13 + 92901507*x^12 + 67641010*x^11 - 56513739*x^10 - 44433241*x^9 + 23866886*x^8 + 16879490*x^7 - 5517744*x^6 - 3452288*x^5 + 410488*x^4 + 310560*x^3 + 19040*x^2 - 2112*x - 128, -x^36 + 8*x^35 + 19*x^34 - 301*x^33 + 110*x^32 + 5023*x^31 - 7002*x^30 - 49017*x^29 + 100036*x^28 + 310451*x^27 - 805568*x^26 - 1340219*x^25 + 4264991*x^24 + 4050764*x^23 - 15739592*x^22 - 8844245*x^21 + 41568660*x^20 + 15228721*x^19 - 79575255*x^18 - 24996257*x^17 + 111541609*x^16 + 43069181*x^15 - 116481761*x^14 - 64410144*x^13 + 92901507*x^12 + 67641010*x^11 - 56513739*x^10 - 44433241*x^9 + 23866886*x^8 + 16879490*x^7 - 5517744*x^6 - 3452288*x^5 + 410488*x^4 + 310560*x^3 + 19040*x^2 - 2112*x - 128, -x^37 + 10*x^36 + 5*x^35 - 364*x^34 + 759*x^33 + 5455*x^32 - 20073*x^31 - 40005*x^30 + 250879*x^29 + 87134*x^28 - 1907314*x^27 + 1008278*x^26 + 9525307*x^25 - 11100042*x^24 - 31726803*x^23 + 57149104*x^22 + 67359978*x^21 - 185993973*x^20 - 72102649*x^19 + 408383973*x^18 - 37146154*x^17 - 608653295*x^16 + 265594563*x^15 + 596013523*x^14 - 441955444*x^13 - 350513930*x^12 + 392322397*x^11 + 94817437*x^10 - 194135338*x^9 + 4349639*x^8 + 49701680*x^7 - 5841972*x^6 - 6334916*x^5 + 504200*x^4 + 381216*x^3 + 19648*x^2 - 2752*x - 128, -x^37 + 10*x^36 + 5*x^35 - 364*x^34 + 759*x^33 + 5455*x^32 - 20073*x^31 - 40005*x^30 + 250879*x^29 + 87134*x^28 - 1907314*x^27 + 1008278*x^26 + 9525307*x^25 - 11100042*x^24 - 31726803*x^23 + 57149104*x^22 + 67359978*x^21 - 185993973*x^20 - 72102649*x^19 + 408383973*x^18 - 37146154*x^17 - 608653295*x^16 + 265594563*x^15 + 596013523*x^14 - 441955444*x^13 - 350513930*x^12 + 392322397*x^11 + 94817437*x^10 - 194135338*x^9 + 4349639*x^8 + 49701680*x^7 - 5841972*x^6 - 6334916*x^5 + 504200*x^4 + 381216*x^3 + 19648*x^2 - 2752*x - 128, -x^37 + 9*x^36 + 14*x^35 - 351*x^34 + 419*x^33 + 5875*x^32 - 14606*x^31 - 53633*x^30 + 203285*x^29 + 266195*x^28 - 1682754*x^27 - 387428*x^26 + 9199777*x^25 - 3929867*x^24 - 34455120*x^23 + 31859007*x^22 + 88452149*x^21 - 124209728*x^20 - 149591868*x^19 + 306271843*x^18 + 144415413*x^17 - 504780259*x^16 - 23316751*x^15 + 556278345*x^14 - 128832004*x^13 - 397283336*x^12 + 169644756*x^11 + 173212881*x^10 - 98676312*x^9 - 42949647*x^8 + 28415483*x^7 + 6317698*x^6 - 4077484*x^5 - 568000*x^4 + 241680*x^3 + 26080*x^2 - 1664*x - 128, -x^37 + 9*x^36 + 14*x^35 - 351*x^34 + 419*x^33 + 5875*x^32 - 14606*x^31 - 53633*x^30 + 203285*x^29 + 266195*x^28 - 1682754*x^27 - 387428*x^26 + 9199777*x^25 - 3929867*x^24 - 34455120*x^23 + 31859007*x^22 + 88452149*x^21 - 124209728*x^20 - 149591868*x^19 + 306271843*x^18 + 144415413*x^17 - 504780259*x^16 - 23316751*x^15 + 556278345*x^14 - 128832004*x^13 - 397283336*x^12 + 169644756*x^11 + 173212881*x^10 - 98676312*x^9 - 42949647*x^8 + 28415483*x^7 + 6317698*x^6 - 4077484*x^5 - 568000*x^4 + 241680*x^3 + 26080*x^2 - 1664*x - 128, -x^38 + 10*x^37 + 7*x^36 - 381*x^35 + 725*x^34 + 6116*x^33 - 20589*x^32 - 51206*x^31 + 272597*x^30 + 194907*x^29 - 2214760*x^28 + 371856*x^27 + 12071540*x^26 - 8853008*x^25 - 45778118*x^24 + 53735301*x^23 + 121972593*x^22 - 194328627*x^21 - 225661113*x^20 + 472891524*x^19 + 278285696*x^18 - 802548750*x^17 - 205083965*x^16 + 957535913*x^15 + 55747370*x^14 - 799803509*x^13 + 38455017*x^12 + 463273975*x^11 - 40690718*x^10 - 183061473*x^9 + 15672589*x^8 + 46638596*x^7 - 3157358*x^6 - 6353384*x^5 + 86904*x^4 + 373024*x^3 + 23488*x^2 - 2624*x - 128, -x^38 + 10*x^37 + 7*x^36 - 381*x^35 + 725*x^34 + 6116*x^33 - 20589*x^32 - 51206*x^31 + 272597*x^30 + 194907*x^29 - 2214760*x^28 + 371856*x^27 + 12071540*x^26 - 8853008*x^25 - 45778118*x^24 + 53735301*x^23 + 121972593*x^22 - 194328627*x^21 - 225661113*x^20 + 472891524*x^19 + 278285696*x^18 - 802548750*x^17 - 205083965*x^16 + 957535913*x^15 + 55747370*x^14 - 799803509*x^13 + 38455017*x^12 + 463273975*x^11 - 40690718*x^10 - 183061473*x^9 + 15672589*x^8 + 46638596*x^7 - 3157358*x^6 - 6353384*x^5 + 86904*x^4 + 373024*x^3 + 23488*x^2 - 2624*x - 128, -x^37 + 10*x^36 + 4*x^35 - 353*x^34 + 748*x^33 + 5151*x^32 - 18999*x^31 - 37169*x^30 + 231199*x^29 + 86688*x^28 - 1726024*x^27 + 789391*x^26 + 8562786*x^25 - 8878393*x^24 - 28951879*x^23 + 45140157*x^22 + 65861601*x^21 - 144596602*x^20 - 93611011*x^19 + 313532921*x^18 + 59812253*x^17 - 466910967*x^16 + 42721874*x^15 + 471841576*x^14 - 124994957*x^13 - 314523573*x^12 + 108877702*x^11 + 134720321*x^10 - 42436645*x^9 - 38475914*x^8 + 5816905*x^7 + 8054572*x^6 - 115564*x^5 - 727216*x^4 - 54400*x^3 + 3776*x^2, -x^37 + 10*x^36 + 4*x^35 - 353*x^34 + 748*x^33 + 5151*x^32 - 18999*x^31 - 37169*x^30 + 231199*x^29 + 86688*x^28 - 1726024*x^27 + 789391*x^26 + 8562786*x^25 - 8878393*x^24 - 28951879*x^23 + 45140157*x^22 + 65861601*x^21 - 144596602*x^20 - 93611011*x^19 + 313532921*x^18 + 59812253*x^17 - 466910967*x^16 + 42721874*x^15 + 471841576*x^14 - 124994957*x^13 - 314523573*x^12 + 108877702*x^11 + 134720321*x^10 - 42436645*x^9 - 38475914*x^8 + 5816905*x^7 + 8054572*x^6 - 115564*x^5 - 727216*x^4 - 54400*x^3 + 3776*x^2, -x^36 + 9*x^35 + 10*x^34 - 316*x^33 + 467*x^32 + 4618*x^31 - 12955*x^30 - 34790*x^29 + 153473*x^28 + 119637*x^27 - 1070653*x^26 + 146531*x^25 + 4804772*x^24 - 3477038*x^23 - 14200205*x^22 + 17151077*x^21 + 27083939*x^20 - 47621926*x^19 - 30360971*x^18 + 83662560*x^17 + 12706086*x^16 - 95004667*x^15 + 12181342*x^14 + 69211317*x^13 - 19274017*x^12 - 32448847*x^11 + 9748990*x^10 + 10734431*x^9 - 1765003*x^8 - 2939700*x^7 - 83842*x^6 + 572004*x^5 + 65160*x^4 - 47152*x^3 - 4480*x^2 + 128*x, -x^36 + 9*x^35 + 10*x^34 - 316*x^33 + 467*x^32 + 4618*x^31 - 12955*x^30 - 34790*x^29 + 153473*x^28 + 119637*x^27 - 1070653*x^26 + 146531*x^25 + 4804772*x^24 - 3477038*x^23 - 14200205*x^22 + 17151077*x^21 + 27083939*x^20 - 47621926*x^19 - 30360971*x^18 + 83662560*x^17 + 12706086*x^16 - 95004667*x^15 + 12181342*x^14 + 69211317*x^13 - 19274017*x^12 - 32448847*x^11 + 9748990*x^10 + 10734431*x^9 - 1765003*x^8 - 2939700*x^7 - 83842*x^6 + 572004*x^5 + 65160*x^4 - 47152*x^3 - 4480*x^2 + 128*x]>
       ]
>;

MOG[863] := 	// J_0(863)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 2, 22, 89, 117, 212, 233, 241, 257, 316, 381, 389, 458, 482, 494, 599, 639, 696, 702, 772, 823, 682*x + 409, 181*x + 409, 553*x + 536, 310*x + 536, 384*x + 632, 479*x + 632, 66*x + 789, 797*x + 789, 339*x + 733, 524*x + 733, 172*x + 345, 691*x + 345, 201*x + 569, 662*x + 569, 465*x + 55, 398*x + 55, 64*x + 604, 799*x + 604, 16*x + 374, 847*x + 374, 648*x + 542, 215*x + 542, 185*x + 198, 678*x + 198, 86*x + 562, 777*x + 562, 240*x + 758, 623*x + 758, 164*x + 681, 699*x + 681, 12*x + 812, 851*x + 812, 773*x + 389, 90*x + 389, 406*x + 818, 457*x + 818, 455*x + 306, 408*x + 306, 124*x + 239, 739*x + 239, 440*x + 823, 423*x + 823, 753*x + 663, 110*x + 663, 278*x + 226, 585*x + 226, 756*x + 400, 107*x + 400, 672*x + 580, 191*x + 580, 431*x + 657, 432*x + 657]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^4 - x^3 - 4*x^2 + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x - 1, x + 1, x + 1, -x - 1, -x - 1, x + 1, 1, -1, -x^3 + 3*x + 1, x^3 - 3*x - 1, x^3 - x^2 - 4*x - 1, -x^3 + x^2 + 4*x + 1, x^2 + x, -x^2 - x, x^3 - x^2 - 4*x - 1, -x^3 + x^2 + 4*x + 1, -x^3 + 3*x + 1, x^3 - 3*x - 1, x + 1, -x - 1, -x^2 - x + 1, x^2 + x - 1, -x^3 + 3*x + 1, x^3 - 3*x - 1, x^3 - 2*x, -x^3 + 2*x, -x^2 - x, x^2 + x, -x^3 + 3*x + 2, x^3 - 3*x - 2, -x^3 + 3*x + 2, x^3 - 3*x - 2, 0, 0, -x^2 - 2*x, x^2 + 2*x, x^2 + 2*x + 1, -x^2 - 2*x - 1, -x - 1, x + 1, -x^2 - x, x^2 + x, -x^2 + 1, x^2 - 1, -x - 1, x + 1, -x - 1, x + 1, -x - 1, x + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^22 + 6*x^21 - 12*x^20 - 129*x^19 - 13*x^18 + 1165*x^17 + 940*x^16 - 5767*x^15 - 6736*x^14 + 17097*x^13 + 23899*x^12 - 30998*x^11 - 48934*x^10 + 33271*x^9 + 59302*x^8 - 18684*x^7 - 41118*x^6 + 3244*x^5 + 14848*x^4 + 1022*x^3 - 2279*x^2 - 305*x + 77,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^21 - 6*x^20 + 10*x^19 + 117*x^18 + 30*x^17 - 948*x^16 - 855*x^15 + 4154*x^14 + 5103*x^13 - 10717*x^12 - 15303*x^11 + 16544*x^10 + 25952*x^9 - 14700*x^8 - 24999*x^7 + 6624*x^6 + 12838*x^5 - 1001*x^4 - 3029*x^3 - 54*x^2 + 237*x + 6, x^21 + 6*x^20 - 10*x^19 - 117*x^18 - 30*x^17 + 948*x^16 + 855*x^15 - 4154*x^14 - 5103*x^13 + 10717*x^12 + 15303*x^11 - 16544*x^10 - 25952*x^9 + 14700*x^8 + 24999*x^7 - 6624*x^6 - 12838*x^5 + 1001*x^4 + 3029*x^3 + 54*x^2 - 237*x - 6, -x^17 - 3*x^16 + 20*x^15 + 64*x^14 - 147*x^13 - 516*x^12 + 518*x^11 + 2079*x^10 - 903*x^9 - 4533*x^8 + 589*x^7 + 5285*x^6 + 337*x^5 - 2967*x^4 - 636*x^3 + 594*x^2 + 184*x - 3, x^17 + 3*x^16 - 20*x^15 - 64*x^14 + 147*x^13 + 516*x^12 - 518*x^11 - 2079*x^10 + 903*x^9 + 4533*x^8 - 589*x^7 - 5285*x^6 - 337*x^5 + 2967*x^4 + 636*x^3 - 594*x^2 - 184*x + 3, -x^20 - 6*x^19 + 9*x^18 + 111*x^17 + 37*x^16 - 849*x^15 - 808*x^14 + 3482*x^13 + 4419*x^12 - 8278*x^11 - 12192*x^10 + 11427*x^9 + 18774*x^8 - 8510*x^7 - 16007*x^6 + 2665*x^5 + 6971*x^4 + 18*x^3 - 1297*x^2 - 80*x + 74, x^20 + 6*x^19 - 9*x^18 - 111*x^17 - 37*x^16 + 849*x^15 + 808*x^14 - 3482*x^13 - 4419*x^12 + 8278*x^11 + 12192*x^10 - 11427*x^9 - 18774*x^8 + 8510*x^7 + 16007*x^6 - 2665*x^5 - 6971*x^4 - 18*x^3 + 1297*x^2 + 80*x - 74, -x^20 - 6*x^19 + 8*x^18 + 106*x^17 + 48*x^16 - 764*x^15 - 825*x^14 + 2898*x^13 + 4177*x^12 - 6176*x^11 - 10790*x^10 + 7144*x^9 + 15529*x^8 - 3550*x^7 - 12273*x^6 - 422*x^5 + 4848*x^4 + 950*x^3 - 745*x^2 - 219*x + 3, x^20 + 6*x^19 - 8*x^18 - 106*x^17 - 48*x^16 + 764*x^15 + 825*x^14 - 2898*x^13 - 4177*x^12 + 6176*x^11 + 10790*x^10 - 7144*x^9 - 15529*x^8 + 3550*x^7 + 12273*x^6 + 422*x^5 - 4848*x^4 - 950*x^3 + 745*x^2 + 219*x - 3, -x^16 - 5*x^15 + 8*x^14 + 68*x^13 - 4*x^12 - 374*x^11 - 132*x^10 + 1072*x^9 + 492*x^8 - 1700*x^7 - 754*x^6 + 1431*x^5 + 577*x^4 - 549*x^3 - 220*x^2 + 64*x + 25, x^16 + 5*x^15 - 8*x^14 - 68*x^13 + 4*x^12 + 374*x^11 + 132*x^10 - 1072*x^9 - 492*x^8 + 1700*x^7 + 754*x^6 - 1431*x^5 - 577*x^4 + 549*x^3 + 220*x^2 - 64*x - 25, x^17 + 5*x^16 - 8*x^15 - 68*x^14 + 6*x^13 + 382*x^12 + 116*x^11 - 1156*x^10 - 448*x^9 + 2033*x^8 + 689*x^7 - 2056*x^6 - 505*x^5 + 1091*x^4 + 192*x^3 - 257*x^2 - 29*x + 19, -x^17 - 5*x^16 + 8*x^15 + 68*x^14 - 6*x^13 - 382*x^12 - 116*x^11 + 1156*x^10 + 448*x^9 - 2033*x^8 - 689*x^7 + 2056*x^6 + 505*x^5 - 1091*x^4 - 192*x^3 + 257*x^2 + 29*x - 19, -x^18 - 4*x^17 + 15*x^16 + 72*x^15 - 79*x^14 - 522*x^13 + 136*x^12 + 1963*x^11 + 253*x^10 - 4085*x^9 - 1444*x^8 + 4596*x^7 + 2393*x^6 - 2462*x^5 - 1727*x^4 + 402*x^3 + 441*x^2 + 26*x - 19, x^18 + 4*x^17 - 15*x^16 - 72*x^15 + 79*x^14 + 522*x^13 - 136*x^12 - 1963*x^11 - 253*x^10 + 4085*x^9 + 1444*x^8 - 4596*x^7 - 2393*x^6 + 2462*x^5 + 1727*x^4 - 402*x^3 - 441*x^2 - 26*x + 19, -x^19 - 6*x^18 + 7*x^17 + 99*x^16 + 47*x^15 - 672*x^14 - 684*x^13 + 2439*x^12 + 3111*x^11 - 5117*x^10 - 7178*x^9 + 6190*x^8 + 8992*x^7 - 3959*x^6 - 5867*x^5 + 1019*x^4 + 1732*x^3 - 26*x^2 - 163*x - 6, x^19 + 6*x^18 - 7*x^17 - 99*x^16 - 47*x^15 + 672*x^14 + 684*x^13 - 2439*x^12 - 3111*x^11 + 5117*x^10 + 7178*x^9 - 6190*x^8 - 8992*x^7 + 3959*x^6 + 5867*x^5 - 1019*x^4 - 1732*x^3 + 26*x^2 + 163*x + 6, -x^19 - 5*x^18 + 12*x^17 + 90*x^16 - 27*x^15 - 665*x^14 - 239*x^13 + 2615*x^12 + 1698*x^11 - 5911*x^10 - 4626*x^9 + 7685*x^8 + 6400*x^7 - 5354*x^6 - 4526*x^5 + 1642*x^4 + 1479*x^3 - 127*x^2 - 177*x - 16, x^19 + 5*x^18 - 12*x^17 - 90*x^16 + 27*x^15 + 665*x^14 + 239*x^13 - 2615*x^12 - 1698*x^11 + 5911*x^10 + 4626*x^9 - 7685*x^8 - 6400*x^7 + 5354*x^6 + 4526*x^5 - 1642*x^4 - 1479*x^3 + 127*x^2 + 177*x + 16, -x^19 - 6*x^18 + 6*x^17 + 94*x^16 + 57*x^15 - 591*x^14 - 687*x^13 + 1926*x^12 + 2815*x^11 - 3489*x^10 - 5797*x^9 + 3465*x^8 + 6326*x^7 - 1692*x^6 - 3464*x^5 + 309*x^4 + 805*x^3 - 38*x^2 - 57*x + 10, x^19 + 6*x^18 - 6*x^17 - 94*x^16 - 57*x^15 + 591*x^14 + 687*x^13 - 1926*x^12 - 2815*x^11 + 3489*x^10 + 5797*x^9 - 3465*x^8 - 6326*x^7 + 1692*x^6 + 3464*x^5 - 309*x^4 - 805*x^3 + 38*x^2 + 57*x - 10, -x^17 - 6*x^16 + 3*x^15 + 76*x^14 + 64*x^13 - 378*x^12 - 506*x^11 + 940*x^10 + 1564*x^9 - 1208*x^8 - 2454*x^7 + 677*x^6 + 2008*x^5 + 28*x^4 - 769*x^3 - 156*x^2 + 89*x + 25, x^17 + 6*x^16 - 3*x^15 - 76*x^14 - 64*x^13 + 378*x^12 + 506*x^11 - 940*x^10 - 1564*x^9 + 1208*x^8 + 2454*x^7 - 677*x^6 - 2008*x^5 - 28*x^4 + 769*x^3 + 156*x^2 - 89*x - 25, x^18 + 6*x^17 - 5*x^16 - 88*x^15 - 58*x^14 + 528*x^13 + 626*x^12 - 1679*x^11 - 2489*x^10 + 3021*x^9 + 5166*x^8 - 2949*x^7 - 5849*x^6 + 1226*x^5 + 3354*x^4 + 44*x^3 - 771*x^2 - 75*x + 45, -x^18 - 6*x^17 + 5*x^16 + 88*x^15 + 58*x^14 - 528*x^13 - 626*x^12 + 1679*x^11 + 2489*x^10 - 3021*x^9 - 5166*x^8 + 2949*x^7 + 5849*x^6 - 1226*x^5 - 3354*x^4 - 44*x^3 + 771*x^2 + 75*x - 45, x^13 + 6*x^12 + 5*x^11 - 38*x^10 - 85*x^9 + 56*x^8 + 304*x^7 + 59*x^6 - 472*x^5 - 195*x^4 + 335*x^3 + 148*x^2 - 90*x - 42, -x^13 - 6*x^12 - 5*x^11 + 38*x^10 + 85*x^9 - 56*x^8 - 304*x^7 - 59*x^6 + 472*x^5 + 195*x^4 - 335*x^3 - 148*x^2 + 90*x + 42, -x^18 - 6*x^17 + 5*x^16 + 89*x^15 + 66*x^14 - 515*x^13 - 682*x^12 + 1482*x^11 + 2525*x^10 - 2216*x^9 - 4616*x^8 + 1602*x^7 + 4291*x^6 - 420*x^5 - 1885*x^4 + 363*x^2 - x - 29, x^18 + 6*x^17 - 5*x^16 - 89*x^15 - 66*x^14 + 515*x^13 + 682*x^12 - 1482*x^11 - 2525*x^10 + 2216*x^9 + 4616*x^8 - 1602*x^7 - 4291*x^6 + 420*x^5 + 1885*x^4 - 363*x^2 + x + 29, -x^18 - 6*x^17 + 4*x^16 + 84*x^15 + 73*x^14 - 451*x^13 - 679*x^12 + 1150*x^11 + 2394*x^10 - 1288*x^9 - 4228*x^8 + 39*x^7 + 3801*x^6 + 1193*x^5 - 1508*x^4 - 900*x^3 + 115*x^2 + 182*x + 34, x^18 + 6*x^17 - 4*x^16 - 84*x^15 - 73*x^14 + 451*x^13 + 679*x^12 - 1150*x^11 - 2394*x^10 + 1288*x^9 + 4228*x^8 - 39*x^7 - 3801*x^6 - 1193*x^5 + 1508*x^4 + 900*x^3 - 115*x^2 - 182*x - 34, -x^18 - 6*x^17 + 5*x^16 + 89*x^15 + 65*x^14 - 521*x^13 - 683*x^12 + 1537*x^11 + 2599*x^10 - 2391*x^9 - 4975*x^8 + 1819*x^7 + 5008*x^6 - 462*x^5 - 2535*x^4 - 88*x^3 + 573*x^2 + 47*x - 37, x^18 + 6*x^17 - 5*x^16 - 89*x^15 - 65*x^14 + 521*x^13 + 683*x^12 - 1537*x^11 - 2599*x^10 + 2391*x^9 + 4975*x^8 - 1819*x^7 - 5008*x^6 + 462*x^5 + 2535*x^4 + 88*x^3 - 573*x^2 - 47*x + 37, x^17 + 6*x^16 - 4*x^15 - 84*x^14 - 75*x^13 + 438*x^12 + 670*x^11 - 1049*x^10 - 2206*x^9 + 1046*x^8 + 3460*x^7 + 11*x^6 - 2505*x^5 - 640*x^4 + 637*x^3 + 251*x^2 - 23*x - 14, -x^17 - 6*x^16 + 4*x^15 + 84*x^14 + 75*x^13 - 438*x^12 - 670*x^11 + 1049*x^10 + 2206*x^9 - 1046*x^8 - 3460*x^7 - 11*x^6 + 2505*x^5 + 640*x^4 - 637*x^3 - 251*x^2 + 23*x + 14, -x^16 - 7*x^15 - 2*x^14 + 82*x^13 + 124*x^12 - 365*x^11 - 793*x^10 + 741*x^9 + 2220*x^8 - 572*x^7 - 3087*x^6 - 177*x^5 + 2008*x^4 + 437*x^3 - 462*x^2 - 114*x + 20, x^16 + 7*x^15 + 2*x^14 - 82*x^13 - 124*x^12 + 365*x^11 + 793*x^10 - 741*x^9 - 2220*x^8 + 572*x^7 + 3087*x^6 + 177*x^5 - 2008*x^4 - 437*x^3 + 462*x^2 + 114*x - 20, -x^17 - 5*x^16 + 8*x^15 + 69*x^14 - 377*x^12 - 154*x^11 + 1071*x^10 + 504*x^9 - 1729*x^8 - 630*x^7 + 1584*x^6 + 310*x^5 - 756*x^4 - 44*x^3 + 167*x^2 - 13*x - 19, x^17 + 5*x^16 - 8*x^15 - 69*x^14 + 377*x^12 + 154*x^11 - 1071*x^10 - 504*x^9 + 1729*x^8 + 630*x^7 - 1584*x^6 - 310*x^5 + 756*x^4 + 44*x^3 - 167*x^2 + 13*x + 19, -x^17 - 4*x^16 + 15*x^15 + 73*x^14 - 73*x^13 - 519*x^12 + 84*x^11 + 1852*x^10 + 356*x^9 - 3542*x^8 - 1241*x^7 + 3550*x^6 + 1477*x^5 - 1659*x^4 - 732*x^3 + 276*x^2 + 111*x - 8, x^17 + 4*x^16 - 15*x^15 - 73*x^14 + 73*x^13 + 519*x^12 - 84*x^11 - 1852*x^10 - 356*x^9 + 3542*x^8 + 1241*x^7 - 3550*x^6 - 1477*x^5 + 1659*x^4 + 732*x^3 - 276*x^2 - 111*x + 8, -x^17 - 5*x^16 + 8*x^15 + 71*x^14 + 8*x^13 - 399*x^12 - 267*x^11 + 1130*x^10 + 1065*x^9 - 1697*x^8 - 1895*x^7 + 1301*x^6 + 1646*x^5 - 453*x^4 - 646*x^3 + 53*x^2 + 104*x + 9, x^17 + 5*x^16 - 8*x^15 - 71*x^14 - 8*x^13 + 399*x^12 + 267*x^11 - 1130*x^10 - 1065*x^9 + 1697*x^8 + 1895*x^7 - 1301*x^6 - 1646*x^5 + 453*x^4 + 646*x^3 - 53*x^2 - 104*x - 9, -x^17 - 5*x^16 + 8*x^15 + 70*x^14 + 4*x^13 - 389*x^12 - 216*x^11 + 1098*x^10 + 822*x^9 - 1646*x^8 - 1318*x^7 + 1230*x^6 + 929*x^5 - 397*x^4 - 232*x^3 + 85*x^2 + 20*x - 10, x^17 + 5*x^16 - 8*x^15 - 70*x^14 - 4*x^13 + 389*x^12 + 216*x^11 - 1098*x^10 - 822*x^9 + 1646*x^8 + 1318*x^7 - 1230*x^6 - 929*x^5 + 397*x^4 + 232*x^3 - 85*x^2 - 20*x + 10, x^16 + 5*x^15 - 9*x^14 - 77*x^13 - 12*x^12 + 433*x^11 + 319*x^10 - 1170*x^9 - 1156*x^8 + 1613*x^7 + 1786*x^6 - 1060*x^5 - 1248*x^4 + 251*x^3 + 340*x^2 - 15*x - 29, -x^16 - 5*x^15 + 9*x^14 + 77*x^13 + 12*x^12 - 433*x^11 - 319*x^10 + 1170*x^9 + 1156*x^8 - 1613*x^7 - 1786*x^6 + 1060*x^5 + 1248*x^4 - 251*x^3 - 340*x^2 + 15*x + 29, -x^16 - 5*x^15 + 6*x^14 + 60*x^13 + 13*x^12 - 287*x^11 - 199*x^10 + 656*x^9 + 636*x^8 - 633*x^7 - 854*x^6 + 409*x^4 + 307*x^3 + 42*x^2 - 69*x - 25, x^16 + 5*x^15 - 6*x^14 - 60*x^13 - 13*x^12 + 287*x^11 + 199*x^10 - 656*x^9 - 636*x^8 + 633*x^7 + 854*x^6 - 409*x^4 - 307*x^3 - 42*x^2 + 69*x + 25, -x^16 - 4*x^15 + 12*x^14 + 59*x^13 - 52*x^12 - 355*x^11 + 75*x^10 + 1101*x^9 + 115*x^8 - 1830*x^7 - 529*x^6 + 1542*x^5 + 644*x^4 - 559*x^3 - 277*x^2 + 54*x + 29, x^16 + 4*x^15 - 12*x^14 - 59*x^13 + 52*x^12 + 355*x^11 - 75*x^10 - 1101*x^9 - 115*x^8 + 1830*x^7 + 529*x^6 - 1542*x^5 - 644*x^4 + 559*x^3 + 277*x^2 - 54*x - 29, x^14 + 3*x^13 - 18*x^12 - 64*x^11 + 78*x^10 + 394*x^9 - 69*x^8 - 1041*x^7 - 217*x^6 + 1257*x^5 + 482*x^4 - 604*x^3 - 308*x^2 + 63*x + 39, -x^14 - 3*x^13 + 18*x^12 + 64*x^11 - 78*x^10 - 394*x^9 + 69*x^8 + 1041*x^7 + 217*x^6 - 1257*x^5 - 482*x^4 + 604*x^3 + 308*x^2 - 63*x - 39]>,
         rec<Eigen |
           DefiningPolynomial := x^46 - 4*x^45 - 64*x^44 + 269*x^43 + 1876*x^42 - 8370*x^41 - 33329*x^40 + 159981*x^39 + 399863*x^38 - 2103269*x^37 - 3410505*x^36 + 20182361*x^35 + 21122115*x^34 - 146386497*x^33 - 94452341*x^32 + 820097541*x^31 + 289308667*x^30 - 3595588202*x^29 - 478678016*x^28 + 12425138132*x^27 - 441111779*x^26 - 33920240992*x^25 + 5670885723*x^24 + 73008500712*x^23 - 19825177314*x^22 - 123110745322*x^21 + 43778856977*x^20 + 160831083526*x^19 - 68333496760*x^18 - 160001370950*x^17 + 77478298032*x^16 + 118169991002*x^15 - 63681079078*x^14 - 62374536126*x^13 + 37193976516*x^12 + 22151488886*x^11 - 14877258166*x^10 - 4733724078*x^9 + 3840230673*x^8 + 445514929*x^7 - 579447783*x^6 + 18180490*x^5 + 41865040*x^4 - 5883934*x^3 - 728291*x^2 + 185490*x - 8749,
           Coordinates        := [-x^45 + 4*x^44 + 61*x^43 - 257*x^42 - 1699*x^41 + 7625*x^40 + 28568*x^39 - 138668*x^38 - 322655*x^37 + 1730395*x^36 + 2570281*x^35 - 15717412*x^34 - 14672770*x^33 + 107578046*x^32 + 58896479*x^31 - 566708352*x^30 - 150275437*x^29 + 2326748139*x^28 + 121053017*x^27 - 7493290284*x^26 + 845977969*x^25 + 18955441020*x^24 - 4609205038*x^23 - 37544252322*x^22 + 13069774046*x^21 + 57762401846*x^20 - 25110107111*x^19 - 68105619823*x^18 + 34643743172*x^17 + 60283271978*x^16 - 34699928092*x^15 - 38837750052*x^14 + 24961881583*x^13 + 17360214864*x^12 - 12550860822*x^11 - 4959105367*x^10 + 4215907738*x^9 + 753132305*x^8 - 880659088*x^7 - 19768440*x^6 + 100958136*x^5 - 8912094*x^4 - 4830486*x^3 + 782226*x^2 + 36541*x - 8836, x^45 - 3*x^44 - 65*x^43 + 198*x^42 + 1948*x^41 - 6041*x^40 - 35706*x^39 + 113099*x^38 + 447695*x^37 - 1454560*x^36 - 4068087*x^35 + 13632695*x^34 + 27681427*x^33 - 96400679*x^32 - 143653187*x^31 + 525366269*x^30 + 573093269*x^29 - 2234935820*x^28 - 1754923428*x^27 + 7471134801*x^26 + 4069734001*x^25 - 19661251033*x^24 - 6900992134*x^23 + 40627387048*x^22 + 7784524151*x^21 - 65457451917*x^20 - 3784238438*x^19 + 81244272188*x^18 - 4614750911*x^17 - 76267262381*x^16 + 11984252352*x^15 + 52703697232*x^14 - 13033399092*x^13 - 25753287804*x^12 + 8540328320*x^11 + 8357307477*x^10 - 3487583966*x^9 - 1614356179*x^8 + 846980184*x^7 + 144107563*x^6 - 109203222*x^5 - 151323*x^4 + 5918719*x^3 - 497684*x^2 - 83829*x + 9363, 2*x^42 - 9*x^41 - 106*x^40 + 519*x^39 + 2513*x^38 - 13712*x^37 - 34933*x^36 + 220155*x^35 + 311461*x^34 - 2402720*x^33 - 1795596*x^32 + 18890928*x^31 + 5917632*x^30 - 110645592*x^29 - 1423341*x^28 + 492413378*x^27 - 100447685*x^26 - 1683143323*x^25 + 615396873*x^24 + 4436435736*x^23 - 2172497235*x^22 - 8998879098*x^21 + 5295393845*x^20 + 13931492222*x^19 - 9357223923*x^18 - 16201865076*x^17 + 12133378110*x^16 + 13778435688*x^15 - 11472626357*x^14 - 8181238894*x^13 + 7742608152*x^12 + 3099286101*x^11 - 3585300323*x^10 - 582401632*x^9 + 1065340469*x^8 - 22861789*x^7 - 180401000*x^6 + 30468235*x^5 + 13457290*x^4 - 4313778*x^3 - 72948*x^2 + 151953*x - 14602, 2*x^43 - 9*x^42 - 110*x^41 + 537*x^40 + 2717*x^39 - 14722*x^38 - 39543*x^37 + 246057*x^36 + 371551*x^35 - 2805232*x^34 - 2281452*x^33 + 23127756*x^32 + 8235998*x^31 - 142635216*x^30 - 5069403*x^29 + 671396144*x^28 - 134410179*x^27 - 2439082853*x^26 + 927463709*x^25 + 6868733746*x^24 - 3589849321*x^23 - 14972144196*x^22 + 9575453685*x^21 + 25073821272*x^20 - 18561780335*x^19 - 31800222084*x^18 + 26498909656*x^17 + 29823997236*x^16 - 27696759867*x^15 - 19900792226*x^14 + 20764661094*x^13 + 8840031111*x^12 - 10770630139*x^11 - 2275482008*x^10 + 3652520981*x^9 + 199921377*x^8 - 741956400*x^7 + 41557017*x^6 + 78265278*x^5 - 10066646*x^4 - 3251202*x^3 + 521459*x^2 + 43252*x - 7522, 2*x^44 - 6*x^43 - 126*x^42 + 381*x^41 + 3664*x^40 - 11176*x^39 - 65267*x^38 + 201014*x^37 + 796978*x^36 - 2481579*x^35 - 7073383*x^34 + 22304391*x^33 + 47199833*x^32 - 151078085*x^31 - 241581667*x^30 + 787559113*x^29 + 958690408*x^28 - 3199079903*x^27 - 2960289021*x^26 + 10189255958*x^25 + 7089373176*x^24 - 25480121530*x^23 - 13017685583*x^22 + 49868769254*x^21 + 17894356502*x^20 - 75802572900*x^19 - 17525526339*x^18 + 88348859480*x^17 + 10773216701*x^16 - 77450546122*x^15 - 2056017246*x^14 + 49654647414*x^13 - 2900360392*x^12 - 22334509729*x^11 + 3032366723*x^10 + 6606951865*x^9 - 1378894310*x^8 - 1148387550*x^7 + 326136998*x^6 + 90871409*x^5 - 35794998*x^4 - 532469*x^3 + 1142146*x^2 - 92298*x - 614, -3*x^39 + 12*x^38 + 155*x^37 - 654*x^36 - 3607*x^35 + 16232*x^34 + 49941*x^33 - 243197*x^32 - 457407*x^31 + 2458279*x^30 + 2909711*x^29 - 17749375*x^28 - 13084157*x^27 + 94545341*x^26 + 41124845*x^25 - 378400486*x^24 - 84640842*x^23 + 1148275881*x^22 + 84197987*x^21 - 2647137968*x^20 + 91230908*x^19 + 4616149599*x^18 - 516688943*x^17 - 6024629090*x^16 + 1012113713*x^15 + 5779204688*x^14 - 1213008521*x^13 - 3961392545*x^12 + 967381343*x^11 + 1856041448*x^10 - 514912686*x^9 - 550986347*x^8 + 174060946*x^7 + 89101660*x^6 - 32719779*x^5 - 5221476*x^4 + 2539224*x^3 - 120380*x^2 - 5974*x - 2128, -3*x^38 + 13*x^37 + 147*x^36 - 682*x^35 - 3214*x^34 + 16244*x^33 + 41219*x^32 - 232698*x^31 - 341568*x^30 + 2238807*x^29 + 1881478*x^28 - 15299056*x^27 - 6631283*x^26 + 76574080*x^25 + 11589414*x^24 - 285273984*x^23 + 15563854*x^22 + 795741145*x^21 - 168991614*x^20 - 1657586037*x^19 + 564179737*x^18 + 2549871187*x^17 - 1153272183*x^16 - 2834914722*x^15 + 1590661860*x^14 + 2195847054*x^13 - 1502394529*x^12 - 1110727130*x^11 + 953792038*x^10 + 318895180*x^9 - 389471860*x^8 - 27634615*x^7 + 94617457*x^6 - 10284950*x^5 - 11537406*x^4 + 2862594*x^3 + 394768*x^2 - 192878*x + 16680, -3*x^43 + 14*x^42 + 165*x^41 - 841*x^40 - 4065*x^39 + 23211*x^38 + 58755*x^37 - 390494*x^36 - 543808*x^35 + 4480470*x^34 + 3226085*x^33 - 37168239*x^32 - 10448059*x^31 + 230594632*x^30 - 5517377*x^29 - 1091677246*x^28 + 267583672*x^27 + 3988200415*x^26 - 1637378889*x^25 - 11294619370*x^24 + 6071541598*x^23 + 24765636503*x^22 - 15796068884*x^21 - 41751530682*x^20 + 30070858594*x^19 + 53381659918*x^18 - 42322997168*x^17 - 50603354678*x^16 + 43771318208*x^15 + 34293304697*x^14 - 32633377409*x^13 - 15612877899*x^12 + 16959741620*x^11 + 4205454581*x^10 - 5824628856*x^9 - 428402559*x^8 + 1212806356*x^7 - 67470720*x^6 - 131406290*x^5 + 19086506*x^4 + 5367706*x^3 - 1025946*x^2 - 67177*x + 15216, x^38 - 65*x^36 + 30*x^35 + 1837*x^34 - 1444*x^33 - 30157*x^32 + 31259*x^31 + 322173*x^30 - 402689*x^29 - 2366413*x^28 + 3442555*x^27 + 12248075*x^26 - 20617339*x^25 - 44697723*x^24 + 88978630*x^23 + 111323484*x^22 - 280131605*x^21 - 167285073*x^20 + 642963232*x^19 + 59970500*x^18 - 1059986201*x^17 + 355112607*x^16 + 1209490650*x^15 - 922260967*x^14 - 874474140*x^13 + 1177936977*x^12 + 294553287*x^11 - 891899587*x^10 + 72830838*x^9 + 392984574*x^8 - 111411635*x^7 - 87862408*x^6 + 39796770*x^5 + 6054633*x^4 - 5181064*x^3 + 479134*x^2 + 106844*x - 15526, 4*x^38 - 21*x^37 - 175*x^36 + 1075*x^35 + 3226*x^34 - 24966*x^33 - 30720*x^32 + 348537*x^31 + 122096*x^30 - 3267040*x^29 + 568841*x^28 + 21751930*x^27 - 11339978*x^26 - 106109511*x^25 + 81537088*x^24 + 385478680*x^23 - 368098590*x^22 - 1048930746*x^21 + 1158543545*x^20 + 2130534866*x^19 - 2630458149*x^18 - 3186454427*x^17 + 4342986551*x^16 + 3413462869*x^15 - 5174019494*x^14 - 2485233062*x^13 + 4353059944*x^12 + 1097137825*x^11 - 2490938306*x^10 - 193454354*x^9 + 912823592*x^8 - 51808874*x^7 - 194004067*x^6 + 31467323*x^5 + 19621476*x^4 - 5007050*x^3 - 467266*x^2 + 215532*x - 14552, x^40 - 67*x^38 + 11*x^37 + 2045*x^36 - 639*x^35 - 37606*x^34 + 16579*x^33 + 465092*x^32 - 255148*x^31 - 4093786*x^30 + 2605916*x^29 + 26488123*x^28 - 18709686*x^27 - 128357992*x^26 + 97537384*x^25 + 470351025*x^24 - 375948964*x^23 - 1306754630*x^22 + 1080614078*x^21 + 2742299087*x^20 - 2319283252*x^19 - 4300998003*x^18 + 3697524645*x^17 + 4944574782*x^16 - 4326947494*x^15 - 4032773988*x^14 + 3644309473*x^13 + 2203327652*x^12 - 2143259711*x^11 - 714674053*x^10 + 839456440*x^9 + 88303213*x^8 - 201743066*x^7 + 18307742*x^6 + 24887664*x^5 - 7100262*x^4 - 649044*x^3 + 631163*x^2 - 115052*x + 7212, -3*x^43 + 12*x^42 + 171*x^41 - 721*x^40 - 4431*x^39 + 19919*x^38 + 68986*x^37 - 335742*x^36 - 717690*x^35 + 3863315*x^34 + 5236363*x^33 - 32176710*x^32 - 27208148*x^31 + 200690361*x^30 + 98718689*x^29 - 956719323*x^28 - 225876533*x^27 + 3526870465*x^26 + 161125667*x^25 - 10107455300*x^24 + 1000670248*x^23 + 22518776987*x^22 - 4744503388*x^21 - 38810211153*x^20 + 11569709151*x^19 + 51217100579*x^18 - 18829862408*x^17 - 50914220306*x^16 + 21609268573*x^15 + 37205624197*x^14 - 17609151646*x^13 - 19275383174*x^12 + 10031490418*x^11 + 6691269747*x^10 - 3863522773*x^9 - 1405247867*x^8 + 950681261*x^7 + 136044436*x^6 - 134433564*x^5 + 2548068*x^4 + 8432002*x^3 - 1144078*x^2 - 51195*x + 11292, -3*x^41 + 12*x^40 + 163*x^39 - 685*x^38 - 4019*x^37 + 17899*x^36 + 59536*x^35 - 284005*x^34 - 591208*x^33 + 3061204*x^32 + 4156552*x^31 - 23759208*x^30 - 21288025*x^29 + 137342022*x^28 + 80372192*x^27 - 603308906*x^26 - 223015965*x^25 + 2036814954*x^24 + 443979664*x^23 - 5310637208*x^22 - 588510679*x^21 + 10688401902*x^20 + 376313909*x^19 - 16515170883*x^18 + 302616052*x^17 + 19384413380*x^16 - 1112681568*x^15 - 16998141015*x^14 + 1510357726*x^13 + 10863962759*x^12 - 1296859587*x^11 - 4873565888*x^10 + 758085611*x^9 + 1441862346*x^8 - 292531356*x^7 - 250396676*x^6 + 66396472*x^5 + 19562336*x^4 - 7122289*x^3 - 85876*x^2 + 195126*x - 14886, -3*x^41 + 12*x^40 + 159*x^39 - 679*x^38 - 3787*x^37 + 17593*x^36 + 53234*x^35 - 276688*x^34 - 485226*x^33 + 2951728*x^32 + 2928251*x^31 - 22609554*x^30 - 10947373*x^29 + 128376239*x^28 + 15338315*x^27 - 549926762*x^26 + 87051470*x^25 + 1791380867*x^24 - 683716610*x^23 - 4437604447*x^22 + 2539521294*x^21 + 8295149216*x^20 - 6201569825*x^19 - 11500526885*x^18 + 10659716717*x^17 + 11453984645*x^16 - 13072045877*x^15 - 7705064437*x^14 + 11306767786*x^13 + 3008898947*x^12 - 6685066030*x^11 - 272585588*x^10 + 2554054361*x^9 - 313415999*x^8 - 570586347*x^7 + 143760208*x^6 + 59993068*x^5 - 23745326*x^4 - 865874*x^3 + 1246214*x^2 - 149989*x + 3594, -3*x^44 + 12*x^43 + 177*x^42 - 745*x^41 - 4761*x^40 + 21313*x^39 + 77208*x^38 - 372874*x^37 - 840224*x^36 + 4464949*x^35 + 6449345*x^34 - 38808451*x^33 - 35555862*x^32 + 253389189*x^31 + 139033230*x^30 - 1268840063*x^29 - 357624999*x^28 + 4931847848*x^27 + 404866190*x^26 - 14964799972*x^25 + 1061680685*x^24 + 35464248390*x^23 - 6755403268*x^22 - 65348343476*x^21 + 18668749866*x^20 + 92725463703*x^19 - 33689753588*x^18 - 99718098972*x^17 + 42778369940*x^16 + 79332240950*x^15 - 38719197495*x^14 - 45014321262*x^13 + 24643115694*x^12 + 17192383519*x^11 - 10661350428*x^10 - 3980591773*x^9 + 2959571585*x^8 + 425746489*x^7 - 478489647*x^6 + 9268396*x^5 + 37034554*x^4 - 5101708*x^3 - 691750*x^2 + 176654*x - 8749, -3*x^40 + 12*x^39 + 157*x^38 - 667*x^37 - 3689*x^36 + 16884*x^35 + 51318*x^34 - 257997*x^33 - 468469*x^32 + 2659718*x^31 + 2929106*x^30 - 19585493*x^29 - 12599222*x^28 + 106401842*x^27 + 35508053*x^26 - 434357227*x^25 - 51532533*x^24 + 1344571235*x^23 - 42689351*x^22 - 3162747508*x^21 + 427507595*x^20 + 5630772404*x^19 - 1140839180*x^18 - 7514514076*x^17 + 1810273289*x^16 + 7404628760*x^15 - 1881409414*x^14 - 5282765459*x^13 + 1291838895*x^12 + 2672215291*x^11 - 576805137*x^10 - 942712365*x^9 + 170548232*x^8 + 228147910*x^7 - 39474828*x^6 - 34733296*x^5 + 8021997*x^4 + 2198090*x^3 - 879876*x^2 + 83906*x - 1154, 2*x^43 - 6*x^42 - 122*x^41 + 369*x^40 + 3428*x^39 - 10462*x^38 - 58869*x^37 + 181484*x^36 + 691240*x^35 - 2155767*x^34 - 5881569*x^33 + 18595517*x^32 + 37488709*x^31 - 120538209*x^30 - 182426727*x^29 + 599395593*x^28 + 683968014*x^27 - 2313930791*x^26 - 1977558535*x^25 + 6973646790*x^24 + 4374148006*x^23 - 16413860646*x^22 - 7250145485*x^21 + 30038509662*x^20 + 8604730872*x^19 - 42339462812*x^18 - 6496191133*x^17 + 45259981404*x^16 + 1672237917*x^15 - 35851954824*x^14 + 2401776698*x^13 + 20332034768*x^12 - 3277659778*x^11 - 7832181081*x^10 + 1943752641*x^9 + 1880403431*x^8 - 625866970*x^7 - 238900734*x^6 + 104346168*x^5 + 9836823*x^4 - 7444090*x^3 + 381611*x^2 + 123792*x - 11204, -3*x^42 + 14*x^41 + 159*x^40 - 819*x^39 - 3731*x^38 + 21923*x^37 + 50359*x^36 - 356030*x^35 - 418028*x^34 + 3921664*x^33 + 1980047*x^32 - 31030555*x^31 - 1915391*x^30 + 182232220*x^29 - 46187473*x^28 - 809237254*x^27 + 396837774*x^26 + 2742716893*x^25 - 1858872833*x^24 - 7108762566*x^23 + 5931478580*x^22 + 14021359109*x^21 - 13671712544*x^20 - 20782023450*x^19 + 23166978504*x^18 + 22615834638*x^17 - 28831048968*x^16 - 17342176386*x^15 + 25986612312*x^14 + 8636782269*x^13 - 16523405185*x^12 - 2216298799*x^11 + 7112203580*x^10 - 100331767*x^9 - 1946686606*x^8 + 248739191*x^7 + 305526340*x^6 - 68447168*x^5 - 21600202*x^4 + 7326964*x^3 + 103114*x^2 - 204690*x + 16271, -3*x^42 + 12*x^41 + 165*x^40 - 697*x^39 - 4113*x^38 + 18577*x^37 + 61354*x^36 - 301384*x^35 - 608062*x^34 + 3329119*x^33 + 4187785*x^32 - 26535050*x^31 - 20191196*x^30 + 157799141*x^29 + 65265175*x^28 - 713976321*x^27 - 113574497*x^26 + 2483709875*x^25 - 86171609*x^24 - 6666211924*x^23 + 1249966578*x^22 + 13767596991*x^21 - 4305547942*x^20 - 21681703089*x^19 + 9115437945*x^18 + 25602475855*x^17 - 13301571728*x^16 - 22050794472*x^15 + 13685504721*x^14 + 13236519343*x^13 - 9819599142*x^12 - 5098592304*x^11 + 4748262854*x^10 + 1030225635*x^9 - 1457507523*x^8 - 12900533*x^7 + 256492525*x^6 - 36128296*x^5 - 20558528*x^4 + 5592552*x^3 + 196716*x^2 - 181622*x + 14807, -3*x^39 + 6*x^38 + 175*x^37 - 361*x^36 - 4611*x^35 + 9776*x^34 + 72798*x^33 - 158289*x^32 - 770039*x^31 + 1715436*x^30 + 5779092*x^29 - 13190805*x^28 - 31779982*x^27 + 74406338*x^26 + 130358587*x^25 - 313843233*x^24 - 402028173*x^23 + 999613819*x^22 + 931820287*x^21 - 2410491530*x^20 - 1608383997*x^19 + 4384507208*x^18 + 2024346180*x^17 - 5955155530*x^16 - 1780841559*x^15 + 5936170868*x^14 + 994489690*x^13 - 4230354923*x^12 - 247326893*x^11 + 2074812075*x^10 - 72624693*x^9 - 662728089*x^8 + 78995582*x^7 + 126561720*x^6 - 25654696*x^5 - 12142770*x^4 + 3703189*x^3 + 290162*x^2 - 190306*x + 17014, -3*x^42 + 12*x^41 + 165*x^40 - 697*x^39 - 4109*x^38 + 18555*x^37 + 61180*x^36 - 300250*x^35 - 604920*x^34 + 3302622*x^33 + 4159929*x^32 - 26163778*x^31 - 20123345*x^30 + 154321599*x^29 + 66483291*x^28 - 691001062*x^27 - 130166026*x^26 + 2373634797*x^25 + 25161172*x^24 - 6279259479*x^23 + 760933302*x^22 + 12770535332*x^21 - 2793492773*x^20 - 19826660035*x^19 + 5744453235*x^18 + 23201402811*x^17 - 7867529639*x^16 - 20075822281*x^15 + 7424541128*x^14 + 12502418745*x^13 - 4792026134*x^12 - 5402521468*x^11 + 2049564801*x^10 + 1545118271*x^9 - 551382801*x^8 - 276801520*x^7 + 87563558*x^6 + 29407968*x^5 - 8044024*x^4 - 1634922*x^3 + 443839*x^2 + 16260*x - 6058, 2*x^42 - 6*x^41 - 118*x^40 + 357*x^39 + 3199*x^38 - 9765*x^37 - 52869*x^36 + 162906*x^35 + 595907*x^34 - 1854437*x^33 - 4855562*x^32 + 15269938*x^31 + 29577470*x^30 - 94081760*x^29 - 137361197*x^28 + 442574556*x^27 + 491365243*x^26 - 1607804584*x^25 - 1357612585*x^24 + 4533130442*x^23 + 2883770049*x^22 - 9915129796*x^21 - 4644812815*x^20 + 16731555044*x^19 + 5514667603*x^18 - 21544439038*x^17 - 4550489392*x^16 + 20799295649*x^15 + 2228896972*x^14 - 14661306323*x^13 - 188649693*x^12 + 7251164324*x^11 - 544307041*x^10 - 2363274217*x^9 + 376513670*x^8 + 454743408*x^7 - 110895415*x^6 - 40517293*x^5 + 14175454*x^4 + 457040*x^3 - 509177*x^2 + 40547*x + 307, 2*x^42 - 6*x^41 - 118*x^40 + 357*x^39 + 3199*x^38 - 9765*x^37 - 52869*x^36 + 162906*x^35 + 595907*x^34 - 1854437*x^33 - 4855562*x^32 + 15269938*x^31 + 29577470*x^30 - 94081760*x^29 - 137361197*x^28 + 442574556*x^27 + 491365243*x^26 - 1607804584*x^25 - 1357612585*x^24 + 4533130442*x^23 + 2883770049*x^22 - 9915129796*x^21 - 4644812815*x^20 + 16731555044*x^19 + 5514667603*x^18 - 21544439038*x^17 - 4550489392*x^16 + 20799295649*x^15 + 2228896972*x^14 - 14661306323*x^13 - 188649693*x^12 + 7251164324*x^11 - 544307041*x^10 - 2363274217*x^9 + 376513670*x^8 + 454743408*x^7 - 110895415*x^6 - 40517293*x^5 + 14175454*x^4 + 457040*x^3 - 509177*x^2 + 40547*x + 307, 2*x^41 - 9*x^40 - 102*x^39 + 505*x^38 + 2305*x^37 - 12951*x^36 - 30045*x^35 + 201256*x^34 + 242928*x^33 - 2118414*x^32 - 1159183*x^31 + 15994812*x^30 + 1823031*x^29 - 89491383*x^28 + 16981247*x^27 + 377969765*x^26 - 156033418*x^25 - 1216149005*x^24 + 708676043*x^23 + 2986632549*x^22 - 2140029920*x^21 - 5571164525*x^20 + 4602278206*x^19 + 7799178504*x^18 - 7182765773*x^17 - 8022780774*x^16 + 8112066755*x^15 + 5859776666*x^14 - 6511026471*x^13 - 2870372505*x^12 + 3592664908*x^11 + 846540188*x^10 - 1293590256*x^9 - 111391583*x^8 + 280777700*x^7 - 5544391*x^6 - 32403994*x^5 + 2876434*x^4 + 1589127*x^3 - 184753*x^2 - 28927*x + 3761, 2*x^41 - 9*x^40 - 102*x^39 + 505*x^38 + 2305*x^37 - 12951*x^36 - 30045*x^35 + 201256*x^34 + 242928*x^33 - 2118414*x^32 - 1159183*x^31 + 15994812*x^30 + 1823031*x^29 - 89491383*x^28 + 16981247*x^27 + 377969765*x^26 - 156033418*x^25 - 1216149005*x^24 + 708676043*x^23 + 2986632549*x^22 - 2140029920*x^21 - 5571164525*x^20 + 4602278206*x^19 + 7799178504*x^18 - 7182765773*x^17 - 8022780774*x^16 + 8112066755*x^15 + 5859776666*x^14 - 6511026471*x^13 - 2870372505*x^12 + 3592664908*x^11 + 846540188*x^10 - 1293590256*x^9 - 111391583*x^8 + 280777700*x^7 - 5544391*x^6 - 32403994*x^5 + 2876434*x^4 + 1589127*x^3 - 184753*x^2 - 28927*x + 3761, 2*x^41 - 6*x^40 - 115*x^39 + 348*x^38 + 3032*x^37 - 9269*x^36 - 48571*x^35 + 150292*x^34 + 528150*x^33 - 1658176*x^32 - 4125169*x^31 + 13182562*x^30 + 23888074*x^29 - 78025854*x^28 - 104365092*x^27 + 350423145*x^26 + 346683495*x^25 - 1206381959*x^24 - 875367147*x^23 + 3195625643*x^22 + 1665404883*x^21 - 6503842577*x^20 - 2338655956*x^19 + 10106347764*x^18 + 2320979365*x^17 - 11855680437*x^16 - 1460046210*x^15 + 10321225244*x^14 + 346484963*x^13 - 6503611235*x^12 + 291092767*x^11 + 2856511164*x^10 - 334891199*x^9 - 821802706*x^8 + 155419549*x^7 + 137642170*x^6 - 36748367*x^5 - 10105690*x^4 + 3876726*x^3 - 14588*x^2 - 93957*x + 7443, 2*x^41 - 6*x^40 - 115*x^39 + 348*x^38 + 3032*x^37 - 9269*x^36 - 48571*x^35 + 150292*x^34 + 528150*x^33 - 1658176*x^32 - 4125169*x^31 + 13182562*x^30 + 23888074*x^29 - 78025854*x^28 - 104365092*x^27 + 350423145*x^26 + 346683495*x^25 - 1206381959*x^24 - 875367147*x^23 + 3195625643*x^22 + 1665404883*x^21 - 6503842577*x^20 - 2338655956*x^19 + 10106347764*x^18 + 2320979365*x^17 - 11855680437*x^16 - 1460046210*x^15 + 10321225244*x^14 + 346484963*x^13 - 6503611235*x^12 + 291092767*x^11 + 2856511164*x^10 - 334891199*x^9 - 821802706*x^8 + 155419549*x^7 + 137642170*x^6 - 36748367*x^5 - 10105690*x^4 + 3876726*x^3 - 14588*x^2 - 93957*x + 7443, 2*x^41 - 6*x^40 - 114*x^39 + 349*x^38 + 2968*x^37 - 9309*x^36 - 46762*x^35 + 151038*x^34 + 497857*x^33 - 1667403*x^32 - 3786070*x^31 + 13273887*x^30 + 21177456*x^29 - 78795183*x^28 - 88237679*x^27 + 355703062*x^26 + 273262455*x^25 - 1234134389*x^24 - 615010810*x^23 + 3303105207*x^22 + 939927787*x^21 - 6803112041*x^20 - 751407313*x^19 + 10688676010*x^18 - 375277624*x^17 - 12605005318*x^16 + 2016705265*x^15 + 10869423257*x^14 - 2936911354*x^13 - 6577259209*x^12 + 2442259970*x^11 + 2612395700*x^10 - 1232347772*x^9 - 603857317*x^8 + 359552006*x^7 + 60741271*x^6 - 53422347*x^5 + 725907*x^4 + 3058187*x^3 - 326476*x^2 - 29528*x + 3761, 2*x^41 - 6*x^40 - 114*x^39 + 349*x^38 + 2968*x^37 - 9309*x^36 - 46762*x^35 + 151038*x^34 + 497857*x^33 - 1667403*x^32 - 3786070*x^31 + 13273887*x^30 + 21177456*x^29 - 78795183*x^28 - 88237679*x^27 + 355703062*x^26 + 273262455*x^25 - 1234134389*x^24 - 615010810*x^23 + 3303105207*x^22 + 939927787*x^21 - 6803112041*x^20 - 751407313*x^19 + 10688676010*x^18 - 375277624*x^17 - 12605005318*x^16 + 2016705265*x^15 + 10869423257*x^14 - 2936911354*x^13 - 6577259209*x^12 + 2442259970*x^11 + 2612395700*x^10 - 1232347772*x^9 - 603857317*x^8 + 359552006*x^7 + 60741271*x^6 - 53422347*x^5 + 725907*x^4 + 3058187*x^3 - 326476*x^2 - 29528*x + 3761, -3*x^41 + 11*x^40 + 167*x^39 - 644*x^38 - 4198*x^37 + 17232*x^36 + 62890*x^35 - 279403*x^34 - 623019*x^33 + 3068842*x^32 + 4266334*x^31 - 24181206*x^30 - 20335048*x^29 + 141219996*x^28 + 64627051*x^27 - 622741761*x^26 - 110746972*x^25 + 2092928402*x^24 - 70031509*x^23 - 5372138697*x^22 + 1062178170*x^21 + 10484753616*x^20 - 3451940045*x^19 - 15382912640*x^18 + 6745974100*x^17 + 16630589146*x^16 - 8892352948*x^15 - 12828261214*x^14 + 8054986112*x^13 + 6698289550*x^12 - 4923769020*x^11 - 2152893174*x^10 + 1938971125*x^9 + 338570875*x^8 - 453640008*x^7 - 488224*x^6 + 54903044*x^5 - 5879771*x^4 - 2632296*x^3 + 410628*x^2 + 41724*x - 7608, -3*x^41 + 11*x^40 + 167*x^39 - 644*x^38 - 4198*x^37 + 17232*x^36 + 62890*x^35 - 279403*x^34 - 623019*x^33 + 3068842*x^32 + 4266334*x^31 - 24181206*x^30 - 20335048*x^29 + 141219996*x^28 + 64627051*x^27 - 622741761*x^26 - 110746972*x^25 + 2092928402*x^24 - 70031509*x^23 - 5372138697*x^22 + 1062178170*x^21 + 10484753616*x^20 - 3451940045*x^19 - 15382912640*x^18 + 6745974100*x^17 + 16630589146*x^16 - 8892352948*x^15 - 12828261214*x^14 + 8054986112*x^13 + 6698289550*x^12 - 4923769020*x^11 - 2152893174*x^10 + 1938971125*x^9 + 338570875*x^8 - 453640008*x^7 - 488224*x^6 + 54903044*x^5 - 5879771*x^4 - 2632296*x^3 + 410628*x^2 + 41724*x - 7608, 2*x^40 - 9*x^39 - 99*x^38 + 486*x^37 + 2189*x^36 - 12009*x^35 - 28350*x^34 + 180133*x^33 + 235357*x^32 - 1834743*x^31 - 1263683*x^30 + 13448120*x^29 + 3890304*x^28 - 73335223*x^27 - 1046400*x^26 + 303322145*x^25 - 55765055*x^24 - 961038505*x^23 + 319306020*x^22 + 2338446287*x^21 - 1048094949*x^20 - 4351065520*x^19 + 2366623856*x^18 + 6117922729*x^17 - 3850366234*x^16 - 6361476155*x^15 + 4546123409*x^14 + 4715498259*x^13 - 3839299624*x^12 - 2335201285*x^11 + 2241021119*x^10 + 673496903*x^9 - 851854317*x^8 - 67116599*x^7 + 190817046*x^6 - 15181636*x^5 - 20929501*x^4 + 4148268*x^3 + 643907*x^2 - 232727*x + 16182, 2*x^40 - 9*x^39 - 99*x^38 + 486*x^37 + 2189*x^36 - 12009*x^35 - 28350*x^34 + 180133*x^33 + 235357*x^32 - 1834743*x^31 - 1263683*x^30 + 13448120*x^29 + 3890304*x^28 - 73335223*x^27 - 1046400*x^26 + 303322145*x^25 - 55765055*x^24 - 961038505*x^23 + 319306020*x^22 + 2338446287*x^21 - 1048094949*x^20 - 4351065520*x^19 + 2366623856*x^18 + 6117922729*x^17 - 3850366234*x^16 - 6361476155*x^15 + 4546123409*x^14 + 4715498259*x^13 - 3839299624*x^12 - 2335201285*x^11 + 2241021119*x^10 + 673496903*x^9 - 851854317*x^8 - 67116599*x^7 + 190817046*x^6 - 15181636*x^5 - 20929501*x^4 + 4148268*x^3 + 643907*x^2 - 232727*x + 16182, 2*x^40 - 5*x^39 - 109*x^38 + 275*x^37 + 2699*x^36 - 6890*x^35 - 40183*x^34 + 104173*x^33 + 401056*x^32 - 1061373*x^31 - 2830918*x^30 + 7706089*x^29 + 14514284*x^28 - 41108390*x^27 - 54539333*x^26 + 163672173*x^25 + 149044225*x^24 - 488764682*x^23 - 286838705*x^22 + 1089268286*x^21 + 354979310*x^20 - 1781248198*x^19 - 192165706*x^18 + 2061161573*x^17 - 170945121*x^16 - 1557182867*x^15 + 415476477*x^14 + 595368130*x^13 - 310643620*x^12 + 82455372*x^11 + 50688948*x^10 - 202486854*x^9 + 67291548*x^8 + 84433997*x^7 - 42820040*x^6 - 12410165*x^5 + 9061338*x^4 - 19243*x^3 - 599886*x^2 + 84535*x - 1580, 2*x^40 - 5*x^39 - 109*x^38 + 275*x^37 + 2699*x^36 - 6890*x^35 - 40183*x^34 + 104173*x^33 + 401056*x^32 - 1061373*x^31 - 2830918*x^30 + 7706089*x^29 + 14514284*x^28 - 41108390*x^27 - 54539333*x^26 + 163672173*x^25 + 149044225*x^24 - 488764682*x^23 - 286838705*x^22 + 1089268286*x^21 + 354979310*x^20 - 1781248198*x^19 - 192165706*x^18 + 2061161573*x^17 - 170945121*x^16 - 1557182867*x^15 + 415476477*x^14 + 595368130*x^13 - 310643620*x^12 + 82455372*x^11 + 50688948*x^10 - 202486854*x^9 + 67291548*x^8 + 84433997*x^7 - 42820040*x^6 - 12410165*x^5 + 9061338*x^4 - 19243*x^3 - 599886*x^2 + 84535*x - 1580, 2*x^40 - 9*x^39 - 100*x^38 + 485*x^37 + 2253*x^36 - 11975*x^35 - 30151*x^34 + 179682*x^33 + 265301*x^32 - 1832228*x^31 - 1595610*x^30 + 13449990*x^29 + 6507982*x^28 - 73441725*x^27 - 16323756*x^26 + 303885241*x^25 + 11894413*x^24 - 961555835*x^23 + 88389464*x^22 + 2330673141*x^21 - 436142228*x^20 - 4305924028*x^19 + 1107309765*x^18 + 5991233956*x^17 - 1854131600*x^16 - 6151122911*x^15 + 2150361979*x^14 + 4513385615*x^13 - 1723585192*x^12 - 2251393449*x^11 + 924089895*x^10 + 702015071*x^9 - 309397334*x^8 - 115358172*x^7 + 55839306*x^6 + 5523939*x^5 - 3198466*x^4 + 177416*x^3 - 215943*x^2 + 81948*x - 7519, 2*x^40 - 9*x^39 - 100*x^38 + 485*x^37 + 2253*x^36 - 11975*x^35 - 30151*x^34 + 179682*x^33 + 265301*x^32 - 1832228*x^31 - 1595610*x^30 + 13449990*x^29 + 6507982*x^28 - 73441725*x^27 - 16323756*x^26 + 303885241*x^25 + 11894413*x^24 - 961555835*x^23 + 88389464*x^22 + 2330673141*x^21 - 436142228*x^20 - 4305924028*x^19 + 1107309765*x^18 + 5991233956*x^17 - 1854131600*x^16 - 6151122911*x^15 + 2150361979*x^14 + 4513385615*x^13 - 1723585192*x^12 - 2251393449*x^11 + 924089895*x^10 + 702015071*x^9 - 309397334*x^8 - 115358172*x^7 + 55839306*x^6 + 5523939*x^5 - 3198466*x^4 + 177416*x^3 - 215943*x^2 + 81948*x - 7519, 2*x^40 - 2*x^39 - 121*x^38 + 119*x^37 + 3362*x^36 - 3248*x^35 - 56900*x^34 + 53955*x^33 + 655985*x^32 - 610362*x^31 - 5457805*x^30 + 4985164*x^29 + 33868709*x^28 - 30412190*x^27 - 159758259*x^26 + 141405470*x^25 + 578340098*x^24 - 506750066*x^23 - 1610525558*x^22 + 1405740944*x^21 + 3434937017*x^20 - 3013195714*x^19 - 5545851225*x^18 + 4950659079*x^17 + 6636543028*x^16 - 6139407411*x^15 - 5679885013*x^14 + 5605014721*x^13 + 3263471497*x^12 - 3624431332*x^11 - 1099715990*x^10 + 1563368658*x^9 + 128534032*x^8 - 408031737*x^7 + 35954266*x^6 + 53875497*x^5 - 11957015*x^4 - 2169770*x^3 + 869174*x^2 - 57188*x - 2181, 2*x^40 - 2*x^39 - 121*x^38 + 119*x^37 + 3362*x^36 - 3248*x^35 - 56900*x^34 + 53955*x^33 + 655985*x^32 - 610362*x^31 - 5457805*x^30 + 4985164*x^29 + 33868709*x^28 - 30412190*x^27 - 159758259*x^26 + 141405470*x^25 + 578340098*x^24 - 506750066*x^23 - 1610525558*x^22 + 1405740944*x^21 + 3434937017*x^20 - 3013195714*x^19 - 5545851225*x^18 + 4950659079*x^17 + 6636543028*x^16 - 6139407411*x^15 - 5679885013*x^14 + 5605014721*x^13 + 3263471497*x^12 - 3624431332*x^11 - 1099715990*x^10 + 1563368658*x^9 + 128534032*x^8 - 408031737*x^7 + 35954266*x^6 + 53875497*x^5 - 11957015*x^4 - 2169770*x^3 + 869174*x^2 - 57188*x - 2181, 2*x^40 - 6*x^39 - 110*x^38 + 337*x^37 + 2745*x^36 - 8620*x^35 - 41150*x^34 + 133079*x^33 + 413507*x^32 - 1385689*x^31 - 2942209*x^30 + 10301413*x^29 + 15254809*x^28 - 56459304*x^27 - 58344529*x^26 + 232264725*x^25 + 164261677*x^24 - 723275169*x^23 - 333316704*x^22 + 1706276811*x^21 + 458468485*x^20 - 3029683320*x^19 - 344094002*x^18 + 3988774641*x^17 - 69348371*x^16 - 3790464981*x^15 + 514076687*x^14 + 2479032393*x^13 - 632561834*x^12 - 1014337292*x^11 + 411675259*x^10 + 196048242*x^9 - 145495696*x^8 + 14029600*x^7 + 21518802*x^6 - 12632297*x^5 + 839748*x^4 + 1386254*x^3 - 389525*x^2 + 20402*x + 1874, 2*x^40 - 6*x^39 - 110*x^38 + 337*x^37 + 2745*x^36 - 8620*x^35 - 41150*x^34 + 133079*x^33 + 413507*x^32 - 1385689*x^31 - 2942209*x^30 + 10301413*x^29 + 15254809*x^28 - 56459304*x^27 - 58344529*x^26 + 232264725*x^25 + 164261677*x^24 - 723275169*x^23 - 333316704*x^22 + 1706276811*x^21 + 458468485*x^20 - 3029683320*x^19 - 344094002*x^18 + 3988774641*x^17 - 69348371*x^16 - 3790464981*x^15 + 514076687*x^14 + 2479032393*x^13 - 632561834*x^12 - 1014337292*x^11 + 411675259*x^10 + 196048242*x^9 - 145495696*x^8 + 14029600*x^7 + 21518802*x^6 - 12632297*x^5 + 839748*x^4 + 1386254*x^3 - 389525*x^2 + 20402*x + 1874, -3*x^40 + 8*x^39 + 177*x^38 - 493*x^37 - 4701*x^36 + 13737*x^35 + 74412*x^34 - 229803*x^33 - 782555*x^32 + 2583015*x^31 + 5761549*x^30 - 20677176*x^29 - 30405472*x^28 + 121868442*x^27 + 115157015*x^26 - 539041519*x^25 - 304087078*x^24 + 1806655378*x^23 + 502838287*x^22 - 4598783663*x^21 - 264981117*x^20 + 8851050855*x^19 - 1038091764*x^18 - 12731219592*x^17 + 3308106874*x^16 + 13406268120*x^15 - 5103364986*x^14 - 9993478831*x^13 + 4901346615*x^12 + 4987174645*x^11 - 3020339281*x^10 - 1500068483*x^9 + 1154475723*x^8 + 204412593*x^7 - 250135072*x^6 + 7664353*x^5 + 24847677*x^4 - 4284040*x^3 - 472018*x^2 + 155358*x - 8663, -3*x^40 + 8*x^39 + 177*x^38 - 493*x^37 - 4701*x^36 + 13737*x^35 + 74412*x^34 - 229803*x^33 - 782555*x^32 + 2583015*x^31 + 5761549*x^30 - 20677176*x^29 - 30405472*x^28 + 121868442*x^27 + 115157015*x^26 - 539041519*x^25 - 304087078*x^24 + 1806655378*x^23 + 502838287*x^22 - 4598783663*x^21 - 264981117*x^20 + 8851050855*x^19 - 1038091764*x^18 - 12731219592*x^17 + 3308106874*x^16 + 13406268120*x^15 - 5103364986*x^14 - 9993478831*x^13 + 4901346615*x^12 + 4987174645*x^11 - 3020339281*x^10 - 1500068483*x^9 + 1154475723*x^8 + 204412593*x^7 - 250135072*x^6 + 7664353*x^5 + 24847677*x^4 - 4284040*x^3 - 472018*x^2 + 155358*x - 8663, x^39 - 10*x^38 - 22*x^37 + 478*x^36 - 259*x^35 - 10247*x^34 + 15911*x^33 + 130012*x^32 - 281897*x^31 - 1083956*x^30 + 2902256*x^29 + 6220934*x^28 - 20007186*x^27 - 24908506*x^26 + 97786859*x^25 + 68165867*x^24 - 347957720*x^23 - 115938962*x^22 + 910533771*x^21 + 70335765*x^20 - 1749218294*x^19 + 194061307*x^18 + 2435841857*x^17 - 622062907*x^16 - 2396390960*x^15 + 893669054*x^14 + 1593120402*x^13 - 764594957*x^12 - 661538201*x^11 + 400579911*x^10 + 144771733*x^9 - 124556509*x^8 - 6775928*x^7 + 21937822*x^6 - 3478720*x^5 - 1993344*x^4 + 719710*x^3 + 41644*x^2 - 44054*x + 4579, x^39 - 10*x^38 - 22*x^37 + 478*x^36 - 259*x^35 - 10247*x^34 + 15911*x^33 + 130012*x^32 - 281897*x^31 - 1083956*x^30 + 2902256*x^29 + 6220934*x^28 - 20007186*x^27 - 24908506*x^26 + 97786859*x^25 + 68165867*x^24 - 347957720*x^23 - 115938962*x^22 + 910533771*x^21 + 70335765*x^20 - 1749218294*x^19 + 194061307*x^18 + 2435841857*x^17 - 622062907*x^16 - 2396390960*x^15 + 893669054*x^14 + 1593120402*x^13 - 764594957*x^12 - 661538201*x^11 + 400579911*x^10 + 144771733*x^9 - 124556509*x^8 - 6775928*x^7 + 21937822*x^6 - 3478720*x^5 - 1993344*x^4 + 719710*x^3 + 41644*x^2 - 44054*x + 4579, 2*x^39 - 9*x^38 - 94*x^37 + 464*x^36 + 1954*x^35 - 10876*x^34 - 23482*x^33 + 153659*x^32 + 177397*x^31 - 1462736*x^30 - 834983*x^29 + 9935226*x^28 + 1979539*x^27 - 49739114*x^26 + 2481504*x^25 + 186944633*x^24 - 41412303*x^23 - 532247300*x^22 + 181401200*x^21 + 1149763240*x^20 - 486436056*x^19 - 1875317082*x^18 + 896557682*x^17 + 2283367526*x^16 - 1169552386*x^15 - 2037947461*x^14 + 1078606445*x^13 + 1299766177*x^12 - 690105588*x^11 - 573623196*x^10 + 296964206*x^9 + 168831493*x^8 - 83184726*x^7 - 31575067*x^6 + 14953213*x^5 + 3265178*x^4 - 1664930*x^3 - 89618*x^2 + 89163*x - 8340, 2*x^39 - 9*x^38 - 94*x^37 + 464*x^36 + 1954*x^35 - 10876*x^34 - 23482*x^33 + 153659*x^32 + 177397*x^31 - 1462736*x^30 - 834983*x^29 + 9935226*x^28 + 1979539*x^27 - 49739114*x^26 + 2481504*x^25 + 186944633*x^24 - 41412303*x^23 - 532247300*x^22 + 181401200*x^21 + 1149763240*x^20 - 486436056*x^19 - 1875317082*x^18 + 896557682*x^17 + 2283367526*x^16 - 1169552386*x^15 - 2037947461*x^14 + 1078606445*x^13 + 1299766177*x^12 - 690105588*x^11 - 573623196*x^10 + 296964206*x^9 + 168831493*x^8 - 83184726*x^7 - 31575067*x^6 + 14953213*x^5 + 3265178*x^4 - 1664930*x^3 - 89618*x^2 + 89163*x - 8340, -3*x^40 + 14*x^39 + 147*x^38 - 757*x^37 - 3184*x^36 + 18679*x^35 + 39637*x^34 - 278760*x^33 - 304064*x^32 + 2811456*x^31 + 1351384*x^30 - 20282348*x^29 - 1636805*x^28 + 108048522*x^27 - 21629398*x^26 - 432575941*x^25 + 176660257*x^24 + 1311714331*x^23 - 749013540*x^22 - 3012080882*x^21 + 2127582784*x^20 + 5195184015*x^19 - 4309175115*x^18 - 6610952822*x^17 + 6326620433*x^16 + 6006799149*x^15 - 6701508683*x^14 - 3663190557*x^13 + 5016812743*x^12 + 1294535329*x^11 - 2555076004*x^10 - 119277868*x^9 + 831001043*x^8 - 92804315*x^7 - 154056053*x^6 + 37028621*x^5 + 12276450*x^4 - 4812379*x^3 + 54892*x^2 + 130492*x - 12022, -3*x^40 + 14*x^39 + 147*x^38 - 757*x^37 - 3184*x^36 + 18679*x^35 + 39637*x^34 - 278760*x^33 - 304064*x^32 + 2811456*x^31 + 1351384*x^30 - 20282348*x^29 - 1636805*x^28 + 108048522*x^27 - 21629398*x^26 - 432575941*x^25 + 176660257*x^24 + 1311714331*x^23 - 749013540*x^22 - 3012080882*x^21 + 2127582784*x^20 + 5195184015*x^19 - 4309175115*x^18 - 6610952822*x^17 + 6326620433*x^16 + 6006799149*x^15 - 6701508683*x^14 - 3663190557*x^13 + 5016812743*x^12 + 1294535329*x^11 - 2555076004*x^10 - 119277868*x^9 + 831001043*x^8 - 92804315*x^7 - 154056053*x^6 + 37028621*x^5 + 12276450*x^4 - 4812379*x^3 + 54892*x^2 + 130492*x - 12022, 2*x^39 - 6*x^38 - 113*x^37 + 347*x^36 + 2890*x^35 - 9121*x^34 - 44301*x^33 + 144486*x^32 + 454071*x^31 - 1541990*x^30 - 3284585*x^29 + 11739914*x^28 + 17227034*x^27 - 65856997*x^26 - 66089494*x^25 + 277169662*x^24 + 183711943*x^23 - 882624653*x^22 - 355717772*x^21 + 2128378121*x^20 + 422943515*x^19 - 3861833469*x^18 - 129971522*x^17 + 5197480467*x^16 - 535441238*x^15 - 5063551450*x^14 + 1108876771*x^13 + 3434949001*x^12 - 1100944246*x^11 - 1524742153*x^10 + 632903446*x^9 + 398099561*x^8 - 207071527*x^7 - 48721123*x^6 + 34874889*x^5 + 640141*x^4 - 2417667*x^3 + 233266*x^2 + 36178*x - 4825, 2*x^39 - 6*x^38 - 113*x^37 + 347*x^36 + 2890*x^35 - 9121*x^34 - 44301*x^33 + 144486*x^32 + 454071*x^31 - 1541990*x^30 - 3284585*x^29 + 11739914*x^28 + 17227034*x^27 - 65856997*x^26 - 66089494*x^25 + 277169662*x^24 + 183711943*x^23 - 882624653*x^22 - 355717772*x^21 + 2128378121*x^20 + 422943515*x^19 - 3861833469*x^18 - 129971522*x^17 + 5197480467*x^16 - 535441238*x^15 - 5063551450*x^14 + 1108876771*x^13 + 3434949001*x^12 - 1100944246*x^11 - 1524742153*x^10 + 632903446*x^9 + 398099561*x^8 - 207071527*x^7 - 48721123*x^6 + 34874889*x^5 + 640141*x^4 - 2417667*x^3 + 233266*x^2 + 36178*x - 4825, 2*x^39 - 6*x^38 - 110*x^37 + 342*x^36 + 2722*x^35 - 8838*x^34 - 40049*x^33 + 137228*x^32 + 389790*x^31 - 1430484*x^30 - 2638062*x^29 + 10595965*x^28 + 12666116*x^27 - 57581340*x^26 - 42911284*x^25 + 233689558*x^24 + 97982163*x^23 - 714203743*x^22 - 125741530*x^21 + 1645050600*x^20 - 15630204*x^19 - 2838067900*x^18 + 435900775*x^17 + 3617059870*x^16 - 967187340*x^15 - 3326839414*x^14 + 1195472749*x^13 + 2127972916*x^12 - 929640465*x^11 - 891605305*x^10 + 453948630*x^9 + 219787356*x^8 - 130961677*x^7 - 24652445*x^6 + 19387206*x^5 + 20206*x^4 - 1030045*x^3 + 113612*x^2 - 4776*x + 1064, 2*x^39 - 6*x^38 - 110*x^37 + 342*x^36 + 2722*x^35 - 8838*x^34 - 40049*x^33 + 137228*x^32 + 389790*x^31 - 1430484*x^30 - 2638062*x^29 + 10595965*x^28 + 12666116*x^27 - 57581340*x^26 - 42911284*x^25 + 233689558*x^24 + 97982163*x^23 - 714203743*x^22 - 125741530*x^21 + 1645050600*x^20 - 15630204*x^19 - 2838067900*x^18 + 435900775*x^17 + 3617059870*x^16 - 967187340*x^15 - 3326839414*x^14 + 1195472749*x^13 + 2127972916*x^12 - 929640465*x^11 - 891605305*x^10 + 453948630*x^9 + 219787356*x^8 - 130961677*x^7 - 24652445*x^6 + 19387206*x^5 + 20206*x^4 - 1030045*x^3 + 113612*x^2 - 4776*x + 1064, -3*x^41 + 12*x^40 + 159*x^39 - 671*x^38 - 3816*x^37 + 17179*x^36 + 54814*x^35 - 267098*x^34 - 524289*x^33 + 2820830*x^32 + 3508476*x^31 - 21445610*x^30 - 16726757*x^29 + 121371501*x^28 + 56151018*x^27 - 521580295*x^26 - 123648638*x^25 + 1720621688*x^24 + 124648165*x^23 - 4375589998*x^22 + 219477723*x^21 + 8564254032*x^20 - 1227135603*x^19 - 12807312362*x^18 + 2764145340*x^17 + 14431712917*x^16 - 3961881926*x^15 - 11984552427*x^14 + 3894776252*x^13 + 7088395435*x^12 - 2641613782*x^11 - 2830522056*x^10 + 1203007625*x^9 + 696173667*x^8 - 347094368*x^7 - 86086366*x^6 + 56937518*x^5 + 1522242*x^4 - 4117643*x^3 + 481228*x^2 + 33001*x - 5646, -3*x^41 + 12*x^40 + 159*x^39 - 671*x^38 - 3816*x^37 + 17179*x^36 + 54814*x^35 - 267098*x^34 - 524289*x^33 + 2820830*x^32 + 3508476*x^31 - 21445610*x^30 - 16726757*x^29 + 121371501*x^28 + 56151018*x^27 - 521580295*x^26 - 123648638*x^25 + 1720621688*x^24 + 124648165*x^23 - 4375589998*x^22 + 219477723*x^21 + 8564254032*x^20 - 1227135603*x^19 - 12807312362*x^18 + 2764145340*x^17 + 14431712917*x^16 - 3961881926*x^15 - 11984552427*x^14 + 3894776252*x^13 + 7088395435*x^12 - 2641613782*x^11 - 2830522056*x^10 + 1203007625*x^9 + 696173667*x^8 - 347094368*x^7 - 86086366*x^6 + 56937518*x^5 + 1522242*x^4 - 4117643*x^3 + 481228*x^2 + 33001*x - 5646, -3*x^40 + 9*x^39 + 161*x^38 - 481*x^37 - 3973*x^36 + 11781*x^35 + 59847*x^34 - 175447*x^33 - 615839*x^32 + 1777112*x^31 + 4587986*x^30 - 12972680*x^29 - 25572488*x^28 + 70537150*x^27 + 108608748*x^26 - 291126965*x^25 - 354438891*x^24 + 920827516*x^23 + 889293996*x^22 - 2237693058*x^21 - 1704038526*x^20 + 4163066575*x^19 + 2457631741*x^18 - 5873709083*x^17 - 2602258119*x^16 + 6185378922*x^15 + 1941113329*x^14 - 4746759899*x^13 - 946519948*x^12 + 2564967940*x^11 + 252244780*x^10 - 929267135*x^9 - 9601773*x^8 + 210280864*x^7 - 13785245*x^6 - 26576647*x^5 + 3589075*x^4 + 1440568*x^3 - 296914*x^2 - 6333*x + 3029, -3*x^40 + 9*x^39 + 161*x^38 - 481*x^37 - 3973*x^36 + 11781*x^35 + 59847*x^34 - 175447*x^33 - 615839*x^32 + 1777112*x^31 + 4587986*x^30 - 12972680*x^29 - 25572488*x^28 + 70537150*x^27 + 108608748*x^26 - 291126965*x^25 - 354438891*x^24 + 920827516*x^23 + 889293996*x^22 - 2237693058*x^21 - 1704038526*x^20 + 4163066575*x^19 + 2457631741*x^18 - 5873709083*x^17 - 2602258119*x^16 + 6185378922*x^15 + 1941113329*x^14 - 4746759899*x^13 - 946519948*x^12 + 2564967940*x^11 + 252244780*x^10 - 929267135*x^9 - 9601773*x^8 + 210280864*x^7 - 13785245*x^6 - 26576647*x^5 + 3589075*x^4 + 1440568*x^3 - 296914*x^2 - 6333*x + 3029, x^38 - x^37 - 60*x^36 + 58*x^35 + 1642*x^34 - 1508*x^33 - 27240*x^32 + 23470*x^31 + 306604*x^30 - 245854*x^29 - 2479606*x^28 + 1844179*x^27 + 14867882*x^26 - 10268001*x^25 - 67184336*x^24 + 43312525*x^23 + 230193770*x^22 - 139752301*x^21 - 596884652*x^20 + 345213572*x^19 + 1160391975*x^18 - 648100776*x^17 - 1662172703*x^16 + 910065825*x^15 + 1706502530*x^14 - 930499020*x^13 - 1203865908*x^12 + 664440264*x^11 + 546881393*x^10 - 311211056*x^9 - 144154001*x^8 + 87350406*x^7 + 18140234*x^6 - 13020509*x^5 - 356905*x^4 + 769164*x^3 - 87478*x^2 + 8855*x - 1630, x^38 - x^37 - 60*x^36 + 58*x^35 + 1642*x^34 - 1508*x^33 - 27240*x^32 + 23470*x^31 + 306604*x^30 - 245854*x^29 - 2479606*x^28 + 1844179*x^27 + 14867882*x^26 - 10268001*x^25 - 67184336*x^24 + 43312525*x^23 + 230193770*x^22 - 139752301*x^21 - 596884652*x^20 + 345213572*x^19 + 1160391975*x^18 - 648100776*x^17 - 1662172703*x^16 + 910065825*x^15 + 1706502530*x^14 - 930499020*x^13 - 1203865908*x^12 + 664440264*x^11 + 546881393*x^10 - 311211056*x^9 - 144154001*x^8 + 87350406*x^7 + 18140234*x^6 - 13020509*x^5 - 356905*x^4 + 769164*x^3 - 87478*x^2 + 8855*x - 1630, -3*x^39 + 14*x^38 + 147*x^37 - 753*x^36 - 3202*x^35 + 18489*x^34 + 40543*x^33 - 274675*x^32 - 324864*x^31 + 2758872*x^30 + 1639962*x^29 - 19830961*x^28 - 4338691*x^27 + 105328110*x^26 - 3576346*x^25 - 420801770*x^24 + 87894130*x^23 + 1275119652*x^22 - 422568080*x^21 - 2932927789*x^20 + 1223884516*x^19 + 5089049775*x^18 - 2428758863*x^17 - 6570782168*x^16 + 3411496154*x^15 + 6170999891*x^14 - 3391349124*x^13 - 4070274914*x^12 + 2337931227*x^11 + 1787154293*x^10 - 1074021653*x^9 - 479580648*x^8 + 308396487*x^7 + 67275681*x^6 - 50185007*x^5 - 3136155*x^4 + 3995119*x^3 - 134793*x^2 - 126971*x + 13165, -3*x^39 + 14*x^38 + 147*x^37 - 753*x^36 - 3202*x^35 + 18489*x^34 + 40543*x^33 - 274675*x^32 - 324864*x^31 + 2758872*x^30 + 1639962*x^29 - 19830961*x^28 - 4338691*x^27 + 105328110*x^26 - 3576346*x^25 - 420801770*x^24 + 87894130*x^23 + 1275119652*x^22 - 422568080*x^21 - 2932927789*x^20 + 1223884516*x^19 + 5089049775*x^18 - 2428758863*x^17 - 6570782168*x^16 + 3411496154*x^15 + 6170999891*x^14 - 3391349124*x^13 - 4070274914*x^12 + 2337931227*x^11 + 1787154293*x^10 - 1074021653*x^9 - 479580648*x^8 + 308396487*x^7 + 67275681*x^6 - 50185007*x^5 - 3136155*x^4 + 3995119*x^3 - 134793*x^2 - 126971*x + 13165, -4*x^38 + 11*x^37 + 205*x^36 - 559*x^35 - 4793*x^34 + 12915*x^33 + 67804*x^32 - 179771*x^31 - 648980*x^30 + 1684355*x^29 + 4451831*x^28 - 11241872*x^27 - 22612847*x^26 + 55172938*x^25 + 86634602*x^24 - 202662009*x^23 - 252594838*x^22 + 561853611*x^21 + 561359682*x^20 - 1177363721*x^19 - 946269495*x^18 + 1856806602*x^17 + 1196079836*x^16 - 2183152294*x^15 - 1111702446*x^14 + 1886415628*x^13 + 735483496*x^12 - 1174845125*x^11 - 325653206*x^10 + 513262375*x^9 + 82578170*x^8 - 150101129*x^7 - 4784147*x^6 + 26292947*x^5 - 2900510*x^4 - 1922152*x^3 + 513181*x^2 - 34082*x - 244, -4*x^38 + 11*x^37 + 205*x^36 - 559*x^35 - 4793*x^34 + 12915*x^33 + 67804*x^32 - 179771*x^31 - 648980*x^30 + 1684355*x^29 + 4451831*x^28 - 11241872*x^27 - 22612847*x^26 + 55172938*x^25 + 86634602*x^24 - 202662009*x^23 - 252594838*x^22 + 561853611*x^21 + 561359682*x^20 - 1177363721*x^19 - 946269495*x^18 + 1856806602*x^17 + 1196079836*x^16 - 2183152294*x^15 - 1111702446*x^14 + 1886415628*x^13 + 735483496*x^12 - 1174845125*x^11 - 325653206*x^10 + 513262375*x^9 + 82578170*x^8 - 150101129*x^7 - 4784147*x^6 + 26292947*x^5 - 2900510*x^4 - 1922152*x^3 + 513181*x^2 - 34082*x - 244, -x^38 + 5*x^37 + 42*x^36 - 248*x^35 - 736*x^34 + 5593*x^33 + 6440*x^32 - 76054*x^31 - 18026*x^30 + 697241*x^29 - 222280*x^28 - 4564591*x^27 + 3185170*x^26 + 22042172*x^25 - 21581791*x^24 - 79907204*x^23 + 96251690*x^22 + 218905394*x^21 - 306813616*x^20 - 451347812*x^19 + 720024277*x^18 + 688271430*x^17 - 1252951576*x^16 - 745865083*x^15 + 1603657029*x^14 + 523414663*x^13 - 1475015608*x^12 - 171821300*x^11 + 934172958*x^10 - 49091724*x^9 - 378450555*x^8 + 72729590*x^7 + 85730812*x^6 - 27144267*x^5 - 7924426*x^4 + 3908422*x^3 - 94385*x^2 - 126182*x + 13652, -x^38 + 5*x^37 + 42*x^36 - 248*x^35 - 736*x^34 + 5593*x^33 + 6440*x^32 - 76054*x^31 - 18026*x^30 + 697241*x^29 - 222280*x^28 - 4564591*x^27 + 3185170*x^26 + 22042172*x^25 - 21581791*x^24 - 79907204*x^23 + 96251690*x^22 + 218905394*x^21 - 306813616*x^20 - 451347812*x^19 + 720024277*x^18 + 688271430*x^17 - 1252951576*x^16 - 745865083*x^15 + 1603657029*x^14 + 523414663*x^13 - 1475015608*x^12 - 171821300*x^11 + 934172958*x^10 - 49091724*x^9 - 378450555*x^8 + 72729590*x^7 + 85730812*x^6 - 27144267*x^5 - 7924426*x^4 + 3908422*x^3 - 94385*x^2 - 126182*x + 13652, -3*x^40 + 12*x^39 + 150*x^38 - 641*x^37 - 3356*x^36 + 15607*x^35 + 44136*x^34 - 229529*x^33 - 375245*x^32 + 2277984*x^31 + 2113055*x^30 - 16145292*x^29 - 7477352*x^28 + 84347504*x^27 + 11555257*x^26 - 330512246*x^25 + 34159517*x^24 + 978907595*x^23 - 281475315*x^22 - 2191262077*x^21 + 950829555*x^20 + 3679206712*x^19 - 2042117490*x^18 - 4559810116*x^17 + 3013069369*x^16 + 4059442896*x^15 - 3089219786*x^14 - 2484933351*x^13 + 2161172617*x^12 + 973534919*x^11 - 990179225*x^10 - 214774100*x^9 + 279412112*x^8 + 19618482*x^7 - 45498954*x^6 + 621917*x^5 + 4164435*x^4 - 298945*x^3 - 218607*x^2 + 45484*x - 2785, -3*x^40 + 12*x^39 + 150*x^38 - 641*x^37 - 3356*x^36 + 15607*x^35 + 44136*x^34 - 229529*x^33 - 375245*x^32 + 2277984*x^31 + 2113055*x^30 - 16145292*x^29 - 7477352*x^28 + 84347504*x^27 + 11555257*x^26 - 330512246*x^25 + 34159517*x^24 + 978907595*x^23 - 281475315*x^22 - 2191262077*x^21 + 950829555*x^20 + 3679206712*x^19 - 2042117490*x^18 - 4559810116*x^17 + 3013069369*x^16 + 4059442896*x^15 - 3089219786*x^14 - 2484933351*x^13 + 2161172617*x^12 + 973534919*x^11 - 990179225*x^10 - 214774100*x^9 + 279412112*x^8 + 19618482*x^7 - 45498954*x^6 + 621917*x^5 + 4164435*x^4 - 298945*x^3 - 218607*x^2 + 45484*x - 2785, -6*x^39 + 21*x^38 + 307*x^37 - 1111*x^36 - 7124*x^35 + 26829*x^34 + 99190*x^33 - 392061*x^32 - 923280*x^31 + 3875325*x^30 + 6052061*x^29 - 27433617*x^28 - 28598009*x^27 + 143642782*x^26 + 97551158*x^25 - 566466273*x^24 - 233644772*x^23 + 1697073102*x^22 + 355223843*x^21 - 3867101524*x^20 - 191849289*x^19 + 6664909566*x^18 - 530755244*x^17 - 8576712597*x^16 + 1606891086*x^15 + 8061669524*x^14 - 2259808903*x^13 - 5345277622*x^12 + 1950136165*x^11 + 2363657734*x^10 - 1063587651*x^9 - 630778860*x^8 + 352388509*x^7 + 79798217*x^6 - 64068346*x^5 + 338217*x^4 + 4853000*x^3 - 780529*x^2 - 2340*x + 5069, -6*x^39 + 21*x^38 + 307*x^37 - 1111*x^36 - 7124*x^35 + 26829*x^34 + 99190*x^33 - 392061*x^32 - 923280*x^31 + 3875325*x^30 + 6052061*x^29 - 27433617*x^28 - 28598009*x^27 + 143642782*x^26 + 97551158*x^25 - 566466273*x^24 - 233644772*x^23 + 1697073102*x^22 + 355223843*x^21 - 3867101524*x^20 - 191849289*x^19 + 6664909566*x^18 - 530755244*x^17 - 8576712597*x^16 + 1606891086*x^15 + 8061669524*x^14 - 2259808903*x^13 - 5345277622*x^12 + 1950136165*x^11 + 2363657734*x^10 - 1063587651*x^9 - 630778860*x^8 + 352388509*x^7 + 79798217*x^6 - 64068346*x^5 + 338217*x^4 + 4853000*x^3 - 780529*x^2 - 2340*x + 5069, -3*x^38 + 5*x^37 + 163*x^36 - 256*x^35 - 4058*x^34 + 5946*x^33 + 61393*x^32 - 82952*x^31 - 631147*x^30 + 775820*x^29 + 4670405*x^28 - 5142255*x^27 - 25704598*x^26 + 24905839*x^25 + 107205008*x^24 - 89624603*x^23 - 342010515*x^22 + 241495994*x^21 + 836529377*x^20 - 488230035*x^19 - 1562710445*x^18 + 739906512*x^17 + 2207857215*x^16 - 840651785*x^15 - 2320745814*x^14 + 720860767*x^13 + 1770480698*x^12 - 474117804*x^11 - 944640712*x^10 + 241622468*x^9 + 332522882*x^8 - 91703998*x^7 - 69767503*x^6 + 22873375*x^5 + 7024371*x^4 - 3059459*x^3 - 105001*x^2 + 145399*x - 14229, -3*x^38 + 5*x^37 + 163*x^36 - 256*x^35 - 4058*x^34 + 5946*x^33 + 61393*x^32 - 82952*x^31 - 631147*x^30 + 775820*x^29 + 4670405*x^28 - 5142255*x^27 - 25704598*x^26 + 24905839*x^25 + 107205008*x^24 - 89624603*x^23 - 342010515*x^22 + 241495994*x^21 + 836529377*x^20 - 488230035*x^19 - 1562710445*x^18 + 739906512*x^17 + 2207857215*x^16 - 840651785*x^15 - 2320745814*x^14 + 720860767*x^13 + 1770480698*x^12 - 474117804*x^11 - 944640712*x^10 + 241622468*x^9 + 332522882*x^8 - 91703998*x^7 - 69767503*x^6 + 22873375*x^5 + 7024371*x^4 - 3059459*x^3 - 105001*x^2 + 145399*x - 14229, -3*x^39 + 9*x^38 + 153*x^37 - 461*x^36 - 3554*x^35 + 10740*x^34 + 49854*x^33 - 150785*x^32 - 472141*x^31 + 1424993*x^30 + 3197344*x^29 - 9590380*x^28 - 15997752*x^27 + 47425267*x^26 + 60256997*x^25 - 175247820*x^24 - 172478708*x^23 + 487254819*x^22 + 376127989*x^21 - 1017945796*x^20 - 623132598*x^19 + 1582592680*x^18 + 779679273*x^17 - 1795557424*x^16 - 734228946*x^15 + 1437949552*x^14 + 526205268*x^13 - 769582894*x^12 - 298701608*x^11 + 252090222*x^10 + 139992138*x^9 - 45776325*x^8 - 50793095*x^7 + 6910066*x^6 + 11295263*x^5 - 2159404*x^4 - 953964*x^3 + 344785*x^2 - 33446*x + 577, -3*x^39 + 9*x^38 + 153*x^37 - 461*x^36 - 3554*x^35 + 10740*x^34 + 49854*x^33 - 150785*x^32 - 472141*x^31 + 1424993*x^30 + 3197344*x^29 - 9590380*x^28 - 15997752*x^27 + 47425267*x^26 + 60256997*x^25 - 175247820*x^24 - 172478708*x^23 + 487254819*x^22 + 376127989*x^21 - 1017945796*x^20 - 623132598*x^19 + 1582592680*x^18 + 779679273*x^17 - 1795557424*x^16 - 734228946*x^15 + 1437949552*x^14 + 526205268*x^13 - 769582894*x^12 - 298701608*x^11 + 252090222*x^10 + 139992138*x^9 - 45776325*x^8 - 50793095*x^7 + 6910066*x^6 + 11295263*x^5 - 2159404*x^4 - 953964*x^3 + 344785*x^2 - 33446*x + 577]>
       ]
>;

MOG[877] := 	// J_0(877)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [107, 157, 558, 744, 866, 34*x + 47, 843*x + 47, 648*x + 179, 229*x + 179, 191*x + 467, 686*x + 467, 132*x + 201, 745*x + 201, 766*x + 590, 111*x + 590, 186*x + 235, 691*x + 235, 83*x + 460, 794*x + 460, 705*x + 556, 172*x + 556, 269*x + 648, 608*x + 648, 822*x + 484, 55*x + 484, 63*x + 61, 814*x + 61, 707*x + 412, 170*x + 412, 106*x + 659, 771*x + 659, 632*x + 171, 245*x + 171, 764*x + 843, 113*x + 843, 148*x + 766, 729*x + 766, 58*x + 433, 819*x + 433, 760*x + 87, 117*x + 87, 868*x + 401, 9*x + 401, 588*x + 604, 289*x + 604, 655*x + 369, 222*x + 369, 660*x + 560, 217*x + 560, 166*x + 673, 711*x + 673, 57*x + 186, 820*x + 186, 116*x + 589, 761*x + 589, 875*x + 579, 2*x + 579, 323*x + 578, 554*x + 578, 295*x + 64, 582*x + 64, 23*x + 786, 854*x + 786, 849*x + 524, 28*x + 524, 153*x + 66, 724*x + 66, 585*x + 511, 292*x + 511, 603*x + 232, 274*x + 232, 75*x + 519, 802*x + 519]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 - 5,
           Coordinates        := [0, 0, 0, 0, 0, -x + 1, x - 1, x - 3, -x + 3, -2, 2, 0, 0, -2*x + 4, 2*x - 4, -2, 2, -x + 1, x - 1, -x + 3, x - 3, 2*x - 6, -2*x + 6, x - 1, -x + 1, -3*x + 5, 3*x - 5, x - 3, -x + 3, -2, 2, 2*x - 4, -2*x + 4, x - 1, -x + 1, -x + 1, x - 1, -3*x + 5, 3*x - 5, 2, -2, x - 3, -x + 3, 4*x - 10, -4*x + 10, -x + 3, x - 3, -2*x + 4, 2*x - 4, -2, 2, -x + 3, x - 3, 3*x - 5, -3*x + 5, -x + 3, x - 3, 3*x - 7, -3*x + 7, 2*x - 2, -2*x + 2, -x + 3, x - 3, 0, 0, x - 1, -x + 1, -x + 5, x - 5, 2, -2, 2*x - 4, -2*x + 4]>,
         rec<Eigen |
           DefiningPolynomial := x^32 + 9*x^31 - 4*x^30 - 258*x^29 - 459*x^28 + 3017*x^27 + 9149*x^26 - 17718*x^25 - 84332*x^24 + 44160*x^23 + 464657*x^22 + 77981*x^21 - 1665426*x^20 - 985554*x^19 + 4013457*x^18 + 3611762*x^17 - 6535803*x^16 - 7640357*x^15 + 7040718*x^14 + 10343532*x^13 - 4690551*x^12 - 9128549*x^11 + 1532237*x^10 + 5146830*x^9 + 132818*x^8 - 1746011*x^7 - 302772*x^6 + 309653*x^5 + 96326*x^4 - 17360*x^3 - 10077*x^2 - 1081*x - 4,
           Coordinates        := [0, 0, 0, 0, 0, x^31 + 9*x^30 - 2*x^29 - 240*x^28 - 458*x^27 + 2580*x^26 + 8225*x^25 - 13586*x^24 - 69739*x^23 + 26877*x^22 + 354686*x^21 + 85136*x^20 - 1176175*x^19 - 730074*x^18 + 2635160*x^17 + 2342517*x^16 - 4031831*x^15 - 4457920*x^14 + 4174023*x^13 + 5475133*x^12 - 2823109*x^11 - 4400842*x^10 + 1136755*x^9 + 2266737*x^8 - 189925*x^7 - 706489*x^6 - 34890*x^5 + 117610*x^4 + 19370*x^3 - 7244*x^2 - 2097*x - 127, -x^31 - 9*x^30 + 2*x^29 + 240*x^28 + 458*x^27 - 2580*x^26 - 8225*x^25 + 13586*x^24 + 69739*x^23 - 26877*x^22 - 354686*x^21 - 85136*x^20 + 1176175*x^19 + 730074*x^18 - 2635160*x^17 - 2342517*x^16 + 4031831*x^15 + 4457920*x^14 - 4174023*x^13 - 5475133*x^12 + 2823109*x^11 + 4400842*x^10 - 1136755*x^9 - 2266737*x^8 + 189925*x^7 + 706489*x^6 + 34890*x^5 - 117610*x^4 - 19370*x^3 + 7244*x^2 + 2097*x + 127, x^31 + 10*x^30 + 7*x^29 - 240*x^28 - 682*x^27 + 2109*x^26 + 10398*x^25 - 5876*x^24 - 79029*x^23 - 33262*x^22 + 357395*x^21 + 362722*x^20 - 1015964*x^19 - 1541837*x^18 + 1804275*x^17 + 3862380*x^16 - 1812453*x^15 - 6195708*x^14 + 519155*x^13 + 6452586*x^12 + 1022103*x^11 - 4252300*x^10 - 1399900*x^9 + 1643563*x^8 + 782464*x^7 - 303682*x^6 - 208839*x^5 + 5998*x^4 + 21014*x^3 + 3571*x^2 + 78*x - 8, -x^31 - 10*x^30 - 7*x^29 + 240*x^28 + 682*x^27 - 2109*x^26 - 10398*x^25 + 5876*x^24 + 79029*x^23 + 33262*x^22 - 357395*x^21 - 362722*x^20 + 1015964*x^19 + 1541837*x^18 - 1804275*x^17 - 3862380*x^16 + 1812453*x^15 + 6195708*x^14 - 519155*x^13 - 6452586*x^12 - 1022103*x^11 + 4252300*x^10 + 1399900*x^9 - 1643563*x^8 - 782464*x^7 + 303682*x^6 + 208839*x^5 - 5998*x^4 - 21014*x^3 - 3571*x^2 - 78*x + 8, -x^31 - 8*x^30 + 11*x^29 + 241*x^28 + 245*x^27 - 3033*x^26 - 6266*x^25 + 20469*x^24 + 61746*x^23 - 76709*x^22 - 350240*x^21 + 126529*x^20 + 1271444*x^19 + 163540*x^18 - 3073520*x^17 - 1358408*x^16 + 4994890*x^15 + 3329013*x^14 - 5387554*x^13 - 4585144*x^12 + 3705604*x^11 + 3856818*x^10 - 1480193*x^9 - 1966306*x^8 + 257058*x^7 + 571564*x^6 + 16796*x^5 - 82954*x^4 - 10898*x^3 + 4409*x^2 + 876*x + 12, x^31 + 8*x^30 - 11*x^29 - 241*x^28 - 245*x^27 + 3033*x^26 + 6266*x^25 - 20469*x^24 - 61746*x^23 + 76709*x^22 + 350240*x^21 - 126529*x^20 - 1271444*x^19 - 163540*x^18 + 3073520*x^17 + 1358408*x^16 - 4994890*x^15 - 3329013*x^14 + 5387554*x^13 + 4585144*x^12 - 3705604*x^11 - 3856818*x^10 + 1480193*x^9 + 1966306*x^8 - 257058*x^7 - 571564*x^6 - 16796*x^5 + 82954*x^4 + 10898*x^3 - 4409*x^2 - 876*x - 12, x^30 + 10*x^29 + 8*x^28 - 230*x^27 - 671*x^26 + 1907*x^25 + 9748*x^24 - 4530*x^23 - 70826*x^22 - 33853*x^21 + 305898*x^20 + 322283*x^19 - 828823*x^18 - 1284097*x^17 + 1398559*x^16 + 3044805*x^15 - 1324392*x^14 - 4634756*x^13 + 328850*x^12 + 4581851*x^11 + 733065*x^10 - 2862239*x^9 - 931900*x^8 + 1042911*x^7 + 493335*x^6 - 177393*x^5 - 124495*x^4 + 1134*x^3 + 11539*x^2 + 2178*x + 101, -x^30 - 10*x^29 - 8*x^28 + 230*x^27 + 671*x^26 - 1907*x^25 - 9748*x^24 + 4530*x^23 + 70826*x^22 + 33853*x^21 - 305898*x^20 - 322283*x^19 + 828823*x^18 + 1284097*x^17 - 1398559*x^16 - 3044805*x^15 + 1324392*x^14 + 4634756*x^13 - 328850*x^12 - 4581851*x^11 - 733065*x^10 + 2862239*x^9 + 931900*x^8 - 1042911*x^7 - 493335*x^6 + 177393*x^5 + 124495*x^4 - 1134*x^3 - 11539*x^2 - 2178*x - 101, x^30 + 10*x^29 + 9*x^28 - 220*x^27 - 660*x^26 + 1710*x^25 + 9141*x^24 - 3153*x^23 - 63313*x^22 - 36092*x^21 + 258428*x^20 + 297609*x^19 - 650285*x^18 - 1100445*x^17 + 982274*x^16 + 2431675*x^15 - 739251*x^14 - 3430213*x^13 - 91329*x^12 + 3117507*x^11 + 735640*x^10 - 1777783*x^9 - 685191*x^8 + 589343*x^7 + 307087*x^6 - 91372*x^5 - 68427*x^4 + 427*x^3 + 5860*x^2 + 992*x + 30, -x^30 - 10*x^29 - 9*x^28 + 220*x^27 + 660*x^26 - 1710*x^25 - 9141*x^24 + 3153*x^23 + 63313*x^22 + 36092*x^21 - 258428*x^20 - 297609*x^19 + 650285*x^18 + 1100445*x^17 - 982274*x^16 - 2431675*x^15 + 739251*x^14 + 3430213*x^13 + 91329*x^12 - 3117507*x^11 - 735640*x^10 + 1777783*x^9 + 685191*x^8 - 589343*x^7 - 307087*x^6 + 91372*x^5 + 68427*x^4 - 427*x^3 - 5860*x^2 - 992*x - 30, -x^30 - 8*x^29 + 9*x^28 + 225*x^27 + 259*x^26 - 2611*x^25 - 5691*x^24 + 16052*x^23 + 50800*x^22 - 53943*x^21 - 263018*x^20 + 75288*x^19 + 875164*x^18 + 123450*x^17 - 1948861*x^16 - 790171*x^15 + 2937967*x^14 + 1708459*x^13 - 2969405*x^12 - 2101126*x^11 + 1945444*x^10 + 1581412*x^9 - 765832*x^8 - 721973*x^7 + 148640*x^6 + 187814*x^5 - 3173*x^4 - 23798*x^3 - 2564*x^2 + 941*x + 154, x^30 + 8*x^29 - 9*x^28 - 225*x^27 - 259*x^26 + 2611*x^25 + 5691*x^24 - 16052*x^23 - 50800*x^22 + 53943*x^21 + 263018*x^20 - 75288*x^19 - 875164*x^18 - 123450*x^17 + 1948861*x^16 + 790171*x^15 - 2937967*x^14 - 1708459*x^13 + 2969405*x^12 + 2101126*x^11 - 1945444*x^10 - 1581412*x^9 + 765832*x^8 + 721973*x^7 - 148640*x^6 - 187814*x^5 + 3173*x^4 + 23798*x^3 + 2564*x^2 - 941*x - 154, -x^30 - 7*x^29 + 17*x^28 + 217*x^27 + 44*x^26 - 2863*x^25 - 3309*x^24 + 21138*x^23 + 36740*x^22 - 96233*x^21 - 216100*x^20 + 278873*x^19 + 794847*x^18 - 505256*x^17 - 1934569*x^16 + 510658*x^15 + 3173117*x^14 - 124094*x^13 - 3490675*x^12 - 347496*x^11 + 2507442*x^10 + 462357*x^9 - 1111029*x^8 - 262549*x^7 + 271873*x^6 + 73775*x^5 - 29009*x^4 - 8523*x^3 + 607*x^2 + 87*x - 31, x^30 + 7*x^29 - 17*x^28 - 217*x^27 - 44*x^26 + 2863*x^25 + 3309*x^24 - 21138*x^23 - 36740*x^22 + 96233*x^21 + 216100*x^20 - 278873*x^19 - 794847*x^18 + 505256*x^17 + 1934569*x^16 - 510658*x^15 - 3173117*x^14 + 124094*x^13 + 3490675*x^12 + 347496*x^11 - 2507442*x^10 - 462357*x^9 + 1111029*x^8 + 262549*x^7 - 271873*x^6 - 73775*x^5 + 29009*x^4 + 8523*x^3 - 607*x^2 - 87*x + 31, x^29 + 10*x^28 + 11*x^27 - 202*x^26 - 650*x^25 + 1346*x^24 + 8203*x^23 - 591*x^22 - 51497*x^21 - 40439*x^20 + 187141*x^19 + 257740*x^18 - 405716*x^17 - 817575*x^16 + 488061*x^15 + 1560952*x^14 - 190305*x^13 - 1870735*x^12 - 289038*x^11 + 1390061*x^10 + 468000*x^9 - 600652*x^8 - 289129*x^7 + 126289*x^6 + 84344*x^5 - 4864*x^4 - 9475*x^3 - 1393*x^2 + 23*x + 8, -x^29 - 10*x^28 - 11*x^27 + 202*x^26 + 650*x^25 - 1346*x^24 - 8203*x^23 + 591*x^22 + 51497*x^21 + 40439*x^20 - 187141*x^19 - 257740*x^18 + 405716*x^17 + 817575*x^16 - 488061*x^15 - 1560952*x^14 + 190305*x^13 + 1870735*x^12 + 289038*x^11 - 1390061*x^10 - 468000*x^9 + 600652*x^8 + 289129*x^7 - 126289*x^6 - 84344*x^5 + 4864*x^4 + 9475*x^3 + 1393*x^2 - 23*x - 8, x^29 + 10*x^28 + 10*x^27 - 208*x^26 - 628*x^25 + 1551*x^24 + 8216*x^23 - 3050*x^22 - 54552*x^21 - 26068*x^20 + 216116*x^19 + 213249*x^18 - 537716*x^17 - 750975*x^16 + 838823*x^15 + 1552741*x^14 - 770762*x^13 - 2004652*x^12 + 323065*x^11 + 1612365*x^10 + 57804*x^9 - 772148*x^8 - 119967*x^7 + 197880*x^6 + 44973*x^5 - 21135*x^4 - 5337*x^3 + 388*x^2 - 44*x - 36, -x^29 - 10*x^28 - 10*x^27 + 208*x^26 + 628*x^25 - 1551*x^24 - 8216*x^23 + 3050*x^22 + 54552*x^21 + 26068*x^20 - 216116*x^19 - 213249*x^18 + 537716*x^17 + 750975*x^16 - 838823*x^15 - 1552741*x^14 + 770762*x^13 + 2004652*x^12 - 323065*x^11 - 1612365*x^10 - 57804*x^9 + 772148*x^8 + 119967*x^7 - 197880*x^6 - 44973*x^5 + 21135*x^4 + 5337*x^3 - 388*x^2 + 44*x + 36, x^29 + 10*x^28 + 12*x^27 - 191*x^26 - 629*x^25 + 1172*x^24 + 7500*x^23 + 220*x^22 - 44415*x^21 - 39045*x^20 + 149563*x^19 + 228143*x^18 - 284285*x^17 - 679730*x^16 + 234379*x^15 + 1212754*x^14 + 160278*x^13 - 1330427*x^12 - 609528*x^11 + 862152*x^10 + 656905*x^9 - 282072*x^8 - 355410*x^7 + 14430*x^6 + 95439*x^5 + 15564*x^4 - 9817*x^3 - 2967*x^2 - 4*x + 44, -x^29 - 10*x^28 - 12*x^27 + 191*x^26 + 629*x^25 - 1172*x^24 - 7500*x^23 - 220*x^22 + 44415*x^21 + 39045*x^20 - 149563*x^19 - 228143*x^18 + 284285*x^17 + 679730*x^16 - 234379*x^15 - 1212754*x^14 - 160278*x^13 + 1330427*x^12 + 609528*x^11 - 862152*x^10 - 656905*x^9 + 282072*x^8 + 355410*x^7 - 14430*x^6 - 95439*x^5 - 15564*x^4 + 9817*x^3 + 2967*x^2 + 4*x - 44, -x^29 - 8*x^28 + 7*x^27 + 210*x^26 + 278*x^25 - 2217*x^24 - 5292*x^23 + 11891*x^22 + 42405*x^21 - 31509*x^20 - 196103*x^19 + 13498*x^18 + 577757*x^17 + 174291*x^16 - 1131907*x^15 - 596068*x^14 + 1498278*x^13 + 1003390*x^12 - 1332053*x^11 - 1016247*x^10 + 768796*x^9 + 638426*x^8 - 264432*x^7 - 241249*x^6 + 42747*x^5 + 49948*x^4 + 72*x^3 - 4345*x^2 - 575*x + 11, x^29 + 8*x^28 - 7*x^27 - 210*x^26 - 278*x^25 + 2217*x^24 + 5292*x^23 - 11891*x^22 - 42405*x^21 + 31509*x^20 + 196103*x^19 - 13498*x^18 - 577757*x^17 - 174291*x^16 + 1131907*x^15 + 596068*x^14 - 1498278*x^13 - 1003390*x^12 + 1332053*x^11 + 1016247*x^10 - 768796*x^9 - 638426*x^8 + 264432*x^7 + 241249*x^6 - 42747*x^5 - 49948*x^4 - 72*x^3 + 4345*x^2 + 575*x - 11, -x^29 - 8*x^28 + 7*x^27 + 212*x^26 + 297*x^25 - 2200*x^24 - 5654*x^23 + 10875*x^22 + 44817*x^21 - 19732*x^20 - 200177*x^19 - 53588*x^18 + 546902*x^17 + 393946*x^16 - 925016*x^15 - 1024486*x^14 + 919871*x^13 + 1480628*x^12 - 428107*x^11 - 1259159*x^10 - 54435*x^9 + 605907*x^8 + 156014*x^7 - 142501*x^6 - 62716*x^5 + 9208*x^4 + 8262*x^3 + 877*x^2 - 147*x - 23, x^29 + 8*x^28 - 7*x^27 - 212*x^26 - 297*x^25 + 2200*x^24 + 5654*x^23 - 10875*x^22 - 44817*x^21 + 19732*x^20 + 200177*x^19 + 53588*x^18 - 546902*x^17 - 393946*x^16 + 925016*x^15 + 1024486*x^14 - 919871*x^13 - 1480628*x^12 + 428107*x^11 + 1259159*x^10 + 54435*x^9 - 605907*x^8 - 156014*x^7 + 142501*x^6 + 62716*x^5 - 9208*x^4 - 8262*x^3 - 877*x^2 + 147*x + 23, -x^29 - 7*x^28 + 16*x^27 + 214*x^26 + 94*x^25 - 2640*x^24 - 3868*x^23 + 17216*x^22 + 37907*x^21 - 63756*x^20 - 197724*x^19 + 126051*x^18 + 633695*x^17 - 65503*x^16 - 1311115*x^15 - 279990*x^14 + 1772785*x^13 + 746973*x^12 - 1545658*x^11 - 887019*x^10 + 831521*x^9 + 592728*x^8 - 247734*x^7 - 225916*x^6 + 27970*x^5 + 45422*x^4 + 2982*x^3 - 3715*x^2 - 820*x - 43, x^29 + 7*x^28 - 16*x^27 - 214*x^26 - 94*x^25 + 2640*x^24 + 3868*x^23 - 17216*x^22 - 37907*x^21 + 63756*x^20 + 197724*x^19 - 126051*x^18 - 633695*x^17 + 65503*x^16 + 1311115*x^15 + 279990*x^14 - 1772785*x^13 - 746973*x^12 + 1545658*x^11 + 887019*x^10 - 831521*x^9 - 592728*x^8 + 247734*x^7 + 225916*x^6 - 27970*x^5 - 45422*x^4 - 2982*x^3 + 3715*x^2 + 820*x + 43, x^28 + 9*x^27 + 4*x^26 - 193*x^25 - 489*x^24 + 1468*x^23 + 6663*x^22 - 3025*x^21 - 43578*x^20 - 22901*x^19 + 163823*x^18 + 186958*x^17 - 369126*x^16 - 639004*x^15 + 474665*x^14 + 1267707*x^13 - 249742*x^12 - 1553942*x^11 - 163284*x^10 + 1166897*x^9 + 346662*x^8 - 501095*x^7 - 223936*x^6 + 100249*x^5 + 65280*x^4 - 1784*x^3 - 6850*x^2 - 1408*x - 88, -x^28 - 9*x^27 - 4*x^26 + 193*x^25 + 489*x^24 - 1468*x^23 - 6663*x^22 + 3025*x^21 + 43578*x^20 + 22901*x^19 - 163823*x^18 - 186958*x^17 + 369126*x^16 + 639004*x^15 - 474665*x^14 - 1267707*x^13 + 249742*x^12 + 1553942*x^11 + 163284*x^10 - 1166897*x^9 - 346662*x^8 + 501095*x^7 + 223936*x^6 - 100249*x^5 - 65280*x^4 + 1784*x^3 + 6850*x^2 + 1408*x + 88, 2*x^28 + 19*x^27 + 17*x^26 - 368*x^25 - 1056*x^24 + 2471*x^23 + 12666*x^22 - 3561*x^21 - 75179*x^20 - 41642*x^19 + 259284*x^18 + 279564*x^17 - 541372*x^16 - 844849*x^15 + 659422*x^14 + 1496314*x^13 - 368146*x^12 - 1637848*x^11 - 101781*x^10 + 1094690*x^9 + 296109*x^8 - 415527*x^7 - 185055*x^6 + 72280*x^5 + 49740*x^4 - 743*x^3 - 4666*x^2 - 762*x - 13, -2*x^28 - 19*x^27 - 17*x^26 + 368*x^25 + 1056*x^24 - 2471*x^23 - 12666*x^22 + 3561*x^21 + 75179*x^20 + 41642*x^19 - 259284*x^18 - 279564*x^17 + 541372*x^16 + 844849*x^15 - 659422*x^14 - 1496314*x^13 + 368146*x^12 + 1637848*x^11 + 101781*x^10 - 1094690*x^9 - 296109*x^8 + 415527*x^7 + 185055*x^6 - 72280*x^5 - 49740*x^4 + 743*x^3 + 4666*x^2 + 762*x + 13, 3*x^27 + 27*x^26 + 17*x^25 - 509*x^24 - 1233*x^23 + 3627*x^22 + 14356*x^21 - 10305*x^20 - 83099*x^19 - 8386*x^18 + 285788*x^17 + 149625*x^16 - 622624*x^15 - 485307*x^14 + 878681*x^13 + 833622*x^12 - 800217*x^11 - 853526*x^10 + 455252*x^9 + 526950*x^8 - 148150*x^7 - 188758*x^6 + 20943*x^5 + 35912*x^4 + 568*x^3 - 2961*x^2 - 337*x + 23, -3*x^27 - 27*x^26 - 17*x^25 + 509*x^24 + 1233*x^23 - 3627*x^22 - 14356*x^21 + 10305*x^20 + 83099*x^19 + 8386*x^18 - 285788*x^17 - 149625*x^16 + 622624*x^15 + 485307*x^14 - 878681*x^13 - 833622*x^12 + 800217*x^11 + 853526*x^10 - 455252*x^9 - 526950*x^8 + 148150*x^7 + 188758*x^6 - 20943*x^5 - 35912*x^4 - 568*x^3 + 2961*x^2 + 337*x - 23, x^28 + 9*x^27 + 5*x^26 - 176*x^25 - 416*x^24 + 1336*x^23 + 5134*x^22 - 4332*x^21 - 32007*x^20 - 1261*x^19 + 120955*x^18 + 63682*x^17 - 293076*x^16 - 256310*x^15 + 453796*x^14 + 546880*x^13 - 419228*x^12 - 704925*x^11 + 175690*x^10 + 550383*x^9 + 38274*x^8 - 243313*x^7 - 73356*x^6 + 49294*x^5 + 27178*x^4 - 607*x^3 - 2943*x^2 - 691*x - 53, -x^28 - 9*x^27 - 5*x^26 + 176*x^25 + 416*x^24 - 1336*x^23 - 5134*x^22 + 4332*x^21 + 32007*x^20 + 1261*x^19 - 120955*x^18 - 63682*x^17 + 293076*x^16 + 256310*x^15 - 453796*x^14 - 546880*x^13 + 419228*x^12 + 704925*x^11 - 175690*x^10 - 550383*x^9 - 38274*x^8 + 243313*x^7 + 73356*x^6 - 49294*x^5 - 27178*x^4 + 607*x^3 + 2943*x^2 + 691*x + 53, x^28 + 10*x^27 + 14*x^26 - 170*x^25 - 585*x^24 + 902*x^23 + 6232*x^22 + 608*x^21 - 33686*x^20 - 27824*x^19 + 106716*x^18 + 141151*x^17 - 206523*x^16 - 374072*x^15 + 240107*x^14 + 603472*x^13 - 150053*x^12 - 617507*x^11 + 23046*x^10 + 401021*x^9 + 33672*x^8 - 159386*x^7 - 26593*x^6 + 34656*x^5 + 8870*x^4 - 2651*x^3 - 1198*x^2 - 186*x - 17, -x^28 - 10*x^27 - 14*x^26 + 170*x^25 + 585*x^24 - 902*x^23 - 6232*x^22 - 608*x^21 + 33686*x^20 + 27824*x^19 - 106716*x^18 - 141151*x^17 + 206523*x^16 + 374072*x^15 - 240107*x^14 - 603472*x^13 + 150053*x^12 + 617507*x^11 - 23046*x^10 - 401021*x^9 - 33672*x^8 + 159386*x^7 + 26593*x^6 - 34656*x^5 - 8870*x^4 + 2651*x^3 + 1198*x^2 + 186*x + 17, -x^28 - 8*x^27 + 6*x^26 + 204*x^25 + 300*x^24 - 2018*x^23 - 5333*x^22 + 9363*x^21 + 40068*x^20 - 14927*x^19 - 169922*x^18 - 48588*x^17 + 442840*x^16 + 308449*x^15 - 726316*x^14 - 744739*x^13 + 735149*x^12 + 1022380*x^11 - 416403*x^10 - 852248*x^9 + 78468*x^8 + 423964*x^7 + 44542*x^6 - 114559*x^5 - 27985*x^4 + 12777*x^3 + 4683*x^2 - 31*x - 92, x^28 + 8*x^27 - 6*x^26 - 204*x^25 - 300*x^24 + 2018*x^23 + 5333*x^22 - 9363*x^21 - 40068*x^20 + 14927*x^19 + 169922*x^18 + 48588*x^17 - 442840*x^16 - 308449*x^15 + 726316*x^14 + 744739*x^13 - 735149*x^12 - 1022380*x^11 + 416403*x^10 + 852248*x^9 - 78468*x^8 - 423964*x^7 - 44542*x^6 + 114559*x^5 + 27985*x^4 - 12777*x^3 - 4683*x^2 + 31*x + 92, -x^28 - 7*x^27 + 13*x^26 + 190*x^25 + 99*x^24 - 2143*x^23 - 3062*x^22 + 13071*x^21 + 26847*x^20 - 46863*x^19 - 127485*x^18 + 99429*x^17 + 374114*x^16 - 114346*x^15 - 713373*x^14 + 39670*x^13 + 902203*x^12 + 62499*x^11 - 760245*x^10 - 90738*x^9 + 422932*x^8 + 56760*x^7 - 150435*x^6 - 23307*x^5 + 31230*x^4 + 6676*x^3 - 2694*x^2 - 899*x - 62, x^28 + 7*x^27 - 13*x^26 - 190*x^25 - 99*x^24 + 2143*x^23 + 3062*x^22 - 13071*x^21 - 26847*x^20 + 46863*x^19 + 127485*x^18 - 99429*x^17 - 374114*x^16 + 114346*x^15 + 713373*x^14 - 39670*x^13 - 902203*x^12 - 62499*x^11 + 760245*x^10 + 90738*x^9 - 422932*x^8 - 56760*x^7 + 150435*x^6 + 23307*x^5 - 31230*x^4 - 6676*x^3 + 2694*x^2 + 899*x + 62, -x^28 - 6*x^27 + 25*x^26 + 223*x^25 - 47*x^24 - 3037*x^23 - 3190*x^22 + 20733*x^21 + 37842*x^20 - 77420*x^19 - 206319*x^18 + 148629*x^17 + 652456*x^16 - 63018*x^15 - 1277392*x^14 - 338119*x^13 + 1563314*x^12 + 796785*x^11 - 1157523*x^10 - 828796*x^9 + 467197*x^8 + 459484*x^7 - 68439*x^6 - 130043*x^5 - 11443*x^4 + 14626*x^3 + 3598*x^2 - 32*x - 52, x^28 + 6*x^27 - 25*x^26 - 223*x^25 + 47*x^24 + 3037*x^23 + 3190*x^22 - 20733*x^21 - 37842*x^20 + 77420*x^19 + 206319*x^18 - 148629*x^17 - 652456*x^16 + 63018*x^15 + 1277392*x^14 + 338119*x^13 - 1563314*x^12 - 796785*x^11 + 1157523*x^10 + 828796*x^9 - 467197*x^8 - 459484*x^7 + 68439*x^6 + 130043*x^5 + 11443*x^4 - 14626*x^3 - 3598*x^2 + 32*x + 52, -x^28 - 7*x^27 + 13*x^26 + 188*x^25 + 84*x^24 - 2140*x^23 - 2793*x^22 + 13478*x^21 + 24999*x^20 - 51456*x^19 - 121943*x^18 + 121867*x^17 + 371389*x^16 - 171297*x^15 - 740704*x^14 + 110288*x^13 + 977984*x^12 + 45182*x^11 - 842356*x^10 - 146709*x^9 + 454649*x^8 + 119988*x^7 - 142917*x^6 - 48563*x^5 + 22878*x^4 + 10049*x^3 - 1181*x^2 - 932*x - 102, x^28 + 7*x^27 - 13*x^26 - 188*x^25 - 84*x^24 + 2140*x^23 + 2793*x^22 - 13478*x^21 - 24999*x^20 + 51456*x^19 + 121943*x^18 - 121867*x^17 - 371389*x^16 + 171297*x^15 + 740704*x^14 - 110288*x^13 - 977984*x^12 - 45182*x^11 + 842356*x^10 + 146709*x^9 - 454649*x^8 - 119988*x^7 + 142917*x^6 + 48563*x^5 - 22878*x^4 - 10049*x^3 + 1181*x^2 + 932*x + 102, -x^28 - 6*x^27 + 23*x^26 + 206*x^25 - 50*x^24 - 2689*x^23 - 2460*x^22 + 18121*x^21 + 28681*x^20 - 69723*x^19 - 152766*x^18 + 153965*x^17 + 473829*x^16 - 168024*x^15 - 915025*x^14 - 7614*x^13 + 1111395*x^12 + 260694*x^11 - 822395*x^10 - 324881*x^9 + 336345*x^8 + 184783*x^7 - 55145*x^6 - 49296*x^5 - 3921*x^4 + 4240*x^3 + 1534*x^2 + 207*x + 8, x^28 + 6*x^27 - 23*x^26 - 206*x^25 + 50*x^24 + 2689*x^23 + 2460*x^22 - 18121*x^21 - 28681*x^20 + 69723*x^19 + 152766*x^18 - 153965*x^17 - 473829*x^16 + 168024*x^15 + 915025*x^14 + 7614*x^13 - 1111395*x^12 - 260694*x^11 + 822395*x^10 + 324881*x^9 - 336345*x^8 - 184783*x^7 + 55145*x^6 + 49296*x^5 + 3921*x^4 - 4240*x^3 - 1534*x^2 - 207*x - 8, 2*x^27 + 13*x^26 - 32*x^25 - 367*x^24 - 72*x^23 + 4229*x^22 + 4894*x^21 - 26040*x^20 - 46219*x^19 + 93041*x^18 + 223548*x^17 - 190555*x^16 - 652400*x^15 + 181420*x^14 + 1208270*x^13 + 67051*x^12 - 1428188*x^11 - 386448*x^10 + 1045559*x^9 + 446219*x^8 - 435902*x^7 - 249976*x^6 + 81185*x^5 + 68360*x^4 + 841*x^3 - 6865*x^2 - 1519*x - 96, -2*x^27 - 13*x^26 + 32*x^25 + 367*x^24 + 72*x^23 - 4229*x^22 - 4894*x^21 + 26040*x^20 + 46219*x^19 - 93041*x^18 - 223548*x^17 + 190555*x^16 + 652400*x^15 - 181420*x^14 - 1208270*x^13 - 67051*x^12 + 1428188*x^11 + 386448*x^10 - 1045559*x^9 - 446219*x^8 + 435902*x^7 + 249976*x^6 - 81185*x^5 - 68360*x^4 - 841*x^3 + 6865*x^2 + 1519*x + 96, x^27 + 7*x^26 - 11*x^25 - 173*x^24 - 87*x^23 + 1882*x^22 + 2487*x^21 - 11493*x^20 - 21755*x^19 + 41554*x^18 + 104214*x^17 - 85477*x^16 - 304188*x^15 + 77635*x^14 + 556405*x^13 + 38688*x^12 - 634307*x^11 - 165264*x^10 + 436602*x^9 + 158734*x^8 - 170757*x^7 - 67507*x^6 + 34824*x^5 + 12042*x^4 - 3910*x^3 - 752*x^2 + 386*x + 73, -x^27 - 7*x^26 + 11*x^25 + 173*x^24 + 87*x^23 - 1882*x^22 - 2487*x^21 + 11493*x^20 + 21755*x^19 - 41554*x^18 - 104214*x^17 + 85477*x^16 + 304188*x^15 - 77635*x^14 - 556405*x^13 - 38688*x^12 + 634307*x^11 + 165264*x^10 - 436602*x^9 - 158734*x^8 + 170757*x^7 + 67507*x^6 - 34824*x^5 - 12042*x^4 + 3910*x^3 + 752*x^2 - 386*x - 73, x^27 + 11*x^26 + 25*x^25 - 144*x^24 - 721*x^23 + 190*x^22 + 6340*x^21 + 6725*x^20 - 26778*x^19 - 53512*x^18 + 53646*x^17 + 193854*x^16 - 13015*x^15 - 394070*x^14 - 168401*x^13 + 457462*x^12 + 369067*x^11 - 270094*x^10 - 362375*x^9 + 31270*x^8 + 178943*x^7 + 48979*x^6 - 37031*x^5 - 23719*x^4 - 606*x^3 + 2990*x^2 + 887*x + 79, -x^27 - 11*x^26 - 25*x^25 + 144*x^24 + 721*x^23 - 190*x^22 - 6340*x^21 - 6725*x^20 + 26778*x^19 + 53512*x^18 - 53646*x^17 - 193854*x^16 + 13015*x^15 + 394070*x^14 + 168401*x^13 - 457462*x^12 - 369067*x^11 + 270094*x^10 + 362375*x^9 - 31270*x^8 - 178943*x^7 - 48979*x^6 + 37031*x^5 + 23719*x^4 + 606*x^3 - 2990*x^2 - 887*x - 79, x^27 + 9*x^26 + 6*x^25 - 165*x^24 - 393*x^23 + 1178*x^22 + 4424*x^21 - 3874*x^20 - 25438*x^19 + 3199*x^18 + 90675*x^17 + 20836*x^16 - 217003*x^15 - 90836*x^14 + 359148*x^13 + 188332*x^12 - 408069*x^11 - 239587*x^10 + 305351*x^9 + 192490*x^8 - 138172*x^7 - 93441*x^6 + 31501*x^5 + 24449*x^4 - 1846*x^3 - 2613*x^2 - 216*x + 28, -x^27 - 9*x^26 - 6*x^25 + 165*x^24 + 393*x^23 - 1178*x^22 - 4424*x^21 + 3874*x^20 + 25438*x^19 - 3199*x^18 - 90675*x^17 - 20836*x^16 + 217003*x^15 + 90836*x^14 - 359148*x^13 - 188332*x^12 + 408069*x^11 + 239587*x^10 - 305351*x^9 - 192490*x^8 + 138172*x^7 + 93441*x^6 - 31501*x^5 - 24449*x^4 + 1846*x^3 + 2613*x^2 + 216*x - 28, x^27 + 11*x^26 + 27*x^25 - 128*x^24 - 717*x^23 - 80*x^22 + 5847*x^21 + 8526*x^20 - 21869*x^19 - 59911*x^18 + 29933*x^17 + 208749*x^16 + 57257*x^15 - 423798*x^14 - 310931*x^13 + 513429*x^12 + 575305*x^11 - 351205*x^10 - 570691*x^9 + 106642*x^8 + 317117*x^7 + 8810*x^6 - 93225*x^5 - 13640*x^4 + 12471*x^3 + 2667*x^2 - 516*x - 125, -x^27 - 11*x^26 - 27*x^25 + 128*x^24 + 717*x^23 + 80*x^22 - 5847*x^21 - 8526*x^20 + 21869*x^19 + 59911*x^18 - 29933*x^17 - 208749*x^16 - 57257*x^15 + 423798*x^14 + 310931*x^13 - 513429*x^12 - 575305*x^11 + 351205*x^10 + 570691*x^9 - 106642*x^8 - 317117*x^7 - 8810*x^6 + 93225*x^5 + 13640*x^4 - 12471*x^3 - 2667*x^2 + 516*x + 125, x^27 + 10*x^26 + 17*x^25 - 142*x^24 - 551*x^23 + 468*x^22 + 4882*x^21 + 2695*x^20 - 20978*x^19 - 27081*x^18 + 47829*x^17 + 96909*x^16 - 51529*x^15 - 185484*x^14 + 600*x^13 + 199491*x^12 + 57269*x^11 - 109926*x^10 - 52542*x^9 + 16044*x^8 + 11700*x^7 + 11416*x^6 + 6656*x^5 - 4575*x^4 - 3852*x^3 + 114*x^2 + 503*x + 81, -x^27 - 10*x^26 - 17*x^25 + 142*x^24 + 551*x^23 - 468*x^22 - 4882*x^21 - 2695*x^20 + 20978*x^19 + 27081*x^18 - 47829*x^17 - 96909*x^16 + 51529*x^15 + 185484*x^14 - 600*x^13 - 199491*x^12 - 57269*x^11 + 109926*x^10 + 52542*x^9 - 16044*x^8 - 11700*x^7 - 11416*x^6 - 6656*x^5 + 4575*x^4 + 3852*x^3 - 114*x^2 - 503*x - 81, -x^27 - 6*x^26 + 22*x^25 + 199*x^24 - 41*x^23 - 2528*x^22 - 2337*x^21 + 16582*x^20 + 26181*x^19 - 62086*x^18 - 134917*x^17 + 134158*x^16 + 405591*x^15 - 148671*x^14 - 763129*x^13 + 18990*x^12 + 915650*x^11 + 163999*x^10 - 690328*x^9 - 214462*x^8 + 308974*x^7 + 126690*x^6 - 70732*x^5 - 37171*x^4 + 4611*x^3 + 4314*x^2 + 483*x - 11, x^27 + 6*x^26 - 22*x^25 - 199*x^24 + 41*x^23 + 2528*x^22 + 2337*x^21 - 16582*x^20 - 26181*x^19 + 62086*x^18 + 134917*x^17 - 134158*x^16 - 405591*x^15 + 148671*x^14 + 763129*x^13 - 18990*x^12 - 915650*x^11 - 163999*x^10 + 690328*x^9 + 214462*x^8 - 308974*x^7 - 126690*x^6 + 70732*x^5 + 37171*x^4 - 4611*x^3 - 4314*x^2 - 483*x + 11, -x^27 - 6*x^26 + 24*x^25 + 219*x^24 - 7*x^23 - 2808*x^22 - 3414*x^21 + 17491*x^20 + 35500*x^19 - 57067*x^18 - 174010*x^17 + 84408*x^16 + 492473*x^15 + 26945*x^14 - 852871*x^13 - 315697*x^12 + 908432*x^11 + 532144*x^10 - 573058*x^9 - 442532*x^8 + 191074*x^7 + 197513*x^6 - 21007*x^5 - 44322*x^4 - 3921*x^3 + 3757*x^2 + 857*x + 36, x^27 + 6*x^26 - 24*x^25 - 219*x^24 + 7*x^23 + 2808*x^22 + 3414*x^21 - 17491*x^20 - 35500*x^19 + 57067*x^18 + 174010*x^17 - 84408*x^16 - 492473*x^15 - 26945*x^14 + 852871*x^13 + 315697*x^12 - 908432*x^11 - 532144*x^10 + 573058*x^9 + 442532*x^8 - 191074*x^7 - 197513*x^6 + 21007*x^5 + 44322*x^4 + 3921*x^3 - 3757*x^2 - 857*x - 36, 2*x^26 + 17*x^25 + 12*x^24 - 261*x^23 - 575*x^22 + 1578*x^21 + 5092*x^20 - 5309*x^19 - 23271*x^18 + 13952*x^17 + 69926*x^16 - 36711*x^15 - 156968*x^14 + 78358*x^13 + 267896*x^12 - 102765*x^11 - 323643*x^10 + 67996*x^9 + 252175*x^8 - 10747*x^7 - 115611*x^6 - 11265*x^5 + 27320*x^4 + 5924*x^3 - 2308*x^2 - 826*x - 62, -2*x^26 - 17*x^25 - 12*x^24 + 261*x^23 + 575*x^22 - 1578*x^21 - 5092*x^20 + 5309*x^19 + 23271*x^18 - 13952*x^17 - 69926*x^16 + 36711*x^15 + 156968*x^14 - 78358*x^13 - 267896*x^12 + 102765*x^11 + 323643*x^10 - 67996*x^9 - 252175*x^8 + 10747*x^7 + 115611*x^6 + 11265*x^5 - 27320*x^4 - 5924*x^3 + 2308*x^2 + 826*x + 62, -x^26 - 4*x^25 + 40*x^24 + 229*x^23 - 224*x^22 - 3242*x^21 - 2342*x^20 + 20353*x^19 + 32309*x^18 - 64221*x^17 - 159983*x^16 + 89963*x^15 + 424521*x^14 + 22422*x^13 - 654882*x^12 - 264641*x^11 + 584465*x^10 + 386264*x^9 - 276123*x^8 - 261971*x^7 + 47432*x^6 + 85721*x^5 + 7522*x^4 - 10869*x^3 - 2741*x^2 + 68*x + 52, x^26 + 4*x^25 - 40*x^24 - 229*x^23 + 224*x^22 + 3242*x^21 + 2342*x^20 - 20353*x^19 - 32309*x^18 + 64221*x^17 + 159983*x^16 - 89963*x^15 - 424521*x^14 - 22422*x^13 + 654882*x^12 + 264641*x^11 - 584465*x^10 - 386264*x^9 + 276123*x^8 + 261971*x^7 - 47432*x^6 - 85721*x^5 - 7522*x^4 + 10869*x^3 + 2741*x^2 - 68*x - 52, -x^25 - 2*x^24 + 44*x^23 + 141*x^22 - 506*x^21 - 2230*x^20 + 2118*x^19 + 16117*x^18 + 75*x^17 - 64371*x^16 - 31241*x^15 + 152445*x^14 + 119631*x^13 - 216840*x^12 - 221202*x^11 + 177763*x^10 + 228939*x^9 - 71614*x^8 - 132895*x^7 + 3819*x^6 + 39794*x^5 + 6133*x^4 - 4744*x^3 - 1381*x^2 + 21*x + 26, x^25 + 2*x^24 - 44*x^23 - 141*x^22 + 506*x^21 + 2230*x^20 - 2118*x^19 - 16117*x^18 - 75*x^17 + 64371*x^16 + 31241*x^15 - 152445*x^14 - 119631*x^13 + 216840*x^12 + 221202*x^11 - 177763*x^10 - 228939*x^9 + 71614*x^8 + 132895*x^7 - 3819*x^6 - 39794*x^5 - 6133*x^4 + 4744*x^3 + 1381*x^2 - 21*x - 26]>,
         rec<Eigen |
           DefiningPolynomial := x^38 - 7*x^37 - 33*x^36 + 331*x^35 + 302*x^34 - 7010*x^33 + 2953*x^32 + 87672*x^31 - 102300*x^30 - 717919*x^29 + 1234021*x^28 + 4023046*x^27 - 9023256*x^26 - 15572525*x^25 + 44933146*x^24 + 40410267*x^23 - 159202873*x^22 - 61732978*x^21 + 408084978*x^20 + 17763213*x^19 - 757855591*x^18 + 152780622*x^17 + 1009137717*x^16 - 387616496*x^15 - 941977844*x^14 + 495699816*x^13 + 593100050*x^12 - 381906073*x^11 - 236376177*x^10 + 177839974*x^9 + 53403561*x^8 - 46773649*x^7 - 5431833*x^6 + 5977546*x^5 + 50089*x^4 - 254915*x^3 + 22379*x^2 - 63*x - 2,
           Coordinates        := [-x^37 + 6*x^36 + 37*x^35 - 282*x^34 - 512*x^33 + 5944*x^32 + 2049*x^31 - 74219*x^30 + 30845*x^29 + 610606*x^28 - 551907*x^27 - 3480549*x^26 + 4432295*x^25 + 14054868*x^24 - 22523234*x^23 - 40302335*x^22 + 78793376*x^21 + 80513984*x^20 - 195349522*x^19 - 105742697*x^18 + 345186896*x^17 + 75455264*x^16 - 430537297*x^15 + 3236085*x^14 + 369930825*x^13 - 62724621*x^12 - 209736537*x^11 + 59916772*x^10 + 72986205*x^9 - 26625323*x^8 - 13779658*x^7 + 5586309*x^6 + 1154446*x^5 - 436078*x^4 - 39793*x^3 + 7512*x^2 + 427*x - 6, x^37 - 7*x^36 - 30*x^35 + 310*x^34 + 216*x^33 - 6110*x^32 + 3509*x^31 + 70534*x^30 - 91813*x^29 - 527069*x^28 + 983546*x^27 + 2648561*x^26 - 6480356*x^25 - 8909640*x^24 + 29001654*x^23 + 18650281*x^22 - 91462523*x^21 - 16320991*x^20 + 205433867*x^19 - 29684286*x^18 - 326484386*x^17 + 126487396*x^16 + 358636383*x^15 - 211165806*x^14 - 259741753*x^13 + 203884456*x^12 + 112779029*x^11 - 117814015*x^10 - 22822160*x^9 + 38500309*x^8 - 423153*x^7 - 6197912*x^6 + 735938*x^5 + 385676*x^4 - 65851*x^3 - 4689*x^2 + 852*x - 8, 4*x^31 - 30*x^30 - 62*x^29 + 974*x^28 - 572*x^27 - 13444*x^26 + 22584*x^25 + 101294*x^24 - 259074*x^23 - 434762*x^22 + 1650458*x^21 + 900058*x^20 - 6613542*x^19 + 503234*x^18 + 17288586*x^17 - 8403354*x^16 - 29346362*x^15 + 23791380*x^14 + 30907478*x^13 - 35514346*x^12 - 17684216*x^11 + 30516052*x^10 + 2841430*x^9 - 14449060*x^8 + 1965904*x^7 + 3227212*x^6 - 836890*x^5 - 228228*x^4 + 67630*x^3 + 380*x^2 - 744*x + 8, 4*x^30 - 28*x^29 - 66*x^28 + 866*x^27 - 254*x^26 - 11448*x^25 + 15068*x^24 + 83760*x^23 - 170304*x^22 - 363046*x^21 + 1031862*x^20 + 890230*x^19 - 3890232*x^18 - 799486*x^17 + 9544370*x^16 - 1881902*x^15 - 15294008*x^14 + 7294550*x^13 + 15551218*x^12 - 10949304*x^11 - 9266768*x^10 + 8797952*x^9 + 2582658*x^8 - 3718206*x^7 - 10368*x^6 + 693522*x^5 - 101508*x^4 - 38120*x^3 + 9320*x^2 - 372*x, x^36 - 7*x^35 - 28*x^34 + 296*x^33 + 164*x^32 - 5544*x^31 + 3725*x^30 + 60486*x^29 - 83511*x^28 - 424501*x^27 + 823806*x^26 + 1989031*x^25 - 5035040*x^24 - 6184968*x^23 + 20887704*x^22 + 11815371*x^21 - 60926943*x^20 - 8980889*x^19 + 126404899*x^18 - 17453216*x^17 - 185847658*x^16 + 64203960*x^15 + 190182317*x^14 - 96344982*x^13 - 130524541*x^12 + 84150622*x^11 + 56010849*x^10 - 44028561*x^9 - 13013490*x^8 + 12906343*x^7 + 1081693*x^6 - 1787822*x^5 + 45638*x^4 + 83650*x^3 - 8973*x^2 + 57*x + 2, -x^36 + 6*x^35 + 36*x^34 - 277*x^33 - 471*x^32 + 5702*x^31 + 1382*x^30 - 69079*x^29 + 35754*x^28 + 547202*x^27 - 555206*x^26 - 2974976*x^25 + 4177522*x^24 + 11315583*x^23 - 20053581*x^22 - 30006185*x^21 + 66110736*x^20 + 53685019*x^19 - 153462999*x^18 - 58475505*x^17 + 251572578*x^16 + 23078443*x^15 - 287641552*x^14 + 31522185*x^13 + 223044067*x^12 - 56126382*x^11 - 111653372*x^10 + 39114223*x^9 + 33124613*x^8 - 13703841*x^7 - 4931848*x^6 + 2193511*x^5 + 223187*x^4 - 103805*x^3 + 7647*x^2 - 248*x + 2, -x^36 + 6*x^35 + 36*x^34 - 277*x^33 - 471*x^32 + 5702*x^31 + 1382*x^30 - 69079*x^29 + 35754*x^28 + 547202*x^27 - 555206*x^26 - 2974976*x^25 + 4177522*x^24 + 11315583*x^23 - 20053581*x^22 - 30006185*x^21 + 66110736*x^20 + 53685019*x^19 - 153462999*x^18 - 58475505*x^17 + 251572578*x^16 + 23078443*x^15 - 287641552*x^14 + 31522185*x^13 + 223044067*x^12 - 56126382*x^11 - 111653372*x^10 + 39114223*x^9 + 33124613*x^8 - 13703841*x^7 - 4931848*x^6 + 2193511*x^5 + 223187*x^4 - 103805*x^3 + 7647*x^2 - 248*x + 2, -x^34 + 7*x^33 + 24*x^32 - 267*x^31 - 80*x^30 + 4488*x^29 - 3685*x^28 - 43674*x^27 + 64546*x^26 + 271296*x^25 - 544767*x^24 - 1113940*x^23 + 2876374*x^22 + 2993446*x^21 - 10259754*x^20 - 4826980*x^19 + 25432296*x^18 + 2813349*x^17 - 44037853*x^16 + 5779800*x^15 + 52630980*x^14 - 15816573*x^13 - 42104551*x^12 + 17765297*x^11 + 21306002*x^10 - 10848043*x^9 - 6184822*x^8 + 3507291*x^7 + 882323*x^6 - 514804*x^5 - 57553*x^4 + 28982*x^3 + 1059*x^2 - 285*x + 2, -x^34 + 7*x^33 + 24*x^32 - 267*x^31 - 80*x^30 + 4488*x^29 - 3685*x^28 - 43674*x^27 + 64546*x^26 + 271296*x^25 - 544767*x^24 - 1113940*x^23 + 2876374*x^22 + 2993446*x^21 - 10259754*x^20 - 4826980*x^19 + 25432296*x^18 + 2813349*x^17 - 44037853*x^16 + 5779800*x^15 + 52630980*x^14 - 15816573*x^13 - 42104551*x^12 + 17765297*x^11 + 21306002*x^10 - 10848043*x^9 - 6184822*x^8 + 3507291*x^7 + 882323*x^6 - 514804*x^5 - 57553*x^4 + 28982*x^3 + 1059*x^2 - 285*x + 2, -x^35 + 6*x^34 + 34*x^33 - 266*x^32 - 400*x^31 + 5220*x^30 + 421*x^29 - 59719*x^28 + 40375*x^27 + 441027*x^26 - 526069*x^25 - 2194518*x^24 + 3583593*x^23 + 7419776*x^22 - 15676086*x^21 - 16569211*x^20 + 46713503*x^19 + 21834896*x^18 - 96427667*x^17 - 8338968*x^16 + 137115945*x^15 - 24344880*x^14 - 131070185*x^13 + 48702790*x^12 + 80317868*x^11 - 42108551*x^10 - 29013549*x^9 + 19106304*x^8 + 5340519*x^7 - 4275121*x^6 - 416455*x^5 + 389826*x^4 + 18458*x^3 - 8819*x^2 - 140*x + 4, -x^35 + 6*x^34 + 34*x^33 - 266*x^32 - 400*x^31 + 5220*x^30 + 421*x^29 - 59719*x^28 + 40375*x^27 + 441027*x^26 - 526069*x^25 - 2194518*x^24 + 3583593*x^23 + 7419776*x^22 - 15676086*x^21 - 16569211*x^20 + 46713503*x^19 + 21834896*x^18 - 96427667*x^17 - 8338968*x^16 + 137115945*x^15 - 24344880*x^14 - 131070185*x^13 + 48702790*x^12 + 80317868*x^11 - 42108551*x^10 - 29013549*x^9 + 19106304*x^8 + 5340519*x^7 - 4275121*x^6 - 416455*x^5 + 389826*x^4 + 18458*x^3 - 8819*x^2 - 140*x + 4, x^36 - 7*x^35 - 29*x^34 + 302*x^33 + 196*x^32 - 5797*x^31 + 3381*x^30 + 65182*x^29 - 83482*x^28 - 474992*x^27 + 859547*x^26 + 2336927*x^25 - 5448226*x^24 - 7787509*x^23 + 23426323*x^22 + 16798308*x^21 - 70862084*x^20 - 19233305*x^19 + 152483153*x^18 - 4420005*x^17 - 232326838*x^16 + 56123365*x^15 + 246026887*x^14 - 97735189*x^13 - 174898240*x^12 + 89970718*x^11 + 78771584*x^10 - 47655552*x^9 - 20406612*x^8 + 13834697*x^7 + 2543039*x^6 - 1902024*x^5 - 80789*x^4 + 83288*x^3 - 6277*x^2 - x, x^36 - 7*x^35 - 29*x^34 + 302*x^33 + 196*x^32 - 5797*x^31 + 3381*x^30 + 65182*x^29 - 83482*x^28 - 474992*x^27 + 859547*x^26 + 2336927*x^25 - 5448226*x^24 - 7787509*x^23 + 23426323*x^22 + 16798308*x^21 - 70862084*x^20 - 19233305*x^19 + 152483153*x^18 - 4420005*x^17 - 232326838*x^16 + 56123365*x^15 + 246026887*x^14 - 97735189*x^13 - 174898240*x^12 + 89970718*x^11 + 78771584*x^10 - 47655552*x^9 - 20406612*x^8 + 13834697*x^7 + 2543039*x^6 - 1902024*x^5 - 80789*x^4 + 83288*x^3 - 6277*x^2 - x, -x^33 + 8*x^32 + 15*x^31 - 275*x^30 + 212*x^29 + 4054*x^28 - 7664*x^27 - 33045*x^26 + 93282*x^25 + 156764*x^24 - 651700*x^23 - 379296*x^22 + 2948123*x^21 - 75632*x^20 - 9019418*x^19 + 3793195*x^18 + 18857657*x^17 - 13465940*x^16 - 26570828*x^15 + 25798092*x^14 + 24108453*x^13 - 30380530*x^12 - 12538334*x^11 + 22033745*x^10 + 2356507*x^9 - 9210710*x^8 + 751467*x^7 + 1874005*x^6 - 349040*x^5 - 113416*x^4 + 21576*x^3 - 1655*x^2 + 251*x - 2, -x^33 + 8*x^32 + 15*x^31 - 275*x^30 + 212*x^29 + 4054*x^28 - 7664*x^27 - 33045*x^26 + 93282*x^25 + 156764*x^24 - 651700*x^23 - 379296*x^22 + 2948123*x^21 - 75632*x^20 - 9019418*x^19 + 3793195*x^18 + 18857657*x^17 - 13465940*x^16 - 26570828*x^15 + 25798092*x^14 + 24108453*x^13 - 30380530*x^12 - 12538334*x^11 + 22033745*x^10 + 2356507*x^9 - 9210710*x^8 + 751467*x^7 + 1874005*x^6 - 349040*x^5 - 113416*x^4 + 21576*x^3 - 1655*x^2 + 251*x - 2, -x^34 + 6*x^33 + 33*x^32 - 259*x^31 - 375*x^30 + 4944*x^29 + 336*x^28 - 54953*x^27 + 36147*x^26 + 394023*x^25 - 449713*x^24 - 1906073*x^23 + 2924142*x^22 + 6307475*x^21 - 12164160*x^20 - 14094262*x^19 + 34334660*x^18 + 20116370*x^17 - 66932718*x^16 - 15058447*x^15 + 89803761*x^14 - 1287469*x^13 - 81214327*x^12 + 14314436*x^11 + 47473738*x^10 - 13466164*x^9 - 16633487*x^8 + 5767344*x^7 + 3022019*x^6 - 1098642*x^5 - 198634*x^4 + 61112*x^3 - 639*x^2 - 309*x + 6, -x^34 + 6*x^33 + 33*x^32 - 259*x^31 - 375*x^30 + 4944*x^29 + 336*x^28 - 54953*x^27 + 36147*x^26 + 394023*x^25 - 449713*x^24 - 1906073*x^23 + 2924142*x^22 + 6307475*x^21 - 12164160*x^20 - 14094262*x^19 + 34334660*x^18 + 20116370*x^17 - 66932718*x^16 - 15058447*x^15 + 89803761*x^14 - 1287469*x^13 - 81214327*x^12 + 14314436*x^11 + 47473738*x^10 - 13466164*x^9 - 16633487*x^8 + 5767344*x^7 + 3022019*x^6 - 1098642*x^5 - 198634*x^4 + 61112*x^3 - 639*x^2 - 309*x + 6, -x^34 + 5*x^33 + 38*x^32 - 223*x^31 - 586*x^30 + 4416*x^29 + 4285*x^28 - 51222*x^27 - 7010*x^26 + 386435*x^25 - 144216*x^24 - 1989734*x^23 + 1453353*x^22 + 7129499*x^21 - 7233073*x^20 - 17755861*x^19 + 22700672*x^18 + 30020167*x^17 - 47523915*x^16 - 32364876*x^15 + 66767606*x^14 + 18468074*x^13 - 61511872*x^12 - 296605*x^11 + 35166085*x^10 - 6541755*x^9 - 11150607*x^8 + 3661376*x^7 + 1493374*x^6 - 705043*x^5 - 6095*x^4 + 33874*x^3 - 7148*x^2 + 561*x - 8, -x^34 + 5*x^33 + 38*x^32 - 223*x^31 - 586*x^30 + 4416*x^29 + 4285*x^28 - 51222*x^27 - 7010*x^26 + 386435*x^25 - 144216*x^24 - 1989734*x^23 + 1453353*x^22 + 7129499*x^21 - 7233073*x^20 - 17755861*x^19 + 22700672*x^18 + 30020167*x^17 - 47523915*x^16 - 32364876*x^15 + 66767606*x^14 + 18468074*x^13 - 61511872*x^12 - 296605*x^11 + 35166085*x^10 - 6541755*x^9 - 11150607*x^8 + 3661376*x^7 + 1493374*x^6 - 705043*x^5 - 6095*x^4 + 33874*x^3 - 7148*x^2 + 561*x - 8, x^35 - 7*x^34 - 27*x^33 + 289*x^32 + 139*x^31 - 5272*x^30 + 3843*x^29 + 55762*x^28 - 80325*x^27 - 376180*x^26 + 760834*x^25 + 1666898*x^24 - 4461391*x^23 - 4728347*x^22 + 17606993*x^21 + 7347440*x^20 - 48123734*x^19 - 168015*x^18 + 91344199*x^17 - 26326178*x^16 - 118389296*x^15 + 60799637*x^14 + 100660086*x^13 - 71809187*x^12 - 51772742*x^11 + 48852461*x^10 + 13263591*x^9 - 18480790*x^8 - 541099*x^7 + 3413565*x^6 - 301923*x^5 - 244835*x^4 + 30592*x^3 + 3629*x^2 - 567*x + 6, x^35 - 7*x^34 - 27*x^33 + 289*x^32 + 139*x^31 - 5272*x^30 + 3843*x^29 + 55762*x^28 - 80325*x^27 - 376180*x^26 + 760834*x^25 + 1666898*x^24 - 4461391*x^23 - 4728347*x^22 + 17606993*x^21 + 7347440*x^20 - 48123734*x^19 - 168015*x^18 + 91344199*x^17 - 26326178*x^16 - 118389296*x^15 + 60799637*x^14 + 100660086*x^13 - 71809187*x^12 - 51772742*x^11 + 48852461*x^10 + 13263591*x^9 - 18480790*x^8 - 541099*x^7 + 3413565*x^6 - 301923*x^5 - 244835*x^4 + 30592*x^3 + 3629*x^2 - 567*x + 6, -x^32 + 7*x^31 + 19*x^30 - 233*x^29 + 23*x^28 + 3335*x^27 - 3830*x^26 - 26696*x^25 + 48877*x^24 + 129195*x^23 - 323973*x^22 - 373261*x^21 + 1325364*x^20 + 535757*x^19 - 3510236*x^18 + 141088*x^17 + 6026841*x^16 - 1989155*x^15 - 6496890*x^14 + 3420535*x^13 + 4116082*x^12 - 2648790*x^11 - 1434254*x^10 + 859435*x^9 + 387750*x^8 - 78236*x^7 - 154189*x^6 + 34074*x^5 + 17570*x^4 - 5729*x^3 - 529*x^2 + 54*x - 4, -x^32 + 7*x^31 + 19*x^30 - 233*x^29 + 23*x^28 + 3335*x^27 - 3830*x^26 - 26696*x^25 + 48877*x^24 + 129195*x^23 - 323973*x^22 - 373261*x^21 + 1325364*x^20 + 535757*x^19 - 3510236*x^18 + 141088*x^17 + 6026841*x^16 - 1989155*x^15 - 6496890*x^14 + 3420535*x^13 + 4116082*x^12 - 2648790*x^11 - 1434254*x^10 + 859435*x^9 + 387750*x^8 - 78236*x^7 - 154189*x^6 + 34074*x^5 + 17570*x^4 - 5729*x^3 - 529*x^2 + 54*x - 4, x^33 - 8*x^32 - 15*x^31 + 273*x^30 - 201*x^29 - 4002*x^28 + 7294*x^27 + 32566*x^26 - 87836*x^25 - 155810*x^24 + 605449*x^23 + 395722*x^22 - 2695817*x^21 - 85028*x^20 + 8084418*x^19 - 3064403*x^18 - 16420377*x^17 + 11440184*x^16 + 22007447*x^15 - 22025637*x^14 - 17984492*x^13 + 25450135*x^12 + 6917238*x^11 - 17515241*x^10 + 777898*x^9 + 6548539*x^8 - 1555050*x^7 - 1077174*x^6 + 367314*x^5 + 61559*x^4 - 24908*x^3 - 279*x^2 + 229*x + 2, x^33 - 8*x^32 - 15*x^31 + 273*x^30 - 201*x^29 - 4002*x^28 + 7294*x^27 + 32566*x^26 - 87836*x^25 - 155810*x^24 + 605449*x^23 + 395722*x^22 - 2695817*x^21 - 85028*x^20 + 8084418*x^19 - 3064403*x^18 - 16420377*x^17 + 11440184*x^16 + 22007447*x^15 - 22025637*x^14 - 17984492*x^13 + 25450135*x^12 + 6917238*x^11 - 17515241*x^10 + 777898*x^9 + 6548539*x^8 - 1555050*x^7 - 1077174*x^6 + 367314*x^5 + 61559*x^4 - 24908*x^3 - 279*x^2 + 229*x + 2, x^31 - 8*x^30 - 14*x^29 + 270*x^28 - 253*x^27 - 3775*x^26 + 8041*x^25 + 27621*x^24 - 90425*x^23 - 103676*x^22 + 570612*x^21 + 87658*x^20 - 2241191*x^19 + 952985*x^18 + 5613217*x^17 - 4757301*x^16 - 8741974*x^15 + 10998729*x^14 + 7617338*x^13 - 14494466*x^12 - 2234729*x^11 + 10858854*x^10 - 1668437*x^9 - 4127094*x^8 + 1436294*x^7 + 559485*x^6 - 275832*x^5 + 2573*x^4 + 8962*x^3 - 3941*x^2 + 488*x - 2, x^31 - 8*x^30 - 14*x^29 + 270*x^28 - 253*x^27 - 3775*x^26 + 8041*x^25 + 27621*x^24 - 90425*x^23 - 103676*x^22 + 570612*x^21 + 87658*x^20 - 2241191*x^19 + 952985*x^18 + 5613217*x^17 - 4757301*x^16 - 8741974*x^15 + 10998729*x^14 + 7617338*x^13 - 14494466*x^12 - 2234729*x^11 + 10858854*x^10 - 1668437*x^9 - 4127094*x^8 + 1436294*x^7 + 559485*x^6 - 275832*x^5 + 2573*x^4 + 8962*x^3 - 3941*x^2 + 488*x - 2, -x^33 + 7*x^32 + 24*x^31 - 268*x^30 - 71*x^29 + 4496*x^28 - 3975*x^27 - 43229*x^26 + 68315*x^25 + 260824*x^24 - 569026*x^23 - 1008625*x^22 + 2941314*x^21 + 2387291*x^20 - 10137652*x^19 - 2671511*x^18 + 23881732*x^17 - 1962178*x^16 - 38570210*x^15 + 12058682*x^14 + 42238520*x^13 - 19893888*x^12 - 30609401*x^11 + 17783533*x^10 + 14048499*x^9 - 9211866*x^8 - 3754794*x^7 + 2616994*x^6 + 493653*x^5 - 331287*x^4 - 28059*x^3 + 12451*x^2 - 342*x - 2, -x^33 + 7*x^32 + 24*x^31 - 268*x^30 - 71*x^29 + 4496*x^28 - 3975*x^27 - 43229*x^26 + 68315*x^25 + 260824*x^24 - 569026*x^23 - 1008625*x^22 + 2941314*x^21 + 2387291*x^20 - 10137652*x^19 - 2671511*x^18 + 23881732*x^17 - 1962178*x^16 - 38570210*x^15 + 12058682*x^14 + 42238520*x^13 - 19893888*x^12 - 30609401*x^11 + 17783533*x^10 + 14048499*x^9 - 9211866*x^8 - 3754794*x^7 + 2616994*x^6 + 493653*x^5 - 331287*x^4 - 28059*x^3 + 12451*x^2 - 342*x - 2, -x^33 + 5*x^32 + 37*x^31 - 218*x^30 - 552*x^29 + 4212*x^28 + 3837*x^27 - 47582*x^26 - 4582*x^25 + 349000*x^24 - 140506*x^23 - 1743630*x^22 + 1313514*x^21 + 6046423*x^20 - 6256970*x^19 - 14515401*x^18 + 18883585*x^17 + 23498007*x^16 - 37983463*x^15 - 23954652*x^14 + 51090239*x^13 + 12512477*x^12 - 44855178*x^11 + 400711*x^10 + 24404697*x^9 - 4294321*x^8 - 7508521*x^7 + 2076704*x^6 + 1115403*x^5 - 349857*x^4 - 59480*x^3 + 16528*x^2 - 429*x + 4, -x^33 + 5*x^32 + 37*x^31 - 218*x^30 - 552*x^29 + 4212*x^28 + 3837*x^27 - 47582*x^26 - 4582*x^25 + 349000*x^24 - 140506*x^23 - 1743630*x^22 + 1313514*x^21 + 6046423*x^20 - 6256970*x^19 - 14515401*x^18 + 18883585*x^17 + 23498007*x^16 - 37983463*x^15 - 23954652*x^14 + 51090239*x^13 + 12512477*x^12 - 44855178*x^11 + 400711*x^10 + 24404697*x^9 - 4294321*x^8 - 7508521*x^7 + 2076704*x^6 + 1115403*x^5 - 349857*x^4 - 59480*x^3 + 16528*x^2 - 429*x + 4, x^34 - 6*x^33 - 32*x^32 + 252*x^31 + 354*x^30 - 4703*x^29 - 292*x^28 + 51339*x^27 - 33374*x^26 - 362758*x^25 + 410986*x^24 + 1730659*x^23 - 2662990*x^22 - 5618459*x^21 + 11081758*x^20 + 12062421*x^19 - 31320819*x^18 - 15345474*x^17 + 60913957*x^16 + 6043167*x^15 - 80600993*x^14 + 14252466*x^13 + 70056287*x^12 - 27266813*x^11 - 37210095*x^10 + 21565709*x^9 + 10284290*x^8 - 8522927*x^7 - 809793*x^6 + 1501088*x^5 - 122574*x^4 - 85262*x^3 + 12789*x^2 - 137*x - 2, x^34 - 6*x^33 - 32*x^32 + 252*x^31 + 354*x^30 - 4703*x^29 - 292*x^28 + 51339*x^27 - 33374*x^26 - 362758*x^25 + 410986*x^24 + 1730659*x^23 - 2662990*x^22 - 5618459*x^21 + 11081758*x^20 + 12062421*x^19 - 31320819*x^18 - 15345474*x^17 + 60913957*x^16 + 6043167*x^15 - 80600993*x^14 + 14252466*x^13 + 70056287*x^12 - 27266813*x^11 - 37210095*x^10 + 21565709*x^9 + 10284290*x^8 - 8522927*x^7 - 809793*x^6 + 1501088*x^5 - 122574*x^4 - 85262*x^3 + 12789*x^2 - 137*x - 2, x^34 - 7*x^33 - 25*x^32 + 273*x^31 + 108*x^30 - 4717*x^29 + 3449*x^28 + 47473*x^27 - 65339*x^26 - 307271*x^25 + 575849*x^24 + 1328503*x^23 - 3156340*x^22 - 3832409*x^21 + 11656592*x^20 + 7002869*x^19 - 29818135*x^18 - 6560699*x^17 + 53023585*x^16 - 1366895*x^15 - 64765808*x^14 + 11673536*x^13 + 53069211*x^12 - 13851444*x^11 - 28297898*x^10 + 7609053*x^9 + 9581223*x^8 - 1898205*x^7 - 2035169*x^6 + 156101*x^5 + 233955*x^4 + 5603*x^3 - 7079*x^2 + 144*x + 2, x^34 - 7*x^33 - 25*x^32 + 273*x^31 + 108*x^30 - 4717*x^29 + 3449*x^28 + 47473*x^27 - 65339*x^26 - 307271*x^25 + 575849*x^24 + 1328503*x^23 - 3156340*x^22 - 3832409*x^21 + 11656592*x^20 + 7002869*x^19 - 29818135*x^18 - 6560699*x^17 + 53023585*x^16 - 1366895*x^15 - 64765808*x^14 + 11673536*x^13 + 53069211*x^12 - 13851444*x^11 - 28297898*x^10 + 7609053*x^9 + 9581223*x^8 - 1898205*x^7 - 2035169*x^6 + 156101*x^5 + 233955*x^4 + 5603*x^3 - 7079*x^2 + 144*x + 2, -x^32 + 5*x^31 + 35*x^30 - 208*x^29 - 483*x^28 + 3795*x^27 + 2940*x^26 - 40058*x^25 - 271*x^24 + 271627*x^23 - 123175*x^22 - 1241534*x^21 + 950590*x^20 + 3900015*x^19 - 3909778*x^18 - 8407790*x^17 + 10164661*x^16 + 12144705*x^15 - 17368273*x^14 - 11045483*x^13 + 19369608*x^12 + 5336620*x^11 - 13503130*x^10 - 405440*x^9 + 5345716*x^8 - 750682*x^7 - 968709*x^6 + 252388*x^5 + 38729*x^4 - 18594*x^3 + 2251*x^2 + 12*x + 2, -x^32 + 5*x^31 + 35*x^30 - 208*x^29 - 483*x^28 + 3795*x^27 + 2940*x^26 - 40058*x^25 - 271*x^24 + 271627*x^23 - 123175*x^22 - 1241534*x^21 + 950590*x^20 + 3900015*x^19 - 3909778*x^18 - 8407790*x^17 + 10164661*x^16 + 12144705*x^15 - 17368273*x^14 - 11045483*x^13 + 19369608*x^12 + 5336620*x^11 - 13503130*x^10 - 405440*x^9 + 5345716*x^8 - 750682*x^7 - 968709*x^6 + 252388*x^5 + 38729*x^4 - 18594*x^3 + 2251*x^2 + 12*x + 2, -x^31 + 7*x^30 + 19*x^29 - 236*x^28 + 39*x^27 + 3409*x^26 - 4347*x^25 - 27298*x^24 + 56100*x^23 + 129210*x^22 - 381225*x^21 - 339201*x^20 + 1609167*x^19 + 257671*x^18 - 4423026*x^17 + 1312124*x^16 + 7929233*x^15 - 5009284*x^14 - 8946888*x^13 + 8362132*x^12 + 5767460*x^11 - 7671180*x^10 - 1563317*x^9 + 3786758*x^8 - 154974*x^7 - 871222*x^6 + 114222*x^5 + 68958*x^4 - 3511*x^3 - 542*x^2 - 267*x, -x^31 + 7*x^30 + 19*x^29 - 236*x^28 + 39*x^27 + 3409*x^26 - 4347*x^25 - 27298*x^24 + 56100*x^23 + 129210*x^22 - 381225*x^21 - 339201*x^20 + 1609167*x^19 + 257671*x^18 - 4423026*x^17 + 1312124*x^16 + 7929233*x^15 - 5009284*x^14 - 8946888*x^13 + 8362132*x^12 + 5767460*x^11 - 7671180*x^10 - 1563317*x^9 + 3786758*x^8 - 154974*x^7 - 871222*x^6 + 114222*x^5 + 68958*x^4 - 3511*x^3 - 542*x^2 - 267*x, 2*x^32 - 15*x^31 - 34*x^30 + 503*x^29 - 209*x^28 - 7243*x^27 + 10548*x^26 + 58179*x^25 - 127164*x^24 - 281081*x^23 + 839819*x^22 + 799258*x^21 - 3496542*x^20 - 1047854*x^19 + 9604563*x^18 - 856774*x^17 - 17550198*x^16 + 5912086*x^15 + 20983224*x^14 - 10331854*x^13 - 15771443*x^12 + 8874537*x^11 + 7042051*x^10 - 3417021*x^9 - 1925563*x^8 + 69564*x^7 + 528478*x^6 + 254498*x^5 - 145447*x^4 - 27458*x^3 + 8963*x^2 - 393*x, 2*x^32 - 15*x^31 - 34*x^30 + 503*x^29 - 209*x^28 - 7243*x^27 + 10548*x^26 + 58179*x^25 - 127164*x^24 - 281081*x^23 + 839819*x^22 + 799258*x^21 - 3496542*x^20 - 1047854*x^19 + 9604563*x^18 - 856774*x^17 - 17550198*x^16 + 5912086*x^15 + 20983224*x^14 - 10331854*x^13 - 15771443*x^12 + 8874537*x^11 + 7042051*x^10 - 3417021*x^9 - 1925563*x^8 + 69564*x^7 + 528478*x^6 + 254498*x^5 - 145447*x^4 - 27458*x^3 + 8963*x^2 - 393*x, x^30 - 2*x^29 - 54*x^28 + 159*x^27 + 998*x^26 - 3758*x^25 - 8767*x^24 + 44385*x^23 + 35858*x^22 - 309298*x^21 - 4914*x^20 + 1361655*x^19 - 651360*x^18 - 3872108*x^17 + 3260726*x^16 + 7026177*x^15 - 8248415*x^14 - 7678130*x^13 + 12282521*x^12 + 4208724*x^11 - 10859050*x^10 - 129386*x^9 + 5365427*x^8 - 988136*x^7 - 1266845*x^6 + 367691*x^5 + 95054*x^4 - 29155*x^3 - 376*x^2 + 372*x - 4, x^30 - 2*x^29 - 54*x^28 + 159*x^27 + 998*x^26 - 3758*x^25 - 8767*x^24 + 44385*x^23 + 35858*x^22 - 309298*x^21 - 4914*x^20 + 1361655*x^19 - 651360*x^18 - 3872108*x^17 + 3260726*x^16 + 7026177*x^15 - 8248415*x^14 - 7678130*x^13 + 12282521*x^12 + 4208724*x^11 - 10859050*x^10 - 129386*x^9 + 5365427*x^8 - 988136*x^7 - 1266845*x^6 + 367691*x^5 + 95054*x^4 - 29155*x^3 - 376*x^2 + 372*x - 4, x^34 - 6*x^33 - 32*x^32 + 251*x^31 + 360*x^30 - 4672*x^29 - 535*x^28 + 51019*x^27 - 29104*x^26 - 362644*x^25 + 368055*x^24 + 1758012*x^23 - 2389388*x^22 - 5910519*x^21 + 9927883*x^20 + 13685592*x^19 - 28070083*x^18 - 21001563*x^17 + 54930018*x^16 + 19030999*x^15 - 73938008*x^14 - 5528867*x^13 + 66697077*x^12 - 7664306*x^11 - 38283125*x^10 + 9468456*x^9 + 12704354*x^8 - 4219723*x^7 - 2031006*x^6 + 733524*x^5 + 112542*x^4 - 35898*x^3 + 1503*x^2 - 65*x - 2, x^34 - 6*x^33 - 32*x^32 + 251*x^31 + 360*x^30 - 4672*x^29 - 535*x^28 + 51019*x^27 - 29104*x^26 - 362644*x^25 + 368055*x^24 + 1758012*x^23 - 2389388*x^22 - 5910519*x^21 + 9927883*x^20 + 13685592*x^19 - 28070083*x^18 - 21001563*x^17 + 54930018*x^16 + 19030999*x^15 - 73938008*x^14 - 5528867*x^13 + 66697077*x^12 - 7664306*x^11 - 38283125*x^10 + 9468456*x^9 + 12704354*x^8 - 4219723*x^7 - 2031006*x^6 + 733524*x^5 + 112542*x^4 - 35898*x^3 + 1503*x^2 - 65*x - 2, x^33 - 8*x^32 - 16*x^31 + 282*x^30 - 193*x^29 - 4287*x^28 + 7692*x^27 + 36343*x^26 - 97149*x^25 - 182585*x^24 + 699602*x^23 + 500216*x^22 - 3254584*x^21 - 259543*x^20 + 10221181*x^19 - 3328281*x^18 - 21900237*x^17 + 13519099*x^16 + 31616041*x^15 - 27100464*x^14 - 29606383*x^13 + 32507608*x^12 + 16557606*x^11 - 23728167*x^10 - 4460266*x^9 + 10034046*x^8 + 60980*x^7 - 2180290*x^6 + 168564*x^5 + 188879*x^4 - 12763*x^3 - 3206*x^2 + 340*x - 8, x^33 - 8*x^32 - 16*x^31 + 282*x^30 - 193*x^29 - 4287*x^28 + 7692*x^27 + 36343*x^26 - 97149*x^25 - 182585*x^24 + 699602*x^23 + 500216*x^22 - 3254584*x^21 - 259543*x^20 + 10221181*x^19 - 3328281*x^18 - 21900237*x^17 + 13519099*x^16 + 31616041*x^15 - 27100464*x^14 - 29606383*x^13 + 32507608*x^12 + 16557606*x^11 - 23728167*x^10 - 4460266*x^9 + 10034046*x^8 + 60980*x^7 - 2180290*x^6 + 168564*x^5 + 188879*x^4 - 12763*x^3 - 3206*x^2 + 340*x - 8, -x^32 + 7*x^31 + 22*x^30 - 255*x^29 - 24*x^28 + 4032*x^27 - 4175*x^26 - 36050*x^25 + 63272*x^24 + 197846*x^23 - 483044*x^22 - 665600*x^21 + 2286051*x^20 + 1201570*x^19 - 7124647*x^18 - 178311*x^17 + 14843409*x^16 - 4498912*x^15 - 20464777*x^14 + 10999964*x^13 + 18097318*x^12 - 13088509*x^11 - 9697072*x^10 + 8714564*x^9 + 2844647*x^8 - 3211330*x^7 - 348076*x^6 + 598791*x^5 - 18304*x^4 - 35898*x^3 + 3503*x^2 - 33*x + 2, -x^32 + 7*x^31 + 22*x^30 - 255*x^29 - 24*x^28 + 4032*x^27 - 4175*x^26 - 36050*x^25 + 63272*x^24 + 197846*x^23 - 483044*x^22 - 665600*x^21 + 2286051*x^20 + 1201570*x^19 - 7124647*x^18 - 178311*x^17 + 14843409*x^16 - 4498912*x^15 - 20464777*x^14 + 10999964*x^13 + 18097318*x^12 - 13088509*x^11 - 9697072*x^10 + 8714564*x^9 + 2844647*x^8 - 3211330*x^7 - 348076*x^6 + 598791*x^5 - 18304*x^4 - 35898*x^3 + 3503*x^2 - 33*x + 2, -x^30 + 4*x^29 + 35*x^28 - 155*x^27 - 512*x^26 + 2623*x^25 + 3981*x^24 - 25523*x^23 - 16664*x^22 + 158458*x^21 + 25513*x^20 - 659555*x^19 + 92691*x^18 + 1885630*x^17 - 624209*x^16 - 3734481*x^15 + 1690906*x^14 + 5089886*x^13 - 2712914*x^12 - 4639304*x^11 + 2741742*x^10 + 2652874*x^9 - 1703630*x^8 - 833990*x^7 + 590738*x^6 + 102798*x^5 - 92114*x^4 + 1248*x^3 + 4468*x^2 - 569*x + 6, -x^30 + 4*x^29 + 35*x^28 - 155*x^27 - 512*x^26 + 2623*x^25 + 3981*x^24 - 25523*x^23 - 16664*x^22 + 158458*x^21 + 25513*x^20 - 659555*x^19 + 92691*x^18 + 1885630*x^17 - 624209*x^16 - 3734481*x^15 + 1690906*x^14 + 5089886*x^13 - 2712914*x^12 - 4639304*x^11 + 2741742*x^10 + 2652874*x^9 - 1703630*x^8 - 833990*x^7 + 590738*x^6 + 102798*x^5 - 92114*x^4 + 1248*x^3 + 4468*x^2 - 569*x + 6, x^33 - 5*x^32 - 37*x^31 + 215*x^30 + 568*x^29 - 4131*x^28 - 4388*x^27 + 46796*x^26 + 12910*x^25 - 347225*x^24 + 67742*x^23 + 1772878*x^22 - 906776*x^21 - 6366777*x^20 + 4740494*x^19 + 16143360*x^18 - 15084768*x^17 - 28544612*x^16 + 31745136*x^15 + 34053822*x^14 - 44856265*x^13 - 25513913*x^12 + 41829460*x^11 + 9923343*x^10 - 24545010*x^9 - 326427*x^8 + 8254233*x^7 - 1102684*x^6 - 1321739*x^5 + 282147*x^4 + 67459*x^3 - 16555*x^2 + 702*x - 4, x^33 - 5*x^32 - 37*x^31 + 215*x^30 + 568*x^29 - 4131*x^28 - 4388*x^27 + 46796*x^26 + 12910*x^25 - 347225*x^24 + 67742*x^23 + 1772878*x^22 - 906776*x^21 - 6366777*x^20 + 4740494*x^19 + 16143360*x^18 - 15084768*x^17 - 28544612*x^16 + 31745136*x^15 + 34053822*x^14 - 44856265*x^13 - 25513913*x^12 + 41829460*x^11 + 9923343*x^10 - 24545010*x^9 - 326427*x^8 + 8254233*x^7 - 1102684*x^6 - 1321739*x^5 + 282147*x^4 + 67459*x^3 - 16555*x^2 + 702*x - 4, x^35 - 7*x^34 - 26*x^33 + 283*x^32 + 108*x^31 - 5024*x^30 + 4151*x^29 + 51284*x^28 - 79870*x^27 - 329765*x^26 + 722658*x^25 + 1362336*x^24 - 4056975*x^23 - 3417455*x^22 + 15267790*x^21 + 3670051*x^20 - 39514484*x^19 + 6115535*x^18 + 70318364*x^17 - 31141718*x^16 - 84227033*x^15 + 57410412*x^14 + 64608606*x^13 - 59866917*x^12 - 28384090*x^11 + 36892727*x^10 + 4904335*x^9 - 12796983*x^8 + 752423*x^7 + 2205045*x^6 - 345150*x^5 - 151013*x^4 + 28439*x^3 + 2373*x^2 - 425*x + 4, x^35 - 7*x^34 - 26*x^33 + 283*x^32 + 108*x^31 - 5024*x^30 + 4151*x^29 + 51284*x^28 - 79870*x^27 - 329765*x^26 + 722658*x^25 + 1362336*x^24 - 4056975*x^23 - 3417455*x^22 + 15267790*x^21 + 3670051*x^20 - 39514484*x^19 + 6115535*x^18 + 70318364*x^17 - 31141718*x^16 - 84227033*x^15 + 57410412*x^14 + 64608606*x^13 - 59866917*x^12 - 28384090*x^11 + 36892727*x^10 + 4904335*x^9 - 12796983*x^8 + 752423*x^7 + 2205045*x^6 - 345150*x^5 - 151013*x^4 + 28439*x^3 + 2373*x^2 - 425*x + 4, x^32 - 9*x^31 - 9*x^30 + 302*x^29 - 440*x^28 - 4232*x^27 + 11354*x^26 + 31007*x^25 - 126250*x^24 - 111864*x^23 + 826069*x^22 + 10337*x^21 - 3471772*x^20 + 1811435*x^19 + 9617847*x^18 - 8860012*x^17 - 17380143*x^16 + 22604345*x^15 + 19406059*x^14 - 35141166*x^13 - 11291939*x^12 + 34000838*x^11 + 628103*x^10 - 19918416*x^9 + 3155889*x^8 + 6618048*x^7 - 1670127*x^6 - 1110748*x^5 + 313693*x^4 + 67460*x^3 - 15987*x^2 + 377*x, x^32 - 9*x^31 - 9*x^30 + 302*x^29 - 440*x^28 - 4232*x^27 + 11354*x^26 + 31007*x^25 - 126250*x^24 - 111864*x^23 + 826069*x^22 + 10337*x^21 - 3471772*x^20 + 1811435*x^19 + 9617847*x^18 - 8860012*x^17 - 17380143*x^16 + 22604345*x^15 + 19406059*x^14 - 35141166*x^13 - 11291939*x^12 + 34000838*x^11 + 628103*x^10 - 19918416*x^9 + 3155889*x^8 + 6618048*x^7 - 1670127*x^6 - 1110748*x^5 + 313693*x^4 + 67460*x^3 - 15987*x^2 + 377*x, x^30 - 7*x^29 - 19*x^28 + 229*x^27 - 5*x^26 - 3225*x^25 + 3242*x^24 + 25538*x^23 - 40588*x^22 - 124398*x^21 + 258290*x^20 + 381469*x^19 - 1005481*x^18 - 714594*x^17 + 2526601*x^16 + 714352*x^15 - 4140904*x^14 - 148289*x^13 + 4364292*x^12 - 383086*x^11 - 2870805*x^10 + 274449*x^9 + 1160906*x^8 + 41004*x^7 - 322327*x^6 - 67914*x^5 + 71033*x^4 + 3939*x^3 - 4206*x^2 + 515*x - 2, x^30 - 7*x^29 - 19*x^28 + 229*x^27 - 5*x^26 - 3225*x^25 + 3242*x^24 + 25538*x^23 - 40588*x^22 - 124398*x^21 + 258290*x^20 + 381469*x^19 - 1005481*x^18 - 714594*x^17 + 2526601*x^16 + 714352*x^15 - 4140904*x^14 - 148289*x^13 + 4364292*x^12 - 383086*x^11 - 2870805*x^10 + 274449*x^9 + 1160906*x^8 + 41004*x^7 - 322327*x^6 - 67914*x^5 + 71033*x^4 + 3939*x^3 - 4206*x^2 + 515*x - 2, x^33 - 7*x^32 - 21*x^31 + 245*x^30 + 23*x^29 - 3725*x^28 + 3527*x^27 + 32242*x^26 - 50142*x^25 - 174865*x^24 + 356596*x^23 + 616556*x^22 - 1564638*x^21 - 1425206*x^20 + 4516262*x^19 + 2174413*x^18 - 8794042*x^17 - 2403725*x^16 + 11760266*x^15 + 2691884*x^14 - 11246420*x^13 - 3466088*x^12 + 8379992*x^11 + 3281786*x^10 - 5153235*x^9 - 1572315*x^8 + 2291885*x^7 + 206037*x^6 - 537486*x^5 + 47035*x^4 + 38505*x^3 - 5377*x^2 + 21*x - 4, x^33 - 7*x^32 - 21*x^31 + 245*x^30 + 23*x^29 - 3725*x^28 + 3527*x^27 + 32242*x^26 - 50142*x^25 - 174865*x^24 + 356596*x^23 + 616556*x^22 - 1564638*x^21 - 1425206*x^20 + 4516262*x^19 + 2174413*x^18 - 8794042*x^17 - 2403725*x^16 + 11760266*x^15 + 2691884*x^14 - 11246420*x^13 - 3466088*x^12 + 8379992*x^11 + 3281786*x^10 - 5153235*x^9 - 1572315*x^8 + 2291885*x^7 + 206037*x^6 - 537486*x^5 + 47035*x^4 + 38505*x^3 - 5377*x^2 + 21*x - 4, 2*x^31 - 15*x^30 - 31*x^29 + 484*x^28 - 273*x^27 - 6629*x^26 + 10814*x^25 + 49594*x^24 - 122226*x^23 - 213020*x^22 + 763913*x^21 + 462380*x^20 - 2996117*x^19 + 33216*x^18 + 7664221*x^17 - 3124373*x^16 - 12784489*x^15 + 9001899*x^14 + 13459469*x^13 - 13109510*x^12 - 8255179*x^11 + 10816434*x^10 + 2449774*x^9 - 4906660*x^8 - 208357*x^7 + 1125635*x^6 + 24725*x^5 - 136052*x^4 - 4634*x^3 + 5263*x^2 - 250*x + 2, 2*x^31 - 15*x^30 - 31*x^29 + 484*x^28 - 273*x^27 - 6629*x^26 + 10814*x^25 + 49594*x^24 - 122226*x^23 - 213020*x^22 + 763913*x^21 + 462380*x^20 - 2996117*x^19 + 33216*x^18 + 7664221*x^17 - 3124373*x^16 - 12784489*x^15 + 9001899*x^14 + 13459469*x^13 - 13109510*x^12 - 8255179*x^11 + 10816434*x^10 + 2449774*x^9 - 4906660*x^8 - 208357*x^7 + 1125635*x^6 + 24725*x^5 - 136052*x^4 - 4634*x^3 + 5263*x^2 - 250*x + 2, 2*x^30 - 12*x^29 - 45*x^28 + 385*x^27 + 271*x^26 - 5360*x^25 + 1696*x^24 + 42523*x^23 - 35318*x^22 - 212480*x^21 + 242135*x^20 + 699601*x^19 - 934861*x^18 - 1553005*x^17 + 2239108*x^16 + 2375461*x^15 - 3382851*x^14 - 2629367*x^13 + 3151972*x^12 + 2324983*x^11 - 1721472*x^10 - 1764088*x^9 + 556300*x^8 + 1015067*x^7 - 181426*x^6 - 322636*x^5 + 69780*x^4 + 28782*x^3 - 5007*x^2 - 120*x + 2, 2*x^30 - 12*x^29 - 45*x^28 + 385*x^27 + 271*x^26 - 5360*x^25 + 1696*x^24 + 42523*x^23 - 35318*x^22 - 212480*x^21 + 242135*x^20 + 699601*x^19 - 934861*x^18 - 1553005*x^17 + 2239108*x^16 + 2375461*x^15 - 3382851*x^14 - 2629367*x^13 + 3151972*x^12 + 2324983*x^11 - 1721472*x^10 - 1764088*x^9 + 556300*x^8 + 1015067*x^7 - 181426*x^6 - 322636*x^5 + 69780*x^4 + 28782*x^3 - 5007*x^2 - 120*x + 2, 2*x^32 - 15*x^31 - 33*x^30 + 501*x^29 - 253*x^28 - 7155*x^27 + 11419*x^26 + 56371*x^25 - 137071*x^24 - 259261*x^23 + 910381*x^22 + 631552*x^21 - 3822702*x^20 - 193498*x^19 + 10589409*x^18 - 3801934*x^17 - 19445366*x^16 + 12836641*x^15 + 23100743*x^14 - 21404448*x^13 - 16617717*x^12 + 20732678*x^11 + 6054099*x^10 - 11623506*x^9 - 308377*x^8 + 3472709*x^7 - 413261*x^6 - 460875*x^5 + 84569*x^4 + 19250*x^3 - 5032*x^2 + 190*x, 2*x^32 - 15*x^31 - 33*x^30 + 501*x^29 - 253*x^28 - 7155*x^27 + 11419*x^26 + 56371*x^25 - 137071*x^24 - 259261*x^23 + 910381*x^22 + 631552*x^21 - 3822702*x^20 - 193498*x^19 + 10589409*x^18 - 3801934*x^17 - 19445366*x^16 + 12836641*x^15 + 23100743*x^14 - 21404448*x^13 - 16617717*x^12 + 20732678*x^11 + 6054099*x^10 - 11623506*x^9 - 308377*x^8 + 3472709*x^7 - 413261*x^6 - 460875*x^5 + 84569*x^4 + 19250*x^3 - 5032*x^2 + 190*x, x^34 - 7*x^33 - 24*x^32 + 269*x^31 + 66*x^30 - 4530*x^29 + 4176*x^28 + 43717*x^27 - 72044*x^26 - 264051*x^25 + 610010*x^24 + 1009501*x^23 - 3230526*x^22 - 2234801*x^21 + 11484576*x^20 + 1410832*x^19 - 28016452*x^18 + 7313061*x^17 + 46690607*x^16 - 25824547*x^15 - 51635703*x^14 + 42006932*x^13 + 35443374*x^12 - 39593589*x^11 - 12823389*x^10 + 21763122*x^9 + 1061559*x^8 - 6481575*x^7 + 604163*x^6 + 903285*x^5 - 129741*x^4 - 45379*x^3 + 7045*x^2 + 12*x, x^34 - 7*x^33 - 24*x^32 + 269*x^31 + 66*x^30 - 4530*x^29 + 4176*x^28 + 43717*x^27 - 72044*x^26 - 264051*x^25 + 610010*x^24 + 1009501*x^23 - 3230526*x^22 - 2234801*x^21 + 11484576*x^20 + 1410832*x^19 - 28016452*x^18 + 7313061*x^17 + 46690607*x^16 - 25824547*x^15 - 51635703*x^14 + 42006932*x^13 + 35443374*x^12 - 39593589*x^11 - 12823389*x^10 + 21763122*x^9 + 1061559*x^8 - 6481575*x^7 + 604163*x^6 + 903285*x^5 - 129741*x^4 - 45379*x^3 + 7045*x^2 + 12*x, x^33 - 7*x^32 - 21*x^31 + 249*x^30 + 2*x^29 - 3842*x^28 + 4299*x^27 + 33472*x^26 - 62506*x^25 - 177970*x^24 + 469853*x^23 + 566098*x^22 - 2218576*x^21 - 834013*x^20 + 6981770*x^19 - 976887*x^18 - 14833715*x^17 + 7720896*x^16 + 20831064*x^15 - 18095364*x^14 - 17918812*x^13 + 23739416*x^12 + 7180709*x^11 - 18411391*x^10 + 1310459*x^9 + 7887723*x^8 - 2440145*x^7 - 1507797*x^6 + 752895*x^5 + 58599*x^4 - 59899*x^3 + 3016*x^2 + 404*x, x^33 - 7*x^32 - 21*x^31 + 249*x^30 + 2*x^29 - 3842*x^28 + 4299*x^27 + 33472*x^26 - 62506*x^25 - 177970*x^24 + 469853*x^23 + 566098*x^22 - 2218576*x^21 - 834013*x^20 + 6981770*x^19 - 976887*x^18 - 14833715*x^17 + 7720896*x^16 + 20831064*x^15 - 18095364*x^14 - 17918812*x^13 + 23739416*x^12 + 7180709*x^11 - 18411391*x^10 + 1310459*x^9 + 7887723*x^8 - 2440145*x^7 - 1507797*x^6 + 752895*x^5 + 58599*x^4 - 59899*x^3 + 3016*x^2 + 404*x, x^32 - 5*x^31 - 31*x^30 + 187*x^29 + 376*x^28 - 3090*x^27 - 1881*x^26 + 29710*x^25 - 3086*x^24 - 184142*x^23 + 101569*x^22 + 769236*x^21 - 680104*x^20 - 2194221*x^19 + 2593328*x^18 + 4209769*x^17 - 6414177*x^16 - 5107458*x^15 + 10616148*x^14 + 3136932*x^13 - 11644948*x^12 + 449520*x^11 + 8079749*x^10 - 2251893*x^9 - 3193327*x^8 + 1501069*x^7 + 561993*x^6 - 383811*x^5 - 14727*x^4 + 29145*x^3 - 1609*x^2 - 202*x, x^32 - 5*x^31 - 31*x^30 + 187*x^29 + 376*x^28 - 3090*x^27 - 1881*x^26 + 29710*x^25 - 3086*x^24 - 184142*x^23 + 101569*x^22 + 769236*x^21 - 680104*x^20 - 2194221*x^19 + 2593328*x^18 + 4209769*x^17 - 6414177*x^16 - 5107458*x^15 + 10616148*x^14 + 3136932*x^13 - 11644948*x^12 + 449520*x^11 + 8079749*x^10 - 2251893*x^9 - 3193327*x^8 + 1501069*x^7 + 561993*x^6 - 383811*x^5 - 14727*x^4 + 29145*x^3 - 1609*x^2 - 202*x]>
       ]
>;

MOG[881] := 	// J_0(881)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 74, 149, 188, 259, 265, 273, 329, 391, 398, 408, 414, 494, 497, 506, 619, 689, 692, 835, 862, 832*x + 694, 49*x + 694, 770*x + 289, 111*x + 289, 606*x + 544, 275*x + 544, 199*x + 483, 682*x + 483, 426*x + 242, 455*x + 242, 36*x + 679, 845*x + 679, 769*x + 795, 112*x + 795, 379*x + 713, 502*x + 713, 693*x + 804, 188*x + 804, 312*x + 189, 569*x + 189, 261*x + 99, 620*x + 99, 538*x + 636, 343*x + 636, 647*x + 419, 234*x + 419, 469*x + 160, 412*x + 160, 20*x + 230, 861*x + 230, 127*x + 441, 754*x + 441, 368*x + 777, 513*x + 777, 649*x + 12, 232*x + 12, 539*x + 477, 342*x + 477, 196*x + 749, 685*x + 749, 446*x + 560, 435*x + 560, 692*x + 443, 189*x + 443, 772*x + 856, 109*x + 856, 93*x + 362, 788*x + 362, 541*x + 677, 340*x + 677, 853*x + 630, 28*x + 630, 463*x + 459, 418*x + 459]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^27 + 5*x^26 - 20*x^25 - 132*x^24 + 129*x^23 + 1495*x^22 + 36*x^21 - 9524*x^20 - 4966*x^19 + 37639*x^18 + 30837*x^17 - 96116*x^16 - 98114*x^15 + 160410*x^14 + 188080*x^13 - 173126*x^12 - 225298*x^11 + 116758*x^10 + 166846*x^9 - 45885*x^8 - 72647*x^7 + 9103*x^6 + 16660*x^5 - 592*x^4 - 1552*x^3 - 24*x^2 + 21*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^26 - 5*x^25 + 18*x^24 + 122*x^23 - 97*x^22 - 1271*x^21 - 172*x^20 + 7402*x^19 + 4434*x^18 - 26534*x^17 - 23330*x^16 + 60880*x^15 + 65316*x^14 - 90283*x^13 - 110577*x^12 + 85534*x^11 + 116462*x^10 - 50133*x^9 - 75263*x^8 + 17257*x^7 + 28385*x^6 - 3292*x^5 - 5628*x^4 + 335*x^3 + 455*x^2 - 15*x - 4, x^26 + 5*x^25 - 18*x^24 - 122*x^23 + 97*x^22 + 1271*x^21 + 172*x^20 - 7402*x^19 - 4434*x^18 + 26534*x^17 + 23330*x^16 - 60880*x^15 - 65316*x^14 + 90283*x^13 + 110577*x^12 - 85534*x^11 - 116462*x^10 + 50133*x^9 + 75263*x^8 - 17257*x^7 - 28385*x^6 + 3292*x^5 + 5628*x^4 - 335*x^3 - 455*x^2 + 15*x + 4, -x^25 - 5*x^24 + 16*x^23 + 112*x^22 - 69*x^21 - 1066*x^20 - 256*x^19 + 5635*x^18 + 3753*x^17 - 18164*x^16 - 16759*x^15 + 36931*x^14 + 40626*x^13 - 47342*x^12 - 58825*x^11 + 37011*x^10 + 51278*x^9 - 16206*x^8 - 25746*x^7 + 3188*x^6 + 6669*x^5 - 57*x^4 - 699*x^3 - 39*x^2 + 14*x + 1, x^25 + 5*x^24 - 16*x^23 - 112*x^22 + 69*x^21 + 1066*x^20 + 256*x^19 - 5635*x^18 - 3753*x^17 + 18164*x^16 + 16759*x^15 - 36931*x^14 - 40626*x^13 + 47342*x^12 + 58825*x^11 - 37011*x^10 - 51278*x^9 + 16206*x^8 + 25746*x^7 - 3188*x^6 - 6669*x^5 + 57*x^4 + 699*x^3 + 39*x^2 - 14*x - 1, -x^25 - 5*x^24 + 16*x^23 + 112*x^22 - 67*x^21 - 1056*x^20 - 276*x^19 + 5470*x^18 + 3754*x^17 - 17072*x^16 - 16039*x^15 + 33196*x^14 + 36877*x^13 - 40250*x^12 - 50011*x^11 + 29614*x^10 + 40305*x^9 - 12422*x^8 - 18516*x^7 + 2623*x^6 + 4363*x^5 - 200*x^4 - 398*x^3 + 3*x, x^25 + 5*x^24 - 16*x^23 - 112*x^22 + 67*x^21 + 1056*x^20 + 276*x^19 - 5470*x^18 - 3754*x^17 + 17072*x^16 + 16039*x^15 - 33196*x^14 - 36877*x^13 + 40250*x^12 + 50011*x^11 - 29614*x^10 - 40305*x^9 + 12422*x^8 + 18516*x^7 - 2623*x^6 - 4363*x^5 + 200*x^4 + 398*x^3 - 3*x, -x^24 - 5*x^23 + 14*x^22 + 103*x^21 - 40*x^20 - 890*x^19 - 373*x^18 + 4216*x^17 + 3510*x^16 - 12026*x^15 - 13208*x^14 + 21368*x^13 + 27860*x^12 - 23620*x^11 - 35266*x^10 + 15789*x^9 + 26723*x^8 - 6107*x^7 - 11547*x^6 + 1361*x^5 + 2562*x^4 - 197*x^3 - 229*x^2 + 15*x + 3, x^24 + 5*x^23 - 14*x^22 - 103*x^21 + 40*x^20 + 890*x^19 + 373*x^18 - 4216*x^17 - 3510*x^16 + 12026*x^15 + 13208*x^14 - 21368*x^13 - 27860*x^12 + 23620*x^11 + 35266*x^10 - 15789*x^9 - 26723*x^8 + 6107*x^7 + 11547*x^6 - 1361*x^5 - 2562*x^4 + 197*x^3 + 229*x^2 - 15*x - 3, -x^24 - 5*x^23 + 14*x^22 + 102*x^21 - 44*x^20 - 877*x^19 - 308*x^18 + 4154*x^17 + 3061*x^16 - 11923*x^15 - 11482*x^14 + 21573*x^13 + 23892*x^12 - 24903*x^11 - 29918*x^10 + 18138*x^9 + 22794*x^8 - 7962*x^7 - 10169*x^6 + 1874*x^5 + 2367*x^4 - 177*x^3 - 212*x^2 + x + 1, x^24 + 5*x^23 - 14*x^22 - 102*x^21 + 44*x^20 + 877*x^19 + 308*x^18 - 4154*x^17 - 3061*x^16 + 11923*x^15 + 11482*x^14 - 21573*x^13 - 23892*x^12 + 24903*x^11 + 29918*x^10 - 18138*x^9 - 22794*x^8 + 7962*x^7 + 10169*x^6 - 1874*x^5 - 2367*x^4 + 177*x^3 + 212*x^2 - x - 1, -x^24 - 5*x^23 + 16*x^22 + 112*x^21 - 67*x^20 - 1056*x^19 - 276*x^18 + 5470*x^17 + 3754*x^16 - 17072*x^15 - 16039*x^14 + 33196*x^13 + 36877*x^12 - 40250*x^11 - 50011*x^10 + 29614*x^9 + 40305*x^8 - 12422*x^7 - 18516*x^6 + 2623*x^5 + 4363*x^4 - 200*x^3 - 398*x^2 + 3, x^24 + 5*x^23 - 16*x^22 - 112*x^21 + 67*x^20 + 1056*x^19 + 276*x^18 - 5470*x^17 - 3754*x^16 + 17072*x^15 + 16039*x^14 - 33196*x^13 - 36877*x^12 + 40250*x^11 + 50011*x^10 - 29614*x^9 - 40305*x^8 + 12422*x^7 + 18516*x^6 - 2623*x^5 - 4363*x^4 + 200*x^3 + 398*x^2 - 3, -x^24 - 5*x^23 + 14*x^22 + 103*x^21 - 37*x^20 - 876*x^19 - 404*x^18 + 3992*x^17 + 3537*x^16 - 10612*x^15 - 12400*x^14 + 16837*x^13 + 23689*x^12 - 15670*x^11 - 26146*x^10 + 8097*x^9 + 16442*x^8 - 2212*x^7 - 5506*x^6 + 469*x^5 + 867*x^4 - 135*x^3 - 54*x^2 + 15*x + 1, x^24 + 5*x^23 - 14*x^22 - 103*x^21 + 37*x^20 + 876*x^19 + 404*x^18 - 3992*x^17 - 3537*x^16 + 10612*x^15 + 12400*x^14 - 16837*x^13 - 23689*x^12 + 15670*x^11 + 26146*x^10 - 8097*x^9 - 16442*x^8 + 2212*x^7 + 5506*x^6 - 469*x^5 - 867*x^4 + 135*x^3 + 54*x^2 - 15*x - 1, -x^23 - 4*x^22 + 17*x^21 + 82*x^20 - 105*x^19 - 701*x^18 + 231*x^17 + 3260*x^16 + 356*x^15 - 9039*x^14 - 3033*x^13 + 15425*x^12 + 6899*x^11 - 16144*x^10 - 7758*x^9 + 10028*x^8 + 4433*x^7 - 3475*x^6 - 1095*x^5 + 617*x^4 + 48*x^3 - 47*x^2 + 10*x + 1, x^23 + 4*x^22 - 17*x^21 - 82*x^20 + 105*x^19 + 701*x^18 - 231*x^17 - 3260*x^16 - 356*x^15 + 9039*x^14 + 3033*x^13 - 15425*x^12 - 6899*x^11 + 16144*x^10 + 7758*x^9 - 10028*x^8 - 4433*x^7 + 3475*x^6 + 1095*x^5 - 617*x^4 - 48*x^3 + 47*x^2 - 10*x - 1, -x^23 - 5*x^22 + 12*x^21 + 94*x^20 - 12*x^19 - 718*x^18 - 474*x^17 + 2878*x^16 + 3195*x^15 - 6524*x^14 - 9733*x^13 + 8297*x^12 + 16660*x^11 - 5078*x^10 - 16797*x^9 + 71*x^8 + 9766*x^7 + 1648*x^6 - 3012*x^5 - 757*x^4 + 422*x^3 + 101*x^2 - 21*x - 2, x^23 + 5*x^22 - 12*x^21 - 94*x^20 + 12*x^19 + 718*x^18 + 474*x^17 - 2878*x^16 - 3195*x^15 + 6524*x^14 + 9733*x^13 - 8297*x^12 - 16660*x^11 + 5078*x^10 + 16797*x^9 - 71*x^8 - 9766*x^7 - 1648*x^6 + 3012*x^5 + 757*x^4 - 422*x^3 - 101*x^2 + 21*x + 2, -x^23 - 5*x^22 + 13*x^21 + 97*x^20 - 31*x^19 - 782*x^18 - 347*x^17 + 3396*x^16 + 2839*x^15 - 8610*x^14 - 9423*x^13 + 12900*x^12 + 16972*x^11 - 10953*x^10 - 17411*x^9 + 4560*x^8 + 9887*x^7 - 439*x^6 - 2826*x^5 - 201*x^4 + 343*x^3 + 41*x^2 - 13*x - 1, x^23 + 5*x^22 - 13*x^21 - 97*x^20 + 31*x^19 + 782*x^18 + 347*x^17 - 3396*x^16 - 2839*x^15 + 8610*x^14 + 9423*x^13 - 12900*x^12 - 16972*x^11 + 10953*x^10 + 17411*x^9 - 4560*x^8 - 9887*x^7 + 439*x^6 + 2826*x^5 + 201*x^4 - 343*x^3 - 41*x^2 + 13*x + 1, -x^23 - 5*x^22 + 12*x^21 + 92*x^20 - 21*x^19 - 699*x^18 - 345*x^17 + 2845*x^16 + 2438*x^15 - 6748*x^14 - 7311*x^13 + 9539*x^12 + 11935*x^11 - 7920*x^10 - 11073*x^9 + 3684*x^8 + 5690*x^7 - 875*x^6 - 1476*x^5 + 81*x^4 + 144*x^3 - x^2, x^23 + 5*x^22 - 12*x^21 - 92*x^20 + 21*x^19 + 699*x^18 + 345*x^17 - 2845*x^16 - 2438*x^15 + 6748*x^14 + 7311*x^13 - 9539*x^12 - 11935*x^11 + 7920*x^10 + 11073*x^9 - 3684*x^8 - 5690*x^7 + 875*x^6 + 1476*x^5 - 81*x^4 - 144*x^3 + x^2, -x^23 - 5*x^22 + 13*x^21 + 98*x^20 - 25*x^19 - 783*x^18 - 418*x^17 + 3297*x^16 + 3114*x^15 - 7933*x^14 - 9706*x^13 + 11107*x^12 + 16384*x^11 - 8758*x^10 - 15757*x^9 + 3405*x^8 + 8457*x^7 - 295*x^6 - 2308*x^5 - 169*x^4 + 244*x^3 + 33*x^2 - 3*x - 1, x^23 + 5*x^22 - 13*x^21 - 98*x^20 + 25*x^19 + 783*x^18 + 418*x^17 - 3297*x^16 - 3114*x^15 + 7933*x^14 + 9706*x^13 - 11107*x^12 - 16384*x^11 + 8758*x^10 + 15757*x^9 - 3405*x^8 - 8457*x^7 + 295*x^6 + 2308*x^5 + 169*x^4 - 244*x^3 - 33*x^2 + 3*x + 1, -x^23 - 4*x^22 + 17*x^21 + 82*x^20 - 103*x^19 - 695*x^18 + 201*x^17 + 3163*x^16 + 525*x^15 - 8426*x^14 - 3482*x^13 + 13473*x^12 + 7481*x^11 - 12759*x^10 - 8106*x^9 + 6805*x^8 + 4553*x^7 - 1859*x^6 - 1188*x^5 + 234*x^4 + 100*x^3 - 18*x^2 + x + 1, x^23 + 4*x^22 - 17*x^21 - 82*x^20 + 103*x^19 + 695*x^18 - 201*x^17 - 3163*x^16 - 525*x^15 + 8426*x^14 + 3482*x^13 - 13473*x^12 - 7481*x^11 + 12759*x^10 + 8106*x^9 - 6805*x^8 - 4553*x^7 + 1859*x^6 + 1188*x^5 - 234*x^4 - 100*x^3 + 18*x^2 - x - 1, -x^22 - 4*x^21 + 17*x^20 + 84*x^19 - 97*x^18 - 725*x^17 + 106*x^16 + 3343*x^15 + 1136*x^14 - 8976*x^13 - 5536*x^12 + 14375*x^11 + 11364*x^10 - 13519*x^9 - 12262*x^8 + 7065*x^7 + 6977*x^6 - 1839*x^5 - 1897*x^4 + 198*x^3 + 192*x^2 - 4*x - 2, x^22 + 4*x^21 - 17*x^20 - 84*x^19 + 97*x^18 + 725*x^17 - 106*x^16 - 3343*x^15 - 1136*x^14 + 8976*x^13 + 5536*x^12 - 14375*x^11 - 11364*x^10 + 13519*x^9 + 12262*x^8 - 7065*x^7 - 6977*x^6 + 1839*x^5 + 1897*x^4 - 198*x^3 - 192*x^2 + 4*x + 2, -x^22 - 5*x^21 + 12*x^20 + 94*x^19 - 11*x^18 - 710*x^17 - 469*x^16 + 2778*x^15 + 3004*x^14 - 6076*x^13 - 8462*x^12 + 7507*x^11 + 12844*x^10 - 5015*x^9 - 10863*x^8 + 1590*x^7 + 4934*x^6 - 165*x^5 - 1081*x^4 - 4*x^3 + 88*x^2 + 2*x - 1, x^22 + 5*x^21 - 12*x^20 - 94*x^19 + 11*x^18 + 710*x^17 + 469*x^16 - 2778*x^15 - 3004*x^14 + 6076*x^13 + 8462*x^12 - 7507*x^11 - 12844*x^10 + 5015*x^9 + 10863*x^8 - 1590*x^7 - 4934*x^6 + 165*x^5 + 1081*x^4 + 4*x^3 - 88*x^2 - 2*x + 1, -x^22 - 4*x^21 + 16*x^20 + 78*x^19 - 90*x^18 - 628*x^17 + 154*x^16 + 2724*x^15 + 471*x^14 - 6995*x^13 - 2738*x^12 + 11035*x^11 + 5625*x^10 - 10703*x^9 - 6094*x^8 + 6165*x^7 + 3601*x^6 - 1953*x^5 - 1059*x^4 + 302*x^3 + 120*x^2 - 19*x - 2, x^22 + 4*x^21 - 16*x^20 - 78*x^19 + 90*x^18 + 628*x^17 - 154*x^16 - 2724*x^15 - 471*x^14 + 6995*x^13 + 2738*x^12 - 11035*x^11 - 5625*x^10 + 10703*x^9 + 6094*x^8 - 6165*x^7 - 3601*x^6 + 1953*x^5 + 1059*x^4 - 302*x^3 - 120*x^2 + 19*x + 2, -x^22 - 5*x^21 + 13*x^20 + 95*x^19 - 39*x^18 - 758*x^17 - 222*x^16 + 3313*x^15 + 2059*x^14 - 8673*x^13 - 6920*x^12 + 13950*x^11 + 12507*x^10 - 13578*x^9 - 12907*x^8 + 7523*x^7 + 7343*x^6 - 2075*x^5 - 2024*x^4 + 218*x^3 + 199*x^2 - 2*x - 1, x^22 + 5*x^21 - 13*x^20 - 95*x^19 + 39*x^18 + 758*x^17 + 222*x^16 - 3313*x^15 - 2059*x^14 + 8673*x^13 + 6920*x^12 - 13950*x^11 - 12507*x^10 + 13578*x^9 + 12907*x^8 - 7523*x^7 - 7343*x^6 + 2075*x^5 + 2024*x^4 - 218*x^3 - 199*x^2 + 2*x + 1, -x^22 - 5*x^21 + 11*x^20 + 86*x^19 - 16*x^18 - 610*x^17 - 278*x^16 + 2330*x^15 + 1733*x^14 - 5286*x^13 - 4646*x^12 + 7444*x^11 + 6910*x^10 - 6534*x^9 - 6031*x^8 + 3403*x^7 + 3003*x^6 - 918*x^5 - 747*x^4 + 95*x^3 + 68*x^2 - 1, x^22 + 5*x^21 - 11*x^20 - 86*x^19 + 16*x^18 + 610*x^17 + 278*x^16 - 2330*x^15 - 1733*x^14 + 5286*x^13 + 4646*x^12 - 7444*x^11 - 6910*x^10 + 6534*x^9 + 6031*x^8 - 3403*x^7 - 3003*x^6 + 918*x^5 + 747*x^4 - 95*x^3 - 68*x^2 + 1, -x^22 - 5*x^21 + 12*x^20 + 92*x^19 - 21*x^18 - 699*x^17 - 345*x^16 + 2845*x^15 + 2438*x^14 - 6748*x^13 - 7311*x^12 + 9539*x^11 + 11935*x^10 - 7920*x^9 - 11073*x^8 + 3684*x^7 + 5690*x^6 - 875*x^5 - 1476*x^4 + 81*x^3 + 144*x^2 - x, x^22 + 5*x^21 - 12*x^20 - 92*x^19 + 21*x^18 + 699*x^17 + 345*x^16 - 2845*x^15 - 2438*x^14 + 6748*x^13 + 7311*x^12 - 9539*x^11 - 11935*x^10 + 7920*x^9 + 11073*x^8 - 3684*x^7 - 5690*x^6 + 875*x^5 + 1476*x^4 - 81*x^3 - 144*x^2 + x, -x^22 - 5*x^21 + 12*x^20 + 93*x^19 - 14*x^18 - 695*x^17 - 423*x^16 + 2679*x^15 + 2694*x^14 - 5730*x^13 - 7305*x^12 + 6912*x^11 + 10389*x^10 - 4692*x^9 - 7985*x^8 + 1917*x^7 + 3198*x^6 - 638*x^5 - 623*x^4 + 168*x^3 + 51*x^2 - 16*x - 1, x^22 + 5*x^21 - 12*x^20 - 93*x^19 + 14*x^18 + 695*x^17 + 423*x^16 - 2679*x^15 - 2694*x^14 + 5730*x^13 + 7305*x^12 - 6912*x^11 - 10389*x^10 + 4692*x^9 + 7985*x^8 - 1917*x^7 - 3198*x^6 + 638*x^5 + 623*x^4 - 168*x^3 - 51*x^2 + 16*x + 1, -x^22 - 4*x^21 + 16*x^20 + 78*x^19 - 90*x^18 - 628*x^17 + 151*x^16 + 2711*x^15 + 492*x^14 - 6846*x^13 - 2735*x^12 + 10392*x^11 + 5281*x^10 - 9398*x^9 - 5084*x^8 + 4906*x^7 + 2459*x^6 - 1423*x^5 - 533*x^4 + 217*x^3 + 37*x^2 - 13*x, x^22 + 4*x^21 - 16*x^20 - 78*x^19 + 90*x^18 + 628*x^17 - 151*x^16 - 2711*x^15 - 492*x^14 + 6846*x^13 + 2735*x^12 - 10392*x^11 - 5281*x^10 + 9398*x^9 + 5084*x^8 - 4906*x^7 - 2459*x^6 + 1423*x^5 + 533*x^4 - 217*x^3 - 37*x^2 + 13*x, 2*x^20 + 8*x^19 - 24*x^18 - 125*x^17 + 83*x^16 + 780*x^15 + 63*x^14 - 2503*x^13 - 1050*x^12 + 4465*x^11 + 2625*x^10 - 4504*x^9 - 2963*x^8 + 2544*x^7 + 1636*x^6 - 802*x^5 - 419*x^4 + 144*x^3 + 43*x^2 - 12*x - 1, -2*x^20 - 8*x^19 + 24*x^18 + 125*x^17 - 83*x^16 - 780*x^15 - 63*x^14 + 2503*x^13 + 1050*x^12 - 4465*x^11 - 2625*x^10 + 4504*x^9 + 2963*x^8 - 2544*x^7 - 1636*x^6 + 802*x^5 + 419*x^4 - 144*x^3 - 43*x^2 + 12*x + 1, x^19 + 8*x^18 + 5*x^17 - 100*x^16 - 191*x^15 + 448*x^14 + 1271*x^13 - 790*x^12 - 3816*x^11 + 63*x^10 + 5934*x^9 + 1519*x^8 - 4832*x^7 - 1813*x^6 + 1931*x^5 + 753*x^4 - 334*x^3 - 99*x^2 + 20*x + 2, -x^19 - 8*x^18 - 5*x^17 + 100*x^16 + 191*x^15 - 448*x^14 - 1271*x^13 + 790*x^12 + 3816*x^11 - 63*x^10 - 5934*x^9 - 1519*x^8 + 4832*x^7 + 1813*x^6 - 1931*x^5 - 753*x^4 + 334*x^3 + 99*x^2 - 20*x - 2, -x^21 - 6*x^20 + 6*x^19 + 97*x^18 + 72*x^17 - 615*x^16 - 896*x^15 + 1910*x^14 + 3936*x^13 - 2885*x^12 - 8841*x^11 + 1449*x^10 + 10976*x^9 + 1238*x^8 - 7519*x^7 - 1856*x^6 + 2660*x^5 + 767*x^4 - 410*x^3 - 98*x^2 + 19*x + 2, x^21 + 6*x^20 - 6*x^19 - 97*x^18 - 72*x^17 + 615*x^16 + 896*x^15 - 1910*x^14 - 3936*x^13 + 2885*x^12 + 8841*x^11 - 1449*x^10 - 10976*x^9 - 1238*x^8 + 7519*x^7 + 1856*x^6 - 2660*x^5 - 767*x^4 + 410*x^3 + 98*x^2 - 19*x - 2, -x^21 - 5*x^20 + 11*x^19 + 88*x^18 - 5*x^17 - 618*x^16 - 420*x^15 + 2203*x^14 + 2401*x^13 - 4195*x^12 - 5995*x^11 + 4066*x^10 + 7772*x^9 - 1488*x^8 - 5259*x^7 - 343*x^6 + 1685*x^5 + 337*x^4 - 193*x^3 - 49*x^2 + 2*x + 1, x^21 + 5*x^20 - 11*x^19 - 88*x^18 + 5*x^17 + 618*x^16 + 420*x^15 - 2203*x^14 - 2401*x^13 + 4195*x^12 + 5995*x^11 - 4066*x^10 - 7772*x^9 + 1488*x^8 + 5259*x^7 + 343*x^6 - 1685*x^5 - 337*x^4 + 193*x^3 + 49*x^2 - 2*x - 1, -x^21 - 4*x^20 + 13*x^19 + 67*x^18 - 50*x^17 - 452*x^16 - 33*x^15 + 1580*x^14 + 747*x^13 - 3081*x^12 - 2200*x^11 + 3361*x^10 + 3022*x^9 - 1899*x^8 - 2094*x^7 + 436*x^6 + 655*x^5 - 17*x^4 - 63*x^3 + 5*x^2 - x - 1, x^21 + 4*x^20 - 13*x^19 - 67*x^18 + 50*x^17 + 452*x^16 + 33*x^15 - 1580*x^14 - 747*x^13 + 3081*x^12 + 2200*x^11 - 3361*x^10 - 3022*x^9 + 1899*x^8 + 2094*x^7 - 436*x^6 - 655*x^5 + 17*x^4 + 63*x^3 - 5*x^2 + x + 1, -x^20 - 3*x^19 + 16*x^18 + 51*x^17 - 101*x^16 - 351*x^15 + 318*x^14 + 1262*x^13 - 515*x^12 - 2566*x^11 + 366*x^10 + 2995*x^9 + 27*x^8 - 1926*x^7 - 168*x^6 + 604*x^5 + 51*x^4 - 68*x^3 + 5*x^2 - 1, x^20 + 3*x^19 - 16*x^18 - 51*x^17 + 101*x^16 + 351*x^15 - 318*x^14 - 1262*x^13 + 515*x^12 + 2566*x^11 - 366*x^10 - 2995*x^9 - 27*x^8 + 1926*x^7 + 168*x^6 - 604*x^5 - 51*x^4 + 68*x^3 - 5*x^2 + 1]>,
         rec<Eigen |
           DefiningPolynomial := x^46 - 4*x^45 - 70*x^44 + 292*x^43 + 2254*x^42 - 9882*x^41 - 44228*x^40 + 205858*x^39 + 590235*x^38 - 2955911*x^37 - 5656188*x^36 + 31045810*x^35 + 39979992*x^34 - 247013407*x^33 - 209932764*x^32 + 1521411258*x^31 + 806000213*x^30 - 7350520844*x^29 - 2120297102*x^28 + 28059872637*x^27 + 2875812280*x^26 - 84854387611*x^25 + 3658071215*x^24 + 202978394132*x^23 - 32146117932*x^22 - 382022076575*x^21 + 95601108265*x^20 + 560379288284*x^19 - 181362664922*x^18 - 631640648193*x^17 + 241253498115*x^16 + 536222264550*x^15 - 229135482328*x^14 - 333429508774*x^13 + 153598204094*x^12 + 146035996821*x^11 - 70303033566*x^10 - 42556976211*x^9 + 20710177437*x^8 + 7544375330*x^7 - 3535960165*x^6 - 690687084*x^5 + 281083233*x^4 + 21321796*x^3 - 4724014*x^2 + 30192*x + 8537,
           Coordinates        := [-x^45 + 4*x^44 + 67*x^43 - 280*x^42 - 2059*x^41 + 9066*x^40 + 38429*x^39 - 180244*x^38 - 485810*x^37 + 2463319*x^36 + 4387062*x^35 - 24549703*x^34 - 29011940*x^33 + 184709052*x^32 + 140951538*x^31 - 1071621680*x^30 - 490391993*x^29 + 4854919556*x^28 + 1106133995*x^27 - 17287347661*x^26 - 885243075*x^25 + 48459220284*x^24 - 4201747712*x^23 - 106641933238*x^22 + 20859993614*x^21 + 182936301871*x^20 - 51639818173*x^19 - 241728368553*x^18 + 84999356643*x^17 + 241720992804*x^16 - 98445910610*x^15 - 178311618600*x^14 + 80584243972*x^13 + 93510099562*x^12 - 45613463790*x^11 - 32965963815*x^10 + 17045621534*x^9 + 7125402146*x^8 - 3874501805*x^7 - 789484558*x^6 + 460250402*x^5 + 26229632*x^4 - 20435849*x^3 + 700204*x^2 + 37097*x - 160, x^45 - 4*x^44 - 67*x^43 + 282*x^42 + 2053*x^41 - 9194*x^40 - 38039*x^39 + 183998*x^38 + 474156*x^37 - 2530155*x^36 - 4174776*x^35 + 25356245*x^34 + 26376488*x^33 - 191682704*x^32 - 117333414*x^31 + 1116131016*x^30 + 332511373*x^29 - 5067608920*x^28 - 303869491*x^27 + 18049613533*x^26 - 2244307931*x^25 - 50483811622*x^24 + 13601804092*x^23 + 110491470114*x^22 - 42537688020*x^21 - 187707726733*x^20 + 89687975487*x^19 + 244270786561*x^18 - 135046493085*x^17 - 238794222164*x^16 + 146598030584*x^15 + 170533929334*x^14 - 113225640178*x^13 - 85462494652*x^12 + 60283033420*x^11 + 28308115915*x^10 - 20945812000*x^9 - 5635041262*x^8 + 4321901345*x^7 + 572624890*x^6 - 440151540*x^5 - 24343456*x^4 + 13455371*x^3 + 1331152*x^2 - 103445*x - 3054, x^44 - 2*x^43 - 71*x^42 + 140*x^41 + 2333*x^40 - 4528*x^39 - 47095*x^38 + 89808*x^37 + 653772*x^36 - 1222611*x^35 - 6619998*x^34 + 12116249*x^33 + 50608986*x^32 - 90464732*x^31 - 298262878*x^30 + 519605260*x^29 + 1371721893*x^28 - 2324165134*x^27 - 4952199759*x^26 + 8145214015*x^25 + 14046120099*x^24 - 22391571424*x^23 - 31181338756*x^22 + 48128792602*x^21 + 53719897184*x^20 - 80267932365*x^19 - 70847889243*x^18 + 102575008075*x^17 + 70103523065*x^16 - 98587176034*x^15 - 50576321484*x^14 + 69381286366*x^13 + 25536932554*x^12 - 34388629544*x^11 - 8494225668*x^10 + 11319664579*x^9 + 1693517158*x^8 - 2248006946*x^7 - 174112547*x^6 + 224399796*x^5 + 8648052*x^4 - 7047352*x^3 - 639333*x^2 + 52486*x + 1527, 2*x^42 - 8*x^41 - 122*x^40 + 516*x^39 + 3368*x^38 - 15270*x^37 - 55494*x^36 + 274938*x^35 + 604648*x^34 - 3367556*x^33 - 4539106*x^32 + 29720560*x^31 + 23444570*x^30 - 195290606*x^29 - 77575058*x^28 + 973532510*x^27 + 107839812*x^26 - 3717451778*x^25 + 390355570*x^24 + 10903003982*x^23 - 2949615076*x^22 - 24482791574*x^21 + 9752340496*x^20 + 41718497720*x^19 - 20685520906*x^18 - 53152882522*x^17 + 30098272724*x^16 + 49587207744*x^15 - 30138845842*x^14 - 33002934886*x^13 + 20136770058*x^12 + 15287127186*x^11 - 8367428102*x^10 - 4918686602*x^9 + 1852250336*x^8 + 1158791070*x^7 - 124058764*x^6 - 204030896*x^5 - 15069250*x^4 + 18871870*x^3 + 1381474*x^2 - 102222*x - 5962, -3*x^44 + 12*x^43 + 195*x^42 - 816*x^41 - 5799*x^40 + 25614*x^39 + 104425*x^38 - 492592*x^37 - 1269126*x^36 + 6496107*x^35 + 10968052*x^34 - 62304355*x^33 - 68981226*x^32 + 449789578*x^31 + 315608220*x^30 - 2495601288*x^29 - 1014163107*x^28 + 10772524976*x^27 + 1990569205*x^26 - 36395167327*x^25 - 543676497*x^24 + 96336460894*x^23 - 11286124318*x^22 - 199085774704*x^21 + 43961290092*x^20 + 318650919731*x^19 - 96363308279*x^18 - 389919655389*x^17 + 142807587505*x^16 + 357910645950*x^15 - 148551238356*x^14 - 239919409212*x^13 + 107984740304*x^12 + 113070033006*x^11 - 53257412032*x^10 - 35431574065*x^9 + 16835675632*x^8 + 6754890772*x^7 - 3075709763*x^6 - 664457452*x^5 + 260647384*x^4 + 22022000*x^3 - 4686917*x^2 + 30032*x + 8537, 4*x^39 - 20*x^38 - 206*x^37 + 1152*x^36 + 4622*x^35 - 30120*x^34 - 58134*x^33 + 473486*x^32 + 426032*x^31 - 4996726*x^30 - 1450348*x^29 + 37431560*x^28 - 4083486*x^27 - 205245638*x^26 + 79837758*x^25 + 837113746*x^24 - 498460458*x^23 - 2554986398*x^22 + 1929234340*x^21 + 5822362310*x^20 - 5155411244*x^19 - 9803378564*x^18 + 9806440018*x^17 + 11954242688*x^16 - 13309423486*x^15 - 10212977580*x^14 + 12693110170*x^13 + 5792016098*x^12 - 8233960576*x^11 - 1987494896*x^10 + 3436054168*x^9 + 346570800*x^8 - 838388372*x^7 - 25085060*x^6 + 99947540*x^5 + 5238312*x^4 - 4048700*x^3 - 1114054*x^2 + 72150*x + 1752, 2*x^40 - 8*x^39 - 116*x^38 + 488*x^37 + 3052*x^36 - 13638*x^35 - 48198*x^34 + 231732*x^33 + 508960*x^32 - 2678936*x^31 - 3782156*x^30 + 22337276*x^29 + 20191040*x^28 - 138921452*x^27 - 76931716*x^26 + 657129678*x^25 + 198245988*x^24 - 2388181920*x^23 - 272878728*x^22 + 6687358822*x^21 - 191070288*x^20 - 14376500410*x^19 + 2004887870*x^18 + 23491581408*x^17 - 5319039032*x^16 - 28682023678*x^15 + 8442655494*x^14 + 25508488186*x^13 - 8819838118*x^12 - 15941105622*x^11 + 6079346378*x^10 + 6659150344*x^9 - 2670763988*x^8 - 1729956170*x^7 + 703668122*x^6 + 245829988*x^5 - 100423566*x^4 - 13225142*x^3 + 5949738*x^2 - 153746*x - 12578, -4*x^38 + 4*x^37 + 260*x^36 - 296*x^35 - 7576*x^34 + 9372*x^33 + 131596*x^32 - 171948*x^31 - 1526160*x^30 + 2066296*x^29 + 12528362*x^28 - 17330520*x^27 - 75245230*x^26 + 105177550*x^25 + 336823054*x^24 - 471429692*x^23 - 1133618546*x^22 + 1576548076*x^21 + 2871852514*x^20 - 3942987876*x^19 - 5444765644*x^18 + 7343129634*x^17 + 7626284154*x^16 - 10071490050*x^15 - 7725916222*x^14 + 9986368274*x^13 + 5482438636*x^12 - 6958603142*x^11 - 2597515880*x^10 + 3264844860*x^9 + 762630936*x^8 - 964699278*x^7 - 122153796*x^6 + 160460590*x^5 + 7708764*x^4 - 11789342*x^3 + 253186*x^2 + 10640*x + 1852, -6*x^39 + 22*x^38 + 344*x^37 - 1306*x^36 - 8946*x^35 + 35396*x^34 + 139610*x^33 - 580580*x^32 - 1456874*x^31 + 6440902*x^30 + 10711630*x^29 - 51161796*x^28 - 56845576*x^27 + 300452988*x^26 + 218444072*x^25 - 1328023772*x^24 - 594262642*x^23 + 4455369144*x^22 + 1055519878*x^21 - 11356902690*x^20 - 839460278*x^19 + 21873074182*x^18 - 1205555428*x^17 - 31437682674*x^16 + 4997986094*x^15 + 33041987542*x^14 - 8032073118*x^13 - 24634187996*x^12 + 7638141912*x^11 + 12460290528*x^10 - 4483335232*x^9 - 4004802380*x^8 + 1557286388*x^7 + 740439510*x^6 - 286939758*x^5 - 66671700*x^4 + 21956888*x^3 + 1851930*x^2 - 136830*x - 5586, 2*x^40 - 6*x^39 - 126*x^38 + 382*x^37 + 3636*x^36 - 11152*x^35 - 63724*x^34 + 198014*x^33 + 758120*x^32 - 2391598*x^31 - 6480378*x^30 + 20817854*x^29 + 41069892*x^28 - 134986094*x^27 - 196152498*x^26 + 664550698*x^25 + 709653490*x^24 - 2508567494*x^23 - 1934108554*x^22 + 7281269032*x^21 + 3895087154*x^20 - 16197254232*x^19 - 5544883732*x^18 + 27355998336*x^17 + 4976270804*x^16 - 34511128098*x^15 - 1598355294*x^14 + 31709630710*x^13 - 2193326440*x^12 - 20419009534*x^11 + 3419013406*x^10 + 8670195650*x^9 - 2168261520*x^8 - 2184883956*x^7 + 693954832*x^6 + 264131430*x^5 - 98183170*x^4 - 8197916*x^3 + 3738212*x^2 - 71722*x - 9056, 2*x^39 - 12*x^38 - 104*x^37 + 722*x^36 + 2326*x^35 - 19810*x^34 - 28216*x^33 + 328538*x^32 + 177816*x^31 - 3680702*x^30 - 95336*x^29 + 29494614*x^28 - 8952878*x^27 - 174631272*x^26 + 91653948*x^25 + 778282598*x^24 - 526702934*x^23 - 2635568938*x^22 + 2057829596*x^21 + 6797603790*x^20 - 5778179642*x^19 - 13299965192*x^18 + 11878433246*x^17 + 19531957802*x^16 - 17897698788*x^15 - 21134344042*x^14 + 19542176440*x^13 + 16366187498*x^12 - 15095074338*x^11 - 8674666200*x^10 + 7917556672*x^9 + 2932928434*x^8 - 2632859056*x^7 - 559303074*x^6 + 489718092*x^5 + 45819104*x^4 - 38075324*x^3 - 392406*x^2 + 141518*x + 3876, -6*x^39 + 24*x^38 + 316*x^37 - 1344*x^36 - 7450*x^35 + 34268*x^34 + 103354*x^33 - 527032*x^32 - 929416*x^31 + 5460436*x^30 + 5575788*x^29 - 40313302*x^28 - 21534362*x^27 + 218779408*x^26 + 42320474*x^25 - 887521084*x^24 + 49452026*x^23 + 2710279106*x^22 - 660572672*x^21 - 6225737856*x^20 + 2421789034*x^19 + 10671791614*x^18 - 5373547938*x^17 - 13435767916*x^16 + 8006329526*x^15 + 12109887982*x^14 - 8151824342*x^13 - 7513278268*x^12 + 5579715172*x^11 + 3019138306*x^10 - 2460959748*x^9 - 709823722*x^8 + 648726758*x^7 + 80033228*x^6 - 89580778*x^5 - 2368838*x^4 + 4989150*x^3 - 107604*x^2 - 2390*x - 926, -4*x^40 + 16*x^39 + 222*x^38 - 930*x^37 - 5580*x^36 + 24682*x^35 + 84030*x^34 - 396456*x^33 - 845078*x^32 + 4307252*x^31 + 5987826*x^30 - 33509302*x^29 - 30725864*x^28 + 192802574*x^27 + 115559784*x^26 - 835701404*x^25 - 318936454*x^24 + 2754973776*x^23 + 642527850*x^22 - 6929314868*x^21 - 945109350*x^20 + 13276115034*x^19 + 1068040722*x^18 - 19277352398*x^17 - 1127741980*x^16 + 21064394978*x^15 + 1361617456*x^14 - 17195597188*x^13 - 1546067118*x^12 + 10412633880*x^11 + 1216686918*x^10 - 4611998422*x^9 - 545425420*x^8 + 1428579506*x^7 + 102417886*x^6 - 274097880*x^5 + 5497776*x^4 + 23746670*x^3 - 3163846*x^2 - 6320*x + 8288, 2*x^39 - 8*x^38 - 114*x^37 + 486*x^36 + 2904*x^35 - 13444*x^34 - 43402*x^33 + 224370*x^32 + 417976*x^31 - 2523142*x^30 - 2648334*x^29 + 20221940*x^28 + 10354988*x^27 - 119135090*x^26 - 15687640*x^25 + 524486192*x^24 - 79153136*x^23 - 1736811594*x^22 + 640603480*x^21 + 4320300736*x^20 - 2342359700*x^19 - 8003447708*x^18 + 5474658014*x^17 + 10865027456*x^16 - 8731755366*x^15 - 10547279352*x^14 + 9576927024*x^13 + 7079728698*x^12 - 7094286138*x^11 - 3151493584*x^10 + 3422412554*x^9 + 889610478*x^8 - 1016130044*x^7 - 152362200*x^6 + 167726512*x^5 + 15030980*x^4 - 11830686*x^3 - 850678*x^2 + 88130*x + 1752, -4*x^39 + 14*x^38 + 232*x^37 - 832*x^36 - 6112*x^35 + 22528*x^34 + 96878*x^33 - 368256*x^32 - 1031774*x^31 + 4059780*x^30 + 7811932*x^29 - 31941406*x^28 - 43408796*x^27 + 185142890*x^26 + 180311032*x^25 - 804857000*x^24 - 565559892*x^23 + 2647451714*x^22 + 1345734692*x^21 - 6604372234*x^20 - 2430488712*x^19 + 12458687018*x^18 + 3317202168*x^17 - 17642704874*x^16 - 3367977498*x^15 + 18537720084*x^14 + 2422100844*x^13 - 14204383970*x^12 - 1046324864*x^11 + 7711729986*x^10 + 63165480*x^9 - 2802099564*x^8 + 203761840*x^7 + 600281400*x^6 - 98964436*x^5 - 54556710*x^4 + 13835684*x^3 + 10506*x^2 - 39046*x - 786, -12*x^38 + 44*x^37 + 636*x^36 - 2428*x^35 - 15196*x^34 + 60960*x^33 + 216080*x^32 - 922468*x^31 - 2030780*x^30 + 9394712*x^29 + 13217872*x^28 - 68098242*x^27 - 60399244*x^26 + 362313586*x^25 + 189818498*x^24 - 1438219114*x^23 - 372525640*x^22 + 4286939666*x^21 + 255402732*x^20 - 9579623198*x^19 + 900590192*x^18 + 15898817584*x^17 - 3403966242*x^16 - 19245251678*x^15 + 5941169002*x^14 + 16493859742*x^13 - 6317280410*x^12 - 9544117900*x^11 + 4200827202*x^10 + 3440760732*x^9 - 1657074636*x^8 - 657016508*x^7 + 332754238*x^6 + 37912660*x^5 - 18700966*x^4 + 2971088*x^3 - 1811042*x^2 + 37978*x + 5860, -6*x^40 + 24*x^39 + 340*x^38 - 1432*x^37 - 8722*x^36 + 39124*x^35 + 133746*x^34 - 648952*x^33 - 1361576*x^32 + 7305372*x^31 + 9637348*x^30 - 59102726*x^29 - 47970106*x^28 + 354975892*x^27 + 163118962*x^26 - 1612148256*x^25 - 330184970*x^24 + 5586717334*x^23 + 84478608*x^22 - 14799617188*x^21 + 1910983570*x^20 + 29831038010*x^19 - 7174728322*x^18 - 45233403084*x^17 + 14814262010*x^16 + 50600391338*x^15 - 20034162346*x^14 - 40500997752*x^13 + 18214275992*x^12 + 22107374106*x^11 - 10862614152*x^10 - 7591345186*x^9 + 3962876030*x^8 + 1394066244*x^7 - 755089254*x^6 - 78194158*x^5 + 42391082*x^4 - 6049780*x^3 + 3619694*x^2 - 76882*x - 11720, 2*x^40 - 8*x^39 - 118*x^38 + 500*x^37 + 3144*x^36 - 14304*x^35 - 49916*x^34 + 248408*x^33 + 523692*x^32 - 2928052*x^31 - 3790212*x^30 + 24810860*x^29 + 18993054*x^28 - 156131072*x^27 - 62493242*x^26 + 743240226*x^25 + 102720590*x^24 - 2700809474*x^23 + 146428594*x^22 + 7505533626*x^21 - 1479701148*x^20 - 15878561984*x^19 + 4817939414*x^18 + 25291512264*x^17 - 9650821036*x^16 - 29771238910*x^15 + 13020323614*x^14 + 25174186414*x^13 - 11936021264*x^12 - 14653393022*x^11 + 7219020816*x^10 + 5495151656*x^9 - 2684405602*x^8 - 1186916492*x^7 + 525926450*x^6 + 118552848*x^5 - 32644594*x^4 - 3432474*x^3 - 1832248*x^2 + 109630*x + 3402, 2*x^41 - 8*x^40 - 118*x^39 + 496*x^38 + 3156*x^37 - 14092*x^36 - 50556*x^35 + 243344*x^34 + 539144*x^33 - 2856282*x^32 - 4013284*x^31 + 24143838*x^30 + 21134336*x^29 - 151911298*x^28 - 76857094*x^27 + 725223394*x^26 + 171473830*x^25 - 2653503406*x^24 - 88076486*x^23 + 7465174478*x^22 - 926834716*x^21 - 16106822728*x^20 + 4004848440*x^19 + 26433515314*x^18 - 9226388038*x^17 - 32525525036*x^16 + 14033711520*x^15 + 29356921354*x^14 - 14688934848*x^13 - 18823775226*x^12 + 10525197354*x^11 + 8177517214*x^10 - 4995633840*x^9 - 2233720598*x^8 + 1472084496*x^7 + 335741930*x^6 - 237627464*x^5 - 20631552*x^4 + 15598992*x^3 + 194350*x^2 - 81130*x + 34, 2*x^41 - 8*x^40 - 124*x^39 + 526*x^38 + 3458*x^37 - 15786*x^36 - 57166*x^35 + 286764*x^34 + 619852*x^33 - 3525152*x^32 - 4578938*x^31 + 31053860*x^30 + 22820030*x^29 - 202486620*x^28 - 69093540*x^27 + 995226260*x^26 + 53568990*x^25 - 3719264642*x^24 + 607501268*x^23 + 10580581426*x^22 - 3516665592*x^21 - 22780660832*x^20 + 10664558078*x^19 + 36627842300*x^18 - 21315551928*x^17 - 42971764276*x^16 + 29402109328*x^15 + 35415288546*x^14 - 27912167452*x^13 - 19208018494*x^12 + 17659016242*x^11 + 5998485070*x^10 - 6969261198*x^9 - 675310460*x^8 + 1506233898*x^7 - 115870494*x^6 - 126474084*x^5 + 27427612*x^4 - 1794390*x^3 - 37042*x^2 + 17618*x - 926, -3*x^43 + 12*x^42 + 189*x^41 - 792*x^40 - 5431*x^39 + 24070*x^38 + 94152*x^37 - 446925*x^36 - 1096567*x^35 + 5672377*x^34 + 9027297*x^33 - 52168789*x^32 - 53623197*x^31 + 359631876*x^30 + 228506436*x^29 - 1896116846*x^28 - 663916390*x^27 + 7733437828*x^26 + 1056026364*x^25 - 24520599979*x^24 + 659559409*x^23 + 60420012505*x^22 - 9309345375*x^21 - 115078992941*x^20 + 29278073120*x^19 + 167632725135*x^18 - 56095241212*x^17 - 183626166231*x^16 + 73393246737*x^15 + 147507723294*x^14 - 66883995806*x^13 - 83730132840*x^12 + 41791489669*x^11 + 31733158690*x^10 - 17150594485*x^9 - 7310657833*x^8 + 4273897826*x^7 + 851998111*x^6 - 560051911*x^5 - 28333448*x^4 + 28310315*x^3 - 1035290*x^2 - 51377*x + 240, -3*x^43 + 12*x^42 + 189*x^41 - 792*x^40 - 5431*x^39 + 24070*x^38 + 94152*x^37 - 446925*x^36 - 1096567*x^35 + 5672377*x^34 + 9027297*x^33 - 52168789*x^32 - 53623197*x^31 + 359631876*x^30 + 228506436*x^29 - 1896116846*x^28 - 663916390*x^27 + 7733437828*x^26 + 1056026364*x^25 - 24520599979*x^24 + 659559409*x^23 + 60420012505*x^22 - 9309345375*x^21 - 115078992941*x^20 + 29278073120*x^19 + 167632725135*x^18 - 56095241212*x^17 - 183626166231*x^16 + 73393246737*x^15 + 147507723294*x^14 - 66883995806*x^13 - 83730132840*x^12 + 41791489669*x^11 + 31733158690*x^10 - 17150594485*x^9 - 7310657833*x^8 + 4273897826*x^7 + 851998111*x^6 - 560051911*x^5 - 28333448*x^4 + 28310315*x^3 - 1035290*x^2 - 51377*x + 240, -3*x^42 + 12*x^41 + 185*x^40 - 776*x^39 - 5192*x^38 + 23071*x^37 + 87659*x^36 - 418314*x^35 - 990514*x^34 + 5173956*x^33 + 7867993*x^32 - 46263497*x^31 - 44703663*x^30 + 309227817*x^29 + 179224085*x^28 - 1575844850*x^27 - 469611373*x^26 + 6189598479*x^25 + 536601191*x^24 - 18819809132*x^23 + 1418007280*x^22 + 44249461774*x^21 - 8919084074*x^20 - 79958444203*x^19 + 24067474493*x^18 + 109764654049*x^17 - 41707574802*x^16 - 112432693473*x^15 + 49811647493*x^14 + 83682355245*x^13 - 41303877099*x^12 - 43511624584*x^11 + 23248972424*x^10 + 14865627641*x^9 - 8442419190*x^8 - 3001133218*x^7 + 1797000554*x^6 + 285672437*x^5 - 183763483*x^4 - 5375761*x^3 + 5096053*x^2 - 113457*x - 11969, -3*x^42 + 12*x^41 + 185*x^40 - 776*x^39 - 5192*x^38 + 23071*x^37 + 87659*x^36 - 418314*x^35 - 990514*x^34 + 5173956*x^33 + 7867993*x^32 - 46263497*x^31 - 44703663*x^30 + 309227817*x^29 + 179224085*x^28 - 1575844850*x^27 - 469611373*x^26 + 6189598479*x^25 + 536601191*x^24 - 18819809132*x^23 + 1418007280*x^22 + 44249461774*x^21 - 8919084074*x^20 - 79958444203*x^19 + 24067474493*x^18 + 109764654049*x^17 - 41707574802*x^16 - 112432693473*x^15 + 49811647493*x^14 + 83682355245*x^13 - 41303877099*x^12 - 43511624584*x^11 + 23248972424*x^10 + 14865627641*x^9 - 8442419190*x^8 - 3001133218*x^7 + 1797000554*x^6 + 285672437*x^5 - 183763483*x^4 - 5375761*x^3 + 5096053*x^2 - 113457*x - 11969, -3*x^42 + 12*x^41 + 183*x^40 - 768*x^39 - 5081*x^38 + 22596*x^37 + 84900*x^36 - 405416*x^35 - 950241*x^34 + 4961610*x^33 + 7490036*x^32 - 43894205*x^31 - 42398121*x^30 + 290256625*x^29 + 171022632*x^28 - 1463242298*x^27 - 464931468*x^26 + 5684968869*x^25 + 666634715*x^24 - 17096639257*x^23 + 558771663*x^22 + 39757319989*x^21 - 5764132898*x^20 - 71059750393*x^19 + 16200592574*x^18 + 96528835109*x^17 - 27706765966*x^16 - 97970229183*x^15 + 31855595057*x^14 + 72506921127*x^13 - 24889373536*x^12 - 37825249732*x^11 + 12857845123*x^10 + 13255288591*x^9 - 4119358616*x^8 - 2901759443*x^7 + 718657298*x^6 + 350451567*x^5 - 48573586*x^4 - 17681529*x^3 - 460513*x^2 + 83665*x + 3432, -3*x^42 + 12*x^41 + 183*x^40 - 768*x^39 - 5081*x^38 + 22596*x^37 + 84900*x^36 - 405416*x^35 - 950241*x^34 + 4961610*x^33 + 7490036*x^32 - 43894205*x^31 - 42398121*x^30 + 290256625*x^29 + 171022632*x^28 - 1463242298*x^27 - 464931468*x^26 + 5684968869*x^25 + 666634715*x^24 - 17096639257*x^23 + 558771663*x^22 + 39757319989*x^21 - 5764132898*x^20 - 71059750393*x^19 + 16200592574*x^18 + 96528835109*x^17 - 27706765966*x^16 - 97970229183*x^15 + 31855595057*x^14 + 72506921127*x^13 - 24889373536*x^12 - 37825249732*x^11 + 12857845123*x^10 + 13255288591*x^9 - 4119358616*x^8 - 2901759443*x^7 + 718657298*x^6 + 350451567*x^5 - 48573586*x^4 - 17681529*x^3 - 460513*x^2 + 83665*x + 3432, -2*x^41 + 8*x^40 + 120*x^39 - 503*x^38 - 3269*x^37 + 14511*x^36 + 53403*x^35 - 254712*x^34 - 581192*x^33 + 3041620*x^32 + 4413884*x^31 - 26172878*x^30 - 23657265*x^29 + 167695339*x^28 + 86812641*x^27 - 815228914*x^26 - 188371895*x^25 + 3035860641*x^24 + 28790453*x^23 - 8681762781*x^22 + 1460773427*x^21 + 18993356828*x^20 - 6005642535*x^19 - 31461242911*x^18 + 13983694733*x^17 + 38748620287*x^16 - 21754776588*x^15 - 34476537042*x^14 + 23297867815*x^13 + 21171543897*x^12 - 16945084571*x^11 - 8310521766*x^10 + 8009541667*x^9 + 1795844625*x^8 - 2264958029*x^7 - 139020148*x^6 + 328769972*x^5 - 5291711*x^4 - 17771850*x^3 + 133015*x^2 + 48697*x + 1955, -2*x^41 + 8*x^40 + 120*x^39 - 503*x^38 - 3269*x^37 + 14511*x^36 + 53403*x^35 - 254712*x^34 - 581192*x^33 + 3041620*x^32 + 4413884*x^31 - 26172878*x^30 - 23657265*x^29 + 167695339*x^28 + 86812641*x^27 - 815228914*x^26 - 188371895*x^25 + 3035860641*x^24 + 28790453*x^23 - 8681762781*x^22 + 1460773427*x^21 + 18993356828*x^20 - 6005642535*x^19 - 31461242911*x^18 + 13983694733*x^17 + 38748620287*x^16 - 21754776588*x^15 - 34476537042*x^14 + 23297867815*x^13 + 21171543897*x^12 - 16945084571*x^11 - 8310521766*x^10 + 8009541667*x^9 + 1795844625*x^8 - 2264958029*x^7 - 139020148*x^6 + 328769972*x^5 - 5291711*x^4 - 17771850*x^3 + 133015*x^2 + 48697*x + 1955, -2*x^41 + 8*x^40 + 119*x^39 - 496*x^38 - 3224*x^37 + 14100*x^36 + 52650*x^35 - 243709*x^34 - 578112*x^33 + 2863672*x^32 + 4505650*x^31 - 24231181*x^30 - 25625086*x^29 + 152576657*x^28 + 107492376*x^27 - 728610435*x^26 - 331053278*x^25 + 2664930206*x^24 + 729657418*x^23 - 7488787950*x^22 - 1070512126*x^21 + 16127191910*x^20 + 795043908*x^19 - 26406828175*x^18 + 403971677*x^17 + 32444852471*x^16 - 1826822656*x^15 - 29348831007*x^14 + 2282250892*x^13 + 19046964359*x^12 - 1597432674*x^11 - 8557009283*x^10 + 698633628*x^9 + 2513679990*x^8 - 211939243*x^7 - 427305526*x^6 + 47518456*x^5 + 28249398*x^4 - 5442412*x^3 + 788818*x^2 - 9289*x - 2195, -2*x^41 + 8*x^40 + 119*x^39 - 496*x^38 - 3224*x^37 + 14100*x^36 + 52650*x^35 - 243709*x^34 - 578112*x^33 + 2863672*x^32 + 4505650*x^31 - 24231181*x^30 - 25625086*x^29 + 152576657*x^28 + 107492376*x^27 - 728610435*x^26 - 331053278*x^25 + 2664930206*x^24 + 729657418*x^23 - 7488787950*x^22 - 1070512126*x^21 + 16127191910*x^20 + 795043908*x^19 - 26406828175*x^18 + 403971677*x^17 + 32444852471*x^16 - 1826822656*x^15 - 29348831007*x^14 + 2282250892*x^13 + 19046964359*x^12 - 1597432674*x^11 - 8557009283*x^10 + 698633628*x^9 + 2513679990*x^8 - 211939243*x^7 - 427305526*x^6 + 47518456*x^5 + 28249398*x^4 - 5442412*x^3 + 788818*x^2 - 9289*x - 2195, -3*x^41 + 12*x^40 + 173*x^39 - 728*x^38 - 4519*x^37 + 20234*x^36 + 70598*x^35 - 341610*x^34 - 732465*x^33 + 3916202*x^32 + 5283382*x^31 - 32281581*x^30 - 26772947*x^29 + 197644597*x^28 + 92326662*x^27 - 915463832*x^26 - 186252722*x^25 + 3237119209*x^24 + 17513291*x^23 - 8754948147*x^22 + 1285778121*x^21 + 18028387933*x^20 - 4798258678*x^19 - 27952597349*x^18 + 10093904974*x^17 + 32018079627*x^16 - 14020245936*x^15 - 26305442867*x^14 + 13183050167*x^13 + 14810326187*x^12 - 8221164662*x^11 - 5305241746*x^10 + 3211917889*x^9 + 1051944983*x^8 - 701908006*x^7 - 79113693*x^6 + 65985930*x^5 - 1840471*x^4 - 684728*x^3 + 15361*x^2 - 4665*x + 463, -3*x^41 + 12*x^40 + 173*x^39 - 728*x^38 - 4519*x^37 + 20234*x^36 + 70598*x^35 - 341610*x^34 - 732465*x^33 + 3916202*x^32 + 5283382*x^31 - 32281581*x^30 - 26772947*x^29 + 197644597*x^28 + 92326662*x^27 - 915463832*x^26 - 186252722*x^25 + 3237119209*x^24 + 17513291*x^23 - 8754948147*x^22 + 1285778121*x^21 + 18028387933*x^20 - 4798258678*x^19 - 27952597349*x^18 + 10093904974*x^17 + 32018079627*x^16 - 14020245936*x^15 - 26305442867*x^14 + 13183050167*x^13 + 14810326187*x^12 - 8221164662*x^11 - 5305241746*x^10 + 3211917889*x^9 + 1051944983*x^8 - 701908006*x^7 - 79113693*x^6 + 65985930*x^5 - 1840471*x^4 - 684728*x^3 + 15361*x^2 - 4665*x + 463, -3*x^41 + 12*x^40 + 177*x^39 - 746*x^38 - 4733*x^37 + 21275*x^36 + 75728*x^35 - 369157*x^34 - 804796*x^33 + 4358382*x^32 + 5941694*x^31 - 37093670*x^30 - 30710857*x^29 + 235229951*x^28 + 106658260*x^27 - 1133005127*x^26 - 203138927*x^25 + 4186841513*x^24 - 118301037*x^23 - 11907744369*x^22 + 2259434356*x^21 + 25990854615*x^20 - 8279221868*x^19 - 43151292677*x^18 + 18294570272*x^17 + 53637857421*x^16 - 27517405744*x^15 - 48695359300*x^14 + 28811572103*x^13 + 31094556921*x^12 - 20712479884*x^11 - 13172628353*x^10 + 9819317980*x^9 + 3356953407*x^8 - 2853332522*x^7 - 422432851*x^6 + 445492395*x^5 + 12492390*x^4 - 28086100*x^3 + 1103594*x^2 + 59474*x - 703, -3*x^41 + 12*x^40 + 177*x^39 - 746*x^38 - 4733*x^37 + 21275*x^36 + 75728*x^35 - 369157*x^34 - 804796*x^33 + 4358382*x^32 + 5941694*x^31 - 37093670*x^30 - 30710857*x^29 + 235229951*x^28 + 106658260*x^27 - 1133005127*x^26 - 203138927*x^25 + 4186841513*x^24 - 118301037*x^23 - 11907744369*x^22 + 2259434356*x^21 + 25990854615*x^20 - 8279221868*x^19 - 43151292677*x^18 + 18294570272*x^17 + 53637857421*x^16 - 27517405744*x^15 - 48695359300*x^14 + 28811572103*x^13 + 31094556921*x^12 - 20712479884*x^11 - 13172628353*x^10 + 9819317980*x^9 + 3356953407*x^8 - 2853332522*x^7 - 422432851*x^6 + 445492395*x^5 + 12492390*x^4 - 28086100*x^3 + 1103594*x^2 + 59474*x - 703, -2*x^40 + 6*x^39 + 124*x^38 - 371*x^37 - 3532*x^36 + 10513*x^35 + 61342*x^34 - 181086*x^33 - 726960*x^32 + 2120646*x^31 + 6232684*x^30 - 17891656*x^29 - 39982096*x^28 + 112439047*x^27 + 195678194*x^26 - 536762323*x^25 - 737879484*x^24 + 1967357062*x^23 + 2148447799*x^22 - 5558778124*x^21 - 4805548273*x^20 + 12088613251*x^19 + 8150399493*x^18 - 20089573697*x^17 - 10242145679*x^16 + 25172712704*x^15 + 9177603844*x^14 - 23276333562*x^13 - 5484176300*x^12 + 15366706231*x^11 + 1894922670*x^10 - 6883590267*x^9 - 213113498*x^8 + 1928918806*x^7 - 68607867*x^6 - 293774839*x^5 + 19893185*x^4 + 18057286*x^3 - 1073515*x^2 - 29659*x + 975, -2*x^40 + 6*x^39 + 124*x^38 - 371*x^37 - 3532*x^36 + 10513*x^35 + 61342*x^34 - 181086*x^33 - 726960*x^32 + 2120646*x^31 + 6232684*x^30 - 17891656*x^29 - 39982096*x^28 + 112439047*x^27 + 195678194*x^26 - 536762323*x^25 - 737879484*x^24 + 1967357062*x^23 + 2148447799*x^22 - 5558778124*x^21 - 4805548273*x^20 + 12088613251*x^19 + 8150399493*x^18 - 20089573697*x^17 - 10242145679*x^16 + 25172712704*x^15 + 9177603844*x^14 - 23276333562*x^13 - 5484176300*x^12 + 15366706231*x^11 + 1894922670*x^10 - 6883590267*x^9 - 213113498*x^8 + 1928918806*x^7 - 68607867*x^6 - 293774839*x^5 + 19893185*x^4 + 18057286*x^3 - 1073515*x^2 - 29659*x + 975, x^42 - 4*x^41 - 63*x^40 + 267*x^39 + 1799*x^38 - 8189*x^37 - 30724*x^36 + 153089*x^35 + 347980*x^34 - 1951250*x^33 - 2727149*x^32 + 17969973*x^31 + 14813714*x^30 - 123640822*x^29 - 52429348*x^28 + 648176889*x^27 + 85561284*x^26 - 2616975515*x^25 + 230068746*x^24 + 8170689289*x^23 - 2105681652*x^22 - 19697326822*x^21 + 7718989812*x^20 + 36408588041*x^19 - 18234179253*x^18 - 50926460065*x^17 + 30194943893*x^16 + 52783443727*x^15 - 35691383522*x^14 - 39234477786*x^13 + 29842968828*x^12 + 19834396587*x^11 - 17134353427*x^10 - 6186192749*x^9 + 6390574659*x^8 + 933194264*x^7 - 1399622715*x^6 + 2810691*x^5 + 146098448*x^4 - 12548510*x^3 - 3973841*x^2 + 145071*x + 10994, x^42 - 4*x^41 - 63*x^40 + 267*x^39 + 1799*x^38 - 8189*x^37 - 30724*x^36 + 153089*x^35 + 347980*x^34 - 1951250*x^33 - 2727149*x^32 + 17969973*x^31 + 14813714*x^30 - 123640822*x^29 - 52429348*x^28 + 648176889*x^27 + 85561284*x^26 - 2616975515*x^25 + 230068746*x^24 + 8170689289*x^23 - 2105681652*x^22 - 19697326822*x^21 + 7718989812*x^20 + 36408588041*x^19 - 18234179253*x^18 - 50926460065*x^17 + 30194943893*x^16 + 52783443727*x^15 - 35691383522*x^14 - 39234477786*x^13 + 29842968828*x^12 + 19834396587*x^11 - 17134353427*x^10 - 6186192749*x^9 + 6390574659*x^8 + 933194264*x^7 - 1399622715*x^6 + 2810691*x^5 + 146098448*x^4 - 12548510*x^3 - 3973841*x^2 + 145071*x + 10994, -2*x^40 + 10*x^39 + 105*x^38 - 588*x^37 - 2403*x^36 + 15737*x^35 + 30741*x^34 - 253933*x^33 - 225597*x^32 + 2758327*x^31 + 685515*x^30 - 21326518*x^29 + 3876500*x^28 + 120994233*x^27 - 60070978*x^26 - 511650536*x^25 + 381231940*x^24 + 1620857178*x^23 - 1554817226*x^22 - 3829946056*x^21 + 4463206989*x^20 + 6649073648*x^19 - 9277936007*x^18 - 8218574723*x^17 + 14034852588*x^16 + 6769866995*x^15 - 15309943349*x^14 - 3086155426*x^13 + 11793931566*x^12 + 36794037*x^11 - 6198562524*x^10 + 840617834*x^9 + 2104282110*x^8 - 478502494*x^7 - 419701973*x^6 + 116191524*x^5 + 40253692*x^4 - 10973191*x^3 - 945488*x^2 + 68022*x + 2793, -2*x^40 + 10*x^39 + 105*x^38 - 588*x^37 - 2403*x^36 + 15737*x^35 + 30741*x^34 - 253933*x^33 - 225597*x^32 + 2758327*x^31 + 685515*x^30 - 21326518*x^29 + 3876500*x^28 + 120994233*x^27 - 60070978*x^26 - 511650536*x^25 + 381231940*x^24 + 1620857178*x^23 - 1554817226*x^22 - 3829946056*x^21 + 4463206989*x^20 + 6649073648*x^19 - 9277936007*x^18 - 8218574723*x^17 + 14034852588*x^16 + 6769866995*x^15 - 15309943349*x^14 - 3086155426*x^13 + 11793931566*x^12 + 36794037*x^11 - 6198562524*x^10 + 840617834*x^9 + 2104282110*x^8 - 478502494*x^7 - 419701973*x^6 + 116191524*x^5 + 40253692*x^4 - 10973191*x^3 - 945488*x^2 + 68022*x + 2793, x^42 - 4*x^41 - 64*x^40 + 270*x^39 + 1863*x^38 - 8383*x^37 - 32606*x^36 + 158868*x^35 + 381661*x^34 - 2056351*x^33 - 3136746*x^32 + 19273989*x^31 + 18393062*x^30 - 135324642*x^29 - 75608209*x^28 + 726240182*x^27 + 198629073*x^26 - 3013017737*x^25 - 188175713*x^24 + 9710164004*x^23 - 933702180*x^22 - 24292323808*x^21 + 5250920993*x^20 + 46902542380*x^19 - 14385566809*x^18 - 69101226855*x^17 + 25845899558*x^16 + 76313995471*x^15 - 32219453252*x^14 - 61549235460*x^13 + 27912512859*x^12 + 34917821264*x^11 - 16351776272*x^10 - 13192565485*x^9 + 6126197837*x^8 + 3052330186*x^7 - 1329780125*x^6 - 373614563*x^5 + 138067379*x^4 + 17137770*x^3 - 4159854*x^2 + 43240*x + 9176, x^42 - 4*x^41 - 64*x^40 + 270*x^39 + 1863*x^38 - 8383*x^37 - 32606*x^36 + 158868*x^35 + 381661*x^34 - 2056351*x^33 - 3136746*x^32 + 19273989*x^31 + 18393062*x^30 - 135324642*x^29 - 75608209*x^28 + 726240182*x^27 + 198629073*x^26 - 3013017737*x^25 - 188175713*x^24 + 9710164004*x^23 - 933702180*x^22 - 24292323808*x^21 + 5250920993*x^20 + 46902542380*x^19 - 14385566809*x^18 - 69101226855*x^17 + 25845899558*x^16 + 76313995471*x^15 - 32219453252*x^14 - 61549235460*x^13 + 27912512859*x^12 + 34917821264*x^11 - 16351776272*x^10 - 13192565485*x^9 + 6126197837*x^8 + 3052330186*x^7 - 1329780125*x^6 - 373614563*x^5 + 138067379*x^4 + 17137770*x^3 - 4159854*x^2 + 43240*x + 9176, -3*x^40 + 13*x^39 + 165*x^38 - 769*x^37 - 4057*x^36 + 20754*x^35 + 58541*x^34 - 338729*x^33 - 544309*x^32 + 3736338*x^31 + 3325925*x^30 - 29486864*x^29 - 12452085*x^28 + 171930892*x^27 + 16650591*x^26 - 754167402*x^25 + 105297179*x^24 + 2510464518*x^23 - 795965918*x^22 - 6351318691*x^21 + 2882455978*x^20 + 12151781447*x^19 - 6832121223*x^18 - 17377442421*x^17 + 11320345484*x^16 + 18204982520*x^15 - 13284896601*x^14 - 13528144420*x^13 + 10921262941*x^12 + 6753307696*x^11 - 6097532609*x^10 - 2033983930*x^9 + 2179692976*x^8 + 268338835*x^7 - 443610579*x^6 + 16146368*x^5 + 38256799*x^4 - 5991877*x^3 - 73668*x^2 + 16730*x + 393, -3*x^40 + 13*x^39 + 165*x^38 - 769*x^37 - 4057*x^36 + 20754*x^35 + 58541*x^34 - 338729*x^33 - 544309*x^32 + 3736338*x^31 + 3325925*x^30 - 29486864*x^29 - 12452085*x^28 + 171930892*x^27 + 16650591*x^26 - 754167402*x^25 + 105297179*x^24 + 2510464518*x^23 - 795965918*x^22 - 6351318691*x^21 + 2882455978*x^20 + 12151781447*x^19 - 6832121223*x^18 - 17377442421*x^17 + 11320345484*x^16 + 18204982520*x^15 - 13284896601*x^14 - 13528144420*x^13 + 10921262941*x^12 + 6753307696*x^11 - 6097532609*x^10 - 2033983930*x^9 + 2179692976*x^8 + 268338835*x^7 - 443610579*x^6 + 16146368*x^5 + 38256799*x^4 - 5991877*x^3 - 73668*x^2 + 16730*x + 393, -3*x^40 + 9*x^39 + 183*x^38 - 552*x^37 - 5115*x^36 + 15505*x^35 + 86904*x^34 - 264499*x^33 - 1004033*x^32 + 3064197*x^31 + 8361339*x^30 - 25539810*x^29 - 51912287*x^28 + 158306279*x^27 + 245141950*x^26 - 743959954*x^25 - 890232931*x^24 + 2678430370*x^23 + 2496628611*x^22 - 7415146683*x^21 - 5397544948*x^20 + 15756676269*x^19 + 8926098921*x^18 - 25513535267*x^17 - 11130985262*x^16 + 31069887363*x^15 + 10240873647*x^14 - 27884219786*x^13 - 6744369289*x^12 + 17899313683*x^11 + 3059005466*x^10 - 7864351254*x^9 - 913666882*x^8 + 2210987757*x^7 + 170445676*x^6 - 354105545*x^5 - 17769313*x^4 + 24777000*x^3 + 593655*x^2 - 101098*x - 3825, -3*x^40 + 9*x^39 + 183*x^38 - 552*x^37 - 5115*x^36 + 15505*x^35 + 86904*x^34 - 264499*x^33 - 1004033*x^32 + 3064197*x^31 + 8361339*x^30 - 25539810*x^29 - 51912287*x^28 + 158306279*x^27 + 245141950*x^26 - 743959954*x^25 - 890232931*x^24 + 2678430370*x^23 + 2496628611*x^22 - 7415146683*x^21 - 5397544948*x^20 + 15756676269*x^19 + 8926098921*x^18 - 25513535267*x^17 - 11130985262*x^16 + 31069887363*x^15 + 10240873647*x^14 - 27884219786*x^13 - 6744369289*x^12 + 17899313683*x^11 + 3059005466*x^10 - 7864351254*x^9 - 913666882*x^8 + 2210987757*x^7 + 170445676*x^6 - 354105545*x^5 - 17769313*x^4 + 24777000*x^3 + 593655*x^2 - 101098*x - 3825, -2*x^39 + 8*x^38 + 108*x^37 - 466*x^36 - 2574*x^35 + 12284*x^34 + 35318*x^33 - 194014*x^32 - 301846*x^31 + 2048538*x^30 + 1566825*x^29 - 15274196*x^28 - 3573494*x^27 + 82788397*x^26 - 12745266*x^25 - 330624095*x^24 + 152300284*x^23 + 974536858*x^22 - 707543576*x^21 - 2099195304*x^20 + 2067428777*x^19 + 3221269721*x^18 - 4136266715*x^17 - 3333761904*x^16 + 5759667728*x^15 + 2022599636*x^14 - 5505710553*x^13 - 320661366*x^12 + 3473301010*x^11 - 467991171*x^10 - 1339064898*x^9 + 346187679*x^8 + 267431356*x^7 - 86146824*x^6 - 15101948*x^5 + 3455812*x^4 - 1358951*x^3 + 910841*x^2 - 18063*x - 2930, -2*x^39 + 8*x^38 + 108*x^37 - 466*x^36 - 2574*x^35 + 12284*x^34 + 35318*x^33 - 194014*x^32 - 301846*x^31 + 2048538*x^30 + 1566825*x^29 - 15274196*x^28 - 3573494*x^27 + 82788397*x^26 - 12745266*x^25 - 330624095*x^24 + 152300284*x^23 + 974536858*x^22 - 707543576*x^21 - 2099195304*x^20 + 2067428777*x^19 + 3221269721*x^18 - 4136266715*x^17 - 3333761904*x^16 + 5759667728*x^15 + 2022599636*x^14 - 5505710553*x^13 - 320661366*x^12 + 3473301010*x^11 - 467991171*x^10 - 1339064898*x^9 + 346187679*x^8 + 267431356*x^7 - 86146824*x^6 - 15101948*x^5 + 3455812*x^4 - 1358951*x^3 + 910841*x^2 - 18063*x - 2930, x^43 - 4*x^42 - 62*x^41 + 262*x^40 + 1743*x^39 - 7883*x^38 - 29325*x^37 + 144515*x^36 + 327602*x^35 - 1805450*x^34 - 2539125*x^33 + 16288421*x^32 + 13728927*x^31 - 109717222*x^30 - 49354697*x^29 + 562721904*x^28 + 92348453*x^27 - 2221337586*x^26 + 109440870*x^25 + 6778253694*x^24 - 1430769295*x^23 - 15973983026*x^22 + 5339587606*x^21 + 28912660224*x^20 - 12345184673*x^19 - 39793198918*x^18 + 19662330381*x^17 + 41056366390*x^16 - 22086278681*x^15 - 31179928120*x^14 + 17412852453*x^13 + 17055451206*x^12 - 9446312728*x^11 - 6548101908*x^10 + 3423942088*x^9 + 1696255834*x^8 - 798071630*x^7 - 269886413*x^6 + 111279107*x^5 + 19751711*x^4 - 7108759*x^3 - 148286*x^2 + 37584*x - 17, x^43 - 4*x^42 - 62*x^41 + 262*x^40 + 1743*x^39 - 7883*x^38 - 29325*x^37 + 144515*x^36 + 327602*x^35 - 1805450*x^34 - 2539125*x^33 + 16288421*x^32 + 13728927*x^31 - 109717222*x^30 - 49354697*x^29 + 562721904*x^28 + 92348453*x^27 - 2221337586*x^26 + 109440870*x^25 + 6778253694*x^24 - 1430769295*x^23 - 15973983026*x^22 + 5339587606*x^21 + 28912660224*x^20 - 12345184673*x^19 - 39793198918*x^18 + 19662330381*x^17 + 41056366390*x^16 - 22086278681*x^15 - 31179928120*x^14 + 17412852453*x^13 + 17055451206*x^12 - 9446312728*x^11 - 6548101908*x^10 + 3423942088*x^9 + 1696255834*x^8 - 798071630*x^7 - 269886413*x^6 + 111279107*x^5 + 19751711*x^4 - 7108759*x^3 - 148286*x^2 + 37584*x - 17, x^41 - 3*x^40 - 64*x^39 + 197*x^38 + 1870*x^37 - 5937*x^36 - 33025*x^35 + 108912*x^34 + 393168*x^33 - 1360068*x^32 - 3329097*x^31 + 12249278*x^30 + 20582614*x^29 - 82240354*x^28 - 93599810*x^27 + 419590985*x^26 + 308999771*x^25 - 1643425046*x^24 - 703702810*x^23 + 4958418985*x^22 + 918628779*x^21 - 11497429011*x^20 + 116647955*x^19 + 20327981764*x^18 - 3451081221*x^17 - 27021542950*x^16 + 8149671747*x^15 + 26421987376*x^14 - 10867751440*x^13 - 18392598516*x^12 + 9257043872*x^11 + 8672430925*x^10 - 5042909096*x^9 - 2558906195*x^8 + 1663406944*x^7 + 411717252*x^6 - 293950631*x^5 - 27008510*x^4 + 20906768*x^3 + 160342*x^2 - 75287*x - 1938, x^41 - 3*x^40 - 64*x^39 + 197*x^38 + 1870*x^37 - 5937*x^36 - 33025*x^35 + 108912*x^34 + 393168*x^33 - 1360068*x^32 - 3329097*x^31 + 12249278*x^30 + 20582614*x^29 - 82240354*x^28 - 93599810*x^27 + 419590985*x^26 + 308999771*x^25 - 1643425046*x^24 - 703702810*x^23 + 4958418985*x^22 + 918628779*x^21 - 11497429011*x^20 + 116647955*x^19 + 20327981764*x^18 - 3451081221*x^17 - 27021542950*x^16 + 8149671747*x^15 + 26421987376*x^14 - 10867751440*x^13 - 18392598516*x^12 + 9257043872*x^11 + 8672430925*x^10 - 5042909096*x^9 - 2558906195*x^8 + 1663406944*x^7 + 411717252*x^6 - 293950631*x^5 - 27008510*x^4 + 20906768*x^3 + 160342*x^2 - 75287*x - 1938, 2*x^40 - 10*x^39 - 106*x^38 + 589*x^37 + 2469*x^36 - 15797*x^35 - 32752*x^34 + 255637*x^33 + 262911*x^32 - 2788361*x^31 - 1155117*x^30 + 21689654*x^29 + 358982*x^28 - 124154558*x^27 + 31817009*x^26 + 531974186*x^25 - 239216028*x^24 - 1718914752*x^23 + 1011390180*x^22 + 4187984423*x^21 - 2873746028*x^20 - 7642491203*x^19 + 5729566434*x^18 + 10313678743*x^17 - 8032280602*x^16 - 10115143195*x^15 + 7724955497*x^14 + 7089579830*x^13 - 4805786352*x^12 - 3554804986*x^11 + 1685897131*x^10 + 1342483002*x^9 - 190082920*x^8 - 411524570*x^7 - 56784350*x^6 + 91699672*x^5 + 15334121*x^4 - 9338760*x^3 - 731302*x^2 + 51128*x + 2981, 2*x^40 - 10*x^39 - 106*x^38 + 589*x^37 + 2469*x^36 - 15797*x^35 - 32752*x^34 + 255637*x^33 + 262911*x^32 - 2788361*x^31 - 1155117*x^30 + 21689654*x^29 + 358982*x^28 - 124154558*x^27 + 31817009*x^26 + 531974186*x^25 - 239216028*x^24 - 1718914752*x^23 + 1011390180*x^22 + 4187984423*x^21 - 2873746028*x^20 - 7642491203*x^19 + 5729566434*x^18 + 10313678743*x^17 - 8032280602*x^16 - 10115143195*x^15 + 7724955497*x^14 + 7089579830*x^13 - 4805786352*x^12 - 3554804986*x^11 + 1685897131*x^10 + 1342483002*x^9 - 190082920*x^8 - 411524570*x^7 - 56784350*x^6 + 91699672*x^5 + 15334121*x^4 - 9338760*x^3 - 731302*x^2 + 51128*x + 2981, x^43 - 4*x^42 - 63*x^41 + 266*x^40 + 1804*x^39 - 8141*x^38 - 31011*x^37 + 152163*x^36 + 355421*x^35 - 1943568*x^34 - 2842181*x^33 + 17986528*x^32 + 15991506*x^31 - 124760462*x^30 - 60803817*x^29 + 661840031*x^28 + 127560812*x^27 - 2715594960*x^26 + 83673450*x^25 + 8657881631*x^24 - 1776150463*x^23 - 21424708468*x^22 + 7381585433*x^21 + 40874781830*x^20 - 18760760274*x^19 - 59341878666*x^18 + 33004667406*x^17 + 64187276183*x^16 - 41268670086*x^15 - 50061137336*x^14 + 36386736111*x^13 + 26737417765*x^12 - 21910997075*x^11 - 8958878822*x^10 + 8480973287*x^9 + 1576913681*x^8 - 1888869129*x^7 - 81766561*x^6 + 190734476*x^5 - 1879901*x^4 - 3716661*x^3 - 1225732*x^2 + 60829*x + 3071, x^43 - 4*x^42 - 63*x^41 + 266*x^40 + 1804*x^39 - 8141*x^38 - 31011*x^37 + 152163*x^36 + 355421*x^35 - 1943568*x^34 - 2842181*x^33 + 17986528*x^32 + 15991506*x^31 - 124760462*x^30 - 60803817*x^29 + 661840031*x^28 + 127560812*x^27 - 2715594960*x^26 + 83673450*x^25 + 8657881631*x^24 - 1776150463*x^23 - 21424708468*x^22 + 7381585433*x^21 + 40874781830*x^20 - 18760760274*x^19 - 59341878666*x^18 + 33004667406*x^17 + 64187276183*x^16 - 41268670086*x^15 - 50061137336*x^14 + 36386736111*x^13 + 26737417765*x^12 - 21910997075*x^11 - 8958878822*x^10 + 8480973287*x^9 + 1576913681*x^8 - 1888869129*x^7 - 81766561*x^6 + 190734476*x^5 - 1879901*x^4 - 3716661*x^3 - 1225732*x^2 + 60829*x + 3071, x^41 - 4*x^40 - 60*x^39 + 254*x^38 + 1629*x^37 - 7395*x^36 - 26410*x^35 + 130926*x^34 + 283547*x^33 - 1576211*x^32 - 2104094*x^31 + 13667001*x^30 + 10820694*x^29 - 88176506*x^28 - 36424115*x^27 + 431187658*x^26 + 59204115*x^25 - 1612647833*x^24 + 112790865*x^23 + 4621172610*x^22 - 1060152314*x^21 - 10099431360*x^20 + 3580149557*x^19 + 16647479986*x^18 - 7562739525*x^17 - 20318133183*x^16 + 10876039490*x^15 + 17860732883*x^14 - 10756474144*x^13 - 10866560860*x^12 + 7156653477*x^11 + 4323322620*x^10 - 3053409078*x^9 - 1038263485*x^8 + 771028247*x^7 + 135457524*x^6 - 100185553*x^5 - 9231727*x^4 + 4999219*x^3 + 480154*x^2 - 42364*x - 876, x^41 - 4*x^40 - 60*x^39 + 254*x^38 + 1629*x^37 - 7395*x^36 - 26410*x^35 + 130926*x^34 + 283547*x^33 - 1576211*x^32 - 2104094*x^31 + 13667001*x^30 + 10820694*x^29 - 88176506*x^28 - 36424115*x^27 + 431187658*x^26 + 59204115*x^25 - 1612647833*x^24 + 112790865*x^23 + 4621172610*x^22 - 1060152314*x^21 - 10099431360*x^20 + 3580149557*x^19 + 16647479986*x^18 - 7562739525*x^17 - 20318133183*x^16 + 10876039490*x^15 + 17860732883*x^14 - 10756474144*x^13 - 10866560860*x^12 + 7156653477*x^11 + 4323322620*x^10 - 3053409078*x^9 - 1038263485*x^8 + 771028247*x^7 + 135457524*x^6 - 100185553*x^5 - 9231727*x^4 + 4999219*x^3 + 480154*x^2 - 42364*x - 876, x^40 - 6*x^39 - 45*x^38 + 332*x^37 + 785*x^36 - 8241*x^35 - 4968*x^34 + 120877*x^33 - 41464*x^32 - 1158895*x^31 + 1165904*x^30 + 7547142*x^29 - 12137263*x^28 - 33162093*x^27 + 78384737*x^26 + 89992034*x^25 - 348353223*x^24 - 83402239*x^23 + 1101056534*x^22 - 432498256*x^21 - 2482170478*x^20 + 2286560923*x^19 + 3900776074*x^18 - 5768669360*x^17 - 3995192227*x^16 + 9234523049*x^15 + 2125227338*x^14 - 9858236044*x^13 + 292938771*x^12 + 6976805363*x^11 - 1321646105*x^10 - 3156289772*x^9 + 916187808*x^8 + 852435555*x^7 - 301860291*x^6 - 120295838*x^5 + 48187433*x^4 + 6055544*x^3 - 2938794*x^2 + 77749*x + 6289, x^40 - 6*x^39 - 45*x^38 + 332*x^37 + 785*x^36 - 8241*x^35 - 4968*x^34 + 120877*x^33 - 41464*x^32 - 1158895*x^31 + 1165904*x^30 + 7547142*x^29 - 12137263*x^28 - 33162093*x^27 + 78384737*x^26 + 89992034*x^25 - 348353223*x^24 - 83402239*x^23 + 1101056534*x^22 - 432498256*x^21 - 2482170478*x^20 + 2286560923*x^19 + 3900776074*x^18 - 5768669360*x^17 - 3995192227*x^16 + 9234523049*x^15 + 2125227338*x^14 - 9858236044*x^13 + 292938771*x^12 + 6976805363*x^11 - 1321646105*x^10 - 3156289772*x^9 + 916187808*x^8 + 852435555*x^7 - 301860291*x^6 - 120295838*x^5 + 48187433*x^4 + 6055544*x^3 - 2938794*x^2 + 77749*x + 6289, -3*x^39 + 11*x^38 + 170*x^37 - 655*x^36 - 4329*x^35 + 17754*x^34 + 65262*x^33 - 290152*x^32 - 644552*x^31 + 3192521*x^30 + 4338380*x^29 - 25011385*x^28 - 19822589*x^27 + 143903223*x^26 + 56865950*x^25 - 618178212*x^24 - 63500722*x^23 + 1995969075*x^22 - 241832621*x^21 - 4836633398*x^20 + 1448644520*x^19 + 8711658489*x^18 - 3912020267*x^17 - 11436984796*x^16 + 6688392028*x^15 + 10570265867*x^14 - 7671721606*x^13 - 6450873949*x^12 + 5872171667*x^11 + 2249271633*x^10 - 2868633608*x^9 - 232298768*x^8 + 812790441*x^7 - 102118370*x^6 - 109156163*x^5 + 30053923*x^4 + 3902755*x^3 - 1798347*x^2 + 37799*x + 4528, -3*x^39 + 11*x^38 + 170*x^37 - 655*x^36 - 4329*x^35 + 17754*x^34 + 65262*x^33 - 290152*x^32 - 644552*x^31 + 3192521*x^30 + 4338380*x^29 - 25011385*x^28 - 19822589*x^27 + 143903223*x^26 + 56865950*x^25 - 618178212*x^24 - 63500722*x^23 + 1995969075*x^22 - 241832621*x^21 - 4836633398*x^20 + 1448644520*x^19 + 8711658489*x^18 - 3912020267*x^17 - 11436984796*x^16 + 6688392028*x^15 + 10570265867*x^14 - 7671721606*x^13 - 6450873949*x^12 + 5872171667*x^11 + 2249271633*x^10 - 2868633608*x^9 - 232298768*x^8 + 812790441*x^7 - 102118370*x^6 - 109156163*x^5 + 30053923*x^4 + 3902755*x^3 - 1798347*x^2 + 37799*x + 4528, 2*x^39 - 12*x^38 - 99*x^37 + 698*x^36 + 2067*x^35 - 18448*x^34 - 22300*x^33 + 293518*x^32 + 99840*x^31 - 3139699*x^30 + 551164*x^29 + 23880240*x^28 - 12320130*x^27 - 133178230*x^26 + 100960678*x^25 + 553356714*x^24 - 521390512*x^23 - 1722372829*x^22 + 1883034744*x^21 + 4001124536*x^20 - 4924355654*x^19 - 6841900564*x^18 + 9412682159*x^17 + 8375529253*x^16 - 13078623018*x^15 - 6957398175*x^14 + 12969303922*x^13 + 3475038674*x^12 - 8876094260*x^11 - 636471688*x^10 + 3964933086*x^9 - 282086082*x^8 - 1050366352*x^7 + 175659715*x^6 + 136770061*x^5 - 28960900*x^4 - 5357103*x^3 + 802266*x^2 + 16089*x - 2827, 2*x^39 - 12*x^38 - 99*x^37 + 698*x^36 + 2067*x^35 - 18448*x^34 - 22300*x^33 + 293518*x^32 + 99840*x^31 - 3139699*x^30 + 551164*x^29 + 23880240*x^28 - 12320130*x^27 - 133178230*x^26 + 100960678*x^25 + 553356714*x^24 - 521390512*x^23 - 1722372829*x^22 + 1883034744*x^21 + 4001124536*x^20 - 4924355654*x^19 - 6841900564*x^18 + 9412682159*x^17 + 8375529253*x^16 - 13078623018*x^15 - 6957398175*x^14 + 12969303922*x^13 + 3475038674*x^12 - 8876094260*x^11 - 636471688*x^10 + 3964933086*x^9 - 282086082*x^8 - 1050366352*x^7 + 175659715*x^6 + 136770061*x^5 - 28960900*x^4 - 5357103*x^3 + 802266*x^2 + 16089*x - 2827, x^44 - 4*x^43 - 65*x^42 + 274*x^41 + 1928*x^40 - 8666*x^39 - 34492*x^38 + 167974*x^37 + 413820*x^36 - 2233477*x^35 - 3491753*x^34 + 21607227*x^33 + 20995182*x^32 - 157407755*x^31 - 87612981*x^30 + 881653332*x^29 + 222352859*x^28 - 3843046985*x^27 - 83960226*x^26 + 13112680987*x^25 - 2051193611*x^24 - 35047676297*x^23 + 10394884334*x^22 + 73092778620*x^21 - 29816514981*x^20 - 117920284679*x^19 + 58582030540*x^18 + 145135708977*x^17 - 82379495298*x^16 - 133550579591*x^15 + 83243081817*x^14 + 89292863878*x^13 - 59426051614*x^12 - 41669625681*x^11 + 28925723617*x^10 + 12801135185*x^9 - 9040896625*x^8 - 2361871747*x^7 + 1634960586*x^6 + 220971916*x^5 - 138137957*x^4 - 6471646*x^3 + 2629951*x^2 - 42866*x - 5032, x^44 - 4*x^43 - 65*x^42 + 274*x^41 + 1928*x^40 - 8666*x^39 - 34492*x^38 + 167974*x^37 + 413820*x^36 - 2233477*x^35 - 3491753*x^34 + 21607227*x^33 + 20995182*x^32 - 157407755*x^31 - 87612981*x^30 + 881653332*x^29 + 222352859*x^28 - 3843046985*x^27 - 83960226*x^26 + 13112680987*x^25 - 2051193611*x^24 - 35047676297*x^23 + 10394884334*x^22 + 73092778620*x^21 - 29816514981*x^20 - 117920284679*x^19 + 58582030540*x^18 + 145135708977*x^17 - 82379495298*x^16 - 133550579591*x^15 + 83243081817*x^14 + 89292863878*x^13 - 59426051614*x^12 - 41669625681*x^11 + 28925723617*x^10 + 12801135185*x^9 - 9040896625*x^8 - 2361871747*x^7 + 1634960586*x^6 + 220971916*x^5 - 138137957*x^4 - 6471646*x^3 + 2629951*x^2 - 42866*x - 5032, x^42 - 4*x^41 - 60*x^40 + 255*x^39 + 1618*x^38 - 7428*x^37 - 25793*x^36 + 131041*x^35 + 267911*x^34 - 1564348*x^33 - 1866930*x^32 + 13373304*x^31 + 8416102*x^30 - 84488659*x^29 - 19183838*x^28 + 401211843*x^27 - 30995397*x^26 - 1441781619*x^25 + 463218861*x^24 + 3912803825*x^23 - 2079596721*x^22 - 7925672982*x^21 + 5804833714*x^20 + 11675863633*x^19 - 11191796325*x^18 - 11847205939*x^17 + 15264925654*x^16 + 7175446784*x^15 - 14636892454*x^14 - 1006210653*x^13 + 9602541680*x^12 - 2207074405*x^11 - 4092974058*x^10 + 1968343981*x^9 + 1025829659*x^8 - 772225000*x^7 - 114445985*x^6 + 150762746*x^5 - 3646083*x^4 - 11891856*x^3 + 1590732*x^2 + 2697*x - 4144, x^42 - 4*x^41 - 60*x^40 + 255*x^39 + 1618*x^38 - 7428*x^37 - 25793*x^36 + 131041*x^35 + 267911*x^34 - 1564348*x^33 - 1866930*x^32 + 13373304*x^31 + 8416102*x^30 - 84488659*x^29 - 19183838*x^28 + 401211843*x^27 - 30995397*x^26 - 1441781619*x^25 + 463218861*x^24 + 3912803825*x^23 - 2079596721*x^22 - 7925672982*x^21 + 5804833714*x^20 + 11675863633*x^19 - 11191796325*x^18 - 11847205939*x^17 + 15264925654*x^16 + 7175446784*x^15 - 14636892454*x^14 - 1006210653*x^13 + 9602541680*x^12 - 2207074405*x^11 - 4092974058*x^10 + 1968343981*x^9 + 1025829659*x^8 - 772225000*x^7 - 114445985*x^6 + 150762746*x^5 - 3646083*x^4 - 11891856*x^3 + 1590732*x^2 + 2697*x - 4144, x^41 - 3*x^40 - 62*x^39 + 187*x^38 + 1760*x^37 - 5336*x^36 - 30344*x^35 + 92456*x^34 + 355399*x^33 - 1088072*x^32 - 2996466*x^31 + 9217943*x^30 + 18799949*x^29 - 58141568*x^28 - 89462669*x^27 + 278587081*x^26 + 325976421*x^25 - 1025813164*x^24 - 910947526*x^23 + 2918454060*x^22 + 1939913873*x^21 - 6418257365*x^20 - 3095594129*x^19 + 10866830427*x^18 + 3575810176*x^17 - 14040065123*x^16 - 2770331696*x^15 + 13639638137*x^14 + 1127973021*x^13 - 9736473676*x^12 + 159006775*x^11 + 4928737733*x^10 - 485882430*x^9 - 1673828221*x^8 + 268189246*x^7 + 348399801*x^6 - 67906475*x^5 - 37439567*x^4 + 7101783*x^3 + 1265471*x^2 - 82591*x - 2145, x^41 - 3*x^40 - 62*x^39 + 187*x^38 + 1760*x^37 - 5336*x^36 - 30344*x^35 + 92456*x^34 + 355399*x^33 - 1088072*x^32 - 2996466*x^31 + 9217943*x^30 + 18799949*x^29 - 58141568*x^28 - 89462669*x^27 + 278587081*x^26 + 325976421*x^25 - 1025813164*x^24 - 910947526*x^23 + 2918454060*x^22 + 1939913873*x^21 - 6418257365*x^20 - 3095594129*x^19 + 10866830427*x^18 + 3575810176*x^17 - 14040065123*x^16 - 2770331696*x^15 + 13639638137*x^14 + 1127973021*x^13 - 9736473676*x^12 + 159006775*x^11 + 4928737733*x^10 - 485882430*x^9 - 1673828221*x^8 + 268189246*x^7 + 348399801*x^6 - 67906475*x^5 - 37439567*x^4 + 7101783*x^3 + 1265471*x^2 - 82591*x - 2145, -x^38 + x^37 + 64*x^36 - 77*x^35 - 1832*x^34 + 2563*x^33 + 30943*x^32 - 49492*x^31 - 342257*x^30 + 623761*x^29 + 2595084*x^28 - 5450178*x^27 - 13644728*x^26 + 34127794*x^25 + 48449611*x^24 - 155758361*x^23 - 102892294*x^22 + 520683689*x^21 + 48585678*x^20 - 1266838138*x^19 + 461846004*x^18 + 2198117225*x^17 - 1712580512*x^16 - 2601922708*x^15 + 3221748789*x^14 + 1891169397*x^13 - 3749646542*x^12 - 554967712*x^11 + 2747027126*x^10 - 285504186*x^9 - 1206471111*x^8 + 319752929*x^7 + 279701235*x^6 - 105558624*x^5 - 24147036*x^4 + 11499977*x^3 - 163450*x^2 - 35892*x - 51, -x^38 + x^37 + 64*x^36 - 77*x^35 - 1832*x^34 + 2563*x^33 + 30943*x^32 - 49492*x^31 - 342257*x^30 + 623761*x^29 + 2595084*x^28 - 5450178*x^27 - 13644728*x^26 + 34127794*x^25 + 48449611*x^24 - 155758361*x^23 - 102892294*x^22 + 520683689*x^21 + 48585678*x^20 - 1266838138*x^19 + 461846004*x^18 + 2198117225*x^17 - 1712580512*x^16 - 2601922708*x^15 + 3221748789*x^14 + 1891169397*x^13 - 3749646542*x^12 - 554967712*x^11 + 2747027126*x^10 - 285504186*x^9 - 1206471111*x^8 + 319752929*x^7 + 279701235*x^6 - 105558624*x^5 - 24147036*x^4 + 11499977*x^3 - 163450*x^2 - 35892*x - 51, 2*x^38 - 7*x^37 - 120*x^36 + 430*x^35 + 3257*x^34 - 12019*x^33 - 52858*x^32 + 202455*x^31 + 570939*x^30 - 2294460*x^29 - 4319033*x^28 + 18497991*x^27 + 23402801*x^26 - 109377017*x^25 - 90936863*x^24 + 481998940*x^23 + 247087443*x^22 - 1592616445*x^21 - 431329276*x^20 + 3937557138*x^19 + 328359300*x^18 - 7213242404*x^17 + 459532835*x^16 + 9611979779*x^15 - 1721698295*x^14 - 9047228858*x^13 + 2420867563*x^12 + 5750949719*x^11 - 1898304131*x^10 - 2302770589*x^9 + 834137779*x^8 + 517277146*x^7 - 179099969*x^6 - 51760934*x^5 + 10406954*x^4 + 1290898*x^3 + 960189*x^2 - 53939*x - 1701, 2*x^38 - 7*x^37 - 120*x^36 + 430*x^35 + 3257*x^34 - 12019*x^33 - 52858*x^32 + 202455*x^31 + 570939*x^30 - 2294460*x^29 - 4319033*x^28 + 18497991*x^27 + 23402801*x^26 - 109377017*x^25 - 90936863*x^24 + 481998940*x^23 + 247087443*x^22 - 1592616445*x^21 - 431329276*x^20 + 3937557138*x^19 + 328359300*x^18 - 7213242404*x^17 + 459532835*x^16 + 9611979779*x^15 - 1721698295*x^14 - 9047228858*x^13 + 2420867563*x^12 + 5750949719*x^11 - 1898304131*x^10 - 2302770589*x^9 + 834137779*x^8 + 517277146*x^7 - 179099969*x^6 - 51760934*x^5 + 10406954*x^4 + 1290898*x^3 + 960189*x^2 - 53939*x - 1701]>
       ]
>;

MOG[883] := 	// J_0(883)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [55, 57, 374, 521, 534, 845, 540*x + 859, 343*x + 859, 161*x + 705, 722*x + 705, 419*x + 826, 464*x + 826, 366*x + 787, 517*x + 787, 664*x + 77, 219*x + 77, 410*x + 747, 473*x + 747, 658*x + 492, 225*x + 492, 360*x + 700, 523*x + 700, 50*x + 337, 833*x + 337, 451*x + 133, 432*x + 133, 144*x + 139, 739*x + 139, 685*x + 388, 198*x + 388, 615*x + 598, 268*x + 598, 802*x + 690, 81*x + 690, 706*x + 293, 177*x + 293, 61*x + 274, 822*x + 274, 374*x + 132, 509*x + 132, 540*x + 690, 343*x + 690, 630*x + 221, 253*x + 221, 183*x + 254, 700*x + 254, 512*x + 77, 371*x + 77, 657*x + 339, 226*x + 339, 667*x + 247, 216*x + 247, 517*x + 63, 366*x + 63, 588*x + 52, 295*x + 52, 224*x + 405, 659*x + 405, 274*x + 234, 609*x + 234, 693*x + 701, 190*x + 701, 134*x + 295, 749*x + 295, 419*x + 633, 464*x + 633, 382*x + 444, 501*x + 444, 739*x + 646, 144*x + 646, 401*x + 818, 482*x + 818, 627*x + 807, 256*x + 807]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^34 + 12*x^33 + 22*x^32 - 285*x^31 - 1286*x^30 + 1895*x^29 + 20231*x^28 + 10391*x^27 - 162911*x^26 - 257005*x^25 + 747098*x^24 + 1983166*x^23 - 1781618*x^22 - 8766764*x^21 + 295582*x^20 + 24658064*x^19 + 12129581*x^18 - 44772512*x^17 - 40852444*x^16 + 50038389*x^15 + 69969961*x^14 - 28468531*x^13 - 70206045*x^12 - 372881*x^11 + 40501157*x^10 + 10268547*x^9 - 12076603*x^8 - 5184757*x^7 + 1470831*x^6 + 964105*x^5 - 4399*x^4 - 58720*x^3 - 5260*x^2 + 792*x + 81,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x^33 - 12*x^32 - 24*x^31 + 261*x^30 + 1234*x^29 - 1419*x^28 - 17851*x^27 - 12313*x^26 + 131347*x^25 + 227903*x^24 - 538532*x^23 - 1563876*x^22 + 1059754*x^21 + 6233333*x^20 + 554859*x^19 - 15764201*x^18 - 8993965*x^17 + 25479611*x^16 + 24720069*x^15 - 24854205*x^14 - 36274346*x^13 + 11677424*x^12 + 31071497*x^11 + 1058234*x^10 - 14924193*x^9 - 3668792*x^8 + 3512913*x^7 + 1336398*x^6 - 313984*x^5 - 160729*x^4 + 3780*x^3 + 5033*x^2 - x - 36, x^33 + 12*x^32 + 24*x^31 - 261*x^30 - 1234*x^29 + 1419*x^28 + 17851*x^27 + 12313*x^26 - 131347*x^25 - 227903*x^24 + 538532*x^23 + 1563876*x^22 - 1059754*x^21 - 6233333*x^20 - 554859*x^19 + 15764201*x^18 + 8993965*x^17 - 25479611*x^16 - 24720069*x^15 + 24854205*x^14 + 36274346*x^13 - 11677424*x^12 - 31071497*x^11 - 1058234*x^10 + 14924193*x^9 + 3668792*x^8 - 3512913*x^7 - 1336398*x^6 + 313984*x^5 + 160729*x^4 - 3780*x^3 - 5033*x^2 + x + 36, -x^32 - 12*x^31 - 26*x^30 + 237*x^29 + 1178*x^28 - 992*x^27 - 15603*x^26 - 13505*x^25 + 104235*x^24 + 198866*x^23 - 376688*x^22 - 1215311*x^21 + 568292*x^20 + 4353362*x^19 + 946510*x^18 - 9830416*x^17 - 6551211*x^16 + 13952379*x^15 + 14838572*x^14 - 11521939*x^13 - 18552853*x^12 + 3969067*x^11 + 13433640*x^10 + 1232286*x^9 - 5291811*x^8 - 1497476*x^7 + 937889*x^6 + 410285*x^5 - 35666*x^4 - 33374*x^3 - 2521*x^2 + 493*x + 54, x^32 + 12*x^31 + 26*x^30 - 237*x^29 - 1178*x^28 + 992*x^27 + 15603*x^26 + 13505*x^25 - 104235*x^24 - 198866*x^23 + 376688*x^22 + 1215311*x^21 - 568292*x^20 - 4353362*x^19 - 946510*x^18 + 9830416*x^17 + 6551211*x^16 - 13952379*x^15 - 14838572*x^14 + 11521939*x^13 + 18552853*x^12 - 3969067*x^11 - 13433640*x^10 - 1232286*x^9 + 5291811*x^8 + 1497476*x^7 - 937889*x^6 - 410285*x^5 + 35666*x^4 + 33374*x^3 + 2521*x^2 - 493*x - 54, -x^32 - 12*x^31 - 26*x^30 + 239*x^29 + 1202*x^28 - 930*x^27 - 15961*x^26 - 15597*x^25 + 104331*x^24 + 220424*x^23 - 345176*x^22 - 1318120*x^21 + 282149*x^20 + 4540501*x^19 + 2189106*x^18 - 9462485*x^17 - 9581164*x^16 + 11231805*x^15 + 18857043*x^14 - 5269168*x^13 - 20581695*x^12 - 3283714*x^11 + 12143324*x^10 + 5367469*x^9 - 3271879*x^8 - 2350883*x^7 + 218958*x^6 + 393091*x^5 + 35047*x^4 - 20313*x^3 - 2740*x^2 + 263*x + 27, x^32 + 12*x^31 + 26*x^30 - 239*x^29 - 1202*x^28 + 930*x^27 + 15961*x^26 + 15597*x^25 - 104331*x^24 - 220424*x^23 + 345176*x^22 + 1318120*x^21 - 282149*x^20 - 4540501*x^19 - 2189106*x^18 + 9462485*x^17 + 9581164*x^16 - 11231805*x^15 - 18857043*x^14 + 5269168*x^13 + 20581695*x^12 + 3283714*x^11 - 12143324*x^10 - 5367469*x^9 + 3271879*x^8 + 2350883*x^7 - 218958*x^6 - 393091*x^5 - 35047*x^4 + 20313*x^3 + 2740*x^2 - 263*x - 27, -x^31 - 12*x^30 - 28*x^29 + 213*x^28 + 1119*x^27 - 602*x^26 - 13462*x^25 - 14221*x^24 + 80297*x^23 + 170779*x^22 - 244587*x^21 - 918147*x^20 + 203574*x^19 + 2879353*x^18 + 1159263*x^17 - 5516078*x^16 - 4707595*x^15 + 6162902*x^14 + 8282073*x^13 - 3166955*x^12 - 7845472*x^11 - 435045*x^10 + 3796702*x^9 + 1182717*x^8 - 725080*x^7 - 359963*x^6 + 25302*x^5 + 28551*x^4 + 505*x^3 - 1113*x^2 - 119*x, x^31 + 12*x^30 + 28*x^29 - 213*x^28 - 1119*x^27 + 602*x^26 + 13462*x^25 + 14221*x^24 - 80297*x^23 - 170779*x^22 + 244587*x^21 + 918147*x^20 - 203574*x^19 - 2879353*x^18 - 1159263*x^17 + 5516078*x^16 + 4707595*x^15 - 6162902*x^14 - 8282073*x^13 + 3166955*x^12 + 7845472*x^11 + 435045*x^10 - 3796702*x^9 - 1182717*x^8 + 725080*x^7 + 359963*x^6 - 25302*x^5 - 28551*x^4 - 505*x^3 + 1113*x^2 + 119*x, -x^31 - 12*x^30 - 28*x^29 + 214*x^28 + 1129*x^27 - 590*x^26 - 13650*x^25 - 14816*x^24 + 81547*x^23 + 177786*x^22 - 246875*x^21 - 961824*x^20 + 188077*x^19 + 3054432*x^18 + 1283491*x^17 - 6011154*x^16 - 5173902*x^15 + 7169364*x^14 + 9439420*x^13 - 4541402*x^12 - 9792385*x^11 + 609097*x^10 + 5835680*x^9 + 988599*x^8 - 1849944*x^7 - 566150*x^6 + 253016*x^5 + 98804*x^4 - 6806*x^3 - 3427*x^2 + 174*x + 36, x^31 + 12*x^30 + 28*x^29 - 214*x^28 - 1129*x^27 + 590*x^26 + 13650*x^25 + 14816*x^24 - 81547*x^23 - 177786*x^22 + 246875*x^21 + 961824*x^20 - 188077*x^19 - 3054432*x^18 - 1283491*x^17 + 6011154*x^16 + 5173902*x^15 - 7169364*x^14 - 9439420*x^13 + 4541402*x^12 + 9792385*x^11 - 609097*x^10 - 5835680*x^9 - 988599*x^8 + 1849944*x^7 + 566150*x^6 - 253016*x^5 - 98804*x^4 + 6806*x^3 + 3427*x^2 - 174*x - 36, -x^31 - 11*x^30 - 16*x^29 + 244*x^28 + 939*x^27 - 1657*x^26 - 13414*x^25 - 3214*x^24 + 96568*x^23 + 117302*x^22 - 395964*x^21 - 818403*x^20 + 885218*x^19 + 3088159*x^18 - 595448*x^17 - 7144436*x^16 - 2172416*x^15 + 10262530*x^14 + 6748905*x^13 - 8660362*x^12 - 8655437*x^11 + 3580833*x^10 + 5699066*x^9 - 221564*x^8 - 1833812*x^7 - 227360*x^6 + 269074*x^5 + 47934*x^4 - 16375*x^3 - 2862*x^2 + 345*x + 45, x^31 + 11*x^30 + 16*x^29 - 244*x^28 - 939*x^27 + 1657*x^26 + 13414*x^25 + 3214*x^24 - 96568*x^23 - 117302*x^22 + 395964*x^21 + 818403*x^20 - 885218*x^19 - 3088159*x^18 + 595448*x^17 + 7144436*x^16 + 2172416*x^15 - 10262530*x^14 - 6748905*x^13 + 8660362*x^12 + 8655437*x^11 - 3580833*x^10 - 5699066*x^9 + 221564*x^8 + 1833812*x^7 + 227360*x^6 - 269074*x^5 - 47934*x^4 + 16375*x^3 + 2862*x^2 - 345*x - 45, -x^31 - 11*x^30 - 16*x^29 + 245*x^28 + 951*x^27 - 1627*x^26 - 13602*x^25 - 4265*x^24 + 96788*x^23 + 128454*x^22 - 381641*x^21 - 874429*x^20 + 749029*x^19 + 3213557*x^18 + 8249*x^17 - 7103370*x^16 - 3690610*x^15 + 9322507*x^14 + 8943746*x^13 - 6300776*x^12 - 10272736*x^11 + 728402*x^10 + 5953248*x^9 + 1539473*x^8 - 1460143*x^7 - 715947*x^6 + 79957*x^5 + 92482*x^4 + 9855*x^3 - 1908*x^2 - 317*x - 9, x^31 + 11*x^30 + 16*x^29 - 245*x^28 - 951*x^27 + 1627*x^26 + 13602*x^25 + 4265*x^24 - 96788*x^23 - 128454*x^22 + 381641*x^21 + 874429*x^20 - 749029*x^19 - 3213557*x^18 - 8249*x^17 + 7103370*x^16 + 3690610*x^15 - 9322507*x^14 - 8943746*x^13 + 6300776*x^12 + 10272736*x^11 - 728402*x^10 - 5953248*x^9 - 1539473*x^8 + 1460143*x^7 + 715947*x^6 - 79957*x^5 - 92482*x^4 - 9855*x^3 + 1908*x^2 + 317*x + 9, -x^30 - 12*x^29 - 30*x^28 + 191*x^27 + 1077*x^26 - 222*x^25 - 11772*x^24 - 15593*x^23 + 61531*x^22 + 155713*x^21 - 144128*x^20 - 739145*x^19 - 65568*x^18 + 2038144*x^17 + 1365047*x^16 - 3335145*x^15 - 3901068*x^14 + 2918225*x^13 + 5668982*x^12 - 635606*x^11 - 4511038*x^10 - 1055776*x^9 + 1763223*x^8 + 849482*x^7 - 205378*x^6 - 184457*x^5 - 20833*x^4 + 5326*x^3 + 1142*x^2 - 13*x - 18, x^30 + 12*x^29 + 30*x^28 - 191*x^27 - 1077*x^26 + 222*x^25 + 11772*x^24 + 15593*x^23 - 61531*x^22 - 155713*x^21 + 144128*x^20 + 739145*x^19 + 65568*x^18 - 2038144*x^17 - 1365047*x^16 + 3335145*x^15 + 3901068*x^14 - 2918225*x^13 - 5668982*x^12 + 635606*x^11 + 4511038*x^10 + 1055776*x^9 - 1763223*x^8 - 849482*x^7 + 205378*x^6 + 184457*x^5 + 20833*x^4 - 5326*x^3 - 1142*x^2 + 13*x + 18, -x^30 - 12*x^29 - 29*x^28 + 199*x^27 + 1064*x^26 - 494*x^25 - 12166*x^24 - 12494*x^23 + 70570*x^22 + 141451*x^21 - 220590*x^20 - 734864*x^19 + 278321*x^18 + 2276194*x^17 + 478569*x^16 - 4454332*x^15 - 2655431*x^14 + 5436759*x^13 + 5038399*x^12 - 3768506*x^11 - 5125900*x^10 + 1006207*x^9 + 2803508*x^8 + 288031*x^7 - 707209*x^6 - 197277*x^5 + 57004*x^4 + 26935*x^3 + 1260*x^2 - 480*x - 36, x^30 + 12*x^29 + 29*x^28 - 199*x^27 - 1064*x^26 + 494*x^25 + 12166*x^24 + 12494*x^23 - 70570*x^22 - 141451*x^21 + 220590*x^20 + 734864*x^19 - 278321*x^18 - 2276194*x^17 - 478569*x^16 + 4454332*x^15 + 2655431*x^14 - 5436759*x^13 - 5038399*x^12 + 3768506*x^11 + 5125900*x^10 - 1006207*x^9 - 2803508*x^8 - 288031*x^7 + 707209*x^6 + 197277*x^5 - 57004*x^4 - 26935*x^3 - 1260*x^2 + 480*x + 36, -x^30 - 11*x^29 - 19*x^28 + 211*x^27 + 878*x^26 - 1065*x^25 - 10840*x^24 - 5679*x^23 + 66688*x^22 + 96339*x^21 - 225794*x^20 - 535746*x^19 + 379315*x^18 + 1655581*x^17 - 24094*x^16 - 3117402*x^15 - 1169662*x^14 + 3618133*x^13 + 2285757*x^12 - 2535339*x^11 - 2083600*x^10 + 1055456*x^9 + 1025997*x^8 - 266592*x^7 - 288859*x^6 + 27292*x^5 + 36876*x^4 + 247*x^3 - 1257*x^2 + 16*x + 9, x^30 + 11*x^29 + 19*x^28 - 211*x^27 - 878*x^26 + 1065*x^25 + 10840*x^24 + 5679*x^23 - 66688*x^22 - 96339*x^21 + 225794*x^20 + 535746*x^19 - 379315*x^18 - 1655581*x^17 + 24094*x^16 + 3117402*x^15 + 1169662*x^14 - 3618133*x^13 - 2285757*x^12 + 2535339*x^11 + 2083600*x^10 - 1055456*x^9 - 1025997*x^8 + 266592*x^7 + 288859*x^6 - 27292*x^5 - 36876*x^4 - 247*x^3 + 1257*x^2 - 16*x - 9, -x^30 - 12*x^29 - 30*x^28 + 191*x^27 + 1075*x^26 - 246*x^25 - 11848*x^24 - 15401*x^23 + 63125*x^22 + 157148*x^21 - 154421*x^20 - 763184*x^19 - 42334*x^18 + 2163681*x^17 + 1401403*x^16 - 3665613*x^15 - 4229490*x^14 + 3362404*x^13 + 6474711*x^12 - 824631*x^11 - 5514360*x^10 - 1299143*x^9 + 2415870*x^8 + 1197918*x^7 - 396014*x^6 - 338773*x^5 - 8016*x^4 + 29700*x^3 + 3952*x^2 - 473*x - 63, x^30 + 12*x^29 + 30*x^28 - 191*x^27 - 1075*x^26 + 246*x^25 + 11848*x^24 + 15401*x^23 - 63125*x^22 - 157148*x^21 + 154421*x^20 + 763184*x^19 + 42334*x^18 - 2163681*x^17 - 1401403*x^16 + 3665613*x^15 + 4229490*x^14 - 3362404*x^13 - 6474711*x^12 + 824631*x^11 + 5514360*x^10 + 1299143*x^9 - 2415870*x^8 - 1197918*x^7 + 396014*x^6 + 338773*x^5 + 8016*x^4 - 29700*x^3 - 3952*x^2 + 473*x + 63, -x^30 - 11*x^29 - 19*x^28 + 212*x^27 + 890*x^26 - 1031*x^25 - 10977*x^24 - 6554*x^23 + 66514*x^22 + 103753*x^21 - 215334*x^20 - 567124*x^19 + 303605*x^18 + 1722601*x^17 + 264312*x^16 - 3141691*x^15 - 1845608*x^14 + 3357711*x^13 + 3265896*x^12 - 1790890*x^11 - 2863425*x^10 + 110033*x^9 + 1216503*x^8 + 289711*x^7 - 177244*x^6 - 76083*x^5 - 3488*x^4 + 1076*x^3 + 223*x^2 + 127*x + 18, x^30 + 11*x^29 + 19*x^28 - 212*x^27 - 890*x^26 + 1031*x^25 + 10977*x^24 + 6554*x^23 - 66514*x^22 - 103753*x^21 + 215334*x^20 + 567124*x^19 - 303605*x^18 - 1722601*x^17 - 264312*x^16 + 3141691*x^15 + 1845608*x^14 - 3357711*x^13 - 3265896*x^12 + 1790890*x^11 + 2863425*x^10 - 110033*x^9 - 1216503*x^8 - 289711*x^7 + 177244*x^6 + 76083*x^5 + 3488*x^4 - 1076*x^3 - 223*x^2 - 127*x - 18, -x^30 - 10*x^29 - 6*x^28 + 254*x^27 + 732*x^26 - 2270*x^25 - 11808*x^24 + 4818*x^23 + 91989*x^22 + 62050*x^21 - 407549*x^20 - 577915*x^19 + 1032700*x^18 + 2367364*x^17 - 1212816*x^16 - 5599908*x^15 - 590790*x^14 + 7912138*x^13 + 4008183*x^12 - 6260620*x^11 - 5461674*x^10 + 2125252*x^9 + 3351209*x^8 + 174793*x^7 - 854948*x^6 - 220652*x^5 + 67290*x^4 + 28260*x^3 + 515*x^2 - 589*x - 36, x^30 + 10*x^29 + 6*x^28 - 254*x^27 - 732*x^26 + 2270*x^25 + 11808*x^24 - 4818*x^23 - 91989*x^22 - 62050*x^21 + 407549*x^20 + 577915*x^19 - 1032700*x^18 - 2367364*x^17 + 1212816*x^16 + 5599908*x^15 + 590790*x^14 - 7912138*x^13 - 4008183*x^12 + 6260620*x^11 + 5461674*x^10 - 2125252*x^9 - 3351209*x^8 - 174793*x^7 + 854948*x^6 + 220652*x^5 - 67290*x^4 - 28260*x^3 - 515*x^2 + 589*x + 36, -x^29 - 12*x^28 - 32*x^27 + 169*x^26 + 1035*x^25 + 160*x^24 - 10058*x^23 - 16889*x^22 + 42574*x^21 + 139059*x^20 - 45128*x^19 - 550092*x^18 - 310882*x^17 + 1176121*x^16 + 1451104*x^15 - 1198686*x^14 - 2804005*x^13 - 5048*x^12 + 2738246*x^11 + 1207251*x^10 - 1178405*x^9 - 987607*x^8 + 65223*x^7 + 234982*x^6 + 40291*x^5 - 11620*x^4 - 1740*x^3 + 528*x^2 + 103*x + 9, x^29 + 12*x^28 + 32*x^27 - 169*x^26 - 1035*x^25 - 160*x^24 + 10058*x^23 + 16889*x^22 - 42574*x^21 - 139059*x^20 + 45128*x^19 + 550092*x^18 + 310882*x^17 - 1176121*x^16 - 1451104*x^15 + 1198686*x^14 + 2804005*x^13 + 5048*x^12 - 2738246*x^11 - 1207251*x^10 + 1178405*x^9 + 987607*x^8 - 65223*x^7 - 234982*x^6 - 40291*x^5 + 11620*x^4 + 1740*x^3 - 528*x^2 - 103*x - 9, -x^29 - 10*x^28 - 10*x^27 + 211*x^26 + 655*x^25 - 1532*x^24 - 8708*x^23 + 1823*x^22 + 57885*x^21 + 39943*x^20 - 224014*x^19 - 291117*x^18 + 516666*x^17 + 1004812*x^16 - 644577*x^15 - 2045991*x^14 + 190914*x^13 + 2536397*x^12 + 596188*x^11 - 1827982*x^10 - 855074*x^9 + 654372*x^8 + 454479*x^7 - 59476*x^6 - 86426*x^5 - 11605*x^4 + 2377*x^3 + 572*x^2 - 2*x - 9, x^29 + 10*x^28 + 10*x^27 - 211*x^26 - 655*x^25 + 1532*x^24 + 8708*x^23 - 1823*x^22 - 57885*x^21 - 39943*x^20 + 224014*x^19 + 291117*x^18 - 516666*x^17 - 1004812*x^16 + 644577*x^15 + 2045991*x^14 - 190914*x^13 - 2536397*x^12 - 596188*x^11 + 1827982*x^10 + 855074*x^9 - 654372*x^8 - 454479*x^7 + 59476*x^6 + 86426*x^5 + 11605*x^4 - 2377*x^3 - 572*x^2 + 2*x + 9, -x^29 - 11*x^28 - 20*x^27 + 197*x^26 + 820*x^25 - 998*x^24 - 9708*x^23 - 3743*x^22 + 60139*x^21 + 72248*x^20 - 219497*x^19 - 416652*x^18 + 465605*x^17 + 1352392*x^16 - 447924*x^15 - 2727302*x^14 - 267099*x^13 + 3446788*x^12 + 1270014*x^11 - 2623572*x^10 - 1469981*x^9 + 1091843*x^8 + 797859*x^7 - 196967*x^6 - 201617*x^5 + 1452*x^4 + 19675*x^3 + 2467*x^2 - 225*x - 27, x^29 + 11*x^28 + 20*x^27 - 197*x^26 - 820*x^25 + 998*x^24 + 9708*x^23 + 3743*x^22 - 60139*x^21 - 72248*x^20 + 219497*x^19 + 416652*x^18 - 465605*x^17 - 1352392*x^16 + 447924*x^15 + 2727302*x^14 + 267099*x^13 - 3446788*x^12 - 1270014*x^11 + 2623572*x^10 + 1469981*x^9 - 1091843*x^8 - 797859*x^7 + 196967*x^6 + 201617*x^5 - 1452*x^4 - 19675*x^3 - 2467*x^2 + 225*x + 27, -3*x^28 - 35*x^27 - 89*x^26 + 476*x^25 + 2725*x^24 - 19*x^23 - 25585*x^22 - 36142*x^21 + 111035*x^20 + 294244*x^19 - 186507*x^18 - 1146299*x^17 - 290646*x^16 + 2500088*x^15 + 2001159*x^14 - 2976575*x^13 - 4048339*x^12 + 1449558*x^11 + 4064824*x^10 + 476787*x^9 - 1986529*x^8 - 779988*x^7 + 359653*x^6 + 233319*x^5 - 3068*x^4 - 18920*x^3 - 1834*x^2 + 308*x + 27, 3*x^28 + 35*x^27 + 89*x^26 - 476*x^25 - 2725*x^24 + 19*x^23 + 25585*x^22 + 36142*x^21 - 111035*x^20 - 294244*x^19 + 186507*x^18 + 1146299*x^17 + 290646*x^16 - 2500088*x^15 - 2001159*x^14 + 2976575*x^13 + 4048339*x^12 - 1449558*x^11 - 4064824*x^10 - 476787*x^9 + 1986529*x^8 + 779988*x^7 - 359653*x^6 - 233319*x^5 + 3068*x^4 + 18920*x^3 + 1834*x^2 - 308*x - 27, -2*x^29 - 22*x^28 - 40*x^27 + 403*x^26 + 1745*x^25 - 1703*x^24 - 20538*x^23 - 14759*x^22 + 117420*x^21 + 200284*x^20 - 344508*x^19 - 1019536*x^18 + 347996*x^17 + 2869658*x^16 + 886838*x^15 - 4720893*x^14 - 3535530*x^13 + 4291820*x^12 + 5173446*x^11 - 1637241*x^10 - 3754227*x^9 - 229194*x^8 + 1294493*x^7 + 304583*x^6 - 188848*x^5 - 61681*x^4 + 5796*x^3 + 2186*x^2 - 149*x - 27, 2*x^29 + 22*x^28 + 40*x^27 - 403*x^26 - 1745*x^25 + 1703*x^24 + 20538*x^23 + 14759*x^22 - 117420*x^21 - 200284*x^20 + 344508*x^19 + 1019536*x^18 - 347996*x^17 - 2869658*x^16 - 886838*x^15 + 4720893*x^14 + 3535530*x^13 - 4291820*x^12 - 5173446*x^11 + 1637241*x^10 + 3754227*x^9 + 229194*x^8 - 1294493*x^7 - 304583*x^6 + 188848*x^5 + 61681*x^4 - 5796*x^3 - 2186*x^2 + 149*x + 27, -x^29 - 11*x^28 - 20*x^27 + 200*x^26 + 853*x^25 - 924*x^24 - 10149*x^23 - 5915*x^22 + 60820*x^21 + 91355*x^20 - 200853*x^19 - 498831*x^18 + 317388*x^17 + 1536838*x^16 + 88829*x^15 - 2895026*x^14 - 1391749*x^13 + 3297429*x^12 + 2705315*x^11 - 2049253*x^10 - 2552326*x^9 + 441606*x^8 + 1207515*x^7 + 141797*x^6 - 234589*x^5 - 60470*x^4 + 11267*x^3 + 3391*x^2 - 155*x - 36, x^29 + 11*x^28 + 20*x^27 - 200*x^26 - 853*x^25 + 924*x^24 + 10149*x^23 + 5915*x^22 - 60820*x^21 - 91355*x^20 + 200853*x^19 + 498831*x^18 - 317388*x^17 - 1536838*x^16 - 88829*x^15 + 2895026*x^14 + 1391749*x^13 - 3297429*x^12 - 2705315*x^11 + 2049253*x^10 + 2552326*x^9 - 441606*x^8 - 1207515*x^7 - 141797*x^6 + 234589*x^5 + 60470*x^4 - 11267*x^3 - 3391*x^2 + 155*x + 36, -x^29 - 12*x^28 - 34*x^27 + 144*x^26 + 949*x^25 + 339*x^24 - 8273*x^23 - 14723*x^22 + 31634*x^21 + 107285*x^20 - 29558*x^19 - 391920*x^18 - 199476*x^17 + 808703*x^16 + 855583*x^15 - 911934*x^14 - 1572960*x^13 + 419342*x^12 + 1572710*x^11 + 141013*x^10 - 867484*x^9 - 232287*x^8 + 246415*x^7 + 85580*x^6 - 26443*x^5 - 8634*x^4 - 509*x^3 - 437*x^2 - 82*x, x^29 + 12*x^28 + 34*x^27 - 144*x^26 - 949*x^25 - 339*x^24 + 8273*x^23 + 14723*x^22 - 31634*x^21 - 107285*x^20 + 29558*x^19 + 391920*x^18 + 199476*x^17 - 808703*x^16 - 855583*x^15 + 911934*x^14 + 1572960*x^13 - 419342*x^12 - 1572710*x^11 - 141013*x^10 + 867484*x^9 + 232287*x^8 - 246415*x^7 - 85580*x^6 + 26443*x^5 + 8634*x^4 + 509*x^3 + 437*x^2 + 82*x, -x^29 - 10*x^28 - 9*x^27 + 223*x^26 + 692*x^25 - 1637*x^24 - 9516*x^23 + 1210*x^22 + 63210*x^21 + 50995*x^20 - 237105*x^19 - 346022*x^18 + 511764*x^17 + 1133087*x^16 - 560030*x^15 - 2183926*x^14 + 52521*x^13 + 2577652*x^12 + 618566*x^11 - 1833559*x^10 - 728336*x^9 + 740469*x^8 + 362075*x^7 - 153306*x^6 - 83714*x^5 + 14823*x^4 + 10802*x^3 + 803*x^2 - 178*x - 18, x^29 + 10*x^28 + 9*x^27 - 223*x^26 - 692*x^25 + 1637*x^24 + 9516*x^23 - 1210*x^22 - 63210*x^21 - 50995*x^20 + 237105*x^19 + 346022*x^18 - 511764*x^17 - 1133087*x^16 + 560030*x^15 + 2183926*x^14 - 52521*x^13 - 2577652*x^12 - 618566*x^11 + 1833559*x^10 + 728336*x^9 - 740469*x^8 - 362075*x^7 + 153306*x^6 + 83714*x^5 - 14823*x^4 - 10802*x^3 - 803*x^2 + 178*x + 18, -x^28 - 11*x^27 - 21*x^26 + 192*x^25 + 869*x^24 - 611*x^23 - 9584*x^22 - 9138*x^21 + 48910*x^20 + 100084*x^19 - 111217*x^18 - 446028*x^17 - 19056*x^16 + 1065451*x^15 + 716967*x^14 - 1344491*x^13 - 1705513*x^12 + 622682*x^11 + 1814562*x^10 + 378989*x^9 - 830415*x^8 - 494478*x^7 + 60424*x^6 + 123100*x^5 + 28539*x^4 - 2624*x^3 - 1473*x^2 - 72*x + 9, x^28 + 11*x^27 + 21*x^26 - 192*x^25 - 869*x^24 + 611*x^23 + 9584*x^22 + 9138*x^21 - 48910*x^20 - 100084*x^19 + 111217*x^18 + 446028*x^17 + 19056*x^16 - 1065451*x^15 - 716967*x^14 + 1344491*x^13 + 1705513*x^12 - 622682*x^11 - 1814562*x^10 - 378989*x^9 + 830415*x^8 + 494478*x^7 - 60424*x^6 - 123100*x^5 - 28539*x^4 + 2624*x^3 + 1473*x^2 + 72*x - 9, -x^28 - 11*x^27 - 21*x^26 + 190*x^25 + 845*x^24 - 685*x^23 - 9373*x^22 - 7516*x^21 + 50090*x^20 + 88969*x^19 - 134097*x^18 - 415995*x^17 + 105113*x^16 + 1071008*x^15 + 380096*x^14 - 1578782*x^13 - 1225223*x^12 + 1220175*x^11 + 1518071*x^10 - 310820*x^9 - 867585*x^8 - 120022*x^7 + 185245*x^6 + 49737*x^5 - 9446*x^4 - 2174*x^3 + 434*x^2 + 94*x + 9, x^28 + 11*x^27 + 21*x^26 - 190*x^25 - 845*x^24 + 685*x^23 + 9373*x^22 + 7516*x^21 - 50090*x^20 - 88969*x^19 + 134097*x^18 + 415995*x^17 - 105113*x^16 - 1071008*x^15 - 380096*x^14 + 1578782*x^13 + 1225223*x^12 - 1220175*x^11 - 1518071*x^10 + 310820*x^9 + 867585*x^8 + 120022*x^7 - 185245*x^6 - 49737*x^5 + 9446*x^4 + 2174*x^3 - 434*x^2 - 94*x - 9, -x^28 - 11*x^27 - 21*x^26 + 188*x^25 + 821*x^24 - 765*x^23 - 9221*x^22 - 5993*x^21 + 52088*x^20 + 81107*x^19 - 158738*x^18 - 412038*x^17 + 206594*x^16 + 1167000*x^15 + 204406*x^14 - 1937450*x^13 - 1190733*x^12 + 1763500*x^11 + 1822360*x^10 - 642700*x^9 - 1265180*x^8 - 122923*x^7 + 352286*x^6 + 115015*x^5 - 22506*x^4 - 13666*x^3 - 682*x^2 + 275*x + 18, x^28 + 11*x^27 + 21*x^26 - 188*x^25 - 821*x^24 + 765*x^23 + 9221*x^22 + 5993*x^21 - 52088*x^20 - 81107*x^19 + 158738*x^18 + 412038*x^17 - 206594*x^16 - 1167000*x^15 - 204406*x^14 + 1937450*x^13 + 1190733*x^12 - 1763500*x^11 - 1822360*x^10 + 642700*x^9 + 1265180*x^8 + 122923*x^7 - 352286*x^6 - 115015*x^5 + 22506*x^4 + 13666*x^3 + 682*x^2 - 275*x - 18, -2*x^28 - 20*x^27 - 23*x^26 + 393*x^25 + 1279*x^24 - 2526*x^23 - 15782*x^22 + 192*x^21 + 96620*x^20 + 83334*x^19 - 334924*x^18 - 508524*x^17 + 646620*x^16 + 1538200*x^15 - 520260*x^14 - 2684024*x^13 - 378207*x^12 + 2688988*x^11 + 1192798*x^10 - 1394683*x^9 - 948007*x^8 + 281464*x^7 + 277255*x^6 - 12890*x^5 - 27592*x^4 + 863*x^3 + 885*x^2 - 170*x - 27, 2*x^28 + 20*x^27 + 23*x^26 - 393*x^25 - 1279*x^24 + 2526*x^23 + 15782*x^22 - 192*x^21 - 96620*x^20 - 83334*x^19 + 334924*x^18 + 508524*x^17 - 646620*x^16 - 1538200*x^15 + 520260*x^14 + 2684024*x^13 + 378207*x^12 - 2688988*x^11 - 1192798*x^10 + 1394683*x^9 + 948007*x^8 - 281464*x^7 - 277255*x^6 + 12890*x^5 + 27592*x^4 - 863*x^3 - 885*x^2 + 170*x + 27, -x^28 - 11*x^27 - 22*x^26 + 175*x^25 + 775*x^24 - 663*x^23 - 8220*x^22 - 4973*x^21 + 44923*x^20 + 63500*x^19 - 139109*x^18 - 309455*x^17 + 224264*x^16 + 859416*x^15 - 57285*x^14 - 1456724*x^13 - 471967*x^12 + 1480693*x^11 + 912781*x^10 - 811577*x^9 - 766749*x^8 + 151394*x^7 + 303222*x^6 + 43714*x^5 - 41187*x^4 - 15042*x^3 - 716*x^2 + 282*x + 27, x^28 + 11*x^27 + 22*x^26 - 175*x^25 - 775*x^24 + 663*x^23 + 8220*x^22 + 4973*x^21 - 44923*x^20 - 63500*x^19 + 139109*x^18 + 309455*x^17 - 224264*x^16 - 859416*x^15 + 57285*x^14 + 1456724*x^13 + 471967*x^12 - 1480693*x^11 - 912781*x^10 + 811577*x^9 + 766749*x^8 - 151394*x^7 - 303222*x^6 - 43714*x^5 + 41187*x^4 + 15042*x^3 + 716*x^2 - 282*x - 27, -x^28 - 12*x^27 - 37*x^26 + 109*x^25 + 850*x^24 + 697*x^23 - 5906*x^22 - 13721*x^21 + 13828*x^20 + 77020*x^19 + 29365*x^18 - 208679*x^17 - 255174*x^16 + 253591*x^15 + 655371*x^14 + 33513*x^13 - 853662*x^12 - 483914*x^11 + 582052*x^10 + 590069*x^9 - 182926*x^8 - 332350*x^7 + 9918*x^6 + 96820*x^5 + 10575*x^4 - 11217*x^3 - 2200*x^2 + 165*x + 36, x^28 + 12*x^27 + 37*x^26 - 109*x^25 - 850*x^24 - 697*x^23 + 5906*x^22 + 13721*x^21 - 13828*x^20 - 77020*x^19 - 29365*x^18 + 208679*x^17 + 255174*x^16 - 253591*x^15 - 655371*x^14 - 33513*x^13 + 853662*x^12 + 483914*x^11 - 582052*x^10 - 590069*x^9 + 182926*x^8 + 332350*x^7 - 9918*x^6 - 96820*x^5 - 10575*x^4 + 11217*x^3 + 2200*x^2 - 165*x - 36, -x^28 - 9*x^27 - x^26 + 214*x^25 + 463*x^24 - 1944*x^23 - 7047*x^22 + 7381*x^21 + 50477*x^20 + 1605*x^19 - 208493*x^18 - 123909*x^17 + 528050*x^16 + 509841*x^15 - 829173*x^14 - 1047158*x^13 + 799458*x^12 + 1227345*x^11 - 488483*x^10 - 839545*x^9 + 237415*x^8 + 354842*x^7 - 103437*x^6 - 110711*x^5 + 15742*x^4 + 19402*x^3 + 2066*x^2 - 370*x - 45, x^28 + 9*x^27 + x^26 - 214*x^25 - 463*x^24 + 1944*x^23 + 7047*x^22 - 7381*x^21 - 50477*x^20 - 1605*x^19 + 208493*x^18 + 123909*x^17 - 528050*x^16 - 509841*x^15 + 829173*x^14 + 1047158*x^13 - 799458*x^12 - 1227345*x^11 + 488483*x^10 + 839545*x^9 - 237415*x^8 - 354842*x^7 + 103437*x^6 + 110711*x^5 - 15742*x^4 - 19402*x^3 - 2066*x^2 + 370*x + 45, 2*x^26 + 26*x^25 + 98*x^24 - 137*x^23 - 1833*x^22 - 2802*x^21 + 9935*x^20 + 33995*x^19 - 7153*x^18 - 154202*x^17 - 129726*x^16 + 331314*x^15 + 571162*x^14 - 245999*x^13 - 1077783*x^12 - 301002*x^11 + 986300*x^10 + 726979*x^9 - 337286*x^8 - 499277*x^7 - 51458*x^6 + 111348*x^5 + 37535*x^4 - 2357*x^3 - 2073*x^2 - 166*x, -2*x^26 - 26*x^25 - 98*x^24 + 137*x^23 + 1833*x^22 + 2802*x^21 - 9935*x^20 - 33995*x^19 + 7153*x^18 + 154202*x^17 + 129726*x^16 - 331314*x^15 - 571162*x^14 + 245999*x^13 + 1077783*x^12 + 301002*x^11 - 986300*x^10 - 726979*x^9 + 337286*x^8 + 499277*x^7 + 51458*x^6 - 111348*x^5 - 37535*x^4 + 2357*x^3 + 2073*x^2 + 166*x, -x^27 - 9*x^26 + x^25 + 233*x^24 + 487*x^23 - 2250*x^22 - 8051*x^21 + 8859*x^20 + 60759*x^19 + 4614*x^18 - 259011*x^17 - 185392*x^16 + 652330*x^15 + 789852*x^14 - 923634*x^13 - 1683288*x^12 + 552346*x^11 + 1980872*x^10 + 204801*x^9 - 1214766*x^8 - 445573*x^7 + 311982*x^6 + 179111*x^5 - 15118*x^4 - 20357*x^3 - 2192*x^2 + 243*x + 27, x^27 + 9*x^26 - x^25 - 233*x^24 - 487*x^23 + 2250*x^22 + 8051*x^21 - 8859*x^20 - 60759*x^19 - 4614*x^18 + 259011*x^17 + 185392*x^16 - 652330*x^15 - 789852*x^14 + 923634*x^13 + 1683288*x^12 - 552346*x^11 - 1980872*x^10 - 204801*x^9 + 1214766*x^8 + 445573*x^7 - 311982*x^6 - 179111*x^5 + 15118*x^4 + 20357*x^3 + 2192*x^2 - 243*x - 27, -3*x^27 - 33*x^26 - 73*x^25 + 456*x^24 + 2230*x^23 - 831*x^22 - 20608*x^21 - 20330*x^20 + 92918*x^19 + 176088*x^18 - 209900*x^17 - 684838*x^16 + 131102*x^15 + 1516609*x^14 + 473299*x^13 - 1981039*x^12 - 1291660*x^11 + 1435356*x^10 + 1411537*x^9 - 437349*x^8 - 735774*x^7 - 40218*x^6 + 148366*x^5 + 34952*x^4 - 4048*x^3 - 1471*x^2 - 48*x, 3*x^27 + 33*x^26 + 73*x^25 - 456*x^24 - 2230*x^23 + 831*x^22 + 20608*x^21 + 20330*x^20 - 92918*x^19 - 176088*x^18 + 209900*x^17 + 684838*x^16 - 131102*x^15 - 1516609*x^14 - 473299*x^13 + 1981039*x^12 + 1291660*x^11 - 1435356*x^10 - 1411537*x^9 + 437349*x^8 + 735774*x^7 + 40218*x^6 - 148366*x^5 - 34952*x^4 + 4048*x^3 + 1471*x^2 + 48*x, -x^27 - 12*x^26 - 32*x^25 + 160*x^24 + 931*x^23 - 138*x^22 - 9096*x^21 - 10325*x^20 + 46010*x^19 + 93717*x^18 - 125489*x^17 - 417078*x^16 + 129068*x^15 + 1100114*x^14 + 250310*x^13 - 1756945*x^12 - 1022816*x^11 + 1600989*x^10 + 1418312*x^9 - 685371*x^8 - 914961*x^7 + 40724*x^6 + 242380*x^5 + 32459*x^4 - 20866*x^3 - 4376*x^2 + 177*x + 45, x^27 + 12*x^26 + 32*x^25 - 160*x^24 - 931*x^23 + 138*x^22 + 9096*x^21 + 10325*x^20 - 46010*x^19 - 93717*x^18 + 125489*x^17 + 417078*x^16 - 129068*x^15 - 1100114*x^14 - 250310*x^13 + 1756945*x^12 + 1022816*x^11 - 1600989*x^10 - 1418312*x^9 + 685371*x^8 + 914961*x^7 - 40724*x^6 - 242380*x^5 - 32459*x^4 + 20866*x^3 + 4376*x^2 - 177*x - 45, -x^27 - 13*x^26 - 46*x^25 + 101*x^24 + 998*x^23 + 1080*x^22 - 6801*x^21 - 17530*x^20 + 15734*x^19 + 95659*x^18 + 32365*x^17 - 260344*x^16 - 275182*x^15 + 338188*x^14 + 669472*x^13 - 59791*x^12 - 769718*x^11 - 363313*x^10 + 367265*x^9 + 395159*x^8 + 10668*x^7 - 138807*x^6 - 48978*x^5 + 12969*x^4 + 8883*x^3 + 1267*x^2 + 5*x - 9, x^27 + 13*x^26 + 46*x^25 - 101*x^24 - 998*x^23 - 1080*x^22 + 6801*x^21 + 17530*x^20 - 15734*x^19 - 95659*x^18 - 32365*x^17 + 260344*x^16 + 275182*x^15 - 338188*x^14 - 669472*x^13 + 59791*x^12 + 769718*x^11 + 363313*x^10 - 367265*x^9 - 395159*x^8 - 10668*x^7 + 138807*x^6 + 48978*x^5 - 12969*x^4 - 8883*x^3 - 1267*x^2 - 5*x + 9, -x^27 - 10*x^26 - 15*x^25 + 156*x^24 + 525*x^23 - 876*x^22 - 5352*x^21 + 1087*x^20 + 30217*x^19 + 13620*x^18 - 107623*x^17 - 95196*x^16 + 240698*x^15 + 307595*x^14 - 300221*x^13 - 550849*x^12 + 120296*x^11 + 505531*x^10 + 126206*x^9 - 148212*x^8 - 110670*x^7 - 60842*x^6 - 11255*x^5 + 20321*x^4 + 10666*x^3 + 893*x^2 - 237*x - 27, x^27 + 10*x^26 + 15*x^25 - 156*x^24 - 525*x^23 + 876*x^22 + 5352*x^21 - 1087*x^20 - 30217*x^19 - 13620*x^18 + 107623*x^17 + 95196*x^16 - 240698*x^15 - 307595*x^14 + 300221*x^13 + 550849*x^12 - 120296*x^11 - 505531*x^10 - 126206*x^9 + 148212*x^8 + 110670*x^7 + 60842*x^6 + 11255*x^5 - 20321*x^4 - 10666*x^3 - 893*x^2 + 237*x + 27]>,
         rec<Eigen |
           DefiningPolynomial := x^39 - 10*x^38 - 9*x^37 + 401*x^36 - 716*x^35 - 6830*x^34 + 22069*x^33 + 61786*x^32 - 310764*x^31 - 273452*x^30 + 2684173*x^29 - 162591*x^28 - 15613228*x^27 + 10250688*x^26 + 63563888*x^25 - 71046276*x^24 - 183039857*x^23 + 285242772*x^22 + 367383947*x^21 - 772355615*x^20 - 484319211*x^19 + 1474282206*x^18 + 333463706*x^17 - 2004963922*x^16 + 86933512*x^15 + 1926047230*x^14 - 464316924*x^13 - 1271753470*x^12 + 512491566*x^11 + 545639760*x^10 - 307546390*x^9 - 134353387*x^8 + 107205367*x^7 + 12166912*x^6 - 20233579*x^5 + 1532500*x^4 + 1650919*x^3 - 319190*x^2 - 22360*x + 6696,
           Coordinates        := [-x^38 + 11*x^37 - 4*x^36 - 375*x^35 + 1079*x^34 + 5043*x^33 - 24964*x^32 - 28080*x^31 + 292474*x^30 - 58126*x^29 - 2118105*x^28 + 2070948*x^27 + 10139500*x^26 - 16318064*x^25 - 32502886*x^24 + 75469438*x^23 + 66737953*x^22 - 234722643*x^21 - 69666876*x^20 + 513038469*x^19 - 35446332*x^18 - 798324998*x^17 + 257645936*x^16 + 879650530*x^15 - 455180906*x^14 - 670523182*x^13 + 462508074*x^12 + 336015226*x^11 - 297098384*x^10 - 98503808*x^9 + 120076080*x^8 + 10905711*x^7 - 28765720*x^6 + 1892170*x^5 + 3569579*x^4 - 610073*x^3 - 163872*x^2 + 43146*x - 1548, x^38 - 11*x^37 + 4*x^36 + 375*x^35 - 1079*x^34 - 5043*x^33 + 24964*x^32 + 28080*x^31 - 292472*x^30 + 58114*x^29 + 2118053*x^28 - 2070518*x^27 - 10139096*x^26 + 16311338*x^25 + 32504264*x^24 - 75408946*x^23 - 66786151*x^22 + 234376361*x^21 + 70074764*x^20 - 511719303*x^19 + 33511128*x^18 + 794923228*x^17 - 251781808*x^16 - 873720052*x^15 + 443338864*x^14 + 663695966*x^13 - 446381770*x^12 - 331215252*x^11 + 282415042*x^10 + 97021960*x^9 - 111404620*x^8 - 11364603*x^7 + 25645870*x^6 - 1316266*x^5 - 2970897*x^4 + 421613*x^3 + 123252*x^2 - 19960*x - 1008, x^37 - 11*x^36 + 6*x^35 + 355*x^34 - 1085*x^33 - 4359*x^32 + 23476*x^31 + 18520*x^30 - 256582*x^29 + 122678*x^28 + 1702969*x^27 - 2191016*x^26 - 7216320*x^25 + 14828324*x^24 + 18964808*x^23 - 60984084*x^22 - 24529941*x^21 + 167829535*x^20 - 17446172*x^19 - 317900081*x^18 + 144133534*x^17 + 413425316*x^16 - 306818536*x^15 - 357611700*x^14 + 375235366*x^13 + 188131128*x^12 - 289526848*x^11 - 42737384*x^10 + 140484040*x^9 - 9847462*x^8 - 40521132*x^7 + 8733423*x^6 + 6160698*x^5 - 1978124*x^4 - 393765*x^3 + 168931*x^2 + 5388*x - 4140, -2*x^31 + 22*x^30 - 38*x^29 - 432*x^28 + 1852*x^27 + 2038*x^26 - 23558*x^25 + 17034*x^24 + 145580*x^23 - 261948*x^22 - 458634*x^21 + 1486946*x^20 + 435384*x^19 - 4731766*x^18 + 1962590*x^17 + 9020996*x^16 - 8489126*x^15 - 9786246*x^14 + 15741982*x^13 + 4115746*x^12 - 16455512*x^11 + 3022606*x^10 + 9684328*x^9 - 4926350*x^8 - 2663418*x^7 + 2550812*x^6 - 4798*x^5 - 535214*x^4 + 137248*x^3 + 24294*x^2 - 13892*x + 1476, x^37 - 11*x^36 + 6*x^35 + 353*x^34 - 1063*x^33 - 4383*x^32 + 22896*x^31 + 20572*x^30 - 251412*x^29 + 87500*x^28 + 1700215*x^27 - 1887834*x^26 - 7525240*x^25 + 13311892*x^24 + 21819460*x^23 - 56620280*x^22 - 38056599*x^21 + 162473653*x^20 + 22238042*x^19 - 326012565*x^18 + 68945950*x^17 + 460172618*x^16 - 216426642*x^15 - 449558658*x^14 + 313222970*x^13 + 289899016*x^12 - 276564902*x^11 - 108782032*x^10 + 154161538*x^9 + 12760166*x^8 - 51944076*x^7 + 6549119*x^6 + 9209814*x^5 - 2702342*x^4 - 523829*x^3 + 294171*x^2 - 27182*x - 1008, -2*x^30 + 20*x^29 - 18*x^28 - 450*x^27 + 1402*x^26 + 3440*x^25 - 20118*x^24 - 3084*x^23 + 142496*x^22 - 119452*x^21 - 578086*x^20 + 908860*x^19 + 1344244*x^18 - 3387522*x^17 - 1424932*x^16 + 7596064*x^15 - 893062*x^14 - 10679308*x^13 + 5062674*x^12 + 9178420*x^11 - 7277092*x^10 - 4254486*x^9 + 5429842*x^8 + 503492*x^7 - 2159926*x^6 + 390886*x^5 + 386088*x^4 - 149126*x^3 - 11878*x^2 + 12416*x - 1476, -x^32 + 11*x^31 - 17*x^30 - 236*x^29 + 944*x^28 + 1469*x^27 - 13181*x^26 + 5077*x^25 + 92908*x^24 - 127890*x^23 - 371813*x^22 + 862925*x^21 + 795778*x^20 - 3274743*x^19 - 362949*x^18 + 7898020*x^17 - 2819631*x^16 - 12489187*x^15 + 8764053*x^14 + 12737181*x^13 - 13290430*x^12 - 7667117*x^11 + 12119256*x^10 + 1791311*x^9 - 6761551*x^8 + 771914*x^7 + 2157527*x^6 - 658493*x^5 - 317464*x^4 + 161273*x^3 + 4932*x^2 - 11678*x + 1476, -x^32 + 11*x^31 - 17*x^30 - 236*x^29 + 944*x^28 + 1469*x^27 - 13181*x^26 + 5077*x^25 + 92908*x^24 - 127890*x^23 - 371813*x^22 + 862925*x^21 + 795778*x^20 - 3274743*x^19 - 362949*x^18 + 7898020*x^17 - 2819631*x^16 - 12489187*x^15 + 8764053*x^14 + 12737181*x^13 - 13290430*x^12 - 7667117*x^11 + 12119256*x^10 + 1791311*x^9 - 6761551*x^8 + 771914*x^7 + 2157527*x^6 - 658493*x^5 - 317464*x^4 + 161273*x^3 + 4932*x^2 - 11678*x + 1476, -x^33 + 12*x^32 - 23*x^31 - 275*x^30 + 1281*x^29 + 1628*x^28 - 19473*x^27 + 12992*x^26 + 149502*x^25 - 263480*x^24 - 631972*x^23 + 1900355*x^22 + 1223180*x^21 - 7884446*x^20 + 1198011*x^19 + 20617153*x^18 - 13629146*x^17 - 34257086*x^16 + 37974196*x^15 + 34012291*x^14 - 58667922*x^13 - 15083790*x^12 + 55098443*x^11 - 5180087*x^10 - 30965008*x^9 + 10309367*x^8 + 9380356*x^7 - 5208879*x^6 - 1043968*x^5 + 1095835*x^4 - 82329*x^3 - 71169*x^2 + 14644*x - 468, -x^33 + 12*x^32 - 23*x^31 - 275*x^30 + 1281*x^29 + 1628*x^28 - 19473*x^27 + 12992*x^26 + 149502*x^25 - 263480*x^24 - 631972*x^23 + 1900355*x^22 + 1223180*x^21 - 7884446*x^20 + 1198011*x^19 + 20617153*x^18 - 13629146*x^17 - 34257086*x^16 + 37974196*x^15 + 34012291*x^14 - 58667922*x^13 - 15083790*x^12 + 55098443*x^11 - 5180087*x^10 - 30965008*x^9 + 10309367*x^8 + 9380356*x^7 - 5208879*x^6 - 1043968*x^5 + 1095835*x^4 - 82329*x^3 - 71169*x^2 + 14644*x - 468, -x^32 + 8*x^31 + 17*x^30 - 299*x^29 + 273*x^28 + 4440*x^27 - 9953*x^26 - 33036*x^25 + 118556*x^24 + 114579*x^23 - 775482*x^22 + 31232*x^21 + 3122757*x^20 - 1996344*x^19 - 7987367*x^18 + 8846925*x^17 + 12746903*x^16 - 20721017*x^15 - 11488864*x^14 + 29635510*x^13 + 3300927*x^12 - 26523675*x^11 + 3948792*x^10 + 14519129*x^9 - 4611103*x^8 - 4559411*x^7 + 1999574*x^6 + 731302*x^5 - 399348*x^4 - 49987*x^3 + 35197*x^2 + 724*x - 1008, -x^32 + 8*x^31 + 17*x^30 - 299*x^29 + 273*x^28 + 4440*x^27 - 9953*x^26 - 33036*x^25 + 118556*x^24 + 114579*x^23 - 775482*x^22 + 31232*x^21 + 3122757*x^20 - 1996344*x^19 - 7987367*x^18 + 8846925*x^17 + 12746903*x^16 - 20721017*x^15 - 11488864*x^14 + 29635510*x^13 + 3300927*x^12 - 26523675*x^11 + 3948792*x^10 + 14519129*x^9 - 4611103*x^8 - 4559411*x^7 + 1999574*x^6 + 731302*x^5 - 399348*x^4 - 49987*x^3 + 35197*x^2 + 724*x - 1008, -x^34 + 12*x^33 - 22*x^32 - 285*x^31 + 1290*x^30 + 1852*x^29 - 20168*x^28 + 11287*x^27 + 159441*x^26 - 262163*x^25 - 701808*x^24 + 1963529*x^23 + 1497190*x^22 - 8367740*x^21 + 649126*x^20 + 22428498*x^19 - 13574752*x^18 - 38215721*x^17 + 40636608*x^16 + 38876976*x^15 - 65919926*x^14 - 17198497*x^13 + 65075256*x^12 - 7888752*x^11 - 38876020*x^10 + 15247837*x^9 + 12811347*x^8 - 8618206*x^7 - 1617952*x^6 + 2267199*x^5 - 171880*x^4 - 251531*x^3 + 54230*x^2 + 5960*x - 1872, -x^34 + 12*x^33 - 22*x^32 - 285*x^31 + 1290*x^30 + 1852*x^29 - 20168*x^28 + 11287*x^27 + 159441*x^26 - 262163*x^25 - 701808*x^24 + 1963529*x^23 + 1497190*x^22 - 8367740*x^21 + 649126*x^20 + 22428498*x^19 - 13574752*x^18 - 38215721*x^17 + 40636608*x^16 + 38876976*x^15 - 65919926*x^14 - 17198497*x^13 + 65075256*x^12 - 7888752*x^11 - 38876020*x^10 + 15247837*x^9 + 12811347*x^8 - 8618206*x^7 - 1617952*x^6 + 2267199*x^5 - 171880*x^4 - 251531*x^3 + 54230*x^2 + 5960*x - 1872, -x^31 + 8*x^30 + 12*x^29 - 249*x^28 + 236*x^27 + 3242*x^26 - 6394*x^25 - 23072*x^24 + 64716*x^23 + 97803*x^22 - 379631*x^21 - 246893*x^20 + 1463398*x^19 + 308555*x^18 - 3939385*x^17 + 157219*x^16 + 7624502*x^15 - 1512049*x^14 - 10622474*x^13 + 3313617*x^12 + 10375782*x^11 - 4208244*x^10 - 6729781*x^9 + 3330560*x^8 + 2637413*x^7 - 1583543*x^6 - 512871*x^5 + 407015*x^4 + 19089*x^3 - 44518*x^2 + 5250*x + 396, -x^31 + 8*x^30 + 12*x^29 - 249*x^28 + 236*x^27 + 3242*x^26 - 6394*x^25 - 23072*x^24 + 64716*x^23 + 97803*x^22 - 379631*x^21 - 246893*x^20 + 1463398*x^19 + 308555*x^18 - 3939385*x^17 + 157219*x^16 + 7624502*x^15 - 1512049*x^14 - 10622474*x^13 + 3313617*x^12 + 10375782*x^11 - 4208244*x^10 - 6729781*x^9 + 3330560*x^8 + 2637413*x^7 - 1583543*x^6 - 512871*x^5 + 407015*x^4 + 19089*x^3 - 44518*x^2 + 5250*x + 396, -x^33 + 10*x^32 - 2*x^31 - 295*x^30 + 761*x^29 + 3322*x^28 - 14966*x^27 - 14252*x^26 + 143042*x^25 - 42303*x^24 - 810446*x^23 + 841539*x^22 + 2875260*x^21 - 4835376*x^20 - 6278802*x^19 + 15970867*x^18 + 7229813*x^17 - 33925542*x^16 + 61380*x^15 + 47772337*x^14 - 13729808*x^13 - 44420832*x^12 + 21880354*x^11 + 26351585*x^10 - 17713697*x^9 - 9142434*x^8 + 8240708*x^7 + 1430943*x^6 - 2148062*x^5 + 44432*x^4 + 280217*x^3 - 36068*x^2 - 14956*x + 2988, -x^33 + 10*x^32 - 2*x^31 - 295*x^30 + 761*x^29 + 3322*x^28 - 14966*x^27 - 14252*x^26 + 143042*x^25 - 42303*x^24 - 810446*x^23 + 841539*x^22 + 2875260*x^21 - 4835376*x^20 - 6278802*x^19 + 15970867*x^18 + 7229813*x^17 - 33925542*x^16 + 61380*x^15 + 47772337*x^14 - 13729808*x^13 - 44420832*x^12 + 21880354*x^11 + 26351585*x^10 - 17713697*x^9 - 9142434*x^8 + 8240708*x^7 + 1430943*x^6 - 2148062*x^5 + 44432*x^4 + 280217*x^3 - 36068*x^2 - 14956*x + 2988, -x^32 + 8*x^31 + 13*x^30 - 252*x^29 + 174*x^28 + 3544*x^27 - 5603*x^26 - 29563*x^25 + 63974*x^24 + 162854*x^23 - 438494*x^22 - 615428*x^21 + 2043254*x^20 + 1566178*x^19 - 6760993*x^18 - 2380930*x^17 + 16024156*x^16 + 938943*x^15 - 26900880*x^14 + 4293554*x^13 + 31187587*x^12 - 10264445*x^11 - 23951712*x^10 + 11311283*x^9 + 11344574*x^8 - 7013048*x^7 - 2857168*x^6 + 2407207*x^5 + 223045*x^4 - 406293*x^3 + 31860*x^2 + 25626*x - 4464, -x^32 + 8*x^31 + 13*x^30 - 252*x^29 + 174*x^28 + 3544*x^27 - 5603*x^26 - 29563*x^25 + 63974*x^24 + 162854*x^23 - 438494*x^22 - 615428*x^21 + 2043254*x^20 + 1566178*x^19 - 6760993*x^18 - 2380930*x^17 + 16024156*x^16 + 938943*x^15 - 26900880*x^14 + 4293554*x^13 + 31187587*x^12 - 10264445*x^11 - 23951712*x^10 + 11311283*x^9 + 11344574*x^8 - 7013048*x^7 - 2857168*x^6 + 2407207*x^5 + 223045*x^4 - 406293*x^3 + 31860*x^2 + 25626*x - 4464, x^34 - 11*x^33 + 12*x^32 + 292*x^31 - 1042*x^30 - 2613*x^29 + 18128*x^28 + 870*x^27 - 159071*x^26 + 170380*x^25 + 812501*x^24 - 1604463*x^23 - 2386084*x^22 + 7874335*x^21 + 2878220*x^20 - 24229847*x^19 + 5715448*x^18 + 48913695*x^17 - 32106165*x^16 - 64277477*x^15 + 67360804*x^14 + 51226061*x^13 - 82333265*x^12 - 18236902*x^11 + 62115390*x^10 - 5481290*x^9 - 27991246*x^8 + 8521792*x^7 + 6631509*x^6 - 3377562*x^5 - 518183*x^4 + 525417*x^3 - 40380*x^2 - 22488*x + 3528, x^34 - 11*x^33 + 12*x^32 + 292*x^31 - 1042*x^30 - 2613*x^29 + 18128*x^28 + 870*x^27 - 159071*x^26 + 170380*x^25 + 812501*x^24 - 1604463*x^23 - 2386084*x^22 + 7874335*x^21 + 2878220*x^20 - 24229847*x^19 + 5715448*x^18 + 48913695*x^17 - 32106165*x^16 - 64277477*x^15 + 67360804*x^14 + 51226061*x^13 - 82333265*x^12 - 18236902*x^11 + 62115390*x^10 - 5481290*x^9 - 27991246*x^8 + 8521792*x^7 + 6631509*x^6 - 3377562*x^5 - 518183*x^4 + 525417*x^3 - 40380*x^2 - 22488*x + 3528, -x^35 + 11*x^34 - 10*x^33 - 309*x^32 + 1021*x^31 + 3169*x^30 - 18836*x^29 - 8469*x^28 + 178044*x^27 - 116084*x^26 - 1021690*x^25 + 1414508*x^24 + 3733625*x^23 - 7882011*x^22 - 8448389*x^21 + 27434724*x^20 + 9457084*x^19 - 64548322*x^18 + 5352059*x^17 + 105240227*x^16 - 39616645*x^15 - 118571592*x^14 + 72517117*x^13 + 89528303*x^12 - 75737561*x^11 - 41687466*x^10 + 49257645*x^9 + 9063673*x^8 - 19520100*x^7 + 844569*x^6 + 4249650*x^5 - 829183*x^4 - 388858*x^3 + 117509*x^2 + 5972*x - 3060, -x^35 + 11*x^34 - 10*x^33 - 309*x^32 + 1021*x^31 + 3169*x^30 - 18836*x^29 - 8469*x^28 + 178044*x^27 - 116084*x^26 - 1021690*x^25 + 1414508*x^24 + 3733625*x^23 - 7882011*x^22 - 8448389*x^21 + 27434724*x^20 + 9457084*x^19 - 64548322*x^18 + 5352059*x^17 + 105240227*x^16 - 39616645*x^15 - 118571592*x^14 + 72517117*x^13 + 89528303*x^12 - 75737561*x^11 - 41687466*x^10 + 49257645*x^9 + 9063673*x^8 - 19520100*x^7 + 844569*x^6 + 4249650*x^5 - 829183*x^4 - 388858*x^3 + 117509*x^2 + 5972*x - 3060, -x^32 + 9*x^31 + 5*x^30 - 271*x^29 + 490*x^28 + 3283*x^27 - 10515*x^26 - 18911*x^25 + 102438*x^24 + 30193*x^23 - 585321*x^22 + 285885*x^21 + 2104571*x^20 - 2213265*x^19 - 4765875*x^18 + 7778956*x^17 + 6237450*x^16 - 16461651*x^15 - 2753064*x^14 + 22125180*x^13 - 4787921*x^12 - 18667546*x^11 + 9398470*x^10 + 9175964*x^9 - 7385682*x^8 - 2021114*x^7 + 2988338*x^6 - 139132*x^5 - 580962*x^4 + 140484*x^3 + 36145*x^2 - 17544*x + 1800, -x^32 + 9*x^31 + 5*x^30 - 271*x^29 + 490*x^28 + 3283*x^27 - 10515*x^26 - 18911*x^25 + 102438*x^24 + 30193*x^23 - 585321*x^22 + 285885*x^21 + 2104571*x^20 - 2213265*x^19 - 4765875*x^18 + 7778956*x^17 + 6237450*x^16 - 16461651*x^15 - 2753064*x^14 + 22125180*x^13 - 4787921*x^12 - 18667546*x^11 + 9398470*x^10 + 9175964*x^9 - 7385682*x^8 - 2021114*x^7 + 2988338*x^6 - 139132*x^5 - 580962*x^4 + 140484*x^3 + 36145*x^2 - 17544*x + 1800, x^33 - 12*x^32 + 22*x^31 + 282*x^30 - 1259*x^29 - 1882*x^28 + 19432*x^27 - 8871*x^26 - 153663*x^25 + 225758*x^24 + 699582*x^23 - 1694665*x^22 - 1755958*x^21 + 7243273*x^20 + 1323809*x^19 - 19790663*x^18 + 6007409*x^17 + 35644138*x^16 - 23024594*x^15 - 41881701*x^14 + 39856359*x^13 + 30247493*x^12 - 40639141*x^11 - 10948164*x^10 + 25119604*x^9 - 286272*x^8 - 8942785*x^7 + 1707670*x^6 + 1590115*x^5 - 495784*x^4 - 102673*x^3 + 40274*x^2 + 3296*x - 1332, x^33 - 12*x^32 + 22*x^31 + 282*x^30 - 1259*x^29 - 1882*x^28 + 19432*x^27 - 8871*x^26 - 153663*x^25 + 225758*x^24 + 699582*x^23 - 1694665*x^22 - 1755958*x^21 + 7243273*x^20 + 1323809*x^19 - 19790663*x^18 + 6007409*x^17 + 35644138*x^16 - 23024594*x^15 - 41881701*x^14 + 39856359*x^13 + 30247493*x^12 - 40639141*x^11 - 10948164*x^10 + 25119604*x^9 - 286272*x^8 - 8942785*x^7 + 1707670*x^6 + 1590115*x^5 - 495784*x^4 - 102673*x^3 + 40274*x^2 + 3296*x - 1332, -x^34 + 11*x^33 - 11*x^32 - 301*x^31 + 1039*x^30 + 2860*x^29 - 18561*x^28 - 3726*x^27 + 167247*x^26 - 152309*x^25 - 886699*x^24 + 1537406*x^23 + 2809203*x^22 - 7741868*x^21 - 4566183*x^20 + 24246013*x^19 - 753687*x^18 - 50002280*x^17 + 21240019*x^16 + 68431974*x^15 - 50013281*x^14 - 60326534*x^13 + 63000259*x^12 + 30994906*x^11 - 48014074*x^10 - 5947866*x^9 + 21994245*x^8 - 2250354*x^7 - 5578579*x^6 + 1461192*x^5 + 635133*x^4 - 266298*x^3 - 14085*x^2 + 17220*x - 1980, -x^34 + 11*x^33 - 11*x^32 - 301*x^31 + 1039*x^30 + 2860*x^29 - 18561*x^28 - 3726*x^27 + 167247*x^26 - 152309*x^25 - 886699*x^24 + 1537406*x^23 + 2809203*x^22 - 7741868*x^21 - 4566183*x^20 + 24246013*x^19 - 753687*x^18 - 50002280*x^17 + 21240019*x^16 + 68431974*x^15 - 50013281*x^14 - 60326534*x^13 + 63000259*x^12 + 30994906*x^11 - 48014074*x^10 - 5947866*x^9 + 21994245*x^8 - 2250354*x^7 - 5578579*x^6 + 1461192*x^5 + 635133*x^4 - 266298*x^3 - 14085*x^2 + 17220*x - 1980, -x^33 + 10*x^32 - 3*x^31 - 282*x^30 + 725*x^29 + 3097*x^28 - 13587*x^27 - 14007*x^26 + 126573*x^25 - 19676*x^24 - 715927*x^23 + 598548*x^22 + 2627450*x^21 - 3599833*x^20 - 6330827*x^19 + 12367430*x^18 + 9558161*x^17 - 27832116*x^16 - 7118806*x^15 + 42683298*x^14 - 2741477*x^13 - 44752959*x^12 + 12836408*x^11 + 31314203*x^10 - 14485838*x^9 - 13746519*x^8 + 8715291*x^7 + 3264801*x^6 - 2915464*x^5 - 229990*x^4 + 488140*x^3 - 41431*x^2 - 30814*x + 5472, -x^33 + 10*x^32 - 3*x^31 - 282*x^30 + 725*x^29 + 3097*x^28 - 13587*x^27 - 14007*x^26 + 126573*x^25 - 19676*x^24 - 715927*x^23 + 598548*x^22 + 2627450*x^21 - 3599833*x^20 - 6330827*x^19 + 12367430*x^18 + 9558161*x^17 - 27832116*x^16 - 7118806*x^15 + 42683298*x^14 - 2741477*x^13 - 44752959*x^12 + 12836408*x^11 + 31314203*x^10 - 14485838*x^9 - 13746519*x^8 + 8715291*x^7 + 3264801*x^6 - 2915464*x^5 - 229990*x^4 + 488140*x^3 - 41431*x^2 - 30814*x + 5472, x^35 - 10*x^34 - x^33 + 323*x^32 - 751*x^31 - 4183*x^30 + 16758*x^29 + 24615*x^28 - 181332*x^27 - 11879*x^26 + 1188099*x^25 - 846165*x^24 - 5049134*x^23 + 6582566*x^22 + 14042886*x^21 - 27159456*x^20 - 24152236*x^19 + 71839922*x^18 + 19097058*x^17 - 127852776*x^16 + 14712611*x^15 + 153881030*x^14 - 59025486*x^13 - 122319655*x^12 + 74322413*x^11 + 60268174*x^10 - 51607585*x^9 - 15545269*x^8 + 20729533*x^7 + 678234*x^6 - 4541203*x^5 + 563217*x^4 + 461174*x^3 - 102089*x^2 - 12794*x + 3636, x^35 - 10*x^34 - x^33 + 323*x^32 - 751*x^31 - 4183*x^30 + 16758*x^29 + 24615*x^28 - 181332*x^27 - 11879*x^26 + 1188099*x^25 - 846165*x^24 - 5049134*x^23 + 6582566*x^22 + 14042886*x^21 - 27159456*x^20 - 24152236*x^19 + 71839922*x^18 + 19097058*x^17 - 127852776*x^16 + 14712611*x^15 + 153881030*x^14 - 59025486*x^13 - 122319655*x^12 + 74322413*x^11 + 60268174*x^10 - 51607585*x^9 - 15545269*x^8 + 20729533*x^7 + 678234*x^6 - 4541203*x^5 + 563217*x^4 + 461174*x^3 - 102089*x^2 - 12794*x + 3636, x^33 - 9*x^32 - 6*x^31 + 280*x^30 - 482*x^29 - 3577*x^28 + 10974*x^27 + 22818*x^26 - 113435*x^25 - 56490*x^24 + 699521*x^23 - 205421*x^22 - 2796926*x^21 + 2280483*x^20 + 7439186*x^19 - 9351475*x^18 - 12987502*x^17 + 22938691*x^16 + 13771217*x^15 - 36735043*x^14 - 6109282*x^13 + 39007497*x^12 - 4318271*x^11 - 26873444*x^10 + 8368502*x^9 + 11255714*x^8 - 5479818*x^7 - 2437844*x^6 + 1755821*x^5 + 134080*x^4 - 250023*x^3 + 25371*x^2 + 10362*x - 1764, x^33 - 9*x^32 - 6*x^31 + 280*x^30 - 482*x^29 - 3577*x^28 + 10974*x^27 + 22818*x^26 - 113435*x^25 - 56490*x^24 + 699521*x^23 - 205421*x^22 - 2796926*x^21 + 2280483*x^20 + 7439186*x^19 - 9351475*x^18 - 12987502*x^17 + 22938691*x^16 + 13771217*x^15 - 36735043*x^14 - 6109282*x^13 + 39007497*x^12 - 4318271*x^11 - 26873444*x^10 + 8368502*x^9 + 11255714*x^8 - 5479818*x^7 - 2437844*x^6 + 1755821*x^5 + 134080*x^4 - 250023*x^3 + 25371*x^2 + 10362*x - 1764, -x^36 + 11*x^35 - 8*x^34 - 332*x^33 + 1055*x^32 + 3741*x^31 - 21120*x^30 - 12945*x^29 + 215070*x^28 - 123407*x^27 - 1327314*x^26 + 1793357*x^25 + 5195658*x^24 - 10997161*x^23 - 12412975*x^22 + 41414319*x^21 + 13582206*x^20 - 104108899*x^19 + 14975087*x^18 + 178465295*x^17 - 84942407*x^16 - 206311729*x^15 + 156960938*x^14 + 153031836*x^13 - 167214597*x^12 - 62540954*x^11 + 109981994*x^10 + 4387800*x^9 - 43448683*x^8 + 7900217*x^7 + 9190699*x^6 - 3374649*x^5 - 712063*x^4 + 492318*x^3 - 27015*x^2 - 19680*x + 2880, -x^36 + 11*x^35 - 8*x^34 - 332*x^33 + 1055*x^32 + 3741*x^31 - 21120*x^30 - 12945*x^29 + 215070*x^28 - 123407*x^27 - 1327314*x^26 + 1793357*x^25 + 5195658*x^24 - 10997161*x^23 - 12412975*x^22 + 41414319*x^21 + 13582206*x^20 - 104108899*x^19 + 14975087*x^18 + 178465295*x^17 - 84942407*x^16 - 206311729*x^15 + 156960938*x^14 + 153031836*x^13 - 167214597*x^12 - 62540954*x^11 + 109981994*x^10 + 4387800*x^9 - 43448683*x^8 + 7900217*x^7 + 9190699*x^6 - 3374649*x^5 - 712063*x^4 + 492318*x^3 - 27015*x^2 - 19680*x + 2880, -x^34 + 11*x^33 - 12*x^32 - 287*x^31 + 994*x^30 + 2624*x^29 - 16858*x^28 - 3964*x^27 + 146183*x^26 - 116686*x^25 - 760225*x^24 + 1151621*x^23 + 2467396*x^22 - 5611855*x^21 - 4774248*x^20 + 17132079*x^19 + 3951724*x^18 - 35009347*x^17 + 4689154*x^16 + 48863161*x^15 - 18523895*x^14 - 46305036*x^13 + 26401780*x^12 + 28742240*x^11 - 21848329*x^10 - 10571964*x^9 + 11117236*x^8 + 1562558*x^7 - 3323097*x^6 + 278267*x^5 + 495085*x^4 - 123278*x^3 - 21243*x^2 + 10660*x - 1008, -x^34 + 11*x^33 - 12*x^32 - 287*x^31 + 994*x^30 + 2624*x^29 - 16858*x^28 - 3964*x^27 + 146183*x^26 - 116686*x^25 - 760225*x^24 + 1151621*x^23 + 2467396*x^22 - 5611855*x^21 - 4774248*x^20 + 17132079*x^19 + 3951724*x^18 - 35009347*x^17 + 4689154*x^16 + 48863161*x^15 - 18523895*x^14 - 46305036*x^13 + 26401780*x^12 + 28742240*x^11 - 21848329*x^10 - 10571964*x^9 + 11117236*x^8 + 1562558*x^7 - 3323097*x^6 + 278267*x^5 + 495085*x^4 - 123278*x^3 - 21243*x^2 + 10660*x - 1008, -x^33 + 10*x^32 - 3*x^31 - 284*x^30 + 749*x^29 + 3042*x^28 - 14034*x^27 - 11638*x^26 + 127743*x^25 - 49173*x^24 - 680230*x^23 + 773403*x^22 + 2198317*x^21 - 4070943*x^20 - 4016008*x^19 + 12236276*x^18 + 2397879*x^17 - 22856320*x^16 + 6084085*x^15 + 26390293*x^14 - 16290627*x^13 - 17193242*x^12 + 17690234*x^11 + 3985738*x^10 - 9831865*x^9 + 2034008*x^8 + 2372039*x^7 - 1543927*x^6 + 71041*x^5 + 314431*x^4 - 123428*x^3 - 9171*x^2 + 14094*x - 2196, -x^33 + 10*x^32 - 3*x^31 - 284*x^30 + 749*x^29 + 3042*x^28 - 14034*x^27 - 11638*x^26 + 127743*x^25 - 49173*x^24 - 680230*x^23 + 773403*x^22 + 2198317*x^21 - 4070943*x^20 - 4016008*x^19 + 12236276*x^18 + 2397879*x^17 - 22856320*x^16 + 6084085*x^15 + 26390293*x^14 - 16290627*x^13 - 17193242*x^12 + 17690234*x^11 + 3985738*x^10 - 9831865*x^9 + 2034008*x^8 + 2372039*x^7 - 1543927*x^6 + 71041*x^5 + 314431*x^4 - 123428*x^3 - 9171*x^2 + 14094*x - 2196, x^34 - 11*x^33 + 10*x^32 + 307*x^31 - 1004*x^30 - 3147*x^29 + 18273*x^28 + 9167*x^27 - 170310*x^26 + 97260*x^25 + 965865*x^24 - 1209079*x^23 - 3525369*x^22 + 6576213*x^21 + 8273514*x^20 - 22079528*x^19 - 11472691*x^18 + 49804589*x^17 + 5363137*x^16 - 77717759*x^15 + 11785150*x^14 + 84243827*x^13 - 27919654*x^12 - 62376770*x^11 + 29526549*x^10 + 30098080*x^9 - 18518749*x^8 - 8411455*x^7 + 7004761*x^6 + 856188*x^5 - 1445583*x^4 + 141710*x^3 + 113232*x^2 - 30416*x + 2016, x^34 - 11*x^33 + 10*x^32 + 307*x^31 - 1004*x^30 - 3147*x^29 + 18273*x^28 + 9167*x^27 - 170310*x^26 + 97260*x^25 + 965865*x^24 - 1209079*x^23 - 3525369*x^22 + 6576213*x^21 + 8273514*x^20 - 22079528*x^19 - 11472691*x^18 + 49804589*x^17 + 5363137*x^16 - 77717759*x^15 + 11785150*x^14 + 84243827*x^13 - 27919654*x^12 - 62376770*x^11 + 29526549*x^10 + 30098080*x^9 - 18518749*x^8 - 8411455*x^7 + 7004761*x^6 + 856188*x^5 - 1445583*x^4 + 141710*x^3 + 113232*x^2 - 30416*x + 2016, -x^33 + 12*x^32 - 24*x^31 - 263*x^30 + 1253*x^29 + 1408*x^28 - 18274*x^27 + 13405*x^26 + 134892*x^25 - 243211*x^24 - 550302*x^23 + 1671608*x^22 + 1046691*x^21 - 6702812*x^20 + 825467*x^19 + 17171545*x^18 - 10221066*x^17 - 28544950*x^16 + 28211556*x^15 + 29583258*x^14 - 43373860*x^13 - 16033104*x^12 + 41052824*x^11 - 198701*x^10 - 23654571*x^9 + 6245404*x^8 + 7481712*x^7 - 3831103*x^6 - 839101*x^5 + 935895*x^4 - 120525*x^3 - 65418*x^2 + 23834*x - 2412, -x^33 + 12*x^32 - 24*x^31 - 263*x^30 + 1253*x^29 + 1408*x^28 - 18274*x^27 + 13405*x^26 + 134892*x^25 - 243211*x^24 - 550302*x^23 + 1671608*x^22 + 1046691*x^21 - 6702812*x^20 + 825467*x^19 + 17171545*x^18 - 10221066*x^17 - 28544950*x^16 + 28211556*x^15 + 29583258*x^14 - 43373860*x^13 - 16033104*x^12 + 41052824*x^11 - 198701*x^10 - 23654571*x^9 + 6245404*x^8 + 7481712*x^7 - 3831103*x^6 - 839101*x^5 + 935895*x^4 - 120525*x^3 - 65418*x^2 + 23834*x - 2412, -x^35 + 11*x^34 - 9*x^33 - 321*x^32 + 1044*x^31 + 3439*x^30 - 20071*x^29 - 10090*x^28 + 196247*x^27 - 126419*x^26 - 1157484*x^25 + 1628882*x^24 + 4299879*x^23 - 9356810*x^22 - 9639760*x^21 + 33152332*x^20 + 9541123*x^19 - 78209423*x^18 + 11612327*x^17 + 125213836*x^16 - 56158746*x^15 - 134489164*x^14 + 93020694*x^13 + 92608980*x^12 - 87584662*x^11 - 36285189*x^10 + 49539807*x^9 + 4858072*x^8 - 16191326*x^7 + 1574176*x^6 + 2712154*x^5 - 625161*x^4 - 170874*x^3 + 62459*x^2 - 1118*x - 792, -x^35 + 11*x^34 - 9*x^33 - 321*x^32 + 1044*x^31 + 3439*x^30 - 20071*x^29 - 10090*x^28 + 196247*x^27 - 126419*x^26 - 1157484*x^25 + 1628882*x^24 + 4299879*x^23 - 9356810*x^22 - 9639760*x^21 + 33152332*x^20 + 9541123*x^19 - 78209423*x^18 + 11612327*x^17 + 125213836*x^16 - 56158746*x^15 - 134489164*x^14 + 93020694*x^13 + 92608980*x^12 - 87584662*x^11 - 36285189*x^10 + 49539807*x^9 + 4858072*x^8 - 16191326*x^7 + 1574176*x^6 + 2712154*x^5 - 625161*x^4 - 170874*x^3 + 62459*x^2 - 1118*x - 792, x^34 - 8*x^33 - 19*x^32 + 305*x^31 - 145*x^30 - 5054*x^29 + 8082*x^28 + 47500*x^27 - 114218*x^26 - 275038*x^25 + 908093*x^24 + 974598*x^23 - 4699135*x^22 - 1760378*x^21 + 16730012*x^20 - 839842*x^19 - 41929593*x^18 + 13982485*x^17 + 74337140*x^16 - 39895669*x^15 - 92334541*x^14 + 64236703*x^13 + 78228217*x^12 - 65733858*x^11 - 42757474*x^10 + 43370732*x^9 + 13279035*x^8 - 17892571*x^7 - 1430126*x^6 + 4271708*x^5 - 309209*x^4 - 501165*x^3 + 86518*x^2 + 18214*x - 4032, x^34 - 8*x^33 - 19*x^32 + 305*x^31 - 145*x^30 - 5054*x^29 + 8082*x^28 + 47500*x^27 - 114218*x^26 - 275038*x^25 + 908093*x^24 + 974598*x^23 - 4699135*x^22 - 1760378*x^21 + 16730012*x^20 - 839842*x^19 - 41929593*x^18 + 13982485*x^17 + 74337140*x^16 - 39895669*x^15 - 92334541*x^14 + 64236703*x^13 + 78228217*x^12 - 65733858*x^11 - 42757474*x^10 + 43370732*x^9 + 13279035*x^8 - 17892571*x^7 - 1430126*x^6 + 4271708*x^5 - 309209*x^4 - 501165*x^3 + 86518*x^2 + 18214*x - 4032, x^36 - 10*x^35 - 3*x^34 + 342*x^33 - 744*x^32 - 4780*x^31 + 17945*x^30 + 32282*x^29 - 207542*x^28 - 60249*x^27 + 1461388*x^26 - 741507*x^25 - 6769728*x^24 + 7212431*x^23 + 21128105*x^22 - 33273413*x^21 - 43760468*x^20 + 96909611*x^19 + 55311203*x^18 - 190748956*x^17 - 27518364*x^16 + 258054176*x^15 - 34051749*x^14 - 237782419*x^13 + 78427461*x^12 + 144238934*x^11 - 70965501*x^10 - 53434711*x^9 + 35441744*x^8 + 10049013*x^7 - 9742586*x^6 - 330929*x^5 + 1288566*x^4 - 126341*x^3 - 58932*x^2 + 7910*x + 504, x^36 - 10*x^35 - 3*x^34 + 342*x^33 - 744*x^32 - 4780*x^31 + 17945*x^30 + 32282*x^29 - 207542*x^28 - 60249*x^27 + 1461388*x^26 - 741507*x^25 - 6769728*x^24 + 7212431*x^23 + 21128105*x^22 - 33273413*x^21 - 43760468*x^20 + 96909611*x^19 + 55311203*x^18 - 190748956*x^17 - 27518364*x^16 + 258054176*x^15 - 34051749*x^14 - 237782419*x^13 + 78427461*x^12 + 144238934*x^11 - 70965501*x^10 - 53434711*x^9 + 35441744*x^8 + 10049013*x^7 - 9742586*x^6 - 330929*x^5 + 1288566*x^4 - 126341*x^3 - 58932*x^2 + 7910*x + 504, -x^37 + 11*x^36 - 6*x^35 - 354*x^34 + 1074*x^33 + 4371*x^32 - 23185*x^31 - 19553*x^30 + 253977*x^29 - 104848*x^28 - 1701605*x^27 + 2035860*x^26 + 7374832*x^25 - 14040551*x^24 - 20446479*x^23 + 58653140*x^22 + 31670355*x^21 - 164695955*x^20 - 4023120*x^19 + 321223040*x^18 - 101906793*x^17 - 436765792*x^16 + 252736329*x^15 + 406092592*x^14 - 332752408*x^13 - 244678237*x^12 + 273304217*x^11 + 82360455*x^10 - 142246135*x^9 - 6021528*x^8 + 44902125*x^7 - 5793394*x^6 - 7673867*x^5 + 1946662*x^4 + 532717*x^3 - 199648*x^2 - 1974*x + 3852, -x^37 + 11*x^36 - 6*x^35 - 354*x^34 + 1074*x^33 + 4371*x^32 - 23185*x^31 - 19553*x^30 + 253977*x^29 - 104848*x^28 - 1701605*x^27 + 2035860*x^26 + 7374832*x^25 - 14040551*x^24 - 20446479*x^23 + 58653140*x^22 + 31670355*x^21 - 164695955*x^20 - 4023120*x^19 + 321223040*x^18 - 101906793*x^17 - 436765792*x^16 + 252736329*x^15 + 406092592*x^14 - 332752408*x^13 - 244678237*x^12 + 273304217*x^11 + 82360455*x^10 - 142246135*x^9 - 6021528*x^8 + 44902125*x^7 - 5793394*x^6 - 7673867*x^5 + 1946662*x^4 + 532717*x^3 - 199648*x^2 - 1974*x + 3852, -x^33 + 9*x^32 + 8*x^31 - 295*x^30 + 453*x^29 + 4037*x^28 - 11195*x^27 - 28989*x^26 + 122047*x^25 + 104031*x^24 - 794196*x^23 - 25565*x^22 + 3385040*x^21 - 1554396*x^20 - 9796472*x^19 + 7917441*x^18 + 19367004*x^17 - 21393384*x^16 - 25580030*x^15 + 36475718*x^14 + 21008112*x^13 - 40522104*x^12 - 8341622*x^11 + 28783739*x^10 - 1194090*x^9 - 12236524*x^8 + 2727541*x^7 + 2661282*x^6 - 1007629*x^5 - 177599*x^4 + 116643*x^3 - 7966*x^2 - 1872*x + 180, -x^33 + 9*x^32 + 8*x^31 - 295*x^30 + 453*x^29 + 4037*x^28 - 11195*x^27 - 28989*x^26 + 122047*x^25 + 104031*x^24 - 794196*x^23 - 25565*x^22 + 3385040*x^21 - 1554396*x^20 - 9796472*x^19 + 7917441*x^18 + 19367004*x^17 - 21393384*x^16 - 25580030*x^15 + 36475718*x^14 + 21008112*x^13 - 40522104*x^12 - 8341622*x^11 + 28783739*x^10 - 1194090*x^9 - 12236524*x^8 + 2727541*x^7 + 2661282*x^6 - 1007629*x^5 - 177599*x^4 + 116643*x^3 - 7966*x^2 - 1872*x + 180, x^35 - 12*x^34 + 20*x^33 + 309*x^32 - 1333*x^31 - 2425*x^30 + 22679*x^29 - 7224*x^28 - 198909*x^27 + 276441*x^26 + 1022268*x^25 - 2400702*x^24 - 3015872*x^23 + 11796247*x^22 + 3453259*x^21 - 37596315*x^20 + 9283028*x^19 + 81067943*x^18 - 50448861*x^17 - 118725034*x^16 + 112527503*x^15 + 114340378*x^14 - 152019840*x^13 - 64704609*x^12 + 132542460*x^11 + 11519695*x^10 - 73736433*x^9 + 10393566*x^8 + 24359001*x^7 - 7856243*x^6 - 3891886*x^5 + 2083077*x^4 + 74195*x^3 - 183922*x^2 + 29136*x - 684, x^35 - 12*x^34 + 20*x^33 + 309*x^32 - 1333*x^31 - 2425*x^30 + 22679*x^29 - 7224*x^28 - 198909*x^27 + 276441*x^26 + 1022268*x^25 - 2400702*x^24 - 3015872*x^23 + 11796247*x^22 + 3453259*x^21 - 37596315*x^20 + 9283028*x^19 + 81067943*x^18 - 50448861*x^17 - 118725034*x^16 + 112527503*x^15 + 114340378*x^14 - 152019840*x^13 - 64704609*x^12 + 132542460*x^11 + 11519695*x^10 - 73736433*x^9 + 10393566*x^8 + 24359001*x^7 - 7856243*x^6 - 3891886*x^5 + 2083077*x^4 + 74195*x^3 - 183922*x^2 + 29136*x - 684, 2*x^31 - 23*x^30 + 43*x^29 + 466*x^28 - 2063*x^27 - 2420*x^26 + 27138*x^25 - 15835*x^24 - 179595*x^23 + 273960*x^22 + 665001*x^21 - 1643558*x^20 - 1284343*x^19 + 5617873*x^18 + 456988*x^17 - 12121736*x^16 + 3744691*x^15 + 17031736*x^14 - 9584427*x^13 - 15596449*x^12 + 11698200*x^11 + 9141922*x^10 - 8302236*x^9 - 3349252*x^8 + 3549124*x^7 + 776326*x^6 - 932487*x^5 - 119826*x^4 + 160533*x^3 + 4803*x^2 - 16368*x + 2340, 2*x^31 - 23*x^30 + 43*x^29 + 466*x^28 - 2063*x^27 - 2420*x^26 + 27138*x^25 - 15835*x^24 - 179595*x^23 + 273960*x^22 + 665001*x^21 - 1643558*x^20 - 1284343*x^19 + 5617873*x^18 + 456988*x^17 - 12121736*x^16 + 3744691*x^15 + 17031736*x^14 - 9584427*x^13 - 15596449*x^12 + 11698200*x^11 + 9141922*x^10 - 8302236*x^9 - 3349252*x^8 + 3549124*x^7 + 776326*x^6 - 932487*x^5 - 119826*x^4 + 160533*x^3 + 4803*x^2 - 16368*x + 2340, -x^31 + 10*x^30 - 5*x^29 - 262*x^28 + 714*x^27 + 2583*x^26 - 12166*x^25 - 9080*x^24 + 102945*x^23 - 35988*x^22 - 520119*x^21 + 525100*x^20 + 1653463*x^19 - 2609073*x^18 - 3249179*x^17 + 7543642*x^16 + 3390591*x^15 - 13926963*x^14 - 96322*x^13 + 16629676*x^12 - 4739141*x^11 - 12428113*x^10 + 6418138*x^9 + 5263112*x^8 - 4075687*x^7 - 899966*x^6 + 1288296*x^5 - 93944*x^4 - 163561*x^3 + 39982*x^2 + 1668*x - 900, -x^31 + 10*x^30 - 5*x^29 - 262*x^28 + 714*x^27 + 2583*x^26 - 12166*x^25 - 9080*x^24 + 102945*x^23 - 35988*x^22 - 520119*x^21 + 525100*x^20 + 1653463*x^19 - 2609073*x^18 - 3249179*x^17 + 7543642*x^16 + 3390591*x^15 - 13926963*x^14 - 96322*x^13 + 16629676*x^12 - 4739141*x^11 - 12428113*x^10 + 6418138*x^9 + 5263112*x^8 - 4075687*x^7 - 899966*x^6 + 1288296*x^5 - 93944*x^4 - 163561*x^3 + 39982*x^2 + 1668*x - 900, x^34 - 10*x^33 + x^32 + 301*x^31 - 726*x^30 - 3622*x^29 + 14803*x^28 + 19614*x^27 - 148941*x^26 - 4968*x^25 + 912670*x^24 - 624599*x^23 - 3643809*x^22 + 4447504*x^21 + 9589602*x^20 - 16937515*x^19 - 15927844*x^18 + 41257597*x^17 + 13619967*x^16 - 67151483*x^15 + 2690214*x^14 + 73017000*x^13 - 21642420*x^12 - 51346029*x^11 + 25860032*x^10 + 21515888*x^9 - 15626337*x^8 - 4267088*x^7 + 5023600*x^6 - 39714*x^5 - 755173*x^4 + 126509*x^3 + 33785*x^2 - 9452*x + 396, x^34 - 10*x^33 + x^32 + 301*x^31 - 726*x^30 - 3622*x^29 + 14803*x^28 + 19614*x^27 - 148941*x^26 - 4968*x^25 + 912670*x^24 - 624599*x^23 - 3643809*x^22 + 4447504*x^21 + 9589602*x^20 - 16937515*x^19 - 15927844*x^18 + 41257597*x^17 + 13619967*x^16 - 67151483*x^15 + 2690214*x^14 + 73017000*x^13 - 21642420*x^12 - 51346029*x^11 + 25860032*x^10 + 21515888*x^9 - 15626337*x^8 - 4267088*x^7 + 5023600*x^6 - 39714*x^5 - 755173*x^4 + 126509*x^3 + 33785*x^2 - 9452*x + 396, -x^36 + 10*x^35 + 3*x^34 - 340*x^33 + 724*x^32 + 4786*x^31 - 17377*x^30 - 33777*x^29 + 201430*x^28 + 88319*x^27 - 1437354*x^26 + 484156*x^25 + 6860749*x^24 - 5819137*x^23 - 22654623*x^22 + 28612369*x^21 + 52061550*x^20 - 87706530*x^19 - 81435548*x^18 + 183093911*x^17 + 80032800*x^16 - 267246209*x^15 - 34532440*x^14 + 272813109*x^13 - 21989260*x^12 - 191113817*x^11 + 44870255*x^10 + 88094480*x^9 - 31725272*x^8 - 24599322*x^7 + 11901154*x^6 + 3429141*x^5 - 2324799*x^4 - 81893*x^3 + 188913*x^2 - 19614*x - 1332, -x^36 + 10*x^35 + 3*x^34 - 340*x^33 + 724*x^32 + 4786*x^31 - 17377*x^30 - 33777*x^29 + 201430*x^28 + 88319*x^27 - 1437354*x^26 + 484156*x^25 + 6860749*x^24 - 5819137*x^23 - 22654623*x^22 + 28612369*x^21 + 52061550*x^20 - 87706530*x^19 - 81435548*x^18 + 183093911*x^17 + 80032800*x^16 - 267246209*x^15 - 34532440*x^14 + 272813109*x^13 - 21989260*x^12 - 191113817*x^11 + 44870255*x^10 + 88094480*x^9 - 31725272*x^8 - 24599322*x^7 + 11901154*x^6 + 3429141*x^5 - 2324799*x^4 - 81893*x^3 + 188913*x^2 - 19614*x - 1332, -x^34 + 11*x^33 - 11*x^32 - 300*x^31 + 1032*x^30 + 2835*x^29 - 18274*x^28 - 3760*x^27 + 162674*x^26 - 145759*x^25 - 849054*x^24 + 1448861*x^23 + 2637202*x^22 - 7137753*x^21 - 4171133*x^20 + 21729921*x^19 - 786713*x^18 - 43158267*x^17 + 18669674*x^16 + 55971663*x^15 - 41857899*x^14 - 45239589*x^13 + 49373724*x^12 + 19435127*x^11 - 33963567*x^10 - 1210569*x^9 + 12930057*x^8 - 2438298*x^7 - 2124984*x^6 + 758989*x^5 - 20189*x^4 - 1181*x^3 + 15265*x^2 - 12042*x + 2016, -x^34 + 11*x^33 - 11*x^32 - 300*x^31 + 1032*x^30 + 2835*x^29 - 18274*x^28 - 3760*x^27 + 162674*x^26 - 145759*x^25 - 849054*x^24 + 1448861*x^23 + 2637202*x^22 - 7137753*x^21 - 4171133*x^20 + 21729921*x^19 - 786713*x^18 - 43158267*x^17 + 18669674*x^16 + 55971663*x^15 - 41857899*x^14 - 45239589*x^13 + 49373724*x^12 + 19435127*x^11 - 33963567*x^10 - 1210569*x^9 + 12930057*x^8 - 2438298*x^7 - 2124984*x^6 + 758989*x^5 - 20189*x^4 - 1181*x^3 + 15265*x^2 - 12042*x + 2016, x^36 - 11*x^35 + 8*x^34 + 330*x^33 - 1034*x^32 - 3754*x^31 + 20530*x^30 + 14693*x^29 - 208919*x^28 + 91342*x^27 + 1306928*x^26 - 1499723*x^25 - 5342402*x^24 + 9394333*x^23 + 14364776*x^22 - 35951354*x^21 - 23918361*x^20 + 92853369*x^19 + 17717411*x^18 - 167375305*x^17 + 17677583*x^16 + 212080697*x^15 - 65057947*x^14 - 186898475*x^13 + 84908434*x^12 + 111216610*x^11 - 64126752*x^10 - 42130897*x^9 + 29730272*x^8 + 8956861*x^7 - 8218028*x^6 - 693038*x^5 + 1223534*x^4 - 63721*x^3 - 75217*x^2 + 9476*x + 504, x^36 - 11*x^35 + 8*x^34 + 330*x^33 - 1034*x^32 - 3754*x^31 + 20530*x^30 + 14693*x^29 - 208919*x^28 + 91342*x^27 + 1306928*x^26 - 1499723*x^25 - 5342402*x^24 + 9394333*x^23 + 14364776*x^22 - 35951354*x^21 - 23918361*x^20 + 92853369*x^19 + 17717411*x^18 - 167375305*x^17 + 17677583*x^16 + 212080697*x^15 - 65057947*x^14 - 186898475*x^13 + 84908434*x^12 + 111216610*x^11 - 64126752*x^10 - 42130897*x^9 + 29730272*x^8 + 8956861*x^7 - 8218028*x^6 - 693038*x^5 + 1223534*x^4 - 63721*x^3 - 75217*x^2 + 9476*x + 504, -x^35 + 11*x^34 - 10*x^33 - 309*x^32 + 1022*x^31 + 3153*x^30 - 18770*x^29 - 8263*x^28 + 175932*x^27 - 114350*x^26 - 998239*x^25 + 1360665*x^24 + 3610993*x^23 - 7386148*x^22 - 8221174*x^21 + 24927875*x^20 + 10294102*x^19 - 56693581*x^18 - 1154318*x^17 + 89486783*x^16 - 20022560*x^15 - 98747043*x^14 + 37950039*x^13 + 75553680*x^12 - 37320145*x^11 - 39136230*x^10 + 22426383*x^9 + 13147478*x^8 - 8401649*x^7 - 2678619*x^6 + 1919927*x^5 + 296244*x^4 - 261911*x^3 - 8879*x^2 + 20256*x - 2520, -x^35 + 11*x^34 - 10*x^33 - 309*x^32 + 1022*x^31 + 3153*x^30 - 18770*x^29 - 8263*x^28 + 175932*x^27 - 114350*x^26 - 998239*x^25 + 1360665*x^24 + 3610993*x^23 - 7386148*x^22 - 8221174*x^21 + 24927875*x^20 + 10294102*x^19 - 56693581*x^18 - 1154318*x^17 + 89486783*x^16 - 20022560*x^15 - 98747043*x^14 + 37950039*x^13 + 75553680*x^12 - 37320145*x^11 - 39136230*x^10 + 22426383*x^9 + 13147478*x^8 - 8401649*x^7 - 2678619*x^6 + 1919927*x^5 + 296244*x^4 - 261911*x^3 - 8879*x^2 + 20256*x - 2520, x^35 - 11*x^34 + 9*x^33 + 320*x^32 - 1033*x^31 - 3454*x^30 + 19814*x^29 + 11066*x^28 - 194378*x^27 + 111670*x^26 + 1160570*x^25 - 1516857*x^24 - 4438812*x^23 + 8872679*x^22 + 10684979*x^21 - 32023969*x^20 - 13803659*x^19 + 77569317*x^18 - 819506*x^17 - 129366887*x^16 + 38841192*x^15 + 148319805*x^14 - 76294696*x^13 - 113977797*x^12 + 79895690*x^11 + 55131440*x^10 - 50694833*x^9 - 14196871*x^8 + 19367047*x^7 + 614086*x^6 - 4094394*x^5 + 555544*x^4 + 374417*x^3 - 100773*x^2 - 1450*x + 1692, x^35 - 11*x^34 + 9*x^33 + 320*x^32 - 1033*x^31 - 3454*x^30 + 19814*x^29 + 11066*x^28 - 194378*x^27 + 111670*x^26 + 1160570*x^25 - 1516857*x^24 - 4438812*x^23 + 8872679*x^22 + 10684979*x^21 - 32023969*x^20 - 13803659*x^19 + 77569317*x^18 - 819506*x^17 - 129366887*x^16 + 38841192*x^15 + 148319805*x^14 - 76294696*x^13 - 113977797*x^12 + 79895690*x^11 + 55131440*x^10 - 50694833*x^9 - 14196871*x^8 + 19367047*x^7 + 614086*x^6 - 4094394*x^5 + 555544*x^4 + 374417*x^3 - 100773*x^2 - 1450*x + 1692]>
       ]
>;

MOG[887] := 	// J_0(887)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 17, 51, 88, 91, 108, 135, 166, 173, 185, 206, 212, 306, 351, 352, 357, 376, 443, 490, 497, 498, 561, 621, 671, 684, 721, 775, 780, 841, 699*x + 108, 188*x + 108, 302*x + 757, 585*x + 757, 533*x + 93, 354*x + 93, 213*x + 543, 674*x + 543, 543*x + 690, 344*x + 690, 845*x + 722, 42*x + 722, 743*x + 697, 144*x + 697, 512*x + 655, 375*x + 655, 486*x + 347, 401*x + 347, 627*x + 728, 260*x + 728, 884*x + 843, 3*x + 843, 817*x + 826, 70*x + 826, 524*x + 553, 363*x + 553, 635*x + 280, 252*x + 280, 46*x + 503, 841*x + 503, 2*x + 190, 885*x + 190, 218*x + 587, 669*x + 587, 75*x + 718, 812*x + 718, 442*x + 288, 445*x + 288, 538*x + 445, 349*x + 445, 776*x + 565, 111*x + 565, 374*x + 196, 513*x + 196, 553*x + 543, 334*x + 543]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 - x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x - 2, -x + 2, 1, -1, -x + 1, x - 1, x, -x, 0, 0, -x + 2, x - 2, -x + 1, x - 1, x - 1, -x + 1, 1, -1, x - 2, -x + 2, 1, -1, 0, 0, 0, 0, 0, 0, -x + 1, x - 1, x - 1, -x + 1, x - 1, -x + 1, 1, -1, -1, 1, x - 1, -x + 1, -x + 1, x - 1, 0, 0, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^21 + 4*x^20 - 19*x^19 - 89*x^18 + 133*x^17 + 813*x^16 - 376*x^15 - 3971*x^14 - 13*x^13 + 11343*x^12 + 2604*x^11 - 19573*x^10 - 6279*x^9 + 20486*x^8 + 6534*x^7 - 12672*x^6 - 3062*x^5 + 4267*x^4 + 411*x^3 - 613*x^2 + 66*x + 4,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^20 - 5*x^19 + 14*x^18 + 102*x^17 - 36*x^16 - 837*x^15 - 372*x^14 + 3574*x^13 + 2959*x^12 - 8613*x^11 - 8954*x^10 + 12011*x^9 + 13765*x^8 - 9773*x^7 - 11111*x^6 + 4709*x^5 + 4369*x^4 - 1382*x^3 - 618*x^2 + 219*x - 12, x^20 + 5*x^19 - 14*x^18 - 102*x^17 + 36*x^16 + 837*x^15 + 372*x^14 - 3574*x^13 - 2959*x^12 + 8613*x^11 + 8954*x^10 - 12011*x^9 - 13765*x^8 + 9773*x^7 + 11111*x^6 - 4709*x^5 - 4369*x^4 + 1382*x^3 + 618*x^2 - 219*x + 12, -x^20 - 4*x^19 + 17*x^18 + 80*x^17 - 108*x^16 - 658*x^15 + 298*x^14 + 2904*x^13 - 198*x^12 - 7539*x^11 - 782*x^10 + 11865*x^9 + 1973*x^8 - 11161*x^7 - 1818*x^6 + 5883*x^5 + 658*x^4 - 1489*x^3 - 31*x^2 + 118*x - 10, x^20 + 4*x^19 - 17*x^18 - 80*x^17 + 108*x^16 + 658*x^15 - 298*x^14 - 2904*x^13 + 198*x^12 + 7539*x^11 + 782*x^10 - 11865*x^9 - 1973*x^8 + 11161*x^7 + 1818*x^6 - 5883*x^5 - 658*x^4 + 1489*x^3 + 31*x^2 - 118*x + 10, -x^20 - 5*x^19 + 13*x^18 + 97*x^17 - 24*x^16 - 748*x^15 - 397*x^14 + 2946*x^13 + 2730*x^12 - 6350*x^11 - 7562*x^10 + 7486*x^9 + 10713*x^8 - 4577*x^7 - 7963*x^6 + 1307*x^5 + 2885*x^4 - 207*x^3 - 394*x^2 + 54*x + 4, x^20 + 5*x^19 - 13*x^18 - 97*x^17 + 24*x^16 + 748*x^15 + 397*x^14 - 2946*x^13 - 2730*x^12 + 6350*x^11 + 7562*x^10 - 7486*x^9 - 10713*x^8 + 4577*x^7 + 7963*x^6 - 1307*x^5 - 2885*x^4 + 207*x^3 + 394*x^2 - 54*x - 4, -x^19 - 4*x^18 + 15*x^17 + 73*x^16 - 78*x^15 - 541*x^14 + 122*x^13 + 2105*x^12 + 301*x^11 - 4665*x^10 - 1419*x^9 + 6021*x^8 + 2068*x^7 - 4436*x^6 - 1295*x^5 + 1699*x^4 + 252*x^3 - 251*x^2 + 34*x - 2, x^19 + 4*x^18 - 15*x^17 - 73*x^16 + 78*x^15 + 541*x^14 - 122*x^13 - 2105*x^12 - 301*x^11 + 4665*x^10 + 1419*x^9 - 6021*x^8 - 2068*x^7 + 4436*x^6 + 1295*x^5 - 1699*x^4 - 252*x^3 + 251*x^2 - 34*x + 2, -x^19 - 5*x^18 + 10*x^17 + 82*x^16 - 526*x^14 - 333*x^13 + 1699*x^12 + 1521*x^11 - 3043*x^10 - 2887*x^9 + 3304*x^8 + 2648*x^7 - 2353*x^6 - 1109*x^5 + 1079*x^4 + 128*x^3 - 244*x^2 + 22*x + 6, x^19 + 5*x^18 - 10*x^17 - 82*x^16 + 526*x^14 + 333*x^13 - 1699*x^12 - 1521*x^11 + 3043*x^10 + 2887*x^9 - 3304*x^8 - 2648*x^7 + 2353*x^6 + 1109*x^5 - 1079*x^4 - 128*x^3 + 244*x^2 - 22*x - 6, x^18 + 6*x^17 - 6*x^16 - 95*x^15 - 66*x^14 + 579*x^13 + 774*x^12 - 1696*x^11 - 3028*x^10 + 2455*x^9 + 5673*x^8 - 1675*x^7 - 5430*x^6 + 507*x^5 + 2565*x^4 - 138*x^3 - 489*x^2 + 60*x + 10, -x^18 - 6*x^17 + 6*x^16 + 95*x^15 + 66*x^14 - 579*x^13 - 774*x^12 + 1696*x^11 + 3028*x^10 - 2455*x^9 - 5673*x^8 + 1675*x^7 + 5430*x^6 - 507*x^5 - 2565*x^4 + 138*x^3 + 489*x^2 - 60*x - 10, -x^19 - 6*x^18 + 7*x^17 + 101*x^16 + 64*x^15 - 653*x^14 - 857*x^13 + 2034*x^12 + 3655*x^11 - 3133*x^10 - 7577*x^9 + 2144*x^8 + 8344*x^7 - 254*x^6 - 4886*x^5 - 309*x^4 + 1399*x^3 + 59*x^2 - 149*x + 16, x^19 + 6*x^18 - 7*x^17 - 101*x^16 - 64*x^15 + 653*x^14 + 857*x^13 - 2034*x^12 - 3655*x^11 + 3133*x^10 + 7577*x^9 - 2144*x^8 - 8344*x^7 + 254*x^6 + 4886*x^5 + 309*x^4 - 1399*x^3 - 59*x^2 + 149*x - 16, -x^18 - 3*x^17 + 17*x^16 + 53*x^15 - 115*x^14 - 375*x^13 + 400*x^12 + 1366*x^11 - 793*x^10 - 2770*x^9 + 984*x^8 + 3202*x^7 - 821*x^6 - 2045*x^5 + 451*x^4 + 636*x^3 - 136*x^2 - 65*x + 14, x^18 + 3*x^17 - 17*x^16 - 53*x^15 + 115*x^14 + 375*x^13 - 400*x^12 - 1366*x^11 + 793*x^10 + 2770*x^9 - 984*x^8 - 3202*x^7 + 821*x^6 + 2045*x^5 - 451*x^4 - 636*x^3 + 136*x^2 + 65*x - 14, -x^18 - 4*x^17 + 13*x^16 + 64*x^15 - 61*x^14 - 424*x^13 + 99*x^12 + 1508*x^11 + 156*x^10 - 3074*x^9 - 889*x^8 + 3523*x^7 + 1344*x^6 - 2139*x^5 - 857*x^4 + 602*x^3 + 201*x^2 - 55*x - 4, x^18 + 4*x^17 - 13*x^16 - 64*x^15 + 61*x^14 + 424*x^13 - 99*x^12 - 1508*x^11 - 156*x^10 + 3074*x^9 + 889*x^8 - 3523*x^7 - 1344*x^6 + 2139*x^5 + 857*x^4 - 602*x^3 - 201*x^2 + 55*x + 4, -x^18 - 5*x^17 + 7*x^16 + 68*x^15 + 22*x^14 - 348*x^13 - 315*x^12 + 841*x^11 + 1028*x^10 - 984*x^9 - 1469*x^8 + 464*x^7 + 963*x^6 + 82*x^5 - 221*x^4 - 154*x^3 - 6*x^2 + 37*x - 6, x^18 + 5*x^17 - 7*x^16 - 68*x^15 - 22*x^14 + 348*x^13 + 315*x^12 - 841*x^11 - 1028*x^10 + 984*x^9 + 1469*x^8 - 464*x^7 - 963*x^6 - 82*x^5 + 221*x^4 + 154*x^3 + 6*x^2 - 37*x + 6, x^15 + 5*x^14 - 2*x^13 - 47*x^12 - 49*x^11 + 146*x^10 + 283*x^9 - 135*x^8 - 606*x^7 - 137*x^6 + 562*x^5 + 299*x^4 - 195*x^3 - 142*x^2 + 6*x + 10, -x^15 - 5*x^14 + 2*x^13 + 47*x^12 + 49*x^11 - 146*x^10 - 283*x^9 + 135*x^8 + 606*x^7 + 137*x^6 - 562*x^5 - 299*x^4 + 195*x^3 + 142*x^2 - 6*x - 10, x^17 + 6*x^16 - 2*x^15 - 74*x^14 - 83*x^13 + 338*x^12 + 627*x^11 - 678*x^10 - 1904*x^9 + 469*x^8 + 2914*x^7 + 253*x^6 - 2321*x^5 - 447*x^4 + 910*x^3 + 119*x^2 - 139*x + 16, -x^17 - 6*x^16 + 2*x^15 + 74*x^14 + 83*x^13 - 338*x^12 - 627*x^11 + 678*x^10 + 1904*x^9 - 469*x^8 - 2914*x^7 - 253*x^6 + 2321*x^5 + 447*x^4 - 910*x^3 - 119*x^2 + 139*x - 16, -x^17 - 3*x^16 + 16*x^15 + 51*x^14 - 97*x^13 - 339*x^12 + 272*x^11 + 1102*x^10 - 367*x^9 - 1835*x^8 + 313*x^7 + 1570*x^6 - 299*x^5 - 612*x^4 + 248*x^3 + 50*x^2 - 85*x + 16, x^17 + 3*x^16 - 16*x^15 - 51*x^14 + 97*x^13 + 339*x^12 - 272*x^11 - 1102*x^10 + 367*x^9 + 1835*x^8 - 313*x^7 - 1570*x^6 + 299*x^5 + 612*x^4 - 248*x^3 - 50*x^2 + 85*x - 16, -2*x^17 - 9*x^16 + 17*x^15 + 117*x^14 - 23*x^13 - 597*x^12 - 145*x^11 + 1591*x^10 + 530*x^9 - 2498*x^8 - 724*x^7 + 2297*x^6 + 438*x^5 - 1097*x^4 - 51*x^3 + 196*x^2 - 38*x + 2, 2*x^17 + 9*x^16 - 17*x^15 - 117*x^14 + 23*x^13 + 597*x^12 + 145*x^11 - 1591*x^10 - 530*x^9 + 2498*x^8 + 724*x^7 - 2297*x^6 - 438*x^5 + 1097*x^4 + 51*x^3 - 196*x^2 + 38*x - 2, -x^17 - 5*x^16 + 5*x^15 + 61*x^14 + 41*x^13 - 261*x^12 - 348*x^11 + 468*x^10 + 888*x^9 - 342*x^8 - 961*x^7 + 138*x^6 + 450*x^5 - 136*x^4 - 83*x^3 + 85*x^2 + 10*x - 8, x^17 + 5*x^16 - 5*x^15 - 61*x^14 - 41*x^13 + 261*x^12 + 348*x^11 - 468*x^10 - 888*x^9 + 342*x^8 + 961*x^7 - 138*x^6 - 450*x^5 + 136*x^4 + 83*x^3 - 85*x^2 - 10*x + 8, -x^15 - 6*x^14 + x^13 + 66*x^12 + 76*x^11 - 260*x^10 - 470*x^9 + 426*x^8 + 1125*x^7 - 238*x^6 - 1240*x^5 - 6*x^4 + 628*x^3 - 5*x^2 - 117*x + 24, x^15 + 6*x^14 - x^13 - 66*x^12 - 76*x^11 + 260*x^10 + 470*x^9 - 426*x^8 - 1125*x^7 + 238*x^6 + 1240*x^5 + 6*x^4 - 628*x^3 + 5*x^2 + 117*x - 24, x^16 + 2*x^15 - 18*x^14 - 36*x^13 + 128*x^12 + 264*x^11 - 426*x^10 - 935*x^9 + 671*x^8 + 1632*x^7 - 522*x^6 - 1433*x^5 + 203*x^4 + 586*x^3 - 51*x^2 - 81*x + 14, -x^16 - 2*x^15 + 18*x^14 + 36*x^13 - 128*x^12 - 264*x^11 + 426*x^10 + 935*x^9 - 671*x^8 - 1632*x^7 + 522*x^6 + 1433*x^5 - 203*x^4 - 586*x^3 + 51*x^2 + 81*x - 14, 3*x^15 + 16*x^14 - 11*x^13 - 177*x^12 - 118*x^11 + 709*x^10 + 800*x^9 - 1277*x^8 - 1769*x^7 + 1084*x^6 + 1732*x^5 - 398*x^4 - 728*x^3 + 57*x^2 + 91*x - 14, -3*x^15 - 16*x^14 + 11*x^13 + 177*x^12 + 118*x^11 - 709*x^10 - 800*x^9 + 1277*x^8 + 1769*x^7 - 1084*x^6 - 1732*x^5 + 398*x^4 + 728*x^3 - 57*x^2 - 91*x + 14, x^16 + 6*x^15 - x^14 - 66*x^13 - 76*x^12 + 260*x^11 + 470*x^10 - 426*x^9 - 1125*x^8 + 238*x^7 + 1240*x^6 + 6*x^5 - 628*x^4 + 5*x^3 + 117*x^2 - 24*x, -x^16 - 6*x^15 + x^14 + 66*x^13 + 76*x^12 - 260*x^11 - 470*x^10 + 426*x^9 + 1125*x^8 - 238*x^7 - 1240*x^6 - 6*x^5 + 628*x^4 - 5*x^3 - 117*x^2 + 24*x, 3*x^16 + 15*x^15 - 16*x^14 - 175*x^13 - 71*x^12 + 758*x^11 + 654*x^10 - 1560*x^9 - 1634*x^8 + 1690*x^7 + 1869*x^6 - 960*x^5 - 1027*x^4 + 252*x^3 + 233*x^2 - 20*x - 10, -3*x^16 - 15*x^15 + 16*x^14 + 175*x^13 + 71*x^12 - 758*x^11 - 654*x^10 + 1560*x^9 + 1634*x^8 - 1690*x^7 - 1869*x^6 + 960*x^5 + 1027*x^4 - 252*x^3 - 233*x^2 + 20*x + 10, -x^16 - 4*x^15 + 9*x^14 + 54*x^13 - 5*x^12 - 268*x^11 - 161*x^10 + 621*x^9 + 576*x^8 - 723*x^7 - 787*x^6 + 440*x^5 + 463*x^4 - 153*x^3 - 95*x^2 + 32*x, x^16 + 4*x^15 - 9*x^14 - 54*x^13 + 5*x^12 + 268*x^11 + 161*x^10 - 621*x^9 - 576*x^8 + 723*x^7 + 787*x^6 - 440*x^5 - 463*x^4 + 153*x^3 + 95*x^2 - 32*x, -x^16 - 3*x^15 + 10*x^14 + 33*x^13 - 28*x^12 - 105*x^11 + 21*x^10 + 21*x^9 - 68*x^8 + 397*x^7 + 274*x^6 - 658*x^5 - 325*x^4 + 392*x^3 + 111*x^2 - 77*x + 6, x^16 + 3*x^15 - 10*x^14 - 33*x^13 + 28*x^12 + 105*x^11 - 21*x^10 - 21*x^9 + 68*x^8 - 397*x^7 - 274*x^6 + 658*x^5 + 325*x^4 - 392*x^3 - 111*x^2 + 77*x - 6, 2*x^14 + 8*x^13 - 12*x^12 - 81*x^11 - 8*x^10 + 309*x^9 + 195*x^8 - 549*x^7 - 485*x^6 + 453*x^5 + 446*x^4 - 165*x^3 - 148*x^2 + 22*x + 8, -2*x^14 - 8*x^13 + 12*x^12 + 81*x^11 + 8*x^10 - 309*x^9 - 195*x^8 + 549*x^7 + 485*x^6 - 453*x^5 - 446*x^4 + 165*x^3 + 148*x^2 - 22*x - 8]>,
         rec<Eigen |
           DefiningPolynomial := x^51 - 4*x^50 - 74*x^49 + 310*x^48 + 2531*x^47 - 11204*x^46 - 53020*x^45 + 250922*x^44 + 759348*x^43 - 3902765*x^42 - 7848851*x^41 + 44781111*x^40 + 60083105*x^39 - 393031425*x^38 - 341987606*x^37 + 2699970286*x^36 + 1410461920*x^35 - 14733807107*x^34 - 3792863877*x^33 + 64455577614*x^32 + 3258335834*x^31 - 227141274881*x^30 + 25874762649*x^29 + 645614288507*x^28 - 159104024285*x^27 - 1477182016805*x^26 + 523333228427*x^25 + 2706575527451*x^24 - 1198093056353*x^23 - 3936951762204*x^22 + 2029530874039*x^21 + 4488714993435*x^20 - 2585307105799*x^19 - 3940839957630*x^18 + 2470053111039*x^17 + 2600042626481*x^16 - 1744287975947*x^15 - 1246884623965*x^14 + 887541462374*x^13 + 415321375220*x^12 - 313427868616*x^11 - 90515767362*x^10 + 72945531060*x^9 + 12117948831*x^8 - 10473653877*x^7 - 998798765*x^6 + 865367884*x^5 + 60608882*x^4 - 38017737*x^3 - 2877249*x^2 + 699078*x + 69244,
           Coordinates        := [-x^50 + 4*x^49 + 71*x^48 - 298*x^47 - 2324*x^46 + 10334*x^45 + 46451*x^44 - 221615*x^43 - 632421*x^42 + 3293458*x^41 + 6184365*x^40 - 36022038*x^39 - 44481656*x^38 + 300591478*x^37 + 235200384*x^36 - 1957759605*x^35 - 879764642*x^34 + 10097527007*x^33 + 1979113067*x^32 - 41606215071*x^31 + 59519875*x^30 + 137564735572*x^29 - 21744092699*x^28 - 365248795899*x^27 + 103742598205*x^26 + 776717532225*x^25 - 300128826131*x^24 - 1314940470727*x^23 + 618473721487*x^22 + 1754913978619*x^21 - 947347731466*x^20 - 1820077506670*x^19 + 1088816105200*x^18 + 1437658789292*x^17 - 932859194788*x^16 - 840801126748*x^15 + 585105345310*x^14 + 349719252465*x^13 - 260822881959*x^12 - 97475288442*x^11 + 79113434204*x^10 + 16593853449*x^9 - 15357070630*x^8 - 1476408467*x^7 + 1758574917*x^6 + 50318909*x^5 - 108259325*x^4 - 77015*x^3 + 3195902*x^2 - 4058*x - 33408, x^50 - 3*x^49 - 75*x^48 + 229*x^47 + 2614*x^46 - 8144*x^45 - 56223*x^44 + 179293*x^43 + 835719*x^42 - 2738560*x^41 - 9109910*x^40 + 30827517*x^39 + 75401492*x^38 - 265182539*x^37 - 483921609*x^36 + 1783824538*x^35 + 2436921723*x^34 - 9523963487*x^33 - 9673145853*x^32 + 40733509226*x^31 + 30186992806*x^30 - 140253274025*x^29 - 73183846568*x^28 + 389335778522*x^27 + 133982081313*x^26 - 869786776644*x^25 - 172816850261*x^24 + 1556026274003*x^23 + 122703776715*x^22 - 2210409882711*x^21 + 44451692463*x^20 + 2462431061341*x^19 - 250315537514*x^18 - 2113929654633*x^17 + 355728340402*x^16 + 1365115355277*x^15 - 302755856382*x^14 - 641393654882*x^13 + 168892937427*x^12 + 209307653838*x^11 - 61362259161*x^10 - 44471523027*x^9 + 13764380768*x^8 + 5656568498*x^7 - 1725001956*x^6 - 399715622*x^5 + 104759728*x^4 + 15688341*x^3 - 2520934*x^2 - 294688*x + 7136, -3*x^46 + 12*x^45 + 189*x^44 - 796*x^43 - 5447*x^42 + 24427*x^41 + 94983*x^40 - 460483*x^39 - 1115328*x^38 + 5972003*x^37 + 9261811*x^36 - 56545955*x^35 - 55245310*x^34 + 404832965*x^33 + 231843211*x^32 - 2239248164*x^31 - 613354915*x^30 + 9694044077*x^29 + 435653067*x^28 - 33068656482*x^27 + 4491838542*x^26 + 89039577235*x^25 - 25143359093*x^24 - 188689292174*x^23 + 76295794776*x^22 + 312307080866*x^21 - 158937146232*x^20 - 398439747039*x^19 + 239926717262*x^18 + 383949271128*x^17 - 265086185767*x^16 - 271053227290*x^15 + 212079961207*x^14 + 133721340264*x^13 - 119652844206*x^12 - 42576411049*x^11 + 45580408774*x^10 + 7424480534*x^9 - 10982745622*x^8 - 370369882*x^7 + 1527427943*x^6 - 59105435*x^5 - 110969347*x^4 + 6620893*x^3 + 3922020*x^2 - 164112*x - 55088, 2*x^46 - 9*x^45 - 120*x^44 + 589*x^43 + 3236*x^42 - 17789*x^41 - 51301*x^40 + 329055*x^39 + 519789*x^38 - 4172116*x^37 - 3322537*x^36 + 38449679*x^35 + 10453345*x^34 - 266504123*x^33 + 28467165*x^32 + 1418038237*x^31 - 562939952*x^30 - 5860230527*x^29 + 3701178458*x^28 + 18907174201*x^27 - 15730580520*x^26 - 47606020531*x^25 + 48292065249*x^24 + 92996612498*x^23 - 111035159002*x^22 - 139205599299*x^21 + 193392960156*x^20 + 156236944682*x^19 - 254797760594*x^18 - 126523009360*x^17 + 251189384721*x^16 + 68403152727*x^15 - 181577272730*x^14 - 19658087968*x^13 + 93247856085*x^12 - 1080065306*x^11 - 32461871294*x^10 + 3134279386*x^9 + 7161905670*x^8 - 1080271107*x^7 - 915455181*x^6 + 158403887*x^5 + 61778505*x^4 - 9640924*x^3 - 2145028*x^2 + 203484*x + 33024, 2*x^44 - 2*x^43 - 135*x^42 + 120*x^41 + 4261*x^40 - 3360*x^39 - 83462*x^38 + 58525*x^37 + 1135124*x^36 - 712963*x^35 - 11362265*x^34 + 6468742*x^33 + 86570616*x^32 - 45374438*x^31 - 512252548*x^30 + 251560270*x^29 + 2381225797*x^28 - 1115071913*x^27 - 8743103034*x^26 + 3965345594*x^25 + 25370079934*x^24 - 11279609817*x^23 - 57962340435*x^22 + 25455615969*x^21 + 103435932973*x^20 - 44995541962*x^19 - 142373234438*x^18 + 61212905775*x^17 + 148452341901*x^16 - 62645417255*x^15 - 114383341017*x^14 + 46831032783*x^13 + 62969004511*x^12 - 24621044347*x^11 - 23674566641*x^10 + 8668266399*x^9 + 5734338128*x^8 - 1917571544*x^7 - 834916572*x^6 + 243687038*x^5 + 67367354*x^4 - 15081704*x^3 - 2943212*x^2 + 351606*x + 58248, 2*x^45 - 6*x^44 - 126*x^43 + 388*x^42 + 3647*x^41 - 11596*x^40 - 64252*x^39 + 212606*x^38 + 769084*x^37 - 2676731*x^36 - 6605304*x^35 + 24544666*x^34 + 41834583*x^33 - 169645732*x^32 - 197059363*x^31 + 902272556*x^30 + 682110471*x^29 - 3736568412*x^28 - 1648631060*x^27 + 12112224095*x^26 + 2291048094*x^25 - 30720349997*x^24 + 568375186*x^23 + 60604954348*x^22 - 11796464071*x^21 - 91867210651*x^20 + 32109026826*x^19 + 104833235431*x^18 - 51695526242*x^17 - 87143441314*x^16 + 55693550749*x^15 + 49915768213*x^14 - 40697364184*x^13 - 17637257776*x^12 + 19595120593*x^11 + 2701161309*x^10 - 5817740540*x^9 + 348136014*x^8 + 943299744*x^7 - 185124536*x^6 - 67473508*x^5 + 20699386*x^4 + 1760122*x^3 - 901402*x^2 - 5706*x + 14396, -6*x^44 + 17*x^43 + 390*x^42 - 1121*x^41 - 11664*x^40 + 34091*x^39 + 212885*x^38 - 634545*x^37 - 2651427*x^36 + 8090233*x^35 + 23868009*x^34 - 74922600*x^33 - 160414691*x^32 + 521490819*x^31 + 819535012*x^30 - 2784635299*x^29 - 3207517557*x^28 + 11541734272*x^27 + 9606260712*x^26 - 37330380489*x^25 - 21766521064*x^24 + 94221715675*x^23 + 36308992537*x^22 - 184675372033*x^21 - 41876914819*x^20 + 278284610379*x^19 + 27523544032*x^18 - 317324365946*x^17 + 1262133759*x^16 + 267554754593*x^15 - 22970113700*x^14 - 161448355380*x^13 + 24100946532*x^12 + 66616986090*x^11 - 13007743616*x^10 - 17666907159*x^9 + 3921013909*x^8 + 2793285099*x^7 - 619764291*x^6 - 248639954*x^5 + 46769102*x^4 + 11821994*x^3 - 1414010*x^2 - 240084*x + 6164, x^49 - 3*x^48 - 73*x^47 + 223*x^46 + 2472*x^45 - 7710*x^44 - 51551*x^43 + 164699*x^42 + 741193*x^41 - 2435574*x^40 - 7793978*x^39 + 26477523*x^38 + 62040044*x^37 - 219336815*x^36 - 381609963*x^35 + 1416338090*x^34 + 1834653701*x^33 - 7233466513*x^32 - 6921973731*x^31 + 29478033598*x^30 + 20426017022*x^29 - 96296626461*x^28 - 46521938852*x^27 + 252419965310*x^26 + 79256613719*x^25 - 529734407400*x^24 - 93308605243*x^23 + 885136295867*x^22 + 55578484959*x^21 - 1166836219091*x^20 + 36305179617*x^19 + 1197391635007*x^18 - 131029937504*x^17 - 938737730477*x^16 + 164418957358*x^15 + 547956696443*x^14 - 126326776630*x^13 - 229920838300*x^12 + 63687596775*x^11 + 66131625896*x^10 - 20779958715*x^9 - 12261628923*x^8 + 4143108980*x^7 + 1373466172*x^6 - 459852862*x^5 - 91705508*x^4 + 25541958*x^3 + 3721517*x^2 - 558792*x - 76392, x^47 - x^46 - 76*x^45 + 79*x^44 + 2677*x^43 - 2872*x^42 - 58042*x^41 + 63881*x^40 + 867694*x^39 - 974586*x^38 - 9494132*x^37 + 10833064*x^36 + 78775145*x^35 - 90945171*x^34 - 506699501*x^33 + 589767568*x^32 + 2561369010*x^31 - 2996067518*x^30 - 10254612157*x^29 + 12019818823*x^28 + 32617526246*x^27 - 38212551538*x^26 - 82355102416*x^25 + 96210722587*x^24 + 164284302272*x^23 - 191008750357*x^22 - 256663506197*x^21 + 296554197944*x^20 + 309844287490*x^19 - 355555277049*x^18 - 283453778177*x^17 + 323435274482*x^16 + 191126511820*x^15 - 217949151802*x^14 - 91223291023*x^13 + 105380579251*x^12 + 28970026078*x^11 - 35044971379*x^10 - 5513237277*x^9 + 7577470929*x^8 + 502762835*x^7 - 987838325*x^6 - 5187081*x^5 + 70339640*x^4 - 1419322*x^3 - 2507944*x^2 + 47186*x + 35164, -2*x^47 + 9*x^46 + 126*x^45 - 609*x^44 - 3604*x^43 + 19050*x^42 + 61666*x^41 - 365745*x^40 - 697502*x^39 + 4826043*x^38 + 5394657*x^37 - 46441201*x^36 - 27829532*x^35 + 337527934*x^34 + 79505565*x^33 - 1893117084*x^32 + 59032392*x^31 + 8302136203*x^30 - 1936147029*x^29 - 28669385897*x^28 + 11180208486*x^27 + 78140285419*x^26 - 40162124723*x^25 - 167790081701*x^24 + 102990527937*x^23 + 282188153784*x^22 - 196352818377*x^21 - 367898644507*x^20 + 281557161104*x^19 + 366063902381*x^18 - 302925080467*x^17 - 271719568795*x^16 + 241550693831*x^15 + 145486184077*x^14 - 139639747966*x^13 - 53379782277*x^12 + 56536320561*x^11 + 12374039262*x^10 - 15209273196*x^9 - 1606702746*x^8 + 2518752291*x^7 + 117933200*x^6 - 235871849*x^5 - 12034179*x^4 + 12215892*x^3 + 1066758*x^2 - 279052*x - 35176, -3*x^47 + 12*x^46 + 195*x^45 - 820*x^44 - 5805*x^43 + 25937*x^42 + 104705*x^41 - 504217*x^40 - 1274192*x^39 + 6745885*x^38 + 10999681*x^37 - 65910097*x^36 - 68609682*x^35 + 487005559*x^34 + 305267837*x^33 - 2780437430*x^32 - 896494837*x^31 + 12425121011*x^30 + 1132971931*x^29 - 43756871918*x^28 + 3890988306*x^27 + 121665158621*x^26 - 28223104595*x^25 - 266417834400*x^24 + 92568461634*x^23 + 456277573036*x^22 - 201715178448*x^21 - 604020157545*x^20 + 314645564528*x^19 + 607304274770*x^18 - 357142211023*x^17 - 452363539018*x^16 + 292868691149*x^15 + 241184758894*x^14 - 169590330644*x^13 - 87894993773*x^12 + 66820635516*x^11 + 20720640948*x^10 - 17026232872*x^9 - 3055966390*x^8 + 2650978789*x^7 + 307607197*x^6 - 243458145*x^5 - 23940733*x^4 + 12303240*x^3 + 1299936*x^2 - 265278*x - 33036, x^49 - 3*x^48 - 73*x^47 + 223*x^46 + 2469*x^45 - 7696*x^44 - 51371*x^43 + 163787*x^42 + 736308*x^41 - 2408110*x^40 - 7715152*x^39 + 25969871*x^38 + 61208492*x^37 - 212887324*x^36 - 375754772*x^35 + 1356583807*x^34 + 1809027810*x^33 - 6815456022*x^32 - 6882878523*x^31 + 27222974452*x^30 + 20768647786*x^29 - 86798036956*x^28 - 49727734072*x^27 + 220993193538*x^26 + 94380084237*x^25 - 447997995787*x^24 - 141920835692*x^23 + 718701806911*x^22 + 169752216176*x^21 - 903899405466*x^20 - 163744672673*x^19 + 879834205504*x^18 + 130634821500*x^17 - 651917881129*x^16 - 88002193070*x^15 + 360290129022*x^14 + 49071906565*x^13 - 144985820509*x^12 - 20929641158*x^11 + 41274877600*x^10 + 6070331450*x^9 - 7964132178*x^8 - 1051025557*x^7 + 950618927*x^6 + 98960328*x^5 - 57974761*x^4 - 5733496*x^3 + 1381978*x^2 + 161538*x + 12, -3*x^48 + 12*x^47 + 201*x^46 - 846*x^45 - 6179*x^44 + 27665*x^43 + 115321*x^42 - 557313*x^41 - 1455286*x^40 + 7747263*x^39 + 13057937*x^38 - 78888569*x^37 - 84852844*x^36 + 609644897*x^35 + 394013374*x^34 - 3655216044*x^33 - 1205806017*x^32 + 17236127777*x^31 + 1529007291*x^30 - 64415431567*x^29 + 6433792496*x^28 + 191366206969*x^27 - 47912261324*x^26 - 451429744946*x^25 + 168173307165*x^24 + 841315959792*x^23 - 398226629187*x^22 - 1227151186795*x^21 + 684875629272*x^20 + 1380726285271*x^19 - 871786150809*x^18 - 1173225056657*x^17 + 818883636719*x^16 + 730047869248*x^15 - 557987614831*x^14 - 317737333664*x^13 + 267590900204*x^12 + 89908279357*x^11 - 86276884786*x^10 - 14494841418*x^9 + 17522843504*x^8 + 955513084*x^7 - 2058966515*x^6 + 18386065*x^5 + 128129247*x^4 - 3783969*x^3 - 3809210*x^2 + 74302*x + 40692, -x^45 + 8*x^44 + 47*x^43 - 504*x^42 - 805*x^41 + 14623*x^40 + 2209*x^39 - 259205*x^38 + 153786*x^37 + 3139251*x^36 - 3340224*x^35 - 27513255*x^34 + 38704255*x^33 + 180211663*x^32 - 304223845*x^31 - 897665487*x^30 + 1748801339*x^29 + 3423301594*x^28 - 7600844320*x^27 - 9962244790*x^26 + 25367638688*x^25 + 21776674569*x^24 - 65349418169*x^23 - 34418465650*x^22 + 129627859235*x^21 + 35644933927*x^20 - 196165286686*x^19 - 15594267665*x^18 + 222736460580*x^17 - 16635728767*x^16 - 184954520896*x^15 + 36513513463*x^14 + 108130998130*x^13 - 31964089672*x^12 - 42070327070*x^11 + 15755624840*x^10 + 10002834393*x^9 - 4383475285*x^8 - 1282627255*x^7 + 624626621*x^6 + 80197598*x^5 - 39374760*x^4 - 3040404*x^3 + 901866*x^2 + 76190*x + 12, 2*x^46 - 6*x^45 - 137*x^44 + 424*x^43 + 4305*x^42 - 13806*x^41 - 82287*x^40 + 275061*x^39 + 1069321*x^38 - 3755189*x^37 - 9996886*x^36 + 37281305*x^35 + 69329794*x^34 - 278756167*x^33 - 361890099*x^32 + 1603938449*x^31 + 1422786779*x^30 - 7194446007*x^29 - 4141622551*x^28 + 25326357596*x^27 + 8454892016*x^26 - 70087584890*x^25 - 9979288078*x^24 + 152027558165*x^23 - 1734137533*x^22 - 256491005654*x^21 + 34943386321*x^20 + 332191335585*x^19 - 79127030920*x^18 - 323759530501*x^17 + 104115142752*x^16 + 230659101549*x^15 - 89799577460*x^14 - 115195942483*x^13 + 51027645404*x^12 + 37973978134*x^11 - 18284800782*x^10 - 7615807394*x^9 + 3769275641*x^8 + 868071317*x^7 - 378128983*x^6 - 64965247*x^5 + 12842648*x^4 + 3962938*x^3 + 312490*x^2 - 126204*x - 22156, -2*x^46 + 9*x^45 + 124*x^44 - 597*x^43 - 3492*x^42 + 18278*x^41 + 58926*x^40 - 342887*x^39 - 660192*x^38 + 4412655*x^37 + 5112481*x^36 - 41330423*x^35 - 27215018*x^34 + 291718780*x^33 + 90875993*x^32 - 1585036386*x^31 - 96772942*x^30 + 6714853507*x^29 - 834739635*x^28 - 22327806699*x^27 + 5879005612*x^26 + 58376785885*x^25 - 21466165523*x^24 - 119702160119*x^23 + 53304579807*x^22 + 191173407452*x^21 - 95855295025*x^20 - 235017311991*x^19 + 126886392152*x^18 + 218447411855*x^17 - 123216586033*x^16 - 149501779977*x^15 + 86295080137*x^14 + 72367393379*x^13 - 42235858276*x^12 - 23236609259*x^11 + 13688978719*x^10 + 4434530336*x^9 - 2662358112*x^8 - 413935266*x^7 + 253288259*x^6 + 16062944*x^5 - 7512399*x^4 - 397649*x^3 - 229300*x^2 + 16916*x + 10796, 2*x^45 - 6*x^44 - 128*x^43 + 387*x^42 + 3790*x^41 - 11553*x^40 - 68978*x^39 + 212139*x^38 + 864503*x^37 - 2685756*x^36 - 7918433*x^35 + 24904207*x^34 + 54866771*x^33 - 175340870*x^32 - 293417724*x^31 + 958626991*x^30 + 1223213144*x^29 - 4125922752*x^28 - 3980807341*x^27 + 14081772697*x^26 + 10035645520*x^25 - 38187392982*x^24 - 19201996640*x^23 + 82047757933*x^22 + 26661033938*x^21 - 138593233195*x^20 - 23918839394*x^19 + 181673966983*x^18 + 7613428988*x^17 - 181298419143*x^16 + 12548575698*x^15 + 134106893665*x^14 - 21685868761*x^13 - 70917719504*x^12 + 16698226672*x^11 + 25558463569*x^10 - 7389651329*x^9 - 5911966015*x^8 + 1887429755*x^7 + 822086382*x^6 - 261417314*x^5 - 64980764*x^4 + 17187374*x^3 + 2973078*x^2 - 427224*x - 66008, -3*x^46 + 14*x^45 + 185*x^44 - 932*x^43 - 5169*x^42 + 28669*x^41 + 86111*x^40 - 540895*x^39 - 942928*x^38 + 7006469*x^37 + 6981351*x^36 - 66093383*x^35 - 33500227*x^34 + 469945649*x^33 + 77467969*x^32 - 2571758602*x^31 + 217319555*x^30 + 10964515572*x^29 - 2978457257*x^28 - 36632391866*x^27 + 15197318187*x^26 + 95972333311*x^25 - 50461486438*x^24 - 196349094582*x^23 + 120215655963*x^22 + 310823948384*x^21 - 211292918512*x^20 - 374982263462*x^19 + 274717222524*x^18 + 336912246511*x^17 - 260928759803*x^16 - 217809883064*x^15 + 176317322980*x^14 + 96120999627*x^13 - 81117420482*x^12 - 26611227360*x^11 + 23670243140*x^10 + 4014394494*x^9 - 3889119093*x^8 - 277536005*x^7 + 288080427*x^6 + 16778637*x^5 - 4856660*x^4 - 1536988*x^3 - 378088*x^2 + 56774*x + 14396, -3*x^47 + 12*x^46 + 196*x^45 - 825*x^44 - 5867*x^43 + 26269*x^42 + 106460*x^41 - 514424*x^40 - 1304138*x^39 + 6938720*x^38 + 11341535*x^37 - 68415662*x^36 - 71338004*x^35 + 510749732*x^34 + 320567770*x^33 - 2950267332*x^32 - 953785067*x^31 + 13361120565*x^30 + 1242536600*x^29 - 47780410563*x^28 + 4070086599*x^27 + 135236404156*x^26 - 30448441211*x^25 - 302377306219*x^24 + 101617414228*x^23 + 530896367504*x^22 - 225153759669*x^21 - 724413775857*x^20 + 357465590955*x^19 + 756607454471*x^18 - 413757518776*x^17 - 592331791442*x^16 + 347022096122*x^15 + 338104850470*x^14 - 206515521188*x^13 - 135870632445*x^12 + 84303156455*x^11 + 36902696086*x^10 - 22545897808*x^9 - 6509605157*x^8 + 3736676992*x^7 + 721735731*x^6 - 359409817*x^5 - 47363981*x^4 + 17493117*x^3 + 1821665*x^2 - 327086*x - 34068, 2*x^46 - 6*x^45 - 132*x^44 + 398*x^43 + 4042*x^42 - 12232*x^41 - 76323*x^40 + 231348*x^39 + 996432*x^38 - 3016582*x^37 - 9559922*x^36 + 28791597*x^35 + 69941424*x^34 - 208459230*x^33 - 399643901*x^32 + 1170924536*x^31 + 1811759287*x^30 - 5175277526*x^29 - 6581226643*x^28 + 18149063046*x^27 + 19253180286*x^26 - 50691114623*x^25 - 45389219968*x^24 + 112737748939*x^23 + 85882310766*x^22 - 198816300914*x^21 - 129227452299*x^20 + 275662652543*x^19 + 152293529694*x^18 - 296406996453*x^17 - 137418388032*x^16 + 242188471216*x^15 + 91926161083*x^14 - 146059642735*x^13 - 43570507726*x^12 + 62400097400*x^11 + 13744476659*x^10 - 17834802445*x^9 - 2670229364*x^8 + 3156984000*x^7 + 305380568*x^6 - 314801076*x^5 - 22473640*x^4 + 15915122*x^3 + 1152082*x^2 - 319830*x - 29456, 2*x^44 - 4*x^43 - 142*x^42 + 303*x^41 + 4566*x^40 - 10303*x^39 - 88372*x^38 + 209970*x^37 + 1152769*x^36 - 2881640*x^35 - 10743351*x^34 + 28319403*x^33 + 73913600*x^32 - 206621216*x^31 - 382074790*x^30 + 1144045878*x^29 + 1493491056*x^28 - 4869010507*x^27 - 4394788727*x^26 + 16024933692*x^25 + 9547822918*x^24 - 40804758920*x^23 - 14570802689*x^22 + 80000638741*x^21 + 13443027585*x^20 - 119509206547*x^19 - 1902608512*x^18 + 133700866622*x^17 - 14539865927*x^16 - 109089910679*x^15 + 23347811149*x^14 + 62329563437*x^13 - 19239803777*x^12 - 23340420249*x^11 + 9497048699*x^10 + 5050789705*x^9 - 2762260243*x^8 - 437804626*x^7 + 424862054*x^6 - 22575102*x^5 - 26862664*x^4 + 3936468*x^3 + 671422*x^2 - 107700*x - 8220, 2*x^44 - 5*x^43 - 126*x^42 + 311*x^41 + 3670*x^40 - 8907*x^39 - 65709*x^38 + 156070*x^37 + 810999*x^36 - 1875321*x^35 - 7332573*x^34 + 16416630*x^33 + 50357694*x^32 - 108571969*x^31 - 268637496*x^30 + 555069448*x^29 + 1128005443*x^28 - 2225461467*x^27 - 3752089774*x^26 + 7054098148*x^25 + 9892917262*x^24 - 17725956701*x^23 - 20578535690*x^22 + 35231758303*x^21 + 33428641104*x^20 - 54973054717*x^19 - 41717721144*x^18 + 66447001521*x^17 + 39037889986*x^16 - 60986981087*x^15 - 26432546579*x^14 + 41336805258*x^13 + 12256017206*x^12 - 19929266985*x^11 - 3529943609*x^10 + 6501288963*x^9 + 496552685*x^8 - 1340411690*x^7 + 3949520*x^6 + 157415964*x^5 - 8918426*x^4 - 8639802*x^3 + 581586*x^2 + 171654*x - 6176, -3*x^48 + 12*x^47 + 202*x^46 - 849*x^45 - 6247*x^44 + 27873*x^43 + 117456*x^42 - 563988*x^41 - 1496360*x^40 + 7878904*x^39 + 13599809*x^38 - 80675184*x^37 - 90051030*x^36 + 627353818*x^35 + 431529742*x^34 - 3788002434*x^33 - 1413677475*x^32 + 18005978127*x^31 + 2423103034*x^30 - 67913282541*x^29 + 3437059521*x^28 + 203915696148*x^27 - 40111130995*x^26 - 487087795005*x^25 + 152593836362*x^24 + 921467668804*x^23 - 375011392701*x^22 - 1368953262297*x^21 + 660676564527*x^20 + 1576325066401*x^19 - 857468248540*x^18 - 1380509811486*x^17 + 820511317008*x^16 + 895190139496*x^15 - 570609840684*x^14 - 413574336953*x^13 + 280563311261*x^12 + 128595672056*x^11 - 93474957396*x^10 - 24645178565*x^9 + 19833289426*x^8 + 2525232461*x^7 - 2459649677*x^6 - 108810925*x^5 + 161826893*x^4 + 1133707*x^3 - 5112826*x^2 + 7116*x + 59532, -3*x^47 + 12*x^46 + 195*x^45 - 822*x^44 - 5801*x^43 + 26057*x^42 + 104495*x^41 - 507593*x^40 - 1269320*x^39 + 6805493*x^38 + 10934697*x^37 - 66655687*x^36 - 68074222*x^35 + 494058497*x^34 + 302676956*x^33 - 2832797336*x^32 - 892353581*x^31 + 12735986731*x^30 + 1170150615*x^29 - 45242413721*x^28 + 3558176450*x^27 + 127369581013*x^26 - 26807990536*x^25 - 283901262532*x^24 + 88824244045*x^23 + 498609023754*x^22 - 195592334853*x^21 - 683891043949*x^20 + 310059285262*x^19 + 722651836911*x^18 - 361168068509*x^17 - 576830091467*x^16 + 308326324657*x^15 + 338243278942*x^14 - 189537349567*x^13 - 140042813648*x^12 + 81216914110*x^11 + 38706431547*x^10 - 23039384054*x^9 - 6630060890*x^8 + 4005133656*x^7 + 659258724*x^6 - 385521167*x^5 - 40375103*x^4 + 18709385*x^3 + 1655673*x^2 - 359700*x - 36208, x^48 - 3*x^47 - 74*x^46 + 231*x^45 + 2519*x^44 - 8226*x^43 - 52298*x^42 + 179965*x^41 + 739932*x^40 - 2709974*x^39 - 7544960*x^38 + 29821328*x^37 + 57109017*x^36 - 248495461*x^35 - 324809159*x^34 + 1603166570*x^33 + 1381833874*x^32 - 8118805538*x^31 - 4262477121*x^30 + 32529043137*x^29 + 8577888600*x^28 - 103447604030*x^27 - 5929999340*x^26 + 260920927419*x^25 - 28137142902*x^24 - 519577354901*x^23 + 125353994517*x^22 + 809881210338*x^21 - 283264108398*x^20 - 975243852029*x^19 + 427656775921*x^18 + 890342830836*x^17 - 455744037144*x^16 - 600202175442*x^15 + 344675012581*x^14 + 287827161297*x^13 - 181791132424*x^12 - 92985023535*x^11 + 64576705481*x^10 + 18603945483*x^9 - 14652179023*x^8 - 1993363995*x^7 + 1970489569*x^6 + 80713802*x^5 - 142098602*x^4 + 330700*x^3 + 5063074*x^2 - 59208*x - 70328, -x^44 + 4*x^43 + 59*x^42 - 240*x^41 - 1615*x^40 + 6629*x^39 + 27393*x^38 - 112029*x^37 - 324689*x^36 + 1298823*x^35 + 2874688*x^34 - 10977819*x^33 - 19801715*x^32 + 70154666*x^31 + 108695005*x^30 - 346767971*x^29 - 480764512*x^28 + 1343789480*x^27 + 1715428485*x^26 - 4108073852*x^25 - 4908643653*x^24 + 9903070767*x^23 + 11146340805*x^22 - 18688008803*x^21 - 19815754495*x^20 + 27196660212*x^19 + 27146268976*x^18 - 29788444777*x^17 - 28140903845*x^16 + 23664294978*x^15 + 21613252610*x^14 - 12889146816*x^13 - 11980551992*x^12 + 4392874066*x^11 + 4617392035*x^10 - 782062385*x^9 - 1162783803*x^8 + 34091309*x^7 + 170246154*x^6 + 8811850*x^5 - 11026392*x^4 - 1524084*x^3 + 141788*x^2 + 69442*x + 7760, x^48 - 3*x^47 - 71*x^46 + 217*x^45 + 2333*x^44 - 7280*x^43 - 47113*x^42 + 150485*x^41 + 654826*x^40 - 2147672*x^39 - 6648040*x^38 + 22473887*x^37 + 51057820*x^36 - 178745270*x^35 - 303084754*x^34 + 1105340895*x^33 + 1408433456*x^32 - 5391729236*x^31 - 5155867899*x^30 + 20926193932*x^29 + 14878223896*x^28 - 64894980954*x^27 - 33671997736*x^26 + 160867853438*x^25 + 59033157471*x^24 - 317747112191*x^23 - 78305555056*x^22 + 496629266907*x^21 + 75067743262*x^20 - 607353003808*x^19 - 46706416907*x^18 + 571668942668*x^17 + 12013503672*x^16 - 404623050813*x^15 + 7152750366*x^14 + 208580673076*x^13 - 8031446161*x^12 - 75047752703*x^11 + 2855885130*x^10 + 17903445366*x^9 - 163227302*x^8 - 2712585576*x^7 - 146527285*x^6 + 261027059*x^5 + 31605378*x^4 - 14637063*x^3 - 2380602*x^2 + 353908*x + 63192, -3*x^49 + 12*x^48 + 207*x^47 - 870*x^46 - 6569*x^45 + 29307*x^44 + 126927*x^43 - 609307*x^42 - 1664486*x^41 + 8759073*x^40 + 15601449*x^39 - 92439947*x^38 - 106787222*x^37 + 742210681*x^36 + 530697278*x^35 - 4636280100*x^34 - 1813750810*x^33 + 22849362543*x^32 + 3317855709*x^31 - 89576539309*x^30 + 4130669950*x^29 + 280365492608*x^28 - 55361426080*x^27 - 700464484580*x^26 + 223204402296*x^25 + 1391635056724*x^24 - 579619334866*x^23 - 2182037783585*x^22 + 1082183142573*x^21 + 2668637486765*x^20 - 1496491000599*x^19 - 2503181168338*x^18 + 1537193916251*x^17 + 1759241499733*x^16 - 1159182630637*x^15 - 897165371500*x^14 + 626718580415*x^13 + 317846086778*x^12 - 234314434412*x^11 - 73921913913*x^10 + 57588460430*x^9 + 10641540364*x^8 - 8715078960*x^7 - 948479856*x^6 + 757108559*x^5 + 60531867*x^4 - 34821835*x^3 - 2881307*x^2 + 665670*x + 69244, 2*x^44 - 4*x^43 - 130*x^42 + 258*x^41 + 3905*x^40 - 7691*x^39 - 71943*x^38 + 140663*x^37 + 909747*x^36 - 1766984*x^35 - 8372288*x^34 + 16172378*x^33 + 58006961*x^32 - 111638771*x^31 - 308698134*x^30 + 593574422*x^29 + 1275684893*x^28 - 2460883519*x^27 - 4109514579*x^26 + 8002709516*x^25 + 10293757610*x^24 - 20426592387*x^23 - 19858217201*x^22 + 40746737147*x^21 + 28950273076*x^20 - 62916937575*x^19 - 30807910749*x^18 + 74025324682*x^17 + 22329798440*x^16 - 64813642874*x^15 - 9120092125*x^14 + 40795676088*x^13 + 98311904*x^12 - 17538945872*x^11 + 2056174721*x^10 + 4757336030*x^9 - 1060404510*x^8 - 712268496*x^7 + 231031248*x^6 + 45906712*x^5 - 21566796*x^4 - 867410*x^3 + 892712*x^2 - 8690*x - 14396, x^47 - 3*x^46 - 67*x^45 + 202*x^44 + 2084*x^43 - 6310*x^42 - 39985*x^41 + 121472*x^40 + 530342*x^39 - 1614594*x^38 - 5164503*x^37 + 15734164*x^36 + 38273364*x^35 - 116501948*x^34 - 220739242*x^33 + 670285134*x^32 + 1004409325*x^31 - 3038775041*x^30 - 3631668557*x^29 + 10942815729*x^28 + 10450905673*x^27 - 31401669359*x^26 - 23840134031*x^25 + 71729049468*x^24 + 42656967790*x^23 - 129710627631*x^22 - 58715494114*x^21 + 183764931597*x^20 + 60092251434*x^19 - 200620115942*x^18 - 42861430895*x^17 + 164665956265*x^16 + 18116305167*x^15 - 97987705474*x^14 - 1436571771*x^13 + 40018677588*x^12 - 2925321967*x^11 - 10267981877*x^10 + 1573755588*x^9 + 1404423993*x^8 - 318959588*x^7 - 64838270*x^6 + 22499934*x^5 - 2392132*x^4 - 304020*x^3 + 290786*x^2 - 11875*x - 7198, x^47 - 3*x^46 - 67*x^45 + 202*x^44 + 2084*x^43 - 6310*x^42 - 39985*x^41 + 121472*x^40 + 530342*x^39 - 1614594*x^38 - 5164503*x^37 + 15734164*x^36 + 38273364*x^35 - 116501948*x^34 - 220739242*x^33 + 670285134*x^32 + 1004409325*x^31 - 3038775041*x^30 - 3631668557*x^29 + 10942815729*x^28 + 10450905673*x^27 - 31401669359*x^26 - 23840134031*x^25 + 71729049468*x^24 + 42656967790*x^23 - 129710627631*x^22 - 58715494114*x^21 + 183764931597*x^20 + 60092251434*x^19 - 200620115942*x^18 - 42861430895*x^17 + 164665956265*x^16 + 18116305167*x^15 - 97987705474*x^14 - 1436571771*x^13 + 40018677588*x^12 - 2925321967*x^11 - 10267981877*x^10 + 1573755588*x^9 + 1404423993*x^8 - 318959588*x^7 - 64838270*x^6 + 22499934*x^5 - 2392132*x^4 - 304020*x^3 + 290786*x^2 - 11875*x - 7198, x^45 - 3*x^44 - 70*x^43 + 219*x^42 + 2223*x^41 - 7282*x^40 - 42506*x^39 + 146716*x^38 + 547122*x^37 - 2008382*x^36 - 5015194*x^35 + 19840834*x^34 + 33722429*x^33 - 146595916*x^32 - 168350176*x^31 + 828149213*x^30 + 620965393*x^29 - 3625118152*x^28 - 1639858407*x^27 + 12384018363*x^26 + 2791238662*x^25 - 33087419427*x^24 - 1645596436*x^23 + 68981489588*x^22 - 6006294192*x^21 - 111472569760*x^20 + 21546466725*x^19 + 138037050530*x^18 - 37876385851*x^17 - 128771126290*x^16 + 42996614202*x^15 + 88356452227*x^14 - 33035418280*x^13 - 43154712380*x^12 + 17059046523*x^11 + 14362678173*x^10 - 5715263321*x^9 - 3086071377*x^8 + 1171216799*x^7 + 406170735*x^6 - 135274851*x^5 - 31715443*x^4 + 7876563*x^3 + 1417756*x^2 - 179913*x - 29124, x^45 - 3*x^44 - 70*x^43 + 219*x^42 + 2223*x^41 - 7282*x^40 - 42506*x^39 + 146716*x^38 + 547122*x^37 - 2008382*x^36 - 5015194*x^35 + 19840834*x^34 + 33722429*x^33 - 146595916*x^32 - 168350176*x^31 + 828149213*x^30 + 620965393*x^29 - 3625118152*x^28 - 1639858407*x^27 + 12384018363*x^26 + 2791238662*x^25 - 33087419427*x^24 - 1645596436*x^23 + 68981489588*x^22 - 6006294192*x^21 - 111472569760*x^20 + 21546466725*x^19 + 138037050530*x^18 - 37876385851*x^17 - 128771126290*x^16 + 42996614202*x^15 + 88356452227*x^14 - 33035418280*x^13 - 43154712380*x^12 + 17059046523*x^11 + 14362678173*x^10 - 5715263321*x^9 - 3086071377*x^8 + 1171216799*x^7 + 406170735*x^6 - 135274851*x^5 - 31715443*x^4 + 7876563*x^3 + 1417756*x^2 - 179913*x - 29124, x^48 - 3*x^47 - 71*x^46 + 217*x^45 + 2336*x^44 - 7297*x^43 - 47263*x^42 + 151493*x^41 + 657966*x^40 - 2174997*x^39 - 6680724*x^38 + 22922862*x^37 + 51155823*x^36 - 183743224*x^35 - 301134011*x^34 + 1145248487*x^33 + 1375586061*x^32 - 5627737814*x^31 - 4880487892*x^30 + 21978323782*x^29 + 13330953858*x^28 - 68457906606*x^27 - 27362733797*x^26 + 170026184622*x^25 + 39754122509*x^24 - 335444989068*x^23 - 33562645878*x^22 + 521786831810*x^21 - 4073256423*x^20 - 632519713167*x^19 + 59642800005*x^18 + 587595962078*x^17 - 95654691522*x^16 - 408579329417*x^15 + 88214539876*x^14 + 205736408291*x^13 - 52602670326*x^12 - 71588013971*x^11 + 20291150223*x^10 + 16104947052*x^9 - 4810635894*x^8 - 2141551163*x^7 + 632574547*x^6 + 154005057*x^5 - 39608885*x^4 - 5983412*x^3 + 981071*x^2 + 109148*x - 3568, x^48 - 3*x^47 - 71*x^46 + 217*x^45 + 2336*x^44 - 7297*x^43 - 47263*x^42 + 151493*x^41 + 657966*x^40 - 2174997*x^39 - 6680724*x^38 + 22922862*x^37 + 51155823*x^36 - 183743224*x^35 - 301134011*x^34 + 1145248487*x^33 + 1375586061*x^32 - 5627737814*x^31 - 4880487892*x^30 + 21978323782*x^29 + 13330953858*x^28 - 68457906606*x^27 - 27362733797*x^26 + 170026184622*x^25 + 39754122509*x^24 - 335444989068*x^23 - 33562645878*x^22 + 521786831810*x^21 - 4073256423*x^20 - 632519713167*x^19 + 59642800005*x^18 + 587595962078*x^17 - 95654691522*x^16 - 408579329417*x^15 + 88214539876*x^14 + 205736408291*x^13 - 52602670326*x^12 - 71588013971*x^11 + 20291150223*x^10 + 16104947052*x^9 - 4810635894*x^8 - 2141551163*x^7 + 632574547*x^6 + 154005057*x^5 - 39608885*x^4 - 5983412*x^3 + 981071*x^2 + 109148*x - 3568, -5*x^44 + 18*x^43 + 302*x^42 - 1129*x^41 - 8342*x^40 + 32612*x^39 + 139594*x^38 - 575830*x^37 - 1579444*x^36 + 6956669*x^35 + 12759839*x^34 - 60989147*x^33 - 75641938*x^32 + 401566870*x^31 + 331872218*x^30 - 2027240474*x^29 - 1065101379*x^28 + 7940850675*x^27 + 2379518418*x^26 - 24267282926*x^25 - 3075745371*x^24 + 57866953183*x^23 - 442105299*x^22 - 107150446767*x^21 + 12111073514*x^20 + 152525611747*x^19 - 29902079145*x^18 - 164241185961*x^17 + 42957854112*x^16 + 130646553543*x^15 - 40956028719*x^14 - 74189276648*x^13 + 26388409292*x^12 + 28617646695*x^11 - 11246582890*x^10 - 6954195286*x^9 + 3009854528*x^8 + 938296079*x^7 - 457989818*x^6 - 54447876*x^5 + 32440109*x^4 + 1207471*x^3 - 941768*x^2 - 14697*x + 7740, -5*x^44 + 18*x^43 + 302*x^42 - 1129*x^41 - 8342*x^40 + 32612*x^39 + 139594*x^38 - 575830*x^37 - 1579444*x^36 + 6956669*x^35 + 12759839*x^34 - 60989147*x^33 - 75641938*x^32 + 401566870*x^31 + 331872218*x^30 - 2027240474*x^29 - 1065101379*x^28 + 7940850675*x^27 + 2379518418*x^26 - 24267282926*x^25 - 3075745371*x^24 + 57866953183*x^23 - 442105299*x^22 - 107150446767*x^21 + 12111073514*x^20 + 152525611747*x^19 - 29902079145*x^18 - 164241185961*x^17 + 42957854112*x^16 + 130646553543*x^15 - 40956028719*x^14 - 74189276648*x^13 + 26388409292*x^12 + 28617646695*x^11 - 11246582890*x^10 - 6954195286*x^9 + 3009854528*x^8 + 938296079*x^7 - 457989818*x^6 - 54447876*x^5 + 32440109*x^4 + 1207471*x^3 - 941768*x^2 - 14697*x + 7740, x^46 - 3*x^45 - 67*x^44 + 205*x^43 + 2063*x^42 - 6456*x^41 - 38730*x^40 + 124407*x^39 + 495900*x^38 - 1642522*x^37 - 4588519*x^36 + 15765805*x^35 + 31705941*x^34 - 113926172*x^33 - 166621838*x^32 + 633203559*x^31 + 671167965*x^30 - 2741923556*x^29 - 2068248084*x^28 + 9312178195*x^27 + 4806508971*x^26 - 24845070193*x^25 - 8117673983*x^24 + 51919295325*x^23 + 9006613796*x^22 - 84322761734*x^21 - 4007634374*x^20 + 105020645330*x^19 - 6071698194*x^18 - 98230806951*x^17 + 14578626017*x^16 + 66799809363*x^15 - 15427200710*x^14 - 31294999169*x^13 + 9910441008*x^12 + 9085451727*x^11 - 3965729130*x^10 - 1182665796*x^9 + 923622514*x^8 - 94320718*x^7 - 102147087*x^6 + 45307535*x^5 + 2299118*x^4 - 3726183*x^3 + 90433*x^2 + 93273*x + 480, x^46 - 3*x^45 - 67*x^44 + 205*x^43 + 2063*x^42 - 6456*x^41 - 38730*x^40 + 124407*x^39 + 495900*x^38 - 1642522*x^37 - 4588519*x^36 + 15765805*x^35 + 31705941*x^34 - 113926172*x^33 - 166621838*x^32 + 633203559*x^31 + 671167965*x^30 - 2741923556*x^29 - 2068248084*x^28 + 9312178195*x^27 + 4806508971*x^26 - 24845070193*x^25 - 8117673983*x^24 + 51919295325*x^23 + 9006613796*x^22 - 84322761734*x^21 - 4007634374*x^20 + 105020645330*x^19 - 6071698194*x^18 - 98230806951*x^17 + 14578626017*x^16 + 66799809363*x^15 - 15427200710*x^14 - 31294999169*x^13 + 9910441008*x^12 + 9085451727*x^11 - 3965729130*x^10 - 1182665796*x^9 + 923622514*x^8 - 94320718*x^7 - 102147087*x^6 + 45307535*x^5 + 2299118*x^4 - 3726183*x^3 + 90433*x^2 + 93273*x + 480, x^46 - 3*x^45 - 65*x^44 + 196*x^43 + 1958*x^42 - 5932*x^41 - 36324*x^40 + 110523*x^39 + 465106*x^38 - 1420913*x^37 - 4364716*x^36 + 13389764*x^35 + 31099672*x^34 - 95878750*x^33 - 171887709*x^32 + 533599480*x^31 + 745925320*x^30 - 2340496100*x^29 - 2554406392*x^28 + 8153617082*x^27 + 6893867647*x^26 - 22620745565*x^25 - 14547456951*x^24 + 49886857317*x^23 + 23619784814*x^22 - 86912495749*x^21 - 28673740249*x^20 + 118323510850*x^19 + 24665575066*x^18 - 123872710332*x^17 - 13244657144*x^16 + 97546937376*x^15 + 2373338909*x^14 - 56127262381*x^13 + 2221104733*x^12 + 22743865277*x^11 - 1929853860*x^10 - 6206627489*x^9 + 695438535*x^8 + 1081249036*x^7 - 132683417*x^6 - 111198364*x^5 + 13052900*x^4 + 5806440*x^3 - 504405*x^2 - 118831*x + 3088, x^46 - 3*x^45 - 65*x^44 + 196*x^43 + 1958*x^42 - 5932*x^41 - 36324*x^40 + 110523*x^39 + 465106*x^38 - 1420913*x^37 - 4364716*x^36 + 13389764*x^35 + 31099672*x^34 - 95878750*x^33 - 171887709*x^32 + 533599480*x^31 + 745925320*x^30 - 2340496100*x^29 - 2554406392*x^28 + 8153617082*x^27 + 6893867647*x^26 - 22620745565*x^25 - 14547456951*x^24 + 49886857317*x^23 + 23619784814*x^22 - 86912495749*x^21 - 28673740249*x^20 + 118323510850*x^19 + 24665575066*x^18 - 123872710332*x^17 - 13244657144*x^16 + 97546937376*x^15 + 2373338909*x^14 - 56127262381*x^13 + 2221104733*x^12 + 22743865277*x^11 - 1929853860*x^10 - 6206627489*x^9 + 695438535*x^8 + 1081249036*x^7 - 132683417*x^6 - 111198364*x^5 + 13052900*x^4 + 5806440*x^3 - 504405*x^2 - 118831*x + 3088, x^47 - 3*x^46 - 69*x^45 + 211*x^44 + 2204*x^43 - 6896*x^42 - 43242*x^41 + 139105*x^40 + 582912*x^39 - 1940067*x^38 - 5719718*x^37 + 19859427*x^36 + 42202588*x^35 - 154587655*x^34 - 238328398*x^33 + 935443565*x^32 + 1037076514*x^31 - 4460934775*x^30 - 3463394607*x^29 + 16895904126*x^28 + 8708299382*x^27 - 50992111329*x^26 - 15662357179*x^25 + 122560368864*x^24 + 17088991575*x^23 - 233638836426*x^22 - 936247268*x^21 + 350551574327*x^20 - 36754631046*x^19 - 409175556987*x^18 + 78236676877*x^17 + 365492444795*x^16 - 94320722649*x^15 - 244232582678*x^14 + 75160678075*x^13 + 118314146741*x^12 - 40471124585*x^11 - 39758696967*x^10 + 14395567233*x^9 + 8715653767*x^8 - 3191574845*x^7 - 1154622845*x^6 + 397744043*x^5 + 88114228*x^4 - 24256867*x^3 - 3903155*x^2 + 567099*x + 83590, x^47 - 3*x^46 - 69*x^45 + 211*x^44 + 2204*x^43 - 6896*x^42 - 43242*x^41 + 139105*x^40 + 582912*x^39 - 1940067*x^38 - 5719718*x^37 + 19859427*x^36 + 42202588*x^35 - 154587655*x^34 - 238328398*x^33 + 935443565*x^32 + 1037076514*x^31 - 4460934775*x^30 - 3463394607*x^29 + 16895904126*x^28 + 8708299382*x^27 - 50992111329*x^26 - 15662357179*x^25 + 122560368864*x^24 + 17088991575*x^23 - 233638836426*x^22 - 936247268*x^21 + 350551574327*x^20 - 36754631046*x^19 - 409175556987*x^18 + 78236676877*x^17 + 365492444795*x^16 - 94320722649*x^15 - 244232582678*x^14 + 75160678075*x^13 + 118314146741*x^12 - 40471124585*x^11 - 39758696967*x^10 + 14395567233*x^9 + 8715653767*x^8 - 3191574845*x^7 - 1154622845*x^6 + 397744043*x^5 + 88114228*x^4 - 24256867*x^3 - 3903155*x^2 + 567099*x + 83590, -3*x^45 + 9*x^44 + 193*x^43 - 593*x^42 - 5704*x^41 + 18027*x^40 + 102668*x^39 - 335605*x^38 - 1257631*x^37 + 4282980*x^36 + 11092847*x^35 - 39743684*x^34 - 72652054*x^33 + 277568153*x^32 + 358652433*x^31 - 1489851220*x^30 - 1337407340*x^29 + 6221861109*x^28 + 3718951707*x^27 - 20338510596*x^26 - 7406856784*x^25 + 52090101497*x^24 + 9339824566*x^23 - 104146690270*x^22 - 3271648402*x^21 + 161207976254*x^20 - 14089122237*x^19 - 190600734670*x^18 + 34806227335*x^17 + 168762523969*x^16 - 43558277950*x^15 - 108814019560*x^14 + 34455084353*x^13 + 49113067713*x^12 - 17685516042*x^11 - 14668793252*x^10 + 5703374224*x^9 + 2681569202*x^8 - 1067431194*x^7 - 277262295*x^6 + 101470561*x^5 + 17642101*x^4 - 4627721*x^3 - 700429*x^2 + 82558*x + 12606, -3*x^45 + 9*x^44 + 193*x^43 - 593*x^42 - 5704*x^41 + 18027*x^40 + 102668*x^39 - 335605*x^38 - 1257631*x^37 + 4282980*x^36 + 11092847*x^35 - 39743684*x^34 - 72652054*x^33 + 277568153*x^32 + 358652433*x^31 - 1489851220*x^30 - 1337407340*x^29 + 6221861109*x^28 + 3718951707*x^27 - 20338510596*x^26 - 7406856784*x^25 + 52090101497*x^24 + 9339824566*x^23 - 104146690270*x^22 - 3271648402*x^21 + 161207976254*x^20 - 14089122237*x^19 - 190600734670*x^18 + 34806227335*x^17 + 168762523969*x^16 - 43558277950*x^15 - 108814019560*x^14 + 34455084353*x^13 + 49113067713*x^12 - 17685516042*x^11 - 14668793252*x^10 + 5703374224*x^9 + 2681569202*x^8 - 1067431194*x^7 - 277262295*x^6 + 101470561*x^5 + 17642101*x^4 - 4627721*x^3 - 700429*x^2 + 82558*x + 12606, -3*x^45 + 12*x^44 + 179*x^43 - 755*x^42 - 4861*x^41 + 21867*x^40 + 79432*x^39 - 386941*x^38 - 868935*x^37 + 4682071*x^36 + 6682186*x^35 - 41086297*x^34 - 36712313*x^33 + 270594633*x^32 + 141569961*x^31 - 1365538467*x^30 - 348659432*x^29 + 5344107718*x^28 + 300425118*x^27 - 16312790693*x^26 + 1539872751*x^25 + 38864271113*x^24 - 8136333429*x^23 - 71985246085*x^22 + 21389016108*x^21 + 102790205253*x^20 - 37359423633*x^19 - 111677501821*x^18 + 46028012628*x^17 + 90655155864*x^16 - 40394364971*x^15 - 53731709315*x^14 + 24968743219*x^13 + 22659291362*x^12 - 10620113371*x^11 - 6648080207*x^10 + 3021743625*x^9 + 1342798254*x^8 - 561775423*x^7 - 183356316*x^6 + 66244399*x^5 + 15280813*x^4 - 4190610*x^3 - 732024*x^2 + 105095*x + 16518, -3*x^45 + 12*x^44 + 179*x^43 - 755*x^42 - 4861*x^41 + 21867*x^40 + 79432*x^39 - 386941*x^38 - 868935*x^37 + 4682071*x^36 + 6682186*x^35 - 41086297*x^34 - 36712313*x^33 + 270594633*x^32 + 141569961*x^31 - 1365538467*x^30 - 348659432*x^29 + 5344107718*x^28 + 300425118*x^27 - 16312790693*x^26 + 1539872751*x^25 + 38864271113*x^24 - 8136333429*x^23 - 71985246085*x^22 + 21389016108*x^21 + 102790205253*x^20 - 37359423633*x^19 - 111677501821*x^18 + 46028012628*x^17 + 90655155864*x^16 - 40394364971*x^15 - 53731709315*x^14 + 24968743219*x^13 + 22659291362*x^12 - 10620113371*x^11 - 6648080207*x^10 + 3021743625*x^9 + 1342798254*x^8 - 561775423*x^7 - 183356316*x^6 + 66244399*x^5 + 15280813*x^4 - 4190610*x^3 - 732024*x^2 + 105095*x + 16518, x^45 - 3*x^44 - 71*x^43 + 221*x^42 + 2289*x^41 - 7416*x^40 - 44506*x^39 + 150829*x^38 + 584077*x^37 - 2085240*x^36 - 5481453*x^35 + 20820649*x^34 + 37984131*x^33 - 155644090*x^32 - 197558373*x^31 + 890862006*x^30 + 774181130*x^29 - 3958607779*x^28 - 2261932004*x^27 + 13763022773*x^26 + 4753444534*x^25 - 37553654112*x^24 - 6436781343*x^23 + 80334585104*x^22 + 2934907086*x^21 - 134058359237*x^20 + 9136466127*x^19 + 172907699506*x^18 - 25781665009*x^17 - 169921509142*x^16 + 35896907737*x^15 + 124581131282*x^14 - 32214818787*x^13 - 66073982634*x^12 + 19446348932*x^11 + 24213352998*x^10 - 7756681398*x^9 - 5723903108*x^8 + 1918210959*x^7 + 793759645*x^6 - 260170074*x^5 - 60124968*x^4 + 16470737*x^3 + 2578672*x^2 - 386706*x - 54466, x^45 - 3*x^44 - 71*x^43 + 221*x^42 + 2289*x^41 - 7416*x^40 - 44506*x^39 + 150829*x^38 + 584077*x^37 - 2085240*x^36 - 5481453*x^35 + 20820649*x^34 + 37984131*x^33 - 155644090*x^32 - 197558373*x^31 + 890862006*x^30 + 774181130*x^29 - 3958607779*x^28 - 2261932004*x^27 + 13763022773*x^26 + 4753444534*x^25 - 37553654112*x^24 - 6436781343*x^23 + 80334585104*x^22 + 2934907086*x^21 - 134058359237*x^20 + 9136466127*x^19 + 172907699506*x^18 - 25781665009*x^17 - 169921509142*x^16 + 35896907737*x^15 + 124581131282*x^14 - 32214818787*x^13 - 66073982634*x^12 + 19446348932*x^11 + 24213352998*x^10 - 7756681398*x^9 - 5723903108*x^8 + 1918210959*x^7 + 793759645*x^6 - 260170074*x^5 - 60124968*x^4 + 16470737*x^3 + 2578672*x^2 - 386706*x - 54466, -3*x^45 + 9*x^44 + 193*x^43 - 590*x^42 - 5712*x^41 + 17853*x^40 + 103128*x^39 - 330969*x^38 - 1269699*x^37 + 4207461*x^36 + 11284593*x^35 - 38898644*x^34 - 74718436*x^33 + 270646267*x^32 + 374690173*x^31 - 1446665152*x^30 - 1430374793*x^29 + 6011249392*x^28 + 4131235616*x^27 - 19522904487*x^26 - 8829223606*x^25 + 49565179664*x^24 + 13202960885*x^23 - 97910856419*x^22 - 11594453008*x^21 + 149050182437*x^20 + 163441910*x^19 - 172235317461*x^18 + 15525289268*x^17 + 147847829219*x^16 - 23317204339*x^15 - 91530803995*x^14 + 18495046674*x^13 + 39298769041*x^12 - 8700308841*x^11 - 11142149597*x^10 + 2351538147*x^9 + 1978034451*x^8 - 326927800*x^7 - 209443054*x^6 + 18978626*x^5 + 11424193*x^4 + 55037*x^3 - 190936*x^2 - 31639*x - 3880, -3*x^45 + 9*x^44 + 193*x^43 - 590*x^42 - 5712*x^41 + 17853*x^40 + 103128*x^39 - 330969*x^38 - 1269699*x^37 + 4207461*x^36 + 11284593*x^35 - 38898644*x^34 - 74718436*x^33 + 270646267*x^32 + 374690173*x^31 - 1446665152*x^30 - 1430374793*x^29 + 6011249392*x^28 + 4131235616*x^27 - 19522904487*x^26 - 8829223606*x^25 + 49565179664*x^24 + 13202960885*x^23 - 97910856419*x^22 - 11594453008*x^21 + 149050182437*x^20 + 163441910*x^19 - 172235317461*x^18 + 15525289268*x^17 + 147847829219*x^16 - 23317204339*x^15 - 91530803995*x^14 + 18495046674*x^13 + 39298769041*x^12 - 8700308841*x^11 - 11142149597*x^10 + 2351538147*x^9 + 1978034451*x^8 - 326927800*x^7 - 209443054*x^6 + 18978626*x^5 + 11424193*x^4 + 55037*x^3 - 190936*x^2 - 31639*x - 3880, 2*x^45 - 9*x^44 - 118*x^43 + 577*x^42 + 3128*x^41 - 17029*x^40 - 48828*x^39 + 307015*x^38 + 490499*x^37 - 3783907*x^36 - 3184483*x^35 + 33804698*x^34 + 11573918*x^33 - 226503215*x^32 + 2266530*x^31 + 1161811684*x^30 - 314224929*x^29 - 4616364292*x^28 + 2166375606*x^27 + 14289593067*x^26 - 8920745292*x^25 - 34486118565*x^24 + 25732789879*x^23 + 64678582744*x^22 - 54398526919*x^21 - 93634830282*x^20 + 85339045506*x^19 + 103628879672*x^18 - 99094763009*x^17 - 86647088276*x^16 + 84145485860*x^15 + 53998426632*x^14 - 51253704581*x^13 - 24652561960*x^12 + 21843044053*x^11 + 7993605909*x^10 - 6310477369*x^9 - 1722438716*x^8 + 1171461673*x^7 + 221338099*x^6 - 123273829*x^5 - 17327024*x^4 + 6565088*x^3 + 811246*x^2 - 136787*x - 17582, 2*x^45 - 9*x^44 - 118*x^43 + 577*x^42 + 3128*x^41 - 17029*x^40 - 48828*x^39 + 307015*x^38 + 490499*x^37 - 3783907*x^36 - 3184483*x^35 + 33804698*x^34 + 11573918*x^33 - 226503215*x^32 + 2266530*x^31 + 1161811684*x^30 - 314224929*x^29 - 4616364292*x^28 + 2166375606*x^27 + 14289593067*x^26 - 8920745292*x^25 - 34486118565*x^24 + 25732789879*x^23 + 64678582744*x^22 - 54398526919*x^21 - 93634830282*x^20 + 85339045506*x^19 + 103628879672*x^18 - 99094763009*x^17 - 86647088276*x^16 + 84145485860*x^15 + 53998426632*x^14 - 51253704581*x^13 - 24652561960*x^12 + 21843044053*x^11 + 7993605909*x^10 - 6310477369*x^9 - 1722438716*x^8 + 1171461673*x^7 + 221338099*x^6 - 123273829*x^5 - 17327024*x^4 + 6565088*x^3 + 811246*x^2 - 136787*x - 17582, -3*x^46 + 12*x^45 + 189*x^44 - 804*x^43 - 5413*x^42 + 24860*x^41 + 92983*x^40 - 470885*x^39 - 1061620*x^38 + 6116441*x^37 + 8389311*x^36 - 57793200*x^35 - 45668209*x^34 + 411209354*x^33 + 156726218*x^32 - 2250070523*x^31 - 179428338*x^30 + 9586508923*x^29 - 1437808023*x^28 - 31998312978*x^27 + 10552135394*x^26 + 83764241207*x^25 - 39674531560*x^24 - 171353468019*x^23 + 101317147167*x^22 + 271630071423*x^21 - 187408172005*x^20 - 329037224180*x^19 + 255309041150*x^18 + 298197482595*x^17 - 255278656031*x^16 - 195902295153*x^15 + 184225132632*x^14 + 88847260008*x^13 - 93186993047*x^12 - 25600923905*x^11 + 31618750366*x^10 + 3932390264*x^9 - 6758854924*x^8 - 148127180*x^7 + 836722674*x^6 - 29380584*x^5 - 54709931*x^4 + 2719821*x^3 + 1724755*x^2 - 55255*x - 20346, -3*x^46 + 12*x^45 + 189*x^44 - 804*x^43 - 5413*x^42 + 24860*x^41 + 92983*x^40 - 470885*x^39 - 1061620*x^38 + 6116441*x^37 + 8389311*x^36 - 57793200*x^35 - 45668209*x^34 + 411209354*x^33 + 156726218*x^32 - 2250070523*x^31 - 179428338*x^30 + 9586508923*x^29 - 1437808023*x^28 - 31998312978*x^27 + 10552135394*x^26 + 83764241207*x^25 - 39674531560*x^24 - 171353468019*x^23 + 101317147167*x^22 + 271630071423*x^21 - 187408172005*x^20 - 329037224180*x^19 + 255309041150*x^18 + 298197482595*x^17 - 255278656031*x^16 - 195902295153*x^15 + 184225132632*x^14 + 88847260008*x^13 - 93186993047*x^12 - 25600923905*x^11 + 31618750366*x^10 + 3932390264*x^9 - 6758854924*x^8 - 148127180*x^7 + 836722674*x^6 - 29380584*x^5 - 54709931*x^4 + 2719821*x^3 + 1724755*x^2 - 55255*x - 20346, -5*x^44 + 23*x^43 + 284*x^42 - 1431*x^41 - 7209*x^40 + 40930*x^39 + 106799*x^38 - 714102*x^37 - 1000181*x^36 + 8502989*x^35 + 5773158*x^34 - 73249185*x^33 - 14631312*x^32 + 472142827*x^31 - 67176735*x^30 - 2322695885*x^29 + 929873430*x^28 + 8815015114*x^27 - 5331484209*x^26 - 25908023196*x^25 + 20082771035*x^24 + 58837092906*x^23 - 54464673369*x^22 - 102366428846*x^21 + 109466649085*x^20 + 134236633471*x^19 - 163996625489*x^18 - 129052929303*x^17 + 181733966684*x^16 + 86674964432*x^15 - 146155189269*x^14 - 36872772254*x^13 + 82644321543*x^12 + 7310684147*x^11 - 31312082259*x^10 + 872513006*x^9 + 7411115671*x^8 - 751282513*x^7 - 1003193726*x^6 + 128834124*x^5 + 74338628*x^4 - 8560388*x^3 - 2875157*x^2 + 195327*x + 47348, -5*x^44 + 23*x^43 + 284*x^42 - 1431*x^41 - 7209*x^40 + 40930*x^39 + 106799*x^38 - 714102*x^37 - 1000181*x^36 + 8502989*x^35 + 5773158*x^34 - 73249185*x^33 - 14631312*x^32 + 472142827*x^31 - 67176735*x^30 - 2322695885*x^29 + 929873430*x^28 + 8815015114*x^27 - 5331484209*x^26 - 25908023196*x^25 + 20082771035*x^24 + 58837092906*x^23 - 54464673369*x^22 - 102366428846*x^21 + 109466649085*x^20 + 134236633471*x^19 - 163996625489*x^18 - 129052929303*x^17 + 181733966684*x^16 + 86674964432*x^15 - 146155189269*x^14 - 36872772254*x^13 + 82644321543*x^12 + 7310684147*x^11 - 31312082259*x^10 + 872513006*x^9 + 7411115671*x^8 - 751282513*x^7 - 1003193726*x^6 + 128834124*x^5 + 74338628*x^4 - 8560388*x^3 - 2875157*x^2 + 195327*x + 47348, x^44 - 7*x^43 - 58*x^42 + 471*x^41 + 1433*x^40 - 14508*x^39 - 18622*x^38 + 271384*x^37 + 107247*x^36 - 3448145*x^35 + 505032*x^34 + 31531267*x^33 - 16305223*x^32 - 214484380*x^31 + 170189900*x^30 + 1106011662*x^29 - 1123557350*x^28 - 4364170536*x^27 + 5278419772*x^26 + 13199439277*x^25 - 18401878395*x^24 - 30421803127*x^23 + 48392966659*x^22 + 52630831343*x^21 - 96322548584*x^20 - 66349579295*x^19 + 144286658674*x^18 + 57362227112*x^17 - 160415684964*x^16 - 28893642513*x^15 + 129367571192*x^14 + 2093788789*x^13 - 73108413619*x^12 + 7817217124*x^11 + 27521129991*x^10 - 5413750318*x^9 - 6416527226*x^8 + 1639362876*x^7 + 845170739*x^6 - 234266627*x^5 - 60167009*x^4 + 14865243*x^3 + 2398018*x^2 - 343066*x - 47828, x^44 - 7*x^43 - 58*x^42 + 471*x^41 + 1433*x^40 - 14508*x^39 - 18622*x^38 + 271384*x^37 + 107247*x^36 - 3448145*x^35 + 505032*x^34 + 31531267*x^33 - 16305223*x^32 - 214484380*x^31 + 170189900*x^30 + 1106011662*x^29 - 1123557350*x^28 - 4364170536*x^27 + 5278419772*x^26 + 13199439277*x^25 - 18401878395*x^24 - 30421803127*x^23 + 48392966659*x^22 + 52630831343*x^21 - 96322548584*x^20 - 66349579295*x^19 + 144286658674*x^18 + 57362227112*x^17 - 160415684964*x^16 - 28893642513*x^15 + 129367571192*x^14 + 2093788789*x^13 - 73108413619*x^12 + 7817217124*x^11 + 27521129991*x^10 - 5413750318*x^9 - 6416527226*x^8 + 1639362876*x^7 + 845170739*x^6 - 234266627*x^5 - 60167009*x^4 + 14865243*x^3 + 2398018*x^2 - 343066*x - 47828, x^47 - 3*x^46 - 68*x^45 + 208*x^44 + 2129*x^43 - 6651*x^42 - 40741*x^41 + 130219*x^40 + 533556*x^39 - 1747992*x^38 - 5075336*x^37 + 17071027*x^36 + 36335009*x^35 - 125621456*x^34 - 200297177*x^33 + 711863393*x^32 + 863505312*x^31 - 3148390260*x^30 - 2945211945*x^29 + 10951528001*x^28 + 8027868168*x^27 - 30062670050*x^26 - 17673463383*x^25 + 65125441798*x^24 + 31807640318*x^23 - 111036270002*x^22 - 47342236457*x^21 + 148273200829*x^20 + 58519127883*x^19 - 154082631418*x^18 - 59310658914*x^17 + 123647415158*x^16 + 47577471718*x^15 - 75854727973*x^14 - 28551676363*x^13 + 34969033903*x^12 + 11892763144*x^11 - 11685716117*x^10 - 3116779376*x^9 + 2625773301*x^8 + 452249136*x^7 - 344795934*x^6 - 33677475*x^5 + 21668849*x^4 + 1676447*x^3 - 514035*x^2 - 49173*x - 6, x^47 - 3*x^46 - 68*x^45 + 208*x^44 + 2129*x^43 - 6651*x^42 - 40741*x^41 + 130219*x^40 + 533556*x^39 - 1747992*x^38 - 5075336*x^37 + 17071027*x^36 + 36335009*x^35 - 125621456*x^34 - 200297177*x^33 + 711863393*x^32 + 863505312*x^31 - 3148390260*x^30 - 2945211945*x^29 + 10951528001*x^28 + 8027868168*x^27 - 30062670050*x^26 - 17673463383*x^25 + 65125441798*x^24 + 31807640318*x^23 - 111036270002*x^22 - 47342236457*x^21 + 148273200829*x^20 + 58519127883*x^19 - 154082631418*x^18 - 59310658914*x^17 + 123647415158*x^16 + 47577471718*x^15 - 75854727973*x^14 - 28551676363*x^13 + 34969033903*x^12 + 11892763144*x^11 - 11685716117*x^10 - 3116779376*x^9 + 2625773301*x^8 + 452249136*x^7 - 344795934*x^6 - 33677475*x^5 + 21668849*x^4 + 1676447*x^3 - 514035*x^2 - 49173*x - 6, -3*x^45 + 9*x^44 + 195*x^43 - 604*x^42 - 5808*x^41 + 18681*x^40 + 105032*x^39 - 353447*x^38 - 1287755*x^37 + 4579507*x^36 + 11313166*x^35 - 43105459*x^34 - 73298684*x^33 + 305158660*x^32 + 354272810*x^31 - 1659626588*x^30 - 1270551298*x^29 + 7022239634*x^28 + 3275007237*x^27 - 23266829210*x^26 - 5459684240*x^25 + 60457693016*x^24 + 3153078556*x^23 - 122832262061*x^22 + 11455811250*x^21 + 193645843515*x^20 - 40661121875*x^19 - 233853619646*x^18 + 71083185143*x^17 + 212165272345*x^16 - 80542914075*x^15 - 140581999374*x^14 + 61895272167*x^13 + 65328822030*x^12 - 31912647702*x^11 - 20105248031*x^10 + 10577154906*x^9 + 3800364508*x^8 - 2100979788*x^7 - 411377013*x^6 + 229340675*x^5 + 25452823*x^4 - 12356909*x^3 - 1010499*x^2 + 256796*x + 23602, -3*x^45 + 9*x^44 + 195*x^43 - 604*x^42 - 5808*x^41 + 18681*x^40 + 105032*x^39 - 353447*x^38 - 1287755*x^37 + 4579507*x^36 + 11313166*x^35 - 43105459*x^34 - 73298684*x^33 + 305158660*x^32 + 354272810*x^31 - 1659626588*x^30 - 1270551298*x^29 + 7022239634*x^28 + 3275007237*x^27 - 23266829210*x^26 - 5459684240*x^25 + 60457693016*x^24 + 3153078556*x^23 - 122832262061*x^22 + 11455811250*x^21 + 193645843515*x^20 - 40661121875*x^19 - 233853619646*x^18 + 71083185143*x^17 + 212165272345*x^16 - 80542914075*x^15 - 140581999374*x^14 + 61895272167*x^13 + 65328822030*x^12 - 31912647702*x^11 - 20105248031*x^10 + 10577154906*x^9 + 3800364508*x^8 - 2100979788*x^7 - 411377013*x^6 + 229340675*x^5 + 25452823*x^4 - 12356909*x^3 - 1010499*x^2 + 256796*x + 23602, -3*x^46 + 12*x^45 + 190*x^44 - 802*x^43 - 5498*x^42 + 24782*x^41 + 96111*x^40 - 470092*x^39 - 1129137*x^38 + 6129761*x^37 + 9356513*x^36 - 58302043*x^35 - 55480986*x^34 + 418867551*x^33 + 229946204*x^32 - 2322428781*x^31 - 590283217*x^30 + 10066435989*x^29 + 316513539*x^28 - 34339645996*x^27 + 4831344892*x^26 + 92355244393*x^25 - 25488211067*x^24 - 195285650650*x^23 + 74928816516*x^22 + 322269743220*x^21 - 151605486786*x^20 - 409858805965*x^19 + 221855364882*x^18 + 394089010022*x^17 - 236744610443*x^16 - 278542644513*x^15 + 182047159748*x^14 + 138851852254*x^13 - 98130077403*x^12 - 45846487985*x^11 + 35464529794*x^10 + 9067786704*x^9 - 8048306217*x^8 - 901748365*x^7 + 1050119930*x^6 + 30723472*x^5 - 72166888*x^4 + 343979*x^3 + 2392870*x^2 - 20592*x - 29766, -3*x^46 + 12*x^45 + 190*x^44 - 802*x^43 - 5498*x^42 + 24782*x^41 + 96111*x^40 - 470092*x^39 - 1129137*x^38 + 6129761*x^37 + 9356513*x^36 - 58302043*x^35 - 55480986*x^34 + 418867551*x^33 + 229946204*x^32 - 2322428781*x^31 - 590283217*x^30 + 10066435989*x^29 + 316513539*x^28 - 34339645996*x^27 + 4831344892*x^26 + 92355244393*x^25 - 25488211067*x^24 - 195285650650*x^23 + 74928816516*x^22 + 322269743220*x^21 - 151605486786*x^20 - 409858805965*x^19 + 221855364882*x^18 + 394089010022*x^17 - 236744610443*x^16 - 278542644513*x^15 + 182047159748*x^14 + 138851852254*x^13 - 98130077403*x^12 - 45846487985*x^11 + 35464529794*x^10 + 9067786704*x^9 - 8048306217*x^8 - 901748365*x^7 + 1050119930*x^6 + 30723472*x^5 - 72166888*x^4 + 343979*x^3 + 2392870*x^2 - 20592*x - 29766, x^46 - 3*x^45 - 67*x^44 + 205*x^43 + 2067*x^42 - 6460*x^41 - 38983*x^40 + 124619*x^39 + 503383*x^38 - 1647671*x^37 - 4725925*x^36 + 15842509*x^35 + 33457783*x^34 - 114721335*x^33 - 183038045*x^32 + 639400527*x^31 + 787869175*x^30 - 2780219924*x^29 - 2708733177*x^28 + 9505953308*x^27 + 7543642337*x^26 - 25654826750*x^25 - 17246229075*x^24 + 54683284024*x^23 + 32697456132*x^22 - 91865060424*x^21 - 51492001700*x^20 + 121079036805*x^19 + 66522788913*x^18 - 124261997009*x^17 - 68551174706*x^16 + 98109221291*x^15 + 54095150731*x^14 - 58415696690*x^13 - 31103436099*x^12 + 25388058452*x^11 + 12312136276*x^10 - 7661864671*x^9 - 3153799203*x^8 + 1499718325*x^7 + 490978793*x^6 - 174392963*x^5 - 42771579*x^4 + 10160090*x^3 + 2018939*x^2 - 227710*x - 41036, x^46 - 3*x^45 - 67*x^44 + 205*x^43 + 2067*x^42 - 6460*x^41 - 38983*x^40 + 124619*x^39 + 503383*x^38 - 1647671*x^37 - 4725925*x^36 + 15842509*x^35 + 33457783*x^34 - 114721335*x^33 - 183038045*x^32 + 639400527*x^31 + 787869175*x^30 - 2780219924*x^29 - 2708733177*x^28 + 9505953308*x^27 + 7543642337*x^26 - 25654826750*x^25 - 17246229075*x^24 + 54683284024*x^23 + 32697456132*x^22 - 91865060424*x^21 - 51492001700*x^20 + 121079036805*x^19 + 66522788913*x^18 - 124261997009*x^17 - 68551174706*x^16 + 98109221291*x^15 + 54095150731*x^14 - 58415696690*x^13 - 31103436099*x^12 + 25388058452*x^11 + 12312136276*x^10 - 7661864671*x^9 - 3153799203*x^8 + 1499718325*x^7 + 490978793*x^6 - 174392963*x^5 - 42771579*x^4 + 10160090*x^3 + 2018939*x^2 - 227710*x - 41036, -3*x^45 + 14*x^44 + 176*x^43 - 897*x^42 - 4637*x^41 + 26479*x^40 + 71873*x^39 - 477990*x^38 - 715323*x^37 + 5906158*x^36 + 4572425*x^35 - 52983537*x^34 - 15903130*x^33 + 357192284*x^32 - 11188323*x^31 - 1848019424*x^30 + 504351732*x^29 + 7429515175*x^28 - 3369977323*x^27 - 23358255276*x^26 + 13789453750*x^25 + 57526475905*x^24 - 39891558597*x^23 - 110715767865*x^22 + 85142725891*x^21 + 165504787455*x^20 - 135773667983*x^19 - 190283126988*x^18 + 161487619065*x^17 + 165941317710*x^16 - 141657732035*x^15 - 107722194221*x^14 + 89890397111*x^13 + 50725375419*x^12 - 40138317820*x^11 - 16692759785*x^10 + 12146053444*x^9 + 3629822341*x^8 - 2359629262*x^7 - 481569205*x^6 + 268264303*x^5 + 36283767*x^4 - 15155284*x^3 - 1651321*x^2 + 328959*x + 37948, -3*x^45 + 14*x^44 + 176*x^43 - 897*x^42 - 4637*x^41 + 26479*x^40 + 71873*x^39 - 477990*x^38 - 715323*x^37 + 5906158*x^36 + 4572425*x^35 - 52983537*x^34 - 15903130*x^33 + 357192284*x^32 - 11188323*x^31 - 1848019424*x^30 + 504351732*x^29 + 7429515175*x^28 - 3369977323*x^27 - 23358255276*x^26 + 13789453750*x^25 + 57526475905*x^24 - 39891558597*x^23 - 110715767865*x^22 + 85142725891*x^21 + 165504787455*x^20 - 135773667983*x^19 - 190283126988*x^18 + 161487619065*x^17 + 165941317710*x^16 - 141657732035*x^15 - 107722194221*x^14 + 89890397111*x^13 + 50725375419*x^12 - 40138317820*x^11 - 16692759785*x^10 + 12146053444*x^9 + 3629822341*x^8 - 2359629262*x^7 - 481569205*x^6 + 268264303*x^5 + 36283767*x^4 - 15155284*x^3 - 1651321*x^2 + 328959*x + 37948, -x^44 + 6*x^43 + 55*x^42 - 389*x^41 - 1288*x^40 + 11574*x^39 + 15721*x^38 - 209595*x^37 - 79299*x^36 + 2583337*x^35 - 557551*x^34 - 22957096*x^33 + 14259385*x^32 + 151994511*x^31 - 140392536*x^30 - 763843984*x^29 + 892871375*x^28 + 2940103624*x^27 - 4074668349*x^26 - 8677998344*x^25 + 13869420533*x^24 + 19511502929*x^23 - 35753274263*x^22 - 32867680770*x^21 + 70011912249*x^20 + 40130029923*x^19 - 103554933848*x^18 - 33076520437*x^17 + 114139953892*x^16 + 14833163337*x^15 - 91688286023*x^14 + 1119889820*x^13 + 51915623454*x^12 - 6121203656*x^11 - 19727657453*x^10 + 3823718075*x^9 + 4683425299*x^8 - 1136718187*x^7 - 630087327*x^6 + 164148284*x^5 + 44061382*x^4 - 10287362*x^3 - 1644715*x^2 + 228382*x + 30240, -x^44 + 6*x^43 + 55*x^42 - 389*x^41 - 1288*x^40 + 11574*x^39 + 15721*x^38 - 209595*x^37 - 79299*x^36 + 2583337*x^35 - 557551*x^34 - 22957096*x^33 + 14259385*x^32 + 151994511*x^31 - 140392536*x^30 - 763843984*x^29 + 892871375*x^28 + 2940103624*x^27 - 4074668349*x^26 - 8677998344*x^25 + 13869420533*x^24 + 19511502929*x^23 - 35753274263*x^22 - 32867680770*x^21 + 70011912249*x^20 + 40130029923*x^19 - 103554933848*x^18 - 33076520437*x^17 + 114139953892*x^16 + 14833163337*x^15 - 91688286023*x^14 + 1119889820*x^13 + 51915623454*x^12 - 6121203656*x^11 - 19727657453*x^10 + 3823718075*x^9 + 4683425299*x^8 - 1136718187*x^7 - 630087327*x^6 + 164148284*x^5 + 44061382*x^4 - 10287362*x^3 - 1644715*x^2 + 228382*x + 30240, -3*x^44 + 7*x^43 + 195*x^42 - 467*x^41 - 5804*x^40 + 14310*x^39 + 104834*x^38 - 267235*x^37 - 1283606*x^36 + 3403148*x^35 + 11268169*x^34 - 31332258*x^33 - 73099675*x^32 + 215753762*x^31 + 355542192*x^30 - 1133894496*x^29 - 1298434132*x^28 + 4600248152*x^27 + 3511084853*x^26 - 14477324585*x^25 - 6737569548*x^24 + 35318245073*x^23 + 8049520502*x^22 - 66389774900*x^21 - 2303132307*x^20 + 95020162624*x^19 - 11990538546*x^18 - 101557499518*x^17 + 26887912737*x^16 + 78637500118*x^15 - 30799056470*x^14 - 42013484652*x^13 + 21975576304*x^12 + 14195984715*x^11 - 9899445863*x^10 - 2483563903*x^9 + 2679840685*x^8 + 63677967*x^7 - 397938945*x^6 + 35854781*x^5 + 30928829*x^4 - 3785357*x^3 - 1277023*x^2 + 110496*x + 24226, -3*x^44 + 7*x^43 + 195*x^42 - 467*x^41 - 5804*x^40 + 14310*x^39 + 104834*x^38 - 267235*x^37 - 1283606*x^36 + 3403148*x^35 + 11268169*x^34 - 31332258*x^33 - 73099675*x^32 + 215753762*x^31 + 355542192*x^30 - 1133894496*x^29 - 1298434132*x^28 + 4600248152*x^27 + 3511084853*x^26 - 14477324585*x^25 - 6737569548*x^24 + 35318245073*x^23 + 8049520502*x^22 - 66389774900*x^21 - 2303132307*x^20 + 95020162624*x^19 - 11990538546*x^18 - 101557499518*x^17 + 26887912737*x^16 + 78637500118*x^15 - 30799056470*x^14 - 42013484652*x^13 + 21975576304*x^12 + 14195984715*x^11 - 9899445863*x^10 - 2483563903*x^9 + 2679840685*x^8 + 63677967*x^7 - 397938945*x^6 + 35854781*x^5 + 30928829*x^4 - 3785357*x^3 - 1277023*x^2 + 110496*x + 24226, -x^45 + 6*x^44 + 56*x^43 - 386*x^42 - 1370*x^41 + 11429*x^40 + 18655*x^39 - 206694*x^38 - 141088*x^37 + 2555389*x^36 + 307257*x^35 - 22904577*x^34 + 5685214*x^33 + 154040349*x^32 - 77902667*x^31 - 793641348*x^30 + 550703697*x^29 + 3170789599*x^28 - 2650601437*x^27 - 9881749767*x^26 + 9347979600*x^25 + 24043960791*x^24 - 24842974065*x^23 - 45507373166*x^22 + 50248761676*x^21 + 66440666258*x^20 - 77335384476*x^19 - 73808245263*x^18 + 89854247217*x^17 + 61108894409*x^16 - 77627806847*x^15 - 36559395349*x^14 + 48701944845*x^13 + 15071586509*x^12 - 21423670921*x^11 - 3969754463*x^10 + 6273457542*x^9 + 596383740*x^8 - 1132732016*x^7 - 50935128*x^6 + 114179725*x^5 + 5818265*x^4 - 6222596*x^3 - 524921*x^2 + 144924*x + 17588, -x^45 + 6*x^44 + 56*x^43 - 386*x^42 - 1370*x^41 + 11429*x^40 + 18655*x^39 - 206694*x^38 - 141088*x^37 + 2555389*x^36 + 307257*x^35 - 22904577*x^34 + 5685214*x^33 + 154040349*x^32 - 77902667*x^31 - 793641348*x^30 + 550703697*x^29 + 3170789599*x^28 - 2650601437*x^27 - 9881749767*x^26 + 9347979600*x^25 + 24043960791*x^24 - 24842974065*x^23 - 45507373166*x^22 + 50248761676*x^21 + 66440666258*x^20 - 77335384476*x^19 - 73808245263*x^18 + 89854247217*x^17 + 61108894409*x^16 - 77627806847*x^15 - 36559395349*x^14 + 48701944845*x^13 + 15071586509*x^12 - 21423670921*x^11 - 3969754463*x^10 + 6273457542*x^9 + 596383740*x^8 - 1132732016*x^7 - 50935128*x^6 + 114179725*x^5 + 5818265*x^4 - 6222596*x^3 - 524921*x^2 + 144924*x + 17588]>
       ]
>;

MOG[907] := 	// J_0(907)
   rec<SupersingularModule | 
       MonodromyWeights   := [2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [821, 884, 614*x + 10, 293*x + 10, 902*x + 57, 211*x + 568, 5*x + 57, 696*x + 568, 814*x + 20, 562, 489*x + 406, 813*x + 839, 93*x + 20, 418*x + 406, 94*x + 839, 71*x + 142, 362*x + 440, 646, 560*x + 805, 627*x + 111, 866*x + 642, 110*x + 174, 836*x + 142, 545*x + 440, 280*x + 111, 347*x + 805, 797*x + 174, 41*x + 642, 845*x + 131, 51*x + 431, 347*x + 210, 671, 496, 775*x + 66, 821*x + 883, 295*x + 420, 856*x + 431, 818*x + 717, 62*x + 131, 560*x + 210, 86*x + 883, 132*x + 66, 89*x + 717, 612*x + 420, 100*x + 303, 474*x + 714, 285*x + 317, 199*x + 218, 708*x + 218, 528*x + 875, 693*x + 5, 168*x + 306, 531*x + 188, 634*x + 176, 433*x + 714, 540*x + 210, 807*x + 303, 622*x + 317, 739*x + 306, 214*x + 5, 379*x + 875, 367*x + 210, 273*x + 176, 376*x + 188, 274*x + 710, 368*x + 654, 539*x + 654, 20*x + 366, 312*x + 423, 589*x + 636, 633*x + 710, 887*x + 366, 318*x + 636, 595*x + 423, 151*x + 608, 756*x + 608]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^35 + 11*x^34 + 9*x^33 - 320*x^32 - 1036*x^31 + 3426*x^30 + 19812*x^29 - 10341*x^28 - 192828*x^27 - 119282*x^26 + 1133977*x^25 + 1555983*x^24 - 4213763*x^23 - 8941558*x^22 + 9515037*x^21 + 31679539*x^20 - 9770903*x^19 - 74810454*x^18 - 10254174*x^17 + 119969041*x^16 + 53567822*x^15 - 128801150*x^14 - 90407861*x^13 + 87729529*x^12 + 85672846*x^11 - 32635633*x^10 - 47615565*x^9 + 2895548*x^8 + 14304739*x^7 + 1945106*x^6 - 1778382*x^5 - 471022*x^4 + 20149*x^3 + 11726*x^2 + 200*x - 56,
           Coordinates        := [0, 0, -x^34 - 11*x^33 - 11*x^32 + 298*x^31 + 1011*x^30 - 2863*x^29 - 17834*x^28 + 5389*x^27 + 160029*x^26 + 124178*x^25 - 857362*x^24 - 1310949*x^23 + 2832941*x^22 + 6674855*x^21 - 5343789*x^20 - 21096082*x^19 + 2973489*x^18 + 44057113*x^17 + 11536859*x^16 - 61359477*x^15 - 34017600*x^14 + 55452577*x^13 + 45315058*x^12 - 29886168*x^11 - 34513523*x^10 + 7245521*x^9 + 14866694*x^8 + 660788*x^7 - 3137814*x^6 - 614913*x^5 + 205412*x^4 + 50653*x^3 - 3507*x^2 - 832*x + 24, x^34 + 11*x^33 + 11*x^32 - 298*x^31 - 1011*x^30 + 2863*x^29 + 17834*x^28 - 5389*x^27 - 160029*x^26 - 124178*x^25 + 857362*x^24 + 1310949*x^23 - 2832941*x^22 - 6674855*x^21 + 5343789*x^20 + 21096082*x^19 - 2973489*x^18 - 44057113*x^17 - 11536859*x^16 + 61359477*x^15 + 34017600*x^14 - 55452577*x^13 - 45315058*x^12 + 29886168*x^11 + 34513523*x^10 - 7245521*x^9 - 14866694*x^8 - 660788*x^7 + 3137814*x^6 + 614913*x^5 - 205412*x^4 - 50653*x^3 + 3507*x^2 + 832*x - 24, -x^33 - 11*x^32 - 12*x^31 + 287*x^30 + 997*x^29 - 2597*x^28 - 16859*x^27 + 3287*x^26 + 144807*x^25 + 123459*x^24 - 737285*x^23 - 1183318*x^22 + 2283555*x^21 + 5645609*x^20 - 3894214*x^19 - 16728061*x^18 + 1276253*x^17 + 32542481*x^16 + 9815027*x^15 - 41744005*x^14 - 24115498*x^13 + 34097992*x^12 + 28260647*x^11 - 16005006*x^10 - 18655984*x^9 + 2970016*x^8 + 6632664*x^7 + 490426*x^6 - 1017639*x^5 - 216910*x^4 + 23851*x^3 + 6492*x^2 - 234*x - 56, -x^33 - 11*x^32 - 13*x^31 + 276*x^30 + 981*x^29 - 2355*x^28 - 15940*x^27 + 1609*x^26 + 131808*x^25 + 121575*x^24 - 643537*x^23 - 1083385*x^22 + 1887693*x^21 + 4937848*x^20 - 2903200*x^19 - 14025280*x^18 + 6432*x^17 + 26067083*x^16 + 9735195*x^15 - 31604568*x^14 - 20977305*x^13 + 23745369*x^12 + 22898676*x^11 - 9385106*x^10 - 14092887*x^9 + 586320*x^8 + 4534261*x^7 + 839767*x^6 - 555331*x^5 - 203459*x^4 - 7209*x^3 + 4402*x^2 + 458*x, x^33 + 11*x^32 + 12*x^31 - 287*x^30 - 997*x^29 + 2597*x^28 + 16859*x^27 - 3287*x^26 - 144807*x^25 - 123459*x^24 + 737285*x^23 + 1183318*x^22 - 2283555*x^21 - 5645609*x^20 + 3894214*x^19 + 16728061*x^18 - 1276253*x^17 - 32542481*x^16 - 9815027*x^15 + 41744005*x^14 + 24115498*x^13 - 34097992*x^12 - 28260647*x^11 + 16005006*x^10 + 18655984*x^9 - 2970016*x^8 - 6632664*x^7 - 490426*x^6 + 1017639*x^5 + 216910*x^4 - 23851*x^3 - 6492*x^2 + 234*x + 56, x^33 + 11*x^32 + 13*x^31 - 276*x^30 - 981*x^29 + 2355*x^28 + 15940*x^27 - 1609*x^26 - 131808*x^25 - 121575*x^24 + 643537*x^23 + 1083385*x^22 - 1887693*x^21 - 4937848*x^20 + 2903200*x^19 + 14025280*x^18 - 6432*x^17 - 26067083*x^16 - 9735195*x^15 + 31604568*x^14 + 20977305*x^13 - 23745369*x^12 - 22898676*x^11 + 9385106*x^10 + 14092887*x^9 - 586320*x^8 - 4534261*x^7 - 839767*x^6 + 555331*x^5 + 203459*x^4 + 7209*x^3 - 4402*x^2 - 458*x, -x^32 - 11*x^31 - 14*x^30 + 266*x^29 + 975*x^28 - 2102*x^27 - 15222*x^26 - 719*x^25 + 120077*x^24 + 127631*x^23 - 549386*x^22 - 1029246*x^21 + 1449575*x^20 + 4368021*x^19 - 1697236*x^18 - 11514632*x^17 - 1721832*x^16 + 19615472*x^15 + 9902102*x^14 - 21354585*x^13 - 17054411*x^12 + 13881162*x^11 + 15857539*x^10 - 4275505*x^9 - 8234030*x^8 - 170362*x^7 + 2120175*x^6 + 398003*x^5 - 181561*x^4 - 44161*x^3 + 3273*x^2 + 776*x - 24, 0, -x^32 - 11*x^31 - 15*x^30 + 254*x^29 + 945*x^28 - 1911*x^27 - 14142*x^26 - 906*x^25 + 108406*x^24 + 111696*x^23 - 490247*x^22 - 875102*x^21 + 1322053*x^20 + 3663528*x^19 - 1802782*x^18 - 9662013*x^17 - 406176*x^16 + 16734183*x^15 + 6464231*x^14 - 18906151*x^13 - 12351140*x^12 + 13196727*x^11 + 12197914*x^10 - 4836390*x^9 - 6698258*x^8 + 346753*x^7 + 1839830*x^6 + 268291*x^5 - 172765*x^4 - 39485*x^3 + 2207*x^2 + 588*x - 16, -x^32 - 11*x^31 - 15*x^30 + 254*x^29 + 949*x^28 - 1869*x^27 - 14079*x^26 - 1697*x^25 + 105419*x^24 + 115868*x^23 - 455001*x^22 - 861905*x^21 + 1118536*x^20 + 3407274*x^19 - 1164275*x^18 - 8328017*x^17 - 1395488*x^16 + 13020726*x^15 + 6576064*x^14 - 12801057*x^13 - 10065242*x^12 + 7304335*x^11 + 8222722*x^10 - 1822811*x^9 - 3634175*x^8 - 167774*x^7 + 742653*x^6 + 143163*x^5 - 39856*x^4 - 6766*x^3 + 1758*x^2 + 244*x - 8, x^32 + 11*x^31 + 14*x^30 - 266*x^29 - 975*x^28 + 2102*x^27 + 15222*x^26 + 719*x^25 - 120077*x^24 - 127631*x^23 + 549386*x^22 + 1029246*x^21 - 1449575*x^20 - 4368021*x^19 + 1697236*x^18 + 11514632*x^17 + 1721832*x^16 - 19615472*x^15 - 9902102*x^14 + 21354585*x^13 + 17054411*x^12 - 13881162*x^11 - 15857539*x^10 + 4275505*x^9 + 8234030*x^8 + 170362*x^7 - 2120175*x^6 - 398003*x^5 + 181561*x^4 + 44161*x^3 - 3273*x^2 - 776*x + 24, x^32 + 11*x^31 + 15*x^30 - 254*x^29 - 945*x^28 + 1911*x^27 + 14142*x^26 + 906*x^25 - 108406*x^24 - 111696*x^23 + 490247*x^22 + 875102*x^21 - 1322053*x^20 - 3663528*x^19 + 1802782*x^18 + 9662013*x^17 + 406176*x^16 - 16734183*x^15 - 6464231*x^14 + 18906151*x^13 + 12351140*x^12 - 13196727*x^11 - 12197914*x^10 + 4836390*x^9 + 6698258*x^8 - 346753*x^7 - 1839830*x^6 - 268291*x^5 + 172765*x^4 + 39485*x^3 - 2207*x^2 - 588*x + 16, x^32 + 11*x^31 + 15*x^30 - 254*x^29 - 949*x^28 + 1869*x^27 + 14079*x^26 + 1697*x^25 - 105419*x^24 - 115868*x^23 + 455001*x^22 + 861905*x^21 - 1118536*x^20 - 3407274*x^19 + 1164275*x^18 + 8328017*x^17 + 1395488*x^16 - 13020726*x^15 - 6576064*x^14 + 12801057*x^13 + 10065242*x^12 - 7304335*x^11 - 8222722*x^10 + 1822811*x^9 + 3634175*x^8 + 167774*x^7 - 742653*x^6 - 143163*x^5 + 39856*x^4 + 6766*x^3 - 1758*x^2 - 244*x + 8, -x^31 - 10*x^30 - 6*x^29 + 251*x^28 + 698*x^27 - 2347*x^26 - 11298*x^25 + 7399*x^24 + 91014*x^23 + 36050*x^22 - 435596*x^21 - 451267*x^20 + 1299992*x^19 + 2073911*x^18 - 2364563*x^17 - 5547296*x^16 + 2217062*x^15 + 9392199*x^14 + 98872*x^13 - 10147178*x^12 - 2794899*x^11 + 6714573*x^10 + 3194454*x^9 - 2407696*x^8 - 1644783*x^7 + 298044*x^6 + 368117*x^5 + 36260*x^4 - 19392*x^3 - 2959*x^2 + 306*x + 44, -x^31 - 11*x^30 - 16*x^29 + 244*x^28 + 939*x^27 - 1659*x^26 - 13432*x^25 - 3227*x^24 + 96885*x^23 + 118022*x^22 - 398384*x^21 - 826321*x^20 + 896986*x^19 + 3139518*x^18 - 633522*x^17 - 7379713*x^16 - 2129987*x^15 + 10997221*x^14 + 6962215*x^13 - 10069652*x^12 - 9608209*x^11 + 5014928*x^10 + 7227500*x^9 - 732682*x^8 - 2867706*x^7 - 390467*x^6 + 467961*x^5 + 136489*x^4 - 1186*x^3 - 2757*x^2 - 96*x + 12, 0, -x^31 - 11*x^30 - 18*x^29 + 223*x^28 + 909*x^27 - 1247*x^26 - 11908*x^25 - 5599*x^24 + 78060*x^23 + 112670*x^22 - 283457*x^21 - 691587*x^20 + 505463*x^19 + 2379917*x^18 + 85122*x^17 - 5082617*x^16 - 2573489*x^15 + 6775795*x^14 + 6107149*x^13 - 5217784*x^12 - 7453914*x^11 + 1573093*x^10 + 5149426*x^9 + 703027*x^8 - 1849921*x^7 - 712748*x^6 + 223704*x^5 + 169162*x^4 + 23392*x^3 - 2320*x^2 - 540*x, -x^31 - 11*x^30 - 18*x^29 + 221*x^28 + 889*x^27 - 1268*x^26 - 11494*x^25 - 4280*x^24 + 75230*x^23 + 95613*x^22 - 282183*x^21 - 582733*x^20 + 594955*x^19 + 1983350*x^18 - 497730*x^17 - 4250283*x^16 - 697475*x^15 + 5922622*x^14 + 2519016*x^13 - 5330858*x^12 - 3246848*x^11 + 2975623*x^10 + 2245203*x^9 - 942594*x^8 - 844510*x^7 + 141272*x^6 + 158862*x^5 - 5188*x^4 - 13976*x^3 - 1494*x^2 + 66*x, -x^31 - 11*x^30 - 16*x^29 + 243*x^28 + 931*x^27 - 1648*x^26 - 13188*x^25 - 2943*x^24 + 93972*x^23 + 111267*x^22 - 381298*x^21 - 765602*x^20 + 850782*x^19 + 2838120*x^18 - 634797*x^17 - 6463970*x^16 - 1743026*x^15 + 9226484*x^14 + 5755214*x^13 - 7868648*x^12 - 7730621*x^11 + 3278844*x^10 + 5554550*x^9 + 101408*x^8 - 2023367*x^7 - 613181*x^6 + 251735*x^5 + 162083*x^4 + 19604*x^3 - 2488*x^2 - 524*x - 20, -x^31 - 11*x^30 - 16*x^29 + 243*x^28 + 930*x^27 - 1658*x^26 - 13201*x^25 - 2764*x^24 + 94564*x^23 + 110213*x^22 - 387859*x^21 - 764972*x^20 + 888143*x^19 + 2859143*x^18 - 767123*x^17 - 6582387*x^16 - 1416105*x^15 + 9577027*x^14 + 5156849*x^13 - 8572386*x^12 - 6945333*x^11 + 4283451*x^10 + 4904162*x^9 - 855502*x^8 - 1768241*x^7 - 83423*x^6 + 263740*x^5 + 34610*x^4 - 10637*x^3 - 1670*x^2 + 58*x + 20, x^31 + 10*x^30 + 6*x^29 - 251*x^28 - 698*x^27 + 2347*x^26 + 11298*x^25 - 7399*x^24 - 91014*x^23 - 36050*x^22 + 435596*x^21 + 451267*x^20 - 1299992*x^19 - 2073911*x^18 + 2364563*x^17 + 5547296*x^16 - 2217062*x^15 - 9392199*x^14 - 98872*x^13 + 10147178*x^12 + 2794899*x^11 - 6714573*x^10 - 3194454*x^9 + 2407696*x^8 + 1644783*x^7 - 298044*x^6 - 368117*x^5 - 36260*x^4 + 19392*x^3 + 2959*x^2 - 306*x - 44, x^31 + 11*x^30 + 16*x^29 - 244*x^28 - 939*x^27 + 1659*x^26 + 13432*x^25 + 3227*x^24 - 96885*x^23 - 118022*x^22 + 398384*x^21 + 826321*x^20 - 896986*x^19 - 3139518*x^18 + 633522*x^17 + 7379713*x^16 + 2129987*x^15 - 10997221*x^14 - 6962215*x^13 + 10069652*x^12 + 9608209*x^11 - 5014928*x^10 - 7227500*x^9 + 732682*x^8 + 2867706*x^7 + 390467*x^6 - 467961*x^5 - 136489*x^4 + 1186*x^3 + 2757*x^2 + 96*x - 12, x^31 + 11*x^30 + 18*x^29 - 221*x^28 - 889*x^27 + 1268*x^26 + 11494*x^25 + 4280*x^24 - 75230*x^23 - 95613*x^22 + 282183*x^21 + 582733*x^20 - 594955*x^19 - 1983350*x^18 + 497730*x^17 + 4250283*x^16 + 697475*x^15 - 5922622*x^14 - 2519016*x^13 + 5330858*x^12 + 3246848*x^11 - 2975623*x^10 - 2245203*x^9 + 942594*x^8 + 844510*x^7 - 141272*x^6 - 158862*x^5 + 5188*x^4 + 13976*x^3 + 1494*x^2 - 66*x, x^31 + 11*x^30 + 18*x^29 - 223*x^28 - 909*x^27 + 1247*x^26 + 11908*x^25 + 5599*x^24 - 78060*x^23 - 112670*x^22 + 283457*x^21 + 691587*x^20 - 505463*x^19 - 2379917*x^18 - 85122*x^17 + 5082617*x^16 + 2573489*x^15 - 6775795*x^14 - 6107149*x^13 + 5217784*x^12 + 7453914*x^11 - 1573093*x^10 - 5149426*x^9 - 703027*x^8 + 1849921*x^7 + 712748*x^6 - 223704*x^5 - 169162*x^4 - 23392*x^3 + 2320*x^2 + 540*x, x^31 + 11*x^30 + 16*x^29 - 243*x^28 - 930*x^27 + 1658*x^26 + 13201*x^25 + 2764*x^24 - 94564*x^23 - 110213*x^22 + 387859*x^21 + 764972*x^20 - 888143*x^19 - 2859143*x^18 + 767123*x^17 + 6582387*x^16 + 1416105*x^15 - 9577027*x^14 - 5156849*x^13 + 8572386*x^12 + 6945333*x^11 - 4283451*x^10 - 4904162*x^9 + 855502*x^8 + 1768241*x^7 + 83423*x^6 - 263740*x^5 - 34610*x^4 + 10637*x^3 + 1670*x^2 - 58*x - 20, x^31 + 11*x^30 + 16*x^29 - 243*x^28 - 931*x^27 + 1648*x^26 + 13188*x^25 + 2943*x^24 - 93972*x^23 - 111267*x^22 + 381298*x^21 + 765602*x^20 - 850782*x^19 - 2838120*x^18 + 634797*x^17 + 6463970*x^16 + 1743026*x^15 - 9226484*x^14 - 5755214*x^13 + 7868648*x^12 + 7730621*x^11 - 3278844*x^10 - 5554550*x^9 - 101408*x^8 + 2023367*x^7 + 613181*x^6 - 251735*x^5 - 162083*x^4 - 19604*x^3 + 2488*x^2 + 524*x + 20, -2*x^30 - 21*x^29 - 26*x^28 + 453*x^27 + 1577*x^26 - 3180*x^25 - 21664*x^24 - 567*x^23 + 149840*x^22 + 142383*x^21 - 600850*x^20 - 994118*x^19 + 1406584*x^18 + 3602773*x^17 - 1608402*x^16 - 8006211*x^15 - 411031*x^14 + 11306279*x^13 + 4112334*x^12 - 9961488*x^11 - 5948512*x^10 + 5062263*x^9 + 4181551*x^8 - 1176377*x^7 - 1454014*x^6 + 6374*x^5 + 198429*x^4 + 21810*x^3 - 5926*x^2 - 426*x + 68, -x^27 - 10*x^26 - 13*x^25 + 185*x^24 + 650*x^23 - 974*x^22 - 7480*x^21 - 2547*x^20 + 41396*x^19 + 52287*x^18 - 120544*x^17 - 264248*x^16 + 151018*x^15 + 697228*x^14 + 105498*x^13 - 1044425*x^12 - 635664*x^11 + 834571*x^10 + 898667*x^9 - 234684*x^8 - 582820*x^7 - 100217*x^6 + 151578*x^5 + 66460*x^4 - 2174*x^3 - 3648*x^2 - 88*x + 52, -2*x^30 - 22*x^29 - 36*x^28 + 444*x^27 + 1800*x^26 - 2495*x^25 - 23377*x^24 - 10259*x^23 + 151976*x^22 + 210405*x^21 - 550042*x^20 - 1269899*x^19 + 1011427*x^18 + 4255463*x^17 - 143907*x^16 - 8769269*x^15 - 3637115*x^14 + 11179435*x^13 + 8490627*x^12 - 8230570*x^11 - 9464610*x^10 + 2644156*x^9 + 5601008*x^8 + 362715*x^7 - 1551997*x^6 - 413092*x^5 + 113915*x^4 + 43578*x^3 + 279*x^2 - 676*x - 28, 0, 0, -x^30 - 10*x^29 - 10*x^28 + 211*x^27 + 657*x^26 - 1513*x^25 - 8682*x^24 + 1541*x^23 + 56950*x^22 + 41132*x^21 - 215740*x^20 - 289493*x^19 + 481320*x^18 + 976623*x^17 - 558911*x^16 - 1952177*x^15 + 53949*x^14 + 2382088*x^13 + 784892*x^12 - 1662146*x^11 - 1099976*x^10 + 477154*x^9 + 666786*x^8 + 116876*x^7 - 162112*x^6 - 105503*x^5 - 2272*x^4 + 15355*x^3 + 3179*x^2 - 162*x - 52, -x^30 - 11*x^29 - 20*x^28 + 199*x^27 + 848*x^26 - 879*x^25 - 9799*x^24 - 5824*x^23 + 56088*x^22 + 81964*x^21 - 177056*x^20 - 410279*x^19 + 293625*x^18 + 1156267*x^17 - 147392*x^16 - 2042292*x^15 - 308100*x^14 + 2395858*x^13 + 613665*x^12 - 1990534*x^11 - 488101*x^10 + 1249640*x^9 + 252740*x^8 - 568196*x^7 - 128971*x^6 + 139613*x^5 + 44874*x^4 - 5587*x^3 - 2420*x^2 + 88*x + 44, -x^30 - 11*x^29 - 18*x^28 + 221*x^27 + 891*x^26 - 1246*x^25 - 11447*x^24 - 4601*x^23 + 73703*x^22 + 96303*x^21 - 267754*x^20 - 569154*x^19 + 529478*x^18 + 1864047*x^17 - 347538*x^16 - 3794242*x^15 - 820850*x^14 + 4932409*x^13 + 2334621*x^12 - 4025491*x^11 - 2668172*x^10 + 1924219*x^9 + 1610808*x^8 - 445407*x^7 - 490918*x^6 + 18920*x^5 + 59460*x^4 + 4278*x^3 - 2282*x^2 - 264*x + 8, x^27 + 10*x^26 + 13*x^25 - 185*x^24 - 650*x^23 + 974*x^22 + 7480*x^21 + 2547*x^20 - 41396*x^19 - 52287*x^18 + 120544*x^17 + 264248*x^16 - 151018*x^15 - 697228*x^14 - 105498*x^13 + 1044425*x^12 + 635664*x^11 - 834571*x^10 - 898667*x^9 + 234684*x^8 + 582820*x^7 + 100217*x^6 - 151578*x^5 - 66460*x^4 + 2174*x^3 + 3648*x^2 + 88*x - 52, -x^30 - 11*x^29 - 19*x^28 + 210*x^27 + 868*x^26 - 1080*x^25 - 10670*x^24 - 5005*x^23 + 66168*x^22 + 89453*x^21 - 232940*x^20 - 506735*x^19 + 449439*x^18 + 1625086*x^17 - 284865*x^16 - 3292681*x^15 - 721987*x^14 + 4334169*x^13 + 2075484*x^12 - 3656548*x^11 - 2483989*x^10 + 1865976*x^9 + 1631250*x^8 - 498469*x^7 - 579130*x^6 + 43025*x^5 + 95679*x^4 + 2922*x^3 - 5348*x^2 - 312*x + 60, 2*x^30 + 21*x^29 + 26*x^28 - 453*x^27 - 1577*x^26 + 3180*x^25 + 21664*x^24 + 567*x^23 - 149840*x^22 - 142383*x^21 + 600850*x^20 + 994118*x^19 - 1406584*x^18 - 3602773*x^17 + 1608402*x^16 + 8006211*x^15 + 411031*x^14 - 11306279*x^13 - 4112334*x^12 + 9961488*x^11 + 5948512*x^10 - 5062263*x^9 - 4181551*x^8 + 1176377*x^7 + 1454014*x^6 - 6374*x^5 - 198429*x^4 - 21810*x^3 + 5926*x^2 + 426*x - 68, 2*x^30 + 22*x^29 + 36*x^28 - 444*x^27 - 1800*x^26 + 2495*x^25 + 23377*x^24 + 10259*x^23 - 151976*x^22 - 210405*x^21 + 550042*x^20 + 1269899*x^19 - 1011427*x^18 - 4255463*x^17 + 143907*x^16 + 8769269*x^15 + 3637115*x^14 - 11179435*x^13 - 8490627*x^12 + 8230570*x^11 + 9464610*x^10 - 2644156*x^9 - 5601008*x^8 - 362715*x^7 + 1551997*x^6 + 413092*x^5 - 113915*x^4 - 43578*x^3 - 279*x^2 + 676*x + 28, x^30 + 11*x^29 + 20*x^28 - 199*x^27 - 848*x^26 + 879*x^25 + 9799*x^24 + 5824*x^23 - 56088*x^22 - 81964*x^21 + 177056*x^20 + 410279*x^19 - 293625*x^18 - 1156267*x^17 + 147392*x^16 + 2042292*x^15 + 308100*x^14 - 2395858*x^13 - 613665*x^12 + 1990534*x^11 + 488101*x^10 - 1249640*x^9 - 252740*x^8 + 568196*x^7 + 128971*x^6 - 139613*x^5 - 44874*x^4 + 5587*x^3 + 2420*x^2 - 88*x - 44, x^30 + 10*x^29 + 10*x^28 - 211*x^27 - 657*x^26 + 1513*x^25 + 8682*x^24 - 1541*x^23 - 56950*x^22 - 41132*x^21 + 215740*x^20 + 289493*x^19 - 481320*x^18 - 976623*x^17 + 558911*x^16 + 1952177*x^15 - 53949*x^14 - 2382088*x^13 - 784892*x^12 + 1662146*x^11 + 1099976*x^10 - 477154*x^9 - 666786*x^8 - 116876*x^7 + 162112*x^6 + 105503*x^5 + 2272*x^4 - 15355*x^3 - 3179*x^2 + 162*x + 52, x^30 + 11*x^29 + 19*x^28 - 210*x^27 - 868*x^26 + 1080*x^25 + 10670*x^24 + 5005*x^23 - 66168*x^22 - 89453*x^21 + 232940*x^20 + 506735*x^19 - 449439*x^18 - 1625086*x^17 + 284865*x^16 + 3292681*x^15 + 721987*x^14 - 4334169*x^13 - 2075484*x^12 + 3656548*x^11 + 2483989*x^10 - 1865976*x^9 - 1631250*x^8 + 498469*x^7 + 579130*x^6 - 43025*x^5 - 95679*x^4 - 2922*x^3 + 5348*x^2 + 312*x - 60, x^30 + 11*x^29 + 18*x^28 - 221*x^27 - 891*x^26 + 1246*x^25 + 11447*x^24 + 4601*x^23 - 73703*x^22 - 96303*x^21 + 267754*x^20 + 569154*x^19 - 529478*x^18 - 1864047*x^17 + 347538*x^16 + 3794242*x^15 + 820850*x^14 - 4932409*x^13 - 2334621*x^12 + 4025491*x^11 + 2668172*x^10 - 1924219*x^9 - 1610808*x^8 + 445407*x^7 + 490918*x^6 - 18920*x^5 - 59460*x^4 - 4278*x^3 + 2282*x^2 + 264*x - 8, -2*x^29 - 21*x^28 - 30*x^27 + 414*x^26 + 1542*x^25 - 2367*x^24 - 19234*x^23 - 6337*x^22 + 118203*x^21 + 148736*x^20 - 398871*x^19 - 851055*x^18 + 671039*x^17 + 2623702*x^16 - 54604*x^15 - 4861715*x^14 - 2093687*x^13 + 5403474*x^12 + 4300301*x^11 - 3225403*x^10 - 4162329*x^9 + 528292*x^8 + 2040690*x^7 + 421078*x^6 - 393392*x^5 - 183612*x^4 - 9926*x^3 + 4853*x^2 + 302*x - 44, -2*x^28 - 19*x^27 - 12*x^26 + 416*x^25 + 1113*x^24 - 3295*x^23 - 15289*x^22 + 7978*x^21 + 102745*x^20 + 43444*x^19 - 400919*x^18 - 397849*x^17 + 948344*x^16 + 1411110*x^15 - 1314696*x^14 - 2849791*x^13 + 861602*x^12 + 3497447*x^11 + 167190*x^10 - 2558022*x^9 - 705640*x^8 + 999248*x^7 + 458622*x^6 - 137761*x^5 - 104053*x^4 - 13099*x^3 + 999*x^2 + 206*x + 8, -2*x^29 - 21*x^28 - 28*x^27 + 432*x^26 + 1549*x^25 - 2752*x^24 - 20139*x^23 - 3230*x^22 + 130525*x^21 + 139155*x^20 - 480514*x^19 - 867405*x^18 + 987345*x^17 + 2860727*x^16 - 809653*x^15 - 5740408*x^14 - 990604*x^13 + 7169940*x^12 + 3390447*x^11 - 5346395*x^10 - 3871695*x^9 + 2037991*x^8 + 2160219*x^7 - 163897*x^6 - 512908*x^5 - 87723*x^4 + 15441*x^3 + 3575*x^2 + 2*x - 12, x^27 + 9*x^26 + x^25 - 210*x^24 - 424*x^23 + 2002*x^22 + 6460*x^21 - 9484*x^20 - 48271*x^19 + 17483*x^18 + 217495*x^17 + 42607*x^16 - 631191*x^15 - 338360*x^14 + 1198310*x^13 + 927589*x^12 - 1460128*x^11 - 1417530*x^10 + 1069414*x^9 + 1271323*x^8 - 389805*x^7 - 630462*x^6 + 16611*x^5 + 138888*x^4 + 22096*x^3 - 3898*x^2 - 574*x + 28, -x^27 - 9*x^26 - x^25 + 210*x^24 + 424*x^23 - 2002*x^22 - 6460*x^21 + 9484*x^20 + 48271*x^19 - 17483*x^18 - 217495*x^17 - 42607*x^16 + 631191*x^15 + 338360*x^14 - 1198310*x^13 - 927589*x^12 + 1460128*x^11 + 1417530*x^10 - 1069414*x^9 - 1271323*x^8 + 389805*x^7 + 630462*x^6 - 16611*x^5 - 138888*x^4 - 22096*x^3 + 3898*x^2 + 574*x - 28, -2*x^29 - 22*x^28 - 41*x^27 + 391*x^26 + 1713*x^25 - 1542*x^24 - 19569*x^23 - 14588*x^22 + 108849*x^21 + 186354*x^20 - 313636*x^19 - 921974*x^18 + 332590*x^17 + 2571529*x^16 + 675261*x^15 - 4339758*x^14 - 2940169*x^13 + 4340530*x^12 + 4691792*x^11 - 2195915*x^10 - 4005486*x^9 + 80635*x^8 + 1804685*x^7 + 445133*x^6 - 331479*x^5 - 156079*x^4 - 4858*x^3 + 5337*x^2 + 326*x - 52, -x^29 - 12*x^28 - 30*x^27 + 188*x^26 + 1051*x^25 - 217*x^24 - 11124*x^23 - 14269*x^22 + 55769*x^21 + 135044*x^20 - 125746*x^19 - 598169*x^18 - 30180*x^17 + 1519037*x^16 + 905100*x^15 - 2272131*x^14 - 2375727*x^13 + 1831416*x^12 + 3122779*x^11 - 421521*x^10 - 2262495*x^9 - 493351*x^8 + 826726*x^7 + 409763*x^6 - 93601*x^5 - 98265*x^4 - 12940*x^3 + 2495*x^2 + 422*x - 8, -x^29 - 10*x^28 - 11*x^27 + 201*x^26 + 644*x^25 - 1327*x^24 - 8018*x^23 + 620*x^22 + 49358*x^21 + 37410*x^20 - 175584*x^19 - 228914*x^18 + 380518*x^17 + 688954*x^16 - 515725*x^15 - 1254633*x^14 + 470376*x^13 + 1508908*x^12 - 364032*x^11 - 1304462*x^10 + 270032*x^9 + 867749*x^8 - 111187*x^7 - 411422*x^6 - 20387*x^5 + 97866*x^4 + 24496*x^3 - 913*x^2 - 444*x + 8, -x^29 - 13*x^28 - 40*x^27 + 181*x^26 + 1292*x^25 + 486*x^24 - 13110*x^23 - 24681*x^22 + 59275*x^21 + 208683*x^20 - 78020*x^19 - 891487*x^18 - 407391*x^17 + 2194981*x^16 + 2219208*x^15 - 3093897*x^14 - 5000099*x^13 + 2069760*x^12 + 6274622*x^11 + 246520*x^10 - 4477860*x^9 - 1402798*x^8 + 1633607*x^7 + 875192*x^6 - 187539*x^5 - 186197*x^4 - 24562*x^3 + 3298*x^2 + 666*x + 16, -x^29 - 9*x^28 + 221*x^26 + 449*x^25 - 2144*x^24 - 7159*x^23 + 9717*x^22 + 54269*x^21 - 12235*x^20 - 243284*x^19 - 82586*x^18 + 694650*x^17 + 474747*x^16 - 1297032*x^15 - 1200178*x^14 + 1579506*x^13 + 1773397*x^12 - 1212173*x^11 - 1601145*x^10 + 534118*x^9 + 855983*x^8 - 101158*x^7 - 243091*x^6 - 4736*x^5 + 28392*x^4 + 2676*x^3 - 1074*x^2 - 134*x + 4, 2*x^28 + 19*x^27 + 12*x^26 - 416*x^25 - 1113*x^24 + 3295*x^23 + 15289*x^22 - 7978*x^21 - 102745*x^20 - 43444*x^19 + 400919*x^18 + 397849*x^17 - 948344*x^16 - 1411110*x^15 + 1314696*x^14 + 2849791*x^13 - 861602*x^12 - 3497447*x^11 - 167190*x^10 + 2558022*x^9 + 705640*x^8 - 999248*x^7 - 458622*x^6 + 137761*x^5 + 104053*x^4 + 13099*x^3 - 999*x^2 - 206*x - 8, -x^29 - 11*x^28 - 21*x^27 + 187*x^26 + 818*x^25 - 699*x^24 - 8827*x^23 - 6172*x^22 + 46070*x^21 + 71883*x^20 - 125068*x^19 - 312083*x^18 + 149668*x^17 + 718177*x^16 + 18857*x^15 - 903100*x^14 - 141196*x^13 + 575308*x^12 - 230448*x^11 - 221560*x^10 + 732574*x^9 + 276398*x^8 - 615574*x^7 - 318685*x^6 + 163418*x^5 + 124391*x^4 + 10147*x^3 - 3979*x^2 - 324*x + 32, 2*x^29 + 21*x^28 + 30*x^27 - 414*x^26 - 1542*x^25 + 2367*x^24 + 19234*x^23 + 6337*x^22 - 118203*x^21 - 148736*x^20 + 398871*x^19 + 851055*x^18 - 671039*x^17 - 2623702*x^16 + 54604*x^15 + 4861715*x^14 + 2093687*x^13 - 5403474*x^12 - 4300301*x^11 + 3225403*x^10 + 4162329*x^9 - 528292*x^8 - 2040690*x^7 - 421078*x^6 + 393392*x^5 + 183612*x^4 + 9926*x^3 - 4853*x^2 - 302*x + 44, 2*x^29 + 21*x^28 + 28*x^27 - 432*x^26 - 1549*x^25 + 2752*x^24 + 20139*x^23 + 3230*x^22 - 130525*x^21 - 139155*x^20 + 480514*x^19 + 867405*x^18 - 987345*x^17 - 2860727*x^16 + 809653*x^15 + 5740408*x^14 + 990604*x^13 - 7169940*x^12 - 3390447*x^11 + 5346395*x^10 + 3871695*x^9 - 2037991*x^8 - 2160219*x^7 + 163897*x^6 + 512908*x^5 + 87723*x^4 - 15441*x^3 - 3575*x^2 - 2*x + 12, x^29 + 10*x^28 + 11*x^27 - 201*x^26 - 644*x^25 + 1327*x^24 + 8018*x^23 - 620*x^22 - 49358*x^21 - 37410*x^20 + 175584*x^19 + 228914*x^18 - 380518*x^17 - 688954*x^16 + 515725*x^15 + 1254633*x^14 - 470376*x^13 - 1508908*x^12 + 364032*x^11 + 1304462*x^10 - 270032*x^9 - 867749*x^8 + 111187*x^7 + 411422*x^6 + 20387*x^5 - 97866*x^4 - 24496*x^3 + 913*x^2 + 444*x - 8, x^29 + 12*x^28 + 30*x^27 - 188*x^26 - 1051*x^25 + 217*x^24 + 11124*x^23 + 14269*x^22 - 55769*x^21 - 135044*x^20 + 125746*x^19 + 598169*x^18 + 30180*x^17 - 1519037*x^16 - 905100*x^15 + 2272131*x^14 + 2375727*x^13 - 1831416*x^12 - 3122779*x^11 + 421521*x^10 + 2262495*x^9 + 493351*x^8 - 826726*x^7 - 409763*x^6 + 93601*x^5 + 98265*x^4 + 12940*x^3 - 2495*x^2 - 422*x + 8, 2*x^29 + 22*x^28 + 41*x^27 - 391*x^26 - 1713*x^25 + 1542*x^24 + 19569*x^23 + 14588*x^22 - 108849*x^21 - 186354*x^20 + 313636*x^19 + 921974*x^18 - 332590*x^17 - 2571529*x^16 - 675261*x^15 + 4339758*x^14 + 2940169*x^13 - 4340530*x^12 - 4691792*x^11 + 2195915*x^10 + 4005486*x^9 - 80635*x^8 - 1804685*x^7 - 445133*x^6 + 331479*x^5 + 156079*x^4 + 4858*x^3 - 5337*x^2 - 326*x + 52, x^29 + 11*x^28 + 21*x^27 - 187*x^26 - 818*x^25 + 699*x^24 + 8827*x^23 + 6172*x^22 - 46070*x^21 - 71883*x^20 + 125068*x^19 + 312083*x^18 - 149668*x^17 - 718177*x^16 - 18857*x^15 + 903100*x^14 + 141196*x^13 - 575308*x^12 + 230448*x^11 + 221560*x^10 - 732574*x^9 - 276398*x^8 + 615574*x^7 + 318685*x^6 - 163418*x^5 - 124391*x^4 - 10147*x^3 + 3979*x^2 + 324*x - 32, x^29 + 9*x^28 - 221*x^26 - 449*x^25 + 2144*x^24 + 7159*x^23 - 9717*x^22 - 54269*x^21 + 12235*x^20 + 243284*x^19 + 82586*x^18 - 694650*x^17 - 474747*x^16 + 1297032*x^15 + 1200178*x^14 - 1579506*x^13 - 1773397*x^12 + 1212173*x^11 + 1601145*x^10 - 534118*x^9 - 855983*x^8 + 101158*x^7 + 243091*x^6 + 4736*x^5 - 28392*x^4 - 2676*x^3 + 1074*x^2 + 134*x - 4, x^29 + 13*x^28 + 40*x^27 - 181*x^26 - 1292*x^25 - 486*x^24 + 13110*x^23 + 24681*x^22 - 59275*x^21 - 208683*x^20 + 78020*x^19 + 891487*x^18 + 407391*x^17 - 2194981*x^16 - 2219208*x^15 + 3093897*x^14 + 5000099*x^13 - 2069760*x^12 - 6274622*x^11 - 246520*x^10 + 4477860*x^9 + 1402798*x^8 - 1633607*x^7 - 875192*x^6 + 187539*x^5 + 186197*x^4 + 24562*x^3 - 3298*x^2 - 666*x - 16, -2*x^28 - 20*x^27 - 23*x^26 + 397*x^25 + 1317*x^24 - 2475*x^23 - 16348*x^22 - 1625*x^21 + 99234*x^20 + 99619*x^19 - 334626*x^18 - 581222*x^17 + 605454*x^16 + 1733386*x^15 - 367960*x^14 - 3053014*x^13 - 673635*x^12 + 3238638*x^11 + 1618993*x^10 - 1975949*x^9 - 1435221*x^8 + 598207*x^7 + 602000*x^6 - 52225*x^5 - 104302*x^4 - 3858*x^3 + 5229*x^2 + 176*x - 76, x^28 + 10*x^27 + 10*x^26 - 209*x^25 - 634*x^24 + 1578*x^23 + 8462*x^22 - 3024*x^21 - 57755*x^20 - 30788*x^19 + 234978*x^18 + 260102*x^17 - 588584*x^16 - 969551*x^15 + 859950*x^14 + 2125899*x^13 - 532539*x^12 - 2877658*x^11 - 348116*x^10 + 2340737*x^9 + 881518*x^8 - 1020267*x^7 - 613851*x^6 + 155499*x^5 + 160984*x^4 + 18198*x^3 - 4472*x^2 - 546*x + 28, -x^28 - 10*x^27 - 10*x^26 + 209*x^25 + 634*x^24 - 1578*x^23 - 8462*x^22 + 3024*x^21 + 57755*x^20 + 30788*x^19 - 234978*x^18 - 260102*x^17 + 588584*x^16 + 969551*x^15 - 859950*x^14 - 2125899*x^13 + 532539*x^12 + 2877658*x^11 + 348116*x^10 - 2340737*x^9 - 881518*x^8 + 1020267*x^7 + 613851*x^6 - 155499*x^5 - 160984*x^4 - 18198*x^3 + 4472*x^2 + 546*x - 28, -x^28 - 9*x^27 - 3*x^26 + 196*x^25 + 454*x^24 - 1574*x^23 - 6110*x^22 + 4804*x^21 + 38882*x^20 + 5781*x^19 - 142021*x^18 - 86795*x^17 + 320621*x^16 + 271934*x^15 - 476157*x^14 - 416574*x^13 + 531211*x^12 + 322040*x^11 - 546329*x^10 - 111859*x^9 + 503822*x^8 + 45587*x^7 - 302838*x^6 - 62134*x^5 + 77488*x^4 + 29170*x^3 + 1063*x^2 - 524*x - 36, -x^28 - 12*x^27 - 31*x^26 + 183*x^25 + 1089*x^24 + 59*x^23 - 11198*x^22 - 18145*x^21 + 50579*x^20 + 158181*x^19 - 69464*x^18 - 656411*x^17 - 293981*x^16 + 1509998*x^15 + 1561159*x^14 - 1872045*x^13 - 3229939*x^12 + 881564*x^11 + 3536707*x^10 + 544678*x^9 - 2015192*x^8 - 839620*x^7 + 467276*x^6 + 307791*x^5 + 3701*x^4 - 16421*x^3 - 627*x^2 + 278*x + 4, -x^28 - 13*x^27 - 40*x^26 + 172*x^25 + 1209*x^24 + 411*x^23 - 11636*x^22 - 20594*x^21 + 50117*x^20 + 163864*x^19 - 64793*x^18 - 646807*x^17 - 284862*x^16 + 1420030*x^15 + 1440741*x^14 - 1632962*x^13 - 2838471*x^12 + 557330*x^11 + 2868447*x^10 + 751159*x^9 - 1365306*x^8 - 840483*x^7 + 128697*x^6 + 236865*x^5 + 75452*x^4 + 11297*x^3 + 552*x^2 - 202*x - 32, 2*x^28 + 20*x^27 + 23*x^26 - 397*x^25 - 1317*x^24 + 2475*x^23 + 16348*x^22 + 1625*x^21 - 99234*x^20 - 99619*x^19 + 334626*x^18 + 581222*x^17 - 605454*x^16 - 1733386*x^15 + 367960*x^14 + 3053014*x^13 + 673635*x^12 - 3238638*x^11 - 1618993*x^10 + 1975949*x^9 + 1435221*x^8 - 598207*x^7 - 602000*x^6 + 52225*x^5 + 104302*x^4 + 3858*x^3 - 5229*x^2 - 176*x + 76, x^28 + 9*x^27 + 3*x^26 - 196*x^25 - 454*x^24 + 1574*x^23 + 6110*x^22 - 4804*x^21 - 38882*x^20 - 5781*x^19 + 142021*x^18 + 86795*x^17 - 320621*x^16 - 271934*x^15 + 476157*x^14 + 416574*x^13 - 531211*x^12 - 322040*x^11 + 546329*x^10 + 111859*x^9 - 503822*x^8 - 45587*x^7 + 302838*x^6 + 62134*x^5 - 77488*x^4 - 29170*x^3 - 1063*x^2 + 524*x + 36, x^28 + 13*x^27 + 40*x^26 - 172*x^25 - 1209*x^24 - 411*x^23 + 11636*x^22 + 20594*x^21 - 50117*x^20 - 163864*x^19 + 64793*x^18 + 646807*x^17 + 284862*x^16 - 1420030*x^15 - 1440741*x^14 + 1632962*x^13 + 2838471*x^12 - 557330*x^11 - 2868447*x^10 - 751159*x^9 + 1365306*x^8 + 840483*x^7 - 128697*x^6 - 236865*x^5 - 75452*x^4 - 11297*x^3 - 552*x^2 + 202*x + 32, x^28 + 12*x^27 + 31*x^26 - 183*x^25 - 1089*x^24 - 59*x^23 + 11198*x^22 + 18145*x^21 - 50579*x^20 - 158181*x^19 + 69464*x^18 + 656411*x^17 + 293981*x^16 - 1509998*x^15 - 1561159*x^14 + 1872045*x^13 + 3229939*x^12 - 881564*x^11 - 3536707*x^10 - 544678*x^9 + 2015192*x^8 + 839620*x^7 - 467276*x^6 - 307791*x^5 - 3701*x^4 + 16421*x^3 + 627*x^2 - 278*x - 4, -x^27 - 8*x^26 + 6*x^25 + 207*x^24 + 334*x^23 - 1926*x^22 - 5672*x^21 + 7253*x^20 + 39344*x^19 + 98*x^18 - 146692*x^17 - 96399*x^16 + 311502*x^15 + 361902*x^14 - 355739*x^13 - 655657*x^12 + 139743*x^11 + 646274*x^10 + 121931*x^9 - 318340*x^8 - 146064*x^7 + 46450*x^6 + 35741*x^5 + 8792*x^4 + 5737*x^3 + 1452*x^2 - 116*x - 44, x^27 + 8*x^26 - 6*x^25 - 207*x^24 - 334*x^23 + 1926*x^22 + 5672*x^21 - 7253*x^20 - 39344*x^19 - 98*x^18 + 146692*x^17 + 96399*x^16 - 311502*x^15 - 361902*x^14 + 355739*x^13 + 655657*x^12 - 139743*x^11 - 646274*x^10 - 121931*x^9 + 318340*x^8 + 146064*x^7 - 46450*x^6 - 35741*x^5 - 8792*x^4 - 5737*x^3 - 1452*x^2 + 116*x + 44]>,
         rec<Eigen |
           DefiningPolynomial := x^40 - 9*x^39 - 20*x^38 + 403*x^37 - 317*x^36 - 7942*x^35 + 16322*x^34 + 89585*x^33 - 275786*x^32 - 620967*x^31 + 2743767*x^30 + 2506275*x^29 - 18330414*x^28 - 3166331*x^27 + 86751314*x^26 - 26890711*x^25 - 297765590*x^24 + 198427259*x^23 + 745736509*x^22 - 719634531*x^21 - 1350355034*x^20 + 1698751043*x^19 + 1716715233*x^18 - 2773773967*x^17 - 1425405393*x^16 + 3160617242*x^15 + 610378223*x^14 - 2466346811*x^13 + 76331288*x^12 + 1257707142*x^11 - 250305785*x^10 - 382102890*x^9 + 130307087*x^8 + 56296230*x^7 - 28984353*x^6 - 1581958*x^5 + 2481142*x^4 - 266088*x^3 - 50988*x^2 + 11432*x - 584,
           Coordinates        := [-x^39 + 9*x^38 + 18*x^37 - 385*x^36 + 349*x^35 + 7208*x^34 - 15568*x^33 - 76563*x^32 + 246234*x^31 + 491235*x^30 - 2306395*x^29 - 1742919*x^28 + 14479410*x^27 + 878007*x^26 - 64093276*x^25 + 25456041*x^24 + 204405724*x^23 - 151135815*x^22 - 471608219*x^21 + 486278591*x^20 + 778290794*x^19 - 1030824213*x^18 - 889406003*x^17 + 1506811057*x^16 + 651344409*x^15 - 1523528628*x^14 - 237058277*x^13 + 1043012451*x^12 - 33442872*x^11 - 462035702*x^10 + 75599935*x^9 + 122387736*x^8 - 31881437*x^7 - 16831332*x^6 + 5883381*x^5 + 845644*x^4 - 449292*x^3 + 9296*x^2 + 10380*x - 912, x^39 - 11*x^38 + 417*x^36 - 1083*x^35 - 6454*x^34 + 28590*x^33 + 47011*x^32 - 375966*x^31 - 53863*x^30 + 3069751*x^29 - 2108085*x^28 - 16767734*x^27 + 21780031*x^26 + 62658606*x^25 - 118815907*x^24 - 157114280*x^23 + 425264105*x^22 + 238252279*x^21 - 1058342831*x^20 - 110363964*x^19 + 1858133443*x^18 - 377556907*x^17 - 2280872041*x^16 + 985744205*x^15 + 1896848574*x^14 - 1186276083*x^13 - 1000124035*x^12 + 829114312*x^11 + 287329852*x^10 - 335315089*x^9 - 23962086*x^8 + 71346335*x^7 - 6269640*x^6 - 6619695*x^5 + 1186206*x^4 + 192500*x^3 - 49904*x^2 + 140*x + 328, x^38 - 11*x^37 + 2*x^36 + 395*x^35 - 1074*x^34 - 5719*x^33 + 26473*x^32 + 37318*x^31 - 328243*x^30 - 785*x^29 + 2524259*x^28 - 2006229*x^27 - 12924361*x^26 + 18130678*x^25 + 44869614*x^24 - 90987301*x^23 - 102606300*x^22 + 302254069*x^21 + 133716944*x^20 - 698599594*x^19 - 16311857*x^18 + 1135856966*x^17 - 301236258*x^16 - 1283228743*x^15 + 625201475*x^14 + 970169665*x^13 - 666620939*x^12 - 451745773*x^11 + 419531050*x^10 + 103470467*x^9 - 151868112*x^8 + 598502*x^7 + 28013661*x^6 - 4499299*x^5 - 1989965*x^4 + 557384*x^3 + 16268*x^2 - 15932*x + 1204, x^38 - 11*x^37 + 2*x^36 + 395*x^35 - 1074*x^34 - 5719*x^33 + 26473*x^32 + 37318*x^31 - 328243*x^30 - 785*x^29 + 2524259*x^28 - 2006229*x^27 - 12924361*x^26 + 18130678*x^25 + 44869614*x^24 - 90987301*x^23 - 102606300*x^22 + 302254069*x^21 + 133716944*x^20 - 698599594*x^19 - 16311857*x^18 + 1135856966*x^17 - 301236258*x^16 - 1283228743*x^15 + 625201475*x^14 + 970169665*x^13 - 666620939*x^12 - 451745773*x^11 + 419531050*x^10 + 103470467*x^9 - 151868112*x^8 + 598502*x^7 + 28013661*x^6 - 4499299*x^5 - 1989965*x^4 + 557384*x^3 + 16268*x^2 - 15932*x + 1204, x^37 - 11*x^36 + 5*x^35 + 362*x^34 - 1055*x^33 - 4676*x^32 + 23336*x^31 + 24542*x^30 - 261982*x^29 + 58926*x^28 + 1810212*x^27 - 1773549*x^26 - 8194976*x^25 + 13067511*x^24 + 24451173*x^23 - 56199794*x^22 - 45219495*x^21 + 159869846*x^20 + 37503252*x^19 - 311340598*x^18 + 38012825*x^17 + 414995477*x^16 - 153825473*x^15 - 368777482*x^14 + 208196257*x^13 + 205400830*x^12 - 153527582*x^11 - 62252044*x^10 + 62812017*x^9 + 6034764*x^8 - 12701074*x^7 + 1098128*x^6 + 904241*x^5 - 194332*x^4 + 10202*x^3 + 432*x^2 - 560*x + 88, x^37 - 11*x^36 + 4*x^35 + 373*x^34 - 1062*x^33 - 5017*x^32 + 24387*x^31 + 28536*x^30 - 283510*x^29 + 42930*x^28 + 2033161*x^27 - 1875804*x^26 - 9594016*x^25 + 14761095*x^24 + 30056807*x^23 - 66810242*x^22 - 59315840*x^21 + 199873391*x^20 + 56548855*x^19 - 410935879*x^18 + 38307824*x^17 + 582647821*x^16 - 206717257*x^15 - 557901427*x^14 + 311458887*x^13 + 342977432*x^12 - 256055680*x^11 - 121607341*x^10 + 120634960*x^9 + 18525824*x^8 - 30631600*x^7 + 672213*x^6 + 3725489*x^5 - 434490*x^4 - 186434*x^3 + 33540*x^2 + 1624*x - 416, x^37 - 11*x^36 + 5*x^35 + 362*x^34 - 1055*x^33 - 4676*x^32 + 23336*x^31 + 24542*x^30 - 261982*x^29 + 58926*x^28 + 1810212*x^27 - 1773549*x^26 - 8194976*x^25 + 13067511*x^24 + 24451173*x^23 - 56199794*x^22 - 45219495*x^21 + 159869846*x^20 + 37503252*x^19 - 311340598*x^18 + 38012825*x^17 + 414995477*x^16 - 153825473*x^15 - 368777482*x^14 + 208196257*x^13 + 205400830*x^12 - 153527582*x^11 - 62252044*x^10 + 62812017*x^9 + 6034764*x^8 - 12701074*x^7 + 1098128*x^6 + 904241*x^5 - 194332*x^4 + 10202*x^3 + 432*x^2 - 560*x + 88, x^37 - 11*x^36 + 4*x^35 + 373*x^34 - 1062*x^33 - 5017*x^32 + 24387*x^31 + 28536*x^30 - 283510*x^29 + 42930*x^28 + 2033161*x^27 - 1875804*x^26 - 9594016*x^25 + 14761095*x^24 + 30056807*x^23 - 66810242*x^22 - 59315840*x^21 + 199873391*x^20 + 56548855*x^19 - 410935879*x^18 + 38307824*x^17 + 582647821*x^16 - 206717257*x^15 - 557901427*x^14 + 311458887*x^13 + 342977432*x^12 - 256055680*x^11 - 121607341*x^10 + 120634960*x^9 + 18525824*x^8 - 30631600*x^7 + 672213*x^6 + 3725489*x^5 - 434490*x^4 - 186434*x^3 + 33540*x^2 + 1624*x - 416, x^36 - 11*x^35 + 7*x^34 + 341*x^33 - 1045*x^32 - 4060*x^31 + 21619*x^30 + 17519*x^29 - 228697*x^28 + 91072*x^27 + 1485185*x^26 - 1706537*x^25 - 6260859*x^24 + 11363431*x^23 + 16976445*x^22 - 45724141*x^21 - 26207644*x^20 + 122960544*x^19 + 6656112*x^18 - 227011789*x^17 + 66030843*x^16 + 285761789*x^15 - 159005736*x^14 - 235825553*x^13 + 190276995*x^12 + 115436053*x^11 - 132595133*x^10 - 23796853*x^9 + 52317668*x^8 - 3668016*x^7 - 10092258*x^6 + 2338665*x^5 + 623251*x^4 - 234620*x^3 - 1208*x^2 + 6668*x - 572, 2*x^36 - 22*x^35 + 12*x^34 + 702*x^33 - 2092*x^32 - 8716*x^31 + 44642*x^30 + 42192*x^29 - 485350*x^28 + 141608*x^27 + 3244200*x^26 - 3356630*x^25 - 14157582*x^24 + 23424076*x^23 + 40410360*x^22 - 96660082*x^21 - 70006048*x^20 + 264298452*x^19 + 47668570*x^18 - 493849700*x^17 + 81379942*x^16 + 628689472*x^15 - 257999482*x^14 - 528943282*x^13 + 322816362*x^12 + 274057676*x^11 - 224123900*x^10 - 73638850*x^9 + 86849370*x^8 + 4167642*x^7 - 17017162*x^6 + 1966302*x^5 + 1376916*x^4 - 322332*x^3 - 15620*x^2 + 9352*x - 632, x^36 - 11*x^35 + 6*x^34 + 351*x^33 - 1044*x^32 - 4379*x^31 + 22343*x^30 + 21595*x^29 - 244350*x^28 + 66814*x^27 + 1647745*x^26 - 1676492*x^25 - 7274762*x^24 + 11901972*x^23 + 21063487*x^22 - 49872603*x^21 - 37107850*x^20 + 138505806*x^19 + 25748853*x^18 - 262887498*x^17 + 44987219*x^16 + 339609752*x^15 - 146096894*x^14 - 288820437*x^13 + 187854664*x^12 + 149314093*x^11 - 134421860*x^10 - 37842166*x^9 + 53765241*x^8 + 229500*x^7 - 10816804*x^6 + 1690933*x^5 + 882699*x^4 - 239588*x^3 - 14804*x^2 + 9388*x - 740, x^36 - 11*x^35 + 6*x^34 + 351*x^33 - 1042*x^32 - 4403*x^31 + 22390*x^30 + 22120*x^29 - 246748*x^28 + 63611*x^27 + 1682600*x^26 - 1693091*x^25 - 7538045*x^24 + 12275087*x^23 + 22226973*x^22 - 52508075*x^21 - 40060239*x^20 + 149157909*x^19 + 28870828*x^18 - 290321647*x^17 + 49531782*x^16 + 385717564*x^15 - 167645694*x^14 - 338371796*x^13 + 222710595*x^12 + 180824339*x^11 - 164474230*x^10 - 47102477*x^9 + 67471271*x^8 - 155789*x^7 - 13471368*x^6 + 2373876*x^5 + 920832*x^4 - 284256*x^3 + 160*x^2 + 6128*x - 464, x^36 - 11*x^35 + 7*x^34 + 341*x^33 - 1045*x^32 - 4060*x^31 + 21619*x^30 + 17519*x^29 - 228697*x^28 + 91072*x^27 + 1485185*x^26 - 1706537*x^25 - 6260859*x^24 + 11363431*x^23 + 16976445*x^22 - 45724141*x^21 - 26207644*x^20 + 122960544*x^19 + 6656112*x^18 - 227011789*x^17 + 66030843*x^16 + 285761789*x^15 - 159005736*x^14 - 235825553*x^13 + 190276995*x^12 + 115436053*x^11 - 132595133*x^10 - 23796853*x^9 + 52317668*x^8 - 3668016*x^7 - 10092258*x^6 + 2338665*x^5 + 623251*x^4 - 234620*x^3 - 1208*x^2 + 6668*x - 572, x^36 - 11*x^35 + 6*x^34 + 351*x^33 - 1044*x^32 - 4379*x^31 + 22343*x^30 + 21595*x^29 - 244350*x^28 + 66814*x^27 + 1647745*x^26 - 1676492*x^25 - 7274762*x^24 + 11901972*x^23 + 21063487*x^22 - 49872603*x^21 - 37107850*x^20 + 138505806*x^19 + 25748853*x^18 - 262887498*x^17 + 44987219*x^16 + 339609752*x^15 - 146096894*x^14 - 288820437*x^13 + 187854664*x^12 + 149314093*x^11 - 134421860*x^10 - 37842166*x^9 + 53765241*x^8 + 229500*x^7 - 10816804*x^6 + 1690933*x^5 + 882699*x^4 - 239588*x^3 - 14804*x^2 + 9388*x - 740, x^36 - 11*x^35 + 6*x^34 + 351*x^33 - 1042*x^32 - 4403*x^31 + 22390*x^30 + 22120*x^29 - 246748*x^28 + 63611*x^27 + 1682600*x^26 - 1693091*x^25 - 7538045*x^24 + 12275087*x^23 + 22226973*x^22 - 52508075*x^21 - 40060239*x^20 + 149157909*x^19 + 28870828*x^18 - 290321647*x^17 + 49531782*x^16 + 385717564*x^15 - 167645694*x^14 - 338371796*x^13 + 222710595*x^12 + 180824339*x^11 - 164474230*x^10 - 47102477*x^9 + 67471271*x^8 - 155789*x^7 - 13471368*x^6 + 2373876*x^5 + 920832*x^4 - 284256*x^3 + 160*x^2 + 6128*x - 464, x^35 - 10*x^34 - x^33 + 319*x^32 - 716*x^31 - 4156*x^30 + 15708*x^29 + 26202*x^28 - 168136*x^27 - 47229*x^26 + 1100674*x^25 - 494637*x^24 - 4755268*x^23 + 4494824*x^22 + 13910189*x^21 - 19056981*x^20 - 27313477*x^19 + 50527971*x^18 + 33922508*x^17 - 89380007*x^16 - 20949713*x^15 + 106347025*x^14 - 5404445*x^13 - 82917307*x^12 + 21474051*x^11 + 39517564*x^10 - 17384072*x^9 - 9665912*x^8 + 6612513*x^7 + 458197*x^6 - 1093842*x^5 + 213519*x^4 + 27116*x^3 - 13816*x^2 + 1512*x - 44, x^35 - 11*x^34 + 11*x^33 + 297*x^32 - 1001*x^31 - 2867*x^30 + 17577*x^29 + 5944*x^28 - 156891*x^27 + 114241*x^26 + 833443*x^25 - 1209443*x^24 - 2719460*x^23 + 5980829*x^22 + 5101662*x^21 - 17852321*x^20 - 3533663*x^19 + 33800838*x^18 - 5904490*x^17 - 39853681*x^16 + 15769450*x^15 + 26604904*x^14 - 12514817*x^13 - 7047470*x^12 - 541602*x^11 - 1062373*x^10 + 6889723*x^9 - 36868*x^8 - 4003697*x^7 + 782340*x^6 + 812852*x^5 - 253807*x^4 - 38526*x^3 + 20052*x^2 - 1524*x - 44, 2*x^35 - 22*x^34 + 18*x^33 + 636*x^32 - 2030*x^31 - 6892*x^30 + 38614*x^29 + 23756*x^28 - 376224*x^27 + 190468*x^26 + 2232370*x^25 - 2710946*x^24 - 8491986*x^23 + 15739506*x^22 + 20432942*x^21 - 55441240*x^20 - 27337934*x^19 + 128831496*x^18 + 5354292*x^17 - 201301482*x^16 + 49651464*x^15 + 208611682*x^14 - 93576152*x^13 - 136743984*x^12 + 82931264*x^11 + 50865238*x^10 - 38774664*x^9 - 7901886*x^8 + 8384986*x^7 - 229954*x^6 - 431566*x^5 + 66332*x^4 - 36024*x^3 + 8488*x^2 + 488*x - 176, x^35 - 11*x^34 + 9*x^33 + 320*x^32 - 1033*x^31 - 3458*x^30 + 19861*x^29 + 10956*x^28 - 195170*x^27 + 115945*x^26 + 1161899*x^25 - 1565761*x^24 - 4373866*x^23 + 9135604*x^22 + 9989327*x^21 - 32610848*x^20 - 10342867*x^19 + 76788370*x^18 - 10649998*x^17 - 120748083*x^16 + 54830171*x^15 + 123630873*x^14 - 88335008*x^13 - 76439948*x^12 + 76660295*x^11 + 23109189*x^10 - 36613993*x^9 - 332842*x^8 + 8642108*x^7 - 1250792*x^6 - 843206*x^5 + 190004*x^4 + 33428*x^3 - 11632*x^2 + 432*x + 64, x^35 - 11*x^34 + 9*x^33 + 318*x^32 - 1011*x^31 - 3483*x^30 + 19299*x^29 + 12928*x^28 - 190246*x^27 + 83367*x^26 + 1157355*x^25 - 1293362*x^24 - 4619454*x^23 + 7802035*x^22 + 12218663*x^21 - 28756737*x^20 - 20457135*x^19 + 71260011*x^18 + 17329393*x^17 - 122289986*x^16 + 5790192*x^15 + 145450117*x^14 - 35269215*x^13 - 117223391*x^12 + 44973525*x^11 + 60655986*x^10 - 30255726*x^9 - 17963482*x^8 + 11172688*x^7 + 2269512*x^6 - 1999584*x^5 + 4898*x^4 + 138202*x^3 - 12520*x^2 - 2796*x + 352, x^35 - 11*x^34 + 11*x^33 + 296*x^32 - 989*x^31 - 2897*x^30 + 17383*x^29 + 7071*x^28 - 156894*x^27 + 102018*x^26 + 854994*x^25 - 1155405*x^24 - 2928366*x^23 + 5983476*x^22 + 6034531*x^21 - 18966834*x^20 - 5548325*x^19 + 39230344*x^18 - 5330960*x^17 - 53038940*x^16 + 23592979*x^15 + 44672262*x^14 - 32839479*x^13 - 20076322*x^12 + 24189395*x^11 + 1745697*x^10 - 9565254*x^9 + 2134802*x^8 + 1880187*x^7 - 712909*x^6 - 217360*x^5 + 85436*x^4 + 16114*x^3 - 5888*x^2 - 140*x + 88, x^35 - 11*x^34 + 9*x^33 + 318*x^32 - 1008*x^31 - 3519*x^30 + 19379*x^29 + 13610*x^28 - 193667*x^27 + 80695*x^26 + 1200977*x^25 - 1330603*x^24 - 4901468*x^23 + 8318691*x^22 + 13221070*x^21 - 31748648*x^20 - 22129702*x^19 + 81383888*x^18 + 16554918*x^17 - 143891317*x^16 + 15478584*x^15 + 174857369*x^14 - 55908813*x^13 - 142076771*x^12 + 67392055*x^11 + 72759167*x^10 - 43598435*x^9 - 20816415*x^8 + 15280045*x^7 + 2414572*x^6 - 2587297*x^5 + 64798*x^4 + 170480*x^3 - 21524*x^2 - 1948*x + 328, x^35 - 10*x^34 - x^33 + 319*x^32 - 716*x^31 - 4156*x^30 + 15708*x^29 + 26202*x^28 - 168136*x^27 - 47229*x^26 + 1100674*x^25 - 494637*x^24 - 4755268*x^23 + 4494824*x^22 + 13910189*x^21 - 19056981*x^20 - 27313477*x^19 + 50527971*x^18 + 33922508*x^17 - 89380007*x^16 - 20949713*x^15 + 106347025*x^14 - 5404445*x^13 - 82917307*x^12 + 21474051*x^11 + 39517564*x^10 - 17384072*x^9 - 9665912*x^8 + 6612513*x^7 + 458197*x^6 - 1093842*x^5 + 213519*x^4 + 27116*x^3 - 13816*x^2 + 1512*x - 44, x^35 - 11*x^34 + 11*x^33 + 297*x^32 - 1001*x^31 - 2867*x^30 + 17577*x^29 + 5944*x^28 - 156891*x^27 + 114241*x^26 + 833443*x^25 - 1209443*x^24 - 2719460*x^23 + 5980829*x^22 + 5101662*x^21 - 17852321*x^20 - 3533663*x^19 + 33800838*x^18 - 5904490*x^17 - 39853681*x^16 + 15769450*x^15 + 26604904*x^14 - 12514817*x^13 - 7047470*x^12 - 541602*x^11 - 1062373*x^10 + 6889723*x^9 - 36868*x^8 - 4003697*x^7 + 782340*x^6 + 812852*x^5 - 253807*x^4 - 38526*x^3 + 20052*x^2 - 1524*x - 44, x^35 - 11*x^34 + 9*x^33 + 318*x^32 - 1011*x^31 - 3483*x^30 + 19299*x^29 + 12928*x^28 - 190246*x^27 + 83367*x^26 + 1157355*x^25 - 1293362*x^24 - 4619454*x^23 + 7802035*x^22 + 12218663*x^21 - 28756737*x^20 - 20457135*x^19 + 71260011*x^18 + 17329393*x^17 - 122289986*x^16 + 5790192*x^15 + 145450117*x^14 - 35269215*x^13 - 117223391*x^12 + 44973525*x^11 + 60655986*x^10 - 30255726*x^9 - 17963482*x^8 + 11172688*x^7 + 2269512*x^6 - 1999584*x^5 + 4898*x^4 + 138202*x^3 - 12520*x^2 - 2796*x + 352, x^35 - 11*x^34 + 9*x^33 + 320*x^32 - 1033*x^31 - 3458*x^30 + 19861*x^29 + 10956*x^28 - 195170*x^27 + 115945*x^26 + 1161899*x^25 - 1565761*x^24 - 4373866*x^23 + 9135604*x^22 + 9989327*x^21 - 32610848*x^20 - 10342867*x^19 + 76788370*x^18 - 10649998*x^17 - 120748083*x^16 + 54830171*x^15 + 123630873*x^14 - 88335008*x^13 - 76439948*x^12 + 76660295*x^11 + 23109189*x^10 - 36613993*x^9 - 332842*x^8 + 8642108*x^7 - 1250792*x^6 - 843206*x^5 + 190004*x^4 + 33428*x^3 - 11632*x^2 + 432*x + 64, x^35 - 11*x^34 + 9*x^33 + 318*x^32 - 1008*x^31 - 3519*x^30 + 19379*x^29 + 13610*x^28 - 193667*x^27 + 80695*x^26 + 1200977*x^25 - 1330603*x^24 - 4901468*x^23 + 8318691*x^22 + 13221070*x^21 - 31748648*x^20 - 22129702*x^19 + 81383888*x^18 + 16554918*x^17 - 143891317*x^16 + 15478584*x^15 + 174857369*x^14 - 55908813*x^13 - 142076771*x^12 + 67392055*x^11 + 72759167*x^10 - 43598435*x^9 - 20816415*x^8 + 15280045*x^7 + 2414572*x^6 - 2587297*x^5 + 64798*x^4 + 170480*x^3 - 21524*x^2 - 1948*x + 328, x^35 - 11*x^34 + 11*x^33 + 296*x^32 - 989*x^31 - 2897*x^30 + 17383*x^29 + 7071*x^28 - 156894*x^27 + 102018*x^26 + 854994*x^25 - 1155405*x^24 - 2928366*x^23 + 5983476*x^22 + 6034531*x^21 - 18966834*x^20 - 5548325*x^19 + 39230344*x^18 - 5330960*x^17 - 53038940*x^16 + 23592979*x^15 + 44672262*x^14 - 32839479*x^13 - 20076322*x^12 + 24189395*x^11 + 1745697*x^10 - 9565254*x^9 + 2134802*x^8 + 1880187*x^7 - 712909*x^6 - 217360*x^5 + 85436*x^4 + 16114*x^3 - 5888*x^2 - 140*x + 88, 2*x^34 - 21*x^33 + 10*x^32 + 620*x^31 - 1755*x^30 - 7025*x^29 + 34359*x^28 + 29835*x^27 - 337282*x^26 + 111226*x^25 + 2000228*x^24 - 2113339*x^23 - 7561080*x^22 + 12756971*x^21 + 17951148*x^20 - 45119096*x^19 - 23261575*x^18 + 103709274*x^17 + 2399451*x^16 - 158465051*x^15 + 47254266*x^14 + 158312691*x^13 - 85885637*x^12 - 97392540*x^11 + 75693497*x^10 + 31515013*x^9 - 36039243*x^8 - 2486300*x^7 + 8540219*x^6 - 1031304*x^5 - 809654*x^4 + 193688*x^3 + 16536*x^2 - 8224*x + 616, 2*x^34 - 22*x^33 + 22*x^32 + 597*x^31 - 2024*x^30 - 5810*x^29 + 36097*x^28 + 11675*x^27 - 329663*x^26 + 253530*x^25 + 1805861*x^24 - 2777420*x^23 - 6105382*x^22 + 14605700*x^21 + 11650073*x^20 - 47616296*x^19 - 5479886*x^18 + 102146678*x^17 - 31474573*x^16 - 144596380*x^15 + 90585118*x^14 + 129576785*x^13 - 121389207*x^12 - 64659217*x^11 + 91890985*x^10 + 9637260*x^9 - 37989001*x^8 + 5462510*x^7 + 7115594*x^6 - 2215734*x^5 - 310206*x^4 + 186890*x^3 - 12188*x^2 - 2732*x + 304, 2*x^34 - 22*x^33 + 22*x^32 + 596*x^31 - 2018*x^30 - 5765*x^29 + 35709*x^28 + 11494*x^27 - 322079*x^26 + 243564*x^25 + 1735538*x^24 - 2605182*x^23 - 5769401*x^22 + 13266120*x^21 + 11023908*x^20 - 41543410*x^19 - 7080716*x^18 + 85011430*x^17 - 18786820*x^16 - 114560505*x^15 + 55905801*x^14 + 99201298*x^13 - 69429390*x^12 - 51839209*x^11 + 47593871*x^10 + 14122725*x^9 - 18332364*x^8 - 1012154*x^7 + 3789516*x^6 - 376738*x^5 - 351571*x^4 + 67782*x^3 + 11872*x^2 - 3980*x + 268, 2*x^34 - 22*x^33 + 22*x^32 + 596*x^31 - 2020*x^30 - 5750*x^29 + 35746*x^28 + 10962*x^27 - 321818*x^26 + 251180*x^25 + 1723238*x^24 - 2662814*x^23 - 5628700*x^22 + 13512384*x^21 + 10166110*x^20 - 42092048*x^19 - 3879694*x^18 + 85256034*x^17 - 26420850*x^16 - 112698428*x^15 + 67585908*x^14 + 94243092*x^13 - 80629988*x^12 - 46295810*x^11 + 54039182*x^10 + 11380332*x^9 - 20559212*x^8 - 765314*x^7 + 4440236*x^6 - 244198*x^5 - 546654*x^4 + 93616*x^3 + 19904*x^2 - 6240*x + 424, 4*x^34 - 44*x^33 + 40*x^32 + 1228*x^31 - 4008*x^30 - 12686*x^29 + 73380*x^28 + 37898*x^27 - 690012*x^26 + 394504*x^25 + 3942358*x^24 - 5021756*x^23 - 14348718*x^22 + 27706458*x^21 + 32502004*x^20 - 93374908*x^19 - 38434584*x^18 + 207292184*x^17 - 5307628*x^16 - 307379362*x^15 + 96837422*x^14 + 297956206*x^13 - 159255110*x^12 - 176896628*x^11 + 131310054*x^10 + 54356632*x^9 - 57905172*x^8 - 3632282*x^7 + 12145360*x^6 - 1655772*x^5 - 866286*x^4 + 237204*x^3 - 3796*x^2 - 3288*x + 208, x^34 - 10*x^33 + x^32 + 301*x^31 - 727*x^30 - 3614*x^29 + 14821*x^28 + 19296*x^27 - 148564*x^26 - 495*x^25 + 900668*x^24 - 653029*x^23 - 3513080*x^22 + 4504784*x^21 + 8813835*x^20 - 16598340*x^19 - 13137276*x^18 + 38430141*x^17 + 7443501*x^16 - 57513828*x^15 + 10507620*x^14 + 54067798*x^13 - 25308732*x^12 - 28812364*x^11 + 22114370*x^10 + 5994311*x^9 - 9083890*x^8 + 1006008*x^7 + 1433379*x^6 - 469625*x^5 - 39617*x^4 + 34268*x^3 - 1300*x^2 - 1100*x + 124, x^34 - 11*x^33 + 11*x^32 + 300*x^31 - 1026*x^30 - 2902*x^29 + 18395*x^28 + 5059*x^27 - 168311*x^26 + 139566*x^25 + 919770*x^24 - 1494755*x^23 - 3075423*x^22 + 7849746*x^21 + 5626807*x^20 - 25702385*x^19 - 1338744*x^18 + 55586082*x^17 - 20410207*x^16 - 79599130*x^15 + 54921878*x^14 + 72395748*x^13 - 73451749*x^12 - 36818898*x^11 + 56572263*x^10 + 5755959*x^9 - 24260189*x^8 + 3052166*x^7 + 5027704*x^6 - 1309297*x^5 - 392926*x^4 + 159286*x^3 + 136*x^2 - 5056*x + 472, x^34 - 11*x^33 + 13*x^32 + 278*x^31 - 999*x^30 - 2363*x^29 + 16474*x^28 + 509*x^27 - 137594*x^26 + 143182*x^25 + 667321*x^24 - 1269855*x^23 - 1843724*x^22 + 5834783*x^21 + 2009910*x^20 - 16552657*x^19 + 4232796*x^18 + 29990523*x^17 - 20631175*x^16 - 33665940*x^15 + 37968793*x^14 + 20339268*x^13 - 39266090*x^12 - 2182014*x^11 + 23598922*x^10 - 5119353*x^9 - 7685912*x^8 + 3075162*x^7 + 1108648*x^6 - 632668*x^5 - 38432*x^4 + 41164*x^3 + 3496*x^2 - 2752*x + 256, 2*x^34 - 22*x^33 + 22*x^32 + 597*x^31 - 2024*x^30 - 5810*x^29 + 36097*x^28 + 11675*x^27 - 329663*x^26 + 253530*x^25 + 1805861*x^24 - 2777420*x^23 - 6105382*x^22 + 14605700*x^21 + 11650073*x^20 - 47616296*x^19 - 5479886*x^18 + 102146678*x^17 - 31474573*x^16 - 144596380*x^15 + 90585118*x^14 + 129576785*x^13 - 121389207*x^12 - 64659217*x^11 + 91890985*x^10 + 9637260*x^9 - 37989001*x^8 + 5462510*x^7 + 7115594*x^6 - 2215734*x^5 - 310206*x^4 + 186890*x^3 - 12188*x^2 - 2732*x + 304, x^34 - 11*x^33 + 12*x^32 + 287*x^31 - 987*x^30 - 2700*x^29 + 16984*x^28 + 5409*x^27 - 151960*x^26 + 108958*x^25 + 830716*x^24 - 1178976*x^23 - 2900521*x^22 + 6153727*x^21 + 6280464*x^20 - 20157725*x^19 - 6836024*x^18 + 44283652*x^17 - 2578625*x^16 - 66263815*x^15 + 21151763*x^14 + 66718240*x^13 - 33929333*x^12 - 43405955*x^11 + 28984810*x^10 + 16648802*x^9 - 14202225*x^8 - 2892149*x^7 + 3768477*x^6 - 93344*x^5 - 440146*x^4 + 75842*x^3 + 10080*x^2 - 3068*x + 160, 2*x^34 - 21*x^33 + 10*x^32 + 620*x^31 - 1755*x^30 - 7025*x^29 + 34359*x^28 + 29835*x^27 - 337282*x^26 + 111226*x^25 + 2000228*x^24 - 2113339*x^23 - 7561080*x^22 + 12756971*x^21 + 17951148*x^20 - 45119096*x^19 - 23261575*x^18 + 103709274*x^17 + 2399451*x^16 - 158465051*x^15 + 47254266*x^14 + 158312691*x^13 - 85885637*x^12 - 97392540*x^11 + 75693497*x^10 + 31515013*x^9 - 36039243*x^8 - 2486300*x^7 + 8540219*x^6 - 1031304*x^5 - 809654*x^4 + 193688*x^3 + 16536*x^2 - 8224*x + 616, 2*x^34 - 22*x^33 + 22*x^32 + 596*x^31 - 2018*x^30 - 5765*x^29 + 35709*x^28 + 11494*x^27 - 322079*x^26 + 243564*x^25 + 1735538*x^24 - 2605182*x^23 - 5769401*x^22 + 13266120*x^21 + 11023908*x^20 - 41543410*x^19 - 7080716*x^18 + 85011430*x^17 - 18786820*x^16 - 114560505*x^15 + 55905801*x^14 + 99201298*x^13 - 69429390*x^12 - 51839209*x^11 + 47593871*x^10 + 14122725*x^9 - 18332364*x^8 - 1012154*x^7 + 3789516*x^6 - 376738*x^5 - 351571*x^4 + 67782*x^3 + 11872*x^2 - 3980*x + 268, x^34 - 11*x^33 + 11*x^32 + 300*x^31 - 1026*x^30 - 2902*x^29 + 18395*x^28 + 5059*x^27 - 168311*x^26 + 139566*x^25 + 919770*x^24 - 1494755*x^23 - 3075423*x^22 + 7849746*x^21 + 5626807*x^20 - 25702385*x^19 - 1338744*x^18 + 55586082*x^17 - 20410207*x^16 - 79599130*x^15 + 54921878*x^14 + 72395748*x^13 - 73451749*x^12 - 36818898*x^11 + 56572263*x^10 + 5755959*x^9 - 24260189*x^8 + 3052166*x^7 + 5027704*x^6 - 1309297*x^5 - 392926*x^4 + 159286*x^3 + 136*x^2 - 5056*x + 472, x^34 - 10*x^33 + x^32 + 301*x^31 - 727*x^30 - 3614*x^29 + 14821*x^28 + 19296*x^27 - 148564*x^26 - 495*x^25 + 900668*x^24 - 653029*x^23 - 3513080*x^22 + 4504784*x^21 + 8813835*x^20 - 16598340*x^19 - 13137276*x^18 + 38430141*x^17 + 7443501*x^16 - 57513828*x^15 + 10507620*x^14 + 54067798*x^13 - 25308732*x^12 - 28812364*x^11 + 22114370*x^10 + 5994311*x^9 - 9083890*x^8 + 1006008*x^7 + 1433379*x^6 - 469625*x^5 - 39617*x^4 + 34268*x^3 - 1300*x^2 - 1100*x + 124, x^34 - 11*x^33 + 12*x^32 + 287*x^31 - 987*x^30 - 2700*x^29 + 16984*x^28 + 5409*x^27 - 151960*x^26 + 108958*x^25 + 830716*x^24 - 1178976*x^23 - 2900521*x^22 + 6153727*x^21 + 6280464*x^20 - 20157725*x^19 - 6836024*x^18 + 44283652*x^17 - 2578625*x^16 - 66263815*x^15 + 21151763*x^14 + 66718240*x^13 - 33929333*x^12 - 43405955*x^11 + 28984810*x^10 + 16648802*x^9 - 14202225*x^8 - 2892149*x^7 + 3768477*x^6 - 93344*x^5 - 440146*x^4 + 75842*x^3 + 10080*x^2 - 3068*x + 160, x^34 - 11*x^33 + 13*x^32 + 278*x^31 - 999*x^30 - 2363*x^29 + 16474*x^28 + 509*x^27 - 137594*x^26 + 143182*x^25 + 667321*x^24 - 1269855*x^23 - 1843724*x^22 + 5834783*x^21 + 2009910*x^20 - 16552657*x^19 + 4232796*x^18 + 29990523*x^17 - 20631175*x^16 - 33665940*x^15 + 37968793*x^14 + 20339268*x^13 - 39266090*x^12 - 2182014*x^11 + 23598922*x^10 - 5119353*x^9 - 7685912*x^8 + 3075162*x^7 + 1108648*x^6 - 632668*x^5 - 38432*x^4 + 41164*x^3 + 3496*x^2 - 2752*x + 256, 2*x^33 - 19*x^32 - 6*x^31 + 589*x^30 - 1210*x^29 - 7323*x^28 + 26024*x^27 + 42510*x^26 - 262345*x^25 - 52941*x^24 + 1568054*x^23 - 873457*x^22 - 5948368*x^21 + 6548733*x^20 + 14394769*x^19 - 23607067*x^18 - 20873059*x^17 + 51663039*x^16 + 13373808*x^15 - 71665207*x^14 + 7853816*x^13 + 61964715*x^12 - 22440849*x^11 - 31111740*x^10 + 17958822*x^9 + 7512454*x^8 - 6714402*x^7 - 238709*x^6 + 1127394*x^5 - 209835*x^4 - 44008*x^3 + 17224*x^2 - 1328*x - 20, 2*x^33 - 18*x^32 - 15*x^31 + 576*x^30 - 859*x^29 - 7879*x^28 + 20895*x^27 + 58594*x^26 - 228559*x^25 - 237374*x^24 + 1515546*x^23 + 306180*x^22 - 6672659*x^21 + 1984673*x^20 + 20183479*x^19 - 13038048*x^18 - 42125001*x^17 + 39148618*x^16 + 59337084*x^15 - 71885488*x^14 - 52965577*x^13 + 84465024*x^12 + 25040532*x^11 - 62059534*x^10 - 1280289*x^9 + 26315793*x^8 - 4160754*x^7 - 5412646*x^6 + 1464239*x^5 + 375899*x^4 - 144142*x^3 - 1260*x^2 + 3776*x - 284, 2*x^33 - 19*x^32 - 6*x^31 + 585*x^30 - 1167*x^29 - 7378*x^28 + 25058*x^27 + 45956*x^26 - 255260*x^25 - 102377*x^24 + 1569513*x^23 - 516744*x^22 - 6296417*x^21 + 5065648*x^20 + 16910082*x^19 - 20049419*x^18 - 30211723*x^17 + 47583162*x^16 + 34346159*x^15 - 72853723*x^14 - 21645358*x^13 + 72431652*x^12 + 3161948*x^11 - 45470888*x^10 + 5033639*x^9 + 16988196*x^8 - 3379475*x^7 - 3428590*x^6 + 835161*x^5 + 316691*x^4 - 87804*x^3 - 11512*x^2 + 4588*x - 308, 2*x^33 - 20*x^32 + 5*x^31 + 571*x^30 - 1434*x^29 - 6397*x^28 + 27203*x^27 + 30356*x^26 - 254566*x^25 + 24066*x^24 + 1431643*x^23 - 1113561*x^22 - 5133416*x^21 + 6674596*x^20 + 11729120*x^19 - 21787731*x^18 - 15887571*x^17 + 44301527*x^16 + 8967222*x^15 - 57184295*x^14 + 6473082*x^13 + 45224087*x^12 - 14446041*x^11 - 19742453*x^10 + 9107726*x^9 + 3568286*x^8 - 1972375*x^7 - 7122*x^6 - 57544*x^5 + 13642*x^4 + 27964*x^3 - 7364*x^2 - 32*x + 88, 2*x^33 - 20*x^32 + 5*x^31 + 571*x^30 - 1434*x^29 - 6397*x^28 + 27203*x^27 + 30356*x^26 - 254566*x^25 + 24066*x^24 + 1431643*x^23 - 1113561*x^22 - 5133416*x^21 + 6674596*x^20 + 11729120*x^19 - 21787731*x^18 - 15887571*x^17 + 44301527*x^16 + 8967222*x^15 - 57184295*x^14 + 6473082*x^13 + 45224087*x^12 - 14446041*x^11 - 19742453*x^10 + 9107726*x^9 + 3568286*x^8 - 1972375*x^7 - 7122*x^6 - 57544*x^5 + 13642*x^4 + 27964*x^3 - 7364*x^2 - 32*x + 88, 2*x^33 - 20*x^32 + 5*x^31 + 571*x^30 - 1426*x^29 - 6481*x^28 + 27310*x^27 + 32124*x^26 - 260736*x^25 + 12064*x^24 + 1513815*x^23 - 1117740*x^22 - 5680276*x^21 + 7198673*x^20 + 13803931*x^19 - 25220953*x^18 - 20336642*x^17 + 55790754*x^16 + 13191277*x^15 - 80070695*x^14 + 8958478*x^13 + 72936316*x^12 - 25733561*x^11 - 39229248*x^10 + 21535792*x^9 + 10422740*x^8 - 8214737*x^7 - 652212*x^6 + 1273214*x^5 - 116119*x^4 - 68996*x^3 + 11832*x^2 + 792*x - 188, x^33 - 8*x^32 - 17*x^31 + 288*x^30 - 167*x^29 - 4495*x^28 + 7419*x^27 + 39788*x^26 - 96399*x^25 - 217569*x^24 + 714265*x^23 + 733325*x^22 - 3459838*x^21 - 1290368*x^20 + 11535112*x^19 - 363342*x^18 - 26923039*x^17 + 8326401*x^16 + 43706948*x^15 - 22700905*x^14 - 47849722*x^13 + 33504504*x^12 + 32989071*x^11 - 29563388*x^10 - 12220373*x^9 + 15071378*x^8 + 1233929*x^7 - 3928642*x^6 + 446850*x^5 + 410767*x^4 - 98278*x^3 - 7988*x^2 + 3980*x - 284, x^33 - 10*x^32 + 2*x^31 + 293*x^30 - 737*x^29 - 3374*x^28 + 14516*x^27 + 16411*x^26 - 141186*x^25 + 16176*x^24 + 829766*x^23 - 685614*x^22 - 3132018*x^21 + 4344720*x^20 + 7583279*x^19 - 15310587*x^18 - 10816561*x^17 + 34364455*x^16 + 5424738*x^15 - 50353464*x^14 + 9667188*x^13 + 46899989*x^12 - 21390333*x^11 - 25336639*x^10 + 18215910*x^9 + 5944270*x^8 - 7378913*x^7 + 349833*x^6 + 1159808*x^5 - 256379*x^4 - 39788*x^3 + 15452*x^2 - 712*x - 68, x^33 - 9*x^32 - 5*x^31 + 266*x^30 - 446*x^29 - 3273*x^28 + 9404*x^27 + 20863*x^26 - 90681*x^25 - 63648*x^24 + 518925*x^23 - 10272*x^22 - 1904055*x^21 + 820526*x^20 + 4583909*x^19 - 3081588*x^18 - 7216545*x^17 + 5549817*x^16 + 7360623*x^15 - 4697436*x^14 - 5124288*x^13 + 159686*x^12 + 3206373*x^11 + 2910656*x^10 - 2168168*x^9 - 2035307*x^8 + 963039*x^7 + 474235*x^6 - 141732*x^5 - 52924*x^4 + 8510*x^3 + 4228*x^2 - 916*x + 40, x^33 - 9*x^32 - 5*x^31 + 268*x^30 - 463*x^29 - 3289*x^28 + 9896*x^27 + 20301*x^26 - 96992*x^25 - 50802*x^24 + 565717*x^23 - 138421*x^22 - 2120566*x^21 + 1593651*x^20 + 5197212*x^19 - 6158233*x^18 - 8083670*x^17 + 13823183*x^16 + 7015191*x^15 - 19635558*x^14 - 1302323*x^13 + 17734622*x^12 - 3796846*x^11 - 9775706*x^10 + 4047510*x^9 + 2975667*x^8 - 1734578*x^7 - 393994*x^6 + 320660*x^5 + 8652*x^4 - 21128*x^3 - 1092*x^2 + 1312*x - 128, 2*x^33 - 18*x^32 - 15*x^31 + 576*x^30 - 859*x^29 - 7879*x^28 + 20895*x^27 + 58594*x^26 - 228559*x^25 - 237374*x^24 + 1515546*x^23 + 306180*x^22 - 6672659*x^21 + 1984673*x^20 + 20183479*x^19 - 13038048*x^18 - 42125001*x^17 + 39148618*x^16 + 59337084*x^15 - 71885488*x^14 - 52965577*x^13 + 84465024*x^12 + 25040532*x^11 - 62059534*x^10 - 1280289*x^9 + 26315793*x^8 - 4160754*x^7 - 5412646*x^6 + 1464239*x^5 + 375899*x^4 - 144142*x^3 - 1260*x^2 + 3776*x - 284, x^33 - 11*x^32 + 16*x^31 + 248*x^30 - 969*x^29 - 1720*x^28 + 14397*x^27 - 3861*x^26 - 109525*x^25 + 139563*x^24 + 487132*x^23 - 1047224*x^22 - 1260330*x^21 + 4392250*x^20 + 1489747*x^19 - 11879283*x^18 + 1203099*x^17 + 21836748*x^16 - 7518098*x^15 - 28068434*x^14 + 13021002*x^13 + 25734500*x^12 - 12673684*x^11 - 16881117*x^10 + 7860418*x^9 + 7501526*x^8 - 3296831*x^7 - 1855704*x^6 + 873937*x^5 + 127163*x^4 - 91404*x^3 + 6624*x^2 + 1316*x - 140, 2*x^33 - 19*x^32 - 6*x^31 + 589*x^30 - 1210*x^29 - 7323*x^28 + 26024*x^27 + 42510*x^26 - 262345*x^25 - 52941*x^24 + 1568054*x^23 - 873457*x^22 - 5948368*x^21 + 6548733*x^20 + 14394769*x^19 - 23607067*x^18 - 20873059*x^17 + 51663039*x^16 + 13373808*x^15 - 71665207*x^14 + 7853816*x^13 + 61964715*x^12 - 22440849*x^11 - 31111740*x^10 + 17958822*x^9 + 7512454*x^8 - 6714402*x^7 - 238709*x^6 + 1127394*x^5 - 209835*x^4 - 44008*x^3 + 17224*x^2 - 1328*x - 20, 2*x^33 - 19*x^32 - 6*x^31 + 585*x^30 - 1167*x^29 - 7378*x^28 + 25058*x^27 + 45956*x^26 - 255260*x^25 - 102377*x^24 + 1569513*x^23 - 516744*x^22 - 6296417*x^21 + 5065648*x^20 + 16910082*x^19 - 20049419*x^18 - 30211723*x^17 + 47583162*x^16 + 34346159*x^15 - 72853723*x^14 - 21645358*x^13 + 72431652*x^12 + 3161948*x^11 - 45470888*x^10 + 5033639*x^9 + 16988196*x^8 - 3379475*x^7 - 3428590*x^6 + 835161*x^5 + 316691*x^4 - 87804*x^3 - 11512*x^2 + 4588*x - 308, x^33 - 10*x^32 + 2*x^31 + 293*x^30 - 737*x^29 - 3374*x^28 + 14516*x^27 + 16411*x^26 - 141186*x^25 + 16176*x^24 + 829766*x^23 - 685614*x^22 - 3132018*x^21 + 4344720*x^20 + 7583279*x^19 - 15310587*x^18 - 10816561*x^17 + 34364455*x^16 + 5424738*x^15 - 50353464*x^14 + 9667188*x^13 + 46899989*x^12 - 21390333*x^11 - 25336639*x^10 + 18215910*x^9 + 5944270*x^8 - 7378913*x^7 + 349833*x^6 + 1159808*x^5 - 256379*x^4 - 39788*x^3 + 15452*x^2 - 712*x - 68, x^33 - 8*x^32 - 17*x^31 + 288*x^30 - 167*x^29 - 4495*x^28 + 7419*x^27 + 39788*x^26 - 96399*x^25 - 217569*x^24 + 714265*x^23 + 733325*x^22 - 3459838*x^21 - 1290368*x^20 + 11535112*x^19 - 363342*x^18 - 26923039*x^17 + 8326401*x^16 + 43706948*x^15 - 22700905*x^14 - 47849722*x^13 + 33504504*x^12 + 32989071*x^11 - 29563388*x^10 - 12220373*x^9 + 15071378*x^8 + 1233929*x^7 - 3928642*x^6 + 446850*x^5 + 410767*x^4 - 98278*x^3 - 7988*x^2 + 3980*x - 284, 2*x^33 - 20*x^32 + 5*x^31 + 571*x^30 - 1426*x^29 - 6481*x^28 + 27310*x^27 + 32124*x^26 - 260736*x^25 + 12064*x^24 + 1513815*x^23 - 1117740*x^22 - 5680276*x^21 + 7198673*x^20 + 13803931*x^19 - 25220953*x^18 - 20336642*x^17 + 55790754*x^16 + 13191277*x^15 - 80070695*x^14 + 8958478*x^13 + 72936316*x^12 - 25733561*x^11 - 39229248*x^10 + 21535792*x^9 + 10422740*x^8 - 8214737*x^7 - 652212*x^6 + 1273214*x^5 - 116119*x^4 - 68996*x^3 + 11832*x^2 + 792*x - 188, x^33 - 11*x^32 + 16*x^31 + 248*x^30 - 969*x^29 - 1720*x^28 + 14397*x^27 - 3861*x^26 - 109525*x^25 + 139563*x^24 + 487132*x^23 - 1047224*x^22 - 1260330*x^21 + 4392250*x^20 + 1489747*x^19 - 11879283*x^18 + 1203099*x^17 + 21836748*x^16 - 7518098*x^15 - 28068434*x^14 + 13021002*x^13 + 25734500*x^12 - 12673684*x^11 - 16881117*x^10 + 7860418*x^9 + 7501526*x^8 - 3296831*x^7 - 1855704*x^6 + 873937*x^5 + 127163*x^4 - 91404*x^3 + 6624*x^2 + 1316*x - 140, x^33 - 9*x^32 - 5*x^31 + 268*x^30 - 463*x^29 - 3289*x^28 + 9896*x^27 + 20301*x^26 - 96992*x^25 - 50802*x^24 + 565717*x^23 - 138421*x^22 - 2120566*x^21 + 1593651*x^20 + 5197212*x^19 - 6158233*x^18 - 8083670*x^17 + 13823183*x^16 + 7015191*x^15 - 19635558*x^14 - 1302323*x^13 + 17734622*x^12 - 3796846*x^11 - 9775706*x^10 + 4047510*x^9 + 2975667*x^8 - 1734578*x^7 - 393994*x^6 + 320660*x^5 + 8652*x^4 - 21128*x^3 - 1092*x^2 + 1312*x - 128, x^33 - 9*x^32 - 5*x^31 + 266*x^30 - 446*x^29 - 3273*x^28 + 9404*x^27 + 20863*x^26 - 90681*x^25 - 63648*x^24 + 518925*x^23 - 10272*x^22 - 1904055*x^21 + 820526*x^20 + 4583909*x^19 - 3081588*x^18 - 7216545*x^17 + 5549817*x^16 + 7360623*x^15 - 4697436*x^14 - 5124288*x^13 + 159686*x^12 + 3206373*x^11 + 2910656*x^10 - 2168168*x^9 - 2035307*x^8 + 963039*x^7 + 474235*x^6 - 141732*x^5 - 52924*x^4 + 8510*x^3 + 4228*x^2 - 916*x + 40, 2*x^32 - 16*x^31 - 31*x^30 + 561*x^29 - 456*x^28 - 8220*x^27 + 16343*x^26 + 64392*x^25 - 194800*x^24 - 275664*x^23 + 1306532*x^22 + 464421*x^21 - 5541052*x^20 + 1328550*x^19 + 15426564*x^18 - 9921234*x^17 - 28174261*x^16 + 27462760*x^15 + 32485038*x^14 - 43382399*x^13 - 21020236*x^12 + 41240268*x^11 + 4324859*x^10 - 22722270*x^9 + 3009048*x^8 + 6408345*x^7 - 2000179*x^6 - 642770*x^5 + 389747*x^4 - 32322*x^3 - 16604*x^2 + 4428*x - 332, 3*x^32 - 30*x^31 + 15*x^30 + 787*x^29 - 2146*x^28 - 7809*x^27 + 36896*x^26 + 27452*x^25 - 315661*x^24 + 117610*x^23 + 1608845*x^22 - 1704372*x^21 - 5111586*x^20 + 8575197*x^19 + 9779854*x^18 - 25066936*x^17 - 8913455*x^16 + 46546911*x^15 - 3928531*x^14 - 55492087*x^13 + 20959860*x^12 + 40999398*x^11 - 25189003*x^10 - 16919772*x^9 + 15018551*x^8 + 2730567*x^7 - 4490658*x^6 + 315384*x^5 + 560976*x^4 - 128944*x^3 - 12572*x^2 + 6360*x - 512, 3*x^32 - 30*x^31 + 15*x^30 + 787*x^29 - 2146*x^28 - 7809*x^27 + 36896*x^26 + 27452*x^25 - 315661*x^24 + 117610*x^23 + 1608845*x^22 - 1704372*x^21 - 5111586*x^20 + 8575197*x^19 + 9779854*x^18 - 25066936*x^17 - 8913455*x^16 + 46546911*x^15 - 3928531*x^14 - 55492087*x^13 + 20959860*x^12 + 40999398*x^11 - 25189003*x^10 - 16919772*x^9 + 15018551*x^8 + 2730567*x^7 - 4490658*x^6 + 315384*x^5 + 560976*x^4 - 128944*x^3 - 12572*x^2 + 6360*x - 512, x^32 - 9*x^31 - 4*x^30 + 265*x^29 - 505*x^28 - 3164*x^27 + 10714*x^26 + 17796*x^25 - 106180*x^24 - 20625*x^23 + 629019*x^22 - 373008*x^21 - 2388248*x^20 + 2808519*x^19 + 5832770*x^18 - 10405066*x^17 - 8529510*x^16 + 23820928*x^15 + 5098774*x^14 - 35162947*x^13 + 5161427*x^12 + 32872592*x^11 - 13019714*x^10 - 18027599*x^9 + 10937006*x^8 + 4676580*x^7 - 4217729*x^6 - 106890*x^5 + 609517*x^4 - 104046*x^3 - 16300*x^2 + 5700*x - 404, x^32 - 6*x^31 - 32*x^30 + 257*x^29 + 308*x^28 - 4704*x^27 + 957*x^26 + 48430*x^25 - 46019*x^24 - 309930*x^23 + 456413*x^22 + 1282160*x^21 - 2491649*x^20 - 3439013*x^19 + 8600078*x^18 + 5771017*x^17 - 19591364*x^16 - 5377655*x^15 + 29760642*x^14 + 1465776*x^13 - 29959189*x^12 + 1930722*x^11 + 19703798*x^10 - 1949593*x^9 - 8339245*x^8 + 778548*x^7 + 2178210*x^6 - 255417*x^5 - 269749*x^4 + 50868*x^3 + 7100*x^2 - 1796*x + 52, x^32 - 9*x^31 + 3*x^30 + 193*x^29 - 441*x^28 - 1461*x^27 + 5539*x^26 + 3153*x^25 - 27923*x^24 + 14142*x^23 + 31346*x^22 - 57105*x^21 + 320869*x^20 - 296755*x^19 - 1740731*x^18 + 2620032*x^17 + 3973982*x^16 - 8351530*x^15 - 4202230*x^14 + 14508347*x^13 + 295789*x^12 - 14474560*x^11 + 4064611*x^10 + 7772496*x^9 - 4113157*x^8 - 1694122*x^7 + 1596118*x^6 - 94877*x^5 - 212234*x^4 + 59726*x^3 + 3808*x^2 - 3432*x + 352, 2*x^32 - 16*x^31 - 31*x^30 + 561*x^29 - 456*x^28 - 8220*x^27 + 16343*x^26 + 64392*x^25 - 194800*x^24 - 275664*x^23 + 1306532*x^22 + 464421*x^21 - 5541052*x^20 + 1328550*x^19 + 15426564*x^18 - 9921234*x^17 - 28174261*x^16 + 27462760*x^15 + 32485038*x^14 - 43382399*x^13 - 21020236*x^12 + 41240268*x^11 + 4324859*x^10 - 22722270*x^9 + 3009048*x^8 + 6408345*x^7 - 2000179*x^6 - 642770*x^5 + 389747*x^4 - 32322*x^3 - 16604*x^2 + 4428*x - 332, x^32 - 9*x^31 - 4*x^30 + 265*x^29 - 505*x^28 - 3164*x^27 + 10714*x^26 + 17796*x^25 - 106180*x^24 - 20625*x^23 + 629019*x^22 - 373008*x^21 - 2388248*x^20 + 2808519*x^19 + 5832770*x^18 - 10405066*x^17 - 8529510*x^16 + 23820928*x^15 + 5098774*x^14 - 35162947*x^13 + 5161427*x^12 + 32872592*x^11 - 13019714*x^10 - 18027599*x^9 + 10937006*x^8 + 4676580*x^7 - 4217729*x^6 - 106890*x^5 + 609517*x^4 - 104046*x^3 - 16300*x^2 + 5700*x - 404, x^32 - 9*x^31 + 3*x^30 + 193*x^29 - 441*x^28 - 1461*x^27 + 5539*x^26 + 3153*x^25 - 27923*x^24 + 14142*x^23 + 31346*x^22 - 57105*x^21 + 320869*x^20 - 296755*x^19 - 1740731*x^18 + 2620032*x^17 + 3973982*x^16 - 8351530*x^15 - 4202230*x^14 + 14508347*x^13 + 295789*x^12 - 14474560*x^11 + 4064611*x^10 + 7772496*x^9 - 4113157*x^8 - 1694122*x^7 + 1596118*x^6 - 94877*x^5 - 212234*x^4 + 59726*x^3 + 3808*x^2 - 3432*x + 352, x^32 - 6*x^31 - 32*x^30 + 257*x^29 + 308*x^28 - 4704*x^27 + 957*x^26 + 48430*x^25 - 46019*x^24 - 309930*x^23 + 456413*x^22 + 1282160*x^21 - 2491649*x^20 - 3439013*x^19 + 8600078*x^18 + 5771017*x^17 - 19591364*x^16 - 5377655*x^15 + 29760642*x^14 + 1465776*x^13 - 29959189*x^12 + 1930722*x^11 + 19703798*x^10 - 1949593*x^9 - 8339245*x^8 + 778548*x^7 + 2178210*x^6 - 255417*x^5 - 269749*x^4 + 50868*x^3 + 7100*x^2 - 1796*x + 52, 3*x^31 - 24*x^30 - 33*x^29 + 715*x^28 - 638*x^27 - 9329*x^26 + 17210*x^25 + 69379*x^24 - 180122*x^23 - 316413*x^22 + 1116778*x^21 + 852047*x^20 - 4559028*x^19 - 927249*x^18 + 12692117*x^17 - 2014017*x^16 - 24146892*x^15 + 10091743*x^14 + 30657186*x^13 - 19188824*x^12 - 24501973*x^11 + 20328754*x^10 + 10748695*x^9 - 12204696*x^8 - 1515396*x^7 + 3761006*x^6 - 443401*x^5 - 457184*x^4 + 127534*x^3 + 6548*x^2 - 5392*x + 472, 3*x^31 - 24*x^30 - 33*x^29 + 715*x^28 - 638*x^27 - 9329*x^26 + 17210*x^25 + 69379*x^24 - 180122*x^23 - 316413*x^22 + 1116778*x^21 + 852047*x^20 - 4559028*x^19 - 927249*x^18 + 12692117*x^17 - 2014017*x^16 - 24146892*x^15 + 10091743*x^14 + 30657186*x^13 - 19188824*x^12 - 24501973*x^11 + 20328754*x^10 + 10748695*x^9 - 12204696*x^8 - 1515396*x^7 + 3761006*x^6 - 443401*x^5 - 457184*x^4 + 127534*x^3 + 6548*x^2 - 5392*x + 472]>
       ]
>;

MOG[911] := 	// J_0(911)
   rec<SupersingularModule | 
       MonodromyWeights   := [2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [817, 531, 384, 634, 824, 899, 433*x + 871, 478*x + 871, 372, 781, 279, 669*x + 315, 904*x + 64, 242*x + 315, 7*x + 64, 280, 769*x + 332, 142*x + 332, 821, 614, 302*x + 240, 104*x + 664, 756, 888*x + 863, 807*x + 664, 609*x + 240, 23*x + 863, 36, 86, 831*x + 672, 480*x + 739, 431*x + 739, 80*x + 672, 479, 810, 402*x + 293, 315, 210, 835*x + 819, 75*x + 189, 509*x + 293, 76*x + 819, 836*x + 189, 534, 505, 357, 707, 854*x + 525, 787*x + 854, 733*x + 692, 178*x + 692, 57*x + 525, 124*x + 854, 723*x + 181, 188*x + 181, 462, 631, 583*x + 125, 251, 111, 130*x + 296, 336*x + 706, 105*x + 362, 328*x + 125, 781*x + 296, 575*x + 706, 806*x + 362, 113*x + 711, 798*x + 711, 514*x + 60, 397*x + 60, 463*x + 281, 448*x + 281, 0, 712, 32, 395]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^9 + 5*x^8 + 2*x^7 - 23*x^6 - 28*x^5 + 21*x^4 + 34*x^3 - 5*x^2 - 9*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, x^6 + 3*x^5 - x^4 - 6*x^3 + x^2 + 2*x - 1, -x^6 - 3*x^5 + x^4 + 6*x^3 - x^2 - 2*x + 1, 0, 0, 0, x^7 + 3*x^6 - 2*x^5 - 10*x^4 - 2*x^3 + 5*x^2 + x, x^5 + 4*x^4 + 3*x^3 - 3*x^2 - 2*x, -x^7 - 3*x^6 + 2*x^5 + 10*x^4 + 2*x^3 - 5*x^2 - x, -x^5 - 4*x^4 - 3*x^3 + 3*x^2 + 2*x, 0, x^8 + 4*x^7 - x^6 - 19*x^5 - 13*x^4 + 17*x^3 + 13*x^2 - 3*x - 2, -x^8 - 4*x^7 + x^6 + 19*x^5 + 13*x^4 - 17*x^3 - 13*x^2 + 3*x + 2, 0, 0, x^8 + 3*x^7 - 4*x^6 - 16*x^5 + x^4 + 21*x^3 + 2*x^2 - 7*x, x^6 + 3*x^5 - 2*x^4 - 10*x^3 - 2*x^2 + 5*x + 1, 0, x^5 + 4*x^4 + 3*x^3 - 3*x^2 - 2*x + 1, -x^6 - 3*x^5 + 2*x^4 + 10*x^3 + 2*x^2 - 5*x - 1, -x^8 - 3*x^7 + 4*x^6 + 16*x^5 - x^4 - 21*x^3 - 2*x^2 + 7*x, -x^5 - 4*x^4 - 3*x^3 + 3*x^2 + 2*x - 1, 0, 0, -x^8 - 4*x^7 + 14*x^5 + 7*x^4 - 13*x^3 - 5*x^2 + 2*x, x^7 + 4*x^6 + x^5 - 11*x^4 - 8*x^3 + 7*x^2 + 5*x - 1, -x^7 - 4*x^6 - x^5 + 11*x^4 + 8*x^3 - 7*x^2 - 5*x + 1, x^8 + 4*x^7 - 14*x^5 - 7*x^4 + 13*x^3 + 5*x^2 - 2*x, 0, 0, -x^8 - 4*x^7 + 15*x^5 + 11*x^4 - 9*x^3 - 5*x^2 + x - 1, 0, 0, -x^5 - 3*x^4 + x^3 + 7*x^2 + 2*x - 1, x^6 + 4*x^5 + 2*x^4 - 7*x^3 - 6*x^2 + x + 1, x^8 + 4*x^7 - 15*x^5 - 11*x^4 + 9*x^3 + 5*x^2 - x + 1, x^5 + 3*x^4 - x^3 - 7*x^2 - 2*x + 1, -x^6 - 4*x^5 - 2*x^4 + 7*x^3 + 6*x^2 - x - 1, 0, 0, 0, 0, -x^7 - 4*x^6 - 2*x^5 + 7*x^4 + 5*x^3 - 3*x^2 - x + 1, -x^7 - 4*x^6 + 14*x^4 + 7*x^3 - 13*x^2 - 5*x + 2, x^6 + 4*x^5 + 3*x^4 - 3*x^3 - 2*x^2 + x + 1, -x^6 - 4*x^5 - 3*x^4 + 3*x^3 + 2*x^2 - x - 1, x^7 + 4*x^6 + 2*x^5 - 7*x^4 - 5*x^3 + 3*x^2 + x - 1, x^7 + 4*x^6 - 14*x^4 - 7*x^3 + 13*x^2 + 5*x - 2, 2*x^5 + 8*x^4 + 6*x^3 - 6*x^2 - 4*x + 1, -2*x^5 - 8*x^4 - 6*x^3 + 6*x^2 + 4*x - 1, 0, 0, -x^7 - 4*x^6 - x^5 + 11*x^4 + 8*x^3 - 6*x^2 - 3*x + 1, 0, 0, 0, -x^6 - 4*x^5 - 3*x^4 + 4*x^3 + 5*x^2 + x - 1, -x^3 - 3*x^2 - 2*x, x^7 + 4*x^6 + x^5 - 11*x^4 - 8*x^3 + 6*x^2 + 3*x - 1, 0, x^6 + 4*x^5 + 3*x^4 - 4*x^3 - 5*x^2 - x + 1, x^3 + 3*x^2 + 2*x, -x^6 - 3*x^5 + x^4 + 6*x^3 - x^2 - 2*x + 1, x^6 + 3*x^5 - x^4 - 6*x^3 + x^2 + 2*x - 1, x^6 + 4*x^5 + 3*x^4 - 3*x^3 - 2*x^2 - 1, -x^6 - 4*x^5 - 3*x^4 + 3*x^3 + 2*x^2 + 1, x^2 + 2*x, -x^2 - 2*x, 0, 0, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^14 - 2*x^13 - 16*x^12 + 31*x^11 + 95*x^10 - 175*x^9 - 269*x^8 + 452*x^7 + 388*x^6 - 543*x^5 - 280*x^4 + 267*x^3 + 84*x^2 - 33*x - 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, -x^12 + 17*x^10 - 2*x^9 - 103*x^8 + 15*x^7 + 280*x^6 - 32*x^5 - 341*x^4 + 11*x^3 + 153*x^2 + 15*x - 5, x^12 - 17*x^10 + 2*x^9 + 103*x^8 - 15*x^7 - 280*x^6 + 32*x^5 + 341*x^4 - 11*x^3 - 153*x^2 - 15*x + 5, 0, 0, 0, -x^12 + x^11 + 14*x^10 - 11*x^9 - 72*x^8 + 43*x^7 + 166*x^6 - 73*x^5 - 166*x^4 + 57*x^3 + 57*x^2 - 19*x - 1, -x^13 + x^12 + 16*x^11 - 16*x^10 - 92*x^9 + 87*x^8 + 237*x^7 - 198*x^6 - 268*x^5 + 177*x^4 + 96*x^3 - 42*x^2 + 14*x + 1, x^12 - x^11 - 14*x^10 + 11*x^9 + 72*x^8 - 43*x^7 - 166*x^6 + 73*x^5 + 166*x^4 - 57*x^3 - 57*x^2 + 19*x + 1, x^13 - x^12 - 16*x^11 + 16*x^10 + 92*x^9 - 87*x^8 - 237*x^7 + 198*x^6 + 268*x^5 - 177*x^4 - 96*x^3 + 42*x^2 - 14*x - 1, 0, -x^13 + x^12 + 16*x^11 - 16*x^10 - 93*x^9 + 87*x^8 + 250*x^7 - 204*x^6 - 323*x^5 + 211*x^4 + 184*x^3 - 87*x^2 - 33*x + 9, x^13 - x^12 - 16*x^11 + 16*x^10 + 93*x^9 - 87*x^8 - 250*x^7 + 204*x^6 + 323*x^5 - 211*x^4 - 184*x^3 + 87*x^2 + 33*x - 9, 0, 0, -x^11 + 2*x^10 + 11*x^9 - 18*x^8 - 46*x^7 + 56*x^6 + 88*x^5 - 72*x^4 - 68*x^3 + 38*x^2 + 11*x - 9, -x^13 + 2*x^12 + 15*x^11 - 30*x^10 - 81*x^9 + 164*x^8 + 197*x^7 - 409*x^6 - 222*x^5 + 470*x^4 + 114*x^3 - 210*x^2 - 27*x + 14, 0, -x^13 + x^12 + 15*x^11 - 14*x^10 - 86*x^9 + 71*x^8 + 239*x^7 - 160*x^6 - 334*x^5 + 157*x^4 + 214*x^3 - 55*x^2 - 47*x + 4, x^13 - 2*x^12 - 15*x^11 + 30*x^10 + 81*x^9 - 164*x^8 - 197*x^7 + 409*x^6 + 222*x^5 - 470*x^4 - 114*x^3 + 210*x^2 + 27*x - 14, x^11 - 2*x^10 - 11*x^9 + 18*x^8 + 46*x^7 - 56*x^6 - 88*x^5 + 72*x^4 + 68*x^3 - 38*x^2 - 11*x + 9, x^13 - x^12 - 15*x^11 + 14*x^10 + 86*x^9 - 71*x^8 - 239*x^7 + 160*x^6 + 334*x^5 - 157*x^4 - 214*x^3 + 55*x^2 + 47*x - 4, 0, 0, -x^13 + x^12 + 15*x^11 - 13*x^10 - 86*x^9 + 61*x^8 + 237*x^7 - 126*x^6 - 324*x^5 + 113*x^4 + 203*x^3 - 41*x^2 - 43*x + 8, -x^12 + 15*x^10 - 2*x^9 - 80*x^8 + 11*x^7 + 191*x^6 - 8*x^5 - 209*x^4 - 23*x^3 + 92*x^2 + 19*x - 9, x^12 - 15*x^10 + 2*x^9 + 80*x^8 - 11*x^7 - 191*x^6 + 8*x^5 + 209*x^4 + 23*x^3 - 92*x^2 - 19*x + 9, x^13 - x^12 - 15*x^11 + 13*x^10 + 86*x^9 - 61*x^8 - 237*x^7 + 126*x^6 + 324*x^5 - 113*x^4 - 203*x^3 + 41*x^2 + 43*x - 8, 0, 0, -x^10 + 4*x^9 + 8*x^8 - 33*x^7 - 22*x^6 + 89*x^5 + 26*x^4 - 87*x^3 - 8*x^2 + 21*x - 8, 0, 0, -x^12 + x^11 + 11*x^10 - 11*x^9 - 43*x^8 + 45*x^7 + 68*x^6 - 84*x^5 - 28*x^4 + 71*x^3 - 18*x^2 - 25*x + 7, -x^12 + 14*x^10 - x^9 - 74*x^8 + 10*x^7 + 184*x^6 - 34*x^5 - 215*x^4 + 45*x^3 + 97*x^2 - 18*x - 9, x^10 - 4*x^9 - 8*x^8 + 33*x^7 + 22*x^6 - 89*x^5 - 26*x^4 + 87*x^3 + 8*x^2 - 21*x + 8, x^12 - x^11 - 11*x^10 + 11*x^9 + 43*x^8 - 45*x^7 - 68*x^6 + 84*x^5 + 28*x^4 - 71*x^3 + 18*x^2 + 25*x - 7, x^12 - 14*x^10 + x^9 + 74*x^8 - 10*x^7 - 184*x^6 + 34*x^5 + 215*x^4 - 45*x^3 - 97*x^2 + 18*x + 9, 0, 0, 0, 0, -x^12 + x^11 + 12*x^10 - 10*x^9 - 55*x^8 + 34*x^7 + 123*x^6 - 44*x^5 - 144*x^4 + 14*x^3 + 82*x^2 + 10*x - 12, -x^12 + x^11 + 13*x^10 - 11*x^9 - 64*x^8 + 42*x^7 + 145*x^6 - 63*x^5 - 144*x^4 + 28*x^3 + 46*x^2 - 2*x + 2, -x^11 + 14*x^9 - 2*x^8 - 69*x^7 + 12*x^6 + 148*x^5 - 19*x^4 - 137*x^3 + 9*x^2 + 42*x, x^11 - 14*x^9 + 2*x^8 + 69*x^7 - 12*x^6 - 148*x^5 + 19*x^4 + 137*x^3 - 9*x^2 - 42*x, x^12 - x^11 - 12*x^10 + 10*x^9 + 55*x^8 - 34*x^7 - 123*x^6 + 44*x^5 + 144*x^4 - 14*x^3 - 82*x^2 - 10*x + 12, x^12 - x^11 - 13*x^10 + 11*x^9 + 64*x^8 - 42*x^7 - 145*x^6 + 63*x^5 + 144*x^4 - 28*x^3 - 46*x^2 + 2*x - 2, -x^10 + 11*x^8 + x^7 - 43*x^6 - 11*x^5 + 72*x^4 + 32*x^3 - 50*x^2 - 19*x + 9, x^10 - 11*x^8 - x^7 + 43*x^6 + 11*x^5 - 72*x^4 - 32*x^3 + 50*x^2 + 19*x - 9, 0, 0, 2*x^10 - 3*x^9 - 15*x^8 + 24*x^7 + 33*x^6 - 62*x^5 - 15*x^4 + 60*x^3 - 17*x^2 - 19*x + 9, 0, 0, -2*x^11 + 2*x^10 + 22*x^9 - 19*x^8 - 92*x^7 + 63*x^6 + 180*x^5 - 85*x^4 - 157*x^3 + 39*x^2 + 45*x - 8, -2*x^11 + x^10 + 21*x^9 - 7*x^8 - 79*x^7 + 13*x^6 + 126*x^5 - x^4 - 75*x^3 - 9*x^2 + 9*x + 4, -x^11 - 2*x^10 + 14*x^9 + 19*x^8 - 66*x^7 - 65*x^6 + 127*x^5 + 97*x^4 - 94*x^3 - 55*x^2 + 19*x + 5, -2*x^10 + 3*x^9 + 15*x^8 - 24*x^7 - 33*x^6 + 62*x^5 + 15*x^4 - 60*x^3 + 17*x^2 + 19*x - 9, 2*x^11 - 2*x^10 - 22*x^9 + 19*x^8 + 92*x^7 - 63*x^6 - 180*x^5 + 85*x^4 + 157*x^3 - 39*x^2 - 45*x + 8, 2*x^11 - x^10 - 21*x^9 + 7*x^8 + 79*x^7 - 13*x^6 - 126*x^5 + x^4 + 75*x^3 + 9*x^2 - 9*x - 4, x^11 + 2*x^10 - 14*x^9 - 19*x^8 + 66*x^7 + 65*x^6 - 127*x^5 - 97*x^4 + 94*x^3 + 55*x^2 - 19*x - 5, -x^11 + 2*x^10 + 10*x^9 - 20*x^8 - 35*x^7 + 69*x^6 + 54*x^5 - 98*x^4 - 46*x^3 + 60*x^2 + 22*x - 12, x^11 - 2*x^10 - 10*x^9 + 20*x^8 + 35*x^7 - 69*x^6 - 54*x^5 + 98*x^4 + 46*x^3 - 60*x^2 - 22*x + 12, -3*x^9 + 3*x^8 + 26*x^7 - 23*x^6 - 76*x^5 + 51*x^4 + 87*x^3 - 28*x^2 - 33*x, 3*x^9 - 3*x^8 - 26*x^7 + 23*x^6 + 76*x^5 - 51*x^4 - 87*x^3 + 28*x^2 + 33*x, x^10 + x^9 - 15*x^8 - 4*x^7 + 70*x^6 - 5*x^5 - 122*x^4 + 25*x^3 + 69*x^2 - 14*x - 5, -x^10 - x^9 + 15*x^8 + 4*x^7 - 70*x^6 + 5*x^5 + 122*x^4 - 25*x^3 - 69*x^2 + 14*x + 5, 0, 0, 0, 0]>,
         rec<Eigen |
           DefiningPolynomial := x^53 - 2*x^52 - 84*x^51 + 166*x^50 + 3310*x^49 - 6455*x^48 - 81344*x^47 + 156325*x^46 + 1398144*x^45 - 2643850*x^44 - 17866253*x^43 + 33189197*x^42 + 176135574*x^41 - 320870338*x^40 - 1372152800*x^39 + 2446709182*x^38 + 8582817105*x^37 - 14948943073*x^36 - 43562427812*x^35 + 73943781706*x^34 + 180600241002*x^33 - 297985808132*x^32 - 613726564588*x^31 + 981368029323*x^30 + 1711137814817*x^29 - 2641998562355*x^28 - 3908907411441*x^27 + 5800534517585*x^26 + 7290622101279*x^25 - 10332987064111*x^24 - 11040643401429*x^23 + 14814263952544*x^22 + 13472367795441*x^21 - 16894148431281*x^20 - 13120205572371*x^19 + 15076468761355*x^18 + 10079523205450*x^17 - 10293172526931*x^16 - 6024392803624*x^15 + 5207904427601*x^14 + 2752530454571*x^13 - 1863449779554*x^12 - 936462869758*x^11 + 437270526857*x^10 + 226046356755*x^9 - 57972107703*x^8 - 35056949295*x^7 + 2596407440*x^6 + 2823420076*x^5 + 161467975*x^4 - 63594549*x^3 - 5504873*x^2 + 281203*x + 6985,
           Coordinates        := [-x^52 + 2*x^51 + 82*x^50 - 162*x^49 - 3150*x^48 + 6139*x^47 + 75356*x^46 - 144661*x^45 - 1258806*x^44 + 2376516*x^43 + 15606191*x^42 - 28924381*x^41 - 148983900*x^40 + 270554996*x^39 + 1121549596*x^38 - 1991418884*x^37 - 6763609311*x^36 + 11714567969*x^35 + 33014645688*x^34 - 55629124824*x^33 - 131270164630*x^32 + 214524678212*x^31 + 426546300874*x^30 - 673617132297*x^29 - 1133399188689*x^28 + 1721964443691*x^27 + 2458591698085*x^26 - 3573040495863*x^25 - 4337217688747*x^24 + 5983522840673*x^23 + 6185701019662*x^22 - 8015281381829*x^21 - 7075499573385*x^20 + 8480627641629*x^19 + 6426039628011*x^18 - 6964645800890*x^17 - 4577006907349*x^16 + 4333863374446*x^15 + 2517641589237*x^14 - 1975174822227*x^13 - 1047556736724*x^12 + 626756937514*x^11 + 319209080933*x^10 - 127240783669*x^9 - 67187290561*x^8 + 13794807767*x^7 + 8696182138*x^6 - 350214584*x^5 - 529674975*x^4 - 42562611*x^3 + 4038085*x^2 + 272877*x + 217, x^52 - 4*x^51 - 78*x^50 + 322*x^49 + 2834*x^48 - 12127*x^47 - 63692*x^46 + 283999*x^45 + 991472*x^44 - 4636578*x^43 - 11341375*x^42 + 56076055*x^41 + 98668558*x^40 - 521158200*x^39 - 666259298*x^38 + 3810626678*x^37 + 3529234207*x^36 - 22262350093*x^35 - 14699988806*x^34 + 104959201196*x^33 + 47809034710*x^32 - 401704941926*x^31 - 118795403848*x^30 + 1251355758425*x^29 + 213365070025*x^28 - 3172280157047*x^27 - 231097676363*x^26 + 6526444908395*x^25 - 12246534691*x^24 - 10838465222440*x^23 + 613281551053*x^22 + 14412149603885*x^21 - 1338021216267*x^20 - 15174793585989*x^19 + 1685783332454*x^18 + 12467162098991*x^17 - 1382302245136*x^16 - 7840614588833*x^15 + 715088016137*x^14 + 3680148540074*x^13 - 189136105316*x^12 - 1244010726339*x^11 - 9179337745*x^10 + 286099849863*x^9 + 23009990625*x^8 - 40155574924*x^7 - 6449989282*x^6 + 2643959685*x^5 + 648580339*x^4 - 16993853*x^3 - 9270081*x^2 + 8543*x + 6768, x^51 - 4*x^50 - 76*x^49 + 314*x^48 + 2688*x^47 - 11523*x^46 - 58744*x^45 + 262727*x^44 + 888124*x^43 - 4172188*x^42 - 9852203*x^41 + 49032165*x^40 + 82970606*x^39 - 442297092*x^38 - 541035388*x^37 + 3134839794*x^36 + 2758370689*x^35 - 17725930409*x^34 - 11002603366*x^33 + 80743721604*x^32 + 33978734018*x^31 - 297941230368*x^30 - 78824581916*x^29 + 892553332589*x^28 + 126407282679*x^27 - 2169196823775*x^26 - 97801117063*x^25 + 4261745086558*x^24 - 126458288887*x^23 - 6725404947865*x^22 + 575669022103*x^21 + 8444177065419*x^20 - 1049380665670*x^19 - 8325693692323*x^18 + 1216322283812*x^17 + 6335447518731*x^16 - 952433295317*x^15 - 3637541686566*x^14 + 492391486576*x^13 + 1529882856087*x^12 - 151999109225*x^11 - 452659690007*x^10 + 19094692243*x^9 + 88503685656*x^8 + 2788721238*x^7 - 10120697591*x^6 - 1140759501*x^5 + 492710407*x^4 + 97211985*x^3 + 1251305*x^2 - 483728*x - 20472, x^51 - 4*x^50 - 76*x^49 + 314*x^48 + 2686*x^47 - 11515*x^46 - 58606*x^45 + 262157*x^44 + 883722*x^43 - 4153336*x^42 - 9766051*x^41 + 48647773*x^40 + 81812904*x^39 - 436884604*x^38 - 529709742*x^37 + 3078971808*x^36 + 2674932379*x^35 - 17287941477*x^34 - 10530353278*x^33 + 78077473862*x^32 + 31903070298*x^31 - 285163642278*x^30 - 71713898282*x^29 + 843963450097*x^28 + 107473565017*x^27 - 2022076181585*x^26 - 58986527181*x^25 + 3907212132607*x^24 - 186662439977*x^23 - 6048111440118*x^22 + 644504729847*x^21 + 7426176926643*x^20 - 1105885712763*x^19 - 7135692226063*x^18 + 1251143867382*x^17 + 5271124234065*x^16 - 975812633814*x^15 - 2925497379435*x^14 + 516291597991*x^13 + 1184669670576*x^12 - 174231233790*x^11 - 336929148853*x^10 + 32350508965*x^9 + 63687428245*x^8 - 1771376759*x^7 - 7224114440*x^6 - 333651068*x^5 + 388177715*x^4 + 42237705*x^3 - 3814059*x^2 - 336461*x + 13053, x^50 - 4*x^49 - 72*x^48 + 298*x^47 + 2404*x^46 - 10347*x^45 - 49404*x^44 + 222483*x^43 + 699318*x^42 - 3320280*x^41 - 7227607*x^40 + 36531525*x^39 + 56386222*x^38 - 307256138*x^37 - 338328272*x^36 + 2021504472*x^35 + 1574178693*x^34 - 10559507517*x^33 - 5670105672*x^32 + 44200543770*x^31 + 15580904158*x^30 - 149012805178*x^29 - 31401944280*x^28 + 405269058465*x^27 + 41457371661*x^26 - 887946365321*x^25 - 18837193761*x^24 + 1560627436966*x^23 - 56390248709*x^22 - 2184427959645*x^21 + 156367513939*x^20 + 2409564776619*x^19 - 206094425718*x^18 - 2064693458505*x^17 + 159457817726*x^16 + 1347885329913*x^15 - 60974628347*x^14 - 652548386458*x^13 - 7647343900*x^12 + 224911636933*x^11 + 21040079553*x^10 - 51331211301*x^9 - 10246845427*x^8 + 6569797314*x^7 + 2271122654*x^6 - 230779639*x^5 - 197673713*x^4 - 26419909*x^3 + 312757*x^2 + 240629*x + 7344, x^50 - 4*x^49 - 74*x^48 + 306*x^47 + 2544*x^46 - 10925*x^45 - 53944*x^44 + 241907*x^43 + 789854*x^42 - 3723610*x^41 - 8470345*x^40 + 42329583*x^39 + 68837688*x^38 - 368530746*x^37 - 432535246*x^36 + 2514915212*x^35 + 2123206747*x^34 - 13655972075*x^33 - 8160195020*x^32 + 59563167788*x^31 + 24389917774*x^30 - 209789620658*x^29 - 55555843066*x^28 + 597814274807*x^27 + 91839187639*x^26 - 1376753456516*x^25 - 95374560435*x^24 + 2552432837609*x^23 + 18777719759*x^22 - 3783544578821*x^21 + 132273036658*x^20 + 4439535117047*x^19 - 263366622924*x^18 - 4067021121755*x^17 + 270411132093*x^16 + 2855187572354*x^15 - 161721901214*x^14 - 1497717297529*x^13 + 44784339991*x^12 + 566439399399*x^11 + 7233950435*x^10 - 146264952906*x^9 - 9974423960*x^8 + 23465080019*x^7 + 3038107127*x^6 - 1920469639*x^5 - 353694641*x^4 + 44665067*x^3 + 8473596*x^2 - 269644*x - 14112, x^50 - 4*x^49 - 74*x^48 + 306*x^47 + 2543*x^46 - 10921*x^45 - 53875*x^44 + 241621*x^43 + 787662*x^42 - 3714141*x^41 - 8427827*x^40 + 42136798*x^39 + 68274778*x^38 - 365827435*x^37 - 427150914*x^36 + 2487204308*x^35 + 2084817764*x^34 - 13440863667*x^33 - 7952982206*x^32 + 58270649824*x^31 + 23540752783*x^30 - 203696154164*x^29 - 52945752504*x^28 + 575101987731*x^27 + 86055574591*x^26 - 1309616387894*x^25 - 87207952643*x^24 + 2395176891161*x^23 + 15611589397*x^22 - 3492986338621*x^21 + 116067751752*x^20 + 4019550679963*x^19 - 217319732536*x^18 - 3598018932463*x^17 + 203244805661*x^16 + 2457558604699*x^15 - 99398209073*x^14 - 1247739434749*x^13 + 7452435763*x^12 + 453540788743*x^11 + 20764923355*x^10 - 111206210809*x^9 - 12390683692*x^8 + 16465730242*x^7 + 3058169107*x^6 - 1127890985*x^5 - 303171317*x^4 + 6589897*x^3 + 4466810*x^2 + 2255*x - 3384, x^50 - 4*x^49 - 74*x^48 + 306*x^47 + 2543*x^46 - 10921*x^45 - 53875*x^44 + 241621*x^43 + 787662*x^42 - 3714141*x^41 - 8427827*x^40 + 42136798*x^39 + 68274778*x^38 - 365827435*x^37 - 427150914*x^36 + 2487204308*x^35 + 2084817764*x^34 - 13440863667*x^33 - 7952982206*x^32 + 58270649824*x^31 + 23540752783*x^30 - 203696154164*x^29 - 52945752504*x^28 + 575101987731*x^27 + 86055574591*x^26 - 1309616387894*x^25 - 87207952643*x^24 + 2395176891161*x^23 + 15611589397*x^22 - 3492986338621*x^21 + 116067751752*x^20 + 4019550679963*x^19 - 217319732536*x^18 - 3598018932463*x^17 + 203244805661*x^16 + 2457558604699*x^15 - 99398209073*x^14 - 1247739434749*x^13 + 7452435763*x^12 + 453540788743*x^11 + 20764923355*x^10 - 111206210809*x^9 - 12390683692*x^8 + 16465730242*x^7 + 3058169107*x^6 - 1127890985*x^5 - 303171317*x^4 + 6589897*x^3 + 4466810*x^2 + 2255*x - 3384, 2*x^49 - 8*x^48 - 142*x^47 + 588*x^46 + 4670*x^45 - 20122*x^44 - 94403*x^43 + 425954*x^42 + 1312298*x^41 - 6250320*x^40 - 13292192*x^39 + 67520477*x^38 + 101353558*x^37 - 556667661*x^36 - 592095998*x^35 + 3583211446*x^34 + 2666248847*x^33 - 18271588917*x^32 - 9198914930*x^31 + 74464212595*x^30 + 23711318818*x^29 - 243642137062*x^28 - 42474955509*x^27 + 640625229227*x^26 + 39481961651*x^25 - 1350558824796*x^24 + 35034020089*x^23 + 2270488494110*x^22 - 209650754082*x^21 - 3017306144400*x^20 + 421643119976*x^19 + 3130500116909*x^18 - 528432233043*x^17 - 2493781094409*x^16 + 445729333485*x^15 + 1492496650054*x^14 - 250019415238*x^13 - 652485609577*x^12 + 86519594389*x^11 + 200664239353*x^10 - 14670768835*x^9 - 40966944171*x^8 - 258799292*x^7 + 4944958976*x^6 + 471542894*x^5 - 259565158*x^4 - 48449614*x^3 - 505338*x^2 + 245536*x + 10236, x^49 - 4*x^48 - 72*x^47 + 298*x^46 + 2404*x^45 - 10343*x^44 - 49416*x^43 + 222235*x^42 + 700052*x^41 - 3313156*x^40 - 7248227*x^39 + 36405327*x^38 + 56739144*x^37 - 305707424*x^36 - 342444788*x^35 + 2007476558*x^34 + 1608856417*x^33 - 10461941867*x^32 - 5888244820*x^31 + 43665654566*x^30 + 16625708174*x^29 - 146661595814*x^28 - 35251284330*x^27 + 396903453083*x^26 + 52397042647*x^25 - 863791605070*x^24 - 42707585741*x^23 + 1504245247051*x^22 - 16988198703*x^21 - 2079057536497*x^20 + 108810186284*x^19 + 2254244891293*x^18 - 167615017204*x^17 - 1887744679971*x^16 + 144957865805*x^15 + 1196194235320*x^14 - 69687210266*x^13 - 558207218383*x^12 + 9786297225*x^11 + 184622818013*x^10 + 8228673213*x^9 - 40647644442*x^8 - 5013580264*x^7 + 5240185569*x^6 + 1122496311*x^5 - 276121817*x^4 - 94263447*x^3 - 3348713*x^2 + 710532*x + 12354, x^49 - 4*x^48 - 72*x^47 + 300*x^46 + 2396*x^45 - 10477*x^44 - 48854*x^43 + 226343*x^42 + 681806*x^41 - 3389426*x^40 - 6884691*x^39 + 37361019*x^38 + 51760998*x^37 - 314217158*x^36 - 292719154*x^35 + 2062481776*x^34 + 1233551929*x^33 - 10718611949*x^32 - 3700571424*x^31 + 44485955144*x^30 + 6643030676*x^29 - 148077461968*x^28 + 683189290*x^27 + 395539914176*x^26 - 49970486019*x^25 - 845520643879*x^24 + 187943594387*x^23 + 1437615121993*x^22 - 426407786742*x^21 - 1925584411875*x^20 + 677203856462*x^19 + 2004427679275*x^18 - 778296134515*x^17 - 1592515266406*x^16 + 645753528298*x^15 + 943630153717*x^14 - 377919936319*x^13 - 405236238305*x^12 + 149446762435*x^11 + 121771919088*x^10 - 37297789416*x^9 - 24390961195*x^8 + 5262966153*x^7 + 2960042383*x^6 - 335431451*x^5 - 171923523*x^4 + 5525058*x^3 + 1827764*x^2 - 240916*x + 8118, x^49 - 4*x^48 - 72*x^47 + 300*x^46 + 2397*x^45 - 10482*x^44 - 48913*x^43 + 226672*x^42 + 683346*x^41 - 3399395*x^40 - 6907626*x^39 + 37545575*x^38 + 51964448*x^37 - 316552701*x^36 - 293592542*x^35 + 2083899618*x^34 + 1230922396*x^33 - 10865836262*x^32 - 3628328364*x^31 + 45259983353*x^30 + 6037592748*x^29 - 151225606055*x^28 + 3917442041*x^27 + 405495532227*x^26 - 62368517370*x^25 - 870000892380*x^24 + 223421631326*x^23 + 1484230862167*x^22 - 503228057662*x^21 - 1993847997659*x^20 + 803114060880*x^19 + 2080759696360*x^18 - 933116058702*x^17 - 1657688950913*x^16 + 786077999418*x^15 + 987054279280*x^14 - 469129842419*x^13 - 429080557199*x^12 + 190244254291*x^11 + 133015641867*x^10 - 49045374207*x^9 - 28606540654*x^8 + 7151508503*x^7 + 3989284600*x^6 - 423252845*x^5 - 296918410*x^4 - 7637359*x^3 + 5596033*x^2 + 286075*x - 9978, x^49 - 4*x^48 - 71*x^47 + 294*x^46 + 2334*x^45 - 10054*x^44 - 47147*x^43 + 212523*x^42 + 654878*x^41 - 3111580*x^40 - 6630500*x^39 + 33511594*x^38 + 50594380*x^37 - 275214799*x^36 - 296522073*x^35 + 1763178192*x^34 + 1346448676*x^33 - 8940987776*x^32 - 4733989151*x^31 + 36207504761*x^30 + 12730553030*x^29 - 117635856311*x^28 - 25335432467*x^27 + 306964261464*x^26 + 34147091908*x^25 - 642034349066*x^24 - 21147601952*x^23 + 1070894239330*x^22 - 25208920433*x^21 - 1412778249021*x^20 + 85451919347*x^19 + 1456913597240*x^18 - 114783003019*x^17 - 1155876678453*x^16 + 90336425323*x^15 + 690703665406*x^14 - 39709319809*x^13 - 302048324634*x^12 + 4751902854*x^11 + 92707296177*x^10 + 4304181550*x^9 - 18615157349*x^8 - 2321962637*x^7 + 2106938855*x^6 + 453732596*x^5 - 84669408*x^4 - 30133536*x^3 - 1779719*x^2 + 47002*x - 3075, x^49 - 4*x^48 - 72*x^47 + 300*x^46 + 2397*x^45 - 10482*x^44 - 48913*x^43 + 226672*x^42 + 683346*x^41 - 3399395*x^40 - 6907626*x^39 + 37545575*x^38 + 51964448*x^37 - 316552701*x^36 - 293592542*x^35 + 2083899618*x^34 + 1230922396*x^33 - 10865836262*x^32 - 3628328364*x^31 + 45259983353*x^30 + 6037592748*x^29 - 151225606055*x^28 + 3917442041*x^27 + 405495532227*x^26 - 62368517370*x^25 - 870000892380*x^24 + 223421631326*x^23 + 1484230862167*x^22 - 503228057662*x^21 - 1993847997659*x^20 + 803114060880*x^19 + 2080759696360*x^18 - 933116058702*x^17 - 1657688950913*x^16 + 786077999418*x^15 + 987054279280*x^14 - 469129842419*x^13 - 429080557199*x^12 + 190244254291*x^11 + 133015641867*x^10 - 49045374207*x^9 - 28606540654*x^8 + 7151508503*x^7 + 3989284600*x^6 - 423252845*x^5 - 296918410*x^4 - 7637359*x^3 + 5596033*x^2 + 286075*x - 9978, x^49 - 4*x^48 - 71*x^47 + 294*x^46 + 2334*x^45 - 10054*x^44 - 47147*x^43 + 212523*x^42 + 654878*x^41 - 3111580*x^40 - 6630500*x^39 + 33511594*x^38 + 50594380*x^37 - 275214799*x^36 - 296522073*x^35 + 1763178192*x^34 + 1346448676*x^33 - 8940987776*x^32 - 4733989151*x^31 + 36207504761*x^30 + 12730553030*x^29 - 117635856311*x^28 - 25335432467*x^27 + 306964261464*x^26 + 34147091908*x^25 - 642034349066*x^24 - 21147601952*x^23 + 1070894239330*x^22 - 25208920433*x^21 - 1412778249021*x^20 + 85451919347*x^19 + 1456913597240*x^18 - 114783003019*x^17 - 1155876678453*x^16 + 90336425323*x^15 + 690703665406*x^14 - 39709319809*x^13 - 302048324634*x^12 + 4751902854*x^11 + 92707296177*x^10 + 4304181550*x^9 - 18615157349*x^8 - 2321962637*x^7 + 2106938855*x^6 + 453732596*x^5 - 84669408*x^4 - 30133536*x^3 - 1779719*x^2 + 47002*x - 3075, 2*x^48 - 8*x^47 - 138*x^46 + 572*x^45 + 4405*x^44 - 19012*x^43 - 86338*x^42 + 390240*x^41 + 1163022*x^40 - 5542573*x^39 - 11418886*x^38 + 57844615*x^37 + 84560546*x^36 - 459797498*x^35 - 482108539*x^34 + 2847426117*x^33 + 2141296414*x^32 - 13936874945*x^31 - 7450489498*x^30 + 54383473294*x^29 + 20328933051*x^28 - 169912887703*x^27 - 43432781671*x^26 + 425333905846*x^25 + 72708407611*x^24 - 850766379822*x^23 - 96870256664*x^22 + 1351549774890*x^21 + 108908092098*x^20 - 1688629436329*x^19 - 116243381607*x^18 + 1635605822601*x^17 + 126813698033*x^16 - 1203274009772*x^15 - 128070158544*x^14 + 652611163339*x^13 + 101814282189*x^12 - 249159034513*x^11 - 56750927941*x^10 + 61695478431*x^9 + 20234891562*x^8 - 8194635652*x^7 - 4070702414*x^6 + 201994120*x^5 + 346897812*x^4 + 52334480*x^3 - 379978*x^2 - 471022*x - 14688, x^48 - 4*x^47 - 70*x^46 + 291*x^45 + 2264*x^44 - 9836*x^43 - 44901*x^42 + 205227*x^41 + 611059*x^40 - 2962128*x^39 - 6049272*x^38 + 31411661*x^37 + 45045229*x^36 - 253719327*x^35 - 257175165*x^34 + 1597015104*x^33 + 1135975100*x^32 - 7948756611*x^31 - 3882104800*x^30 + 31564012422*x^29 + 10152279368*x^28 - 100455410862*x^27 - 19721072496*x^26 + 256480925723*x^25 + 26333487347*x^24 - 524093795279*x^23 - 17882959231*x^22 + 852243521162*x^21 - 11731425187*x^20 - 1092645112877*x^19 + 47875802860*x^18 + 1089638220892*x^17 - 62726633144*x^16 - 829496668517*x^15 + 46017345474*x^14 + 469755039573*x^13 - 17499021383*x^12 - 190908290693*x^11 + 497361389*x^10 + 52808654232*x^9 + 2480421848*x^8 - 9112447225*x^7 - 957805408*x^6 + 822173911*x^5 + 129715597*x^4 - 24006890*x^3 - 3881532*x^2 + 140999*x + 7056, x^48 - 4*x^47 - 70*x^46 + 291*x^45 + 2264*x^44 - 9836*x^43 - 44901*x^42 + 205227*x^41 + 611059*x^40 - 2962128*x^39 - 6049272*x^38 + 31411661*x^37 + 45045229*x^36 - 253719327*x^35 - 257175165*x^34 + 1597015104*x^33 + 1135975100*x^32 - 7948756611*x^31 - 3882104800*x^30 + 31564012422*x^29 + 10152279368*x^28 - 100455410862*x^27 - 19721072496*x^26 + 256480925723*x^25 + 26333487347*x^24 - 524093795279*x^23 - 17882959231*x^22 + 852243521162*x^21 - 11731425187*x^20 - 1092645112877*x^19 + 47875802860*x^18 + 1089638220892*x^17 - 62726633144*x^16 - 829496668517*x^15 + 46017345474*x^14 + 469755039573*x^13 - 17499021383*x^12 - 190908290693*x^11 + 497361389*x^10 + 52808654232*x^9 + 2480421848*x^8 - 9112447225*x^7 - 957805408*x^6 + 822173911*x^5 + 129715597*x^4 - 24006890*x^3 - 3881532*x^2 + 140999*x + 7056, x^48 - 4*x^47 - 70*x^46 + 292*x^45 + 2262*x^44 - 9913*x^43 - 44726*x^42 + 207869*x^41 + 604420*x^40 - 3016058*x^39 - 5901013*x^38 + 32146409*x^37 + 42836890*x^36 - 260801528*x^35 - 233731508*x^34 + 1646811874*x^33 + 951484565*x^32 - 8207276843*x^31 - 2779319182*x^30 + 32548917770*x^29 + 5070042368*x^28 - 103111703667*x^27 - 1512787194*x^26 + 260959881477*x^25 - 24544252477*x^24 - 525960227637*x^23 + 92878152060*x^22 + 838795743611*x^21 - 198703780728*x^20 - 1048165822417*x^19 + 290616733573*x^18 + 1012577227252*x^17 - 302382872194*x^16 - 743077576951*x^15 + 223463797961*x^14 + 405197604579*x^13 - 114423153063*x^12 - 159804220880*x^11 + 38714589544*x^10 + 44105465117*x^9 - 7962627501*x^8 - 8157311291*x^7 + 822633957*x^6 + 939467741*x^5 - 6979176*x^4 - 55458172*x^3 - 5622916*x^2 + 176486*x + 5310, x^48 - 2*x^47 - 78*x^46 + 156*x^45 + 2828*x^44 - 5651*x^43 - 63322*x^42 + 126315*x^41 + 981234*x^40 - 1952506*x^39 - 11175677*x^38 + 22167179*x^37 + 96979202*x^36 - 191631908*x^35 - 655923310*x^34 + 1290548252*x^33 + 3508139031*x^32 - 6869935801*x^31 - 14967567916*x^30 + 29163240920*x^29 + 51168989988*x^28 - 99162656964*x^27 - 140296886464*x^26 + 270272931160*x^25 + 307862407299*x^24 - 588857487979*x^23 - 538063658561*x^22 + 1019164423335*x^21 + 743634600532*x^20 - 1386941615355*x^19 - 805546245164*x^18 + 1461928628097*x^17 + 677725268399*x^16 - 1168479841686*x^15 - 439661833066*x^14 + 687283454645*x^13 + 219085575507*x^12 - 284863259431*x^11 - 83246329395*x^10 + 77768526594*x^9 + 23200017614*x^8 - 12347726345*x^7 - 4196172535*x^6 + 809078375*x^5 + 366198875*x^4 + 12620869*x^3 - 3091596*x^2 + 101276*x + 8802, x^48 - 3*x^47 - 74*x^46 + 223*x^45 + 2549*x^44 - 7715*x^43 - 54302*x^42 + 165032*x^41 + 801741*x^40 - 2445730*x^39 - 8713410*x^38 + 26665632*x^37 + 72265747*x^36 - 221702612*x^35 - 467928606*x^34 + 1437733854*x^33 + 2400315768*x^32 - 7377168225*x^31 - 9841802923*x^30 + 30207568453*x^29 + 32405792043*x^28 - 99116417627*x^27 - 85790600453*x^26 + 260699048855*x^25 + 182298006019*x^24 - 547942402520*x^23 - 309614297730*x^22 + 914117147325*x^21 + 417724910868*x^20 - 1197415932790*x^19 - 444546800577*x^18 + 1212319280093*x^17 + 370815481397*x^16 - 927796644737*x^15 - 241558283810*x^14 + 520156121637*x^13 + 122605329091*x^12 - 204178600961*x^11 - 47808601315*x^10 + 52350766640*x^9 + 13520574770*x^8 - 7746876298*x^7 - 2405939948*x^6 + 480157412*x^5 + 203261762*x^4 + 3314463*x^3 - 3317491*x^2 - 137092*x + 7443, x^48 - 3*x^47 - 72*x^46 + 216*x^45 + 2413*x^44 - 7234*x^43 - 50014*x^42 + 149714*x^41 + 718460*x^40 - 2145493*x^39 - 7596920*x^38 + 22609102*x^37 + 61292625*x^36 - 181602078*x^35 - 385966762*x^34 + 1137293551*x^33 + 1924338074*x^32 - 5633498246*x^31 - 7661357112*x^30 + 22262979656*x^29 + 24457402502*x^28 - 70490037877*x^27 - 62633491508*x^26 + 178916446659*x^25 + 128331577950*x^24 - 363003626474*x^23 - 209225349329*x^22 + 585021193637*x^21 + 269321398260*x^20 - 741375050813*x^19 - 271249525589*x^18 + 728010701457*x^17 + 212017712360*x^16 - 542707680682*x^15 - 128173349536*x^14 + 298502755913*x^13 + 60186489437*x^12 - 116346545915*x^11 - 22001696247*x^10 + 30248903515*x^9 + 6021617425*x^8 - 4729569344*x^7 - 1075482004*x^6 + 350815163*x^5 + 92272196*x^4 - 4308327*x^3 - 863244*x^2 + 124859*x - 4059, 2*x^48 - 8*x^47 - 140*x^46 + 580*x^45 + 4532*x^44 - 19540*x^43 - 90036*x^42 + 406342*x^41 + 1228378*x^40 - 5843745*x^39 - 12200128*x^38 + 61711946*x^37 + 91209484*x^36 - 495959302*x^35 - 523232708*x^34 + 3102279868*x^33 + 2324679491*x^32 - 15319228092*x^31 - 8004812346*x^30 + 60225780714*x^29 + 21169681947*x^28 - 189271751753*x^27 - 41959754330*x^26 + 475696962224*x^25 + 58761806879*x^24 - 953359334260*x^23 - 48257800061*x^22 + 1514171911154*x^21 - 1971756546*x^20 - 1887397759484*x^19 + 65994238375*x^18 + 1821090388377*x^17 - 94594663991*x^16 - 1334791131789*x^15 + 70681975545*x^14 + 724576742061*x^13 - 27727544217*x^12 - 281372829800*x^11 + 2401628720*x^10 + 74412998564*x^9 + 2496379178*x^8 - 12431745834*x^7 - 1005626716*x^6 + 1151992236*x^5 + 142153382*x^4 - 45586382*x^3 - 7464384*x^2 - 24818*x + 336, x^48 - 4*x^47 - 69*x^46 + 287*x^45 + 2196*x^44 - 9558*x^43 - 42748*x^42 + 196219*x^41 + 568949*x^40 - 2781459*x^39 - 5480270*x^38 + 28900690*x^37 + 39419357*x^36 - 228066814*x^35 - 215136380*x^34 + 1397596023*x^33 + 894313564*x^32 - 6743916971*x^31 - 2805387407*x^30 + 25834517139*x^29 + 6440638090*x^28 - 78865974514*x^27 - 9948728353*x^26 + 191885076604*x^25 + 7298543812*x^24 - 370923317571*x^23 + 7437290231*x^22 + 566036178446*x^21 - 28644075859*x^20 - 675239323239*x^19 + 36542491142*x^18 + 621051865633*x^17 - 18313716347*x^16 - 432063807504*x^15 - 10993086281*x^14 + 221114368054*x^13 + 25027011308*x^12 - 79460662766*x^11 - 18862370525*x^10 + 18178054896*x^9 + 7572341877*x^8 - 1927045553*x^7 - 1598809795*x^6 - 108770659*x^5 + 130884399*x^4 + 37216766*x^3 + 3044576*x^2 + 19488*x + 3048, x^48 - 3*x^47 - 72*x^46 + 216*x^45 + 2413*x^44 - 7234*x^43 - 50014*x^42 + 149714*x^41 + 718460*x^40 - 2145493*x^39 - 7596920*x^38 + 22609102*x^37 + 61292625*x^36 - 181602078*x^35 - 385966762*x^34 + 1137293551*x^33 + 1924338074*x^32 - 5633498246*x^31 - 7661357112*x^30 + 22262979656*x^29 + 24457402502*x^28 - 70490037877*x^27 - 62633491508*x^26 + 178916446659*x^25 + 128331577950*x^24 - 363003626474*x^23 - 209225349329*x^22 + 585021193637*x^21 + 269321398260*x^20 - 741375050813*x^19 - 271249525589*x^18 + 728010701457*x^17 + 212017712360*x^16 - 542707680682*x^15 - 128173349536*x^14 + 298502755913*x^13 + 60186489437*x^12 - 116346545915*x^11 - 22001696247*x^10 + 30248903515*x^9 + 6021617425*x^8 - 4729569344*x^7 - 1075482004*x^6 + 350815163*x^5 + 92272196*x^4 - 4308327*x^3 - 863244*x^2 + 124859*x - 4059, x^48 - 3*x^47 - 74*x^46 + 223*x^45 + 2549*x^44 - 7715*x^43 - 54302*x^42 + 165032*x^41 + 801741*x^40 - 2445730*x^39 - 8713410*x^38 + 26665632*x^37 + 72265747*x^36 - 221702612*x^35 - 467928606*x^34 + 1437733854*x^33 + 2400315768*x^32 - 7377168225*x^31 - 9841802923*x^30 + 30207568453*x^29 + 32405792043*x^28 - 99116417627*x^27 - 85790600453*x^26 + 260699048855*x^25 + 182298006019*x^24 - 547942402520*x^23 - 309614297730*x^22 + 914117147325*x^21 + 417724910868*x^20 - 1197415932790*x^19 - 444546800577*x^18 + 1212319280093*x^17 + 370815481397*x^16 - 927796644737*x^15 - 241558283810*x^14 + 520156121637*x^13 + 122605329091*x^12 - 204178600961*x^11 - 47808601315*x^10 + 52350766640*x^9 + 13520574770*x^8 - 7746876298*x^7 - 2405939948*x^6 + 480157412*x^5 + 203261762*x^4 + 3314463*x^3 - 3317491*x^2 - 137092*x + 7443, x^48 - 4*x^47 - 69*x^46 + 287*x^45 + 2196*x^44 - 9558*x^43 - 42748*x^42 + 196219*x^41 + 568949*x^40 - 2781459*x^39 - 5480270*x^38 + 28900690*x^37 + 39419357*x^36 - 228066814*x^35 - 215136380*x^34 + 1397596023*x^33 + 894313564*x^32 - 6743916971*x^31 - 2805387407*x^30 + 25834517139*x^29 + 6440638090*x^28 - 78865974514*x^27 - 9948728353*x^26 + 191885076604*x^25 + 7298543812*x^24 - 370923317571*x^23 + 7437290231*x^22 + 566036178446*x^21 - 28644075859*x^20 - 675239323239*x^19 + 36542491142*x^18 + 621051865633*x^17 - 18313716347*x^16 - 432063807504*x^15 - 10993086281*x^14 + 221114368054*x^13 + 25027011308*x^12 - 79460662766*x^11 - 18862370525*x^10 + 18178054896*x^9 + 7572341877*x^8 - 1927045553*x^7 - 1598809795*x^6 - 108770659*x^5 + 130884399*x^4 + 37216766*x^3 + 3044576*x^2 + 19488*x + 3048, 2*x^47 - 8*x^46 - 133*x^45 + 556*x^44 + 4068*x^43 - 17926*x^42 - 75806*x^41 + 356079*x^40 + 960276*x^39 - 4881251*x^38 - 8725068*x^37 + 49019998*x^36 + 58325083*x^35 - 373647693*x^34 - 287948820*x^33 + 2210043096*x^32 + 1024129068*x^31 - 10283994743*x^30 - 2378442171*x^29 + 37947543315*x^28 + 1989508876*x^27 - 111417723272*x^26 + 9658121565*x^25 + 260208942460*x^24 - 50617196771*x^23 - 481553395833*x^22 + 132964721849*x^21 + 701191623046*x^20 - 234050469572*x^19 - 795022129753*x^18 + 292111985873*x^17 + 692371896007*x^16 - 259233342919*x^15 - 455479863202*x^14 + 159322930134*x^13 + 221951060615*x^12 - 63884864937*x^11 - 78151612719*x^10 + 14637506285*x^9 + 19049694651*x^8 - 1139862592*x^7 - 2903079630*x^6 - 206135972*x^5 + 212431872*x^4 + 39262986*x^3 - 1982650*x^2 - 664508*x - 9060, 2*x^47 - 8*x^46 - 132*x^45 + 554*x^44 + 3997*x^43 - 17788*x^42 - 73470*x^41 + 351668*x^40 + 913030*x^39 - 4794611*x^38 - 8067944*x^37 + 47850165*x^36 + 51662376*x^35 - 362137636*x^34 - 237003613*x^33 + 2124670876*x^32 + 724296364*x^31 - 9796744558*x^30 - 1003943596*x^29 + 35781706044*x^28 - 2947335038*x^27 - 103873600109*x^26 + 23568324395*x^25 + 239583502514*x^24 - 81287079982*x^23 - 437385323387*x^22 + 185594124331*x^21 + 627485085025*x^20 - 303836032011*x^19 - 699872164555*x^18 + 363133945203*x^17 + 598135188630*x^16 - 314566149110*x^15 - 384405623513*x^14 + 192510767293*x^13 + 181375514449*x^12 - 79385657393*x^11 - 60817148203*x^10 + 20268154112*x^9 + 13722613868*x^8 - 2672040530*x^7 - 1839885226*x^6 + 81490890*x^5 + 99467766*x^4 + 8806650*x^3 + 2016966*x^2 + 404284*x - 1176, x^47 - 4*x^46 - 68*x^45 + 287*x^44 + 2119*x^43 - 9539*x^42 - 40055*x^41 + 195074*x^40 + 511912*x^39 - 2749716*x^38 - 4658669*x^37 + 28363314*x^36 + 30859349*x^35 - 221848100*x^34 - 148219177*x^33 + 1345411394*x^32 + 492665690*x^31 - 6415202847*x^30 - 927526862*x^29 + 24247243237*x^28 - 456865726*x^27 - 72917853599*x^26 + 10038248534*x^25 + 174484601806*x^24 - 38434021426*x^23 - 331164618754*x^22 + 89949542672*x^21 + 495402572881*x^20 - 145730890073*x^19 - 578656200027*x^18 + 166935535863*x^17 + 521123499468*x^16 - 132283515981*x^15 - 355939731350*x^14 + 67393061098*x^13 + 180348128373*x^12 - 17353482640*x^11 - 65521552521*x^10 - 1248178296*x^9 + 16010032147*x^8 + 2325982387*x^7 - 2269805962*x^6 - 640188821*x^5 + 113484001*x^4 + 61360299*x^3 + 5940196*x^2 - 78605*x - 8439, x^47 - 3*x^46 - 72*x^45 + 220*x^44 + 2396*x^43 - 7469*x^42 - 48938*x^41 + 155954*x^40 + 687043*x^39 - 2243950*x^38 - 7035246*x^37 + 23624783*x^36 + 54410274*x^35 - 188613354*x^34 - 324662140*x^33 + 1167773862*x^32 + 1513474330*x^31 - 5686439297*x^30 - 5545901944*x^29 + 21958941715*x^28 + 15987077560*x^27 - 67504673761*x^26 - 36101803834*x^25 + 165213207985*x^24 + 63258647936*x^23 - 320837107135*x^22 - 84692769156*x^21 + 491009850739*x^20 + 84796506649*x^19 - 585950470374*x^18 - 62047151803*x^17 + 537124511986*x^16 + 33342995650*x^15 - 370499464397*x^14 - 15204872215*x^13 + 186950799317*x^12 + 8064546804*x^11 - 66292611260*x^10 - 4500073069*x^9 + 15525165070*x^8 + 1729792469*x^7 - 2148205696*x^6 - 352591893*x^5 + 138630926*x^4 + 29021616*x^3 - 2450484*x^2 - 624871*x - 3915, x^47 - 3*x^46 - 72*x^45 + 220*x^44 + 2396*x^43 - 7469*x^42 - 48938*x^41 + 155954*x^40 + 687043*x^39 - 2243950*x^38 - 7035246*x^37 + 23624783*x^36 + 54410274*x^35 - 188613354*x^34 - 324662140*x^33 + 1167773862*x^32 + 1513474330*x^31 - 5686439297*x^30 - 5545901944*x^29 + 21958941715*x^28 + 15987077560*x^27 - 67504673761*x^26 - 36101803834*x^25 + 165213207985*x^24 + 63258647936*x^23 - 320837107135*x^22 - 84692769156*x^21 + 491009850739*x^20 + 84796506649*x^19 - 585950470374*x^18 - 62047151803*x^17 + 537124511986*x^16 + 33342995650*x^15 - 370499464397*x^14 - 15204872215*x^13 + 186950799317*x^12 + 8064546804*x^11 - 66292611260*x^10 - 4500073069*x^9 + 15525165070*x^8 + 1729792469*x^7 - 2148205696*x^6 - 352591893*x^5 + 138630926*x^4 + 29021616*x^3 - 2450484*x^2 - 624871*x - 3915, x^47 - 4*x^46 - 68*x^45 + 287*x^44 + 2119*x^43 - 9539*x^42 - 40055*x^41 + 195074*x^40 + 511912*x^39 - 2749716*x^38 - 4658669*x^37 + 28363314*x^36 + 30859349*x^35 - 221848100*x^34 - 148219177*x^33 + 1345411394*x^32 + 492665690*x^31 - 6415202847*x^30 - 927526862*x^29 + 24247243237*x^28 - 456865726*x^27 - 72917853599*x^26 + 10038248534*x^25 + 174484601806*x^24 - 38434021426*x^23 - 331164618754*x^22 + 89949542672*x^21 + 495402572881*x^20 - 145730890073*x^19 - 578656200027*x^18 + 166935535863*x^17 + 521123499468*x^16 - 132283515981*x^15 - 355939731350*x^14 + 67393061098*x^13 + 180348128373*x^12 - 17353482640*x^11 - 65521552521*x^10 - 1248178296*x^9 + 16010032147*x^8 + 2325982387*x^7 - 2269805962*x^6 - 640188821*x^5 + 113484001*x^4 + 61360299*x^3 + 5940196*x^2 - 78605*x - 8439, x^47 - 4*x^46 - 68*x^45 + 286*x^44 + 2130*x^43 - 9513*x^42 - 40684*x^41 + 195473*x^40 + 528154*x^39 - 2778744*x^38 - 4907985*x^37 + 29000533*x^36 + 33370140*x^35 - 230128490*x^34 - 165340094*x^33 + 1418769202*x^32 + 569365231*x^31 - 6885006425*x^30 - 1110209180*x^29 + 26485198814*x^28 - 647174134*x^27 - 80947449187*x^26 + 13771479136*x^25 + 196204537329*x^24 - 55969260681*x^23 - 374992475939*x^22 + 141021586024*x^21 + 559627414595*x^20 - 249855604578*x^19 - 643011743823*x^18 + 320464548629*x^17 + 558289523202*x^16 - 296718567192*x^15 - 357921947971*x^14 + 194104990753*x^13 + 165158183679*x^12 - 86333330581*x^11 - 53606584388*x^10 + 24612775830*x^9 + 12024928485*x^8 - 4077268321*x^7 - 1780135519*x^6 + 300289183*x^5 + 143243643*x^4 + 1801538*x^3 - 1690802*x^2 - 18030*x - 9372, x^47 - 4*x^46 - 66*x^45 + 278*x^44 + 1998*x^43 - 8961*x^42 - 36702*x^41 + 177895*x^40 + 455524*x^39 - 2435866*x^38 - 4016123*x^37 + 24415097*x^36 + 25617506*x^35 - 185541412*x^34 - 116727270*x^33 + 1092565904*x^32 + 351887011*x^31 - 5052030949*x^30 - 462779128*x^29 + 18480559487*x^28 - 1548802350*x^27 - 53632583512*x^26 + 11654754406*x^25 + 123355878913*x^24 - 39096181646*x^23 - 223826902443*x^22 + 86682419990*x^21 + 317791174863*x^20 - 136731518311*x^19 - 348838708200*x^18 + 155448713692*x^17 + 291148166253*x^16 - 125571163145*x^15 - 180510601167*x^14 + 69391792503*x^13 + 80273833746*x^12 - 24398842310*x^11 - 24059869583*x^10 + 4722386085*x^9 + 4208721419*x^8 - 363063875*x^7 - 240439123*x^6 + 28163092*x^5 - 26778292*x^4 - 12949512*x^3 + 39524*x^2 + 264256*x + 1254, x^47 - 3*x^46 - 71*x^45 + 218*x^44 + 2326*x^43 - 7338*x^42 - 46637*x^41 + 151924*x^40 + 639946*x^39 - 2166533*x^38 - 6364333*x^37 + 22584342*x^36 + 47366548*x^35 - 178237158*x^34 - 268340482*x^33 + 1088352269*x^32 + 1163693666*x^31 - 5210611977*x^30 - 3839369158*x^29 + 19703396385*x^28 + 9408375133*x^27 - 59005882919*x^26 - 16032525466*x^25 + 139760483841*x^24 + 14906473464*x^23 - 260499417112*x^22 + 6835821205*x^21 + 378707154001*x^20 - 50244928667*x^19 - 423893615690*x^18 + 91612260006*x^17 + 359076824779*x^16 - 99839638491*x^15 - 225339873833*x^14 + 71579049873*x^13 + 102296627147*x^12 - 33874254645*x^11 - 32856273912*x^10 + 10215182337*x^9 + 7339089586*x^8 - 1810572153*x^7 - 1103187240*x^6 + 146357195*x^5 + 96971111*x^4 + 1005405*x^3 - 2415634*x^2 - 141540*x + 2535, 2*x^47 - 6*x^46 - 140*x^45 + 420*x^44 + 4550*x^43 - 13636*x^42 - 91201*x^41 + 272668*x^40 + 1263212*x^39 - 3760796*x^38 - 12839002*x^37 + 37971421*x^36 + 99257688*x^35 - 290682757*x^34 - 597132574*x^33 + 1724198985*x^32 + 2836907053*x^31 - 8029435781*x^30 - 10743431166*x^29 + 29566578190*x^28 + 32611723415*x^27 - 86282199104*x^26 - 79572835840*x^25 + 199134858607*x^24 + 156210507324*x^23 - 361146009969*x^22 - 246614967413*x^21 + 508838346314*x^20 + 312578028886*x^19 - 547202749739*x^18 - 316794857035*x^17 + 437256001832*x^16 + 254228492732*x^15 - 248889690301*x^14 - 157967122789*x^13 + 93648435777*x^12 + 72617308893*x^11 - 19520408957*x^10 - 22701534962*x^9 + 676953696*x^8 + 4120735838*x^7 + 557703098*x^6 - 293553334*x^5 - 73588792*x^4 - 5846754*x^3 - 2379578*x^2 - 391410*x + 1176, 2*x^47 - 8*x^46 - 136*x^45 + 568*x^44 + 4258*x^43 - 18704*x^42 - 81378*x^41 + 379415*x^40 + 1060872*x^39 - 5311242*x^38 - 9979276*x^37 + 54470296*x^36 + 69811438*x^35 - 424076516*x^34 - 368217861*x^33 + 2562747460*x^32 + 1463165956*x^31 - 12189228808*x^30 - 4291424113*x^29 + 45999960869*x^28 + 8711110604*x^27 - 138231560704*x^26 - 9532376937*x^25 + 330709363872*x^24 - 5962596157*x^23 - 627616567506*x^22 + 48446084320*x^21 + 938158738558*x^20 - 104909600319*x^19 - 1092736806103*x^18 + 134971342047*x^17 + 976962225117*x^16 - 109990875101*x^15 - 656830588751*x^14 + 51691095401*x^13 + 322723819468*x^12 - 7102176988*x^11 - 111001593790*x^10 - 6111983922*x^9 + 24798568864*x^8 + 3638298558*x^7 - 3061885474*x^6 - 765311810*x^5 + 123752434*x^4 + 52802688*x^3 + 3534620*x^2 - 93668*x + 6150, x^47 - 4*x^46 - 67*x^45 + 283*x^44 + 2054*x^43 - 9279*x^42 - 38063*x^41 + 187189*x^40 + 473589*x^39 - 2601458*x^38 - 4139477*x^37 + 26427089*x^36 + 25600520*x^35 - 203209938*x^34 - 107007541*x^33 + 1208520975*x^32 + 237767670*x^31 - 5632011263*x^30 + 330534315*x^29 + 20714936055*x^28 - 5436886023*x^27 - 60287837778*x^26 + 25863587936*x^25 + 138654026377*x^24 - 78713931095*x^23 - 250785913718*x^22 + 171661774594*x^21 + 353873411377*x^20 - 276849488369*x^19 - 385355311111*x^18 + 331629565399*x^17 + 319847005438*x^16 - 291942966392*x^15 - 200103554327*x^14 + 184563052926*x^13 + 93920938175*x^12 - 80678511855*x^11 - 33199238336*x^10 + 22925355893*x^9 + 8746388561*x^8 - 3757677107*x^7 - 1564634034*x^6 + 246099335*x^5 + 144568977*x^4 + 6942973*x^3 - 2106743*x^2 - 97897*x + 10719, x^47 - 3*x^46 - 71*x^45 + 213*x^44 + 2345*x^43 - 7025*x^42 - 47866*x^41 + 142932*x^40 + 676641*x^39 - 2009446*x^38 - 7035546*x^37 + 20720896*x^36 + 55785173*x^35 - 162372231*x^34 - 345127571*x^33 + 988549830*x^32 + 1690834074*x^31 - 4740976359*x^30 - 6620449255*x^29 + 18054945742*x^28 + 20823590137*x^27 - 54791347082*x^26 - 52712136032*x^25 + 132457005118*x^24 + 107298823278*x^23 - 254072147166*x^22 - 175096930020*x^21 + 383665514405*x^20 + 227940060164*x^19 - 450506420496*x^18 - 235160278727*x^17 + 403965865511*x^16 + 190613454788*x^15 - 269485743025*x^14 - 119826721809*x^13 + 128666723693*x^12 + 57064238476*x^11 - 41330002945*x^10 - 19657195566*x^9 + 7941723235*x^8 + 4480829949*x^7 - 651075480*x^6 - 568947532*x^5 - 22682803*x^4 + 26235139*x^3 + 3905950*x^2 + 53943*x - 7644, x^47 - 3*x^46 - 71*x^45 + 218*x^44 + 2326*x^43 - 7338*x^42 - 46637*x^41 + 151924*x^40 + 639946*x^39 - 2166533*x^38 - 6364333*x^37 + 22584342*x^36 + 47366548*x^35 - 178237158*x^34 - 268340482*x^33 + 1088352269*x^32 + 1163693666*x^31 - 5210611977*x^30 - 3839369158*x^29 + 19703396385*x^28 + 9408375133*x^27 - 59005882919*x^26 - 16032525466*x^25 + 139760483841*x^24 + 14906473464*x^23 - 260499417112*x^22 + 6835821205*x^21 + 378707154001*x^20 - 50244928667*x^19 - 423893615690*x^18 + 91612260006*x^17 + 359076824779*x^16 - 99839638491*x^15 - 225339873833*x^14 + 71579049873*x^13 + 102296627147*x^12 - 33874254645*x^11 - 32856273912*x^10 + 10215182337*x^9 + 7339089586*x^8 - 1810572153*x^7 - 1103187240*x^6 + 146357195*x^5 + 96971111*x^4 + 1005405*x^3 - 2415634*x^2 - 141540*x + 2535, x^47 - 4*x^46 - 67*x^45 + 283*x^44 + 2054*x^43 - 9279*x^42 - 38063*x^41 + 187189*x^40 + 473589*x^39 - 2601458*x^38 - 4139477*x^37 + 26427089*x^36 + 25600520*x^35 - 203209938*x^34 - 107007541*x^33 + 1208520975*x^32 + 237767670*x^31 - 5632011263*x^30 + 330534315*x^29 + 20714936055*x^28 - 5436886023*x^27 - 60287837778*x^26 + 25863587936*x^25 + 138654026377*x^24 - 78713931095*x^23 - 250785913718*x^22 + 171661774594*x^21 + 353873411377*x^20 - 276849488369*x^19 - 385355311111*x^18 + 331629565399*x^17 + 319847005438*x^16 - 291942966392*x^15 - 200103554327*x^14 + 184563052926*x^13 + 93920938175*x^12 - 80678511855*x^11 - 33199238336*x^10 + 22925355893*x^9 + 8746388561*x^8 - 3757677107*x^7 - 1564634034*x^6 + 246099335*x^5 + 144568977*x^4 + 6942973*x^3 - 2106743*x^2 - 97897*x + 10719, x^47 - 3*x^46 - 71*x^45 + 213*x^44 + 2345*x^43 - 7025*x^42 - 47866*x^41 + 142932*x^40 + 676641*x^39 - 2009446*x^38 - 7035546*x^37 + 20720896*x^36 + 55785173*x^35 - 162372231*x^34 - 345127571*x^33 + 988549830*x^32 + 1690834074*x^31 - 4740976359*x^30 - 6620449255*x^29 + 18054945742*x^28 + 20823590137*x^27 - 54791347082*x^26 - 52712136032*x^25 + 132457005118*x^24 + 107298823278*x^23 - 254072147166*x^22 - 175096930020*x^21 + 383665514405*x^20 + 227940060164*x^19 - 450506420496*x^18 - 235160278727*x^17 + 403965865511*x^16 + 190613454788*x^15 - 269485743025*x^14 - 119826721809*x^13 + 128666723693*x^12 + 57064238476*x^11 - 41330002945*x^10 - 19657195566*x^9 + 7941723235*x^8 + 4480829949*x^7 - 651075480*x^6 - 568947532*x^5 - 22682803*x^4 + 26235139*x^3 + 3905950*x^2 + 53943*x - 7644, 3*x^46 - 10*x^45 - 202*x^44 + 682*x^43 + 6300*x^42 - 21553*x^41 - 120884*x^40 + 419147*x^39 + 1598764*x^38 - 5618078*x^37 - 15475493*x^36 + 55088351*x^35 + 113635780*x^34 - 409367658*x^33 - 647514626*x^32 + 2356560378*x^31 + 2905205991*x^30 - 10652077982*x^29 - 10357239262*x^28 + 38097286504*x^27 + 29490260034*x^26 - 108136270014*x^25 - 67208629833*x^24 + 243363500427*x^23 + 122598959432*x^22 - 432203850921*x^21 - 178752732953*x^20 + 600450589398*x^19 + 207879587166*x^18 - 643900105889*x^17 - 192346944649*x^16 + 522844476383*x^15 + 141002198845*x^14 - 312825264968*x^13 - 80962826184*x^12 + 132557729139*x^11 + 35346720863*x^10 - 37402262453*x^9 - 11005934591*x^8 + 6286518291*x^7 + 2169318114*x^6 - 478144768*x^5 - 215029246*x^4 + 223202*x^3 + 5226450*x^2 + 290886*x - 5070, 2*x^46 - 6*x^45 - 135*x^44 + 404*x^43 + 4232*x^42 - 12608*x^41 - 81862*x^40 + 242175*x^39 + 1095054*x^38 - 3206539*x^37 - 10759970*x^36 + 31061454*x^35 + 80523939*x^34 - 228015363*x^33 - 469652720*x^32 + 1296319824*x^31 + 2166841336*x^30 - 5783851997*x^29 - 7982184913*x^28 + 20397877927*x^27 + 23600643202*x^26 - 56988693372*x^25 - 56116974549*x^24 + 125849483562*x^23 + 107236019081*x^22 - 218154300923*x^21 - 164205828717*x^20 + 293156717178*x^19 + 200475780314*x^18 - 299333820705*x^17 - 193700096303*x^16 + 224949670187*x^15 + 146390889833*x^14 - 117834837756*x^13 - 84736320942*x^12 + 38449692655*x^11 + 36041713363*x^10 - 5243521327*x^9 - 10368819563*x^8 - 994962269*x^7 + 1695248328*x^6 + 488582520*x^5 - 92605580*x^4 - 54540332*x^3 - 5510980*x^2 + 171076*x + 19758, 2*x^46 - 6*x^45 - 132*x^44 + 392*x^43 + 4041*x^42 - 11812*x^41 - 76284*x^40 + 217772*x^39 + 996104*x^38 - 2747667*x^37 - 9570608*x^36 + 25138463*x^35 + 70303976*x^34 - 172367124*x^33 - 405230955*x^32 + 902569676*x^31 + 1867262844*x^30 - 3642386128*x^29 - 6973186500*x^28 + 11341410944*x^27 + 21306958890*x^26 - 27052368621*x^25 - 53542839017*x^24 + 48519813456*x^23 + 110628649750*x^22 - 62860648905*x^21 - 186679356475*x^20 + 53209919887*x^19 + 253673132667*x^18 - 18705232889*x^17 - 271572915155*x^16 - 17657284804*x^15 + 222201349554*x^14 + 32121427159*x^13 - 133444269601*x^12 - 24830796563*x^11 + 55717224521*x^10 + 11847988771*x^9 - 14984433080*x^8 - 3662091360*x^7 + 2294782630*x^6 + 672692764*x^5 - 147700016*x^4 - 56554590*x^3 - 550816*x^2 + 718388*x + 6570, 4*x^46 - 12*x^45 - 276*x^44 + 832*x^43 + 8827*x^42 - 26760*x^41 - 173708*x^40 + 530190*x^39 + 2354838*x^38 - 7246783*x^37 - 23327562*x^36 + 72521399*x^35 + 174800950*x^34 - 550388117*x^33 - 1011769095*x^32 + 3237560711*x^31 + 4579283058*x^30 - 14959381122*x^29 - 16303081589*x^28 + 54697876650*x^27 + 45694147176*x^26 - 158698034711*x^25 - 100452648576*x^24 + 364861242979*x^23 + 171835731245*x^22 - 661204040960*x^21 - 226064767634*x^20 + 935547351887*x^19 + 225704194143*x^18 - 1018765401082*x^17 - 169806931988*x^16 + 836525671063*x^15 + 98379576283*x^14 - 503357076049*x^13 - 47755669981*x^12 + 213172682873*x^11 + 21301857532*x^10 - 59820853334*x^9 - 7922499012*x^8 + 10016841786*x^7 + 1857410674*x^6 - 775219118*x^5 - 190391146*x^4 + 6237076*x^3 + 1335078*x^2 - 248542*x + 8118, x^46 - 3*x^45 - 69*x^44 + 215*x^43 + 2187*x^42 - 7125*x^41 - 42195*x^40 + 145023*x^39 + 553247*x^38 - 2030896*x^37 - 5206608*x^36 + 20771799*x^35 + 36139823*x^34 - 160751760*x^33 - 186447774*x^32 + 962197630*x^31 + 704506565*x^30 - 4514897814*x^29 - 1834312400*x^28 + 16731990100*x^27 + 2544806080*x^26 - 49108775860*x^25 + 2412220676*x^24 + 114002568599*x^23 - 23867045552*x^22 - 208255672998*x^21 + 70017988048*x^20 + 296725787907*x^19 - 128784421521*x^18 - 325608680336*x^17 + 164154230073*x^16 + 270744820791*x^15 - 147446797099*x^14 - 167377285662*x^13 + 91896222723*x^12 + 75423449022*x^11 - 38199585381*x^10 - 24295459161*x^9 + 9867888999*x^8 + 5425085803*x^7 - 1378214488*x^6 - 765455106*x^5 + 65130804*x^4 + 52334069*x^3 + 2726064*x^2 - 491571*x - 11586, x^46 - x^45 - 76*x^44 + 82*x^43 + 2659*x^42 - 3028*x^41 - 56952*x^40 + 67389*x^39 + 837356*x^38 - 1017451*x^37 - 8979272*x^36 + 11099428*x^35 + 72816165*x^34 - 90851950*x^33 - 456861636*x^32 + 571356134*x^31 + 2250071373*x^30 - 2801871371*x^29 - 8774832694*x^28 + 10805567163*x^27 + 27214514950*x^26 - 32887548057*x^25 - 67179729449*x^24 + 78926607926*x^23 + 131699547455*x^22 - 148585275283*x^21 - 204017452934*x^20 + 217263124943*x^19 + 247844154524*x^18 - 242906041088*x^17 - 233711112910*x^16 + 202812116376*x^15 + 168822512723*x^14 - 122029625538*x^13 - 91750683980*x^12 + 49963289150*x^11 + 36454045696*x^10 - 12503162924*x^9 - 10022328460*x^8 + 1417555460*x^7 + 1695831075*x^6 + 56765196*x^5 - 133486102*x^4 - 22386983*x^3 + 1076863*x^2 + 342133*x + 4530, x^46 - 81*x^44 + 22*x^43 + 2988*x^42 - 1407*x^41 - 66948*x^40 + 41537*x^39 + 1023472*x^38 - 751332*x^37 - 11355851*x^36 + 9320800*x^35 + 94885256*x^34 - 84113671*x^33 - 611050600*x^32 + 571483240*x^31 + 3077179215*x^30 - 2984621452*x^29 - 12220147550*x^28 + 12127146964*x^27 + 38410615744*x^26 - 38555581706*x^25 - 95531844529*x^24 + 95957864866*x^23 + 187262337241*x^22 - 186136740403*x^21 - 287137582569*x^20 + 278754582339*x^19 + 340583465833*x^18 - 317353430179*x^17 - 307896236717*x^16 + 268383749332*x^15 + 208263525336*x^14 - 162977518447*x^13 - 103103155506*x^12 + 67551440957*x^11 + 36332568487*x^10 - 17626293596*x^9 - 8692352614*x^8 + 2483411580*x^7 + 1256288995*x^6 - 114595453*x^5 - 78011178*x^4 - 4678733*x^3 - 649289*x^2 - 198857*x + 588, x^46 - 81*x^44 + 22*x^43 + 2988*x^42 - 1407*x^41 - 66948*x^40 + 41537*x^39 + 1023472*x^38 - 751332*x^37 - 11355851*x^36 + 9320800*x^35 + 94885256*x^34 - 84113671*x^33 - 611050600*x^32 + 571483240*x^31 + 3077179215*x^30 - 2984621452*x^29 - 12220147550*x^28 + 12127146964*x^27 + 38410615744*x^26 - 38555581706*x^25 - 95531844529*x^24 + 95957864866*x^23 + 187262337241*x^22 - 186136740403*x^21 - 287137582569*x^20 + 278754582339*x^19 + 340583465833*x^18 - 317353430179*x^17 - 307896236717*x^16 + 268383749332*x^15 + 208263525336*x^14 - 162977518447*x^13 - 103103155506*x^12 + 67551440957*x^11 + 36332568487*x^10 - 17626293596*x^9 - 8692352614*x^8 + 2483411580*x^7 + 1256288995*x^6 - 114595453*x^5 - 78011178*x^4 - 4678733*x^3 - 649289*x^2 - 198857*x + 588, x^46 - 3*x^45 - 69*x^44 + 215*x^43 + 2187*x^42 - 7125*x^41 - 42195*x^40 + 145023*x^39 + 553247*x^38 - 2030896*x^37 - 5206608*x^36 + 20771799*x^35 + 36139823*x^34 - 160751760*x^33 - 186447774*x^32 + 962197630*x^31 + 704506565*x^30 - 4514897814*x^29 - 1834312400*x^28 + 16731990100*x^27 + 2544806080*x^26 - 49108775860*x^25 + 2412220676*x^24 + 114002568599*x^23 - 23867045552*x^22 - 208255672998*x^21 + 70017988048*x^20 + 296725787907*x^19 - 128784421521*x^18 - 325608680336*x^17 + 164154230073*x^16 + 270744820791*x^15 - 147446797099*x^14 - 167377285662*x^13 + 91896222723*x^12 + 75423449022*x^11 - 38199585381*x^10 - 24295459161*x^9 + 9867888999*x^8 + 5425085803*x^7 - 1378214488*x^6 - 765455106*x^5 + 65130804*x^4 + 52334069*x^3 + 2726064*x^2 - 491571*x - 11586, x^46 - x^45 - 76*x^44 + 82*x^43 + 2659*x^42 - 3028*x^41 - 56952*x^40 + 67389*x^39 + 837356*x^38 - 1017451*x^37 - 8979272*x^36 + 11099428*x^35 + 72816165*x^34 - 90851950*x^33 - 456861636*x^32 + 571356134*x^31 + 2250071373*x^30 - 2801871371*x^29 - 8774832694*x^28 + 10805567163*x^27 + 27214514950*x^26 - 32887548057*x^25 - 67179729449*x^24 + 78926607926*x^23 + 131699547455*x^22 - 148585275283*x^21 - 204017452934*x^20 + 217263124943*x^19 + 247844154524*x^18 - 242906041088*x^17 - 233711112910*x^16 + 202812116376*x^15 + 168822512723*x^14 - 122029625538*x^13 - 91750683980*x^12 + 49963289150*x^11 + 36454045696*x^10 - 12503162924*x^9 - 10022328460*x^8 + 1417555460*x^7 + 1695831075*x^6 + 56765196*x^5 - 133486102*x^4 - 22386983*x^3 + 1076863*x^2 + 342133*x + 4530, x^46 - 3*x^45 - 66*x^44 + 200*x^43 + 2021*x^42 - 6198*x^41 - 38133*x^40 + 118657*x^39 + 496514*x^38 - 1572938*x^37 - 4733375*x^36 + 15336519*x^35 + 34195707*x^34 - 114021336*x^33 - 191059667*x^32 + 661135209*x^31 + 834555001*x^30 - 3031859478*x^29 - 2858608251*x^28 + 11082127240*x^27 + 7642133165*x^26 - 32377672074*x^25 - 15712504102*x^24 + 75483875849*x^23 + 24071716982*x^22 - 139584164508*x^21 - 25575911925*x^20 + 202577039297*x^19 + 14923907528*x^18 - 227143852025*x^17 + 2832152501*x^16 + 192577814490*x^15 - 14679403604*x^14 - 120019710450*x^13 + 14044911241*x^12 + 53098818246*x^11 - 7050906857*x^10 - 16040268316*x^9 + 1942679590*x^8 + 3188587886*x^7 - 261172387*x^6 - 398112049*x^5 + 4390357*x^4 + 26883685*x^3 + 2802443*x^2 - 92929*x - 2655, x^46 - 3*x^45 - 66*x^44 + 200*x^43 + 2021*x^42 - 6198*x^41 - 38133*x^40 + 118657*x^39 + 496514*x^38 - 1572938*x^37 - 4733375*x^36 + 15336519*x^35 + 34195707*x^34 - 114021336*x^33 - 191059667*x^32 + 661135209*x^31 + 834555001*x^30 - 3031859478*x^29 - 2858608251*x^28 + 11082127240*x^27 + 7642133165*x^26 - 32377672074*x^25 - 15712504102*x^24 + 75483875849*x^23 + 24071716982*x^22 - 139584164508*x^21 - 25575911925*x^20 + 202577039297*x^19 + 14923907528*x^18 - 227143852025*x^17 + 2832152501*x^16 + 192577814490*x^15 - 14679403604*x^14 - 120019710450*x^13 + 14044911241*x^12 + 53098818246*x^11 - 7050906857*x^10 - 16040268316*x^9 + 1942679590*x^8 + 3188587886*x^7 - 261172387*x^6 - 398112049*x^5 + 4390357*x^4 + 26883685*x^3 + 2802443*x^2 - 92929*x - 2655, x^46 - 4*x^45 - 62*x^44 + 270*x^43 + 1724*x^42 - 8421*x^41 - 28012*x^40 + 161045*x^39 + 286126*x^38 - 2113234*x^37 - 1743891*x^36 + 20171765*x^35 + 3368458*x^34 - 144878312*x^33 + 47917072*x^32 + 798685516*x^31 - 588665937*x^30 - 3416280301*x^29 + 3738394544*x^28 + 11381833651*x^27 - 16322718434*x^26 - 29467732550*x^25 + 52656700664*x^24 + 58769824767*x^23 - 128794691502*x^22 - 88800717827*x^21 + 240724995370*x^20 + 98876524819*x^19 - 343047607047*x^18 - 77528955110*x^17 + 369158653698*x^16 + 39722499401*x^15 - 295074204303*x^14 - 12098505865*x^13 + 170987136937*x^12 + 3186622158*x^11 - 69338924322*x^10 - 2494481245*x^9 + 18605498217*x^8 + 1630353877*x^7 - 2963788979*x^6 - 488101265*x^5 + 209058910*x^4 + 55274494*x^3 + 660722*x^2 - 466118*x - 240, 2*x^46 - 3*x^45 - 152*x^44 + 234*x^43 + 5334*x^42 - 8376*x^41 - 114827*x^40 + 182964*x^39 + 1699039*x^38 - 2734302*x^37 - 18346744*x^36 + 29693191*x^35 + 149821447*x^34 - 242838536*x^33 - 946048622*x^32 + 1529189912*x^31 + 4683947710*x^30 - 7516017963*x^29 - 18330816298*x^28 + 29049553508*x^27 + 56914036770*x^26 - 88521505804*x^25 - 140201320946*x^24 + 212312337849*x^23 + 273176447355*x^22 - 398399874792*x^21 - 418532208511*x^20 + 578661575049*x^19 + 499960732064*x^18 - 639907644214*x^17 - 460675585877*x^16 + 525806704909*x^15 + 323165199401*x^14 - 309677548821*x^13 - 169667165222*x^12 + 123630428110*x^11 + 64809219849*x^10 - 30365826961*x^9 - 16971897779*x^8 + 3672244581*x^7 + 2665373985*x^6 - 37056366*x^5 - 185430378*x^4 - 21087024*x^3 + 2234012*x^2 + 395182*x + 7806, x^46 - 2*x^45 - 71*x^44 + 143*x^43 + 2331*x^42 - 4732*x^41 - 46968*x^40 + 96233*x^39 + 650038*x^38 - 1346988*x^37 - 6552455*x^36 + 13772263*x^35 + 49766677*x^34 - 106543049*x^33 - 290573480*x^32 + 637366336*x^31 + 1318486055*x^30 - 2988154105*x^29 - 4666600612*x^28 + 11060981200*x^27 + 12844038217*x^26 - 32417059210*x^25 - 27190211609*x^24 + 75130647559*x^23 + 43273671580*x^22 - 137010118532*x^21 - 49437631024*x^20 + 194860742051*x^19 + 36198328519*x^18 - 213334811100*x^17 - 9979534011*x^16 + 176650065995*x^15 - 10027865718*x^14 - 108181945669*x^13 + 13187581486*x^12 + 47691898939*x^11 - 6785436197*x^10 - 14645850093*x^9 + 1640750856*x^8 + 2971444477*x^7 - 113076842*x^6 - 346129935*x^5 - 16825979*x^4 + 15356927*x^3 + 941939*x^2 - 255555*x - 15249, 2*x^46 - 4*x^45 - 142*x^44 + 280*x^43 + 4664*x^42 - 9037*x^41 - 94146*x^40 + 178596*x^39 + 1308624*x^38 - 2420616*x^37 - 13300187*x^36 + 23880886*x^35 + 102432276*x^34 - 177632908*x^33 - 611309150*x^32 + 1018079641*x^31 + 2866799217*x^30 - 4555706827*x^29 - 10650407584*x^28 + 16029758799*x^27 + 31457764502*x^26 - 44448137131*x^25 - 73857118142*x^24 + 96912303903*x^23 + 137327292396*x^22 - 165043924552*x^21 - 200776079452*x^20 + 216962197268*x^19 + 228309513212*x^18 - 216146020156*x^17 - 198865519399*x^16 + 158717232661*x^15 + 129938237765*x^14 - 82299314485*x^13 - 61851267353*x^12 + 28070206032*x^11 + 20516703826*x^10 - 5489118162*x^9 - 4382725778*x^8 + 408715366*x^7 + 506963010*x^6 + 21671298*x^5 - 19641898*x^4 - 1624818*x^3 + 114070*x^2 - 4756*x, 2*x^46 - 8*x^45 - 132*x^44 + 556*x^43 + 3994*x^42 - 17890*x^41 - 73360*x^40 + 353907*x^39 + 912228*x^38 - 4821034*x^37 - 8097859*x^36 + 48001900*x^35 + 52582571*x^34 - 361899500*x^33 - 250204385*x^32 + 2111919643*x^31 + 846589016*x^30 - 9670113018*x^29 - 1808163759*x^28 + 35010432250*x^27 + 969612891*x^26 - 100539461221*x^25 + 9132715106*x^24 + 228830462851*x^23 - 40623408015*x^22 - 410969248044*x^21 + 97838235679*x^20 + 577698756113*x^19 - 159332409540*x^18 - 627982143104*x^17 + 183469308289*x^16 + 519243310377*x^15 - 148929117909*x^14 - 319553608108*x^13 + 82476634582*x^12 + 142301029978*x^11 - 29030316468*x^10 - 44125311538*x^9 + 5524645158*x^8 + 8961144994*x^7 - 266648104*x^6 - 1049911100*x^5 - 69708796*x^4 + 50745820*x^3 + 7256646*x^2 + 35724*x - 336, x^46 - 2*x^45 - 70*x^44 + 136*x^43 + 2279*x^42 - 4289*x^41 - 45823*x^40 + 83269*x^39 + 637211*x^38 - 1114064*x^37 - 6503916*x^36 + 10895362*x^35 + 50472211*x^34 - 80627096*x^33 - 304402540*x^32 + 461085859*x^31 + 1446490140*x^30 - 2063453835*x^29 - 5459491161*x^28 + 7273502749*x^27 + 16429662340*x^26 - 20229284611*x^25 - 39441019331*x^24 + 44284085319*x^23 + 75343324390*x^22 - 75812694683*x^21 - 113933619221*x^20 + 100418327419*x^19 + 135274378625*x^18 - 101312828068*x^17 - 124611286789*x^16 + 76156358517*x^15 + 87519215979*x^14 - 41308907322*x^13 - 45648518281*x^12 + 15357835681*x^11 + 16976676234*x^10 - 3530628837*x^9 - 4223657124*x^8 + 364810957*x^7 + 631322830*x^6 + 18120199*x^5 - 43265404*x^4 - 5743104*x^3 - 87083*x^2 - 87941*x - 11319, x^46 - 2*x^45 - 72*x^44 + 143*x^43 + 2406*x^42 - 4741*x^41 - 49537*x^40 + 96732*x^39 + 703582*x^38 - 1359537*x^37 - 7314921*x^36 + 13961514*x^35 + 57656628*x^34 - 108447952*x^33 - 352143354*x^32 + 650819849*x^31 + 1689431582*x^30 - 3056127249*x^29 - 6418032952*x^28 + 11304633987*x^27 + 19382653949*x^26 - 33001765616*x^25 - 46571455576*x^24 + 75853318534*x^23 + 88881159973*x^22 - 136350072386*x^21 - 134271793289*x^20 + 189465684709*x^19 + 159812695632*x^18 - 199892032127*x^17 - 149017963256*x^16 + 155803894660*x^15 + 108036923228*x^14 - 85884522557*x^13 - 60057004882*x^12 + 30903588749*x^11 + 24811050184*x^10 - 5901037498*x^9 - 7106361860*x^8 - 2399438*x^7 + 1213586300*x^6 + 235219437*x^5 - 80676022*x^4 - 33580405*x^3 - 3055390*x^2 + 79172*x + 8271, x^46 - 2*x^45 - 71*x^44 + 137*x^43 + 2351*x^42 - 4349*x^41 - 48262*x^40 + 84970*x^39 + 688674*x^38 - 1144548*x^37 - 7258967*x^36 + 11284309*x^35 + 58622163*x^34 - 84384053*x^33 - 371253352*x^32 + 489466282*x^31 + 1871377449*x^30 - 2233669453*x^29 - 7575989668*x^28 + 8087549872*x^27 + 24741266082*x^26 - 23326267652*x^25 - 65212928519*x^24 + 53592522469*x^23 + 138302886884*x^22 - 97677894885*x^21 - 234425714716*x^20 + 139936396094*x^19 + 314247700505*x^18 - 155038848319*x^17 - 328197340851*x^16 + 129235068829*x^15 + 261665828869*x^14 - 77242772146*x^13 - 154913572149*x^12 + 30066113017*x^11 + 65497786219*x^10 - 5736258592*x^9 - 18616676998*x^8 - 453822396*x^7 + 3178067959*x^6 + 438679749*x^5 - 243280186*x^4 - 62332432*x^3 - 540149*x^2 + 597739*x + 867, x^46 - 2*x^45 - 71*x^44 + 143*x^43 + 2331*x^42 - 4732*x^41 - 46968*x^40 + 96233*x^39 + 650038*x^38 - 1346988*x^37 - 6552455*x^36 + 13772263*x^35 + 49766677*x^34 - 106543049*x^33 - 290573480*x^32 + 637366336*x^31 + 1318486055*x^30 - 2988154105*x^29 - 4666600612*x^28 + 11060981200*x^27 + 12844038217*x^26 - 32417059210*x^25 - 27190211609*x^24 + 75130647559*x^23 + 43273671580*x^22 - 137010118532*x^21 - 49437631024*x^20 + 194860742051*x^19 + 36198328519*x^18 - 213334811100*x^17 - 9979534011*x^16 + 176650065995*x^15 - 10027865718*x^14 - 108181945669*x^13 + 13187581486*x^12 + 47691898939*x^11 - 6785436197*x^10 - 14645850093*x^9 + 1640750856*x^8 + 2971444477*x^7 - 113076842*x^6 - 346129935*x^5 - 16825979*x^4 + 15356927*x^3 + 941939*x^2 - 255555*x - 15249, x^46 - 2*x^45 - 70*x^44 + 136*x^43 + 2279*x^42 - 4289*x^41 - 45823*x^40 + 83269*x^39 + 637211*x^38 - 1114064*x^37 - 6503916*x^36 + 10895362*x^35 + 50472211*x^34 - 80627096*x^33 - 304402540*x^32 + 461085859*x^31 + 1446490140*x^30 - 2063453835*x^29 - 5459491161*x^28 + 7273502749*x^27 + 16429662340*x^26 - 20229284611*x^25 - 39441019331*x^24 + 44284085319*x^23 + 75343324390*x^22 - 75812694683*x^21 - 113933619221*x^20 + 100418327419*x^19 + 135274378625*x^18 - 101312828068*x^17 - 124611286789*x^16 + 76156358517*x^15 + 87519215979*x^14 - 41308907322*x^13 - 45648518281*x^12 + 15357835681*x^11 + 16976676234*x^10 - 3530628837*x^9 - 4223657124*x^8 + 364810957*x^7 + 631322830*x^6 + 18120199*x^5 - 43265404*x^4 - 5743104*x^3 - 87083*x^2 - 87941*x - 11319, x^46 - 2*x^45 - 72*x^44 + 143*x^43 + 2406*x^42 - 4741*x^41 - 49537*x^40 + 96732*x^39 + 703582*x^38 - 1359537*x^37 - 7314921*x^36 + 13961514*x^35 + 57656628*x^34 - 108447952*x^33 - 352143354*x^32 + 650819849*x^31 + 1689431582*x^30 - 3056127249*x^29 - 6418032952*x^28 + 11304633987*x^27 + 19382653949*x^26 - 33001765616*x^25 - 46571455576*x^24 + 75853318534*x^23 + 88881159973*x^22 - 136350072386*x^21 - 134271793289*x^20 + 189465684709*x^19 + 159812695632*x^18 - 199892032127*x^17 - 149017963256*x^16 + 155803894660*x^15 + 108036923228*x^14 - 85884522557*x^13 - 60057004882*x^12 + 30903588749*x^11 + 24811050184*x^10 - 5901037498*x^9 - 7106361860*x^8 - 2399438*x^7 + 1213586300*x^6 + 235219437*x^5 - 80676022*x^4 - 33580405*x^3 - 3055390*x^2 + 79172*x + 8271, x^46 - 2*x^45 - 71*x^44 + 137*x^43 + 2351*x^42 - 4349*x^41 - 48262*x^40 + 84970*x^39 + 688674*x^38 - 1144548*x^37 - 7258967*x^36 + 11284309*x^35 + 58622163*x^34 - 84384053*x^33 - 371253352*x^32 + 489466282*x^31 + 1871377449*x^30 - 2233669453*x^29 - 7575989668*x^28 + 8087549872*x^27 + 24741266082*x^26 - 23326267652*x^25 - 65212928519*x^24 + 53592522469*x^23 + 138302886884*x^22 - 97677894885*x^21 - 234425714716*x^20 + 139936396094*x^19 + 314247700505*x^18 - 155038848319*x^17 - 328197340851*x^16 + 129235068829*x^15 + 261665828869*x^14 - 77242772146*x^13 - 154913572149*x^12 + 30066113017*x^11 + 65497786219*x^10 - 5736258592*x^9 - 18616676998*x^8 - 453822396*x^7 + 3178067959*x^6 + 438679749*x^5 - 243280186*x^4 - 62332432*x^3 - 540149*x^2 + 597739*x + 867, x^45 - 75*x^43 + 8*x^42 + 2601*x^41 - 514*x^40 - 55397*x^39 + 15238*x^38 + 811598*x^37 - 276594*x^36 - 8681040*x^35 + 3439712*x^34 + 70219355*x^33 - 31070410*x^32 - 438978974*x^31 + 210873451*x^30 + 2149341711*x^29 - 1097220185*x^28 - 8302962181*x^27 + 4426423790*x^26 + 25375737758*x^25 - 13910577631*x^24 - 61286342660*x^23 + 34027785783*x^22 + 116418517762*x^21 - 64404991685*x^20 - 172519216157*x^19 + 93234824059*x^18 + 197110726337*x^17 - 101360715421*x^16 - 170967175778*x^15 + 80525522460*x^14 + 110387684182*x^13 - 44867674469*x^12 - 51749691490*x^11 + 16415043176*x^10 + 17017104793*x^9 - 3478584484*x^8 - 3701797437*x^7 + 290764556*x^6 + 470100188*x^5 + 19526090*x^4 - 25053830*x^3 - 3376377*x^2 - 12153*x + 168, x^45 - 75*x^43 + 8*x^42 + 2601*x^41 - 514*x^40 - 55397*x^39 + 15238*x^38 + 811598*x^37 - 276594*x^36 - 8681040*x^35 + 3439712*x^34 + 70219355*x^33 - 31070410*x^32 - 438978974*x^31 + 210873451*x^30 + 2149341711*x^29 - 1097220185*x^28 - 8302962181*x^27 + 4426423790*x^26 + 25375737758*x^25 - 13910577631*x^24 - 61286342660*x^23 + 34027785783*x^22 + 116418517762*x^21 - 64404991685*x^20 - 172519216157*x^19 + 93234824059*x^18 + 197110726337*x^17 - 101360715421*x^16 - 170967175778*x^15 + 80525522460*x^14 + 110387684182*x^13 - 44867674469*x^12 - 51749691490*x^11 + 16415043176*x^10 + 17017104793*x^9 - 3478584484*x^8 - 3701797437*x^7 + 290764556*x^6 + 470100188*x^5 + 19526090*x^4 - 25053830*x^3 - 3376377*x^2 - 12153*x + 168, 2*x^45 - 5*x^44 - 131*x^43 + 327*x^42 + 3958*x^41 - 9868*x^40 - 73177*x^39 + 182334*x^38 + 925942*x^37 - 2308163*x^36 - 8495233*x^35 + 21221898*x^34 + 58394098*x^33 - 146583393*x^32 - 306293470*x^31 + 775967732*x^30 + 1236222381*x^29 - 3182924024*x^28 - 3837839665*x^27 + 10159161369*x^26 + 9071598468*x^25 - 25188816951*x^24 - 15916887203*x^23 + 48145974190*x^22 + 19539242454*x^21 - 69912792729*x^20 - 13975070233*x^19 + 75284425965*x^18 - 278965949*x^17 - 57815471995*x^16 + 13655414256*x^15 + 29638712185*x^14 - 17082561065*x^13 - 8956209927*x^12 + 11730982767*x^11 + 1233747585*x^10 - 5043802644*x^9 - 143987985*x^8 + 1332684354*x^7 + 125734475*x^6 - 181303373*x^5 - 38348780*x^4 + 5679638*x^3 + 2247162*x^2 + 214232*x + 8784, 2*x^45 - 5*x^44 - 131*x^43 + 327*x^42 + 3958*x^41 - 9868*x^40 - 73177*x^39 + 182334*x^38 + 925942*x^37 - 2308163*x^36 - 8495233*x^35 + 21221898*x^34 + 58394098*x^33 - 146583393*x^32 - 306293470*x^31 + 775967732*x^30 + 1236222381*x^29 - 3182924024*x^28 - 3837839665*x^27 + 10159161369*x^26 + 9071598468*x^25 - 25188816951*x^24 - 15916887203*x^23 + 48145974190*x^22 + 19539242454*x^21 - 69912792729*x^20 - 13975070233*x^19 + 75284425965*x^18 - 278965949*x^17 - 57815471995*x^16 + 13655414256*x^15 + 29638712185*x^14 - 17082561065*x^13 - 8956209927*x^12 + 11730982767*x^11 + 1233747585*x^10 - 5043802644*x^9 - 143987985*x^8 + 1332684354*x^7 + 125734475*x^6 - 181303373*x^5 - 38348780*x^4 + 5679638*x^3 + 2247162*x^2 + 214232*x + 8784, 2*x^45 - 4*x^44 - 137*x^43 + 270*x^42 + 4345*x^41 - 8425*x^40 - 84699*x^39 + 161316*x^38 + 1136116*x^37 - 2121666*x^36 - 11124524*x^35 + 20331550*x^34 + 82322171*x^33 - 146940194*x^32 - 470276474*x^31 + 817875324*x^30 + 2100586836*x^29 - 3549362918*x^28 - 7386958042*x^27 + 12082425481*x^26 + 20500973129*x^25 - 32293027073*x^24 - 44849254928*x^23 + 67513092308*x^22 + 77021287690*x^21 - 109457325022*x^20 - 103158044368*x^19 + 135654876545*x^18 + 106854970003*x^17 - 125712833426*x^16 - 84751520579*x^15 + 84206047651*x^14 + 50797672217*x^13 - 38543605794*x^12 - 22470041006*x^11 + 10782694169*x^10 + 6941556066*x^9 - 1289183771*x^8 - 1300362552*x^7 - 123831071*x^6 + 90447909*x^5 + 41026393*x^4 + 6805117*x^3 - 252821*x^2 - 132248*x - 627, 2*x^45 - 4*x^44 - 137*x^43 + 270*x^42 + 4345*x^41 - 8425*x^40 - 84699*x^39 + 161316*x^38 + 1136116*x^37 - 2121666*x^36 - 11124524*x^35 + 20331550*x^34 + 82322171*x^33 - 146940194*x^32 - 470276474*x^31 + 817875324*x^30 + 2100586836*x^29 - 3549362918*x^28 - 7386958042*x^27 + 12082425481*x^26 + 20500973129*x^25 - 32293027073*x^24 - 44849254928*x^23 + 67513092308*x^22 + 77021287690*x^21 - 109457325022*x^20 - 103158044368*x^19 + 135654876545*x^18 + 106854970003*x^17 - 125712833426*x^16 - 84751520579*x^15 + 84206047651*x^14 + 50797672217*x^13 - 38543605794*x^12 - 22470041006*x^11 + 10782694169*x^10 + 6941556066*x^9 - 1289183771*x^8 - 1300362552*x^7 - 123831071*x^6 + 90447909*x^5 + 41026393*x^4 + 6805117*x^3 - 252821*x^2 - 132248*x - 627, 2*x^45 - 4*x^44 - 142*x^43 + 280*x^42 + 4664*x^41 - 9037*x^40 - 94146*x^39 + 178596*x^38 + 1308624*x^37 - 2420616*x^36 - 13300187*x^35 + 23880886*x^34 + 102432276*x^33 - 177632908*x^32 - 611309150*x^31 + 1018079641*x^30 + 2866799217*x^29 - 4555706827*x^28 - 10650407584*x^27 + 16029758799*x^26 + 31457764502*x^25 - 44448137131*x^24 - 73857118142*x^23 + 96912303903*x^22 + 137327292396*x^21 - 165043924552*x^20 - 200776079452*x^19 + 216962197268*x^18 + 228309513212*x^17 - 216146020156*x^16 - 198865519399*x^15 + 158717232661*x^14 + 129938237765*x^13 - 82299314485*x^12 - 61851267353*x^11 + 28070206032*x^10 + 20516703826*x^9 - 5489118162*x^8 - 4382725778*x^7 + 408715366*x^6 + 506963010*x^5 + 21671298*x^4 - 19641898*x^3 - 1624818*x^2 + 114070*x - 4756, 2*x^45 - 6*x^44 - 132*x^43 + 408*x^42 + 4008*x^41 - 12820*x^40 - 74256*x^39 + 247095*x^38 + 938713*x^37 - 3270558*x^36 - 8577820*x^35 + 31537196*x^34 + 58551481*x^33 - 229367027*x^32 - 304231735*x^31 + 1285154095*x^30 + 1214924436*x^29 - 5618099023*x^28 - 3738893584*x^27 + 19287591595*x^26 + 8842631572*x^25 - 52090915316*x^24 - 15972371702*x^23 + 110389541931*x^22 + 21959987808*x^21 - 182327769925*x^20 - 23451061530*x^19 + 232094339200*x^18 + 21360727664*x^17 - 223958224310*x^16 - 19686120255*x^15 + 159968021822*x^14 + 18663612170*x^13 - 81644549746*x^12 - 14669425124*x^11 + 28074635254*x^10 + 7836859196*x^9 - 5746321918*x^8 - 2472422852*x^7 + 454424254*x^6 + 380722006*x^5 + 36704110*x^4 - 14889426*x^3 - 4137056*x^2 - 410560*x - 17568, 2*x^45 - 6*x^44 - 132*x^43 + 406*x^42 + 4010*x^41 - 12688*x^40 - 74388*x^39 + 243113*x^38 + 942704*x^37 - 3197838*x^36 - 8651047*x^35 + 30639820*x^34 + 59461995*x^33 - 221460790*x^32 - 312345205*x^31 + 1233961695*x^30 + 1268335918*x^29 - 5371429596*x^28 - 4002604129*x^27 + 18404507888*x^26 + 9822460471*x^25 - 49787985705*x^24 - 18688440156*x^23 + 106257777531*x^22 + 27432163551*x^21 - 178132212520*x^20 - 30971747691*x^19 + 232660323799*x^18 + 27137238578*x^17 - 233760690430*x^16 - 19252122553*x^15 + 177308958821*x^14 + 12121927011*x^13 - 98778239744*x^12 - 7258714356*x^11 + 38801646998*x^10 + 3799769884*x^9 - 10091101952*x^8 - 1432523810*x^7 + 1557550120*x^6 + 314881008*x^5 - 109710724*x^4 - 30656616*x^3 + 638160*x^2 + 503892*x + 11418, 6*x^44 - 16*x^43 - 394*x^42 + 1062*x^41 + 11924*x^40 - 32556*x^39 - 220610*x^38 + 611763*x^37 + 2790597*x^36 - 7886884*x^35 - 25568286*x^34 + 73980992*x^33 + 175339677*x^32 - 522533813*x^31 - 916818675*x^30 + 2837089559*x^29 + 3687369198*x^28 - 11983947071*x^27 - 11414572914*x^26 + 39605914333*x^25 + 26985828508*x^24 - 102468549218*x^23 - 47806146108*x^22 + 206681490311*x^21 + 61038472716*x^20 - 322153355383*x^19 - 51401201996*x^18 + 382663191130*x^17 + 20802795766*x^16 - 339589168300*x^15 + 7624708257*x^14 + 219245446192*x^13 - 15501509960*x^12 - 99556969600*x^11 + 8792540410*x^10 + 30542130424*x^9 - 2250746092*x^8 - 6034297888*x^7 + 192945856*x^6 + 705893204*x^5 + 18115260*x^4 - 39993450*x^3 - 3530150*x^2 + 357268*x + 17904]>
       ]
>;

MOG[919] := 	// J_0(919)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [2, 18, 64, 162, 206, 213, 237, 287, 295, 316, 349, 460, 487, 512, 581, 648, 768, 809, 901, 431*x + 871, 488*x + 871, 757*x + 409, 162*x + 409, 193*x + 375, 726*x + 375, 839*x + 536, 80*x + 536, 98*x + 898, 821*x + 898, 54*x + 731, 865*x + 731, 692*x + 210, 227*x + 210, 88*x + 167, 831*x + 167, 596*x + 862, 323*x + 862, 388*x + 519, 531*x + 519, 550*x + 276, 369*x + 276, 493*x + 19, 426*x + 19, 860*x + 655, 59*x + 655, 289*x + 706, 630*x + 706, 257*x + 916, 662*x + 916, 6*x + 600, 913*x + 600, 622*x + 898, 297*x + 898, 245*x + 646, 674*x + 646, 416*x + 405, 503*x + 405, 755*x + 505, 164*x + 505, 602*x + 806, 317*x + 806, 564*x + 654, 355*x + 654, 237*x + 738, 682*x + 738, 174*x + 224, 745*x + 224, 28*x + 592, 891*x + 592, 747*x + 534, 172*x + 534, 395*x + 627, 524*x + 627, 228*x + 205, 691*x + 205, 892*x, 27*x]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -2, 2, 2*x, -2*x, 0, 0, 0, 0, 0, 0, 0, 0, 2, -2, 0, 0, 2, -2, -x - 1, x + 1, -x + 1, x - 1, 0, 0, 0, 0, -x + 1, x - 1, x - 1, -x + 1, -x - 1, x + 1, 0, 0, -2, 2, 2, -2, 2, -2, -x + 3, x - 3, -4, 4, -x - 1, x + 1, x - 1, -x + 1, -x - 1, x + 1, -2, 2, x - 1, -x + 1, -2, 2, -2, 2]>,
         rec<Eigen |
           DefiningPolynomial := x^27 + 6*x^26 - 21*x^25 - 185*x^24 + 101*x^23 + 2467*x^22 + 1148*x^21 - 18679*x^20 - 18825*x^19 + 88528*x^18 + 122843*x^17 - 272299*x^16 - 470622*x^15 + 541745*x^14 + 1155661*x^13 - 660601*x^12 - 1858591*x^11 + 402782*x^10 + 1934302*x^9 + 30268*x^8 - 1248313*x^7 - 218030*x^6 + 456652*x^5 + 132174*x^4 - 76629*x^3 - 29179*x^2 + 2424*x + 1205,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^25 - 5*x^24 + 23*x^23 + 146*x^22 - 186*x^21 - 1837*x^20 + 325*x^19 + 13082*x^18 + 4803*x^17 - 58170*x^16 - 40507*x^15 + 167704*x^14 + 155723*x^13 - 313950*x^12 - 353151*x^11 + 368416*x^10 + 494832*x^9 - 244616*x^8 - 419592*x^7 + 63594*x^6 + 198785*x^5 + 14077*x^4 - 43521*x^3 - 9118*x^2 + 2254*x + 491, x^25 + 5*x^24 - 23*x^23 - 146*x^22 + 186*x^21 + 1837*x^20 - 325*x^19 - 13082*x^18 - 4803*x^17 + 58170*x^16 + 40507*x^15 - 167704*x^14 - 155723*x^13 + 313950*x^12 + 353151*x^11 - 368416*x^10 - 494832*x^9 + 244616*x^8 + 419592*x^7 - 63594*x^6 - 198785*x^5 - 14077*x^4 + 43521*x^3 + 9118*x^2 - 2254*x - 491, 2*x^20 + 10*x^19 - 31*x^18 - 220*x^17 + 107*x^16 + 1986*x^15 + 772*x^14 - 9522*x^13 - 8033*x^12 + 26141*x^11 + 30267*x^10 - 40812*x^9 - 59757*x^8 + 32499*x^7 + 64316*x^6 - 7443*x^5 - 35124*x^4 - 4822*x^3 + 7607*x^2 + 2247*x - 37, -2*x^20 - 10*x^19 + 31*x^18 + 220*x^17 - 107*x^16 - 1986*x^15 - 772*x^14 + 9522*x^13 + 8033*x^12 - 26141*x^11 - 30267*x^10 + 40812*x^9 + 59757*x^8 - 32499*x^7 - 64316*x^6 + 7443*x^5 + 35124*x^4 + 4822*x^3 - 7607*x^2 - 2247*x + 37, -x^26 - 5*x^25 + 24*x^24 + 151*x^23 - 207*x^22 - 1973*x^21 + 472*x^20 + 14660*x^19 + 4707*x^18 - 68435*x^17 - 44996*x^16 + 209026*x^15 + 185924*x^14 - 420895*x^13 - 452511*x^12 + 546830*x^11 + 688683*x^10 - 430425*x^9 - 651969*x^8 + 173786*x^7 + 365923*x^6 - 13383*x^5 - 109740*x^4 - 11993*x^3 + 13729*x^2 + 2499*x - 241, x^26 + 5*x^25 - 24*x^24 - 151*x^23 + 207*x^22 + 1973*x^21 - 472*x^20 - 14660*x^19 - 4707*x^18 + 68435*x^17 + 44996*x^16 - 209026*x^15 - 185924*x^14 + 420895*x^13 + 452511*x^12 - 546830*x^11 - 688683*x^10 + 430425*x^9 + 651969*x^8 - 173786*x^7 - 365923*x^6 + 13383*x^5 + 109740*x^4 + 11993*x^3 - 13729*x^2 - 2499*x + 241, -x^24 - 5*x^23 + 21*x^22 + 136*x^21 - 147*x^20 - 1578*x^19 + 96*x^18 + 10265*x^17 + 4489*x^16 - 41322*x^15 - 30201*x^14 + 106945*x^13 + 99360*x^12 - 178414*x^11 - 193851*x^10 + 185809*x^9 + 232377*x^8 - 110192*x^7 - 167138*x^6 + 27460*x^5 + 66219*x^4 + 2875*x^3 - 11475*x^2 - 2008*x + 241, x^24 + 5*x^23 - 21*x^22 - 136*x^21 + 147*x^20 + 1578*x^19 - 96*x^18 - 10265*x^17 - 4489*x^16 + 41322*x^15 + 30201*x^14 - 106945*x^13 - 99360*x^12 + 178414*x^11 + 193851*x^10 - 185809*x^9 - 232377*x^8 + 110192*x^7 + 167138*x^6 - 27460*x^5 - 66219*x^4 - 2875*x^3 + 11475*x^2 + 2008*x - 241, 2*x^21 + 10*x^20 - 31*x^19 - 220*x^18 + 107*x^17 + 1986*x^16 + 772*x^15 - 9522*x^14 - 8033*x^13 + 26141*x^12 + 30267*x^11 - 40812*x^10 - 59757*x^9 + 32499*x^8 + 64316*x^7 - 7443*x^6 - 35124*x^5 - 4822*x^4 + 7607*x^3 + 2247*x^2 - 37*x, -2*x^21 - 10*x^20 + 31*x^19 + 220*x^18 - 107*x^17 - 1986*x^16 - 772*x^15 + 9522*x^14 + 8033*x^13 - 26141*x^12 - 30267*x^11 + 40812*x^10 + 59757*x^9 - 32499*x^8 - 64316*x^7 + 7443*x^6 + 35124*x^5 + 4822*x^4 - 7607*x^3 - 2247*x^2 + 37*x, -2*x^19 - 9*x^18 + 25*x^17 + 151*x^16 - 98*x^15 - 1049*x^14 + 27*x^13 + 4000*x^12 + 873*x^11 - 9311*x^10 - 3035*x^9 + 13714*x^8 + 5583*x^7 - 12316*x^6 - 6531*x^5 + 5666*x^4 + 4287*x^3 - 622*x^2 - 1127*x - 241, 2*x^19 + 9*x^18 - 25*x^17 - 151*x^16 + 98*x^15 + 1049*x^14 - 27*x^13 - 4000*x^12 - 873*x^11 + 9311*x^10 + 3035*x^9 - 13714*x^8 - 5583*x^7 + 12316*x^6 + 6531*x^5 - 5666*x^4 - 4287*x^3 + 622*x^2 + 1127*x + 241, -x^25 - 5*x^24 + 22*x^23 + 141*x^22 - 167*x^21 - 1710*x^20 + 217*x^19 + 11718*x^18 + 4609*x^17 - 50099*x^16 - 35165*x^15 + 139070*x^14 + 126532*x^13 - 252332*x^12 - 269927*x^11 + 292624*x^10 + 357076*x^9 - 203299*x^8 - 289012*x^7 + 70916*x^6 + 134744*x^5 - 3636*x^4 - 31372*x^3 - 3833*x^2 + 2428*x + 473, x^25 + 5*x^24 - 22*x^23 - 141*x^22 + 167*x^21 + 1710*x^20 - 217*x^19 - 11718*x^18 - 4609*x^17 + 50099*x^16 + 35165*x^15 - 139070*x^14 - 126532*x^13 + 252332*x^12 + 269927*x^11 - 292624*x^10 - 357076*x^9 + 203299*x^8 + 289012*x^7 - 70916*x^6 - 134744*x^5 + 3636*x^4 + 31372*x^3 + 3833*x^2 - 2428*x - 473, -x^23 - 5*x^22 + 19*x^21 + 128*x^20 - 103*x^19 - 1374*x^18 - 273*x^17 + 8076*x^16 + 5810*x^15 - 28380*x^14 - 30392*x^13 + 60669*x^12 + 83908*x^11 - 75445*x^10 - 134964*x^9 + 45409*x^8 + 125174*x^7 - 871*x^6 - 61188*x^5 - 12085*x^4 + 12174*x^3 + 3972*x^2 - 60*x, x^23 + 5*x^22 - 19*x^21 - 128*x^20 + 103*x^19 + 1374*x^18 + 273*x^17 - 8076*x^16 - 5810*x^15 + 28380*x^14 + 30392*x^13 - 60669*x^12 - 83908*x^11 + 75445*x^10 + 134964*x^9 - 45409*x^8 - 125174*x^7 + 871*x^6 + 61188*x^5 + 12085*x^4 - 12174*x^3 - 3972*x^2 + 60*x, -x^23 - 5*x^22 + 20*x^21 + 131*x^20 - 126*x^19 - 1443*x^18 - 41*x^17 + 8772*x^16 + 4496*x^15 - 32379*x^14 - 25971*x^13 + 74867*x^12 + 75392*x^11 - 107162*x^10 - 127491*x^9 + 89015*x^8 + 127280*x^7 - 35263*x^6 - 71378*x^5 + 883*x^4 + 19872*x^3 + 3138*x^2 - 1953*x - 491, x^23 + 5*x^22 - 20*x^21 - 131*x^20 + 126*x^19 + 1443*x^18 + 41*x^17 - 8772*x^16 - 4496*x^15 + 32379*x^14 + 25971*x^13 - 74867*x^12 - 75392*x^11 + 107162*x^10 + 127491*x^9 - 89015*x^8 - 127280*x^7 + 35263*x^6 + 71378*x^5 - 883*x^4 - 19872*x^3 - 3138*x^2 + 1953*x + 491, x^22 + 5*x^21 - 17*x^20 - 118*x^19 + 72*x^18 + 1154*x^17 + 380*x^16 - 6090*x^15 - 5038*x^14 + 18858*x^13 + 22359*x^12 - 34528*x^11 - 53641*x^10 + 34633*x^9 + 75207*x^8 - 12910*x^7 - 60858*x^6 - 6572*x^5 + 26064*x^4 + 7263*x^3 - 4567*x^2 - 1725*x + 23, -x^22 - 5*x^21 + 17*x^20 + 118*x^19 - 72*x^18 - 1154*x^17 - 380*x^16 + 6090*x^15 + 5038*x^14 - 18858*x^13 - 22359*x^12 + 34528*x^11 + 53641*x^10 - 34633*x^9 - 75207*x^8 + 12910*x^7 + 60858*x^6 + 6572*x^5 - 26064*x^4 - 7263*x^3 + 4567*x^2 + 1725*x - 23, x^22 + 5*x^21 - 16*x^20 - 112*x^19 + 66*x^18 + 1052*x^17 + 285*x^16 - 5418*x^15 - 3767*x^14 + 16805*x^13 + 15941*x^12 - 32425*x^11 - 36383*x^10 + 38678*x^9 + 48866*x^8 - 27032*x^7 - 38582*x^6 + 9193*x^5 + 16667*x^4 - 194*x^3 - 3077*x^2 - 522*x + 14, -x^22 - 5*x^21 + 16*x^20 + 112*x^19 - 66*x^18 - 1052*x^17 - 285*x^16 + 5418*x^15 + 3767*x^14 - 16805*x^13 - 15941*x^12 + 32425*x^11 + 36383*x^10 - 38678*x^9 - 48866*x^8 + 27032*x^7 + 38582*x^6 - 9193*x^5 - 16667*x^4 + 194*x^3 + 3077*x^2 + 522*x - 14, -x^20 - 5*x^19 + 9*x^18 + 79*x^17 + 18*x^16 - 484*x^15 - 525*x^14 + 1383*x^13 + 2802*x^12 - 1265*x^11 - 7639*x^10 - 3213*x^9 + 12008*x^8 + 11236*x^7 - 10388*x^6 - 14262*x^5 + 3578*x^4 + 8285*x^3 + 584*x^2 - 1814*x - 482, x^20 + 5*x^19 - 9*x^18 - 79*x^17 - 18*x^16 + 484*x^15 + 525*x^14 - 1383*x^13 - 2802*x^12 + 1265*x^11 + 7639*x^10 + 3213*x^9 - 12008*x^8 - 11236*x^7 + 10388*x^6 + 14262*x^5 - 3578*x^4 - 8285*x^3 - 584*x^2 + 1814*x + 482, -x^20 - 4*x^19 + 16*x^18 + 72*x^17 - 116*x^16 - 565*x^15 + 552*x^14 + 2617*x^13 - 1929*x^12 - 8046*x^11 + 4604*x^10 + 16927*x^9 - 6425*x^8 - 23552*x^7 + 3857*x^6 + 19928*x^5 + 709*x^4 - 8907*x^3 - 1711*x^2 + 1573*x + 482, x^20 + 4*x^19 - 16*x^18 - 72*x^17 + 116*x^16 + 565*x^15 - 552*x^14 - 2617*x^13 + 1929*x^12 + 8046*x^11 - 4604*x^10 - 16927*x^9 + 6425*x^8 + 23552*x^7 - 3857*x^6 - 19928*x^5 - 709*x^4 + 8907*x^3 + 1711*x^2 - 1573*x - 482, -x^24 - 5*x^23 + 20*x^22 + 131*x^21 - 130*x^20 - 1462*x^19 + 9*x^18 + 9110*x^17 + 4336*x^16 - 34881*x^15 - 26438*x^14 + 85024*x^13 + 80019*x^12 - 132224*x^11 - 141192*x^10 + 128428*x^9 + 148167*x^8 - 75477*x^7 - 89463*x^6 + 26957*x^5 + 29258*x^4 - 6533*x^3 - 4969*x^2 + 1042*x + 496, x^24 + 5*x^23 - 20*x^22 - 131*x^21 + 130*x^20 + 1462*x^19 - 9*x^18 - 9110*x^17 - 4336*x^16 + 34881*x^15 + 26438*x^14 - 85024*x^13 - 80019*x^12 + 132224*x^11 + 141192*x^10 - 128428*x^9 - 148167*x^8 + 75477*x^7 + 89463*x^6 - 26957*x^5 - 29258*x^4 + 6533*x^3 + 4969*x^2 - 1042*x - 496, -x^24 - 5*x^23 + 20*x^22 + 132*x^21 - 125*x^20 - 1480*x^19 - 107*x^18 + 9226*x^17 + 5495*x^16 - 35075*x^15 - 32954*x^14 + 83539*x^13 + 102565*x^12 - 121982*x^11 - 190415*x^10 + 98698*x^9 + 214790*x^8 - 27393*x^7 - 141716*x^6 - 17210*x^5 + 49110*x^4 + 14693*x^3 - 6332*x^2 - 3068*x - 255, x^24 + 5*x^23 - 20*x^22 - 132*x^21 + 125*x^20 + 1480*x^19 + 107*x^18 - 9226*x^17 - 5495*x^16 + 35075*x^15 + 32954*x^14 - 83539*x^13 - 102565*x^12 + 121982*x^11 + 190415*x^10 - 98698*x^9 - 214790*x^8 + 27393*x^7 + 141716*x^6 + 17210*x^5 - 49110*x^4 - 14693*x^3 + 6332*x^2 + 3068*x + 255, -x^22 - 3*x^21 + 27*x^20 + 86*x^19 - 297*x^18 - 1035*x^17 + 1701*x^16 + 6852*x^15 - 5229*x^14 - 27418*x^13 + 6907*x^12 + 68441*x^11 + 5246*x^10 - 105767*x^9 - 31996*x^8 + 96411*x^7 + 45092*x^6 - 46117*x^5 - 27981*x^4 + 8360*x^3 + 6848*x^2 + 283*x - 218, x^22 + 3*x^21 - 27*x^20 - 86*x^19 + 297*x^18 + 1035*x^17 - 1701*x^16 - 6852*x^15 + 5229*x^14 + 27418*x^13 - 6907*x^12 - 68441*x^11 - 5246*x^10 + 105767*x^9 + 31996*x^8 - 96411*x^7 - 45092*x^6 + 46117*x^5 + 27981*x^4 - 8360*x^3 - 6848*x^2 - 283*x + 218, -x^22 - 5*x^21 + 20*x^20 + 130*x^19 - 128*x^18 - 1414*x^17 + 25*x^16 + 8459*x^15 + 3705*x^14 - 30695*x^13 - 21166*x^12 + 69987*x^11 + 58721*x^10 - 100007*x^9 - 93089*x^8 + 86165*x^7 + 85372*x^6 - 40839*x^5 - 42769*x^4 + 8548*x^3 + 10106*x^2 - 297*x - 723, x^22 + 5*x^21 - 20*x^20 - 130*x^19 + 128*x^18 + 1414*x^17 - 25*x^16 - 8459*x^15 - 3705*x^14 + 30695*x^13 + 21166*x^12 - 69987*x^11 - 58721*x^10 + 100007*x^9 + 93089*x^8 - 86165*x^7 - 85372*x^6 + 40839*x^5 + 42769*x^4 - 8548*x^3 - 10106*x^2 + 297*x + 723, x^23 + 5*x^22 - 19*x^21 - 126*x^20 + 115*x^19 + 1355*x^18 + 48*x^17 - 8137*x^16 - 4069*x^15 + 29947*x^14 + 23196*x^13 - 69602*x^12 - 66880*x^11 + 101064*x^10 + 112448*x^9 - 86537*x^8 - 111309*x^7 + 37209*x^6 + 61269*x^5 - 3502*x^4 - 16169*x^3 - 1946*x^2 + 1308*x + 250, -x^23 - 5*x^22 + 19*x^21 + 126*x^20 - 115*x^19 - 1355*x^18 - 48*x^17 + 8137*x^16 + 4069*x^15 - 29947*x^14 - 23196*x^13 + 69602*x^12 + 66880*x^11 - 101064*x^10 - 112448*x^9 + 86537*x^8 + 111309*x^7 - 37209*x^6 - 61269*x^5 + 3502*x^4 + 16169*x^3 + 1946*x^2 - 1308*x - 250, x^21 + 4*x^20 - 18*x^19 - 83*x^18 + 130*x^17 + 733*x^16 - 470*x^15 - 3620*x^14 + 778*x^13 + 11036*x^12 + 230*x^11 - 21574*x^10 - 3825*x^9 + 27006*x^8 + 8411*x^7 - 20573*x^6 - 9478*x^5 + 8130*x^4 + 5485*x^3 - 823*x^2 - 1257*x - 250, -x^21 - 4*x^20 + 18*x^19 + 83*x^18 - 130*x^17 - 733*x^16 + 470*x^15 + 3620*x^14 - 778*x^13 - 11036*x^12 - 230*x^11 + 21574*x^10 + 3825*x^9 - 27006*x^8 - 8411*x^7 + 20573*x^6 + 9478*x^5 - 8130*x^4 - 5485*x^3 + 823*x^2 + 1257*x + 250, -2*x^18 - 11*x^17 + 17*x^16 + 180*x^15 + 46*x^14 - 1178*x^13 - 1010*x^12 + 3961*x^11 + 4664*x^10 - 7215*x^9 - 10260*x^8 + 6685*x^7 + 11671*x^6 - 2238*x^5 - 6443*x^4 - 513*x^3 + 1372*x^2 + 352*x - 9, 2*x^18 + 11*x^17 - 17*x^16 - 180*x^15 - 46*x^14 + 1178*x^13 + 1010*x^12 - 3961*x^11 - 4664*x^10 + 7215*x^9 + 10260*x^8 - 6685*x^7 - 11671*x^6 + 2238*x^5 + 6443*x^4 + 513*x^3 - 1372*x^2 - 352*x + 9, -x^22 - 6*x^21 + 13*x^20 + 137*x^19 + 17*x^18 - 1287*x^17 - 1193*x^16 + 6461*x^15 + 8989*x^14 - 18780*x^13 - 33378*x^12 + 31662*x^11 + 71177*x^10 - 28312*x^9 - 89610*x^8 + 8325*x^7 + 64752*x^6 + 5636*x^5 - 24616*x^4 - 5033*x^3 + 3794*x^2 + 1125*x + 5, x^22 + 6*x^21 - 13*x^20 - 137*x^19 - 17*x^18 + 1287*x^17 + 1193*x^16 - 6461*x^15 - 8989*x^14 + 18780*x^13 + 33378*x^12 - 31662*x^11 - 71177*x^10 + 28312*x^9 + 89610*x^8 - 8325*x^7 - 64752*x^6 - 5636*x^5 + 24616*x^4 + 5033*x^3 - 3794*x^2 - 1125*x - 5, -x^23 - 5*x^22 + 18*x^21 + 122*x^20 - 93*x^19 - 1253*x^18 - 225*x^17 + 7081*x^16 + 4658*x^15 - 24099*x^14 - 23317*x^13 + 50506*x^12 + 61855*x^11 - 63132*x^10 - 96461*x^9 + 41285*x^8 + 88240*x^7 - 6750*x^6 - 44217*x^5 - 6399*x^4 + 10234*x^3 + 2929*x^2 - 624*x - 223, x^23 + 5*x^22 - 18*x^21 - 122*x^20 + 93*x^19 + 1253*x^18 + 225*x^17 - 7081*x^16 - 4658*x^15 + 24099*x^14 + 23317*x^13 - 50506*x^12 - 61855*x^11 + 63132*x^10 + 96461*x^9 - 41285*x^8 - 88240*x^7 + 6750*x^6 + 44217*x^5 + 6399*x^4 - 10234*x^3 - 2929*x^2 + 624*x + 223, -x^23 - 5*x^22 + 18*x^21 + 122*x^20 - 91*x^19 - 1245*x^18 - 254*x^17 + 6938*x^16 + 4802*x^15 - 23047*x^14 - 23497*x^13 + 46341*x^12 + 60956*x^11 - 53388*x^10 - 92409*x^9 + 27331*x^8 + 81081*x^7 + 5482*x^6 - 37526*x^5 - 12569*x^4 + 6828*x^3 + 4284*x^2 + 130*x - 218, x^23 + 5*x^22 - 18*x^21 - 122*x^20 + 91*x^19 + 1245*x^18 + 254*x^17 - 6938*x^16 - 4802*x^15 + 23047*x^14 + 23497*x^13 - 46341*x^12 - 60956*x^11 + 53388*x^10 + 92409*x^9 - 27331*x^8 - 81081*x^7 - 5482*x^6 + 37526*x^5 + 12569*x^4 - 6828*x^3 - 4284*x^2 - 130*x + 218, -x^23 - 4*x^22 + 24*x^21 + 108*x^20 - 233*x^19 - 1247*x^18 + 1140*x^17 + 8086*x^16 - 2591*x^15 - 32484*x^14 - 470*x^13 + 84009*x^12 + 18556*x^11 - 140538*x^10 - 49877*x^9 + 148575*x^8 + 66215*x^7 - 93608*x^6 - 48108*x^5 + 30898*x^4 + 18212*x^3 - 3519*x^2 - 2813*x - 255, x^23 + 4*x^22 - 24*x^21 - 108*x^20 + 233*x^19 + 1247*x^18 - 1140*x^17 - 8086*x^16 + 2591*x^15 + 32484*x^14 + 470*x^13 - 84009*x^12 - 18556*x^11 + 140538*x^10 + 49877*x^9 - 148575*x^8 - 66215*x^7 + 93608*x^6 + 48108*x^5 - 30898*x^4 - 18212*x^3 + 3519*x^2 + 2813*x + 255, x^22 + 5*x^21 - 15*x^20 - 108*x^19 + 42*x^18 + 939*x^17 + 477*x^16 - 4187*x^15 - 4267*x^14 + 9881*x^13 + 14679*x^12 - 10221*x^11 - 25076*x^10 - 2799*x^9 + 19006*x^8 + 16329*x^7 - 154*x^6 - 12910*x^5 - 7536*x^4 + 3034*x^3 + 3159*x^2 + 125*x - 218, -x^22 - 5*x^21 + 15*x^20 + 108*x^19 - 42*x^18 - 939*x^17 - 477*x^16 + 4187*x^15 + 4267*x^14 - 9881*x^13 - 14679*x^12 + 10221*x^11 + 25076*x^10 + 2799*x^9 - 19006*x^8 - 16329*x^7 + 154*x^6 + 12910*x^5 + 7536*x^4 - 3034*x^3 - 3159*x^2 - 125*x + 218, -x^20 - 2*x^19 + 29*x^18 + 66*x^17 - 313*x^16 - 791*x^15 + 1684*x^14 + 4805*x^13 - 4880*x^12 - 16671*x^11 + 7155*x^10 + 34402*x^9 - 2850*x^8 - 41908*x^7 - 5576*x^6 + 28609*x^5 + 7665*x^4 - 9766*x^3 - 3435*x^2 + 1230*x + 491, x^20 + 2*x^19 - 29*x^18 - 66*x^17 + 313*x^16 + 791*x^15 - 1684*x^14 - 4805*x^13 + 4880*x^12 + 16671*x^11 - 7155*x^10 - 34402*x^9 + 2850*x^8 + 41908*x^7 + 5576*x^6 - 28609*x^5 - 7665*x^4 + 9766*x^3 + 3435*x^2 - 1230*x - 491, -x^21 - 3*x^20 + 25*x^19 + 80*x^18 - 247*x^17 - 871*x^16 + 1233*x^15 + 5097*x^14 - 3152*x^13 - 17640*x^12 + 2805*x^11 + 37162*x^10 + 5255*x^9 - 46880*x^8 - 17093*x^7 + 32961*x^6 + 18865*x^5 - 10473*x^4 - 9536*x^3 + 109*x^2 + 1845*x + 468, x^21 + 3*x^20 - 25*x^19 - 80*x^18 + 247*x^17 + 871*x^16 - 1233*x^15 - 5097*x^14 + 3152*x^13 + 17640*x^12 - 2805*x^11 - 37162*x^10 - 5255*x^9 + 46880*x^8 + 17093*x^7 - 32961*x^6 - 18865*x^5 + 10473*x^4 + 9536*x^3 - 109*x^2 - 1845*x - 468, -x^22 - 4*x^21 + 22*x^20 + 101*x^19 - 192*x^18 - 1090*x^17 + 799*x^16 + 6595*x^15 - 1146*x^14 - 24637*x^13 - 3485*x^12 + 58871*x^11 + 19655*x^10 - 89942*x^9 - 40921*x^8 + 85056*x^7 + 45092*x^6 - 46266*x^5 - 26560*x^4 + 12496*x^3 + 7504*x^2 - 1140*x - 714, x^22 + 4*x^21 - 22*x^20 - 101*x^19 + 192*x^18 + 1090*x^17 - 799*x^16 - 6595*x^15 + 1146*x^14 + 24637*x^13 + 3485*x^12 - 58871*x^11 - 19655*x^10 + 89942*x^9 + 40921*x^8 - 85056*x^7 - 45092*x^6 + 46266*x^5 + 26560*x^4 - 12496*x^3 - 7504*x^2 + 1140*x + 714, -x^22 - 4*x^21 + 21*x^20 + 98*x^19 - 164*x^18 - 1001*x^17 + 500*x^16 + 5567*x^15 + 468*x^14 - 18418*x^13 - 8231*x^12 + 36932*x^11 + 26829*x^10 - 43055*x^9 - 44099*x^8 + 24550*x^7 + 39438*x^6 - 995*x^5 - 17666*x^4 - 5376*x^3 + 2668*x^2 + 1725*x + 250, x^22 + 4*x^21 - 21*x^20 - 98*x^19 + 164*x^18 + 1001*x^17 - 500*x^16 - 5567*x^15 - 468*x^14 + 18418*x^13 + 8231*x^12 - 36932*x^11 - 26829*x^10 + 43055*x^9 + 44099*x^8 - 24550*x^7 - 39438*x^6 + 995*x^5 + 17666*x^4 + 5376*x^3 - 2668*x^2 - 1725*x - 250]>,
         rec<Eigen |
           DefiningPolynomial := x^47 - 5*x^46 - 60*x^45 + 331*x^44 + 1618*x^43 - 10141*x^42 - 25623*x^41 + 190912*x^40 + 258311*x^39 - 2472923*x^38 - 1619462*x^37 + 23388195*x^36 + 4554275*x^35 - 167273854*x^34 + 21616643*x^33 + 924616552*x^32 - 340248289*x^31 - 4003494197*x^30 + 2202248947*x^29 + 13682964316*x^28 - 9481877575*x^27 - 37029495886*x^26 + 29932692307*x^25 + 79286704690*x^24 - 71753614888*x^23 - 133690152551*x^22 + 132436352320*x^21 + 175894662002*x^20 - 188849858282*x^19 - 177849326221*x^18 + 207314976424*x^17 + 134831370194*x^16 - 173513922497*x^15 - 73454300876*x^14 + 108889049667*x^13 + 26370270152*x^12 - 49913627918*x^11 - 4765867656*x^10 + 16044263700*x^9 - 383113945*x^8 - 3385489739*x^7 + 407751361*x^6 + 417744975*x^5 - 82501078*x^4 - 23778117*x^3 + 6194671*x^2 + 299640*x - 107856,
           Coordinates        := [-x^46 + 5*x^45 + 58*x^44 - 323*x^43 - 1496*x^42 + 9624*x^41 + 22238*x^40 - 175504*x^39 - 201920*x^38 + 2191871*x^37 + 993727*x^36 - 19876472*x^35 + 273975*x^34 + 135397807*x^33 - 47583618*x^32 - 707080798*x^31 + 431822910*x^30 + 2863817618*x^29 - 2352115055*x^28 - 9042252212*x^27 + 9070497474*x^26 + 22248905905*x^25 - 26078864241*x^24 - 42406809467*x^23 + 57043894232*x^22 + 61790688646*x^21 - 95532325948*x^20 - 67135042833*x^19 + 122231971879*x^18 + 51740047500*x^17 - 118391192495*x^16 - 24886930927*x^15 + 85347335386*x^14 + 3597781572*x^13 - 44544868046*x^12 + 4244398274*x^11 + 16089264866*x^10 - 3436943434*x^9 - 3714173286*x^8 + 1213696078*x^7 + 463171046*x^6 - 218576240*x^5 - 16754156*x^4 + 17083824*x^3 - 1204892*x^2 - 328412*x + 39024, x^46 - 5*x^45 - 58*x^44 + 322*x^43 + 1501*x^42 - 9573*x^41 - 22524*x^40 + 174358*x^39 + 209422*x^38 - 2177232*x^37 - 1113374*x^36 + 19765168*x^35 + 1023008*x^34 - 134978594*x^33 + 37463614*x^32 + 707856831*x^31 - 373096855*x^30 - 2884855274*x^29 + 2093828959*x^28 + 9188467824*x^27 - 8200801247*x^26 - 22879986191*x^25 + 23828713651*x^24 + 44326302804*x^23 - 52578217487*x^22 - 66080122886*x^21 + 88781601498*x^20 + 74288843192*x^19 - 114563145655*x^18 - 60678845739*x^17 + 111998371626*x^16 + 33226295778*x^15 - 81608466866*x^14 - 9349190772*x^13 + 43165068142*x^12 - 1366192966*x^11 - 15887060924*x^10 + 2426760394*x^9 + 3789250736*x^8 - 981207716*x^7 - 511240730*x^6 + 188607120*x^5 + 27341982*x^4 - 15917038*x^3 + 330418*x^2 + 413054*x - 35688, 2*x^41 - 10*x^40 - 92*x^39 + 523*x^38 + 1827*x^37 - 12446*x^36 - 19829*x^35 + 178440*x^34 + 114751*x^33 - 1720173*x^32 - 121610*x^31 + 11783814*x^30 - 3723770*x^29 - 59109222*x^28 + 35544268*x^27 + 220433435*x^26 - 183093819*x^25 - 613965000*x^24 + 635125090*x^23 + 1270788546*x^22 - 1577657128*x^21 - 1922591491*x^20 + 2867584846*x^19 + 2052210397*x^18 - 3831232538*x^17 - 1427708971*x^16 + 3740604668*x^15 + 501163390*x^14 - 2633160233*x^13 + 68489859*x^12 + 1313774910*x^11 - 150181355*x^10 - 461603719*x^9 + 57445669*x^8 + 119227637*x^7 - 7436590*x^6 - 25026879*x^5 + 576647*x^4 + 3892132*x^3 - 381808*x^2 - 229836*x + 36912, 2*x^41 - 10*x^40 - 94*x^39 + 533*x^38 + 1927*x^37 - 12998*x^36 - 22035*x^35 + 192308*x^34 + 142707*x^33 - 1930356*x^32 - 340595*x^31 + 13931005*x^30 - 2712280*x^29 - 74755266*x^28 + 33945214*x^27 + 304355880*x^26 - 195790216*x^25 - 951045250*x^24 + 747427337*x^23 + 2292133431*x^22 - 2056214362*x^21 - 4256001716*x^20 + 4206689007*x^19 + 6039731567*x^18 - 6470251206*x^17 - 6439045079*x^16 + 7473149641*x^15 + 4995763488*x^14 - 6407440643*x^13 - 2654529882*x^12 + 3982845943*x^11 + 836855483*x^10 - 1721840783*x^9 - 75478232*x^8 + 481247601*x^7 - 43737243*x^6 - 75606812*x^5 + 14864862*x^4 + 4821508*x^3 - 1310228*x^2 - 49236*x + 20784, x^45 - 5*x^44 - 56*x^43 + 312*x^42 + 1395*x^41 - 8979*x^40 - 20044*x^39 + 158142*x^38 + 176378*x^37 - 1907360*x^36 - 851174*x^35 + 16702804*x^34 + 3264*x^33 - 109869702*x^32 + 35129876*x^31 + 554048937*x^30 - 311734913*x^29 - 2166960854*x^28 + 1639939391*x^27 + 6607674058*x^26 - 6083528931*x^25 - 15704886639*x^24 + 16782569409*x^23 + 28927967126*x^22 - 35137951511*x^21 - 40782456152*x^20 + 56169539732*x^19 + 43012009634*x^18 - 68354555037*x^17 - 32507373825*x^16 + 62670163468*x^15 + 15964806204*x^14 - 42487007446*x^13 - 3485197830*x^12 + 20667200226*x^11 - 1160804210*x^10 - 6872930628*x^9 + 1163547314*x^8 + 1439538598*x^7 - 382149448*x^6 - 162427898*x^5 + 58057778*x^4 + 6763938*x^3 - 3410190*x^2 - 17866*x + 53016, 2*x^40 - 8*x^39 - 94*x^38 + 393*x^37 + 2009*x^36 - 8798*x^35 - 25965*x^34 + 119006*x^33 + 228335*x^32 - 1087968*x^31 - 1464023*x^30 + 7130793*x^29 + 7199270*x^28 - 34728648*x^27 - 28269212*x^26 + 128760938*x^25 + 91013318*x^24 - 370078084*x^23 - 241260271*x^22 + 836559827*x^21 + 516050164*x^20 - 1503260782*x^19 - 857673243*x^18 + 2156165661*x^17 + 1053626100*x^16 - 2450991245*x^15 - 890496405*x^14 + 2158479604*x^13 + 444494417*x^12 - 1412993154*x^11 - 53661867*x^10 + 644178063*x^9 - 79110221*x^8 - 183631182*x^7 + 49953363*x^6 + 26092525*x^5 - 11358600*x^4 - 647444*x^3 + 750592*x^2 - 64254*x - 2904, x^44 - 4*x^43 - 59*x^42 + 249*x^41 + 1585*x^40 - 7143*x^39 - 25614*x^38 + 125299*x^37 + 276691*x^36 - 1503830*x^35 - 2093459*x^34 + 13092363*x^33 + 11224930*x^32 - 85538299*x^31 - 41411171*x^30 + 428066907*x^29 + 90909351*x^28 - 1660510196*x^27 - 14406310*x^26 + 5022149798*x^25 - 739503013*x^24 - 11855497992*x^23 + 3185545026*x^22 + 21774973728*x^21 - 7950817487*x^20 - 30887054167*x^19 + 13713294376*x^18 + 33419918131*x^17 - 17103773982*x^16 - 27066082296*x^15 + 15569675104*x^14 + 15940517092*x^13 - 10246855816*x^12 - 6519242212*x^11 + 4751469374*x^10 + 1705334358*x^9 - 1482368946*x^8 - 236644280*x^7 + 288210962*x^6 + 5954544*x^5 - 30826758*x^4 + 2165876*x^3 + 1468858*x^2 - 220866*x + 3288, 2*x^43 - 10*x^42 - 104*x^41 + 584*x^40 + 2380*x^39 - 15652*x^38 - 30854*x^37 + 255299*x^36 + 235269*x^35 - 2833680*x^34 - 829251*x^33 + 22672957*x^32 - 2882342*x^31 - 135158317*x^30 + 58004229*x^29 + 611889665*x^28 - 403944086*x^27 - 2125116517*x^26 + 1801323141*x^25 + 5679985824*x^24 - 5740346485*x^23 - 11646383707*x^22 + 13575886683*x^21 + 18130623462*x^20 - 24155350321*x^19 - 20987796588*x^18 + 32377939711*x^17 + 17344228735*x^16 - 32443510443*x^15 - 9314143337*x^14 + 23893475943*x^13 + 2264386827*x^12 - 12557649886*x^11 + 745222630*x^10 + 4479005455*x^9 - 845329806*x^8 - 988002513*x^7 + 304720947*x^6 + 108952694*x^5 - 50042274*x^4 - 2018702*x^3 + 2841494*x^2 - 259114*x - 7176, 2*x^42 - 10*x^41 - 100*x^40 + 564*x^39 + 2190*x^38 - 14573*x^37 - 26931*x^36 + 228684*x^35 + 190493*x^34 - 2435935*x^33 - 548604*x^32 + 18649577*x^31 - 3357713*x^30 - 106004755*x^29 + 49945482*x^28 + 455677249*x^27 - 315949175*x^26 - 1495113728*x^25 + 1305797757*x^24 + 3751951971*x^23 - 3864379293*x^22 - 7167043272*x^21 + 8456711445*x^20 + 10289036970*x^19 - 13830650907*x^18 - 10827243179*x^17 + 16884697715*x^16 + 7947346237*x^15 - 15227983477*x^14 - 3599606115*x^13 + 9940218030*x^12 + 539833874*x^11 - 4535124841*x^10 + 417883274*x^9 + 1361709625*x^8 - 294337321*x^7 - 239860138*x^6 + 80507068*x^5 + 18559342*x^4 - 9665354*x^3 + 89170*x^2 + 352862*x - 35688, -2*x^41 + 8*x^40 + 105*x^39 - 447*x^38 - 2484*x^37 + 11445*x^36 + 34824*x^35 - 177957*x^34 - 318917*x^33 + 1877468*x^32 + 1966103*x^31 - 14224265*x^30 - 7899765*x^29 + 79902686*x^28 + 16636041*x^27 - 338844359*x^26 + 16498385*x^25 + 1094589739*x^24 - 269152374*x^23 - 2699706099*x^22 + 1086290276*x^21 + 5067053360*x^20 - 2691667356*x^19 - 7173870631*x^18 + 4611121609*x^17 + 7547032866*x^16 - 5637777518*x^15 - 5762353754*x^14 + 4934749079*x^13 + 3076672064*x^12 - 3051243430*x^11 - 1077946516*x^10 + 1295976621*x^9 + 217140541*x^8 - 361564025*x^7 - 15424885*x^6 + 62077284*x^5 - 2188077*x^4 - 5999209*x^3 + 489862*x^2 + 272330*x - 35256, -2*x^39 + 14*x^38 + 72*x^37 - 686*x^36 - 889*x^35 + 15287*x^34 - 123*x^33 - 205086*x^32 + 140114*x^31 + 1847932*x^30 - 2060823*x^29 - 11811279*x^28 + 16968466*x^27 + 55113419*x^26 - 94269281*x^25 - 190181972*x^24 + 376308169*x^23 + 485391843*x^22 - 1108982086*x^21 - 903219868*x^20 + 2438435594*x^19 + 1178290025*x^18 - 4001608016*x^17 - 967352586*x^16 + 4862070139*x^15 + 288054199*x^14 - 4302076432*x^13 + 359436136*x^12 + 2695992493*x^11 - 539667204*x^10 - 1142359877*x^9 + 345147923*x^8 + 300882025*x^7 - 121694610*x^6 - 40809946*x^5 + 22485166*x^4 + 1220978*x^3 - 1655208*x^2 + 151638*x + 8472, -x^41 + 5*x^40 + 44*x^39 - 251*x^38 - 832*x^37 + 5711*x^36 + 8579*x^35 - 78006*x^34 - 47731*x^33 + 714519*x^32 + 68378*x^31 - 4648679*x^30 + 1052836*x^29 + 22235541*x^28 - 9525095*x^27 - 80083515*x^26 + 43463869*x^25 + 221666774*x^24 - 129547418*x^23 - 481920215*x^22 + 271776581*x^21 + 842818333*x^20 - 422197548*x^19 - 1207892743*x^18 + 523008498*x^17 + 1415426238*x^16 - 571961227*x^15 - 1309951113*x^14 + 574709078*x^13 + 895519512*x^12 - 482985030*x^11 - 406906710*x^10 + 293826771*x^9 + 98035987*x^8 - 113228133*x^7 - 620621*x^6 + 23218508*x^5 - 5035327*x^4 - 1579149*x^3 + 716800*x^2 - 62202*x - 3336, -3*x^40 + 17*x^39 + 126*x^38 - 867*x^37 - 2134*x^36 + 20043*x^35 + 15825*x^34 - 277784*x^33 + 19925*x^32 + 2571661*x^31 - 1596123*x^30 - 16763488*x^29 + 17271767*x^28 + 78938689*x^27 - 109481775*x^26 - 270499703*x^25 + 475269794*x^24 + 666872775*x^23 - 1488440248*x^22 - 1132201112*x^21 + 3432548586*x^20 + 1143799091*x^19 - 5859909525*x^18 - 163690430*x^17 + 7366162546*x^16 - 1502715070*x^15 - 6710330249*x^14 + 2638734372*x^13 + 4296054786*x^12 - 2429674928*x^11 - 1824213697*x^10 + 1382092699*x^9 + 452263823*x^8 - 486175275*x^7 - 40560898*x^6 + 98254457*x^5 - 6438939*x^4 - 9602638*x^3 + 1424212*x^2 + 317664*x - 57696, -x^42 + 5*x^41 + 50*x^40 - 281*x^39 - 1102*x^38 + 7251*x^37 + 13807*x^36 - 113936*x^35 - 102725*x^34 + 1218977*x^33 + 371482*x^32 - 9405485*x^31 + 844411*x^30 + 54077376*x^29 - 19984820*x^28 - 236050555*x^27 + 136690517*x^26 + 789612712*x^25 - 587616417*x^24 - 2028483816*x^23 + 1789945919*x^22 + 3983756530*x^21 - 4017657659*x^20 - 5907906117*x^19 + 6731602811*x^18 + 6460933481*x^17 - 8415789741*x^16 - 4977394631*x^15 + 7767403624*x^14 + 2428917407*x^13 - 5176700122*x^12 - 484280392*x^11 + 2395220278*x^10 - 204702768*x^9 - 716356269*x^8 + 173113437*x^7 + 119260229*x^6 - 48690305*x^5 - 6750612*x^4 + 5552499*x^3 - 412363*x^2 - 157674*x + 22440, -3*x^40 + 13*x^39 + 144*x^38 - 673*x^37 - 3094*x^36 + 15887*x^35 + 39169*x^34 - 226674*x^33 - 323029*x^32 + 2185145*x^31 + 1804548*x^30 - 15078347*x^29 - 6812042*x^28 + 77028351*x^27 + 16255127*x^26 - 297446235*x^25 - 17200795*x^24 + 879690826*x^23 - 29729090*x^22 - 2008737085*x^21 + 162911525*x^20 + 3556214283*x^19 - 348684788*x^18 - 4881816813*x^17 + 477665968*x^16 + 5170158588*x^15 - 482364297*x^14 - 4172132267*x^13 + 397660306*x^12 + 2507048610*x^11 - 277179810*x^10 - 1079353944*x^9 + 150864313*x^8 + 312441217*x^7 - 55480823*x^6 - 54599479*x^5 + 11610402*x^4 + 4766939*x^3 - 1074051*x^2 - 163326*x + 35256, x^45 - 4*x^44 - 61*x^43 + 257*x^42 + 1699*x^41 - 7625*x^40 - 28564*x^39 + 138651*x^38 + 322459*x^37 - 1729474*x^36 - 2566157*x^35 + 15695181*x^34 + 14624730*x^33 - 107261501*x^32 - 58572957*x^31 + 563745575*x^30 + 149237549*x^29 - 2307550818*x^28 - 122812508*x^27 + 7405145120*x^26 - 810062437*x^25 - 18667898830*x^24 + 4421311808*x^23 + 36892116620*x^22 - 12500555841*x^21 - 56805704999*x^20 + 24025079012*x^19 + 67426868037*x^18 - 33422983242*x^17 - 60681910850*x^16 + 34212686794*x^15 + 40372900276*x^14 - 25665891486*x^13 - 19074565166*x^12 + 13843647160*x^11 + 5958211982*x^10 - 5177379568*x^9 - 1045284816*x^8 + 1261596974*x^7 + 43744978*x^6 - 179284790*x^5 + 15276874*x^4 + 11792098*x^3 - 1959064*x^2 - 159788*x + 32400, 2*x^41 - 10*x^40 - 96*x^39 + 546*x^38 + 1996*x^37 - 13617*x^36 - 22741*x^35 + 205437*x^34 + 137940*x^33 - 2093024*x^32 - 134776*x^31 + 15222557*x^30 - 5346467*x^29 - 81457150*x^28 + 54049697*x^27 + 325646909*x^26 - 299735168*x^25 - 976988603*x^24 + 1128539855*x^23 + 2187207004*x^22 - 3062960876*x^21 - 3585584776*x^20 + 6118010407*x^19 + 4120821842*x^18 - 9022990790*x^17 - 2957837419*x^16 + 9742377325*x^15 + 718773734*x^14 - 7545817270*x^13 + 929976929*x^12 + 4039679102*x^11 - 1164194839*x^10 - 1395455047*x^9 + 626470717*x^8 + 266894774*x^7 - 180476636*x^6 - 14786540*x^5 + 25512058*x^4 - 2713636*x^3 - 1178404*x^2 + 272662*x - 13608, 2*x^40 - 8*x^39 - 104*x^38 + 442*x^37 + 2438*x^36 - 11179*x^35 - 33920*x^34 + 171517*x^33 + 309457*x^32 - 1783567*x^31 - 1918343*x^30 + 13304214*x^29 + 7957747*x^28 - 73499403*x^27 - 19449706*x^26 + 306197203*x^25 + 6462035*x^24 - 970526568*x^23 + 158013287*x^22 + 2345220291*x^21 - 717740585*x^20 - 4303325361*x^19 + 1814685046*x^18 + 5935506888*x^17 - 3087483902*x^16 - 6045321321*x^15 + 3697056004*x^14 + 4415829738*x^13 - 3129987532*x^12 - 2200010603*x^11 + 1839668499*x^10 + 675473660*x^9 - 719981387*x^8 - 93510670*x^7 + 173384104*x^6 - 7092532*x^5 - 21879072*x^4 + 3632986*x^3 + 919350*x^2 - 259054*x + 13608, 4*x^40 - 23*x^39 - 169*x^38 + 1182*x^37 + 2887*x^36 - 27578*x^35 - 21821*x^34 + 386573*x^33 - 20326*x^32 - 3630604*x^31 + 2109456*x^30 + 24118696*x^29 - 23199538*x^28 - 116592721*x^27 + 148428171*x^26 + 415307540*x^25 - 649383738*x^24 - 1089740456*x^23 + 2049425202*x^22 + 2074481729*x^21 - 4766072602*x^20 - 2746044621*x^19 + 8218072944*x^18 + 2232032439*x^17 - 10465174174*x^16 - 500591504*x^15 + 9711039239*x^14 - 1213403371*x^13 - 6401866504*x^12 + 1710014763*x^11 + 2866945925*x^10 - 1137539569*x^9 - 801351803*x^8 + 434231260*x^7 + 114299963*x^6 - 91734731*x^5 - 2379234*x^4 + 9002570*x^3 - 888998*x^2 - 267824*x + 38592, -x^41 + 4*x^40 + 55*x^39 - 237*x^38 - 1341*x^37 + 6364*x^36 + 19014*x^35 - 102780*x^34 - 171513*x^33 + 1116569*x^32 + 991354*x^31 - 8641690*x^30 - 3232406*x^29 + 49212808*x^28 + 531861*x^27 - 209958095*x^26 + 54776598*x^25 + 676648386*x^24 - 321574006*x^23 - 1648094545*x^22 + 1079870504*x^21 + 3012010185*x^20 - 2469860191*x^19 - 4061214929*x^18 + 4027819102*x^17 + 3909953779*x^16 - 4727161563*x^15 - 2510425083*x^14 + 3952626703*x^13 + 883007782*x^12 - 2289673153*x^11 + 10917481*x^10 + 870301485*x^9 - 162794346*x^8 - 194294692*x^7 + 69833345*x^6 + 18635853*x^5 - 12145540*x^4 + 529214*x^3 + 665021*x^2 - 132095*x + 6804, -x^41 + 4*x^40 + 55*x^39 - 237*x^38 - 1341*x^37 + 6364*x^36 + 19014*x^35 - 102780*x^34 - 171513*x^33 + 1116569*x^32 + 991354*x^31 - 8641690*x^30 - 3232406*x^29 + 49212808*x^28 + 531861*x^27 - 209958095*x^26 + 54776598*x^25 + 676648386*x^24 - 321574006*x^23 - 1648094545*x^22 + 1079870504*x^21 + 3012010185*x^20 - 2469860191*x^19 - 4061214929*x^18 + 4027819102*x^17 + 3909953779*x^16 - 4727161563*x^15 - 2510425083*x^14 + 3952626703*x^13 + 883007782*x^12 - 2289673153*x^11 + 10917481*x^10 + 870301485*x^9 - 162794346*x^8 - 194294692*x^7 + 69833345*x^6 + 18635853*x^5 - 12145540*x^4 + 529214*x^3 + 665021*x^2 - 132095*x + 6804, x^44 - 5*x^43 - 53*x^42 + 297*x^41 + 1240*x^40 - 8108*x^39 - 16522*x^38 + 134936*x^37 + 131100*x^36 - 1531182*x^35 - 509872*x^34 + 12554446*x^33 - 1166869*x^32 - 76903947*x^31 + 30680971*x^30 + 358947210*x^29 - 226944784*x^28 - 1290396883*x^27 + 1058636158*x^26 + 3587549776*x^25 - 3523072121*x^24 - 7699167839*x^23 + 8720132988*x^22 + 12648833367*x^21 - 16306030883*x^20 - 15638416779*x^19 + 23104295309*x^18 + 14085735957*x^17 - 24664104079*x^16 - 8630744787*x^15 + 19560729710*x^14 + 2931996471*x^13 - 11248933958*x^12 + 102694378*x^11 + 4507065148*x^10 - 631606540*x^9 - 1174856069*x^8 + 299529134*x^7 + 174406416*x^6 - 65274671*x^5 - 10289022*x^4 + 6253424*x^3 - 174142*x^2 - 180019*x + 17844, x^44 - 5*x^43 - 53*x^42 + 297*x^41 + 1240*x^40 - 8108*x^39 - 16522*x^38 + 134936*x^37 + 131100*x^36 - 1531182*x^35 - 509872*x^34 + 12554446*x^33 - 1166869*x^32 - 76903947*x^31 + 30680971*x^30 + 358947210*x^29 - 226944784*x^28 - 1290396883*x^27 + 1058636158*x^26 + 3587549776*x^25 - 3523072121*x^24 - 7699167839*x^23 + 8720132988*x^22 + 12648833367*x^21 - 16306030883*x^20 - 15638416779*x^19 + 23104295309*x^18 + 14085735957*x^17 - 24664104079*x^16 - 8630744787*x^15 + 19560729710*x^14 + 2931996471*x^13 - 11248933958*x^12 + 102694378*x^11 + 4507065148*x^10 - 631606540*x^9 - 1174856069*x^8 + 299529134*x^7 + 174406416*x^6 - 65274671*x^5 - 10289022*x^4 + 6253424*x^3 - 174142*x^2 - 180019*x + 17844, -x^42 + 3*x^41 + 59*x^40 - 180*x^39 - 1591*x^38 + 4946*x^37 + 26007*x^36 - 82577*x^35 - 288173*x^34 + 937159*x^33 + 2293160*x^32 - 7663266*x^31 - 13546272*x^30 + 46700884*x^29 + 60567835*x^28 - 216446340*x^27 - 207144561*x^26 + 771981607*x^25 + 543951567*x^24 - 2131285145*x^23 - 1093995971*x^22 + 4560709502*x^21 + 1667935405*x^20 - 7545750211*x^19 - 1883297625*x^18 + 9594483014*x^17 + 1493291479*x^16 - 9283089400*x^15 - 711086585*x^14 + 6734643670*x^13 + 45163987*x^12 - 3583929590*x^11 + 209195311*x^10 + 1351946585*x^9 - 164402721*x^8 - 341202770*x^7 + 63121616*x^6 + 51595733*x^5 - 12954637*x^4 - 3573638*x^3 + 1187228*x^2 + 17122*x - 18648, -x^42 + 3*x^41 + 59*x^40 - 180*x^39 - 1591*x^38 + 4946*x^37 + 26007*x^36 - 82577*x^35 - 288173*x^34 + 937159*x^33 + 2293160*x^32 - 7663266*x^31 - 13546272*x^30 + 46700884*x^29 + 60567835*x^28 - 216446340*x^27 - 207144561*x^26 + 771981607*x^25 + 543951567*x^24 - 2131285145*x^23 - 1093995971*x^22 + 4560709502*x^21 + 1667935405*x^20 - 7545750211*x^19 - 1883297625*x^18 + 9594483014*x^17 + 1493291479*x^16 - 9283089400*x^15 - 711086585*x^14 + 6734643670*x^13 + 45163987*x^12 - 3583929590*x^11 + 209195311*x^10 + 1351946585*x^9 - 164402721*x^8 - 341202770*x^7 + 63121616*x^6 + 51595733*x^5 - 12954637*x^4 - 3573638*x^3 + 1187228*x^2 + 17122*x - 18648, x^41 - 4*x^40 - 55*x^39 + 236*x^38 + 1346*x^37 - 6307*x^36 - 19314*x^35 + 101373*x^34 + 179533*x^33 - 1096720*x^32 - 1118538*x^31 + 8465934*x^30 + 4572747*x^29 - 48224695*x^28 - 10480221*x^27 + 206807740*x^26 - 1063940*x^25 - 675343601*x^24 + 106882431*x^23 + 1688474632*x^22 - 439717231*x^21 - 3234575728*x^20 + 1046099688*x^19 + 4732826702*x^18 - 1682921219*x^17 - 5253100456*x^16 + 1910594178*x^15 + 4375659089*x^14 - 1549559456*x^13 - 2694273276*x^12 + 898854578*x^11 + 1200773378*x^10 - 372381054*x^9 - 375039894*x^8 + 110154090*x^7 + 77208847*x^6 - 22931327*x^5 - 9001315*x^4 + 3017681*x^3 + 335885*x^2 - 161956*x + 10176, x^41 - 4*x^40 - 55*x^39 + 236*x^38 + 1346*x^37 - 6307*x^36 - 19314*x^35 + 101373*x^34 + 179533*x^33 - 1096720*x^32 - 1118538*x^31 + 8465934*x^30 + 4572747*x^29 - 48224695*x^28 - 10480221*x^27 + 206807740*x^26 - 1063940*x^25 - 675343601*x^24 + 106882431*x^23 + 1688474632*x^22 - 439717231*x^21 - 3234575728*x^20 + 1046099688*x^19 + 4732826702*x^18 - 1682921219*x^17 - 5253100456*x^16 + 1910594178*x^15 + 4375659089*x^14 - 1549559456*x^13 - 2694273276*x^12 + 898854578*x^11 + 1200773378*x^10 - 372381054*x^9 - 375039894*x^8 + 110154090*x^7 + 77208847*x^6 - 22931327*x^5 - 9001315*x^4 + 3017681*x^3 + 335885*x^2 - 161956*x + 10176, x^43 - 5*x^42 - 51*x^41 + 287*x^40 + 1142*x^39 - 7554*x^38 - 14424*x^37 + 120879*x^36 + 106033*x^35 - 1314678*x^34 - 340882*x^33 + 10292798*x^32 - 1566563*x^31 - 59943410*x^30 + 26785900*x^29 + 264674306*x^28 - 177359147*x^27 - 895007765*x^26 + 759133669*x^25 + 2325732976*x^24 - 2322089936*x^23 - 4632750052*x^22 + 5256033945*x^21 + 7013415911*x^20 - 8909894102*x^19 - 7938477089*x^18 + 11312511247*x^17 + 6532400303*x^16 - 10665923315*x^15 - 3718666396*x^14 + 7344597545*x^13 + 1323505381*x^12 - 3602485192*x^11 - 216024960*x^10 + 1219069104*x^9 - 18688374*x^8 - 277129669*x^7 + 12153830*x^6 + 43186182*x^5 - 1762080*x^4 - 4919378*x^3 + 388677*x^2 + 294824*x - 45840, x^43 - 5*x^42 - 51*x^41 + 287*x^40 + 1142*x^39 - 7554*x^38 - 14424*x^37 + 120879*x^36 + 106033*x^35 - 1314678*x^34 - 340882*x^33 + 10292798*x^32 - 1566563*x^31 - 59943410*x^30 + 26785900*x^29 + 264674306*x^28 - 177359147*x^27 - 895007765*x^26 + 759133669*x^25 + 2325732976*x^24 - 2322089936*x^23 - 4632750052*x^22 + 5256033945*x^21 + 7013415911*x^20 - 8909894102*x^19 - 7938477089*x^18 + 11312511247*x^17 + 6532400303*x^16 - 10665923315*x^15 - 3718666396*x^14 + 7344597545*x^13 + 1323505381*x^12 - 3602485192*x^11 - 216024960*x^10 + 1219069104*x^9 - 18688374*x^8 - 277129669*x^7 + 12153830*x^6 + 43186182*x^5 - 1762080*x^4 - 4919378*x^3 + 388677*x^2 + 294824*x - 45840, x^40 - 70*x^38 + 41*x^37 + 2100*x^36 - 1965*x^35 - 36651*x^34 + 42814*x^33 + 421194*x^32 - 561714*x^31 - 3400106*x^30 + 4955775*x^29 + 20013309*x^28 - 31107213*x^27 - 87797471*x^26 + 143401767*x^25 + 290483583*x^24 - 494343804*x^23 - 727786802*x^22 + 1286132263*x^21 + 1376370467*x^20 - 2532181125*x^19 - 1941782953*x^18 + 3761938653*x^17 + 1994026917*x^16 - 4181823023*x^15 - 1418641942*x^14 + 3425967530*x^13 + 620768364*x^12 - 2018253905*x^11 - 96338710*x^10 + 821365281*x^9 - 54076475*x^8 - 215647119*x^7 + 34914884*x^6 + 32124106*x^5 - 7756153*x^4 - 2035458*x^3 + 622987*x^2 + 23166*x - 10392, x^40 - 70*x^38 + 41*x^37 + 2100*x^36 - 1965*x^35 - 36651*x^34 + 42814*x^33 + 421194*x^32 - 561714*x^31 - 3400106*x^30 + 4955775*x^29 + 20013309*x^28 - 31107213*x^27 - 87797471*x^26 + 143401767*x^25 + 290483583*x^24 - 494343804*x^23 - 727786802*x^22 + 1286132263*x^21 + 1376370467*x^20 - 2532181125*x^19 - 1941782953*x^18 + 3761938653*x^17 + 1994026917*x^16 - 4181823023*x^15 - 1418641942*x^14 + 3425967530*x^13 + 620768364*x^12 - 2018253905*x^11 - 96338710*x^10 + 821365281*x^9 - 54076475*x^8 - 215647119*x^7 + 34914884*x^6 + 32124106*x^5 - 7756153*x^4 - 2035458*x^3 + 622987*x^2 + 23166*x - 10392, -x^43 + 4*x^42 + 57*x^41 - 243*x^40 - 1466*x^39 + 6774*x^38 + 22402*x^37 - 114948*x^36 - 224610*x^35 + 1328112*x^34 + 1527514*x^33 - 11072995*x^32 - 6874360*x^31 + 68888846*x^30 + 17099357*x^29 - 326226983*x^28 + 8769918*x^27 + 1189084263*x^26 - 282806638*x^25 - 3351885098*x^24 + 1358863180*x^23 + 7302800018*x^22 - 3972644601*x^21 - 12225695801*x^20 + 8132312777*x^19 + 15538995568*x^18 - 12129010637*x^17 - 14686334658*x^16 + 13299164378*x^15 + 9956155338*x^14 - 10642106386*x^13 - 4512101359*x^12 + 6082798054*x^11 + 1131833793*x^10 - 2386650791*x^9 - 14005703*x^8 + 598619078*x^7 - 81359228*x^6 - 83186223*x^5 + 21526539*x^4 + 4231652*x^3 - 1835127*x^2 + 96325*x + 11844, -x^43 + 4*x^42 + 57*x^41 - 243*x^40 - 1466*x^39 + 6774*x^38 + 22402*x^37 - 114948*x^36 - 224610*x^35 + 1328112*x^34 + 1527514*x^33 - 11072995*x^32 - 6874360*x^31 + 68888846*x^30 + 17099357*x^29 - 326226983*x^28 + 8769918*x^27 + 1189084263*x^26 - 282806638*x^25 - 3351885098*x^24 + 1358863180*x^23 + 7302800018*x^22 - 3972644601*x^21 - 12225695801*x^20 + 8132312777*x^19 + 15538995568*x^18 - 12129010637*x^17 - 14686334658*x^16 + 13299164378*x^15 + 9956155338*x^14 - 10642106386*x^13 - 4512101359*x^12 + 6082798054*x^11 + 1131833793*x^10 - 2386650791*x^9 - 14005703*x^8 + 598619078*x^7 - 81359228*x^6 - 83186223*x^5 + 21526539*x^4 + 4231652*x^3 - 1835127*x^2 + 96325*x + 11844, x^41 - 4*x^40 - 52*x^39 + 217*x^38 + 1239*x^37 - 5424*x^36 - 17918*x^35 + 82865*x^34 + 175489*x^33 - 865416*x^32 - 1228440*x^31 + 6545637*x^30 + 6309773*x^29 - 37052006*x^28 - 23946116*x^27 + 159938060*x^26 + 66214564*x^25 - 531503475*x^24 - 126576319*x^23 + 1363424896*x^22 + 138451907*x^21 - 2691696911*x^20 + 17656515*x^19 + 4056395987*x^18 - 378389288*x^17 - 4603813885*x^16 + 753218911*x^15 + 3858449621*x^14 - 853616605*x^13 - 2322093299*x^12 + 624435460*x^11 + 963698934*x^10 - 297175665*x^9 - 259591220*x^8 + 88238611*x^7 + 41438449*x^6 - 15023620*x^5 - 3506756*x^4 + 1356827*x^3 + 145499*x^2 - 84284*x + 8928, x^41 - 4*x^40 - 52*x^39 + 217*x^38 + 1239*x^37 - 5424*x^36 - 17918*x^35 + 82865*x^34 + 175489*x^33 - 865416*x^32 - 1228440*x^31 + 6545637*x^30 + 6309773*x^29 - 37052006*x^28 - 23946116*x^27 + 159938060*x^26 + 66214564*x^25 - 531503475*x^24 - 126576319*x^23 + 1363424896*x^22 + 138451907*x^21 - 2691696911*x^20 + 17656515*x^19 + 4056395987*x^18 - 378389288*x^17 - 4603813885*x^16 + 753218911*x^15 + 3858449621*x^14 - 853616605*x^13 - 2322093299*x^12 + 624435460*x^11 + 963698934*x^10 - 297175665*x^9 - 259591220*x^8 + 88238611*x^7 + 41438449*x^6 - 15023620*x^5 - 3506756*x^4 + 1356827*x^3 + 145499*x^2 - 84284*x + 8928, x^42 - 4*x^41 - 55*x^40 + 233*x^39 + 1366*x^38 - 6205*x^37 - 20254*x^36 + 100277*x^35 + 199448*x^34 - 1100696*x^33 - 1369691*x^32 + 8703020*x^31 + 6668800*x^30 - 51302062*x^29 - 22641023*x^28 + 230221995*x^27 + 48956095*x^26 - 796334763*x^25 - 38262480*x^24 + 2136624957*x^23 - 155047582*x^22 - 4452898139*x^21 + 725786414*x^20 + 7185030378*x^19 - 1678102277*x^18 - 8902530270*x^17 + 2604454284*x^16 + 8349601741*x^15 - 2897583994*x^14 - 5793283374*x^13 + 2337940095*x^12 + 2866011071*x^11 - 1346997469*x^10 - 948165714*x^9 + 532539656*x^8 + 183264928*x^7 - 134203121*x^6 - 12613548*x^5 + 18669977*x^4 - 1550156*x^3 - 972476*x^2 + 226555*x - 15732, x^42 - 4*x^41 - 55*x^40 + 233*x^39 + 1366*x^38 - 6205*x^37 - 20254*x^36 + 100277*x^35 + 199448*x^34 - 1100696*x^33 - 1369691*x^32 + 8703020*x^31 + 6668800*x^30 - 51302062*x^29 - 22641023*x^28 + 230221995*x^27 + 48956095*x^26 - 796334763*x^25 - 38262480*x^24 + 2136624957*x^23 - 155047582*x^22 - 4452898139*x^21 + 725786414*x^20 + 7185030378*x^19 - 1678102277*x^18 - 8902530270*x^17 + 2604454284*x^16 + 8349601741*x^15 - 2897583994*x^14 - 5793283374*x^13 + 2337940095*x^12 + 2866011071*x^11 - 1346997469*x^10 - 948165714*x^9 + 532539656*x^8 + 183264928*x^7 - 134203121*x^6 - 12613548*x^5 + 18669977*x^4 - 1550156*x^3 - 972476*x^2 + 226555*x - 15732, x^42 - 5*x^41 - 48*x^40 + 273*x^39 + 998*x^38 - 6814*x^37 - 11358*x^36 + 103009*x^35 + 68286*x^34 - 1053373*x^33 - 50642*x^32 + 7707209*x^31 - 2916613*x^30 - 41613959*x^29 + 29371903*x^28 + 168513078*x^27 - 165760995*x^26 - 514636270*x^25 + 642254414*x^24 + 1180264501*x^23 - 1813541165*x^22 - 1998536610*x^21 + 3816828724*x^20 + 2399127509*x^19 - 6024652741*x^18 - 1829870705*x^17 + 7102889421*x^16 + 500877447*x^15 - 6172099736*x^14 + 640946615*x^13 + 3857820707*x^12 - 930098059*x^11 - 1664274822*x^10 + 597492619*x^9 + 460289720*x^8 - 220833925*x^7 - 69663421*x^6 + 46155689*x^5 + 3135683*x^4 - 4692189*x^3 + 329581*x^2 + 152368*x - 19296, x^42 - 5*x^41 - 48*x^40 + 273*x^39 + 998*x^38 - 6814*x^37 - 11358*x^36 + 103009*x^35 + 68286*x^34 - 1053373*x^33 - 50642*x^32 + 7707209*x^31 - 2916613*x^30 - 41613959*x^29 + 29371903*x^28 + 168513078*x^27 - 165760995*x^26 - 514636270*x^25 + 642254414*x^24 + 1180264501*x^23 - 1813541165*x^22 - 1998536610*x^21 + 3816828724*x^20 + 2399127509*x^19 - 6024652741*x^18 - 1829870705*x^17 + 7102889421*x^16 + 500877447*x^15 - 6172099736*x^14 + 640946615*x^13 + 3857820707*x^12 - 930098059*x^11 - 1664274822*x^10 + 597492619*x^9 + 460289720*x^8 - 220833925*x^7 - 69663421*x^6 + 46155689*x^5 + 3135683*x^4 - 4692189*x^3 + 329581*x^2 + 152368*x - 19296, x^42 - 5*x^41 - 50*x^40 + 281*x^39 + 1100*x^38 - 7243*x^37 - 13709*x^36 + 113495*x^35 + 100704*x^34 - 1208275*x^33 - 349052*x^32 + 9253328*x^31 - 978458*x^30 - 52658945*x^29 + 20213734*x^28 + 226876040*x^27 - 133741494*x^26 - 747180530*x^25 + 558727771*x^24 + 1886153286*x^23 - 1650557878*x^22 - 3636880846*x^21 + 3579308057*x^20 + 5300812181*x^19 - 5767131321*x^18 - 5723464949*x^17 + 6895291343*x^16 + 4411200944*x^15 - 6044032429*x^14 - 2249437705*x^13 + 3788628059*x^12 + 611378721*x^11 - 1623721222*x^10 + 15425547*x^9 + 437436680*x^8 - 66541379*x^7 - 61556813*x^6 + 17356902*x^5 + 2233961*x^4 - 1172558*x^3 + 139385*x^2 - 18189*x + 1452, x^42 - 5*x^41 - 50*x^40 + 281*x^39 + 1100*x^38 - 7243*x^37 - 13709*x^36 + 113495*x^35 + 100704*x^34 - 1208275*x^33 - 349052*x^32 + 9253328*x^31 - 978458*x^30 - 52658945*x^29 + 20213734*x^28 + 226876040*x^27 - 133741494*x^26 - 747180530*x^25 + 558727771*x^24 + 1886153286*x^23 - 1650557878*x^22 - 3636880846*x^21 + 3579308057*x^20 + 5300812181*x^19 - 5767131321*x^18 - 5723464949*x^17 + 6895291343*x^16 + 4411200944*x^15 - 6044032429*x^14 - 2249437705*x^13 + 3788628059*x^12 + 611378721*x^11 - 1623721222*x^10 + 15425547*x^9 + 437436680*x^8 - 66541379*x^7 - 61556813*x^6 + 17356902*x^5 + 2233961*x^4 - 1172558*x^3 + 139385*x^2 - 18189*x + 1452, x^41 - 4*x^40 - 54*x^39 + 235*x^38 + 1284*x^37 - 6238*x^36 - 17587*x^35 + 99340*x^34 + 150676*x^33 - 1061861*x^32 - 793555*x^31 + 8071338*x^30 + 1950329*x^29 - 45073621*x^28 + 5233217*x^27 + 188355158*x^26 - 72478252*x^25 - 594231861*x^24 + 355953378*x^23 + 1417198675*x^22 - 1109365532*x^21 - 2539719310*x^20 + 2431690353*x^19 + 3368117981*x^18 - 3872229127*x^17 - 3205212080*x^16 + 4513327673*x^15 + 2047249129*x^14 - 3822018284*x^13 - 717377130*x^12 + 2300236846*x^11 - 22500280*x^10 - 942584601*x^9 + 153984554*x^8 + 242335795*x^7 - 70927178*x^6 - 32627712*x^5 + 14006658*x^4 + 1171463*x^3 - 978429*x^2 + 64686*x + 6024, x^41 - 4*x^40 - 54*x^39 + 235*x^38 + 1284*x^37 - 6238*x^36 - 17587*x^35 + 99340*x^34 + 150676*x^33 - 1061861*x^32 - 793555*x^31 + 8071338*x^30 + 1950329*x^29 - 45073621*x^28 + 5233217*x^27 + 188355158*x^26 - 72478252*x^25 - 594231861*x^24 + 355953378*x^23 + 1417198675*x^22 - 1109365532*x^21 - 2539719310*x^20 + 2431690353*x^19 + 3368117981*x^18 - 3872229127*x^17 - 3205212080*x^16 + 4513327673*x^15 + 2047249129*x^14 - 3822018284*x^13 - 717377130*x^12 + 2300236846*x^11 - 22500280*x^10 - 942584601*x^9 + 153984554*x^8 + 242335795*x^7 - 70927178*x^6 - 32627712*x^5 + 14006658*x^4 + 1171463*x^3 - 978429*x^2 + 64686*x + 6024, 2*x^40 - 8*x^39 - 100*x^38 + 423*x^37 + 2264*x^36 - 10266*x^35 - 30561*x^34 + 151512*x^33 + 271812*x^32 - 1518583*x^31 - 1651540*x^30 + 10932187*x^29 + 6767138*x^28 - 58302040*x^27 - 16684179*x^26 + 234200897*x^25 + 8874739*x^24 - 713662096*x^23 + 110193859*x^22 + 1649176172*x^21 - 508511979*x^20 - 2870212524*x^19 + 1251493915*x^18 + 3710090383*x^17 - 2030237043*x^16 - 3480978370*x^15 + 2269214806*x^14 + 2284307044*x^13 - 1745371192*x^12 - 983582402*x^11 + 897527428*x^10 + 244330063*x^9 - 290521452*x^8 - 23789729*x^7 + 53097921*x^6 - 1220966*x^5 - 4683516*x^4 + 98968*x^3 + 251003*x^2 - 10824*x - 3120, 2*x^40 - 8*x^39 - 100*x^38 + 423*x^37 + 2264*x^36 - 10266*x^35 - 30561*x^34 + 151512*x^33 + 271812*x^32 - 1518583*x^31 - 1651540*x^30 + 10932187*x^29 + 6767138*x^28 - 58302040*x^27 - 16684179*x^26 + 234200897*x^25 + 8874739*x^24 - 713662096*x^23 + 110193859*x^22 + 1649176172*x^21 - 508511979*x^20 - 2870212524*x^19 + 1251493915*x^18 + 3710090383*x^17 - 2030237043*x^16 - 3480978370*x^15 + 2269214806*x^14 + 2284307044*x^13 - 1745371192*x^12 - 983582402*x^11 + 897527428*x^10 + 244330063*x^9 - 290521452*x^8 - 23789729*x^7 + 53097921*x^6 - 1220966*x^5 - 4683516*x^4 + 98968*x^3 + 251003*x^2 - 10824*x - 3120, -x^42 + 4*x^41 + 56*x^40 - 239*x^39 - 1409*x^38 + 6526*x^37 + 20975*x^36 - 108029*x^35 - 204023*x^34 + 1212541*x^33 + 1340945*x^32 - 9778138*x^31 - 5820214*x^30 + 58569547*x^29 + 14100263*x^28 - 265746133*x^27 + 4087471*x^26 + 923391057*x^25 - 189578388*x^24 - 2468637812*x^23 + 860405769*x^22 + 5075779850*x^21 - 2324320019*x^20 - 7984846431*x^19 + 4334392877*x^18 + 9510540548*x^17 - 5810608852*x^16 - 8430320965*x^15 + 5646722014*x^14 + 5412984376*x^13 - 3941508375*x^12 - 2410863989*x^11 + 1927006489*x^10 + 691031668*x^9 - 629966221*x^8 - 109133891*x^7 + 126980091*x^6 + 5528449*x^5 - 13633434*x^4 + 415270*x^3 + 595347*x^2 - 20373*x - 7476, -x^42 + 4*x^41 + 56*x^40 - 239*x^39 - 1409*x^38 + 6526*x^37 + 20975*x^36 - 108029*x^35 - 204023*x^34 + 1212541*x^33 + 1340945*x^32 - 9778138*x^31 - 5820214*x^30 + 58569547*x^29 + 14100263*x^28 - 265746133*x^27 + 4087471*x^26 + 923391057*x^25 - 189578388*x^24 - 2468637812*x^23 + 860405769*x^22 + 5075779850*x^21 - 2324320019*x^20 - 7984846431*x^19 + 4334392877*x^18 + 9510540548*x^17 - 5810608852*x^16 - 8430320965*x^15 + 5646722014*x^14 + 5412984376*x^13 - 3941508375*x^12 - 2410863989*x^11 + 1927006489*x^10 + 691031668*x^9 - 629966221*x^8 - 109133891*x^7 + 126980091*x^6 + 5528449*x^5 - 13633434*x^4 + 415270*x^3 + 595347*x^2 - 20373*x - 7476, -x^44 + 4*x^43 + 59*x^42 - 250*x^41 - 1581*x^40 + 7193*x^39 + 25402*x^38 - 126420*x^37 - 271592*x^36 + 1518718*x^35 + 2019710*x^34 - 13222695*x^33 - 10508465*x^32 + 86330250*x^31 + 36465843*x^30 - 431497414*x^29 - 65898180*x^28 + 1671276736*x^27 - 79749548*x^26 - 5047257762*x^25 + 1004490001*x^24 + 11902722975*x^23 - 3739054399*x^22 - 21862185153*x^21 + 8788697391*x^20 + 31069592210*x^19 - 14580105889*x^18 - 33791358220*x^17 + 17616481751*x^16 + 27669565703*x^15 - 15577741815*x^14 - 16659729405*x^13 + 9979142442*x^12 + 7126627372*x^11 - 4522852591*x^10 - 2056983956*x^9 + 1392988020*x^8 + 368977433*x^7 - 273287930*x^6 - 35597643*x^5 + 30819723*x^4 + 1323241*x^3 - 1686250*x^2 + 15095*x + 26124, -x^44 + 4*x^43 + 59*x^42 - 250*x^41 - 1581*x^40 + 7193*x^39 + 25402*x^38 - 126420*x^37 - 271592*x^36 + 1518718*x^35 + 2019710*x^34 - 13222695*x^33 - 10508465*x^32 + 86330250*x^31 + 36465843*x^30 - 431497414*x^29 - 65898180*x^28 + 1671276736*x^27 - 79749548*x^26 - 5047257762*x^25 + 1004490001*x^24 + 11902722975*x^23 - 3739054399*x^22 - 21862185153*x^21 + 8788697391*x^20 + 31069592210*x^19 - 14580105889*x^18 - 33791358220*x^17 + 17616481751*x^16 + 27669565703*x^15 - 15577741815*x^14 - 16659729405*x^13 + 9979142442*x^12 + 7126627372*x^11 - 4522852591*x^10 - 2056983956*x^9 + 1392988020*x^8 + 368977433*x^7 - 273287930*x^6 - 35597643*x^5 + 30819723*x^4 + 1323241*x^3 - 1686250*x^2 + 15095*x + 26124, -x^39 + 5*x^38 + 44*x^37 - 253*x^36 - 830*x^35 + 5830*x^34 + 8424*x^33 - 81078*x^32 - 43034*x^31 + 760452*x^30 - 10794*x^29 - 5093324*x^28 + 1905203*x^27 + 25167819*x^26 - 15803265*x^25 - 93487132*x^24 + 76277964*x^23 + 263518440*x^22 - 253443070*x^21 - 564596481*x^20 + 611168790*x^19 + 913436751*x^18 - 1091021961*x^17 - 1096570054*x^16 + 1446977996*x^15 + 942824042*x^14 - 1413480458*x^13 - 539111971*x^12 + 994942415*x^11 + 166325779*x^10 - 484702785*x^9 + 2988785*x^8 + 152118284*x^7 - 22569046*x^6 - 26731118*x^5 + 7222459*x^4 + 1820007*x^3 - 749750*x^2 + 18516*x + 9120, -x^39 + 5*x^38 + 44*x^37 - 253*x^36 - 830*x^35 + 5830*x^34 + 8424*x^33 - 81078*x^32 - 43034*x^31 + 760452*x^30 - 10794*x^29 - 5093324*x^28 + 1905203*x^27 + 25167819*x^26 - 15803265*x^25 - 93487132*x^24 + 76277964*x^23 + 263518440*x^22 - 253443070*x^21 - 564596481*x^20 + 611168790*x^19 + 913436751*x^18 - 1091021961*x^17 - 1096570054*x^16 + 1446977996*x^15 + 942824042*x^14 - 1413480458*x^13 - 539111971*x^12 + 994942415*x^11 + 166325779*x^10 - 484702785*x^9 + 2988785*x^8 + 152118284*x^7 - 22569046*x^6 - 26731118*x^5 + 7222459*x^4 + 1820007*x^3 - 749750*x^2 + 18516*x + 9120, x^43 - 4*x^42 - 57*x^41 + 241*x^40 + 1475*x^39 - 6676*x^38 - 22884*x^37 + 112822*x^36 + 236349*x^35 - 1301409*x^34 - 1699900*x^33 + 10861601*x^32 + 8580893*x^31 - 67839334*x^30 - 29164099*x^29 + 323520311*x^28 + 54203099*x^27 - 1191497661*x^26 + 35279712*x^25 + 3406200419*x^24 - 617883391*x^23 - 7558571446*x^22 + 2274869177*x^21 + 12959325416*x^20 - 5155892318*x^19 - 17003474953*x^18 + 8159604630*x^17 + 16807914277*x^16 - 9321505845*x^15 - 12216191592*x^14 + 7709517835*x^13 + 6277661477*x^12 - 4546088893*x^11 - 2126438812*x^10 + 1847505311*x^9 + 404320268*x^8 - 486693006*x^7 - 18895217*x^6 + 74229016*x^5 - 6555499*x^4 - 5161620*x^3 + 869099*x^2 + 81538*x - 16200, x^43 - 4*x^42 - 57*x^41 + 241*x^40 + 1475*x^39 - 6676*x^38 - 22884*x^37 + 112822*x^36 + 236349*x^35 - 1301409*x^34 - 1699900*x^33 + 10861601*x^32 + 8580893*x^31 - 67839334*x^30 - 29164099*x^29 + 323520311*x^28 + 54203099*x^27 - 1191497661*x^26 + 35279712*x^25 + 3406200419*x^24 - 617883391*x^23 - 7558571446*x^22 + 2274869177*x^21 + 12959325416*x^20 - 5155892318*x^19 - 17003474953*x^18 + 8159604630*x^17 + 16807914277*x^16 - 9321505845*x^15 - 12216191592*x^14 + 7709517835*x^13 + 6277661477*x^12 - 4546088893*x^11 - 2126438812*x^10 + 1847505311*x^9 + 404320268*x^8 - 486693006*x^7 - 18895217*x^6 + 74229016*x^5 - 6555499*x^4 - 5161620*x^3 + 869099*x^2 + 81538*x - 16200, 2*x^39 - 12*x^38 - 74*x^37 + 567*x^36 + 1028*x^35 - 12121*x^34 - 3979*x^33 + 154942*x^32 - 69968*x^31 - 1318365*x^30 + 1272666*x^29 + 7860931*x^28 - 10759624*x^27 - 33636876*x^26 + 58701135*x^25 + 103732275*x^24 - 225082478*x^23 - 226531148*x^22 + 627046566*x^21 + 329533472*x^20 - 1284731272*x^19 - 252343897*x^18 + 1935379537*x^17 - 85153528*x^16 - 2120529589*x^15 + 494207652*x^14 + 1649938714*x^13 - 658471613*x^12 - 870257446*x^11 + 500751578*x^10 + 280784987*x^9 - 236127386*x^8 - 38544987*x^7 + 66660525*x^6 - 5503900*x^5 - 9742361*x^4 + 2607185*x^3 + 414175*x^2 - 243697*x + 26124, 2*x^39 - 12*x^38 - 74*x^37 + 567*x^36 + 1028*x^35 - 12121*x^34 - 3979*x^33 + 154942*x^32 - 69968*x^31 - 1318365*x^30 + 1272666*x^29 + 7860931*x^28 - 10759624*x^27 - 33636876*x^26 + 58701135*x^25 + 103732275*x^24 - 225082478*x^23 - 226531148*x^22 + 627046566*x^21 + 329533472*x^20 - 1284731272*x^19 - 252343897*x^18 + 1935379537*x^17 - 85153528*x^16 - 2120529589*x^15 + 494207652*x^14 + 1649938714*x^13 - 658471613*x^12 - 870257446*x^11 + 500751578*x^10 + 280784987*x^9 - 236127386*x^8 - 38544987*x^7 + 66660525*x^6 - 5503900*x^5 - 9742361*x^4 + 2607185*x^3 + 414175*x^2 - 243697*x + 26124, x^41 - 6*x^40 - 44*x^39 + 323*x^38 + 789*x^37 - 7951*x^36 - 6357*x^35 + 118524*x^34 - 4191*x^33 - 1194412*x^32 + 658073*x^31 + 8602830*x^30 - 7844832*x^29 - 45659197*x^28 + 54377277*x^27 + 181464111*x^26 - 259107033*x^25 - 543311965*x^24 + 896614536*x^23 + 1222400354*x^22 - 2303772454*x^21 - 2042137202*x^20 + 4427494053*x^19 + 2467356037*x^18 - 6352599441*x^17 - 2036045831*x^16 + 6742420475*x^15 + 975021039*x^14 - 5205908200*x^13 - 53655047*x^12 + 2849021416*x^11 - 269301071*x^10 - 1062417411*x^9 + 188274381*x^8 + 254117843*x^7 - 61457453*x^6 - 35448321*x^5 + 10331883*x^4 + 2451578*x^3 - 821041*x^2 - 49675*x + 19716, x^41 - 6*x^40 - 44*x^39 + 323*x^38 + 789*x^37 - 7951*x^36 - 6357*x^35 + 118524*x^34 - 4191*x^33 - 1194412*x^32 + 658073*x^31 + 8602830*x^30 - 7844832*x^29 - 45659197*x^28 + 54377277*x^27 + 181464111*x^26 - 259107033*x^25 - 543311965*x^24 + 896614536*x^23 + 1222400354*x^22 - 2303772454*x^21 - 2042137202*x^20 + 4427494053*x^19 + 2467356037*x^18 - 6352599441*x^17 - 2036045831*x^16 + 6742420475*x^15 + 975021039*x^14 - 5205908200*x^13 - 53655047*x^12 + 2849021416*x^11 - 269301071*x^10 - 1062417411*x^9 + 188274381*x^8 + 254117843*x^7 - 61457453*x^6 - 35448321*x^5 + 10331883*x^4 + 2451578*x^3 - 821041*x^2 - 49675*x + 19716, x^41 - 3*x^40 - 56*x^39 + 170*x^38 + 1434*x^37 - 4415*x^36 - 22239*x^35 + 69639*x^34 + 233189*x^33 - 745365*x^32 - 1747899*x^31 + 5729463*x^30 + 9656195*x^29 - 32656152*x^28 - 39954243*x^27 + 140534257*x^26 + 124580005*x^25 - 460833714*x^24 - 292076873*x^23 + 1154562620*x^22 + 509128212*x^21 - 2204445789*x^20 - 643819013*x^19 + 3184517299*x^18 + 560423745*x^17 - 3438959456*x^16 - 291382646*x^15 + 2727927947*x^14 + 34569478*x^13 - 1550695719*x^12 + 66759917*x^11 + 609969844*x^10 - 49469322*x^9 - 157987635*x^8 + 14627197*x^7 + 25321603*x^6 - 1359301*x^5 - 2476762*x^4 - 165117*x^3 + 187230*x^2 + 23389*x - 9324, x^41 - 3*x^40 - 56*x^39 + 170*x^38 + 1434*x^37 - 4415*x^36 - 22239*x^35 + 69639*x^34 + 233189*x^33 - 745365*x^32 - 1747899*x^31 + 5729463*x^30 + 9656195*x^29 - 32656152*x^28 - 39954243*x^27 + 140534257*x^26 + 124580005*x^25 - 460833714*x^24 - 292076873*x^23 + 1154562620*x^22 + 509128212*x^21 - 2204445789*x^20 - 643819013*x^19 + 3184517299*x^18 + 560423745*x^17 - 3438959456*x^16 - 291382646*x^15 + 2727927947*x^14 + 34569478*x^13 - 1550695719*x^12 + 66759917*x^11 + 609969844*x^10 - 49469322*x^9 - 157987635*x^8 + 14627197*x^7 + 25321603*x^6 - 1359301*x^5 - 2476762*x^4 - 165117*x^3 + 187230*x^2 + 23389*x - 9324, -x^42 + 4*x^41 + 54*x^40 - 232*x^39 - 1305*x^38 + 6156*x^37 + 18479*x^36 - 99000*x^35 - 167371*x^34 + 1077626*x^33 + 973089*x^32 - 8397963*x^31 - 3151821*x^30 + 48333087*x^29 - 317863*x^28 - 208891524*x^27 + 62990080*x^26 + 682544721*x^25 - 372211084*x^24 - 1683289437*x^23 + 1287365262*x^22 + 3099627236*x^21 - 3062107971*x^20 - 4158834861*x^19 + 5235515567*x^18 + 3855361648*x^17 - 6501970032*x^16 - 2129819342*x^15 + 5822539664*x^14 + 218968846*x^13 - 3673649108*x^12 + 675864206*x^11 + 1560095159*x^10 - 582476079*x^9 - 406913924*x^8 + 235375195*x^7 + 51319091*x^6 - 50221267*x^5 + 219865*x^4 + 5046250*x^3 - 575941*x^2 - 176460*x + 28848, -x^42 + 4*x^41 + 54*x^40 - 232*x^39 - 1305*x^38 + 6156*x^37 + 18479*x^36 - 99000*x^35 - 167371*x^34 + 1077626*x^33 + 973089*x^32 - 8397963*x^31 - 3151821*x^30 + 48333087*x^29 - 317863*x^28 - 208891524*x^27 + 62990080*x^26 + 682544721*x^25 - 372211084*x^24 - 1683289437*x^23 + 1287365262*x^22 + 3099627236*x^21 - 3062107971*x^20 - 4158834861*x^19 + 5235515567*x^18 + 3855361648*x^17 - 6501970032*x^16 - 2129819342*x^15 + 5822539664*x^14 + 218968846*x^13 - 3673649108*x^12 + 675864206*x^11 + 1560095159*x^10 - 582476079*x^9 - 406913924*x^8 + 235375195*x^7 + 51319091*x^6 - 50221267*x^5 + 219865*x^4 + 5046250*x^3 - 575941*x^2 - 176460*x + 28848, -x^41 + 4*x^40 + 55*x^39 - 236*x^38 - 1353*x^37 + 6352*x^36 + 19559*x^35 - 103450*x^34 - 182590*x^33 + 1139915*x^32 + 1124114*x^31 - 9000934*x^30 - 4271760*x^29 + 52619919*x^28 + 6077177*x^27 - 232056330*x^26 + 34527115*x^25 + 779515011*x^24 - 273374933*x^23 - 2000489020*x^22 + 1021278016*x^21 + 3911315898*x^20 - 2513188628*x^19 - 5776111123*x^18 + 4383022248*x^17 + 6341167221*x^16 - 5531912775*x^15 - 5037378614*x^14 + 5050659297*x^13 + 2759708983*x^12 - 3285534119*x^11 - 941553703*x^10 + 1475899583*x^9 + 140999198*x^8 - 433094000*x^7 + 20227152*x^6 + 75056689*x^5 - 11368908*x^4 - 6243490*x^3 + 1400579*x^2 + 139896*x - 37968, -x^41 + 4*x^40 + 55*x^39 - 236*x^38 - 1353*x^37 + 6352*x^36 + 19559*x^35 - 103450*x^34 - 182590*x^33 + 1139915*x^32 + 1124114*x^31 - 9000934*x^30 - 4271760*x^29 + 52619919*x^28 + 6077177*x^27 - 232056330*x^26 + 34527115*x^25 + 779515011*x^24 - 273374933*x^23 - 2000489020*x^22 + 1021278016*x^21 + 3911315898*x^20 - 2513188628*x^19 - 5776111123*x^18 + 4383022248*x^17 + 6341167221*x^16 - 5531912775*x^15 - 5037378614*x^14 + 5050659297*x^13 + 2759708983*x^12 - 3285534119*x^11 - 941553703*x^10 + 1475899583*x^9 + 140999198*x^8 - 433094000*x^7 + 20227152*x^6 + 75056689*x^5 - 11368908*x^4 - 6243490*x^3 + 1400579*x^2 + 139896*x - 37968, -x^43 + 4*x^42 + 57*x^41 - 243*x^40 - 1468*x^39 + 6781*x^38 + 22499*x^37 - 115292*x^36 - 226773*x^35 + 1335854*x^34 + 1556997*x^33 - 11178891*x^32 - 7149850*x^31 + 69874235*x^30 + 18974205*x^29 - 332844743*x^28 - 854693*x^27 + 1222298224*x^26 - 244811038*x^25 - 3479147747*x^24 + 1242700841*x^23 + 7679719741*x^22 - 3698792929*x^21 - 13093350403*x^20 + 7642571477*x^19 + 17090086978*x^18 - 11485932836*x^17 - 16824214143*x^16 + 12717690047*x^15 + 12196076721*x^14 - 10336383279*x^13 - 6256955543*x^12 + 6064390685*x^11 + 2110197935*x^10 - 2487757780*x^9 - 390486065*x^8 + 675809057*x^7 + 10804139*x^6 - 110834616*x^5 + 9130023*x^4 + 9349852*x^3 - 1289089*x^2 - 318370*x + 53304, -x^43 + 4*x^42 + 57*x^41 - 243*x^40 - 1468*x^39 + 6781*x^38 + 22499*x^37 - 115292*x^36 - 226773*x^35 + 1335854*x^34 + 1556997*x^33 - 11178891*x^32 - 7149850*x^31 + 69874235*x^30 + 18974205*x^29 - 332844743*x^28 - 854693*x^27 + 1222298224*x^26 - 244811038*x^25 - 3479147747*x^24 + 1242700841*x^23 + 7679719741*x^22 - 3698792929*x^21 - 13093350403*x^20 + 7642571477*x^19 + 17090086978*x^18 - 11485932836*x^17 - 16824214143*x^16 + 12717690047*x^15 + 12196076721*x^14 - 10336383279*x^13 - 6256955543*x^12 + 6064390685*x^11 + 2110197935*x^10 - 2487757780*x^9 - 390486065*x^8 + 675809057*x^7 + 10804139*x^6 - 110834616*x^5 + 9130023*x^4 + 9349852*x^3 - 1289089*x^2 - 318370*x + 53304, -x^45 + 4*x^44 + 61*x^43 - 258*x^42 - 1695*x^41 + 7679*x^40 + 28336*x^39 - 139975*x^38 - 316493*x^37 + 1748958*x^36 + 2471093*x^35 - 15886661*x^34 - 13592976*x^33 + 108582136*x^32 + 50490053*x^31 - 570260495*x^30 - 101971742*x^29 + 2330348462*x^28 - 87664773*x^27 - 7458640249*x^26 + 1532107677*x^25 + 18733755820*x^24 - 6340618420*x^23 - 36844704912*x^22 + 16460134921*x^21 + 56388638414*x^20 - 30354990143*x^19 - 66420440766*x^18 + 41231425224*x^17 + 59180114504*x^16 - 41594596240*x^15 - 38811961464*x^14 + 30957632107*x^13 + 17895684274*x^12 - 16670041330*x^11 - 5299015684*x^10 + 6267396591*x^9 + 773469201*x^8 - 1547716065*x^7 + 34957446*x^6 + 224840562*x^5 - 29333321*x^4 - 15267754*x^3 + 3139311*x^2 + 248169*x - 65148, -x^45 + 4*x^44 + 61*x^43 - 258*x^42 - 1695*x^41 + 7679*x^40 + 28336*x^39 - 139975*x^38 - 316493*x^37 + 1748958*x^36 + 2471093*x^35 - 15886661*x^34 - 13592976*x^33 + 108582136*x^32 + 50490053*x^31 - 570260495*x^30 - 101971742*x^29 + 2330348462*x^28 - 87664773*x^27 - 7458640249*x^26 + 1532107677*x^25 + 18733755820*x^24 - 6340618420*x^23 - 36844704912*x^22 + 16460134921*x^21 + 56388638414*x^20 - 30354990143*x^19 - 66420440766*x^18 + 41231425224*x^17 + 59180114504*x^16 - 41594596240*x^15 - 38811961464*x^14 + 30957632107*x^13 + 17895684274*x^12 - 16670041330*x^11 - 5299015684*x^10 + 6267396591*x^9 + 773469201*x^8 - 1547716065*x^7 + 34957446*x^6 + 224840562*x^5 - 29333321*x^4 - 15267754*x^3 + 3139311*x^2 + 248169*x - 65148, -x^41 + 3*x^40 + 58*x^39 - 178*x^38 - 1536*x^37 + 4847*x^36 + 24578*x^35 - 80271*x^34 - 264991*x^33 + 903460*x^32 + 2031926*x^31 - 7316883*x^30 - 11392303*x^29 + 44050533*x^28 + 47208732*x^27 - 200909144*x^26 - 143898431*x^25 + 701268571*x^24 + 313816795*x^23 - 1880386406*x^22 - 449605318*x^21 + 3867462182*x^20 + 284611446*x^19 - 6060854699*x^18 + 372841195*x^17 + 7147361935*x^16 - 1257372865*x^15 - 6214754121*x^14 + 1727985092*x^13 + 3856147685*x^12 - 1453052096*x^11 - 1614727498*x^10 + 784867235*x^9 + 408720719*x^8 - 262925941*x^7 - 45600521*x^6 + 48977197*x^5 - 1895696*x^4 - 3926584*x^3 + 622767*x^2 + 74888*x - 18048, -x^41 + 3*x^40 + 58*x^39 - 178*x^38 - 1536*x^37 + 4847*x^36 + 24578*x^35 - 80271*x^34 - 264991*x^33 + 903460*x^32 + 2031926*x^31 - 7316883*x^30 - 11392303*x^29 + 44050533*x^28 + 47208732*x^27 - 200909144*x^26 - 143898431*x^25 + 701268571*x^24 + 313816795*x^23 - 1880386406*x^22 - 449605318*x^21 + 3867462182*x^20 + 284611446*x^19 - 6060854699*x^18 + 372841195*x^17 + 7147361935*x^16 - 1257372865*x^15 - 6214754121*x^14 + 1727985092*x^13 + 3856147685*x^12 - 1453052096*x^11 - 1614727498*x^10 + 784867235*x^9 + 408720719*x^8 - 262925941*x^7 - 45600521*x^6 + 48977197*x^5 - 1895696*x^4 - 3926584*x^3 + 622767*x^2 + 74888*x - 18048, x^42 - 4*x^41 - 55*x^40 + 234*x^39 + 1364*x^38 - 6272*x^37 - 20088*x^36 + 102144*x^35 + 194111*x^34 - 1130066*x^33 - 1274346*x^32 + 8995945*x^31 + 5578272*x^30 - 53244534*x^29 - 14065229*x^28 + 238790540*x^27 + 729927*x^26 - 819614616*x^25 + 159882102*x^24 + 2160301589*x^23 - 755628267*x^22 - 4362750173*x^21 + 2069138755*x^20 + 6698548836*x^19 - 3875587469*x^18 - 7709473584*x^17 + 5177813853*x^16 + 6500288963*x^15 - 4962573275*x^14 - 3869572241*x^13 + 3362826828*x^12 + 1526792329*x^11 - 1556966594*x^10 - 352848376*x^9 + 463136284*x^8 + 34484135*x^7 - 79778825*x^6 + 103505*x^5 + 6995161*x^4 + 253379*x^3 - 414844*x^2 - 21889*x + 12444, x^42 - 4*x^41 - 55*x^40 + 234*x^39 + 1364*x^38 - 6272*x^37 - 20088*x^36 + 102144*x^35 + 194111*x^34 - 1130066*x^33 - 1274346*x^32 + 8995945*x^31 + 5578272*x^30 - 53244534*x^29 - 14065229*x^28 + 238790540*x^27 + 729927*x^26 - 819614616*x^25 + 159882102*x^24 + 2160301589*x^23 - 755628267*x^22 - 4362750173*x^21 + 2069138755*x^20 + 6698548836*x^19 - 3875587469*x^18 - 7709473584*x^17 + 5177813853*x^16 + 6500288963*x^15 - 4962573275*x^14 - 3869572241*x^13 + 3362826828*x^12 + 1526792329*x^11 - 1556966594*x^10 - 352848376*x^9 + 463136284*x^8 + 34484135*x^7 - 79778825*x^6 + 103505*x^5 + 6995161*x^4 + 253379*x^3 - 414844*x^2 - 21889*x + 12444, -x^41 + 4*x^40 + 50*x^39 - 211*x^38 - 1131*x^37 + 5088*x^36 + 15295*x^35 - 74334*x^34 - 137649*x^33 + 735313*x^32 + 868085*x^31 - 5214834*x^30 - 3932439*x^29 + 27396405*x^28 + 12890111*x^27 - 108681360*x^26 - 30332332*x^25 + 329012026*x^24 + 49909164*x^23 - 763408435*x^22 - 54432528*x^21 + 1356697975*x^20 + 36756380*x^19 - 1836962035*x^18 - 22671265*x^17 + 1877366175*x^16 + 44798465*x^15 - 1431090577*x^14 - 88524386*x^13 + 805764549*x^12 + 102902610*x^11 - 336223617*x^10 - 71481229*x^9 + 107202615*x^8 + 28873655*x^7 - 26989429*x^6 - 5804053*x^5 + 4901133*x^4 + 252549*x^3 - 440063*x^2 + 48729*x + 1668, -x^41 + 4*x^40 + 50*x^39 - 211*x^38 - 1131*x^37 + 5088*x^36 + 15295*x^35 - 74334*x^34 - 137649*x^33 + 735313*x^32 + 868085*x^31 - 5214834*x^30 - 3932439*x^29 + 27396405*x^28 + 12890111*x^27 - 108681360*x^26 - 30332332*x^25 + 329012026*x^24 + 49909164*x^23 - 763408435*x^22 - 54432528*x^21 + 1356697975*x^20 + 36756380*x^19 - 1836962035*x^18 - 22671265*x^17 + 1877366175*x^16 + 44798465*x^15 - 1431090577*x^14 - 88524386*x^13 + 805764549*x^12 + 102902610*x^11 - 336223617*x^10 - 71481229*x^9 + 107202615*x^8 + 28873655*x^7 - 26989429*x^6 - 5804053*x^5 + 4901133*x^4 + 252549*x^3 - 440063*x^2 + 48729*x + 1668, x^41 - 4*x^40 - 55*x^39 + 234*x^38 + 1362*x^37 - 6263*x^36 - 19999*x^35 + 101704*x^34 + 192365*x^33 - 1120291*x^32 - 1254722*x^31 + 8865337*x^30 + 5442675*x^29 - 52073619*x^28 - 13518929*x^27 + 231348788*x^26 + 22385*x^25 - 785065116*x^24 + 154331997*x^23 + 2041258653*x^22 - 714858634*x^21 - 4056330791*x^20 + 1924123862*x^19 + 6109484070*x^18 - 3542214522*x^17 - 6868665858*x^16 + 4650315216*x^15 + 5618691404*x^14 - 4381260485*x^13 - 3200173429*x^12 + 2922362382*x^11 + 1163620592*x^10 - 1334899705*x^9 - 211848498*x^8 + 392286984*x^7 - 6322881*x^6 - 65874554*x^5 + 9285640*x^4 + 4911893*x^3 - 1078218*x^2 - 92483*x + 25524, x^41 - 4*x^40 - 55*x^39 + 234*x^38 + 1362*x^37 - 6263*x^36 - 19999*x^35 + 101704*x^34 + 192365*x^33 - 1120291*x^32 - 1254722*x^31 + 8865337*x^30 + 5442675*x^29 - 52073619*x^28 - 13518929*x^27 + 231348788*x^26 + 22385*x^25 - 785065116*x^24 + 154331997*x^23 + 2041258653*x^22 - 714858634*x^21 - 4056330791*x^20 + 1924123862*x^19 + 6109484070*x^18 - 3542214522*x^17 - 6868665858*x^16 + 4650315216*x^15 + 5618691404*x^14 - 4381260485*x^13 - 3200173429*x^12 + 2922362382*x^11 + 1163620592*x^10 - 1334899705*x^9 - 211848498*x^8 + 392286984*x^7 - 6322881*x^6 - 65874554*x^5 + 9285640*x^4 + 4911893*x^3 - 1078218*x^2 - 92483*x + 25524, -x^42 + 3*x^41 + 59*x^40 - 180*x^39 - 1598*x^38 + 4972*x^37 + 26340*x^36 - 83864*x^35 - 295342*x^34 + 966178*x^33 + 2385526*x^32 - 8058052*x^31 - 14339817*x^30 + 50319584*x^29 + 65361350*x^28 - 240086988*x^27 - 228051570*x^26 + 885565294*x^25 + 610421924*x^24 - 2539713797*x^23 - 1247103792*x^22 + 5669207514*x^21 + 1915982057*x^20 - 9820670371*x^19 - 2141342514*x^18 + 13111782429*x^17 + 1603178328*x^16 - 13343669640*x^15 - 581181128*x^14 + 10183805016*x^13 - 241102649*x^12 - 5692293643*x^11 + 474999652*x^10 + 2248973970*x^9 - 310265039*x^8 - 593548489*x^7 + 111134223*x^6 + 94948933*x^5 - 21689736*x^4 - 7658580*x^3 + 1943821*x^2 + 214669*x - 54972, -x^42 + 3*x^41 + 59*x^40 - 180*x^39 - 1598*x^38 + 4972*x^37 + 26340*x^36 - 83864*x^35 - 295342*x^34 + 966178*x^33 + 2385526*x^32 - 8058052*x^31 - 14339817*x^30 + 50319584*x^29 + 65361350*x^28 - 240086988*x^27 - 228051570*x^26 + 885565294*x^25 + 610421924*x^24 - 2539713797*x^23 - 1247103792*x^22 + 5669207514*x^21 + 1915982057*x^20 - 9820670371*x^19 - 2141342514*x^18 + 13111782429*x^17 + 1603178328*x^16 - 13343669640*x^15 - 581181128*x^14 + 10183805016*x^13 - 241102649*x^12 - 5692293643*x^11 + 474999652*x^10 + 2248973970*x^9 - 310265039*x^8 - 593548489*x^7 + 111134223*x^6 + 94948933*x^5 - 21689736*x^4 - 7658580*x^3 + 1943821*x^2 + 214669*x - 54972]>
       ]
>;

MOG[929] := 	// J_0(929)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 118, 259, 318, 341, 430, 455, 540, 571, 583, 625, 665, 691, 692, 787, 812, 823, 866, 674*x + 170, 255*x + 170, 522*x + 298, 407*x + 298, 512*x + 711, 417*x + 711, 815*x + 149, 114*x + 149, 174*x + 361, 755*x + 361, 114*x + 380, 815*x + 380, 722*x + 543, 207*x + 543, 648*x + 5, 281*x + 5, 714*x + 305, 215*x + 305, 144*x + 893, 785*x + 893, 106*x + 462, 823*x + 462, 354*x + 567, 575*x + 567, 596*x + 262, 333*x + 262, 576*x + 460, 353*x + 460, 522*x + 703, 407*x + 703, 297*x + 659, 632*x + 659, 579*x + 443, 350*x + 443, 487*x + 806, 442*x + 806, 162*x + 35, 767*x + 35, 188*x + 398, 741*x + 398, 526*x + 479, 403*x + 479, 697*x + 430, 232*x + 430, 211*x + 652, 718*x + 652, 391*x + 758, 538*x + 758, 826*x + 512, 103*x + 512, 322*x + 606, 607*x + 606, 150*x + 776, 779*x + 776, 477*x + 776, 452*x + 776, 648*x + 491, 281*x + 491, 22*x + 601, 907*x + 601]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^2 + 3*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, x + 1, -x - 1, -2*x - 1, 2*x + 1, 0, 0, 2*x + 1, -2*x - 1, 2*x, -2*x, 0, 0, -x - 1, x + 1, -2*x - 1, 2*x + 1, -x, x, -2*x - 1, 2*x + 1, 0, 0, x, -x, x + 1, -x - 1, 2*x + 1, -2*x - 1, x, -x, x, -x, 2*x + 2, -2*x - 2, 0, 0, 1, -1, -x - 1, x + 1, 1, -1, -x, x, -x, x, -x - 1, x + 1, 0, 0, 0, 0, -1, 1, -1, 1, x + 1, -x - 1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^28 + x^27 - 34*x^26 - 32*x^25 + 510*x^24 + 448*x^23 - 4452*x^22 - 3619*x^21 + 25118*x^20 + 18734*x^19 - 96178*x^18 - 65272*x^17 + 255353*x^16 + 156462*x^15 - 471863*x^14 - 259167*x^13 + 600276*x^12 + 293581*x^11 - 511850*x^10 - 221645*x^9 + 278658*x^8 + 106734*x^7 - 88714*x^6 - 30588*x^5 + 13783*x^4 + 4565*x^3 - 619*x^2 - 225*x - 11,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^26 - x^25 + 30*x^24 + 28*x^23 - 393*x^22 - 339*x^21 + 2960*x^20 + 2334*x^19 - 14198*x^18 - 10109*x^17 + 45368*x^16 + 28770*x^15 - 98111*x^14 - 54567*x^13 + 142925*x^12 + 68529*x^11 - 136953*x^10 - 55588*x^9 + 82293*x^8 + 27889*x^7 - 28399*x^6 - 8145*x^5 + 4707*x^4 + 1255*x^3 - 233*x^2 - 67*x - 5, x^26 + x^25 - 30*x^24 - 28*x^23 + 393*x^22 + 339*x^21 - 2960*x^20 - 2334*x^19 + 14198*x^18 + 10109*x^17 - 45368*x^16 - 28770*x^15 + 98111*x^14 + 54567*x^13 - 142925*x^12 - 68529*x^11 + 136953*x^10 + 55588*x^9 - 82293*x^8 - 27889*x^7 + 28399*x^6 + 8145*x^5 - 4707*x^4 - 1255*x^3 + 233*x^2 + 67*x + 5, -x^25 - x^24 + 28*x^23 + 26*x^22 - 340*x^21 - 292*x^20 + 2354*x^19 + 1864*x^18 - 10275*x^17 - 7485*x^16 + 29507*x^15 + 19737*x^14 - 56433*x^13 - 34549*x^12 + 71117*x^11 + 39549*x^10 - 57041*x^9 - 28350*x^8 + 27188*x^7 + 11718*x^6 - 6746*x^5 - 2405*x^4 + 652*x^3 + 180*x^2 - 20*x - 3, x^25 + x^24 - 28*x^23 - 26*x^22 + 340*x^21 + 292*x^20 - 2354*x^19 - 1864*x^18 + 10275*x^17 + 7485*x^16 - 29507*x^15 - 19737*x^14 + 56433*x^13 + 34549*x^12 - 71117*x^11 - 39549*x^10 + 57041*x^9 + 28350*x^8 - 27188*x^7 - 11718*x^6 + 6746*x^5 + 2405*x^4 - 652*x^3 - 180*x^2 + 20*x + 3, -x^27 - x^26 + 31*x^25 + 29*x^24 - 421*x^23 - 365*x^22 + 3300*x^21 + 2626*x^20 - 16552*x^19 - 11973*x^18 + 55643*x^17 + 36255*x^16 - 127618*x^15 - 74304*x^14 + 199358*x^13 + 103078*x^12 - 208070*x^11 - 95137*x^10 + 139334*x^9 + 56239*x^8 - 55587*x^7 - 19863*x^6 + 11453*x^5 + 3660*x^4 - 885*x^3 - 247*x^2 + 15*x + 3, x^27 + x^26 - 31*x^25 - 29*x^24 + 421*x^23 + 365*x^22 - 3300*x^21 - 2626*x^20 + 16552*x^19 + 11973*x^18 - 55643*x^17 - 36255*x^16 + 127618*x^15 + 74304*x^14 - 199358*x^13 - 103078*x^12 + 208070*x^11 + 95137*x^10 - 139334*x^9 - 56239*x^8 + 55587*x^7 + 19863*x^6 - 11453*x^5 - 3660*x^4 + 885*x^3 + 247*x^2 - 15*x - 3, -x^24 - x^23 + 26*x^22 + 23*x^21 - 291*x^20 - 223*x^19 + 1840*x^18 + 1190*x^17 - 7255*x^16 - 3827*x^15 + 18591*x^14 + 7623*x^13 - 31328*x^12 - 9254*x^11 + 34386*x^10 + 6357*x^9 - 23819*x^8 - 1976*x^7 + 9775*x^6 + 24*x^5 - 2109*x^4 + 64*x^3 + 190*x^2 + 2*x - 1, x^24 + x^23 - 26*x^22 - 23*x^21 + 291*x^20 + 223*x^19 - 1840*x^18 - 1190*x^17 + 7255*x^16 + 3827*x^15 - 18591*x^14 - 7623*x^13 + 31328*x^12 + 9254*x^11 - 34386*x^10 - 6357*x^9 + 23819*x^8 + 1976*x^7 - 9775*x^6 - 24*x^5 + 2109*x^4 - 64*x^3 - 190*x^2 - 2*x + 1, -x^24 - x^23 + 27*x^22 + 24*x^21 - 315*x^20 - 247*x^19 + 2083*x^18 + 1434*x^17 - 8606*x^16 - 5206*x^15 + 23087*x^14 + 12395*x^13 - 40480*x^12 - 19726*x^11 + 45526*x^10 + 20881*x^9 - 31286*x^8 - 14195*x^7 + 11878*x^6 + 5716*x^5 - 1946*x^4 - 1139*x^3 + 23*x^2 + 62*x + 6, x^24 + x^23 - 27*x^22 - 24*x^21 + 315*x^20 + 247*x^19 - 2083*x^18 - 1434*x^17 + 8606*x^16 + 5206*x^15 - 23087*x^14 - 12395*x^13 + 40480*x^12 + 19726*x^11 - 45526*x^10 - 20881*x^9 + 31286*x^8 + 14195*x^7 - 11878*x^6 - 5716*x^5 + 1946*x^4 + 1139*x^3 - 23*x^2 - 62*x - 6, -x^26 - x^25 + 30*x^24 + 28*x^23 - 392*x^22 - 338*x^21 + 2937*x^20 + 2315*x^19 - 13975*x^18 - 9965*x^17 + 44185*x^16 + 28225*x^15 - 94387*x^14 - 53558*x^13 + 135887*x^12 + 68029*x^11 - 129315*x^10 - 56832*x^9 + 78194*x^8 + 30108*x^7 - 27943*x^6 - 9481*x^5 + 5091*x^4 + 1552*x^3 - 317*x^2 - 90*x - 1, x^26 + x^25 - 30*x^24 - 28*x^23 + 392*x^22 + 338*x^21 - 2937*x^20 - 2315*x^19 + 13975*x^18 + 9965*x^17 - 44185*x^16 - 28225*x^15 + 94387*x^14 + 53558*x^13 - 135887*x^12 - 68029*x^11 + 129315*x^10 + 56832*x^9 - 78194*x^8 - 30108*x^7 + 27943*x^6 + 9481*x^5 - 5091*x^4 - 1552*x^3 + 317*x^2 + 90*x + 1, -x^26 - x^25 + 29*x^24 + 27*x^23 - 367*x^22 - 316*x^21 + 2669*x^20 + 2112*x^19 - 12362*x^18 - 8943*x^17 + 38182*x^16 + 25163*x^15 - 80007*x^14 - 47964*x^13 + 113394*x^12 + 61886*x^11 - 106248*x^10 - 52986*x^9 + 62584*x^8 + 28874*x^7 - 20919*x^6 - 9302*x^5 + 3100*x^4 + 1511*x^3 - 54*x^2 - 65*x - 5, x^26 + x^25 - 29*x^24 - 27*x^23 + 367*x^22 + 316*x^21 - 2669*x^20 - 2112*x^19 + 12362*x^18 + 8943*x^17 - 38182*x^16 - 25163*x^15 + 80007*x^14 + 47964*x^13 - 113394*x^12 - 61886*x^11 + 106248*x^10 + 52986*x^9 - 62584*x^8 - 28874*x^7 + 20919*x^6 + 9302*x^5 - 3100*x^4 - 1511*x^3 + 54*x^2 + 65*x + 5, -x^23 - x^22 + 24*x^21 + 21*x^20 - 247*x^19 - 185*x^18 + 1426*x^17 + 894*x^16 - 5072*x^15 - 2604*x^14 + 11500*x^13 + 4736*x^12 - 16650*x^11 - 5390*x^10 + 15006*x^9 + 3739*x^8 - 7885*x^7 - 1506*x^6 + 2055*x^5 + 333*x^4 - 151*x^3 - 40*x^2 - 8*x, x^23 + x^22 - 24*x^21 - 21*x^20 + 247*x^19 + 185*x^18 - 1426*x^17 - 894*x^16 + 5072*x^15 + 2604*x^14 - 11500*x^13 - 4736*x^12 + 16650*x^11 + 5390*x^10 - 15006*x^9 - 3739*x^8 + 7885*x^7 + 1506*x^6 - 2055*x^5 - 333*x^4 + 151*x^3 + 40*x^2 + 8*x, -x^23 - 2*x^22 + 25*x^21 + 48*x^20 - 267*x^19 - 489*x^18 + 1594*x^17 + 2764*x^16 - 5844*x^15 - 9510*x^14 + 13605*x^13 + 20559*x^12 - 20081*x^11 - 27802*x^10 + 18216*x^9 + 22635*x^8 - 9528*x^7 - 10188*x^6 + 2582*x^5 + 2136*x^4 - 311*x^3 - 138*x^2 + 27*x + 3, x^23 + 2*x^22 - 25*x^21 - 48*x^20 + 267*x^19 + 489*x^18 - 1594*x^17 - 2764*x^16 + 5844*x^15 + 9510*x^14 - 13605*x^13 - 20559*x^12 + 20081*x^11 + 27802*x^10 - 18216*x^9 - 22635*x^8 + 9528*x^7 + 10188*x^6 - 2582*x^5 - 2136*x^4 + 311*x^3 + 138*x^2 - 27*x - 3, -x^24 - 2*x^23 + 25*x^22 + 49*x^21 - 270*x^20 - 518*x^19 + 1653*x^18 + 3103*x^17 - 6327*x^16 - 11626*x^15 + 15745*x^14 + 28348*x^13 - 25657*x^12 - 45317*x^11 + 26858*x^10 + 46636*x^9 - 17131*x^8 - 29505*x^7 + 5876*x^6 + 10516*x^5 - 680*x^4 - 1768*x^3 - 95*x^2 + 88*x + 9, x^24 + 2*x^23 - 25*x^22 - 49*x^21 + 270*x^20 + 518*x^19 - 1653*x^18 - 3103*x^17 + 6327*x^16 + 11626*x^15 - 15745*x^14 - 28348*x^13 + 25657*x^12 + 45317*x^11 - 26858*x^10 - 46636*x^9 + 17131*x^8 + 29505*x^7 - 5876*x^6 - 10516*x^5 + 680*x^4 + 1768*x^3 + 95*x^2 - 88*x - 9, -x^25 - x^24 + 29*x^23 + 27*x^22 - 363*x^21 - 311*x^20 + 2577*x^19 + 2008*x^18 - 11458*x^17 - 8030*x^16 + 33231*x^15 + 20746*x^14 - 63471*x^13 - 35049*x^12 + 78755*x^11 + 38305*x^10 - 61140*x^9 - 26131*x^8 + 27644*x^7 + 10382*x^6 - 6362*x^5 - 2108*x^4 + 568*x^3 + 157*x^2 - 16*x - 3, x^25 + x^24 - 29*x^23 - 27*x^22 + 363*x^21 + 311*x^20 - 2577*x^19 - 2008*x^18 + 11458*x^17 + 8030*x^16 - 33231*x^15 - 20746*x^14 + 63471*x^13 + 35049*x^12 - 78755*x^11 - 38305*x^10 + 61140*x^9 + 26131*x^8 - 27644*x^7 - 10382*x^6 + 6362*x^5 + 2108*x^4 - 568*x^3 - 157*x^2 + 16*x + 3, -x^25 - x^24 + 27*x^23 + 24*x^22 - 316*x^21 - 245*x^20 + 2107*x^19 + 1393*x^18 - 8851*x^17 - 4856*x^16 + 24468*x^15 + 10776*x^14 - 45168*x^13 - 15308*x^12 + 55364*x^11 + 13628*x^10 - 43916*x^9 - 7197*x^8 + 21349*x^7 + 2040*x^6 - 5701*x^5 - 297*x^4 + 653*x^3 + 44*x^2 - 17*x - 2, x^25 + x^24 - 27*x^23 - 24*x^22 + 316*x^21 + 245*x^20 - 2107*x^19 - 1393*x^18 + 8851*x^17 + 4856*x^16 - 24468*x^15 - 10776*x^14 + 45168*x^13 + 15308*x^12 - 55364*x^11 - 13628*x^10 + 43916*x^9 + 7197*x^8 - 21349*x^7 - 2040*x^6 + 5701*x^5 + 297*x^4 - 653*x^3 - 44*x^2 + 17*x + 2, -x^25 - x^24 + 27*x^23 + 25*x^22 - 315*x^21 - 269*x^20 + 2083*x^19 + 1637*x^18 - 8610*x^17 - 6236*x^16 + 23143*x^15 + 15564*x^14 - 40796*x^13 - 25884*x^12 + 46458*x^11 + 28523*x^10 - 32834*x^9 - 20168*x^8 + 13319*x^7 + 8521*x^6 - 2652*x^5 - 1852*x^4 + 178*x^3 + 138*x^2 - 3*x - 1, x^25 + x^24 - 27*x^23 - 25*x^22 + 315*x^21 + 269*x^20 - 2083*x^19 - 1637*x^18 + 8610*x^17 + 6236*x^16 - 23143*x^15 - 15564*x^14 + 40796*x^13 + 25884*x^12 - 46458*x^11 - 28523*x^10 + 32834*x^9 + 20168*x^8 - 13319*x^7 - 8521*x^6 + 2652*x^5 + 1852*x^4 - 178*x^3 - 138*x^2 + 3*x + 1, -x^22 + 23*x^20 - 2*x^19 - 227*x^18 + 37*x^17 + 1257*x^16 - 280*x^15 - 4281*x^14 + 1122*x^13 + 9241*x^12 - 2574*x^11 - 12575*x^10 + 3412*x^9 + 10406*x^8 - 2503*x^7 - 4863*x^6 + 886*x^5 + 1134*x^4 - 94*x^3 - 115*x^2 + 3, x^22 - 23*x^20 + 2*x^19 + 227*x^18 - 37*x^17 - 1257*x^16 + 280*x^15 + 4281*x^14 - 1122*x^13 - 9241*x^12 + 2574*x^11 + 12575*x^10 - 3412*x^9 - 10406*x^8 + 2503*x^7 + 4863*x^6 - 886*x^5 - 1134*x^4 + 94*x^3 + 115*x^2 - 3, -x^22 - 2*x^21 + 21*x^20 + 40*x^19 - 187*x^18 - 333*x^17 + 926*x^16 + 1503*x^15 - 2810*x^14 - 4009*x^13 + 5437*x^12 + 6438*x^11 - 6805*x^10 - 6030*x^9 + 5528*x^8 + 2973*x^7 - 2857*x^6 - 577*x^5 + 824*x^4 - 10*x^3 - 83*x^2 - 2*x - 2, x^22 + 2*x^21 - 21*x^20 - 40*x^19 + 187*x^18 + 333*x^17 - 926*x^16 - 1503*x^15 + 2810*x^14 + 4009*x^13 - 5437*x^12 - 6438*x^11 + 6805*x^10 + 6030*x^9 - 5528*x^8 - 2973*x^7 + 2857*x^6 + 577*x^5 - 824*x^4 + 10*x^3 + 83*x^2 + 2*x + 2, -x^23 - x^22 + 25*x^21 + 24*x^20 - 266*x^19 - 246*x^18 + 1574*x^17 + 1411*x^16 - 5683*x^15 - 4986*x^14 + 12936*x^13 + 11247*x^12 - 18548*x^11 - 16170*x^10 + 16278*x^9 + 14291*x^8 - 8212*x^7 - 7193*x^6 + 2112*x^5 + 1798*x^4 - 202*x^3 - 163*x^2 + x + 1, x^23 + x^22 - 25*x^21 - 24*x^20 + 266*x^19 + 246*x^18 - 1574*x^17 - 1411*x^16 + 5683*x^15 + 4986*x^14 - 12936*x^13 - 11247*x^12 + 18548*x^11 + 16170*x^10 - 16278*x^9 - 14291*x^8 + 8212*x^7 + 7193*x^6 - 2112*x^5 - 1798*x^4 + 202*x^3 + 163*x^2 - x - 1, -x^23 - 2*x^22 + 22*x^21 + 42*x^20 - 207*x^19 - 373*x^18 + 1090*x^17 + 1836*x^16 - 3517*x^15 - 5515*x^14 + 7116*x^13 + 10471*x^12 - 8780*x^11 - 12518*x^10 + 5904*x^9 + 8978*x^8 - 1278*x^7 - 3402*x^6 - 695*x^5 + 475*x^4 + 391*x^3 + 21*x^2 - 36*x - 4, x^23 + 2*x^22 - 22*x^21 - 42*x^20 + 207*x^19 + 373*x^18 - 1090*x^17 - 1836*x^16 + 3517*x^15 + 5515*x^14 - 7116*x^13 - 10471*x^12 + 8780*x^11 + 12518*x^10 - 5904*x^9 - 8978*x^8 + 1278*x^7 + 3402*x^6 + 695*x^5 - 475*x^4 - 391*x^3 - 21*x^2 + 36*x + 4, -x^24 - x^23 + 29*x^22 + 27*x^21 - 360*x^20 - 307*x^19 + 2517*x^18 + 1935*x^17 - 10954*x^16 - 7479*x^15 + 30916*x^14 + 18509*x^13 - 57132*x^12 - 29724*x^11 + 68175*x^10 + 30701*x^9 - 50550*x^8 - 19726*x^7 + 21581*x^6 + 7373*x^5 - 4523*x^4 - 1395*x^3 + 301*x^2 + 87*x + 1, x^24 + x^23 - 29*x^22 - 27*x^21 + 360*x^20 + 307*x^19 - 2517*x^18 - 1935*x^17 + 10954*x^16 + 7479*x^15 - 30916*x^14 - 18509*x^13 + 57132*x^12 + 29724*x^11 - 68175*x^10 - 30701*x^9 + 50550*x^8 + 19726*x^7 - 21581*x^6 - 7373*x^5 + 4523*x^4 + 1395*x^3 - 301*x^2 - 87*x - 1, -x^24 - x^23 + 26*x^22 + 22*x^21 - 292*x^20 - 201*x^19 + 1858*x^18 + 984*x^17 - 7387*x^16 - 2761*x^15 + 19094*x^14 + 4308*x^13 - 32373*x^12 - 2941*x^11 + 35474*x^10 - 847*x^9 - 24104*x^8 + 2671*x^7 + 9342*x^6 - 1511*x^5 - 1767*x^4 + 301*x^3 + 132*x^2 - 25*x - 4, x^24 + x^23 - 26*x^22 - 22*x^21 + 292*x^20 + 201*x^19 - 1858*x^18 - 984*x^17 + 7387*x^16 + 2761*x^15 - 19094*x^14 - 4308*x^13 + 32373*x^12 + 2941*x^11 - 35474*x^10 + 847*x^9 + 24104*x^8 - 2671*x^7 - 9342*x^6 + 1511*x^5 + 1767*x^4 - 301*x^3 - 132*x^2 + 25*x + 4, -x^24 - x^23 + 26*x^22 + 24*x^21 - 290*x^20 - 245*x^19 + 1817*x^18 + 1391*x^17 - 7036*x^16 - 4825*x^15 + 17460*x^14 + 10578*x^13 - 27860*x^12 - 14637*x^11 + 27910*x^10 + 12353*x^9 - 16556*x^8 - 5877*x^7 + 5107*x^6 + 1328*x^5 - 540*x^4 - 54*x^3 - 24*x^2 - 25*x - 2, x^24 + x^23 - 26*x^22 - 24*x^21 + 290*x^20 + 245*x^19 - 1817*x^18 - 1391*x^17 + 7036*x^16 + 4825*x^15 - 17460*x^14 - 10578*x^13 + 27860*x^12 + 14637*x^11 - 27910*x^10 - 12353*x^9 + 16556*x^8 + 5877*x^7 - 5107*x^6 - 1328*x^5 + 540*x^4 + 54*x^3 + 24*x^2 + 25*x + 2, -x^24 - x^23 + 26*x^22 + 23*x^21 - 296*x^20 - 230*x^19 + 1935*x^18 + 1316*x^17 - 8003*x^16 - 4774*x^15 + 21751*x^14 + 11502*x^13 - 39076*x^12 - 18726*x^11 + 45504*x^10 + 20465*x^9 - 32709*x^8 - 14476*x^7 + 13160*x^6 + 6122*x^5 - 2382*x^4 - 1319*x^3 + 75*x^2 + 89*x + 7, x^24 + x^23 - 26*x^22 - 23*x^21 + 296*x^20 + 230*x^19 - 1935*x^18 - 1316*x^17 + 8003*x^16 + 4774*x^15 - 21751*x^14 - 11502*x^13 + 39076*x^12 + 18726*x^11 - 45504*x^10 - 20465*x^9 + 32709*x^8 + 14476*x^7 - 13160*x^6 - 6122*x^5 + 2382*x^4 + 1319*x^3 - 75*x^2 - 89*x - 7, -x^21 + 18*x^19 - 5*x^18 - 132*x^17 + 83*x^16 + 511*x^15 - 555*x^14 - 1137*x^13 + 1931*x^12 + 1501*x^11 - 3773*x^10 - 1188*x^9 + 4164*x^8 + 519*x^7 - 2471*x^6 - 35*x^5 + 707*x^4 - 58*x^3 - 75*x^2 + 11*x + 3, x^21 - 18*x^19 + 5*x^18 + 132*x^17 - 83*x^16 - 511*x^15 + 555*x^14 + 1137*x^13 - 1931*x^12 - 1501*x^11 + 3773*x^10 + 1188*x^9 - 4164*x^8 - 519*x^7 + 2471*x^6 + 35*x^5 - 707*x^4 + 58*x^3 + 75*x^2 - 11*x - 3, -x^22 - 3*x^21 + 19*x^20 + 60*x^19 - 148*x^18 - 500*x^17 + 609*x^16 + 2262*x^15 - 1405*x^14 - 6063*x^13 + 1702*x^12 + 9845*x^11 - 640*x^10 - 9478*x^9 - 766*x^8 + 5028*x^7 + 929*x^6 - 1231*x^5 - 343*x^4 + 68*x^3 + 38*x^2 + 6*x, x^22 + 3*x^21 - 19*x^20 - 60*x^19 + 148*x^18 + 500*x^17 - 609*x^16 - 2262*x^15 + 1405*x^14 + 6063*x^13 - 1702*x^12 - 9845*x^11 + 640*x^10 + 9478*x^9 + 766*x^8 - 5028*x^7 - 929*x^6 + 1231*x^5 + 343*x^4 - 68*x^3 - 38*x^2 - 6*x, -2*x^22 - 4*x^21 + 44*x^20 + 85*x^19 - 415*x^18 - 767*x^17 + 2201*x^16 + 3849*x^15 - 7224*x^14 - 11814*x^13 + 15175*x^12 + 22954*x^11 - 20314*x^10 - 28180*x^9 + 16619*x^8 + 21075*x^7 - 7500*x^6 - 8810*x^5 + 1414*x^4 + 1721*x^3 + 21*x^2 - 98*x - 9, 2*x^22 + 4*x^21 - 44*x^20 - 85*x^19 + 415*x^18 + 767*x^17 - 2201*x^16 - 3849*x^15 + 7224*x^14 + 11814*x^13 - 15175*x^12 - 22954*x^11 + 20314*x^10 + 28180*x^9 - 16619*x^8 - 21075*x^7 + 7500*x^6 + 8810*x^5 - 1414*x^4 - 1721*x^3 - 21*x^2 + 98*x + 9, 3*x^21 + 4*x^20 - 60*x^19 - 73*x^18 + 504*x^17 + 551*x^16 - 2315*x^15 - 2237*x^14 + 6339*x^13 + 5325*x^12 - 10580*x^11 - 7604*x^10 + 10590*x^9 + 6405*x^8 - 6063*x^7 - 3009*x^6 + 1839*x^5 + 713*x^4 - 267*x^3 - 70*x^2 + 17*x + 3, -3*x^21 - 4*x^20 + 60*x^19 + 73*x^18 - 504*x^17 - 551*x^16 + 2315*x^15 + 2237*x^14 - 6339*x^13 - 5325*x^12 + 10580*x^11 + 7604*x^10 - 10590*x^9 - 6405*x^8 + 6063*x^7 + 3009*x^6 - 1839*x^5 - 713*x^4 + 267*x^3 + 70*x^2 - 17*x - 3, -x^23 - 2*x^22 + 24*x^21 + 44*x^20 - 249*x^19 - 409*x^18 + 1464*x^17 + 2095*x^16 - 5374*x^15 - 6468*x^14 + 12795*x^13 + 12367*x^12 - 19890*x^11 - 14475*x^10 + 19812*x^9 + 9868*x^8 - 12007*x^7 - 3551*x^6 + 3934*x^5 + 598*x^4 - 521*x^3 - 69*x^2 + 13*x + 2, x^23 + 2*x^22 - 24*x^21 - 44*x^20 + 249*x^19 + 409*x^18 - 1464*x^17 - 2095*x^16 + 5374*x^15 + 6468*x^14 - 12795*x^13 - 12367*x^12 + 19890*x^11 + 14475*x^10 - 19812*x^9 - 9868*x^8 + 12007*x^7 + 3551*x^6 - 3934*x^5 - 598*x^4 + 521*x^3 + 69*x^2 - 13*x - 2, -x^23 - 2*x^22 + 22*x^21 + 43*x^20 - 208*x^19 - 394*x^18 + 1111*x^17 + 2013*x^16 - 3707*x^15 - 6299*x^14 + 8059*x^13 + 12483*x^12 - 11534*x^11 - 15662*x^10 + 10715*x^9 + 12097*x^8 - 6222*x^7 - 5408*x^6 + 2109*x^5 + 1246*x^4 - 370*x^3 - 119*x^2 + 27*x + 4, x^23 + 2*x^22 - 22*x^21 - 43*x^20 + 208*x^19 + 394*x^18 - 1111*x^17 - 2013*x^16 + 3707*x^15 + 6299*x^14 - 8059*x^13 - 12483*x^12 + 11534*x^11 + 15662*x^10 - 10715*x^9 - 12097*x^8 + 6222*x^7 + 5408*x^6 - 2109*x^5 - 1246*x^4 + 370*x^3 + 119*x^2 - 27*x - 4, -4*x^20 - 4*x^19 + 78*x^18 + 68*x^17 - 636*x^16 - 468*x^15 + 2826*x^14 + 1682*x^13 - 7476*x^12 - 3394*x^11 + 12081*x^10 + 3831*x^9 - 11778*x^8 - 2241*x^7 + 6582*x^6 + 538*x^5 - 1874*x^4 - 6*x^3 + 209*x^2 - 5*x - 6, 4*x^20 + 4*x^19 - 78*x^18 - 68*x^17 + 636*x^16 + 468*x^15 - 2826*x^14 - 1682*x^13 + 7476*x^12 + 3394*x^11 - 12081*x^10 - 3831*x^9 + 11778*x^8 + 2241*x^7 - 6582*x^6 - 538*x^5 + 1874*x^4 + 6*x^3 - 209*x^2 + 5*x + 6, -x^20 + x^19 + 17*x^18 - 22*x^17 - 110*x^16 + 193*x^15 + 318*x^14 - 873*x^13 - 264*x^12 + 2195*x^11 - 694*x^10 - 3079*x^9 + 1891*x^8 + 2273*x^7 - 1754*x^6 - 717*x^5 + 682*x^4 + 25*x^3 - 83*x^2 + 8*x + 3, x^20 - x^19 - 17*x^18 + 22*x^17 + 110*x^16 - 193*x^15 - 318*x^14 + 873*x^13 + 264*x^12 - 2195*x^11 + 694*x^10 + 3079*x^9 - 1891*x^8 - 2273*x^7 + 1754*x^6 + 717*x^5 - 682*x^4 - 25*x^3 + 83*x^2 - 8*x - 3, -x^21 - 3*x^20 + 19*x^19 + 60*x^18 - 148*x^17 - 500*x^16 + 609*x^15 + 2262*x^14 - 1405*x^13 - 6063*x^12 + 1702*x^11 + 9845*x^10 - 640*x^9 - 9478*x^8 - 766*x^7 + 5028*x^6 + 929*x^5 - 1231*x^4 - 343*x^3 + 68*x^2 + 38*x + 6, x^21 + 3*x^20 - 19*x^19 - 60*x^18 + 148*x^17 + 500*x^16 - 609*x^15 - 2262*x^14 + 1405*x^13 + 6063*x^12 - 1702*x^11 - 9845*x^10 + 640*x^9 + 9478*x^8 + 766*x^7 - 5028*x^6 - 929*x^5 + 1231*x^4 + 343*x^3 - 68*x^2 - 38*x - 6]>,
         rec<Eigen |
           DefiningPolynomial := x^47 - 3*x^46 - 74*x^45 + 225*x^44 + 2539*x^43 - 7838*x^42 - 53624*x^41 + 168423*x^40 + 780516*x^39 - 2500464*x^38 - 8306141*x^37 + 27226008*x^36 + 66902853*x^35 - 225253572*x^34 - 416506659*x^33 + 1447713372*x^32 + 2028482927*x^31 - 7328059529*x^30 - 7769504985*x^29 + 29445718268*x^28 + 23383514432*x^27 - 94240562934*x^26 - 54867227129*x^25 + 240097124161*x^24 + 98587743611*x^23 - 484824833091*x^22 - 130737997886*x^21 + 769501772806*x^20 + 117259075059*x^19 - 947572564995*x^18 - 50974809038*x^17 + 888336011327*x^16 - 26207225308*x^15 - 617156313596*x^14 + 61320554749*x^13 + 305708305223*x^12 - 47616892321*x^11 - 102076070082*x^10 + 19985844171*x^9 + 21158362880*x^8 - 4464507083*x^7 - 2439654413*x^6 + 444106785*x^5 + 148256830*x^4 - 14906986*x^3 - 4291099*x^2 + 2871*x + 20413,
           Coordinates        := [-x^46 + 4*x^45 + 68*x^44 - 285*x^43 - 2122*x^42 + 9406*x^41 + 40230*x^40 - 190917*x^39 - 516617*x^38 + 2668623*x^37 + 4736134*x^36 - 27258610*x^35 - 31734035*x^34 + 210713421*x^33 + 155397992*x^32 - 1259582360*x^31 - 536858561*x^30 + 5899231342*x^29 + 1134448931*x^28 - 21800411563*x^27 - 278794765*x^26 + 63710348007*x^25 - 8096181378*x^24 - 146939375233*x^23 + 34871354772*x^22 + 265756589471*x^21 - 86400275517*x^20 - 372731612317*x^19 + 147555492586*x^18 + 398539991933*x^17 - 180912043259*x^16 - 316905169218*x^15 + 159387050988*x^14 + 180800679056*x^13 - 98755470823*x^12 - 70236136912*x^11 + 41224297217*x^10 + 17195470851*x^9 - 10803862698*x^8 - 2378349432*x^7 + 1594548667*x^6 + 169628840*x^5 - 115046401*x^4 - 7039809*x^3 + 3321999*x^2 + 187894*x - 18095, x^46 - 6*x^45 - 60*x^44 + 417*x^43 + 1568*x^42 - 13394*x^41 - 22494*x^40 + 263899*x^39 + 168159*x^38 - 3570007*x^37 - 32602*x^36 + 35168818*x^35 - 14540151*x^34 - 261108667*x^33 + 188131012*x^32 + 1491624366*x^31 - 1428828187*x^30 - 6635056054*x^29 + 7645306705*x^28 + 23104719667*x^27 - 30530214927*x^26 - 62963408507*x^25 + 93157748928*x^24 + 133459098383*x^23 - 219068243620*x^22 - 217138273403*x^21 + 396770160489*x^20 + 264814567645*x^19 - 549032573062*x^18 - 231886852297*x^17 + 571430842109*x^16 + 133179825680*x^15 - 436355634540*x^14 - 37434916074*x^13 + 235472168311*x^12 - 6392595104*x^11 - 84880599231*x^10 + 9181981473*x^9 + 18780013448*x^8 - 2869958416*x^7 - 2270025573*x^6 + 329060384*x^5 + 141217021*x^4 - 11584987*x^3 - 4103205*x^2 - 15224*x + 20413, 2*x^40 - 10*x^39 - 106*x^38 + 592*x^37 + 2468*x^36 - 16008*x^35 - 32586*x^34 + 262052*x^33 + 255988*x^32 - 2901738*x^31 - 1009258*x^30 + 23000484*x^29 - 1536318*x^28 - 134677348*x^27 + 48437430*x^26 + 592497786*x^25 - 342343760*x^24 - 1971820726*x^23 + 1475814256*x^22 + 4955412470*x^21 - 4409590970*x^20 - 9305247948*x^19 + 9464342342*x^18 + 12773238852*x^17 - 14656218578*x^16 - 12315352662*x^15 + 16133862952*x^14 + 7719227056*x^13 - 12200972832*x^12 - 2588047396*x^11 + 5958640700*x^10 + 78886178*x^9 - 1678827636*x^8 + 226091552*x^7 + 214719028*x^6 - 54004026*x^5 - 4488244*x^4 + 2956604*x^3 - 554726*x^2 - 25444*x + 19528, 2*x^40 - 10*x^39 - 102*x^38 + 572*x^37 + 2266*x^36 - 14886*x^35 - 28082*x^34 + 233276*x^33 + 198624*x^32 - 2455088*x^31 - 567736*x^30 + 18320266*x^29 - 3361506*x^28 - 99712914*x^27 + 48261354*x^26 + 400753714*x^25 - 288006476*x^24 - 1188635670*x^23 + 1093139760*x^22 + 2562186420*x^21 - 2865284102*x^20 - 3855219530*x^19 + 5274266298*x^18 + 3635516592*x^17 - 6704565690*x^16 - 1280394248*x^15 + 5553848220*x^14 - 1545293070*x^13 - 2521737526*x^12 + 2524493686*x^11 + 113288666*x^10 - 1614676230*x^9 + 495699646*x^8 + 516377896*x^7 - 229484110*x^6 - 76302492*x^5 + 35790788*x^4 + 5051452*x^3 - 1494572*x^2 - 221032*x - 3098, 2*x^39 - 6*x^38 - 118*x^37 + 360*x^36 + 3168*x^35 - 9852*x^34 - 51290*x^33 + 163038*x^32 + 559484*x^31 - 1823856*x^30 - 4351600*x^29 + 14606570*x^28 + 24907040*x^27 - 86525566*x^26 - 106701176*x^25 + 386289672*x^24 + 344328282*x^23 - 1312155880*x^22 - 834161956*x^21 + 3399449946*x^20 + 1493344792*x^19 - 6690404322*x^18 - 1903644394*x^17 + 9896129204*x^16 + 1578526188*x^15 - 10795860456*x^14 - 605684468*x^13 + 8429264978*x^12 - 258150036*x^11 - 4493957098*x^10 + 459223296*x^9 + 1516620932*x^8 - 235119156*x^7 - 285006346*x^6 + 49718990*x^5 + 24129410*x^4 - 2689300*x^3 - 1011050*x^2 + 22636*x + 11746, 2*x^38 - 4*x^37 - 122*x^36 + 244*x^35 + 3404*x^34 - 6814*x^33 - 57542*x^32 + 115354*x^31 + 658222*x^30 - 1322118*x^29 - 5390884*x^28 + 10857138*x^27 + 32617344*x^26 - 65955808*x^25 - 148222790*x^24 + 301745242*x^23 + 508780230*x^22 - 1048119394*x^21 - 1313484618*x^20 + 2764364782*x^19 + 2509840816*x^18 - 5492261878*x^17 - 3432705506*x^16 + 8079465558*x^15 + 3138826150*x^14 - 8541609422*x^13 - 1614054980*x^12 + 6178644470*x^11 + 137968332*x^10 - 2814639304*x^9 + 307890306*x^8 + 694422614*x^7 - 133229628*x^6 - 69200646*x^5 + 11400764*x^4 + 2731350*x^3 + 73944*x^2 - 42884*x - 9764, 4*x^38 - 16*x^37 - 212*x^36 + 910*x^35 + 4978*x^34 - 23432*x^33 - 67760*x^32 + 361474*x^31 + 583836*x^30 - 3726710*x^29 - 3206412*x^28 + 27127442*x^27 + 9961370*x^26 - 143620776*x^25 - 3416186*x^24 + 561375126*x^23 - 126978554*x^22 - 1627405764*x^21 + 674805838*x^20 + 3483429274*x^19 - 1957022194*x^18 - 5428161540*x^17 + 3704408578*x^16 + 5994784296*x^15 - 4737233550*x^14 - 4475350952*x^13 + 4044272850*x^12 + 2066661304*x^11 - 2199362544*x^10 - 477437706*x^9 + 691629364*x^8 + 10833688*x^7 - 101974400*x^6 + 12194538*x^5 + 3182424*x^4 - 865098*x^3 + 249790*x^2 + 4678*x - 9764, 2*x^41 - 12*x^40 - 98*x^39 + 704*x^38 + 2000*x^37 - 18860*x^36 - 20066*x^35 + 305846*x^34 + 52894*x^33 - 3355818*x^32 + 1224844*x^31 + 26382136*x^30 - 19203358*x^29 - 153535276*x^28 + 152397894*x^27 + 673979138*x^26 - 807610758*x^25 - 2253181538*x^24 + 3082171206*x^23 + 5750566788*x^22 - 8726136122*x^21 - 11154968186*x^20 + 18527852196*x^19 + 16240486006*x^18 - 29494363996*x^17 - 17310883148*x^16 + 34865931228*x^15 + 12877096212*x^14 - 30001152970*x^13 - 6008134496*x^12 + 18153160810*x^11 + 1200155634*x^10 - 7286626224*x^9 + 283462850*x^8 + 1754071316*x^7 - 195258480*x^6 - 212449966*x^5 + 28169570*x^4 + 10589870*x^3 - 981440*x^2 - 186126*x + 5746, 4*x^38 - 18*x^37 - 198*x^36 + 980*x^35 + 4278*x^34 - 24074*x^33 - 52284*x^32 + 353118*x^31 + 384750*x^30 - 3448854*x^29 - 1562094*x^28 + 23675182*x^27 + 953848*x^26 - 117480552*x^25 + 28527626*x^24 + 426567106*x^23 - 188894700*x^22 - 1133149674*x^21 + 661513760*x^20 + 2174645938*x^19 - 1470447232*x^18 - 2929324320*x^17 + 2096852414*x^16 + 2620455210*x^15 - 1739101550*x^14 - 1398459154*x^13 + 463352530*x^12 + 367163890*x^11 + 543995036*x^10 - 90870984*x^9 - 574389442*x^8 + 105424358*x^7 + 200265608*x^6 - 49613260*x^5 - 23030382*x^4 + 4714922*x^3 + 1148310*x^2 - 75318*x - 15386, 2*x^40 - 10*x^39 - 106*x^38 + 596*x^37 + 2448*x^36 - 16188*x^35 - 31586*x^34 + 265618*x^33 + 233408*x^32 - 2942824*x^31 - 703888*x^30 + 23309770*x^29 - 4306100*x^28 - 136339646*x^27 + 66349956*x^26 + 599692024*x^25 - 428251062*x^24 - 2000812444*x^23 + 1790149804*x^22 + 5067773858*x^21 - 5305555100*x^20 - 9677093906*x^19 + 11477164250*x^18 + 13703417992*x^17 - 18213732220*x^16 - 13952912832*x^15 + 20986036444*x^14 + 9640633914*x^13 - 17116679992*x^12 - 3977657026*x^11 + 9447137492*x^10 + 598174340*x^9 - 3268361020*x^8 + 185231966*x^7 + 619731682*x^6 - 75308570*x^5 - 50948120*x^4 + 4367550*x^3 + 2044736*x^2 - 33526*x - 23492, 4*x^38 - 16*x^37 - 210*x^36 + 890*x^35 + 4944*x^34 - 22500*x^33 - 68902*x^32 + 342900*x^31 + 630870*x^30 - 3523240*x^29 - 3966686*x^28 + 25859654*x^27 + 17224152*x^26 - 140136526*x^25 - 49137342*x^24 + 571373710*x^23 + 70735184*x^22 - 1768908458*x^21 + 82227390*x^20 + 4162936394*x^19 - 751382740*x^18 - 7396187330*x^17 + 2160952752*x^16 + 9757569294*x^15 - 3823782812*x^14 - 9274518854*x^13 + 4529611000*x^12 + 6025491720*x^11 - 3567988130*x^10 - 2428201860*x^9 + 1762812156*x^8 + 489163416*x^7 - 483323318*x^6 - 18358032*x^5 + 58364802*x^4 - 3503418*x^3 - 2448138*x^2 + 100528*x + 32176, 2*x^40 - 10*x^39 - 106*x^38 + 600*x^37 + 2412*x^36 - 16306*x^35 - 29738*x^34 + 265704*x^33 + 190862*x^32 - 2895722*x^31 - 124022*x^30 + 22283202*x^29 - 9503758*x^28 - 124505124*x^27 + 98498298*x^26 + 510792244*x^25 - 567843968*x^24 - 1533284262*x^23 + 2211318614*x^22 + 3291288342*x^21 - 6138965516*x^20 - 4739996308*x^19 + 12330146710*x^18 + 3675301440*x^17 - 17815655462*x^16 + 750492382*x^15 + 18084612908*x^14 - 5523295614*x^13 - 12290863404*x^12 + 6537653296*x^11 + 5083817828*x^10 - 3939962944*x^9 - 1009529724*x^8 + 1244105116*x^7 + 5784630*x^6 - 176635122*x^5 + 19690242*x^4 + 8055386*x^3 - 1020450*x^2 - 104028*x + 14314, 2*x^41 - 12*x^40 - 98*x^39 + 708*x^38 + 1974*x^37 - 19030*x^36 - 18668*x^35 + 308644*x^34 + 18760*x^33 - 3372030*x^32 + 1725436*x^31 + 26229632*x^30 - 24116804*x^29 - 149641096*x^28 + 186426774*x^27 + 635045820*x^26 - 978321974*x^25 - 2008764864*x^24 + 3708278826*x^23 + 4684961228*x^22 - 10395817928*x^21 - 7813475698*x^20 + 21688360564*x^19 + 8632060742*x^18 - 33492391826*x^17 - 4810477156*x^16 + 37687038922*x^15 - 1637002480*x^14 - 30068031718*x^13 + 5446091204*x^12 + 16308773640*x^11 - 4544720992*x^10 - 5657366182*x^9 + 1910857124*x^8 + 1158689626*x^7 - 405123696*x^6 - 130868588*x^5 + 37607196*x^4 + 8573042*x^3 - 1244918*x^2 - 258996*x - 2822, 2*x^40 - 10*x^39 - 102*x^38 + 564*x^37 + 2318*x^36 - 14566*x^35 - 30782*x^34 + 228662*x^33 + 261498*x^32 - 2442518*x^31 - 1435350*x^30 + 18828632*x^29 + 4535098*x^28 - 108370986*x^27 - 1651800*x^26 + 475048982*x^25 - 63475974*x^24 - 1602243776*x^23 + 369851038*x^22 + 4168771996*x^21 - 1216538460*x^20 - 8331287794*x^19 + 2720944458*x^18 + 12645869906*x^17 - 4321910872*x^16 - 14303635568*x^15 + 4884715486*x^14 + 11718176338*x^13 - 3841248990*x^12 - 6679684640*x^11 + 2005380140*x^10 + 2510104780*x^9 - 640892968*x^8 - 582053800*x^7 + 109887712*x^6 + 77469774*x^5 - 8603550*x^4 - 5064806*x^3 + 251520*x^2 + 96078*x - 2534, 2*x^41 - 12*x^40 - 100*x^39 + 720*x^38 + 2068*x^37 - 19710*x^36 - 20476*x^35 + 326122*x^34 + 35072*x^33 - 3642010*x^32 + 1707072*x^31 + 29029120*x^30 - 25391584*x^29 - 170256558*x^28 + 203135144*x^27 + 746274046*x^26 - 1097658176*x^25 - 2455781940*x^24 + 4281432952*x^23 + 6031279560*x^22 - 12365870300*x^21 - 10841900856*x^20 + 26645240888*x^19 + 13647393154*x^18 - 42657221604*x^17 - 10738924236*x^16 + 50017168476*x^15 + 3051690958*x^14 - 41852613772*x^13 + 3349158636*x^12 + 23969741980*x^11 - 4387698232*x^10 - 8795815886*x^9 + 2231235178*x^8 + 1860561520*x^7 - 539390910*x^6 - 193554636*x^5 + 52582048*x^4 + 9838176*x^3 - 1767898*x^2 - 237584*x + 6292, 2*x^40 - 12*x^39 - 90*x^38 + 662*x^37 + 1608*x^36 - 16506*x^35 - 11814*x^34 + 245906*x^33 - 41358*x^32 - 2437074*x^31 + 1788062*x^30 + 16912758*x^29 - 19608848*x^28 - 84094494*x^27 + 129245874*x^26 + 300119568*x^25 - 583326204*x^24 - 750233854*x^23 + 1880131198*x^22 + 1208622026*x^21 - 4372531610*x^20 - 857943714*x^19 + 7260372148*x^18 - 1071640114*x^17 - 8308196414*x^16 + 3754993444*x^15 + 6009492386*x^14 - 4834787976*x^13 - 2056752412*x^12 + 3331356808*x^11 - 384813894*x^10 - 1101718054*x^9 + 604239878*x^8 + 36255728*x^7 - 165008516*x^6 + 60892170*x^5 + 4589870*x^4 - 6651270*x^3 + 417830*x^2 + 195678*x - 3056, 2*x^39 - 10*x^38 - 98*x^37 + 560*x^36 + 2044*x^35 - 14188*x^34 - 22630*x^33 + 215188*x^32 + 120468*x^31 - 2178790*x^30 + 158414*x^29 + 15547064*x^28 - 7949142*x^27 - 80422464*x^26 + 68360170*x^25 + 305256234*x^24 - 349176132*x^23 - 849070474*x^22 + 1221857148*x^21 + 1700600942*x^20 - 3059979294*x^19 - 2338389400*x^18 + 5550297954*x^17 + 1916915772*x^16 - 7247401422*x^15 - 325784070*x^14 + 6659395852*x^13 - 1231474848*x^12 - 4112427132*x^11 + 1545275212*x^10 + 1559915612*x^9 - 875989234*x^8 - 295568908*x^7 + 247758928*x^6 + 10770228*x^5 - 29614950*x^4 + 1876604*x^3 + 1226408*x^2 - 55146*x - 16088, 2*x^42 - 12*x^41 - 104*x^40 + 738*x^39 + 2292*x^38 - 20802*x^37 - 26076*x^36 + 356400*x^35 + 116916*x^34 - 4150542*x^33 + 943398*x^32 + 34810210*x^31 - 20820246*x^30 - 217342836*x^29 + 187797416*x^28 + 1029988736*x^27 - 1097094450*x^26 - 3743398392*x^25 + 4581345442*x^24 + 10471200478*x^23 - 14178474768*x^22 - 22490780336*x^21 + 32957417416*x^20 + 36784488488*x^19 - 57596914888*x^18 - 45111034206*x^17 + 75064045396*x^16 + 40456759706*x^15 - 71734047828*x^14 - 25487599760*x^13 + 48927125934*x^12 + 10526843380*x^11 - 22865189714*x^10 - 2473180132*x^9 + 6875187960*x^8 + 204819124*x^7 - 1198201458*x^6 + 18180182*x^5 + 100798854*x^4 - 9788*x^3 - 3494386*x^2 - 171788*x + 14860, x^45 - 6*x^44 - 58*x^43 + 405*x^42 + 1456*x^41 - 12607*x^40 - 19803*x^39 + 240154*x^38 + 133835*x^37 - 3132796*x^36 + 166413*x^35 + 29673505*x^34 - 13751296*x^33 - 211141491*x^32 + 160717983*x^31 + 1151789579*x^30 - 1141441168*x^29 - 4872172697*x^28 + 5743752665*x^27 + 16056769361*x^26 - 21553033982*x^25 - 41174740822*x^24 + 61581069234*x^23 + 81536247686*x^22 - 134880805019*x^21 - 122743189305*x^20 + 225951594415*x^19 + 136509617470*x^18 - 286607162326*x^17 - 106210027935*x^16 + 270283549211*x^15 + 50780122279*x^14 - 184125211803*x^13 - 7917243929*x^12 + 86722351913*x^11 - 6207420048*x^10 - 26396121638*x^9 + 4191633399*x^8 + 4664764903*x^7 - 1007465602*x^6 - 405888142*x^5 + 92648693*x^4 + 15961604*x^3 - 2845061*x^2 - 273070*x + 16936, x^45 - 6*x^44 - 58*x^43 + 405*x^42 + 1456*x^41 - 12607*x^40 - 19803*x^39 + 240154*x^38 + 133835*x^37 - 3132796*x^36 + 166413*x^35 + 29673505*x^34 - 13751296*x^33 - 211141491*x^32 + 160717983*x^31 + 1151789579*x^30 - 1141441168*x^29 - 4872172697*x^28 + 5743752665*x^27 + 16056769361*x^26 - 21553033982*x^25 - 41174740822*x^24 + 61581069234*x^23 + 81536247686*x^22 - 134880805019*x^21 - 122743189305*x^20 + 225951594415*x^19 + 136509617470*x^18 - 286607162326*x^17 - 106210027935*x^16 + 270283549211*x^15 + 50780122279*x^14 - 184125211803*x^13 - 7917243929*x^12 + 86722351913*x^11 - 6207420048*x^10 - 26396121638*x^9 + 4191633399*x^8 + 4664764903*x^7 - 1007465602*x^6 - 405888142*x^5 + 92648693*x^4 + 15961604*x^3 - 2845061*x^2 - 273070*x + 16936, x^44 - 6*x^43 - 56*x^42 + 394*x^41 + 1342*x^40 - 11895*x^39 - 16956*x^38 + 218978*x^37 + 93981*x^36 - 2748954*x^35 + 483940*x^34 + 24930967*x^33 - 14683680*x^32 - 168819731*x^31 + 151291852*x^30 + 869797834*x^29 - 994116312*x^28 - 3441893438*x^27 + 4672316731*x^26 + 10478318996*x^25 - 16366868614*x^24 - 24394178208*x^23 + 43422708220*x^22 + 42746744366*x^21 - 87521942783*x^20 - 54601061445*x^19 + 133165962090*x^18 + 47458971855*x^17 - 150587455668*x^16 - 22938899825*x^15 + 123221295488*x^14 - 741724416*x^13 - 69898259619*x^12 + 9014078980*x^11 + 25653053363*x^10 - 5661439666*x^9 - 5432429208*x^8 + 1499841811*x^7 + 558619324*x^6 - 147186986*x^5 - 31023308*x^4 + 5177127*x^3 + 853044*x^2 - 27650*x - 4004, x^44 - 6*x^43 - 56*x^42 + 394*x^41 + 1342*x^40 - 11895*x^39 - 16956*x^38 + 218978*x^37 + 93981*x^36 - 2748954*x^35 + 483940*x^34 + 24930967*x^33 - 14683680*x^32 - 168819731*x^31 + 151291852*x^30 + 869797834*x^29 - 994116312*x^28 - 3441893438*x^27 + 4672316731*x^26 + 10478318996*x^25 - 16366868614*x^24 - 24394178208*x^23 + 43422708220*x^22 + 42746744366*x^21 - 87521942783*x^20 - 54601061445*x^19 + 133165962090*x^18 + 47458971855*x^17 - 150587455668*x^16 - 22938899825*x^15 + 123221295488*x^14 - 741724416*x^13 - 69898259619*x^12 + 9014078980*x^11 + 25653053363*x^10 - 5661439666*x^9 - 5432429208*x^8 + 1499841811*x^7 + 558619324*x^6 - 147186986*x^5 - 31023308*x^4 + 5177127*x^3 + 853044*x^2 - 27650*x - 4004, x^44 - 6*x^43 - 56*x^42 + 393*x^41 + 1349*x^40 - 11850*x^39 - 17368*x^38 + 218233*x^37 + 105034*x^36 - 2746359*x^35 + 304915*x^34 + 25036209*x^33 - 12729349*x^32 - 171015056*x^31 + 136095167*x^30 + 893085523*x^29 - 907437728*x^28 - 3606056868*x^27 + 4304864214*x^26 + 11310348689*x^25 - 15209811080*x^24 - 27528672489*x^23 + 40764730381*x^22 + 51648339732*x^21 - 83296623291*x^20 - 73703888730*x^19 + 129259448646*x^18 + 78217852507*x^17 - 150559837230*x^16 - 59460803576*x^15 + 129009127249*x^14 + 30259396561*x^13 - 78851556779*x^12 - 8828903924*x^11 + 32831424230*x^10 + 671091592*x^9 - 8682819337*x^8 + 362651003*x^7 + 1305518107*x^6 - 89224705*x^5 - 94232109*x^4 + 3562799*x^3 + 2977091*x^2 + 59810*x - 16409, x^44 - 6*x^43 - 56*x^42 + 393*x^41 + 1349*x^40 - 11850*x^39 - 17368*x^38 + 218233*x^37 + 105034*x^36 - 2746359*x^35 + 304915*x^34 + 25036209*x^33 - 12729349*x^32 - 171015056*x^31 + 136095167*x^30 + 893085523*x^29 - 907437728*x^28 - 3606056868*x^27 + 4304864214*x^26 + 11310348689*x^25 - 15209811080*x^24 - 27528672489*x^23 + 40764730381*x^22 + 51648339732*x^21 - 83296623291*x^20 - 73703888730*x^19 + 129259448646*x^18 + 78217852507*x^17 - 150559837230*x^16 - 59460803576*x^15 + 129009127249*x^14 + 30259396561*x^13 - 78851556779*x^12 - 8828903924*x^11 + 32831424230*x^10 + 671091592*x^9 - 8682819337*x^8 + 362651003*x^7 + 1305518107*x^6 - 89224705*x^5 - 94232109*x^4 + 3562799*x^3 + 2977091*x^2 + 59810*x - 16409, x^43 - 6*x^42 - 54*x^41 + 382*x^40 + 1239*x^39 - 11158*x^38 - 14742*x^37 + 198295*x^36 + 70516*x^35 - 2397482*x^34 + 550178*x^33 + 20890791*x^32 - 13096963*x^31 - 135582080*x^30 + 124795464*x^29 + 667904736*x^28 - 770383051*x^27 - 2521398238*x^26 + 3409856216*x^25 + 7309659828*x^24 - 11235153618*x^23 - 16190512819*x^22 + 27961544008*x^21 + 27022342249*x^20 - 52682226609*x^19 - 33074053312*x^18 + 74629868702*x^17 + 28134137973*x^16 - 78247904803*x^15 - 14598381844*x^14 + 59135744292*x^13 + 2399408204*x^12 - 30902109538*x^11 + 2151301890*x^10 + 10459799262*x^9 - 1530340934*x^8 - 2065318231*x^7 + 377431549*x^6 + 203529026*x^5 - 31005828*x^4 - 9941279*x^3 + 671788*x^2 + 191328*x + 3280, x^43 - 6*x^42 - 54*x^41 + 382*x^40 + 1239*x^39 - 11158*x^38 - 14742*x^37 + 198295*x^36 + 70516*x^35 - 2397482*x^34 + 550178*x^33 + 20890791*x^32 - 13096963*x^31 - 135582080*x^30 + 124795464*x^29 + 667904736*x^28 - 770383051*x^27 - 2521398238*x^26 + 3409856216*x^25 + 7309659828*x^24 - 11235153618*x^23 - 16190512819*x^22 + 27961544008*x^21 + 27022342249*x^20 - 52682226609*x^19 - 33074053312*x^18 + 74629868702*x^17 + 28134137973*x^16 - 78247904803*x^15 - 14598381844*x^14 + 59135744292*x^13 + 2399408204*x^12 - 30902109538*x^11 + 2151301890*x^10 + 10459799262*x^9 - 1530340934*x^8 - 2065318231*x^7 + 377431549*x^6 + 203529026*x^5 - 31005828*x^4 - 9941279*x^3 + 671788*x^2 + 191328*x + 3280, x^43 - 5*x^42 - 60*x^41 + 330*x^40 + 1608*x^39 - 10018*x^38 - 25112*x^37 + 185547*x^36 + 247011*x^35 - 2345056*x^34 - 1482562*x^33 + 21430969*x^32 + 3670832*x^31 - 146409665*x^30 + 22529392*x^29 + 762374523*x^28 - 301052883*x^27 - 3057052127*x^26 + 1776309152*x^25 + 9470902786*x^24 - 6923207396*x^23 - 22598990501*x^22 + 19397318228*x^21 + 41119785611*x^20 - 40103405716*x^19 - 55976592303*x^18 + 61389837956*x^17 + 55136990137*x^16 - 68814348920*x^15 - 36923464851*x^14 + 55091207892*x^13 + 14531914705*x^12 - 30167189012*x^11 - 1605321508*x^10 + 10503893168*x^9 - 1161450654*x^8 - 2040827348*x^7 + 482847067*x^6 + 171335808*x^5 - 56465738*x^4 - 5167281*x^3 + 2145623*x^2 + 77738*x - 20216, x^43 - 5*x^42 - 60*x^41 + 330*x^40 + 1608*x^39 - 10018*x^38 - 25112*x^37 + 185547*x^36 + 247011*x^35 - 2345056*x^34 - 1482562*x^33 + 21430969*x^32 + 3670832*x^31 - 146409665*x^30 + 22529392*x^29 + 762374523*x^28 - 301052883*x^27 - 3057052127*x^26 + 1776309152*x^25 + 9470902786*x^24 - 6923207396*x^23 - 22598990501*x^22 + 19397318228*x^21 + 41119785611*x^20 - 40103405716*x^19 - 55976592303*x^18 + 61389837956*x^17 + 55136990137*x^16 - 68814348920*x^15 - 36923464851*x^14 + 55091207892*x^13 + 14531914705*x^12 - 30167189012*x^11 - 1605321508*x^10 + 10503893168*x^9 - 1161450654*x^8 - 2040827348*x^7 + 482847067*x^6 + 171335808*x^5 - 56465738*x^4 - 5167281*x^3 + 2145623*x^2 + 77738*x - 20216, x^43 - 6*x^42 - 53*x^41 + 375*x^40 + 1195*x^39 - 10755*x^38 - 14025*x^37 + 187715*x^36 + 67792*x^35 - 2229593*x^34 + 462319*x^33 + 19091120*x^32 - 11272841*x^31 - 121786234*x^30 + 105957110*x^29 + 589814916*x^28 - 641760612*x^27 - 2189222106*x^26 + 2779833708*x^25 + 6239982671*x^24 - 8943376797*x^23 - 13587870782*x^22 + 21676617672*x^21 + 22298982093*x^20 - 39642637726*x^19 - 26871547474*x^18 + 54278218611*x^17 + 22633618431*x^16 - 54710543375*x^15 - 11925298640*x^14 + 39497578826*x^13 + 2540376088*x^12 - 19586981677*x^11 + 1035770430*x^10 + 6266277071*x^9 - 853019000*x^8 - 1178445542*x^7 + 211651939*x^6 + 115833721*x^5 - 18808492*x^4 - 6033714*x^3 + 536565*x^2 + 136928*x + 1411, x^43 - 6*x^42 - 53*x^41 + 375*x^40 + 1195*x^39 - 10755*x^38 - 14025*x^37 + 187715*x^36 + 67792*x^35 - 2229593*x^34 + 462319*x^33 + 19091120*x^32 - 11272841*x^31 - 121786234*x^30 + 105957110*x^29 + 589814916*x^28 - 641760612*x^27 - 2189222106*x^26 + 2779833708*x^25 + 6239982671*x^24 - 8943376797*x^23 - 13587870782*x^22 + 21676617672*x^21 + 22298982093*x^20 - 39642637726*x^19 - 26871547474*x^18 + 54278218611*x^17 + 22633618431*x^16 - 54710543375*x^15 - 11925298640*x^14 + 39497578826*x^13 + 2540376088*x^12 - 19586981677*x^11 + 1035770430*x^10 + 6266277071*x^9 - 853019000*x^8 - 1178445542*x^7 + 211651939*x^6 + 115833721*x^5 - 18808492*x^4 - 6033714*x^3 + 536565*x^2 + 136928*x + 1411, x^43 - 6*x^42 - 54*x^41 + 382*x^40 + 1240*x^39 - 11166*x^38 - 14776*x^37 + 198722*x^36 + 70710*x^35 - 2407703*x^34 + 559628*x^33 + 21035315*x^32 - 13349975*x^31 - 136917822*x^30 + 128046330*x^29 + 676300913*x^28 - 797127839*x^27 - 2557198566*x^26 + 3563389194*x^25 + 7406085662*x^24 - 11872962056*x^23 - 16300037172*x^22 + 29907564056*x^21 + 26740318482*x^20 - 57049508043*x^19 - 31420217489*x^18 + 81769106485*x^17 + 24115605928*x^16 - 86563878587*x^15 - 8595427078*x^14 + 65776076198*x^13 - 3452036083*x^12 - 34303946006*x^11 + 5842741210*x^10 + 11447025230*x^9 - 2975963396*x^8 - 2180801254*x^7 + 706588958*x^6 + 195822312*x^5 - 70277402*x^4 - 6950799*x^3 + 2368306*x^2 + 119733*x - 18347, x^43 - 6*x^42 - 54*x^41 + 382*x^40 + 1240*x^39 - 11166*x^38 - 14776*x^37 + 198722*x^36 + 70710*x^35 - 2407703*x^34 + 559628*x^33 + 21035315*x^32 - 13349975*x^31 - 136917822*x^30 + 128046330*x^29 + 676300913*x^28 - 797127839*x^27 - 2557198566*x^26 + 3563389194*x^25 + 7406085662*x^24 - 11872962056*x^23 - 16300037172*x^22 + 29907564056*x^21 + 26740318482*x^20 - 57049508043*x^19 - 31420217489*x^18 + 81769106485*x^17 + 24115605928*x^16 - 86563878587*x^15 - 8595427078*x^14 + 65776076198*x^13 - 3452036083*x^12 - 34303946006*x^11 + 5842741210*x^10 + 11447025230*x^9 - 2975963396*x^8 - 2180801254*x^7 + 706588958*x^6 + 195822312*x^5 - 70277402*x^4 - 6950799*x^3 + 2368306*x^2 + 119733*x - 18347, x^42 - 6*x^41 - 52*x^40 + 371*x^39 + 1135*x^38 - 10497*x^37 - 12423*x^36 + 180158*x^35 + 42795*x^34 - 2096218*x^33 + 712502*x^32 + 17504554*x^31 - 12906565*x^30 - 108308440*x^29 + 112361265*x^28 + 505310930*x^27 - 649008490*x^26 - 1790708414*x^25 + 2699335418*x^24 + 4812908682*x^23 - 8338163463*x^22 - 9699140676*x^21 + 19330829925*x^20 + 14274339699*x^19 - 33577296512*x^18 - 14491191821*x^17 + 43176868420*x^16 + 8692169224*x^15 - 40154498117*x^14 - 950840686*x^13 + 25982902885*x^12 - 3003249570*x^11 - 10987753105*x^10 + 2464622116*x^9 + 2738950156*x^8 - 834586943*x^7 - 340817238*x^6 + 120336219*x^5 + 18457876*x^4 - 6947025*x^3 - 334009*x^2 + 125623*x + 2476, x^42 - 6*x^41 - 52*x^40 + 371*x^39 + 1135*x^38 - 10497*x^37 - 12423*x^36 + 180158*x^35 + 42795*x^34 - 2096218*x^33 + 712502*x^32 + 17504554*x^31 - 12906565*x^30 - 108308440*x^29 + 112361265*x^28 + 505310930*x^27 - 649008490*x^26 - 1790708414*x^25 + 2699335418*x^24 + 4812908682*x^23 - 8338163463*x^22 - 9699140676*x^21 + 19330829925*x^20 + 14274339699*x^19 - 33577296512*x^18 - 14491191821*x^17 + 43176868420*x^16 + 8692169224*x^15 - 40154498117*x^14 - 950840686*x^13 + 25982902885*x^12 - 3003249570*x^11 - 10987753105*x^10 + 2464622116*x^9 + 2738950156*x^8 - 834586943*x^7 - 340817238*x^6 + 120336219*x^5 + 18457876*x^4 - 6947025*x^3 - 334009*x^2 + 125623*x + 2476, x^42 - 6*x^41 - 51*x^40 + 366*x^39 + 1079*x^38 - 10186*x^37 - 11042*x^36 + 171314*x^35 + 23443*x^34 - 1943958*x^33 + 874215*x^32 + 15733097*x^31 - 13589823*x^30 - 93584658*x^29 + 111371996*x^28 + 415184270*x^27 - 613452025*x^26 - 1377950754*x^25 + 2432379578*x^24 + 3390756707*x^23 - 7123000749*x^22 - 6025261441*x^21 + 15508886249*x^20 + 7252668434*x^19 - 24958796876*x^18 - 4833642061*x^17 + 29162682445*x^16 - 351651243*x^15 - 23931053079*x^14 + 4091973306*x^13 + 13013247196*x^12 - 3859527520*x^11 - 4205500996*x^10 + 1666476616*x^9 + 628160821*x^8 - 287823319*x^7 - 14273060*x^6 - 4155061*x^5 + 2624153*x^4 + 2441686*x^3 - 327707*x^2 - 94693*x + 1528, x^42 - 6*x^41 - 51*x^40 + 366*x^39 + 1079*x^38 - 10186*x^37 - 11042*x^36 + 171314*x^35 + 23443*x^34 - 1943958*x^33 + 874215*x^32 + 15733097*x^31 - 13589823*x^30 - 93584658*x^29 + 111371996*x^28 + 415184270*x^27 - 613452025*x^26 - 1377950754*x^25 + 2432379578*x^24 + 3390756707*x^23 - 7123000749*x^22 - 6025261441*x^21 + 15508886249*x^20 + 7252668434*x^19 - 24958796876*x^18 - 4833642061*x^17 + 29162682445*x^16 - 351651243*x^15 - 23931053079*x^14 + 4091973306*x^13 + 13013247196*x^12 - 3859527520*x^11 - 4205500996*x^10 + 1666476616*x^9 + 628160821*x^8 - 287823319*x^7 - 14273060*x^6 - 4155061*x^5 + 2624153*x^4 + 2441686*x^3 - 327707*x^2 - 94693*x + 1528, x^42 - 4*x^41 - 64*x^40 + 269*x^39 + 1862*x^38 - 8319*x^37 - 32517*x^36 + 156887*x^35 + 378554*x^34 - 2017436*x^33 - 3076457*x^32 + 18739234*x^31 + 17647205*x^30 - 129952703*x^29 - 69311094*x^28 + 685894194*x^27 + 161044548*x^26 - 2783725362*x^25 - 27241568*x^24 + 8718395103*x^23 - 1426399491*x^22 - 21024276983*x^21 + 6298751456*x^20 + 38727874858*x^19 - 15799531831*x^18 - 53711819674*x^17 + 26636116611*x^16 + 54829783894*x^15 - 31206622745*x^14 - 39817568771*x^13 + 25199155902*x^12 + 19547788524*x^11 - 13543838687*x^10 - 6003904156*x^9 + 4553052514*x^8 + 1023832604*x^7 - 870130583*x^6 - 80614560*x^5 + 82321765*x^4 + 2135777*x^3 - 2920929*x^2 - 70304*x + 24220, x^42 - 4*x^41 - 64*x^40 + 269*x^39 + 1862*x^38 - 8319*x^37 - 32517*x^36 + 156887*x^35 + 378554*x^34 - 2017436*x^33 - 3076457*x^32 + 18739234*x^31 + 17647205*x^30 - 129952703*x^29 - 69311094*x^28 + 685894194*x^27 + 161044548*x^26 - 2783725362*x^25 - 27241568*x^24 + 8718395103*x^23 - 1426399491*x^22 - 21024276983*x^21 + 6298751456*x^20 + 38727874858*x^19 - 15799531831*x^18 - 53711819674*x^17 + 26636116611*x^16 + 54829783894*x^15 - 31206622745*x^14 - 39817568771*x^13 + 25199155902*x^12 + 19547788524*x^11 - 13543838687*x^10 - 6003904156*x^9 + 4553052514*x^8 + 1023832604*x^7 - 870130583*x^6 - 80614560*x^5 + 82321765*x^4 + 2135777*x^3 - 2920929*x^2 - 70304*x + 24220, x^42 - 6*x^41 - 50*x^40 + 357*x^39 + 1051*x^38 - 9716*x^37 - 11166*x^36 + 160366*x^35 + 40488*x^34 - 1794547*x^33 + 513110*x^32 + 14418612*x^31 - 9317811*x^30 - 85927771*x^29 + 77879700*x^28 + 386846026*x^27 - 427936056*x^26 - 1326967626*x^25 + 1685088841*x^24 + 3469601229*x^23 - 4909637941*x^22 - 6858577303*x^21 + 10696568149*x^20 + 10047852768*x^19 - 17384315147*x^18 - 10473199870*x^17 + 20785248459*x^16 + 7078745230*x^15 - 17777500595*x^14 - 2231420713*x^13 + 10337449168*x^12 - 662169026*x^11 - 3699957445*x^10 + 949069540*x^9 + 629185835*x^8 - 355818188*x^7 + 8517072*x^6 + 52236031*x^5 - 12600459*x^4 - 3016446*x^3 + 654223*x^2 + 113389*x + 1549, x^42 - 6*x^41 - 50*x^40 + 357*x^39 + 1051*x^38 - 9716*x^37 - 11166*x^36 + 160366*x^35 + 40488*x^34 - 1794547*x^33 + 513110*x^32 + 14418612*x^31 - 9317811*x^30 - 85927771*x^29 + 77879700*x^28 + 386846026*x^27 - 427936056*x^26 - 1326967626*x^25 + 1685088841*x^24 + 3469601229*x^23 - 4909637941*x^22 - 6858577303*x^21 + 10696568149*x^20 + 10047852768*x^19 - 17384315147*x^18 - 10473199870*x^17 + 20785248459*x^16 + 7078745230*x^15 - 17777500595*x^14 - 2231420713*x^13 + 10337449168*x^12 - 662169026*x^11 - 3699957445*x^10 + 949069540*x^9 + 629185835*x^8 - 355818188*x^7 + 8517072*x^6 + 52236031*x^5 - 12600459*x^4 - 3016446*x^3 + 654223*x^2 + 113389*x + 1549, x^42 - 5*x^41 - 57*x^40 + 313*x^39 + 1455*x^38 - 9003*x^37 - 21812*x^36 + 157931*x^35 + 210220*x^34 - 1891414*x^33 - 1315459*x^32 + 16405927*x^31 + 4757573*x^30 - 106703804*x^29 - 1883623*x^28 + 531516711*x^27 - 90512187*x^26 - 2053045223*x^25 + 618888889*x^24 + 6185293036*x^23 - 2431656192*x^22 - 14536471794*x^21 + 6647590501*x^20 + 26500798012*x^19 - 13329723456*x^18 - 37022838163*x^17 + 19902242898*x^16 + 38827201521*x^15 - 22030339565*x^14 - 29583802638*x^13 + 17703009665*x^12 + 15543658817*x^11 - 9903513718*x^10 - 5155031758*x^9 + 3579328916*x^8 + 911394635*x^7 - 729543231*x^6 - 58692737*x^5 + 64874197*x^4 + 2163433*x^3 - 2448004*x^2 - 63861*x + 26365, x^42 - 5*x^41 - 57*x^40 + 313*x^39 + 1455*x^38 - 9003*x^37 - 21812*x^36 + 157931*x^35 + 210220*x^34 - 1891414*x^33 - 1315459*x^32 + 16405927*x^31 + 4757573*x^30 - 106703804*x^29 - 1883623*x^28 + 531516711*x^27 - 90512187*x^26 - 2053045223*x^25 + 618888889*x^24 + 6185293036*x^23 - 2431656192*x^22 - 14536471794*x^21 + 6647590501*x^20 + 26500798012*x^19 - 13329723456*x^18 - 37022838163*x^17 + 19902242898*x^16 + 38827201521*x^15 - 22030339565*x^14 - 29583802638*x^13 + 17703009665*x^12 + 15543658817*x^11 - 9903513718*x^10 - 5155031758*x^9 + 3579328916*x^8 + 911394635*x^7 - 729543231*x^6 - 58692737*x^5 + 64874197*x^4 + 2163433*x^3 - 2448004*x^2 - 63861*x + 26365, x^42 - 6*x^41 - 52*x^40 + 371*x^39 + 1137*x^38 - 10508*x^37 - 12512*x^36 + 180725*x^35 + 44493*x^34 - 2109480*x^33 + 694833*x^32 + 17691307*x^31 - 12806410*x^30 - 110080806*x^29 + 112193512*x^28 + 517341591*x^27 - 650962833*x^26 - 1851217804*x^25 + 2717960135*x^24 + 5043342281*x^23 - 8425510133*x^22 - 10371549456*x^21 + 19599524747*x^20 + 15782873229*x^19 - 34160618705*x^18 - 17079408416*x^17 + 44093715745*x^16 + 12038174977*x^15 - 41202711486*x^14 - 4127630006*x^13 + 26844601108*x^12 - 872013683*x^11 - 11480885282*x^10 + 1507976770*x^9 + 2922689167*x^8 - 567456680*x^7 - 380152564*x^6 + 77640040*x^5 + 22407113*x^4 - 3357926*x^3 - 409354*x^2 - 14296*x - 9956, x^42 - 6*x^41 - 52*x^40 + 371*x^39 + 1137*x^38 - 10508*x^37 - 12512*x^36 + 180725*x^35 + 44493*x^34 - 2109480*x^33 + 694833*x^32 + 17691307*x^31 - 12806410*x^30 - 110080806*x^29 + 112193512*x^28 + 517341591*x^27 - 650962833*x^26 - 1851217804*x^25 + 2717960135*x^24 + 5043342281*x^23 - 8425510133*x^22 - 10371549456*x^21 + 19599524747*x^20 + 15782873229*x^19 - 34160618705*x^18 - 17079408416*x^17 + 44093715745*x^16 + 12038174977*x^15 - 41202711486*x^14 - 4127630006*x^13 + 26844601108*x^12 - 872013683*x^11 - 11480885282*x^10 + 1507976770*x^9 + 2922689167*x^8 - 567456680*x^7 - 380152564*x^6 + 77640040*x^5 + 22407113*x^4 - 3357926*x^3 - 409354*x^2 - 14296*x - 9956, x^41 - 5*x^40 - 56*x^39 + 310*x^38 + 1395*x^37 - 8825*x^36 - 20135*x^35 + 153021*x^34 + 181224*x^33 - 1807627*x^32 - 968850*x^31 + 15414364*x^30 + 1731996*x^29 - 98073695*x^28 + 17939919*x^27 + 474467802*x^26 - 189074323*x^25 - 1761847002*x^24 + 990208960*x^23 + 5030653491*x^22 - 3476845327*x^21 - 10986273626*x^20 + 8774212845*x^19 + 18105683000*x^18 - 16222237598*x^17 - 21978170376*x^16 + 21899282448*x^15 + 18851546708*x^14 - 21148321536*x^13 - 10592108917*x^12 + 14032605199*x^11 + 3285991768*x^10 - 5961031854*x^9 - 246745051*x^8 + 1430581778*x^7 - 113833913*x^6 - 156181384*x^5 + 15729335*x^4 + 7585092*x^3 - 368391*x^2 - 147970*x - 4547, x^41 - 5*x^40 - 56*x^39 + 310*x^38 + 1395*x^37 - 8825*x^36 - 20135*x^35 + 153021*x^34 + 181224*x^33 - 1807627*x^32 - 968850*x^31 + 15414364*x^30 + 1731996*x^29 - 98073695*x^28 + 17939919*x^27 + 474467802*x^26 - 189074323*x^25 - 1761847002*x^24 + 990208960*x^23 + 5030653491*x^22 - 3476845327*x^21 - 10986273626*x^20 + 8774212845*x^19 + 18105683000*x^18 - 16222237598*x^17 - 21978170376*x^16 + 21899282448*x^15 + 18851546708*x^14 - 21148321536*x^13 - 10592108917*x^12 + 14032605199*x^11 + 3285991768*x^10 - 5961031854*x^9 - 246745051*x^8 + 1430581778*x^7 - 113833913*x^6 - 156181384*x^5 + 15729335*x^4 + 7585092*x^3 - 368391*x^2 - 147970*x - 4547, x^41 - 6*x^40 - 48*x^39 + 351*x^38 + 924*x^37 - 9312*x^36 - 7586*x^35 + 148243*x^34 - 18900*x^33 - 1578610*x^32 + 1159248*x^31 + 11859276*x^30 - 14166195*x^29 - 64520111*x^28 + 103434642*x^27 + 256222022*x^26 - 521446475*x^25 - 734904144*x^24 + 1906781195*x^23 + 1460718652*x^22 - 5153868756*x^21 - 1761728924*x^20 + 10330717252*x^19 + 477178491*x^18 - 15230762684*x^17 + 2536201627*x^16 + 16194124238*x^15 - 5204005550*x^14 - 12004519871*x^13 + 5189451143*x^12 + 5881751234*x^11 - 2972671542*x^10 - 1759817252*x^9 + 942499042*x^8 + 293919215*x^7 - 143261417*x^6 - 28889766*x^5 + 8329468*x^4 + 2022178*x^3 - 177774*x^2 - 40882*x + 1267, x^41 - 6*x^40 - 48*x^39 + 351*x^38 + 924*x^37 - 9312*x^36 - 7586*x^35 + 148243*x^34 - 18900*x^33 - 1578610*x^32 + 1159248*x^31 + 11859276*x^30 - 14166195*x^29 - 64520111*x^28 + 103434642*x^27 + 256222022*x^26 - 521446475*x^25 - 734904144*x^24 + 1906781195*x^23 + 1460718652*x^22 - 5153868756*x^21 - 1761728924*x^20 + 10330717252*x^19 + 477178491*x^18 - 15230762684*x^17 + 2536201627*x^16 + 16194124238*x^15 - 5204005550*x^14 - 12004519871*x^13 + 5189451143*x^12 + 5881751234*x^11 - 2972671542*x^10 - 1759817252*x^9 + 942499042*x^8 + 293919215*x^7 - 143261417*x^6 - 28889766*x^5 + 8329468*x^4 + 2022178*x^3 - 177774*x^2 - 40882*x + 1267, x^41 - 4*x^40 - 60*x^39 + 252*x^38 + 1632*x^37 - 7271*x^36 - 26597*x^35 + 127402*x^34 + 288965*x^33 - 1515684*x^32 - 2199932*x^31 + 12968302*x^30 + 11968116*x^29 - 82463908*x^28 - 46204118*x^27 + 397173438*x^26 + 120181538*x^25 - 1463121181*x^24 - 169280083*x^23 + 4133971818*x^22 - 86787459*x^21 - 8927772959*x^20 + 1078188845*x^19 + 14593018097*x^18 - 2809964653*x^17 - 17746864980*x^16 + 4299683248*x^15 + 15638664192*x^14 - 4269883324*x^13 - 9608094360*x^12 + 2726866562*x^11 + 3902872958*x^10 - 1035822555*x^9 - 988717563*x^8 + 190483651*x^7 + 157804300*x^6 - 7350237*x^5 - 19134534*x^4 - 224604*x^3 + 1001417*x^2 + 47784*x - 9572, x^41 - 4*x^40 - 60*x^39 + 252*x^38 + 1632*x^37 - 7271*x^36 - 26597*x^35 + 127402*x^34 + 288965*x^33 - 1515684*x^32 - 2199932*x^31 + 12968302*x^30 + 11968116*x^29 - 82463908*x^28 - 46204118*x^27 + 397173438*x^26 + 120181538*x^25 - 1463121181*x^24 - 169280083*x^23 + 4133971818*x^22 - 86787459*x^21 - 8927772959*x^20 + 1078188845*x^19 + 14593018097*x^18 - 2809964653*x^17 - 17746864980*x^16 + 4299683248*x^15 + 15638664192*x^14 - 4269883324*x^13 - 9608094360*x^12 + 2726866562*x^11 + 3902872958*x^10 - 1035822555*x^9 - 988717563*x^8 + 190483651*x^7 + 157804300*x^6 - 7350237*x^5 - 19134534*x^4 - 224604*x^3 + 1001417*x^2 + 47784*x - 9572, x^41 - 4*x^40 - 59*x^39 + 244*x^38 + 1598*x^37 - 6848*x^36 - 26388*x^35 + 117400*x^34 + 297519*x^33 - 1376276*x^32 - 2429554*x^31 + 11699389*x^30 + 14863318*x^29 - 74596706*x^28 - 69419280*x^27 + 363838952*x^26 + 249494503*x^25 - 1371396572*x^24 - 688485131*x^23 + 4006369710*x^22 + 1437905022*x^21 - 9039501254*x^20 - 2196924127*x^19 + 15594496085*x^18 + 2269116818*x^17 - 20209449141*x^16 - 1219475346*x^15 + 19136235645*x^14 - 308249352*x^13 - 12687135846*x^12 + 1079691508*x^11 + 5504931070*x^10 - 795808896*x^9 - 1394045658*x^8 + 259302130*x^7 + 166081604*x^6 - 30321306*x^5 - 6272682*x^4 + 82919*x^3 + 232077*x^2 + 10343*x - 6149, x^41 - 4*x^40 - 59*x^39 + 244*x^38 + 1598*x^37 - 6848*x^36 - 26388*x^35 + 117400*x^34 + 297519*x^33 - 1376276*x^32 - 2429554*x^31 + 11699389*x^30 + 14863318*x^29 - 74596706*x^28 - 69419280*x^27 + 363838952*x^26 + 249494503*x^25 - 1371396572*x^24 - 688485131*x^23 + 4006369710*x^22 + 1437905022*x^21 - 9039501254*x^20 - 2196924127*x^19 + 15594496085*x^18 + 2269116818*x^17 - 20209449141*x^16 - 1219475346*x^15 + 19136235645*x^14 - 308249352*x^13 - 12687135846*x^12 + 1079691508*x^11 + 5504931070*x^10 - 795808896*x^9 - 1394045658*x^8 + 259302130*x^7 + 166081604*x^6 - 30321306*x^5 - 6272682*x^4 + 82919*x^3 + 232077*x^2 + 10343*x - 6149, x^41 - 6*x^40 - 46*x^39 + 335*x^38 + 859*x^37 - 8489*x^36 - 7238*x^35 + 129200*x^34 - 2103*x^33 - 1316690*x^32 + 730186*x^31 + 9476327*x^30 - 8874052*x^29 - 49433614*x^28 + 61426662*x^27 + 188275342*x^26 - 287134109*x^25 - 517199904*x^24 + 951567650*x^23 + 978726691*x^22 - 2253913401*x^21 - 1096161139*x^20 + 3730470383*x^19 + 157861598*x^18 - 3998606156*x^17 + 1756009947*x^16 + 2067111552*x^15 - 3183218285*x^14 + 841023312*x^13 + 2805589382*x^12 - 2266136578*x^11 - 1286856524*x^10 + 1649534988*x^9 + 213737962*x^8 - 567108702*x^7 + 35842572*x^6 + 84015786*x^5 - 12377524*x^4 - 3901933*x^3 + 558264*x^2 + 50747*x - 7157, x^41 - 6*x^40 - 46*x^39 + 335*x^38 + 859*x^37 - 8489*x^36 - 7238*x^35 + 129200*x^34 - 2103*x^33 - 1316690*x^32 + 730186*x^31 + 9476327*x^30 - 8874052*x^29 - 49433614*x^28 + 61426662*x^27 + 188275342*x^26 - 287134109*x^25 - 517199904*x^24 + 951567650*x^23 + 978726691*x^22 - 2253913401*x^21 - 1096161139*x^20 + 3730470383*x^19 + 157861598*x^18 - 3998606156*x^17 + 1756009947*x^16 + 2067111552*x^15 - 3183218285*x^14 + 841023312*x^13 + 2805589382*x^12 - 2266136578*x^11 - 1286856524*x^10 + 1649534988*x^9 + 213737962*x^8 - 567108702*x^7 + 35842572*x^6 + 84015786*x^5 - 12377524*x^4 - 3901933*x^3 + 558264*x^2 + 50747*x - 7157, x^41 - 5*x^40 - 54*x^39 + 301*x^38 + 1283*x^37 - 8274*x^36 - 17377*x^35 + 137735*x^34 + 142349*x^33 - 1552931*x^32 - 631686*x^31 + 12566813*x^30 + 22750*x^29 - 75473108*x^28 + 20721458*x^27 + 343108795*x^26 - 160774943*x^25 - 1193551058*x^24 + 722910761*x^23 + 3189964869*x^22 - 2235696572*x^21 - 6538271926*x^20 + 4991909729*x^19 + 10196911157*x^18 - 8155043913*x^17 - 11924521018*x^16 + 9703755128*x^15 + 10218247185*x^14 - 8255497762*x^13 - 6203461002*x^12 + 4852643764*x^11 + 2546065719*x^10 - 1863792158*x^9 - 665694483*x^8 + 427425419*x^7 + 104848888*x^6 - 50333555*x^5 - 9880930*x^4 + 2367018*x^3 + 488762*x^2 - 23064*x - 5873, x^41 - 5*x^40 - 54*x^39 + 301*x^38 + 1283*x^37 - 8274*x^36 - 17377*x^35 + 137735*x^34 + 142349*x^33 - 1552931*x^32 - 631686*x^31 + 12566813*x^30 + 22750*x^29 - 75473108*x^28 + 20721458*x^27 + 343108795*x^26 - 160774943*x^25 - 1193551058*x^24 + 722910761*x^23 + 3189964869*x^22 - 2235696572*x^21 - 6538271926*x^20 + 4991909729*x^19 + 10196911157*x^18 - 8155043913*x^17 - 11924521018*x^16 + 9703755128*x^15 + 10218247185*x^14 - 8255497762*x^13 - 6203461002*x^12 + 4852643764*x^11 + 2546065719*x^10 - 1863792158*x^9 - 665694483*x^8 + 427425419*x^7 + 104848888*x^6 - 50333555*x^5 - 9880930*x^4 + 2367018*x^3 + 488762*x^2 - 23064*x - 5873, x^41 - 5*x^40 - 54*x^39 + 301*x^38 + 1283*x^37 - 8284*x^36 - 17315*x^35 + 138120*x^34 + 139309*x^33 - 1558463*x^32 - 564863*x^31 + 12589637*x^30 - 847366*x^29 - 75112206*x^28 + 28193286*x^27 + 336460125*x^26 - 205351965*x^25 - 1138538480*x^24 + 912495194*x^23 + 2902241472*x^22 - 2815724059*x^21 - 5502924445*x^20 + 6262160818*x^19 + 7555814126*x^18 - 10103258266*x^17 - 7116134217*x^16 + 11690632187*x^15 + 4022505563*x^14 - 9430184342*x^13 - 678286274*x^12 + 5035533916*x^11 - 733194517*x^10 - 1619371624*x^9 + 551040393*x^8 + 255143968*x^7 - 150881477*x^6 - 7629236*x^5 + 16285777*x^4 - 1215665*x^3 - 625926*x^2 + 37337*x + 8044, x^41 - 5*x^40 - 54*x^39 + 301*x^38 + 1283*x^37 - 8284*x^36 - 17315*x^35 + 138120*x^34 + 139309*x^33 - 1558463*x^32 - 564863*x^31 + 12589637*x^30 - 847366*x^29 - 75112206*x^28 + 28193286*x^27 + 336460125*x^26 - 205351965*x^25 - 1138538480*x^24 + 912495194*x^23 + 2902241472*x^22 - 2815724059*x^21 - 5502924445*x^20 + 6262160818*x^19 + 7555814126*x^18 - 10103258266*x^17 - 7116134217*x^16 + 11690632187*x^15 + 4022505563*x^14 - 9430184342*x^13 - 678286274*x^12 + 5035533916*x^11 - 733194517*x^10 - 1619371624*x^9 + 551040393*x^8 + 255143968*x^7 - 150881477*x^6 - 7629236*x^5 + 16285777*x^4 - 1215665*x^3 - 625926*x^2 + 37337*x + 8044, x^41 - 6*x^40 - 49*x^39 + 357*x^38 + 981*x^37 - 9713*x^36 - 8902*x^35 + 160103*x^34 - 4104*x^33 - 1785545*x^32 + 1108428*x^31 + 14247379*x^30 - 15005452*x^29 - 83847116*x^28 + 117971720*x^27 + 369520637*x^26 - 640077094*x^25 - 1224204901*x^24 + 2534956729*x^23 + 3026246244*x^22 - 7492315250*x^21 - 5454520808*x^20 + 16626728520*x^19 + 6784994947*x^18 - 27572132474*x^17 - 4961296734*x^16 + 33670534914*x^15 + 445291509*x^14 - 29501290748*x^13 + 3258308674*x^12 + 17787526808*x^11 - 3601569923*x^10 - 6904964439*x^9 + 1857466323*x^8 + 1545504722*x^7 - 478067441*x^6 - 165785963*x^5 + 50633699*x^4 + 7757110*x^3 - 1756676*x^2 - 167026*x + 10303, x^41 - 6*x^40 - 49*x^39 + 357*x^38 + 981*x^37 - 9713*x^36 - 8902*x^35 + 160103*x^34 - 4104*x^33 - 1785545*x^32 + 1108428*x^31 + 14247379*x^30 - 15005452*x^29 - 83847116*x^28 + 117971720*x^27 + 369520637*x^26 - 640077094*x^25 - 1224204901*x^24 + 2534956729*x^23 + 3026246244*x^22 - 7492315250*x^21 - 5454520808*x^20 + 16626728520*x^19 + 6784994947*x^18 - 27572132474*x^17 - 4961296734*x^16 + 33670534914*x^15 + 445291509*x^14 - 29501290748*x^13 + 3258308674*x^12 + 17787526808*x^11 - 3601569923*x^10 - 6904964439*x^9 + 1857466323*x^8 + 1545504722*x^7 - 478067441*x^6 - 165785963*x^5 + 50633699*x^4 + 7757110*x^3 - 1756676*x^2 - 167026*x + 10303, x^40 - 5*x^39 - 50*x^38 + 277*x^37 + 1113*x^36 - 7002*x^35 - 14592*x^34 + 107367*x^33 + 126275*x^32 - 1121340*x^31 - 775803*x^30 + 8502749*x^29 + 3652349*x^28 - 48783047*x^27 - 14533635*x^26 + 217935735*x^25 + 52720544*x^24 - 772464151*x^23 - 169335355*x^22 + 2189712377*x^21 + 429656546*x^20 - 4942869544*x^19 - 750624086*x^18 + 8735259043*x^17 + 700584404*x^16 - 11739904964*x^15 + 154629873*x^14 + 11507053305*x^13 - 1358188769*x^12 - 7743363861*x^11 + 1740729483*x^10 + 3249664687*x^9 - 1061623327*x^8 - 709828748*x^7 + 298469767*x^6 + 51574500*x^5 - 26602119*x^4 - 1006458*x^3 + 554430*x^2 + 17800*x + 2071, x^40 - 5*x^39 - 50*x^38 + 277*x^37 + 1113*x^36 - 7002*x^35 - 14592*x^34 + 107367*x^33 + 126275*x^32 - 1121340*x^31 - 775803*x^30 + 8502749*x^29 + 3652349*x^28 - 48783047*x^27 - 14533635*x^26 + 217935735*x^25 + 52720544*x^24 - 772464151*x^23 - 169335355*x^22 + 2189712377*x^21 + 429656546*x^20 - 4942869544*x^19 - 750624086*x^18 + 8735259043*x^17 + 700584404*x^16 - 11739904964*x^15 + 154629873*x^14 + 11507053305*x^13 - 1358188769*x^12 - 7743363861*x^11 + 1740729483*x^10 + 3249664687*x^9 - 1061623327*x^8 - 709828748*x^7 + 298469767*x^6 + 51574500*x^5 - 26602119*x^4 - 1006458*x^3 + 554430*x^2 + 17800*x + 2071, 2*x^40 - 10*x^39 - 105*x^38 + 585*x^37 + 2425*x^36 - 15609*x^35 - 31957*x^34 + 251904*x^33 + 255884*x^32 - 2749556*x^31 - 1135608*x^30 + 21505127*x^29 + 577135*x^28 - 124583784*x^27 + 29063717*x^26 + 545012026*x^25 - 224710255*x^24 - 1818905768*x^23 + 972976093*x^22 + 4646123410*x^21 - 2861147157*x^20 - 9057164900*x^19 + 6016387118*x^18 + 13352092008*x^17 - 9167088720*x^16 - 14646667156*x^15 + 10065365338*x^14 + 11663587443*x^13 - 7810288247*x^12 - 6507075268*x^11 + 4144118025*x^10 + 2417839870*x^9 - 1435501217*x^8 - 552779590*x^7 + 306142842*x^6 + 64628371*x^5 - 36125940*x^4 - 1286135*x^3 + 1313577*x^2 - 20328*x - 16790, 2*x^40 - 10*x^39 - 105*x^38 + 585*x^37 + 2425*x^36 - 15609*x^35 - 31957*x^34 + 251904*x^33 + 255884*x^32 - 2749556*x^31 - 1135608*x^30 + 21505127*x^29 + 577135*x^28 - 124583784*x^27 + 29063717*x^26 + 545012026*x^25 - 224710255*x^24 - 1818905768*x^23 + 972976093*x^22 + 4646123410*x^21 - 2861147157*x^20 - 9057164900*x^19 + 6016387118*x^18 + 13352092008*x^17 - 9167088720*x^16 - 14646667156*x^15 + 10065365338*x^14 + 11663587443*x^13 - 7810288247*x^12 - 6507075268*x^11 + 4144118025*x^10 + 2417839870*x^9 - 1435501217*x^8 - 552779590*x^7 + 306142842*x^6 + 64628371*x^5 - 36125940*x^4 - 1286135*x^3 + 1313577*x^2 - 20328*x - 16790, 3*x^40 - 15*x^39 - 159*x^38 + 886*x^37 + 3704*x^36 - 23878*x^35 - 49078*x^34 + 389256*x^33 + 391019*x^32 - 4290289*x^31 - 1648279*x^30 + 33850870*x^29 - 685321*x^28 - 197471458*x^27 + 59386238*x^26 + 867316764*x^25 - 436533308*x^24 - 2893119625*x^23 + 1891328420*x^22 + 7338652319*x^21 - 5634528426*x^20 - 14076213873*x^19 + 12052261531*x^18 + 20150278525*x^17 - 18688503237*x^16 - 21046881093*x^15 + 20833008055*x^14 + 15466845482*x^13 - 16309176147*x^12 - 7535782186*x^11 + 8603911766*x^10 + 2192018628*x^9 - 2858249167*x^8 - 304971410*x^7 + 533666435*x^6 + 9713507*x^5 - 46112906*x^4 - 617565*x^3 + 1617695*x^2 + 84483*x - 7430, 3*x^40 - 15*x^39 - 159*x^38 + 886*x^37 + 3704*x^36 - 23878*x^35 - 49078*x^34 + 389256*x^33 + 391019*x^32 - 4290289*x^31 - 1648279*x^30 + 33850870*x^29 - 685321*x^28 - 197471458*x^27 + 59386238*x^26 + 867316764*x^25 - 436533308*x^24 - 2893119625*x^23 + 1891328420*x^22 + 7338652319*x^21 - 5634528426*x^20 - 14076213873*x^19 + 12052261531*x^18 + 20150278525*x^17 - 18688503237*x^16 - 21046881093*x^15 + 20833008055*x^14 + 15466845482*x^13 - 16309176147*x^12 - 7535782186*x^11 + 8603911766*x^10 + 2192018628*x^9 - 2858249167*x^8 - 304971410*x^7 + 533666435*x^6 + 9713507*x^5 - 46112906*x^4 - 617565*x^3 + 1617695*x^2 + 84483*x - 7430, 2*x^40 - 12*x^39 - 90*x^38 + 663*x^37 + 1610*x^36 - 16600*x^35 - 11809*x^34 + 249195*x^33 - 44422*x^32 - 2499767*x^31 + 1879109*x^30 + 17665525*x^29 - 20988136*x^28 - 90199698*x^27 + 142453747*x^26 + 334718740*x^25 - 670045217*x^24 - 888630762*x^23 + 2285873502*x^22 + 1593644168*x^21 - 5749559306*x^20 - 1558703376*x^19 + 10664764533*x^18 - 416660089*x^17 - 14396226035*x^16 + 4041672053*x^15 + 13733808421*x^14 - 6681166243*x^13 - 8762336756*x^12 + 6054997142*x^11 + 3344112293*x^10 - 3245436358*x^9 - 555401569*x^8 + 973714560*x^7 - 34388998*x^6 - 142083329*x^5 + 17302076*x^4 + 8639516*x^3 - 854996*x^2 - 216624*x + 985, 2*x^40 - 12*x^39 - 90*x^38 + 663*x^37 + 1610*x^36 - 16600*x^35 - 11809*x^34 + 249195*x^33 - 44422*x^32 - 2499767*x^31 + 1879109*x^30 + 17665525*x^29 - 20988136*x^28 - 90199698*x^27 + 142453747*x^26 + 334718740*x^25 - 670045217*x^24 - 888630762*x^23 + 2285873502*x^22 + 1593644168*x^21 - 5749559306*x^20 - 1558703376*x^19 + 10664764533*x^18 - 416660089*x^17 - 14396226035*x^16 + 4041672053*x^15 + 13733808421*x^14 - 6681166243*x^13 - 8762336756*x^12 + 6054997142*x^11 + 3344112293*x^10 - 3245436358*x^9 - 555401569*x^8 + 973714560*x^7 - 34388998*x^6 - 142083329*x^5 + 17302076*x^4 + 8639516*x^3 - 854996*x^2 - 216624*x + 985, x^40 - 2*x^39 - 66*x^38 + 133*x^37 + 1987*x^36 - 4008*x^35 - 36285*x^34 + 72865*x^33 + 450365*x^32 - 896290*x^31 - 4030935*x^30 + 7920926*x^29 + 26911181*x^28 - 52068270*x^27 - 136612712*x^26 + 259802141*x^25 + 532272934*x^24 - 994515723*x^23 - 1594190184*x^22 + 2930426010*x^21 + 3649874328*x^20 - 6626792949*x^19 - 6302484707*x^18 + 11394899153*x^17 + 8015244450*x^16 - 14656041504*x^15 - 7211194641*x^14 + 13739707722*x^13 + 4266314091*x^12 - 9019936072*x^11 - 1407415932*x^10 + 3891162935*x^9 + 116457523*x^8 - 991777713*x^7 + 59477994*x^6 + 124120377*x^5 - 11559059*x^4 - 6042221*x^3 + 380204*x^2 + 91514*x - 2873, x^40 - 2*x^39 - 66*x^38 + 133*x^37 + 1987*x^36 - 4008*x^35 - 36285*x^34 + 72865*x^33 + 450365*x^32 - 896290*x^31 - 4030935*x^30 + 7920926*x^29 + 26911181*x^28 - 52068270*x^27 - 136612712*x^26 + 259802141*x^25 + 532272934*x^24 - 994515723*x^23 - 1594190184*x^22 + 2930426010*x^21 + 3649874328*x^20 - 6626792949*x^19 - 6302484707*x^18 + 11394899153*x^17 + 8015244450*x^16 - 14656041504*x^15 - 7211194641*x^14 + 13739707722*x^13 + 4266314091*x^12 - 9019936072*x^11 - 1407415932*x^10 + 3891162935*x^9 + 116457523*x^8 - 991777713*x^7 + 59477994*x^6 + 124120377*x^5 - 11559059*x^4 - 6042221*x^3 + 380204*x^2 + 91514*x - 2873, x^40 - 2*x^39 - 66*x^38 + 132*x^37 + 2000*x^36 - 4022*x^35 - 36788*x^34 + 74740*x^33 + 458017*x^32 - 944161*x^31 - 4078151*x^30 + 8568165*x^29 + 26766344*x^28 - 57621256*x^27 - 131568008*x^26 + 292294163*x^25 + 487041811*x^24 - 1128465275*x^23 - 1352678619*x^22 + 3323384480*x^21 + 2776763079*x^20 - 7439174906*x^19 - 4076278302*x^18 + 12534771771*x^17 + 3973045204*x^16 - 15634555521*x^15 - 2032387683*x^14 + 14067104923*x^13 - 294737544*x^12 - 8784553382*x^11 + 1231808550*x^10 + 3594925911*x^9 - 821782876*x^8 - 884325321*x^7 + 248755599*x^6 + 115076988*x^5 - 31952079*x^4 - 7038266*x^3 + 1097324*x^2 + 241223*x + 8971, x^40 - 2*x^39 - 66*x^38 + 132*x^37 + 2000*x^36 - 4022*x^35 - 36788*x^34 + 74740*x^33 + 458017*x^32 - 944161*x^31 - 4078151*x^30 + 8568165*x^29 + 26766344*x^28 - 57621256*x^27 - 131568008*x^26 + 292294163*x^25 + 487041811*x^24 - 1128465275*x^23 - 1352678619*x^22 + 3323384480*x^21 + 2776763079*x^20 - 7439174906*x^19 - 4076278302*x^18 + 12534771771*x^17 + 3973045204*x^16 - 15634555521*x^15 - 2032387683*x^14 + 14067104923*x^13 - 294737544*x^12 - 8784553382*x^11 + 1231808550*x^10 + 3594925911*x^9 - 821782876*x^8 - 884325321*x^7 + 248755599*x^6 + 115076988*x^5 - 31952079*x^4 - 7038266*x^3 + 1097324*x^2 + 241223*x + 8971, 5*x^39 - 29*x^38 - 230*x^37 + 1602*x^36 + 4331*x^35 - 40108*x^34 - 38215*x^33 + 602468*x^32 + 40495*x^31 - 6058181*x^30 + 2891368*x^29 + 43081032*x^28 - 36944635*x^27 - 223077239*x^26 + 257165986*x^25 + 852774043*x^24 - 1200650877*x^23 - 2411328767*x^22 + 3996669345*x^21 + 4991978571*x^20 - 9692434370*x^19 - 7359516634*x^18 + 17174512595*x^17 + 7246958840*x^16 - 22003838045*x^15 - 3943239467*x^14 + 19897930680*x^13 - 8900914*x^12 - 12177277937*x^11 + 1642990089*x^10 + 4700027882*x^9 - 1097489725*x^8 - 1012785018*x^7 + 300141540*x^6 + 99072253*x^5 - 29616659*x^4 - 4710173*x^3 + 981788*x^2 + 117264*x - 3146, 5*x^39 - 29*x^38 - 230*x^37 + 1602*x^36 + 4331*x^35 - 40108*x^34 - 38215*x^33 + 602468*x^32 + 40495*x^31 - 6058181*x^30 + 2891368*x^29 + 43081032*x^28 - 36944635*x^27 - 223077239*x^26 + 257165986*x^25 + 852774043*x^24 - 1200650877*x^23 - 2411328767*x^22 + 3996669345*x^21 + 4991978571*x^20 - 9692434370*x^19 - 7359516634*x^18 + 17174512595*x^17 + 7246958840*x^16 - 22003838045*x^15 - 3943239467*x^14 + 19897930680*x^13 - 8900914*x^12 - 12177277937*x^11 + 1642990089*x^10 + 4700027882*x^9 - 1097489725*x^8 - 1012785018*x^7 + 300141540*x^6 + 99072253*x^5 - 29616659*x^4 - 4710173*x^3 + 981788*x^2 + 117264*x - 3146, x^39 - 4*x^38 - 52*x^37 + 221*x^36 + 1212*x^35 - 5546*x^34 - 16734*x^33 + 83819*x^32 + 152552*x^31 - 853434*x^30 - 971015*x^29 + 6209616*x^28 + 4471081*x^27 - 33454828*x^26 - 15371119*x^25 + 136608808*x^24 + 41106562*x^23 - 429612347*x^22 - 90167472*x^21 + 1051425511*x^20 + 167597439*x^19 - 2010907323*x^18 - 251690593*x^17 + 2991306572*x^16 + 259185470*x^15 - 3401253936*x^14 - 107797913*x^13 + 2857645970*x^12 - 114597779*x^11 - 1679317170*x^10 + 199380645*x^9 + 634406028*x^8 - 119326993*x^7 - 134733127*x^6 + 30507012*x^5 + 12880866*x^4 - 2320489*x^3 - 595597*x^2 + 32777*x + 7693, x^39 - 4*x^38 - 52*x^37 + 221*x^36 + 1212*x^35 - 5546*x^34 - 16734*x^33 + 83819*x^32 + 152552*x^31 - 853434*x^30 - 971015*x^29 + 6209616*x^28 + 4471081*x^27 - 33454828*x^26 - 15371119*x^25 + 136608808*x^24 + 41106562*x^23 - 429612347*x^22 - 90167472*x^21 + 1051425511*x^20 + 167597439*x^19 - 2010907323*x^18 - 251690593*x^17 + 2991306572*x^16 + 259185470*x^15 - 3401253936*x^14 - 107797913*x^13 + 2857645970*x^12 - 114597779*x^11 - 1679317170*x^10 + 199380645*x^9 + 634406028*x^8 - 119326993*x^7 - 134733127*x^6 + 30507012*x^5 + 12880866*x^4 - 2320489*x^3 - 595597*x^2 + 32777*x + 7693, 2*x^39 - 10*x^38 - 97*x^37 + 551*x^36 + 2017*x^35 - 13739*x^34 - 22735*x^33 + 205330*x^32 + 134698*x^31 - 2053538*x^30 - 119988*x^29 + 14533033*x^28 - 4951645*x^27 - 75048948*x^26 + 47241717*x^25 + 287394948*x^24 - 245319971*x^23 - 820964952*x^22 + 854816577*x^21 + 1744065278*x^20 - 2117406007*x^19 - 2719582568*x^18 + 3794557146*x^17 + 3026580358*x^16 - 4909283554*x^15 - 2268642652*x^14 + 4502480976*x^13 + 990609435*x^12 - 2817324717*x^11 - 114419658*x^10 + 1120124931*x^9 - 101232974*x^8 - 247078503*x^7 + 41808184*x^6 + 23085132*x^5 - 3342921*x^4 - 791520*x^3 - 74631*x^2 + 13749*x + 4882, 2*x^39 - 10*x^38 - 97*x^37 + 551*x^36 + 2017*x^35 - 13739*x^34 - 22735*x^33 + 205330*x^32 + 134698*x^31 - 2053538*x^30 - 119988*x^29 + 14533033*x^28 - 4951645*x^27 - 75048948*x^26 + 47241717*x^25 + 287394948*x^24 - 245319971*x^23 - 820964952*x^22 + 854816577*x^21 + 1744065278*x^20 - 2117406007*x^19 - 2719582568*x^18 + 3794557146*x^17 + 3026580358*x^16 - 4909283554*x^15 - 2268642652*x^14 + 4502480976*x^13 + 990609435*x^12 - 2817324717*x^11 - 114419658*x^10 + 1120124931*x^9 - 101232974*x^8 - 247078503*x^7 + 41808184*x^6 + 23085132*x^5 - 3342921*x^4 - 791520*x^3 - 74631*x^2 + 13749*x + 4882]>
       ]
>;

MOG[937] := 	// J_0(937)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 5,
           Coordinates        := [14, 27, 221, 223, 330, 373, 460, 464, 873, 882, 354*x + 671, 583*x + 671, 832*x + 754, 105*x + 754, 893*x + 70, 44*x + 70, 621*x + 462, 316*x + 462, 673*x + 192, 264*x + 192, 876*x + 6, 61*x + 6, 925*x + 848, 12*x + 848, 920*x + 808, 17*x + 808, 860*x + 903, 77*x + 903, 231*x + 610, 706*x + 610, 867*x + 173, 70*x + 173, 198*x + 269, 739*x + 269, 132*x + 530, 805*x + 530, 227*x + 256, 710*x + 256, 471*x + 825, 466*x + 825, 480*x + 557, 457*x + 557, 140*x + 245, 797*x + 245, 198*x + 304, 739*x + 304, 827*x + 63, 110*x + 63, 298*x + 218, 639*x + 218, 529*x + 459, 408*x + 459, 352*x + 291, 585*x + 291, 401*x + 609, 536*x + 609, 438*x + 22, 499*x + 22, 310*x + 826, 627*x + 826, 486*x + 731, 451*x + 731, 343*x + 264, 594*x + 264, 714*x + 210, 223*x + 210, 103*x + 188, 834*x + 188, 354*x + 283, 583*x + 283, 472*x + 528, 465*x + 528, 538*x + 126, 399*x + 126, 143*x + 326, 794*x + 326, 749*x + 807, 188*x + 807]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^34 + 13*x^33 + 37*x^32 - 222*x^31 - 1427*x^30 + 107*x^29 + 17674*x^28 + 26824*x^27 - 108227*x^26 - 307093*x^25 + 313513*x^24 + 1770797*x^23 + 69215*x^22 - 6257823*x^21 - 4050420*x^20 + 14223585*x^19 + 16157382*x^18 - 20442467*x^17 - 35042851*x^16 + 16415531*x^15 + 47760419*x^14 - 2667976*x^13 - 41849318*x^12 - 8339351*x^11 + 22928172*x^10 + 8705238*x^9 - 7245012*x^8 - 3875542*x^7 + 1093207*x^6 + 818726*x^5 - 39285*x^4 - 72290*x^3 - 3038*x^2 + 2063*x + 107,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^33 - 13*x^32 - 39*x^31 + 196*x^30 + 1345*x^29 + 234*x^28 - 15143*x^27 - 25732*x^26 + 82542*x^25 + 257791*x^24 - 191905*x^23 - 1338297*x^22 - 264232*x^21 + 4248861*x^20 + 3260271*x^19 - 8555838*x^18 - 10761954*x^17 + 10569122*x^16 + 20125714*x^15 - 6674310*x^14 - 23584689*x^13 - 353847*x^12 + 17485578*x^11 + 3962854*x^10 - 7922853*x^9 - 2910310*x^8 + 2023671*x^7 + 956020*x^6 - 246189*x^5 - 144212*x^4 + 7802*x^3 + 7646*x^2 + 294*x - 8, x^33 + 13*x^32 + 39*x^31 - 196*x^30 - 1345*x^29 - 234*x^28 + 15143*x^27 + 25732*x^26 - 82542*x^25 - 257791*x^24 + 191905*x^23 + 1338297*x^22 + 264232*x^21 - 4248861*x^20 - 3260271*x^19 + 8555838*x^18 + 10761954*x^17 - 10569122*x^16 - 20125714*x^15 + 6674310*x^14 + 23584689*x^13 + 353847*x^12 - 17485578*x^11 - 3962854*x^10 + 7922853*x^9 + 2910310*x^8 - 2023671*x^7 - 956020*x^6 + 246189*x^5 + 144212*x^4 - 7802*x^3 - 7646*x^2 - 294*x + 8, -x^32 - 13*x^31 - 41*x^30 + 171*x^29 + 1272*x^28 + 568*x^27 - 12907*x^26 - 25204*x^25 + 60368*x^24 + 220823*x^23 - 87411*x^22 - 1020743*x^21 - 464168*x^20 + 2841409*x^19 + 2949761*x^18 - 4788836*x^17 - 7999723*x^16 + 4281361*x^15 + 12760577*x^14 - 386915*x^13 - 12584168*x^12 - 3415467*x^11 + 7476180*x^10 + 3667495*x^9 - 2424917*x^8 - 1714886*x^7 + 324815*x^6 + 372109*x^5 + 2617*x^4 - 32593*x^3 - 2016*x^2 + 1000*x + 45, x^32 + 13*x^31 + 41*x^30 - 171*x^29 - 1272*x^28 - 568*x^27 + 12907*x^26 + 25204*x^25 - 60368*x^24 - 220823*x^23 + 87411*x^22 + 1020743*x^21 + 464168*x^20 - 2841409*x^19 - 2949761*x^18 + 4788836*x^17 + 7999723*x^16 - 4281361*x^15 - 12760577*x^14 + 386915*x^13 + 12584168*x^12 + 3415467*x^11 - 7476180*x^10 - 3667495*x^9 + 2424917*x^8 + 1714886*x^7 - 324815*x^6 - 372109*x^5 - 2617*x^4 + 32593*x^3 + 2016*x^2 - 1000*x - 45, -x^32 - 13*x^31 - 41*x^30 + 170*x^29 + 1259*x^28 + 524*x^27 - 12778*x^26 - 24098*x^25 + 61240*x^24 + 211677*x^23 - 107606*x^22 - 988219*x^21 - 325981*x^20 + 2826338*x^19 + 2445667*x^18 - 5084509*x^17 - 6917414*x^16 + 5459860*x^15 + 11415153*x^14 - 2634908*x^13 - 11779572*x^12 - 961030*x^11 + 7529139*x^10 + 2127433*x^9 - 2796424*x^8 - 1204636*x^7 + 522203*x^6 + 302405*x^5 - 34100*x^4 - 32051*x^3 - 728*x^2 + 1055*x + 62, x^32 + 13*x^31 + 41*x^30 - 170*x^29 - 1259*x^28 - 524*x^27 + 12778*x^26 + 24098*x^25 - 61240*x^24 - 211677*x^23 + 107606*x^22 + 988219*x^21 + 325981*x^20 - 2826338*x^19 - 2445667*x^18 + 5084509*x^17 + 6917414*x^16 - 5459860*x^15 - 11415153*x^14 + 2634908*x^13 + 11779572*x^12 + 961030*x^11 - 7529139*x^10 - 2127433*x^9 + 2796424*x^8 + 1204636*x^7 - 522203*x^6 - 302405*x^5 + 34100*x^4 + 32051*x^3 + 728*x^2 - 1055*x - 62, -x^31 - 12*x^30 - 30*x^29 + 189*x^28 + 1052*x^27 - 306*x^26 - 11568*x^25 - 13729*x^24 + 63438*x^23 + 142741*x^22 - 177572*x^21 - 708459*x^20 + 128050*x^19 + 2111381*x^18 + 791501*x^17 - 3996434*x^16 - 3041378*x^15 + 4776322*x^14 + 5362202*x^13 - 3352547*x^12 - 5507157*x^11 + 1032269*x^10 + 3367614*x^9 + 188687*x^8 - 1160573*x^7 - 229843*x^6 + 196739*x^5 + 53105*x^4 - 12401*x^3 - 3194*x^2 + 245*x + 10, x^31 + 12*x^30 + 30*x^29 - 189*x^28 - 1052*x^27 + 306*x^26 + 11568*x^25 + 13729*x^24 - 63438*x^23 - 142741*x^22 + 177572*x^21 + 708459*x^20 - 128050*x^19 - 2111381*x^18 - 791501*x^17 + 3996434*x^16 + 3041378*x^15 - 4776322*x^14 - 5362202*x^13 + 3352547*x^12 + 5507157*x^11 - 1032269*x^10 - 3367614*x^9 - 188687*x^8 + 1160573*x^7 + 229843*x^6 - 196739*x^5 - 53105*x^4 + 12401*x^3 + 3194*x^2 - 245*x - 10, -x^31 - 13*x^30 - 43*x^29 + 145*x^28 + 1184*x^27 + 834*x^26 - 10606*x^25 - 23239*x^24 + 41056*x^23 + 174813*x^22 - 22364*x^21 - 698993*x^20 - 438560*x^19 + 1655621*x^18 + 1970730*x^17 - 2291327*x^16 - 4323759*x^15 + 1511073*x^14 + 5638319*x^13 + 290927*x^12 - 4502241*x^11 - 1327628*x^10 + 2130322*x^9 + 1006737*x^8 - 538283*x^7 - 354068*x^6 + 52067*x^5 + 58514*x^4 + 2583*x^3 - 3452*x^2 - 494*x - 2, x^31 + 13*x^30 + 43*x^29 - 145*x^28 - 1184*x^27 - 834*x^26 + 10606*x^25 + 23239*x^24 - 41056*x^23 - 174813*x^22 + 22364*x^21 + 698993*x^20 + 438560*x^19 - 1655621*x^18 - 1970730*x^17 + 2291327*x^16 + 4323759*x^15 - 1511073*x^14 - 5638319*x^13 - 290927*x^12 + 4502241*x^11 + 1327628*x^10 - 2130322*x^9 - 1006737*x^8 + 538283*x^7 + 354068*x^6 - 52067*x^5 - 58514*x^4 - 2583*x^3 + 3452*x^2 + 494*x + 2, -x^31 - 13*x^30 - 43*x^29 + 144*x^28 + 1171*x^27 + 788*x^26 - 10503*x^25 - 22227*x^24 + 42105*x^23 + 167564*x^22 - 40377*x^21 - 678822*x^20 - 332460*x^19 + 1669881*x^18 + 1637117*x^17 - 2549513*x^16 - 3722461*x^15 + 2294964*x^14 + 5052675*x^13 - 932853*x^12 - 4301595*x^11 - 236406*x^10 + 2267631*x^9 + 456327*x^8 - 691682*x^7 - 205498*x^6 + 103235*x^5 + 37713*x^4 - 4840*x^3 - 2130*x^2 - 65*x - 14, x^31 + 13*x^30 + 43*x^29 - 144*x^28 - 1171*x^27 - 788*x^26 + 10503*x^25 + 22227*x^24 - 42105*x^23 - 167564*x^22 + 40377*x^21 + 678822*x^20 + 332460*x^19 - 1669881*x^18 - 1637117*x^17 + 2549513*x^16 + 3722461*x^15 - 2294964*x^14 - 5052675*x^13 + 932853*x^12 + 4301595*x^11 + 236406*x^10 - 2267631*x^9 - 456327*x^8 + 691682*x^7 + 205498*x^6 - 103235*x^5 - 37713*x^4 + 4840*x^3 + 2130*x^2 + 65*x + 14, -x^31 - 13*x^30 - 43*x^29 + 146*x^28 + 1194*x^27 + 846*x^26 - 10799*x^25 - 23887*x^24 + 42194*x^23 + 182514*x^22 - 21372*x^21 - 743701*x^20 - 482144*x^19 + 1801448*x^18 + 2207423*x^17 - 2559749*x^16 - 4988100*x^15 + 1744438*x^14 + 6752442*x^13 + 325670*x^12 - 5654844*x^11 - 1599015*x^10 + 2858798*x^9 + 1249347*x^8 - 809786*x^7 - 448117*x^6 + 108854*x^5 + 74448*x^4 - 3690*x^3 - 4461*x^2 - 167*x + 22, x^31 + 13*x^30 + 43*x^29 - 146*x^28 - 1194*x^27 - 846*x^26 + 10799*x^25 + 23887*x^24 - 42194*x^23 - 182514*x^22 + 21372*x^21 + 743701*x^20 + 482144*x^19 - 1801448*x^18 - 2207423*x^17 + 2559749*x^16 + 4988100*x^15 - 1744438*x^14 - 6752442*x^13 - 325670*x^12 + 5654844*x^11 + 1599015*x^10 - 2858798*x^9 - 1249347*x^8 + 809786*x^7 + 448117*x^6 - 108854*x^5 - 74448*x^4 + 3690*x^3 + 4461*x^2 + 167*x - 22, -x^30 - 12*x^29 - 31*x^28 + 178*x^27 + 1033*x^26 - 93*x^25 - 10659*x^24 - 14644*x^23 + 52580*x^22 + 134712*x^21 - 116241*x^20 - 601978*x^19 - 46879*x^18 + 1583903*x^17 + 961911*x^16 - 2546417*x^15 - 2622053*x^14 + 2396570*x^13 + 3724464*x^12 - 1059421*x^11 - 3076297*x^10 - 111194*x^9 + 1453031*x^8 + 324470*x^7 - 357919*x^6 - 122265*x^5 + 38087*x^4 + 16998*x^3 - 933*x^2 - 745*x - 35, x^30 + 12*x^29 + 31*x^28 - 178*x^27 - 1033*x^26 + 93*x^25 + 10659*x^24 + 14644*x^23 - 52580*x^22 - 134712*x^21 + 116241*x^20 + 601978*x^19 + 46879*x^18 - 1583903*x^17 - 961911*x^16 + 2546417*x^15 + 2622053*x^14 - 2396570*x^13 - 3724464*x^12 + 1059421*x^11 + 3076297*x^10 + 111194*x^9 - 1453031*x^8 - 324470*x^7 + 357919*x^6 + 122265*x^5 - 38087*x^4 - 16998*x^3 + 933*x^2 + 745*x + 35, -x^30 - 13*x^29 - 44*x^28 + 134*x^27 + 1162*x^26 + 1012*x^25 - 9798*x^24 - 23817*x^23 + 32508*x^22 + 167913*x^21 + 22026*x^20 - 622097*x^19 - 557823*x^18 + 1305071*x^17 + 2085176*x^16 - 1390262*x^15 - 4085541*x^14 + 133841*x^13 + 4726072*x^12 + 1488572*x^11 - 3225608*x^10 - 1795409*x^9 + 1207785*x^8 + 952194*x^7 - 201227*x^6 - 243519*x^5 + 3595*x^4 + 27120*x^3 + 1486*x^2 - 1063*x - 61, x^30 + 13*x^29 + 44*x^28 - 134*x^27 - 1162*x^26 - 1012*x^25 + 9798*x^24 + 23817*x^23 - 32508*x^22 - 167913*x^21 - 22026*x^20 + 622097*x^19 + 557823*x^18 - 1305071*x^17 - 2085176*x^16 + 1390262*x^15 + 4085541*x^14 - 133841*x^13 - 4726072*x^12 - 1488572*x^11 + 3225608*x^10 + 1795409*x^9 - 1207785*x^8 - 952194*x^7 + 201227*x^6 + 243519*x^5 - 3595*x^4 - 27120*x^3 - 1486*x^2 + 1063*x + 61, -x^30 - 13*x^29 - 44*x^28 + 132*x^27 + 1139*x^26 + 953*x^25 - 9514*x^24 - 22193*x^23 + 32539*x^22 + 153837*x^21 + 3582*x^20 - 563691*x^19 - 421208*x^18 + 1192438*x^17 + 1590788*x^16 - 1380026*x^15 - 3036717*x^14 + 544001*x^13 + 3355855*x^12 + 599267*x^11 - 2120250*x^10 - 865349*x^9 + 678849*x^8 + 408624*x^7 - 71521*x^6 - 70076*x^5 - 3629*x^4 + 2021*x^3 + 36*x^2 + 61*x + 16, x^30 + 13*x^29 + 44*x^28 - 132*x^27 - 1139*x^26 - 953*x^25 + 9514*x^24 + 22193*x^23 - 32539*x^22 - 153837*x^21 - 3582*x^20 + 563691*x^19 + 421208*x^18 - 1192438*x^17 - 1590788*x^16 + 1380026*x^15 + 3036717*x^14 - 544001*x^13 - 3355855*x^12 - 599267*x^11 + 2120250*x^10 + 865349*x^9 - 678849*x^8 - 408624*x^7 + 71521*x^6 + 70076*x^5 + 3629*x^4 - 2021*x^3 - 36*x^2 - 61*x - 16, -x^30 - 13*x^29 - 44*x^28 + 132*x^27 + 1136*x^26 + 918*x^25 - 9619*x^24 - 21899*x^23 + 34745*x^22 + 155410*x^21 - 10995*x^20 - 593266*x^19 - 382709*x^18 + 1349899*x^17 + 1595710*x^16 - 1809092*x^15 - 3324851*x^14 + 1187990*x^13 + 4129159*x^12 + 121063*x^11 - 3121400*x^10 - 815594*x^9 + 1375318*x^8 + 578341*x^7 - 316408*x^6 - 176039*x^5 + 30520*x^4 + 23395*x^3 - 445*x^2 - 1128*x - 61, x^30 + 13*x^29 + 44*x^28 - 132*x^27 - 1136*x^26 - 918*x^25 + 9619*x^24 + 21899*x^23 - 34745*x^22 - 155410*x^21 + 10995*x^20 + 593266*x^19 + 382709*x^18 - 1349899*x^17 - 1595710*x^16 + 1809092*x^15 + 3324851*x^14 - 1187990*x^13 - 4129159*x^12 - 121063*x^11 + 3121400*x^10 + 815594*x^9 - 1375318*x^8 - 578341*x^7 + 316408*x^6 + 176039*x^5 - 30520*x^4 - 23395*x^3 + 445*x^2 + 1128*x + 61, -x^30 - 13*x^29 - 44*x^28 + 132*x^27 + 1139*x^26 + 953*x^25 - 9516*x^24 - 22214*x^23 + 32484*x^22 + 153987*x^21 + 4516*x^20 - 563191*x^19 - 425841*x^18 + 1185097*x^17 + 1599243*x^16 - 1355804*x^15 - 3037627*x^14 + 514065*x^13 + 3348818*x^12 + 603561*x^11 - 2140108*x^10 - 855512*x^9 + 729424*x^8 + 420797*x^7 - 102560*x^6 - 88653*x^5 - 1260*x^4 + 6526*x^3 + 1108*x^2 + 59*x - 1, x^30 + 13*x^29 + 44*x^28 - 132*x^27 - 1139*x^26 - 953*x^25 + 9516*x^24 + 22214*x^23 - 32484*x^22 - 153987*x^21 - 4516*x^20 + 563191*x^19 + 425841*x^18 - 1185097*x^17 - 1599243*x^16 + 1355804*x^15 + 3037627*x^14 - 514065*x^13 - 3348818*x^12 - 603561*x^11 + 2140108*x^10 + 855512*x^9 - 729424*x^8 - 420797*x^7 + 102560*x^6 + 88653*x^5 + 1260*x^4 - 6526*x^3 - 1108*x^2 - 59*x + 1, -x^30 - 11*x^29 - 21*x^28 + 188*x^27 + 818*x^26 - 790*x^25 - 9219*x^24 - 5449*x^23 + 53092*x^22 + 76330*x^21 - 174032*x^20 - 395637*x^19 + 309130*x^18 + 1183188*x^17 - 158953*x^16 - 2241843*x^15 - 504414*x^14 + 2753266*x^13 + 1245910*x^12 - 2166150*x^11 - 1322544*x^10 + 1046073*x^9 + 766652*x^8 - 283957*x^7 - 241872*x^6 + 35627*x^5 + 37600*x^4 - 752*x^3 - 2186*x^2 - 89*x + 11, x^30 + 11*x^29 + 21*x^28 - 188*x^27 - 818*x^26 + 790*x^25 + 9219*x^24 + 5449*x^23 - 53092*x^22 - 76330*x^21 + 174032*x^20 + 395637*x^19 - 309130*x^18 - 1183188*x^17 + 158953*x^16 + 2241843*x^15 + 504414*x^14 - 2753266*x^13 - 1245910*x^12 + 2166150*x^11 + 1322544*x^10 - 1046073*x^9 - 766652*x^8 + 283957*x^7 + 241872*x^6 - 35627*x^5 - 37600*x^4 + 752*x^3 + 2186*x^2 + 89*x - 11, -x^30 - 13*x^29 - 44*x^28 + 134*x^27 + 1161*x^26 + 1001*x^25 - 9827*x^24 - 23714*x^23 + 33142*x^22 + 168188*x^21 + 17869*x^20 - 629253*x^19 - 547374*x^18 + 1341572*x^17 + 2088267*x^16 - 1473579*x^15 - 4158297*x^14 + 207312*x^13 + 4878818*x^12 + 1528165*x^11 - 3347797*x^10 - 1924159*x^9 + 1219986*x^8 + 1040476*x^7 - 171477*x^6 - 263584*x^5 - 7190*x^4 + 28342*x^3 + 2747*x^2 - 944*x - 73, x^30 + 13*x^29 + 44*x^28 - 134*x^27 - 1161*x^26 - 1001*x^25 + 9827*x^24 + 23714*x^23 - 33142*x^22 - 168188*x^21 - 17869*x^20 + 629253*x^19 + 547374*x^18 - 1341572*x^17 - 2088267*x^16 + 1473579*x^15 + 4158297*x^14 - 207312*x^13 - 4878818*x^12 - 1528165*x^11 + 3347797*x^10 + 1924159*x^9 - 1219986*x^8 - 1040476*x^7 + 171477*x^6 + 263584*x^5 + 7190*x^4 - 28342*x^3 - 2747*x^2 + 944*x + 73, x^28 + 13*x^27 + 46*x^26 - 102*x^25 - 1000*x^24 - 1009*x^23 + 7172*x^22 + 17245*x^21 - 21163*x^20 - 102035*x^19 - 1737*x^18 + 330967*x^17 + 205472*x^16 - 648858*x^15 - 689088*x^14 + 771959*x^13 + 1197878*x^12 - 500475*x^11 - 1256102*x^10 + 73984*x^9 + 803258*x^8 + 129315*x^7 - 292763*x^6 - 90938*x^5 + 50404*x^4 + 21433*x^3 - 2338*x^2 - 1502*x - 77, -x^28 - 13*x^27 - 46*x^26 + 102*x^25 + 1000*x^24 + 1009*x^23 - 7172*x^22 - 17245*x^21 + 21163*x^20 + 102035*x^19 + 1737*x^18 - 330967*x^17 - 205472*x^16 + 648858*x^15 + 689088*x^14 - 771959*x^13 - 1197878*x^12 + 500475*x^11 + 1256102*x^10 - 73984*x^9 - 803258*x^8 - 129315*x^7 + 292763*x^6 + 90938*x^5 - 50404*x^4 - 21433*x^3 + 2338*x^2 + 1502*x + 77, -x^29 - 12*x^28 - 32*x^27 + 167*x^26 + 1011*x^25 + 85*x^24 - 9849*x^23 - 15201*x^22 + 44086*x^21 + 127644*x^20 - 72894*x^19 - 525741*x^18 - 160557*x^17 + 1244545*x^16 + 1068183*x^15 - 1690664*x^14 - 2409697*x^13 + 1095248*x^12 + 2931335*x^11 + 112639*x^10 - 1988567*x^9 - 667475*x^8 + 673339*x^7 + 400341*x^6 - 67714*x^5 - 86511*x^4 - 9965*x^3 + 4787*x^2 + 1222*x + 67, x^29 + 12*x^28 + 32*x^27 - 167*x^26 - 1011*x^25 - 85*x^24 + 9849*x^23 + 15201*x^22 - 44086*x^21 - 127644*x^20 + 72894*x^19 + 525741*x^18 + 160557*x^17 - 1244545*x^16 - 1068183*x^15 + 1690664*x^14 + 2409697*x^13 - 1095248*x^12 - 2931335*x^11 - 112639*x^10 + 1988567*x^9 + 667475*x^8 - 673339*x^7 - 400341*x^6 + 67714*x^5 + 86511*x^4 + 9965*x^3 - 4787*x^2 - 1222*x - 67, -x^29 - 11*x^28 - 22*x^27 + 178*x^26 + 808*x^25 - 578*x^24 - 8548*x^23 - 6900*x^22 + 44390*x^21 + 76896*x^20 - 119263*x^19 - 350550*x^18 + 114446*x^17 + 901065*x^16 + 238218*x^15 - 1377232*x^14 - 912247*x^13 + 1197645*x^12 + 1276633*x^11 - 467781*x^10 - 922537*x^9 - 54543*x^8 + 337056*x^7 + 110549*x^6 - 48472*x^5 - 31394*x^4 - 1097*x^3 + 2389*x^2 + 433*x + 2, x^29 + 11*x^28 + 22*x^27 - 178*x^26 - 808*x^25 + 578*x^24 + 8548*x^23 + 6900*x^22 - 44390*x^21 - 76896*x^20 + 119263*x^19 + 350550*x^18 - 114446*x^17 - 901065*x^16 - 238218*x^15 + 1377232*x^14 + 912247*x^13 - 1197645*x^12 - 1276633*x^11 + 467781*x^10 + 922537*x^9 + 54543*x^8 - 337056*x^7 - 110549*x^6 + 48472*x^5 + 31394*x^4 + 1097*x^3 - 2389*x^2 - 433*x - 2, -x^29 - 13*x^28 - 45*x^27 + 119*x^26 + 1092*x^25 + 1046*x^24 - 8517*x^23 - 20976*x^22 + 25946*x^21 + 135302*x^20 + 17352*x^19 - 463183*x^18 - 379942*x^17 + 911301*x^16 + 1287042*x^15 - 967072*x^14 - 2282464*x^13 + 308340*x^12 + 2381991*x^11 + 462279*x^10 - 1451473*x^9 - 598113*x^8 + 466762*x^7 + 283992*x^6 - 55696*x^5 - 56493*x^4 - 2547*x^3 + 3513*x^2 + 510*x + 2, x^29 + 13*x^28 + 45*x^27 - 119*x^26 - 1092*x^25 - 1046*x^24 + 8517*x^23 + 20976*x^22 - 25946*x^21 - 135302*x^20 - 17352*x^19 + 463183*x^18 + 379942*x^17 - 911301*x^16 - 1287042*x^15 + 967072*x^14 + 2282464*x^13 - 308340*x^12 - 2381991*x^11 - 462279*x^10 + 1451473*x^9 + 598113*x^8 - 466762*x^7 - 283992*x^6 + 55696*x^5 + 56493*x^4 + 2547*x^3 - 3513*x^2 - 510*x - 2, -x^29 - 11*x^28 - 22*x^27 + 176*x^26 + 782*x^25 - 672*x^24 - 8369*x^23 - 4982*x^22 + 46627*x^21 + 64393*x^20 - 152284*x^19 - 321719*x^18 + 289560*x^17 + 945893*x^16 - 251248*x^15 - 1796062*x^14 - 151557*x^13 + 2251794*x^12 + 679720*x^11 - 1835290*x^10 - 818329*x^9 + 925272*x^8 + 504589*x^7 - 263304*x^6 - 163653*x^5 + 36086*x^4 + 25828*x^3 - 1336*x^2 - 1498*x - 63, x^29 + 11*x^28 + 22*x^27 - 176*x^26 - 782*x^25 + 672*x^24 + 8369*x^23 + 4982*x^22 - 46627*x^21 - 64393*x^20 + 152284*x^19 + 321719*x^18 - 289560*x^17 - 945893*x^16 + 251248*x^15 + 1796062*x^14 + 151557*x^13 - 2251794*x^12 - 679720*x^11 + 1835290*x^10 + 818329*x^9 - 925272*x^8 - 504589*x^7 + 263304*x^6 + 163653*x^5 - 36086*x^4 - 25828*x^3 + 1336*x^2 + 1498*x + 63, -x^29 - 12*x^28 - 32*x^27 + 165*x^26 + 987*x^25 + 13*x^24 - 9621*x^23 - 13577*x^22 + 44893*x^21 + 115631*x^20 - 93381*x^19 - 484784*x^18 - 37874*x^17 + 1193709*x^16 + 684834*x^15 - 1780899*x^14 - 1703857*x^13 + 1536414*x^12 + 2161487*x^11 - 619106*x^10 - 1538207*x^9 - 35530*x^8 + 589122*x^7 + 116845*x^6 - 104495*x^5 - 31187*x^4 + 5948*x^3 + 2189*x^2 + 64*x + 14, x^29 + 12*x^28 + 32*x^27 - 165*x^26 - 987*x^25 - 13*x^24 + 9621*x^23 + 13577*x^22 - 44893*x^21 - 115631*x^20 + 93381*x^19 + 484784*x^18 + 37874*x^17 - 1193709*x^16 - 684834*x^15 + 1780899*x^14 + 1703857*x^13 - 1536414*x^12 - 2161487*x^11 + 619106*x^10 + 1538207*x^9 + 35530*x^8 - 589122*x^7 - 116845*x^6 + 104495*x^5 + 31187*x^4 - 5948*x^3 - 2189*x^2 - 64*x - 14, -x^29 - 12*x^28 - 33*x^27 + 155*x^26 + 972*x^25 + 173*x^24 - 9052*x^23 - 14326*x^22 + 39241*x^21 + 114448*x^20 - 65230*x^19 - 459876*x^18 - 119156*x^17 + 1086170*x^16 + 829803*x^15 - 1537126*x^14 - 1873624*x^13 + 1202495*x^12 + 2307047*x^11 - 325144*x^10 - 1638812*x^9 - 208871*x^8 + 638309*x^7 + 184533*x^6 - 116044*x^5 - 46106*x^4 + 6437*x^3 + 3517*x^2 + 94*x - 22, x^29 + 12*x^28 + 33*x^27 - 155*x^26 - 972*x^25 - 173*x^24 + 9052*x^23 + 14326*x^22 - 39241*x^21 - 114448*x^20 + 65230*x^19 + 459876*x^18 + 119156*x^17 - 1086170*x^16 - 829803*x^15 + 1537126*x^14 + 1873624*x^13 - 1202495*x^12 - 2307047*x^11 + 325144*x^10 + 1638812*x^9 + 208871*x^8 - 638309*x^7 - 184533*x^6 + 116044*x^5 + 46106*x^4 - 6437*x^3 - 3517*x^2 - 94*x + 22, x^26 + 11*x^25 + 31*x^24 - 83*x^23 - 590*x^22 - 465*x^21 + 3211*x^20 + 6975*x^19 - 4863*x^18 - 28532*x^17 - 15059*x^16 + 48237*x^15 + 69161*x^14 - 10702*x^13 - 95780*x^12 - 75618*x^11 + 28881*x^10 + 98858*x^9 + 51602*x^8 - 38892*x^7 - 49427*x^6 - 3370*x^5 + 13866*x^4 + 4059*x^3 - 1014*x^2 - 460*x - 26, -x^26 - 11*x^25 - 31*x^24 + 83*x^23 + 590*x^22 + 465*x^21 - 3211*x^20 - 6975*x^19 + 4863*x^18 + 28532*x^17 + 15059*x^16 - 48237*x^15 - 69161*x^14 + 10702*x^13 + 95780*x^12 + 75618*x^11 - 28881*x^10 - 98858*x^9 - 51602*x^8 + 38892*x^7 + 49427*x^6 + 3370*x^5 - 13866*x^4 - 4059*x^3 + 1014*x^2 + 460*x + 26, -x^28 - 11*x^27 - 22*x^26 + 178*x^25 + 810*x^24 - 557*x^23 - 8494*x^22 - 7068*x^21 + 43347*x^20 + 76237*x^19 - 113678*x^18 - 339358*x^17 + 106272*x^16 + 855753*x^15 + 212356*x^14 - 1301322*x^13 - 793129*x^12 + 1172060*x^11 + 1087730*x^10 - 556281*x^9 - 779692*x^8 + 75871*x^7 + 290205*x^6 + 35754*x^5 - 48052*x^4 - 12211*x^3 + 2155*x^2 + 812*x + 35, x^28 + 11*x^27 + 22*x^26 - 178*x^25 - 810*x^24 + 557*x^23 + 8494*x^22 + 7068*x^21 - 43347*x^20 - 76237*x^19 + 113678*x^18 + 339358*x^17 - 106272*x^16 - 855753*x^15 - 212356*x^14 + 1301322*x^13 + 793129*x^12 - 1172060*x^11 - 1087730*x^10 + 556281*x^9 + 779692*x^8 - 75871*x^7 - 290205*x^6 - 35754*x^5 + 48052*x^4 + 12211*x^3 - 2155*x^2 - 812*x - 35, -x^27 - 13*x^26 - 47*x^25 + 92*x^24 + 984*x^23 + 1168*x^22 - 6537*x^21 - 17734*x^20 + 14974*x^19 + 96817*x^18 + 29262*x^17 - 279300*x^16 - 259739*x^15 + 447129*x^14 + 681508*x^13 - 349083*x^12 - 938820*x^11 + 17205*x^10 + 718225*x^9 + 175832*x^8 - 285170*x^7 - 114910*x^6 + 47029*x^5 + 23979*x^4 - 1611*x^3 - 1145*x^2 - 19*x - 15, x^27 + 13*x^26 + 47*x^25 - 92*x^24 - 984*x^23 - 1168*x^22 + 6537*x^21 + 17734*x^20 - 14974*x^19 - 96817*x^18 - 29262*x^17 + 279300*x^16 + 259739*x^15 - 447129*x^14 - 681508*x^13 + 349083*x^12 + 938820*x^11 - 17205*x^10 - 718225*x^9 - 175832*x^8 + 285170*x^7 + 114910*x^6 - 47029*x^5 - 23979*x^4 + 1611*x^3 + 1145*x^2 + 19*x + 15, -x^28 - 12*x^27 - 34*x^26 + 140*x^25 + 905*x^24 + 233*x^23 - 7761*x^22 - 11998*x^21 + 31504*x^20 + 85534*x^19 - 55551*x^18 - 310399*x^17 - 24446*x^16 + 672693*x^15 + 307124*x^14 - 917169*x^13 - 624781*x^12 + 801832*x^11 + 651572*x^10 - 450989*x^9 - 387919*x^8 + 160538*x^7 + 130735*x^6 - 33446*x^5 - 22897*x^4 + 3103*x^3 + 1619*x^2 - 40*x - 1, x^28 + 12*x^27 + 34*x^26 - 140*x^25 - 905*x^24 - 233*x^23 + 7761*x^22 + 11998*x^21 - 31504*x^20 - 85534*x^19 + 55551*x^18 + 310399*x^17 + 24446*x^16 - 672693*x^15 - 307124*x^14 + 917169*x^13 + 624781*x^12 - 801832*x^11 - 651572*x^10 + 450989*x^9 + 387919*x^8 - 160538*x^7 - 130735*x^6 + 33446*x^5 + 22897*x^4 - 3103*x^3 - 1619*x^2 + 40*x + 1, -x^28 - 12*x^27 - 34*x^26 + 144*x^25 + 948*x^24 + 336*x^23 - 8227*x^22 - 14499*x^21 + 31349*x^20 + 104147*x^19 - 31658*x^18 - 374558*x^17 - 172294*x^16 + 766256*x^15 + 747547*x^14 - 878441*x^13 - 1369276*x^12 + 453738*x^11 + 1383841*x^10 + 76476*x^9 - 790548*x^8 - 217634*x^7 + 239966*x^6 + 101434*x^5 - 32479*x^4 - 18388*x^3 + 864*x^2 + 1016*x + 51, x^28 + 12*x^27 + 34*x^26 - 144*x^25 - 948*x^24 - 336*x^23 + 8227*x^22 + 14499*x^21 - 31349*x^20 - 104147*x^19 + 31658*x^18 + 374558*x^17 + 172294*x^16 - 766256*x^15 - 747547*x^14 + 878441*x^13 + 1369276*x^12 - 453738*x^11 - 1383841*x^10 - 76476*x^9 + 790548*x^8 + 217634*x^7 - 239966*x^6 - 101434*x^5 + 32479*x^4 + 18388*x^3 - 864*x^2 - 1016*x - 51, -x^27 - 11*x^26 - 23*x^25 + 168*x^24 + 798*x^23 - 361*x^22 - 7807*x^21 - 8060*x^20 + 35453*x^19 + 72705*x^18 - 72529*x^17 - 282520*x^16 - 74*x^15 + 601698*x^14 + 315246*x^13 - 716317*x^12 - 671545*x^11 + 418810*x^10 + 652594*x^9 - 36346*x^8 - 307263*x^7 - 74382*x^6 + 55416*x^5 + 26248*x^4 - 91*x^3 - 1820*x^2 - 375*x - 32, x^27 + 11*x^26 + 23*x^25 - 168*x^24 - 798*x^23 + 361*x^22 + 7807*x^21 + 8060*x^20 - 35453*x^19 - 72705*x^18 + 72529*x^17 + 282520*x^16 + 74*x^15 - 601698*x^14 - 315246*x^13 + 716317*x^12 + 671545*x^11 - 418810*x^10 - 652594*x^9 + 36346*x^8 + 307263*x^7 + 74382*x^6 - 55416*x^5 - 26248*x^4 + 91*x^3 + 1820*x^2 + 375*x + 32, -x^26 - 13*x^25 - 48*x^24 + 76*x^23 + 904*x^22 + 1161*x^21 - 5361*x^20 - 14898*x^19 + 10467*x^18 + 71951*x^17 + 22076*x^16 - 185173*x^15 - 156134*x^14 + 270830*x^13 + 349171*x^12 - 215940*x^11 - 411746*x^10 + 72315*x^9 + 272795*x^8 + 12210*x^7 - 97710*x^6 - 16790*x^5 + 16314*x^4 + 4595*x^3 - 683*x^2 - 380*x - 47, x^26 + 13*x^25 + 48*x^24 - 76*x^23 - 904*x^22 - 1161*x^21 + 5361*x^20 + 14898*x^19 - 10467*x^18 - 71951*x^17 - 22076*x^16 + 185173*x^15 + 156134*x^14 - 270830*x^13 - 349171*x^12 + 215940*x^11 + 411746*x^10 - 72315*x^9 - 272795*x^8 - 12210*x^7 + 97710*x^6 + 16790*x^5 - 16314*x^4 - 4595*x^3 + 683*x^2 + 380*x + 47, -x^26 - 13*x^25 - 49*x^24 + 64*x^23 + 862*x^22 + 1213*x^21 - 4697*x^20 - 13916*x^19 + 7661*x^18 + 62768*x^17 + 22669*x^16 - 155079*x^15 - 132319*x^14 + 229524*x^13 + 289254*x^12 - 203299*x^11 - 363160*x^10 + 89098*x^9 + 277413*x^8 + 7450*x^7 - 120118*x^6 - 24820*x^5 + 23695*x^4 + 7350*x^3 - 1343*x^2 - 461*x + 12, x^26 + 13*x^25 + 49*x^24 - 64*x^23 - 862*x^22 - 1213*x^21 + 4697*x^20 + 13916*x^19 - 7661*x^18 - 62768*x^17 - 22669*x^16 + 155079*x^15 + 132319*x^14 - 229524*x^13 - 289254*x^12 + 203299*x^11 + 363160*x^10 - 89098*x^9 - 277413*x^8 - 7450*x^7 + 120118*x^6 + 24820*x^5 - 23695*x^4 - 7350*x^3 + 1343*x^2 + 461*x - 12, -x^27 - 13*x^26 - 47*x^25 + 92*x^24 + 989*x^23 + 1217*x^22 - 6440*x^21 - 18264*x^20 + 12631*x^19 + 97233*x^18 + 45097*x^17 - 263054*x^16 - 307225*x^15 + 357027*x^14 + 740514*x^13 - 131289*x^12 - 928587*x^11 - 261696*x^10 + 612565*x^9 + 370732*x^8 - 175489*x^7 - 186703*x^6 - 647*x^5 + 36699*x^4 + 7269*x^3 - 1934*x^2 - 551*x - 3, x^27 + 13*x^26 + 47*x^25 - 92*x^24 - 989*x^23 - 1217*x^22 + 6440*x^21 + 18264*x^20 - 12631*x^19 - 97233*x^18 - 45097*x^17 + 263054*x^16 + 307225*x^15 - 357027*x^14 - 740514*x^13 + 131289*x^12 + 928587*x^11 + 261696*x^10 - 612565*x^9 - 370732*x^8 + 175489*x^7 + 186703*x^6 + 647*x^5 - 36699*x^4 - 7269*x^3 + 1934*x^2 + 551*x + 3, x^25 + 12*x^24 + 37*x^23 - 101*x^22 - 761*x^21 - 452*x^20 + 5149*x^19 + 8767*x^18 - 16428*x^17 - 46340*x^16 + 23671*x^15 + 131408*x^14 + 911*x^13 - 230435*x^12 - 58819*x^11 + 262118*x^10 + 101042*x^9 - 190140*x^8 - 87273*x^7 + 79823*x^6 + 40295*x^5 - 15475*x^4 - 8220*x^3 + 870*x^2 + 473*x - 12, -x^25 - 12*x^24 - 37*x^23 + 101*x^22 + 761*x^21 + 452*x^20 - 5149*x^19 - 8767*x^18 + 16428*x^17 + 46340*x^16 - 23671*x^15 - 131408*x^14 - 911*x^13 + 230435*x^12 + 58819*x^11 - 262118*x^10 - 101042*x^9 + 190140*x^8 + 87273*x^7 - 79823*x^6 - 40295*x^5 + 15475*x^4 + 8220*x^3 - 870*x^2 - 473*x + 12, -x^27 - 12*x^26 - 35*x^25 + 132*x^24 + 908*x^23 + 417*x^22 - 7427*x^21 - 13512*x^20 + 26597*x^19 + 90181*x^18 - 24606*x^17 - 304855*x^16 - 130493*x^15 + 589524*x^14 + 515050*x^13 - 652977*x^12 - 847588*x^11 + 372739*x^10 + 749406*x^9 - 60365*x^8 - 359451*x^7 - 33672*x^6 + 86935*x^5 + 13852*x^4 - 9632*x^3 - 1487*x^2 + 417*x + 48, x^27 + 12*x^26 + 35*x^25 - 132*x^24 - 908*x^23 - 417*x^22 + 7427*x^21 + 13512*x^20 - 26597*x^19 - 90181*x^18 + 24606*x^17 + 304855*x^16 + 130493*x^15 - 589524*x^14 - 515050*x^13 + 652977*x^12 + 847588*x^11 - 372739*x^10 - 749406*x^9 + 60365*x^8 + 359451*x^7 + 33672*x^6 - 86935*x^5 - 13852*x^4 + 9632*x^3 + 1487*x^2 - 417*x - 48, -x^26 - 10*x^25 - 12*x^24 + 196*x^23 + 687*x^22 - 992*x^21 - 7894*x^20 - 3532*x^19 + 41149*x^18 + 56838*x^17 - 106346*x^16 - 254055*x^15 + 102890*x^14 + 585005*x^13 + 121584*x^12 - 753250*x^11 - 435136*x^10 + 519935*x^9 + 472429*x^8 - 150253*x^7 - 234789*x^6 - 9506*x^5 + 47961*x^4 + 10391*x^3 - 2530*x^2 - 844*x - 35, x^26 + 10*x^25 + 12*x^24 - 196*x^23 - 687*x^22 + 992*x^21 + 7894*x^20 + 3532*x^19 - 41149*x^18 - 56838*x^17 + 106346*x^16 + 254055*x^15 - 102890*x^14 - 585005*x^13 - 121584*x^12 + 753250*x^11 + 435136*x^10 - 519935*x^9 - 472429*x^8 + 150253*x^7 + 234789*x^6 + 9506*x^5 - 47961*x^4 - 10391*x^3 + 2530*x^2 + 844*x + 35, -x^25 - 16*x^24 - 85*x^23 - 56*x^22 + 1079*x^21 + 3366*x^20 - 2164*x^19 - 25282*x^18 - 23021*x^17 + 77881*x^16 + 151091*x^15 - 86197*x^14 - 391343*x^13 - 84651*x^12 + 516841*x^11 + 334011*x^10 - 339770*x^9 - 358522*x^8 + 77779*x^7 + 169913*x^6 + 16961*x^5 - 32104*x^4 - 7952*x^3 + 1554*x^2 + 504*x + 3, x^25 + 16*x^24 + 85*x^23 + 56*x^22 - 1079*x^21 - 3366*x^20 + 2164*x^19 + 25282*x^18 + 23021*x^17 - 77881*x^16 - 151091*x^15 + 86197*x^14 + 391343*x^13 + 84651*x^12 - 516841*x^11 - 334011*x^10 + 339770*x^9 + 358522*x^8 - 77779*x^7 - 169913*x^6 - 16961*x^5 + 32104*x^4 + 7952*x^3 - 1554*x^2 - 504*x - 3]>,
         rec<Eigen |
           DefiningPolynomial := x^43 - 12*x^42 + 4*x^41 + 501*x^40 - 1571*x^39 - 8358*x^38 + 45571*x^37 + 58480*x^36 - 675732*x^35 + 158266*x^34 + 6268724*x^33 - 7239051*x^32 - 38836493*x^31 + 75572040*x^30 + 161349526*x^29 - 472668389*x^28 - 414327454*x^27 + 2029750029*x^26 + 371774212*x^25 - 6254691108*x^24 + 1740493912*x^23 + 14000818093*x^22 - 8911003207*x^21 - 22580538840*x^20 + 21859139104*x^19 + 25403099019*x^18 - 34557465530*x^17 - 18304327594*x^16 + 37258285651*x^15 + 6087328500*x^14 - 27424444889*x^13 + 2123403170*x^12 + 13364722377*x^11 - 3382476139*x^10 - 4019853440*x^9 + 1618711997*x^8 + 633765373*x^7 - 372504955*x^6 - 26275643*x^5 + 36363597*x^4 - 3166888*x^3 - 660395*x^2 + 52616*x + 5181,
           Coordinates        := [-x^42 + 12*x^41 - 7*x^40 - 465*x^39 + 1546*x^38 + 7009*x^37 - 40951*x^36 - 39171*x^35 + 558115*x^34 - 250551*x^33 - 4727985*x^32 + 6338634*x^31 + 26383576*x^30 - 57055052*x^29 - 96072248*x^28 + 317314897*x^27 + 199346218*x^26 - 1215083880*x^25 - 28654104*x^24 + 3323066656*x^23 - 1291034034*x^22 - 6548693097*x^21 + 4680680117*x^20 + 9208960273*x^19 - 9417092725*x^18 - 8951274388*x^17 + 12460291497*x^16 + 5566253438*x^15 - 11246535894*x^14 - 1705857520*x^13 + 6907658949*x^12 - 245168126*x^11 - 2814899718*x^10 + 446236409*x^9 + 723244704*x^8 - 173141506*x^7 - 106523135*x^6 + 30775723*x^5 + 7413408*x^4 - 2263754*x^3 - 160392*x^2 + 34003*x + 3232, x^42 - 12*x^41 + 7*x^40 + 465*x^39 - 1546*x^38 - 7011*x^37 + 40975*x^36 + 39139*x^35 - 558829*x^34 + 253379*x^33 + 4735285*x^32 - 6394634*x^31 - 26387912*x^30 + 57632038*x^29 + 95456458*x^28 - 320911185*x^27 - 192344098*x^26 + 1228967892*x^25 - 13659278*x^24 - 3352669614*x^23 + 1456698438*x^22 + 6554955099*x^21 - 5126698119*x^20 - 9036930089*x^19 + 10257726779*x^18 + 8357251108*x^17 - 13561464711*x^16 - 4464228948*x^15 + 12213566868*x^14 + 399327584*x^13 - 7424414977*x^12 + 1263926670*x^11 + 2930133404*x^10 - 958934771*x^9 - 689246868*x^8 + 330947490*x^7 + 77151649*x^6 - 57420721*x^5 - 126596*x^4 + 4144782*x^3 - 527406*x^2 - 34237*x + 6148, 2*x^37 - 24*x^36 + 34*x^35 + 694*x^34 - 2842*x^33 - 6524*x^32 + 54368*x^31 - 7418*x^30 - 532214*x^29 + 697104*x^28 + 3040392*x^27 - 7096628*x^26 - 9796692*x^25 + 39434640*x^24 + 10346794*x^23 - 139488332*x^22 + 52420594*x^21 + 324869494*x^20 - 279993632*x^19 - 485784934*x^18 + 674177980*x^17 + 409180654*x^16 - 978650818*x^15 - 65853810*x^14 + 889977914*x^13 - 246726680*x^12 - 485664104*x^11 + 280011678*x^10 + 133478196*x^9 - 140764174*x^8 - 2426360*x^7 + 34734950*x^6 - 7718120*x^5 - 3188444*x^4 + 1361614*x^3 - 71528*x^2 - 13714*x + 370, 2*x^35 - 26*x^34 + 66*x^33 + 552*x^32 - 3220*x^31 - 1616*x^30 + 47016*x^29 - 61982*x^28 - 335538*x^27 + 895010*x^26 + 1136710*x^25 - 5970890*x^24 + 51342*x^23 + 23533014*x^22 - 16941366*x^21 - 57495784*x^20 + 74984298*x^19 + 84320294*x^18 - 173827452*x^17 - 62524828*x^16 + 246951646*x^15 + 2056880*x^14 - 226048784*x^13 + 29287794*x^12 + 142740322*x^11 - 14647732*x^10 - 71556666*x^9 + 301686*x^8 + 29965698*x^7 - 242134*x^6 - 8293968*x^5 + 908060*x^4 + 986890*x^3 - 211450*x^2 - 6148*x + 2656, -2*x^34 + 24*x^33 - 38*x^32 - 642*x^31 + 2722*x^30 + 5296*x^29 - 47862*x^28 + 14134*x^27 + 428016*x^26 - 608338*x^25 - 2184332*x^24 + 5396582*x^23 + 5909020*x^22 - 26340672*x^21 - 2591078*x^20 + 80134644*x^19 - 39168758*x^18 - 154385162*x^17 + 147511034*x^16 + 178614136*x^15 - 270620016*x^14 - 98731918*x^13 + 288596088*x^12 - 15577222*x^11 - 179497714*x^10 + 56594386*x^9 + 60049950*x^8 - 32071044*x^7 - 8123382*x^6 + 7427670*x^5 - 243084*x^4 - 574092*x^3 + 75266*x^2 + 7498*x - 1142, 2*x^34 - 22*x^33 + 22*x^32 + 596*x^31 - 2028*x^30 - 5672*x^29 + 35672*x^28 + 9362*x^27 - 316814*x^26 + 261382*x^25 + 1659474*x^24 - 2651942*x^23 - 5252542*x^22 + 13027930*x^21 + 9114494*x^20 - 39266796*x^19 - 3549294*x^18 + 77221706*x^17 - 19384040*x^16 - 101292908*x^15 + 44365830*x^14 + 90788540*x^13 - 44471704*x^12 - 59655614*x^11 + 23429094*x^10 + 32210456*x^9 - 7135754*x^8 - 13969822*x^7 + 2026054*x^6 + 3809974*x^5 - 674020*x^4 - 439980*x^3 + 106930*x^2 + 2410*x - 1328, x^41 - 12*x^40 + 9*x^39 + 441*x^38 - 1524*x^37 - 6175*x^36 + 37955*x^35 + 28391*x^34 - 488059*x^33 + 288757*x^32 + 3879775*x^31 - 5715644*x^30 - 20072740*x^29 + 46877204*x^28 + 65928160*x^27 - 240955333*x^26 - 111036052*x^25 + 851753724*x^24 - 82598746*x^23 - 2134736568*x^22 + 1041925872*x^21 + 3806303481*x^20 - 3086850651*x^19 - 4739516235*x^18 + 5398604305*x^17 + 3911786632*x^16 - 6217550423*x^15 - 1843546210*x^14 + 4788242366*x^13 + 166568160*x^12 - 2404436151*x^11 + 334792410*x^10 + 736171544*x^9 - 193484113*x^8 - 117874018*x^7 + 42490578*x^6 + 5866737*x^5 - 2845831*x^4 + 257798*x^3 - 99874*x^2 + 8042*x + 1921, 4*x^36 - 48*x^35 + 68*x^34 + 1380*x^33 - 5592*x^32 - 13176*x^31 + 106356*x^30 - 5538*x^29 - 1044478*x^28 + 1236928*x^27 + 6099062*x^26 - 12837454*x^25 - 21213814*x^24 + 72082706*x^23 + 35012078*x^22 - 259787188*x^21 + 36773946*x^20 + 630075684*x^19 - 357033692*x^18 - 1031445352*x^17 + 955559702*x^16 + 1100291040*x^15 - 1472654804*x^14 - 682234498*x^13 + 1432057592*x^12 + 135064994*x^11 - 878287118*x^10 + 119176430*x^9 + 322626400*x^8 - 96682522*x^7 - 61867812*x^6 + 27999860*x^5 + 3702306*x^4 - 3053406*x^3 + 275150*x^2 + 27712*x - 2618, -2*x^34 + 20*x^33 + 12*x^32 - 760*x^31 + 1700*x^30 + 10818*x^29 - 44120*x^28 - 62902*x^27 + 509876*x^26 - 66328*x^25 - 3380306*x^24 + 3360482*x^23 + 13730904*x^22 - 23557624*x^21 - 33521244*x^20 + 90120530*x^19 + 40496114*x^18 - 217341552*x^17 + 12978954*x^16 + 343245416*x^15 - 129567826*x^14 - 355436052*x^13 + 214517230*x^12 + 236319274*x^11 - 186267320*x^10 - 97065134*x^9 + 93909770*x^8 + 23434498*x^7 - 27539458*x^6 - 3175522*x^5 + 4574166*x^4 + 186934*x^3 - 396468*x^2 + 20606*x + 5218, -x^41 + 12*x^40 - 9*x^39 - 441*x^38 + 1524*x^37 + 6177*x^36 - 37975*x^35 - 28411*x^34 + 488897*x^33 - 290395*x^32 - 3893573*x^31 + 5765932*x^30 + 20178656*x^29 - 47551956*x^28 - 66122964*x^27 + 246254271*x^26 + 107587988*x^25 - 878188022*x^24 + 118019194*x^23 + 2219345414*x^22 - 1217311054*x^21 - 3968103843*x^20 + 3629217071*x^19 + 4858509287*x^18 - 6510584057*x^17 - 3682721232*x^16 + 7739962245*x^15 + 1065469750*x^14 - 6144370722*x^13 + 891944538*x^12 + 3134409155*x^11 - 1151399488*x^10 - 924677360*x^9 + 561244629*x^8 + 109372392*x^7 - 132316454*x^6 + 10703771*x^5 + 12122963*x^4 - 3092204*x^3 + 52040*x^2 + 36010*x - 1211, x^36 - 13*x^35 + 32*x^34 + 287*x^33 - 1621*x^32 - 1106*x^31 + 24522*x^30 - 28155*x^29 - 185605*x^28 + 442824*x^27 + 726762*x^26 - 3116136*x^25 - 804066*x^24 + 13092478*x^23 - 5844412*x^22 - 35261857*x^21 + 32934902*x^20 + 61793545*x^19 - 85139079*x^18 - 69873267*x^17 + 133167843*x^16 + 51674894*x^15 - 135207307*x^14 - 30750373*x^13 + 93606013*x^12 + 22503941*x^11 - 47492880*x^10 - 15954385*x^9 + 18550726*x^8 + 6863844*x^7 - 5160011*x^6 - 1450957*x^5 + 830455*x^4 + 114265*x^3 - 56539*x^2 + 123*x + 664, x^36 - 13*x^35 + 32*x^34 + 287*x^33 - 1621*x^32 - 1106*x^31 + 24522*x^30 - 28155*x^29 - 185605*x^28 + 442824*x^27 + 726762*x^26 - 3116136*x^25 - 804066*x^24 + 13092478*x^23 - 5844412*x^22 - 35261857*x^21 + 32934902*x^20 + 61793545*x^19 - 85139079*x^18 - 69873267*x^17 + 133167843*x^16 + 51674894*x^15 - 135207307*x^14 - 30750373*x^13 + 93606013*x^12 + 22503941*x^11 - 47492880*x^10 - 15954385*x^9 + 18550726*x^8 + 6863844*x^7 - 5160011*x^6 - 1450957*x^5 + 830455*x^4 + 114265*x^3 - 56539*x^2 + 123*x + 664, x^37 - 12*x^36 + 17*x^35 + 343*x^34 - 1378*x^33 - 3294*x^32 + 25971*x^31 + 26*x^30 - 253188*x^29 + 278886*x^28 + 1474947*x^27 - 2883237*x^26 - 5219864*x^25 + 15850327*x^24 + 9853068*x^23 - 55391665*x^22 - 987468*x^21 + 129459551*x^20 - 44004559*x^19 - 205539221*x^18 + 113092495*x^17 + 225174871*x^16 - 138091700*x^15 - 183573320*x^14 + 83175596*x^13 + 136210015*x^12 - 15501005*x^11 - 101083238*x^10 - 2484074*x^9 + 57585045*x^8 - 3944973*x^7 - 18668721*x^6 + 3728691*x^5 + 2509592*x^4 - 780030*x^3 - 22031*x^2 + 13341*x + 355, x^37 - 12*x^36 + 17*x^35 + 343*x^34 - 1378*x^33 - 3294*x^32 + 25971*x^31 + 26*x^30 - 253188*x^29 + 278886*x^28 + 1474947*x^27 - 2883237*x^26 - 5219864*x^25 + 15850327*x^24 + 9853068*x^23 - 55391665*x^22 - 987468*x^21 + 129459551*x^20 - 44004559*x^19 - 205539221*x^18 + 113092495*x^17 + 225174871*x^16 - 138091700*x^15 - 183573320*x^14 + 83175596*x^13 + 136210015*x^12 - 15501005*x^11 - 101083238*x^10 - 2484074*x^9 + 57585045*x^8 - 3944973*x^7 - 18668721*x^6 + 3728691*x^5 + 2509592*x^4 - 780030*x^3 - 22031*x^2 + 13341*x + 355, -x^36 + 13*x^35 - 30*x^34 - 309*x^33 + 1636*x^32 + 1771*x^31 - 26565*x^30 + 20567*x^29 + 225920*x^28 - 412647*x^27 - 1127909*x^26 + 3279088*x^25 + 3213041*x^24 - 15748822*x^23 - 3403206*x^22 + 50863736*x^21 - 10170222*x^20 - 116118818*x^19 + 51345660*x^18 + 193902800*x^17 - 110975149*x^16 - 244067253*x^15 + 150766067*x^14 + 236479201*x^13 - 142993868*x^12 - 174732197*x^11 + 99776585*x^10 + 92591466*x^9 - 51022887*x^8 - 31180736*x^7 + 17459898*x^6 + 5395732*x^5 - 3303387*x^4 - 263399*x^3 + 233604*x^2 - 6529*x - 3011, -x^36 + 13*x^35 - 30*x^34 - 309*x^33 + 1636*x^32 + 1771*x^31 - 26565*x^30 + 20567*x^29 + 225920*x^28 - 412647*x^27 - 1127909*x^26 + 3279088*x^25 + 3213041*x^24 - 15748822*x^23 - 3403206*x^22 + 50863736*x^21 - 10170222*x^20 - 116118818*x^19 + 51345660*x^18 + 193902800*x^17 - 110975149*x^16 - 244067253*x^15 + 150766067*x^14 + 236479201*x^13 - 142993868*x^12 - 174732197*x^11 + 99776585*x^10 + 92591466*x^9 - 51022887*x^8 - 31180736*x^7 + 17459898*x^6 + 5395732*x^5 - 3303387*x^4 - 263399*x^3 + 233604*x^2 - 6529*x - 3011, x^38 - 11*x^37 + 3*x^36 + 385*x^35 - 1080*x^34 - 5348*x^33 + 25739*x^32 + 31607*x^31 - 308412*x^30 + 43666*x^29 + 2274593*x^28 - 2144179*x^27 - 11020035*x^26 + 17557163*x^25 + 35309657*x^24 - 82750140*x^23 - 70118102*x^22 + 259286495*x^21 + 59364417*x^20 - 563707590*x^19 + 93102316*x^18 + 857095525*x^17 - 389755307*x^16 - 896902630*x^15 + 634165027*x^14 + 614760446*x^13 - 611968778*x^12 - 239920117*x^11 + 367879470*x^10 + 22668310*x^9 - 131263451*x^8 + 21859656*x^7 + 23268605*x^6 - 8961169*x^5 - 697328*x^4 + 1052164*x^3 - 223394*x^2 - 1537*x + 3331, x^38 - 11*x^37 + 3*x^36 + 385*x^35 - 1080*x^34 - 5348*x^33 + 25739*x^32 + 31607*x^31 - 308412*x^30 + 43666*x^29 + 2274593*x^28 - 2144179*x^27 - 11020035*x^26 + 17557163*x^25 + 35309657*x^24 - 82750140*x^23 - 70118102*x^22 + 259286495*x^21 + 59364417*x^20 - 563707590*x^19 + 93102316*x^18 + 857095525*x^17 - 389755307*x^16 - 896902630*x^15 + 634165027*x^14 + 614760446*x^13 - 611968778*x^12 - 239920117*x^11 + 367879470*x^10 + 22668310*x^9 - 131263451*x^8 + 21859656*x^7 + 23268605*x^6 - 8961169*x^5 - 697328*x^4 + 1052164*x^3 - 223394*x^2 - 1537*x + 3331, -x^37 + 13*x^36 - 29*x^35 - 330*x^34 + 1767*x^33 + 1853*x^32 - 30475*x^31 + 30702*x^30 + 263375*x^29 - 614041*x^28 - 1181882*x^27 + 5073409*x^26 + 1409300*x^25 - 24652523*x^24 + 14265997*x^23 + 74975046*x^22 - 94565087*x^21 - 136303878*x^20 + 296374824*x^19 + 105129258*x^18 - 562047387*x^17 + 118495764*x^16 + 661654416*x^15 - 415782124*x^14 - 447800058*x^13 + 502861760*x^12 + 116332938*x^11 - 322870664*x^10 + 50871120*x^9 + 108767752*x^8 - 47392221*x^7 - 14379903*x^6 + 12921718*x^5 - 913157*x^4 - 1188460*x^3 + 293274*x^2 + 1769*x - 3995, -x^37 + 13*x^36 - 29*x^35 - 330*x^34 + 1767*x^33 + 1853*x^32 - 30475*x^31 + 30702*x^30 + 263375*x^29 - 614041*x^28 - 1181882*x^27 + 5073409*x^26 + 1409300*x^25 - 24652523*x^24 + 14265997*x^23 + 74975046*x^22 - 94565087*x^21 - 136303878*x^20 + 296374824*x^19 + 105129258*x^18 - 562047387*x^17 + 118495764*x^16 + 661654416*x^15 - 415782124*x^14 - 447800058*x^13 + 502861760*x^12 + 116332938*x^11 - 322870664*x^10 + 50871120*x^9 + 108767752*x^8 - 47392221*x^7 - 14379903*x^6 + 12921718*x^5 - 913157*x^4 - 1188460*x^3 + 293274*x^2 + 1769*x - 3995, -x^37 + 12*x^36 - 16*x^35 - 353*x^34 + 1369*x^33 + 3697*x^32 - 26734*x^31 - 6592*x^30 + 275927*x^29 - 226868*x^28 - 1775215*x^27 + 2745112*x^26 + 7555796*x^25 - 16941998*x^24 - 21462789*x^23 + 68329253*x^22 + 38339946*x^21 - 194482499*x^20 - 29695814*x^19 + 403426489*x^18 - 45716020*x^17 - 615145094*x^16 + 186934713*x^15 + 681405908*x^14 - 309635672*x^13 - 529790841*x^12 + 312315030*x^11 + 270529183*x^10 - 200283809*x^9 - 78980647*x^8 + 78711306*x^7 + 7790779*x^6 - 17030820*x^5 + 1683078*x^4 + 1521151*x^3 - 371603*x^2 + 4*x + 4216, -x^37 + 12*x^36 - 16*x^35 - 353*x^34 + 1369*x^33 + 3697*x^32 - 26734*x^31 - 6592*x^30 + 275927*x^29 - 226868*x^28 - 1775215*x^27 + 2745112*x^26 + 7555796*x^25 - 16941998*x^24 - 21462789*x^23 + 68329253*x^22 + 38339946*x^21 - 194482499*x^20 - 29695814*x^19 + 403426489*x^18 - 45716020*x^17 - 615145094*x^16 + 186934713*x^15 + 681405908*x^14 - 309635672*x^13 - 529790841*x^12 + 312315030*x^11 + 270529183*x^10 - 200283809*x^9 - 78980647*x^8 + 78711306*x^7 + 7790779*x^6 - 17030820*x^5 + 1683078*x^4 + 1521151*x^3 - 371603*x^2 + 4*x + 4216, -x^35 + 12*x^34 - 20*x^33 - 305*x^32 + 1275*x^31 + 2637*x^30 - 21852*x^29 - 174*x^28 + 204482*x^27 - 192786*x^26 - 1226619*x^25 + 1997242*x^24 + 4967105*x^23 - 11621105*x^22 - 13248311*x^21 + 45428779*x^20 + 19247929*x^19 - 124384610*x^18 + 4614138*x^17 + 237909998*x^16 - 87843540*x^15 - 309719400*x^14 + 197392177*x^13 + 261452631*x^12 - 235042386*x^11 - 130444837*x^10 + 165215307*x^9 + 29249185*x^8 - 68115252*x^7 + 2764964*x^6 + 15178390*x^5 - 2776932*x^4 - 1401812*x^3 + 421613*x^2 - 3138*x - 4880, -x^35 + 12*x^34 - 20*x^33 - 305*x^32 + 1275*x^31 + 2637*x^30 - 21852*x^29 - 174*x^28 + 204482*x^27 - 192786*x^26 - 1226619*x^25 + 1997242*x^24 + 4967105*x^23 - 11621105*x^22 - 13248311*x^21 + 45428779*x^20 + 19247929*x^19 - 124384610*x^18 + 4614138*x^17 + 237909998*x^16 - 87843540*x^15 - 309719400*x^14 + 197392177*x^13 + 261452631*x^12 - 235042386*x^11 - 130444837*x^10 + 165215307*x^9 + 29249185*x^8 - 68115252*x^7 + 2764964*x^6 + 15178390*x^5 - 2776932*x^4 - 1401812*x^3 + 421613*x^2 - 3138*x - 4880, x^39 - 12*x^38 + 13*x^37 + 394*x^36 - 1482*x^35 - 4611*x^34 + 32465*x^33 + 9162*x^32 - 365990*x^31 + 352052*x^30 + 2484115*x^29 - 4697658*x^28 - 10350803*x^27 + 31460435*x^26 + 22972358*x^25 - 133910124*x^24 + 2778970*x^23 + 384796262*x^22 - 198934610*x^21 - 752531558*x^20 + 700814465*x^19 + 969532430*x^18 - 1359943327*x^17 - 732322194*x^16 + 1669159357*x^15 + 164168739*x^14 - 1309904820*x^13 + 235838646*x^12 + 623300592*x^11 - 244127922*x^10 - 151447687*x^9 + 95538062*x^8 + 5353922*x^7 - 13561053*x^6 + 4535150*x^5 - 760100*x^4 - 495528*x^3 + 243888*x^2 - 8473*x - 3686, x^39 - 12*x^38 + 13*x^37 + 394*x^36 - 1482*x^35 - 4611*x^34 + 32465*x^33 + 9162*x^32 - 365990*x^31 + 352052*x^30 + 2484115*x^29 - 4697658*x^28 - 10350803*x^27 + 31460435*x^26 + 22972358*x^25 - 133910124*x^24 + 2778970*x^23 + 384796262*x^22 - 198934610*x^21 - 752531558*x^20 + 700814465*x^19 + 969532430*x^18 - 1359943327*x^17 - 732322194*x^16 + 1669159357*x^15 + 164168739*x^14 - 1309904820*x^13 + 235838646*x^12 + 623300592*x^11 - 244127922*x^10 - 151447687*x^9 + 95538062*x^8 + 5353922*x^7 - 13561053*x^6 + 4535150*x^5 - 760100*x^4 - 495528*x^3 + 243888*x^2 - 8473*x - 3686, -x^41 + 12*x^40 - 8*x^39 - 454*x^38 + 1548*x^37 + 6566*x^36 - 39821*x^35 - 31937*x^34 + 525921*x^33 - 305011*x^32 - 4279672*x^31 + 6375528*x^30 + 22549311*x^29 - 53900768*x^28 - 74429136*x^27 + 284205939*x^26 + 117766060*x^25 - 1026718215*x^24 + 165720342*x^23 + 2616389791*x^22 - 1506506018*x^21 - 4701737362*x^20 + 4406414654*x^19 + 5796657672*x^18 - 7793294988*x^17 - 4527676462*x^16 + 9135893756*x^15 + 1658000615*x^14 - 7186207609*x^13 + 493145253*x^12 + 3707706752*x^11 - 892420121*x^10 - 1185965688*x^9 + 442162931*x^8 + 208934923*x^7 - 104706389*x^6 - 14783003*x^5 + 10988440*x^4 - 117538*x^3 - 339216*x^2 + 9919*x + 3196, -x^41 + 12*x^40 - 8*x^39 - 454*x^38 + 1548*x^37 + 6566*x^36 - 39821*x^35 - 31937*x^34 + 525921*x^33 - 305011*x^32 - 4279672*x^31 + 6375528*x^30 + 22549311*x^29 - 53900768*x^28 - 74429136*x^27 + 284205939*x^26 + 117766060*x^25 - 1026718215*x^24 + 165720342*x^23 + 2616389791*x^22 - 1506506018*x^21 - 4701737362*x^20 + 4406414654*x^19 + 5796657672*x^18 - 7793294988*x^17 - 4527676462*x^16 + 9135893756*x^15 + 1658000615*x^14 - 7186207609*x^13 + 493145253*x^12 + 3707706752*x^11 - 892420121*x^10 - 1185965688*x^9 + 442162931*x^8 + 208934923*x^7 - 104706389*x^6 - 14783003*x^5 + 10988440*x^4 - 117538*x^3 - 339216*x^2 + 9919*x + 3196, x^41 - 12*x^40 + 8*x^39 + 453*x^38 - 1536*x^37 - 6583*x^36 + 39474*x^35 + 33361*x^34 - 522690*x^33 + 277830*x^32 + 4284403*x^31 - 6112179*x^30 - 22910164*x^29 + 52440000*x^28 + 78027598*x^27 - 279913402*x^26 - 137198719*x^25 + 1025133885*x^24 - 100598364*x^23 - 2655563213*x^22 + 1371189608*x^21 + 4868652635*x^20 - 4257280837*x^19 - 6153165838*x^18 + 7798698257*x^17 + 4964156007*x^16 - 9413584180*x^15 - 1922227353*x^14 + 7605893773*x^13 - 513022330*x^12 - 4015076411*x^11 + 1044374479*x^10 + 1297217514*x^9 - 547140197*x^8 - 219369853*x^7 + 136296828*x^6 + 10141155*x^5 - 14686492*x^4 + 1190842*x^3 + 363016*x^2 - 27255*x - 3551, x^41 - 12*x^40 + 8*x^39 + 453*x^38 - 1536*x^37 - 6583*x^36 + 39474*x^35 + 33361*x^34 - 522690*x^33 + 277830*x^32 + 4284403*x^31 - 6112179*x^30 - 22910164*x^29 + 52440000*x^28 + 78027598*x^27 - 279913402*x^26 - 137198719*x^25 + 1025133885*x^24 - 100598364*x^23 - 2655563213*x^22 + 1371189608*x^21 + 4868652635*x^20 - 4257280837*x^19 - 6153165838*x^18 + 7798698257*x^17 + 4964156007*x^16 - 9413584180*x^15 - 1922227353*x^14 + 7605893773*x^13 - 513022330*x^12 - 4015076411*x^11 + 1044374479*x^10 + 1297217514*x^9 - 547140197*x^8 - 219369853*x^7 + 136296828*x^6 + 10141155*x^5 - 14686492*x^4 + 1190842*x^3 + 363016*x^2 - 27255*x - 3551, -x^38 + 11*x^37 - 3*x^36 - 383*x^35 + 1056*x^34 + 5381*x^33 - 25044*x^32 - 34357*x^31 + 301552*x^30 + 8697*x^29 - 2271047*x^28 + 1628424*x^27 + 11554118*x^26 - 14512525*x^25 - 40999863*x^24 + 71745433*x^23 + 101892580*x^22 - 237522911*x^21 - 172128687*x^20 + 558065337*x^19 + 175768529*x^18 - 949738755*x^17 - 47645331*x^16 + 1172475154*x^15 - 152211395*x^14 - 1037309881*x^13 + 264413061*x^12 + 641572887*x^11 - 219642770*x^10 - 266146215*x^9 + 107693367*x^8 + 68692241*x^7 - 31123173*x^6 - 9422867*x^5 + 4757019*x^4 + 435028*x^3 - 283220*x^2 + 5197*x + 3196, -x^38 + 11*x^37 - 3*x^36 - 383*x^35 + 1056*x^34 + 5381*x^33 - 25044*x^32 - 34357*x^31 + 301552*x^30 + 8697*x^29 - 2271047*x^28 + 1628424*x^27 + 11554118*x^26 - 14512525*x^25 - 40999863*x^24 + 71745433*x^23 + 101892580*x^22 - 237522911*x^21 - 172128687*x^20 + 558065337*x^19 + 175768529*x^18 - 949738755*x^17 - 47645331*x^16 + 1172475154*x^15 - 152211395*x^14 - 1037309881*x^13 + 264413061*x^12 + 641572887*x^11 - 219642770*x^10 - 266146215*x^9 + 107693367*x^8 + 68692241*x^7 - 31123173*x^6 - 9422867*x^5 + 4757019*x^4 + 435028*x^3 - 283220*x^2 + 5197*x + 3196, x^37 - 12*x^36 + 17*x^35 + 343*x^34 - 1375*x^33 - 3326*x^32 + 25994*x^31 + 940*x^30 - 256132*x^29 + 269912*x^28 + 1529335*x^27 - 2870413*x^26 - 5708561*x^25 + 16324033*x^24 + 12332642*x^23 - 60149428*x^22 - 7823324*x^21 + 152603095*x^20 - 38520030*x^19 - 272830209*x^18 + 140690861*x^17 + 345555193*x^16 - 247001993*x^15 - 308190344*x^14 + 271039839*x^13 + 190895837*x^12 - 196311507*x^11 - 80417624*x^10 + 94574102*x^9 + 22040826*x^8 - 29720726*x^7 - 3367545*x^6 + 5710213*x^5 + 67519*x^4 - 543232*x^3 + 49620*x^2 + 5548*x - 185, x^37 - 12*x^36 + 17*x^35 + 343*x^34 - 1375*x^33 - 3326*x^32 + 25994*x^31 + 940*x^30 - 256132*x^29 + 269912*x^28 + 1529335*x^27 - 2870413*x^26 - 5708561*x^25 + 16324033*x^24 + 12332642*x^23 - 60149428*x^22 - 7823324*x^21 + 152603095*x^20 - 38520030*x^19 - 272830209*x^18 + 140690861*x^17 + 345555193*x^16 - 247001993*x^15 - 308190344*x^14 + 271039839*x^13 + 190895837*x^12 - 196311507*x^11 - 80417624*x^10 + 94574102*x^9 + 22040826*x^8 - 29720726*x^7 - 3367545*x^6 + 5710213*x^5 + 67519*x^4 - 543232*x^3 + 49620*x^2 + 5548*x - 185, -x^34 + 10*x^33 - 305*x^31 + 665*x^30 + 3967*x^29 - 13918*x^28 - 28010*x^27 + 148462*x^26 + 104138*x^25 - 1018343*x^24 - 39444*x^23 + 4888217*x^22 - 1844671*x^21 - 16937653*x^20 + 11553473*x^19 + 42354875*x^18 - 39674860*x^17 - 74735582*x^16 + 88438834*x^15 + 89034128*x^14 - 131651144*x^13 - 65910111*x^12 + 129632409*x^11 + 24222432*x^10 - 81999973*x^9 + 1215361*x^8 + 31679907*x^7 - 4755438*x^6 - 6745912*x^5 + 1686566*x^4 + 596200*x^3 - 209412*x^2 + 2789*x + 2440, -x^34 + 10*x^33 - 305*x^31 + 665*x^30 + 3967*x^29 - 13918*x^28 - 28010*x^27 + 148462*x^26 + 104138*x^25 - 1018343*x^24 - 39444*x^23 + 4888217*x^22 - 1844671*x^21 - 16937653*x^20 + 11553473*x^19 + 42354875*x^18 - 39674860*x^17 - 74735582*x^16 + 88438834*x^15 + 89034128*x^14 - 131651144*x^13 - 65910111*x^12 + 129632409*x^11 + 24222432*x^10 - 81999973*x^9 + 1215361*x^8 + 31679907*x^7 - 4755438*x^6 - 6745912*x^5 + 1686566*x^4 + 596200*x^3 - 209412*x^2 + 2789*x + 2440, -x^35 + 11*x^34 - 6*x^33 - 361*x^32 + 1171*x^31 + 4048*x^30 - 24708*x^29 - 7520*x^28 + 247871*x^27 - 247172*x^26 - 1385984*x^25 + 2772407*x^24 + 4167161*x^23 - 14733322*x^22 - 3590286*x^21 + 46355804*x^20 - 19819265*x^19 - 89086397*x^18 + 83682058*x^17 + 97867191*x^16 - 154090981*x^15 - 42408018*x^14 + 156624574*x^13 - 26138407*x^12 - 85345049*x^11 + 41216290*x^10 + 18657692*x^9 - 18307726*x^8 + 2265793*x^7 + 2473930*x^6 - 1426752*x^5 + 215009*x^4 + 88812*x^3 - 27330*x^2 - 1140*x + 571, -x^35 + 11*x^34 - 6*x^33 - 361*x^32 + 1171*x^31 + 4048*x^30 - 24708*x^29 - 7520*x^28 + 247871*x^27 - 247172*x^26 - 1385984*x^25 + 2772407*x^24 + 4167161*x^23 - 14733322*x^22 - 3590286*x^21 + 46355804*x^20 - 19819265*x^19 - 89086397*x^18 + 83682058*x^17 + 97867191*x^16 - 154090981*x^15 - 42408018*x^14 + 156624574*x^13 - 26138407*x^12 - 85345049*x^11 + 41216290*x^10 + 18657692*x^9 - 18307726*x^8 + 2265793*x^7 + 2473930*x^6 - 1426752*x^5 + 215009*x^4 + 88812*x^3 - 27330*x^2 - 1140*x + 571, x^38 - 13*x^37 + 25*x^36 + 378*x^35 - 1840*x^34 - 3179*x^33 + 36026*x^32 - 19050*x^31 - 365059*x^30 + 636093*x^29 + 2138753*x^28 - 6373312*x^27 - 6661630*x^26 + 37139797*x^25 + 1939047*x^24 - 141420121*x^23 + 78569775*x^22 + 362507756*x^21 - 378473686*x^20 - 615466907*x^19 + 976515594*x^18 + 633314519*x^17 - 1613042480*x^16 - 249270000*x^15 + 1768592404*x^14 - 262542088*x^13 - 1274720043*x^12 + 460359325*x^11 + 577653773*x^10 - 309855577*x^9 - 149069052*x^8 + 108807747*x^7 + 16909001*x^6 - 19086376*x^5 + 9603*x^4 + 1314052*x^3 - 52803*x^2 - 20228*x - 257, x^38 - 13*x^37 + 25*x^36 + 378*x^35 - 1840*x^34 - 3179*x^33 + 36026*x^32 - 19050*x^31 - 365059*x^30 + 636093*x^29 + 2138753*x^28 - 6373312*x^27 - 6661630*x^26 + 37139797*x^25 + 1939047*x^24 - 141420121*x^23 + 78569775*x^22 + 362507756*x^21 - 378473686*x^20 - 615466907*x^19 + 976515594*x^18 + 633314519*x^17 - 1613042480*x^16 - 249270000*x^15 + 1768592404*x^14 - 262542088*x^13 - 1274720043*x^12 + 460359325*x^11 + 577653773*x^10 - 309855577*x^9 - 149069052*x^8 + 108807747*x^7 + 16909001*x^6 - 19086376*x^5 + 9603*x^4 + 1314052*x^3 - 52803*x^2 - 20228*x - 257, x^40 - 12*x^39 + 11*x^38 + 418*x^37 - 1510*x^36 - 5374*x^35 + 35385*x^34 + 17689*x^33 - 427755*x^32 + 339495*x^31 + 3157586*x^30 - 5377417*x^29 - 14764149*x^28 + 39977926*x^27 + 40654023*x^26 - 188607084*x^25 - 34469734*x^24 + 608966523*x^23 - 207386283*x^22 - 1374325809*x^21 + 1019923734*x^20 + 2148706927*x^19 - 2429561237*x^18 - 2222732238*x^17 + 3671957144*x^16 + 1310341369*x^15 - 3712662251*x^14 - 116379712*x^13 + 2509989413*x^12 - 464567130*x^11 - 1096980930*x^10 + 382725329*x^9 + 285686425*x^8 - 144228456*x^7 - 35642456*x^6 + 27287445*x^5 + 192197*x^4 - 2122328*x^3 + 267724*x^2 + 18079*x - 3074, x^40 - 12*x^39 + 11*x^38 + 418*x^37 - 1510*x^36 - 5374*x^35 + 35385*x^34 + 17689*x^33 - 427755*x^32 + 339495*x^31 + 3157586*x^30 - 5377417*x^29 - 14764149*x^28 + 39977926*x^27 + 40654023*x^26 - 188607084*x^25 - 34469734*x^24 + 608966523*x^23 - 207386283*x^22 - 1374325809*x^21 + 1019923734*x^20 + 2148706927*x^19 - 2429561237*x^18 - 2222732238*x^17 + 3671957144*x^16 + 1310341369*x^15 - 3712662251*x^14 - 116379712*x^13 + 2509989413*x^12 - 464567130*x^11 - 1096980930*x^10 + 382725329*x^9 + 285686425*x^8 - 144228456*x^7 - 35642456*x^6 + 27287445*x^5 + 192197*x^4 - 2122328*x^3 + 267724*x^2 + 18079*x - 3074, -x^40 + 11*x^39 + 2*x^38 - 442*x^37 + 1117*x^36 + 7263*x^35 - 31864*x^34 - 56227*x^33 + 446460*x^32 + 67369*x^31 - 3864967*x^30 + 2890909*x^29 + 22257153*x^28 - 31927076*x^27 - 86653567*x^26 + 186956365*x^25 + 219026969*x^24 - 720942862*x^23 - 290447030*x^22 + 1941520822*x^21 - 137961585*x^20 - 3708677425*x^19 + 1518668479*x^18 + 4985645313*x^17 - 3442893505*x^16 - 4569907239*x^15 + 4476110409*x^14 + 2646802831*x^13 - 3702813957*x^12 - 763584933*x^11 + 1951804694*x^10 - 54944598*x^9 - 623077533*x^8 + 115827338*x^7 + 106120035*x^6 - 32709001*x^5 - 6617789*x^4 + 3112998*x^3 - 122963*x^2 - 32576*x + 763, -x^40 + 11*x^39 + 2*x^38 - 442*x^37 + 1117*x^36 + 7263*x^35 - 31864*x^34 - 56227*x^33 + 446460*x^32 + 67369*x^31 - 3864967*x^30 + 2890909*x^29 + 22257153*x^28 - 31927076*x^27 - 86653567*x^26 + 186956365*x^25 + 219026969*x^24 - 720942862*x^23 - 290447030*x^22 + 1941520822*x^21 - 137961585*x^20 - 3708677425*x^19 + 1518668479*x^18 + 4985645313*x^17 - 3442893505*x^16 - 4569907239*x^15 + 4476110409*x^14 + 2646802831*x^13 - 3702813957*x^12 - 763584933*x^11 + 1951804694*x^10 - 54944598*x^9 - 623077533*x^8 + 115827338*x^7 + 106120035*x^6 - 32709001*x^5 - 6617789*x^4 + 3112998*x^3 - 122963*x^2 - 32576*x + 763, x^40 - 12*x^39 + 10*x^38 + 429*x^37 - 1514*x^36 - 5749*x^35 + 36469*x^34 + 22684*x^33 - 452735*x^32 + 312930*x^31 + 3447046*x^30 - 5455413*x^29 - 16814819*x^28 + 42179665*x^27 + 50071970*x^26 - 205243307*x^25 - 62286563*x^24 + 682840404*x^23 - 160483876*x^22 - 1591737377*x^21 + 1005721160*x^20 + 2587389427*x^19 - 2564157780*x^18 - 2831047714*x^17 + 4029384767*x^16 + 1880347179*x^15 - 4191890971*x^14 - 464549856*x^13 + 2906476806*x^12 - 335885129*x^11 - 1310045226*x^10 + 360923454*x^9 + 361109263*x^8 - 147258441*x^7 - 52630591*x^6 + 29812511*x^5 + 2230595*x^4 - 2593306*x^3 + 206877*x^2 + 28917*x - 2153, x^40 - 12*x^39 + 10*x^38 + 429*x^37 - 1514*x^36 - 5749*x^35 + 36469*x^34 + 22684*x^33 - 452735*x^32 + 312930*x^31 + 3447046*x^30 - 5455413*x^29 - 16814819*x^28 + 42179665*x^27 + 50071970*x^26 - 205243307*x^25 - 62286563*x^24 + 682840404*x^23 - 160483876*x^22 - 1591737377*x^21 + 1005721160*x^20 + 2587389427*x^19 - 2564157780*x^18 - 2831047714*x^17 + 4029384767*x^16 + 1880347179*x^15 - 4191890971*x^14 - 464549856*x^13 + 2906476806*x^12 - 335885129*x^11 - 1310045226*x^10 + 360923454*x^9 + 361109263*x^8 - 147258441*x^7 - 52630591*x^6 + 29812511*x^5 + 2230595*x^4 - 2593306*x^3 + 206877*x^2 + 28917*x - 2153, -x^39 + 10*x^38 + 11*x^37 - 420*x^36 + 694*x^35 + 7574*x^34 - 23234*x^33 - 74080*x^32 + 347336*x^31 + 380348*x^30 - 3183067*x^29 - 283461*x^28 + 19702645*x^27 - 10596007*x^26 - 85695456*x^25 + 86748384*x^24 + 264775490*x^23 - 384421939*x^22 - 572976389*x^21 + 1131021522*x^20 + 820931250*x^19 - 2329680838*x^18 - 635243830*x^17 + 3400662728*x^16 - 89876108*x^15 - 3487308193*x^14 + 836590821*x^13 + 2446083771*x^12 - 992317125*x^11 - 1114329171*x^10 + 617832753*x^9 + 296741940*x^8 - 218642226*x^7 - 34122647*x^6 + 40874215*x^5 - 1257653*x^4 - 3118423*x^3 + 429603*x^2 + 23420*x - 3959, -x^39 + 10*x^38 + 11*x^37 - 420*x^36 + 694*x^35 + 7574*x^34 - 23234*x^33 - 74080*x^32 + 347336*x^31 + 380348*x^30 - 3183067*x^29 - 283461*x^28 + 19702645*x^27 - 10596007*x^26 - 85695456*x^25 + 86748384*x^24 + 264775490*x^23 - 384421939*x^22 - 572976389*x^21 + 1131021522*x^20 + 820931250*x^19 - 2329680838*x^18 - 635243830*x^17 + 3400662728*x^16 - 89876108*x^15 - 3487308193*x^14 + 836590821*x^13 + 2446083771*x^12 - 992317125*x^11 - 1114329171*x^10 + 617832753*x^9 + 296741940*x^8 - 218642226*x^7 - 34122647*x^6 + 40874215*x^5 - 1257653*x^4 - 3118423*x^3 + 429603*x^2 + 23420*x - 3959, x^38 - 11*x^37 + x^36 + 407*x^35 - 1090*x^34 - 6075*x^33 + 27889*x^32 + 40850*x^31 - 355896*x^30 - 477*x^29 + 2800681*x^28 - 2332126*x^27 - 14552735*x^26 + 21605691*x^25 + 50488454*x^24 - 110769345*x^23 - 111164655*x^22 + 374050337*x^21 + 119188523*x^20 - 873210079*x^19 + 94298064*x^18 + 1422716565*x^17 - 587416601*x^16 - 1595416097*x^15 + 1062288735*x^14 + 1182766007*x^13 - 1098578258*x^12 - 527797648*x^11 + 702332037*x^10 + 103148205*x^9 - 273366479*x^8 + 14603671*x^7 + 59787246*x^6 - 10901521*x^5 - 5928616*x^4 + 1581875*x^3 + 102001*x^2 - 27901*x - 1598, x^38 - 11*x^37 + x^36 + 407*x^35 - 1090*x^34 - 6075*x^33 + 27889*x^32 + 40850*x^31 - 355896*x^30 - 477*x^29 + 2800681*x^28 - 2332126*x^27 - 14552735*x^26 + 21605691*x^25 + 50488454*x^24 - 110769345*x^23 - 111164655*x^22 + 374050337*x^21 + 119188523*x^20 - 873210079*x^19 + 94298064*x^18 + 1422716565*x^17 - 587416601*x^16 - 1595416097*x^15 + 1062288735*x^14 + 1182766007*x^13 - 1098578258*x^12 - 527797648*x^11 + 702332037*x^10 + 103148205*x^9 - 273366479*x^8 + 14603671*x^7 + 59787246*x^6 - 10901521*x^5 - 5928616*x^4 + 1581875*x^3 + 102001*x^2 - 27901*x - 1598, -x^36 + 12*x^35 - 16*x^34 - 361*x^33 + 1464*x^32 + 3533*x^31 - 29045*x^30 + 3514*x^29 + 292165*x^28 - 388752*x^27 - 1703074*x^26 + 4065354*x^25 + 5550225*x^24 - 23060909*x^23 - 5700085*x^22 + 83161739*x^21 - 31726800*x^20 - 198454856*x^19 + 167570554*x^18 + 310594605*x^17 - 404979933*x^16 - 297809894*x^15 + 595911800*x^14 + 131905468*x^13 - 561314910*x^12 + 39939402*x^11 + 335369849*x^10 - 86457899*x^9 - 120893162*x^8 + 47154684*x^7 + 23347742*x^6 - 11787859*x^5 - 1708422*x^4 + 1187548*x^3 - 26285*x^2 - 16897*x - 338, -x^36 + 12*x^35 - 16*x^34 - 361*x^33 + 1464*x^32 + 3533*x^31 - 29045*x^30 + 3514*x^29 + 292165*x^28 - 388752*x^27 - 1703074*x^26 + 4065354*x^25 + 5550225*x^24 - 23060909*x^23 - 5700085*x^22 + 83161739*x^21 - 31726800*x^20 - 198454856*x^19 + 167570554*x^18 + 310594605*x^17 - 404979933*x^16 - 297809894*x^15 + 595911800*x^14 + 131905468*x^13 - 561314910*x^12 + 39939402*x^11 + 335369849*x^10 - 86457899*x^9 - 120893162*x^8 + 47154684*x^7 + 23347742*x^6 - 11787859*x^5 - 1708422*x^4 + 1187548*x^3 - 26285*x^2 - 16897*x - 338, x^37 - 13*x^36 + 25*x^35 + 376*x^34 - 1820*x^33 - 3168*x^32 + 35288*x^31 - 17511*x^30 - 354059*x^29 + 595393*x^28 + 2060749*x^27 - 5874756*x^26 - 6520786*x^25 + 33489866*x^24 + 4045372*x^23 - 124181086*x^22 + 57983835*x^21 + 309193338*x^20 - 282364208*x^19 - 511986440*x^18 + 696639602*x^17 + 530697525*x^16 - 1073042107*x^15 - 274499432*x^14 + 1072494658*x^13 - 39892382*x^12 - 687219706*x^11 + 153915115*x^10 + 268524850*x^9 - 94423682*x^8 - 57137162*x^7 + 25597850*x^6 + 4897320*x^5 - 2682867*x^4 + 7697*x^3 + 19104*x^2 + 3019*x + 490, x^37 - 13*x^36 + 25*x^35 + 376*x^34 - 1820*x^33 - 3168*x^32 + 35288*x^31 - 17511*x^30 - 354059*x^29 + 595393*x^28 + 2060749*x^27 - 5874756*x^26 - 6520786*x^25 + 33489866*x^24 + 4045372*x^23 - 124181086*x^22 + 57983835*x^21 + 309193338*x^20 - 282364208*x^19 - 511986440*x^18 + 696639602*x^17 + 530697525*x^16 - 1073042107*x^15 - 274499432*x^14 + 1072494658*x^13 - 39892382*x^12 - 687219706*x^11 + 153915115*x^10 + 268524850*x^9 - 94423682*x^8 - 57137162*x^7 + 25597850*x^6 + 4897320*x^5 - 2682867*x^4 + 7697*x^3 + 19104*x^2 + 3019*x + 490, x^39 - 11*x^38 + x^37 + 407*x^36 - 1088*x^35 - 6091*x^34 + 27839*x^33 + 41576*x^32 - 356199*x^31 - 13825*x^30 + 2824476*x^29 - 2201620*x^28 - 14923334*x^27 + 20887814*x^26 + 53593960*x^25 - 108877077*x^24 - 127566507*x^23 + 375614497*x^22 + 176932472*x^21 - 905064996*x^20 - 43525051*x^19 + 1547251567*x^18 - 366703834*x^17 - 1869123069*x^16 + 835728815*x^15 + 1562997759*x^14 - 968348133*x^13 - 866973936*x^12 + 684154629*x^11 + 292060841*x^10 - 299037432*x^9 - 46282405*x^8 + 76877640*x^7 - 1642080*x^6 - 10209690*x^5 + 1483603*x^4 + 505454*x^3 - 125935*x^2 - 2643*x + 1765, x^39 - 11*x^38 + x^37 + 407*x^36 - 1088*x^35 - 6091*x^34 + 27839*x^33 + 41576*x^32 - 356199*x^31 - 13825*x^30 + 2824476*x^29 - 2201620*x^28 - 14923334*x^27 + 20887814*x^26 + 53593960*x^25 - 108877077*x^24 - 127566507*x^23 + 375614497*x^22 + 176932472*x^21 - 905064996*x^20 - 43525051*x^19 + 1547251567*x^18 - 366703834*x^17 - 1869123069*x^16 + 835728815*x^15 + 1562997759*x^14 - 968348133*x^13 - 866973936*x^12 + 684154629*x^11 + 292060841*x^10 - 299037432*x^9 - 46282405*x^8 + 76877640*x^7 - 1642080*x^6 - 10209690*x^5 + 1483603*x^4 + 505454*x^3 - 125935*x^2 - 2643*x + 1765, x^39 - 12*x^38 + 11*x^37 + 418*x^36 - 1514*x^35 - 5328*x^34 + 35339*x^33 + 16287*x^32 - 422740*x^31 + 354479*x^30 + 3057290*x^29 - 5402719*x^28 - 13749944*x^27 + 39028839*x^26 + 34591324*x^25 - 177581832*x^24 - 12727952*x^23 + 545364420*x^22 - 247038490*x^21 - 1145001697*x^20 + 1006028173*x^19 + 1601248710*x^18 - 2150824027*x^17 - 1353554689*x^16 + 2904706825*x^15 + 428667616*x^14 - 2552384104*x^13 + 379884773*x^12 + 1426441192*x^11 - 518766208*x^10 - 471088786*x^9 + 265929324*x^8 + 74904301*x^7 - 67321222*x^6 - 737308*x^5 + 7442972*x^4 - 936642*x^3 - 179522*x^2 + 20755*x + 1783, x^39 - 12*x^38 + 11*x^37 + 418*x^36 - 1514*x^35 - 5328*x^34 + 35339*x^33 + 16287*x^32 - 422740*x^31 + 354479*x^30 + 3057290*x^29 - 5402719*x^28 - 13749944*x^27 + 39028839*x^26 + 34591324*x^25 - 177581832*x^24 - 12727952*x^23 + 545364420*x^22 - 247038490*x^21 - 1145001697*x^20 + 1006028173*x^19 + 1601248710*x^18 - 2150824027*x^17 - 1353554689*x^16 + 2904706825*x^15 + 428667616*x^14 - 2552384104*x^13 + 379884773*x^12 + 1426441192*x^11 - 518766208*x^10 - 471088786*x^9 + 265929324*x^8 + 74904301*x^7 - 67321222*x^6 - 737308*x^5 + 7442972*x^4 - 936642*x^3 - 179522*x^2 + 20755*x + 1783, x^39 - 12*x^38 + 11*x^37 + 416*x^36 - 1491*x^35 - 5349*x^34 + 34616*x^33 + 18813*x^32 - 414617*x^31 + 302287*x^30 + 3038055*x^29 - 4857616*x^28 - 14205684*x^27 + 35641256*x^26 + 40320832*x^25 - 164711649*x^24 - 47157560*x^23 + 518461416*x^22 - 118429958*x^21 - 1136261511*x^20 + 687094884*x^19 + 1720869414*x^18 - 1618489463*x^17 - 1730254139*x^16 + 2316986384*x^15 + 1029009881*x^14 - 2147032863*x^13 - 202747572*x^12 + 1278589993*x^11 - 164684817*x^10 - 465019465*x^9 + 133952432*x^8 + 91834961*x^7 - 39163095*x^6 - 7173252*x^5 + 4650214*x^4 - 47323*x^3 - 154577*x^2 + 4347*x + 1768, x^39 - 12*x^38 + 11*x^37 + 416*x^36 - 1491*x^35 - 5349*x^34 + 34616*x^33 + 18813*x^32 - 414617*x^31 + 302287*x^30 + 3038055*x^29 - 4857616*x^28 - 14205684*x^27 + 35641256*x^26 + 40320832*x^25 - 164711649*x^24 - 47157560*x^23 + 518461416*x^22 - 118429958*x^21 - 1136261511*x^20 + 687094884*x^19 + 1720869414*x^18 - 1618489463*x^17 - 1730254139*x^16 + 2316986384*x^15 + 1029009881*x^14 - 2147032863*x^13 - 202747572*x^12 + 1278589993*x^11 - 164684817*x^10 - 465019465*x^9 + 133952432*x^8 + 91834961*x^7 - 39163095*x^6 - 7173252*x^5 + 4650214*x^4 - 47323*x^3 - 154577*x^2 + 4347*x + 1768, -x^37 + 13*x^36 - 27*x^35 - 356*x^34 + 1831*x^33 + 2430*x^32 - 33749*x^31 + 28511*x^30 + 313359*x^29 - 673397*x^28 - 1562193*x^27 + 6015600*x^26 + 2870855*x^25 - 31383541*x^24 + 13193663*x^23 + 103595146*x^22 - 111298253*x^21 - 213083860*x^20 + 385844675*x^19 + 232110448*x^18 - 799256596*x^17 + 9302848*x^16 + 1047812675*x^15 - 421598314*x^14 - 849844952*x^13 + 627392719*x^12 + 380775496*x^11 - 463044038*x^10 - 53092955*x^9 + 186355572*x^8 - 26072735*x^7 - 37609531*x^6 + 11506189*x^5 + 2680961*x^4 - 1302645*x^3 + 36718*x^2 + 17699*x - 233, -x^37 + 13*x^36 - 27*x^35 - 356*x^34 + 1831*x^33 + 2430*x^32 - 33749*x^31 + 28511*x^30 + 313359*x^29 - 673397*x^28 - 1562193*x^27 + 6015600*x^26 + 2870855*x^25 - 31383541*x^24 + 13193663*x^23 + 103595146*x^22 - 111298253*x^21 - 213083860*x^20 + 385844675*x^19 + 232110448*x^18 - 799256596*x^17 + 9302848*x^16 + 1047812675*x^15 - 421598314*x^14 - 849844952*x^13 + 627392719*x^12 + 380775496*x^11 - 463044038*x^10 - 53092955*x^9 + 186355572*x^8 - 26072735*x^7 - 37609531*x^6 + 11506189*x^5 + 2680961*x^4 - 1302645*x^3 + 36718*x^2 + 17699*x - 233, x^38 - 12*x^37 + 15*x^36 + 371*x^35 - 1455*x^34 - 3952*x^33 + 29980*x^32 + 2879*x^31 - 319285*x^30 + 351321*x^29 + 2042435*x^28 - 4166778*x^27 - 7947877*x^26 + 26136047*x^25 + 15780304*x^24 - 105785519*x^23 + 8704258*x^22 + 292328341*x^21 - 158383789*x^20 - 557930309*x^19 + 515605836*x^18 + 720313003*x^17 - 967105260*x^16 - 583072425*x^15 + 1181316359*x^14 + 217753909*x^13 - 958860848*x^12 + 72473342*x^11 + 505882657*x^10 - 129970302*x^9 - 162526380*x^8 + 65708736*x^7 + 27074846*x^6 - 15594152*x^5 - 1170346*x^4 + 1490939*x^3 - 144432*x^2 - 13671*x + 1309, x^38 - 12*x^37 + 15*x^36 + 371*x^35 - 1455*x^34 - 3952*x^33 + 29980*x^32 + 2879*x^31 - 319285*x^30 + 351321*x^29 + 2042435*x^28 - 4166778*x^27 - 7947877*x^26 + 26136047*x^25 + 15780304*x^24 - 105785519*x^23 + 8704258*x^22 + 292328341*x^21 - 158383789*x^20 - 557930309*x^19 + 515605836*x^18 + 720313003*x^17 - 967105260*x^16 - 583072425*x^15 + 1181316359*x^14 + 217753909*x^13 - 958860848*x^12 + 72473342*x^11 + 505882657*x^10 - 129970302*x^9 - 162526380*x^8 + 65708736*x^7 + 27074846*x^6 - 15594152*x^5 - 1170346*x^4 + 1490939*x^3 - 144432*x^2 - 13671*x + 1309, -x^40 + 12*x^39 - 11*x^38 - 416*x^37 + 1488*x^36 + 5380*x^35 - 34609*x^34 - 19922*x^33 + 417206*x^32 - 286351*x^31 - 3102460*x^30 + 4751548*x^29 + 14974642*x^28 - 35530313*x^27 - 45879115*x^26 + 168447929*x^25 + 73336649*x^24 - 551860621*x^23 + 36861490*x^22 + 1290294627*x^21 - 525731523*x^20 - 2175225493*x^19 + 1453254334*x^18 + 2634276578*x^17 - 2360164626*x^16 - 2250391844*x^15 + 2551082586*x^14 + 1298901029*x^13 - 1886624897*x^12 - 453115681*x^11 + 945111179*x^10 + 57504110*x^9 - 306936156*x^8 + 20412526*x^7 + 58613453*x^6 - 9326380*x^5 - 5252806*x^4 + 1157897*x^3 + 98201*x^2 - 17607*x - 1616, -x^40 + 12*x^39 - 11*x^38 - 416*x^37 + 1488*x^36 + 5380*x^35 - 34609*x^34 - 19922*x^33 + 417206*x^32 - 286351*x^31 - 3102460*x^30 + 4751548*x^29 + 14974642*x^28 - 35530313*x^27 - 45879115*x^26 + 168447929*x^25 + 73336649*x^24 - 551860621*x^23 + 36861490*x^22 + 1290294627*x^21 - 525731523*x^20 - 2175225493*x^19 + 1453254334*x^18 + 2634276578*x^17 - 2360164626*x^16 - 2250391844*x^15 + 2551082586*x^14 + 1298901029*x^13 - 1886624897*x^12 - 453115681*x^11 + 945111179*x^10 + 57504110*x^9 - 306936156*x^8 + 20412526*x^7 + 58613453*x^6 - 9326380*x^5 - 5252806*x^4 + 1157897*x^3 + 98201*x^2 - 17607*x - 1616, -x^36 + 14*x^35 - 40*x^34 - 322*x^33 + 2106*x^32 + 699*x^31 - 33860*x^30 + 53171*x^29 + 264194*x^28 - 818700*x^27 - 927911*x^26 + 6055784*x^25 - 929843*x^24 - 26706639*x^23 + 24610041*x^22 + 72685343*x^21 - 118881510*x^20 - 112930638*x^19 + 319035689*x^18 + 54776460*x^17 - 537261341*x^16 + 143736534*x^15 + 577218132*x^14 - 338331378*x^13 - 381457356*x^12 + 344916569*x^11 + 136624403*x^10 - 198142335*x^9 - 12838483*x^8 + 65333548*x^7 - 7893963*x^6 - 11468018*x^5 + 2761379*x^4 + 831909*x^3 - 288123*x^2 + 767*x + 3751, -x^36 + 14*x^35 - 40*x^34 - 322*x^33 + 2106*x^32 + 699*x^31 - 33860*x^30 + 53171*x^29 + 264194*x^28 - 818700*x^27 - 927911*x^26 + 6055784*x^25 - 929843*x^24 - 26706639*x^23 + 24610041*x^22 + 72685343*x^21 - 118881510*x^20 - 112930638*x^19 + 319035689*x^18 + 54776460*x^17 - 537261341*x^16 + 143736534*x^15 + 577218132*x^14 - 338331378*x^13 - 381457356*x^12 + 344916569*x^11 + 136624403*x^10 - 198142335*x^9 - 12838483*x^8 + 65333548*x^7 - 7893963*x^6 - 11468018*x^5 + 2761379*x^4 + 831909*x^3 - 288123*x^2 + 767*x + 3751, -x^39 + 13*x^38 - 24*x^37 - 393*x^36 + 1891*x^35 + 3496*x^34 - 38487*x^33 + 19305*x^32 + 403974*x^31 - 711278*x^30 - 2440258*x^29 + 7466751*x^28 + 7667275*x^27 - 45392394*x^26 + 210826*x^25 + 179840652*x^24 - 117221428*x^23 - 476407498*x^22 + 573905824*x^21 + 817635235*x^20 - 1553614897*x^19 - 775201097*x^18 + 2719283038*x^17 + 17855756*x^16 - 3168323682*x^15 + 1015848227*x^14 + 2408835147*x^13 - 1425139241*x^12 - 1107389681*x^11 + 1009710578*x^10 + 238048443*x^9 - 403226734*x^8 + 16260385*x^7 + 84620434*x^6 - 17989045*x^5 - 6928132*x^4 + 2486052*x^3 - 47953*x^2 - 31496*x + 385, -x^39 + 13*x^38 - 24*x^37 - 393*x^36 + 1891*x^35 + 3496*x^34 - 38487*x^33 + 19305*x^32 + 403974*x^31 - 711278*x^30 - 2440258*x^29 + 7466751*x^28 + 7667275*x^27 - 45392394*x^26 + 210826*x^25 + 179840652*x^24 - 117221428*x^23 - 476407498*x^22 + 573905824*x^21 + 817635235*x^20 - 1553614897*x^19 - 775201097*x^18 + 2719283038*x^17 + 17855756*x^16 - 3168323682*x^15 + 1015848227*x^14 + 2408835147*x^13 - 1425139241*x^12 - 1107389681*x^11 + 1009710578*x^10 + 238048443*x^9 - 403226734*x^8 + 16260385*x^7 + 84620434*x^6 - 17989045*x^5 - 6928132*x^4 + 2486052*x^3 - 47953*x^2 - 31496*x + 385, -x^35 + 13*x^34 - 29*x^33 - 327*x^32 + 1741*x^31 + 1798*x^30 - 29340*x^29 + 29127*x^28 + 245459*x^27 - 559107*x^26 - 1059002*x^25 + 4388444*x^24 + 1274269*x^23 - 20035788*x^22 + 10483273*x^21 + 56827944*x^20 - 64644644*x^19 - 97440638*x^18 + 182426293*x^17 + 82817591*x^16 - 306932716*x^15 + 15417954*x^14 + 322016070*x^13 - 115047226*x^12 - 207908494*x^11 + 121430853*x^10 + 78557542*x^9 - 62990407*x^8 - 15778940*x^7 + 17483564*x^6 + 1466219*x^5 - 2574129*x^4 - 55834*x^3 + 201983*x^2 - 10874*x - 2609, -x^35 + 13*x^34 - 29*x^33 - 327*x^32 + 1741*x^31 + 1798*x^30 - 29340*x^29 + 29127*x^28 + 245459*x^27 - 559107*x^26 - 1059002*x^25 + 4388444*x^24 + 1274269*x^23 - 20035788*x^22 + 10483273*x^21 + 56827944*x^20 - 64644644*x^19 - 97440638*x^18 + 182426293*x^17 + 82817591*x^16 - 306932716*x^15 + 15417954*x^14 + 322016070*x^13 - 115047226*x^12 - 207908494*x^11 + 121430853*x^10 + 78557542*x^9 - 62990407*x^8 - 15778940*x^7 + 17483564*x^6 + 1466219*x^5 - 2574129*x^4 - 55834*x^3 + 201983*x^2 - 10874*x - 2609, -x^38 + 12*x^37 - 13*x^36 - 393*x^35 + 1471*x^34 + 4611*x^33 - 32045*x^32 - 10310*x^31 + 359915*x^30 - 322852*x^29 - 2449751*x^28 + 4343603*x^27 + 10448685*x^26 - 28928109*x^25 - 25846428*x^24 + 122610683*x^23 + 18582918*x^22 - 354229434*x^21 + 108378137*x^20 + 712929512*x^19 - 454840710*x^18 - 997931359*x^17 + 922095083*x^16 + 949253687*x^15 - 1171257320*x^14 - 577007407*x^13 + 981982788*x^12 + 184236266*x^11 - 542377919*x^10 + 4288621*x^9 + 189244109*x^8 - 27627053*x^7 - 37439403*x^6 + 9571500*x^5 + 3088644*x^4 - 1158527*x^3 + 24880*x^2 + 13645*x - 152, -x^38 + 12*x^37 - 13*x^36 - 393*x^35 + 1471*x^34 + 4611*x^33 - 32045*x^32 - 10310*x^31 + 359915*x^30 - 322852*x^29 - 2449751*x^28 + 4343603*x^27 + 10448685*x^26 - 28928109*x^25 - 25846428*x^24 + 122610683*x^23 + 18582918*x^22 - 354229434*x^21 + 108378137*x^20 + 712929512*x^19 - 454840710*x^18 - 997931359*x^17 + 922095083*x^16 + 949253687*x^15 - 1171257320*x^14 - 577007407*x^13 + 981982788*x^12 + 184236266*x^11 - 542377919*x^10 + 4288621*x^9 + 189244109*x^8 - 27627053*x^7 - 37439403*x^6 + 9571500*x^5 + 3088644*x^4 - 1158527*x^3 + 24880*x^2 + 13645*x - 152, -x^38 + 12*x^37 - 12*x^36 - 401*x^35 + 1445*x^34 + 4983*x^33 - 32173*x^32 - 17454*x^31 + 372564*x^30 - 249827*x^29 - 2662262*x^28 + 3935065*x^27 + 12344861*x^26 - 28016964*x^25 - 36343082*x^24 + 125923971*x^23 + 56202176*x^22 - 387736855*x^21 + 22265193*x^20 + 839124519*x^19 - 341153630*x^18 - 1274579406*x^17 + 876869990*x^16 + 1324238362*x^15 - 1279390040*x^14 - 880490629*x^13 + 1186173958*x^12 + 307392132*x^11 - 702042821*x^10 + 3032856*x^9 + 252755315*x^8 - 47376434*x^7 - 48687022*x^6 + 16757464*x^5 + 3195780*x^4 - 2011500*x^3 + 183792*x^2 + 17666*x - 2135, -x^38 + 12*x^37 - 12*x^36 - 401*x^35 + 1445*x^34 + 4983*x^33 - 32173*x^32 - 17454*x^31 + 372564*x^30 - 249827*x^29 - 2662262*x^28 + 3935065*x^27 + 12344861*x^26 - 28016964*x^25 - 36343082*x^24 + 125923971*x^23 + 56202176*x^22 - 387736855*x^21 + 22265193*x^20 + 839124519*x^19 - 341153630*x^18 - 1274579406*x^17 + 876869990*x^16 + 1324238362*x^15 - 1279390040*x^14 - 880490629*x^13 + 1186173958*x^12 + 307392132*x^11 - 702042821*x^10 + 3032856*x^9 + 252755315*x^8 - 47376434*x^7 - 48687022*x^6 + 16757464*x^5 + 3195780*x^4 - 2011500*x^3 + 183792*x^2 + 17666*x - 2135, -x^39 + 12*x^38 - 12*x^37 - 404*x^36 + 1475*x^35 + 4993*x^34 - 33204*x^33 - 15261*x^32 + 387139*x^31 - 303106*x^30 - 2763756*x^29 + 4554892*x^28 + 12576574*x^27 - 32413948*x^26 - 34462165*x^25 + 146486749*x^24 + 36063724*x^23 - 452643289*x^22 + 117673707*x^21 + 975243115*x^20 - 622347840*x^19 - 1449031612*x^18 + 1431136393*x^17 + 1414473632*x^16 - 2020555977*x^15 - 782416948*x^14 + 1848910678*x^13 + 80079022*x^12 - 1081908295*x^11 + 199193020*x^10 + 379692761*x^9 - 137605369*x^8 - 67019324*x^7 + 38369640*x^6 + 2032468*x^5 - 4036934*x^4 + 704353*x^3 - 21694*x^2 - 6130*x + 826, -x^39 + 12*x^38 - 12*x^37 - 404*x^36 + 1475*x^35 + 4993*x^34 - 33204*x^33 - 15261*x^32 + 387139*x^31 - 303106*x^30 - 2763756*x^29 + 4554892*x^28 + 12576574*x^27 - 32413948*x^26 - 34462165*x^25 + 146486749*x^24 + 36063724*x^23 - 452643289*x^22 + 117673707*x^21 + 975243115*x^20 - 622347840*x^19 - 1449031612*x^18 + 1431136393*x^17 + 1414473632*x^16 - 2020555977*x^15 - 782416948*x^14 + 1848910678*x^13 + 80079022*x^12 - 1081908295*x^11 + 199193020*x^10 + 379692761*x^9 - 137605369*x^8 - 67019324*x^7 + 38369640*x^6 + 2032468*x^5 - 4036934*x^4 + 704353*x^3 - 21694*x^2 - 6130*x + 826]>
       ]
>;

MOG[941] := 	// J_0(941)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [0, 1, 14, 109, 167, 217, 288, 319, 336, 363, 386, 389, 472, 478, 519, 523, 549, 729, 745, 776, 855, 898, 938, 570*x + 17, 371*x + 17, 732*x + 813, 209*x + 813, 450*x + 635, 491*x + 635, 434*x + 834, 507*x + 834, 266*x + 217, 675*x + 217, 23*x + 830, 918*x + 830, 112*x + 233, 829*x + 233, 226*x + 20, 715*x + 20, 263*x + 238, 678*x + 238, 683*x + 751, 258*x + 751, 44*x + 673, 897*x + 673, 822*x + 913, 119*x + 913, 844*x + 554, 97*x + 554, 676*x + 422, 265*x + 422, 378*x + 647, 563*x + 647, 141*x + 525, 800*x + 525, 919*x + 905, 22*x + 905, 898*x + 593, 43*x + 593, 419*x + 91, 522*x + 91, 770*x + 133, 171*x + 133, 389*x + 586, 552*x + 586, 847*x + 476, 94*x + 476, 165*x + 99, 776*x + 99, 183*x + 383, 758*x + 383, 303*x + 152, 638*x + 152, 710*x + 215, 231*x + 215, 60*x + 711, 881*x + 711, 414*x + 618, 527*x + 618]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^28 + 3*x^27 - 28*x^26 - 88*x^25 + 336*x^24 + 1126*x^23 - 2249*x^22 - 8269*x^21 + 9085*x^20 + 38562*x^19 - 21875*x^18 - 119243*x^17 + 25914*x^16 + 247586*x^15 + 7926*x^14 - 341346*x^13 - 76235*x^12 + 300816*x^11 + 115825*x^10 - 155981*x^9 - 85500*x^8 + 39002*x^7 + 31265*x^6 - 1597*x^5 - 4694*x^4 - 613*x^3 + 214*x^2 + 55*x + 3,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^27 - 3*x^26 + 26*x^25 + 82*x^24 - 288*x^23 - 973*x^22 + 1768*x^21 + 6592*x^20 - 6504*x^19 - 28199*x^18 + 14150*x^17 + 79484*x^16 - 15000*x^15 - 149400*x^14 - 4236*x^13 + 185085*x^12 + 35085*x^11 - 145420*x^10 - 46717*x^9 + 66701*x^8 + 29909*x^7 - 14702*x^6 - 9173*x^5 + 650*x^4 + 1017*x^3 + 92*x^2 - 25*x - 3, x^27 + 3*x^26 - 26*x^25 - 82*x^24 + 288*x^23 + 973*x^22 - 1768*x^21 - 6592*x^20 + 6504*x^19 + 28199*x^18 - 14150*x^17 - 79484*x^16 + 15000*x^15 + 149400*x^14 + 4236*x^13 - 185085*x^12 - 35085*x^11 + 145420*x^10 + 46717*x^9 - 66701*x^8 - 29909*x^7 + 14702*x^6 + 9173*x^5 - 650*x^4 - 1017*x^3 - 92*x^2 + 25*x + 3, -x^26 - 3*x^25 + 24*x^24 + 76*x^23 - 242*x^22 - 828*x^21 + 1324*x^20 + 5092*x^19 - 4176*x^18 - 19486*x^17 + 7062*x^16 + 48185*x^15 - 3074*x^14 - 77314*x^13 - 11304*x^12 + 78539*x^11 + 23944*x^10 - 47494*x^9 - 20801*x^8 + 14990*x^7 + 8685*x^6 - 1748*x^5 - 1544*x^4 - 26*x^3 + 99*x^2 + 13*x, x^26 + 3*x^25 - 24*x^24 - 76*x^23 + 242*x^22 + 828*x^21 - 1324*x^20 - 5092*x^19 + 4176*x^18 + 19486*x^17 - 7062*x^16 - 48185*x^15 + 3074*x^14 + 77314*x^13 + 11304*x^12 - 78539*x^11 - 23944*x^10 + 47494*x^9 + 20801*x^8 - 14990*x^7 - 8685*x^6 + 1748*x^5 + 1544*x^4 + 26*x^3 - 99*x^2 - 13*x, -x^26 - 3*x^25 + 24*x^24 + 77*x^23 - 239*x^22 - 849*x^21 + 1257*x^20 + 5271*x^19 - 3549*x^18 - 20273*x^17 + 3852*x^16 + 50001*x^15 + 6764*x^14 - 78947*x^13 - 29846*x^12 + 76857*x^11 + 45164*x^10 - 41786*x^9 - 34790*x^8 + 9310*x^7 + 13407*x^6 + 801*x^5 - 2133*x^4 - 495*x^3 + 90*x^2 + 39*x + 3, x^26 + 3*x^25 - 24*x^24 - 77*x^23 + 239*x^22 + 849*x^21 - 1257*x^20 - 5271*x^19 + 3549*x^18 + 20273*x^17 - 3852*x^16 - 50001*x^15 - 6764*x^14 + 78947*x^13 + 29846*x^12 - 76857*x^11 - 45164*x^10 + 41786*x^9 + 34790*x^8 - 9310*x^7 - 13407*x^6 - 801*x^5 + 2133*x^4 + 495*x^3 - 90*x^2 - 39*x - 3, -x^25 - 3*x^24 + 23*x^23 + 72*x^22 - 224*x^21 - 742*x^20 + 1203*x^19 + 4311*x^18 - 3862*x^17 - 15575*x^16 + 7370*x^15 + 36364*x^14 - 7189*x^13 - 55140*x^12 + 26*x^11 + 52993*x^10 + 8233*x^9 - 30267*x^8 - 8866*x^7 + 8876*x^6 + 3841*x^5 - 879*x^4 - 591*x^3 - 14*x^2 + 26*x + 3, x^25 + 3*x^24 - 23*x^23 - 72*x^22 + 224*x^21 + 742*x^20 - 1203*x^19 - 4311*x^18 + 3862*x^17 + 15575*x^16 - 7370*x^15 - 36364*x^14 + 7189*x^13 + 55140*x^12 - 26*x^11 - 52993*x^10 - 8233*x^9 + 30267*x^8 + 8866*x^7 - 8876*x^6 - 3841*x^5 + 879*x^4 + 591*x^3 + 14*x^2 - 26*x - 3, -x^25 - 3*x^24 + 23*x^23 + 73*x^22 - 220*x^21 - 758*x^20 + 1125*x^19 + 4402*x^18 - 3226*x^17 - 15724*x^16 + 4556*x^15 + 35722*x^14 + 121*x^13 - 51406*x^12 - 11167*x^11 + 44933*x^10 + 17683*x^9 - 21444*x^8 - 12358*x^7 + 4078*x^6 + 3788*x^5 + 203*x^4 - 327*x^3 - 65*x^2 - x, x^25 + 3*x^24 - 23*x^23 - 73*x^22 + 220*x^21 + 758*x^20 - 1125*x^19 - 4402*x^18 + 3226*x^17 + 15724*x^16 - 4556*x^15 - 35722*x^14 - 121*x^13 + 51406*x^12 + 11167*x^11 - 44933*x^10 - 17683*x^9 + 21444*x^8 + 12358*x^7 - 4078*x^6 - 3788*x^5 - 203*x^4 + 327*x^3 + 65*x^2 + x, -x^25 - 3*x^24 + 23*x^23 + 73*x^22 - 221*x^21 - 762*x^20 + 1139*x^19 + 4471*x^18 - 3294*x^17 - 16214*x^16 + 4643*x^15 + 37573*x^14 + 506*x^13 - 55397*x^12 - 12906*x^11 + 49762*x^10 + 20635*x^9 - 24313*x^8 - 14790*x^7 + 4481*x^6 + 4655*x^5 + 439*x^4 - 378*x^3 - 107*x^2 - 8*x, x^25 + 3*x^24 - 23*x^23 - 73*x^22 + 221*x^21 + 762*x^20 - 1139*x^19 - 4471*x^18 + 3294*x^17 + 16214*x^16 - 4643*x^15 - 37573*x^14 - 506*x^13 + 55397*x^12 + 12906*x^11 - 49762*x^10 - 20635*x^9 + 24313*x^8 + 14790*x^7 - 4481*x^6 - 4655*x^5 - 439*x^4 + 378*x^3 + 107*x^2 + 8*x, -x^25 - 2*x^24 + 26*x^23 + 51*x^22 - 290*x^21 - 559*x^20 + 1816*x^19 + 3455*x^18 - 7004*x^17 - 13269*x^16 + 17121*x^15 + 32880*x^14 - 26116*x^13 - 52831*x^12 + 22985*x^11 + 53872*x^10 - 8708*x^9 - 33078*x^8 - 1712*x^7 + 11022*x^6 + 2385*x^5 - 1584*x^4 - 549*x^3 + 54*x^2 + 36*x + 3, x^25 + 2*x^24 - 26*x^23 - 51*x^22 + 290*x^21 + 559*x^20 - 1816*x^19 - 3455*x^18 + 7004*x^17 + 13269*x^16 - 17121*x^15 - 32880*x^14 + 26116*x^13 + 52831*x^12 - 22985*x^11 - 53872*x^10 + 8708*x^9 + 33078*x^8 + 1712*x^7 - 11022*x^6 - 2385*x^5 + 1584*x^4 + 549*x^3 - 54*x^2 - 36*x - 3, -x^24 - 4*x^23 + 18*x^22 + 86*x^21 - 121*x^20 - 781*x^19 + 314*x^18 + 3911*x^17 + 308*x^16 - 11821*x^15 - 4115*x^14 + 22174*x^13 + 11330*x^12 - 25546*x^11 - 15711*x^10 + 17227*x^9 + 11935*x^8 - 6114*x^7 - 4844*x^6 + 869*x^5 + 953*x^4 + 12*x^3 - 73*x^2 - 10*x, x^24 + 4*x^23 - 18*x^22 - 86*x^21 + 121*x^20 + 781*x^19 - 314*x^18 - 3911*x^17 - 308*x^16 + 11821*x^15 + 4115*x^14 - 22174*x^13 - 11330*x^12 + 25546*x^11 + 15711*x^10 - 17227*x^9 - 11935*x^8 + 6114*x^7 + 4844*x^6 - 869*x^5 - 953*x^4 - 12*x^3 + 73*x^2 + 10*x, -x^24 - 3*x^23 + 22*x^22 + 70*x^21 - 199*x^20 - 690*x^19 + 950*x^18 + 3762*x^17 - 2506*x^16 - 12463*x^15 + 3195*x^14 + 25908*x^13 + 137*x^12 - 33606*x^11 - 6261*x^10 + 26050*x^9 + 8443*x^8 - 10912*x^7 - 4897*x^6 + 1951*x^5 + 1217*x^4 - 39*x^3 - 100*x^2 - 13*x, x^24 + 3*x^23 - 22*x^22 - 70*x^21 + 199*x^20 + 690*x^19 - 950*x^18 - 3762*x^17 + 2506*x^16 + 12463*x^15 - 3195*x^14 - 25908*x^13 - 137*x^12 + 33606*x^11 + 6261*x^10 - 26050*x^9 - 8443*x^8 + 10912*x^7 + 4897*x^6 - 1951*x^5 - 1217*x^4 + 39*x^3 + 100*x^2 + 13*x, -x^24 - 4*x^23 + 18*x^22 + 87*x^21 - 118*x^20 - 800*x^19 + 255*x^18 + 4059*x^17 + 791*x^16 - 12428*x^15 - 6258*x^14 + 23550*x^13 + 16940*x^12 - 27095*x^11 - 24529*x^10 + 17473*x^9 + 20000*x^8 - 4829*x^7 - 8752*x^6 - 362*x^5 + 1755*x^4 + 388*x^3 - 98*x^2 - 39*x - 3, x^24 + 4*x^23 - 18*x^22 - 87*x^21 + 118*x^20 + 800*x^19 - 255*x^18 - 4059*x^17 - 791*x^16 + 12428*x^15 + 6258*x^14 - 23550*x^13 - 16940*x^12 + 27095*x^11 + 24529*x^10 - 17473*x^9 - 20000*x^8 + 4829*x^7 + 8752*x^6 + 362*x^5 - 1755*x^4 - 388*x^3 + 98*x^2 + 39*x + 3, -x^23 - 4*x^22 + 16*x^21 + 79*x^20 - 89*x^19 - 655*x^18 + 111*x^17 + 2963*x^16 + 943*x^15 - 7932*x^14 - 5031*x^13 + 12654*x^12 + 11358*x^11 - 11237*x^10 - 13771*x^9 + 4153*x^8 + 8851*x^7 + 745*x^6 - 2526*x^5 - 864*x^4 + 130*x^3 + 102*x^2 + 13*x, x^23 + 4*x^22 - 16*x^21 - 79*x^20 + 89*x^19 + 655*x^18 - 111*x^17 - 2963*x^16 - 943*x^15 + 7932*x^14 + 5031*x^13 - 12654*x^12 - 11358*x^11 + 11237*x^10 + 13771*x^9 - 4153*x^8 - 8851*x^7 - 745*x^6 + 2526*x^5 + 864*x^4 - 130*x^3 - 102*x^2 - 13*x, -x^23 - 3*x^22 + 21*x^21 + 68*x^20 - 175*x^19 - 640*x^18 + 720*x^17 + 3261*x^16 - 1361*x^15 - 9814*x^14 + 16*x^13 + 17800*x^12 + 4906*x^11 - 18883*x^10 - 9240*x^9 + 10532*x^8 + 7461*x^7 - 2127*x^6 - 2571*x^5 - 242*x^4 + 227*x^3 + 52*x^2 + x, x^23 + 3*x^22 - 21*x^21 - 68*x^20 + 175*x^19 + 640*x^18 - 720*x^17 - 3261*x^16 + 1361*x^15 + 9814*x^14 - 16*x^13 - 17800*x^12 - 4906*x^11 + 18883*x^10 + 9240*x^9 - 10532*x^8 - 7461*x^7 + 2127*x^6 + 2571*x^5 + 242*x^4 - 227*x^3 - 52*x^2 - x, -x^23 - 4*x^22 + 17*x^21 + 83*x^20 - 103*x^19 - 726*x^18 + 174*x^17 + 3478*x^16 + 920*x^15 - 9908*x^14 - 5740*x^13 + 16972*x^12 + 13923*x^11 - 16578*x^10 - 17862*x^9 + 7549*x^8 + 12152*x^7 + x^6 - 3769*x^5 - 1004*x^4 + 268*x^3 + 141*x^2 + 15*x, x^23 + 4*x^22 - 17*x^21 - 83*x^20 + 103*x^19 + 726*x^18 - 174*x^17 - 3478*x^16 - 920*x^15 + 9908*x^14 + 5740*x^13 - 16972*x^12 - 13923*x^11 + 16578*x^10 + 17862*x^9 - 7549*x^8 - 12152*x^7 - x^6 + 3769*x^5 + 1004*x^4 - 268*x^3 - 141*x^2 - 15*x, -x^22 - 4*x^21 + 14*x^20 + 71*x^19 - 64*x^18 - 523*x^17 + 23*x^16 + 2071*x^15 + 790*x^14 - 4767*x^13 - 3049*x^12 + 6424*x^11 + 5305*x^10 - 4816*x^9 - 4831*x^8 + 1724*x^7 + 2252*x^6 - 152*x^5 - 490*x^4 - 36*x^3 + 47*x^2 + 9*x, x^22 + 4*x^21 - 14*x^20 - 71*x^19 + 64*x^18 + 523*x^17 - 23*x^16 - 2071*x^15 - 790*x^14 + 4767*x^13 + 3049*x^12 - 6424*x^11 - 5305*x^10 + 4816*x^9 + 4831*x^8 - 1724*x^7 - 2252*x^6 + 152*x^5 + 490*x^4 + 36*x^3 - 47*x^2 - 9*x, -x^22 - 3*x^21 + 18*x^20 + 55*x^19 - 139*x^18 - 425*x^17 + 612*x^16 + 1818*x^15 - 1706*x^14 - 4753*x^13 + 3077*x^12 + 7885*x^11 - 3365*x^10 - 8258*x^9 + 1747*x^8 + 5135*x^7 + 66*x^6 - 1581*x^5 - 333*x^4 + 126*x^3 + 39*x^2 + x, x^22 + 3*x^21 - 18*x^20 - 55*x^19 + 139*x^18 + 425*x^17 - 612*x^16 - 1818*x^15 + 1706*x^14 + 4753*x^13 - 3077*x^12 - 7885*x^11 + 3365*x^10 + 8258*x^9 - 1747*x^8 - 5135*x^7 - 66*x^6 + 1581*x^5 + 333*x^4 - 126*x^3 - 39*x^2 - x, x^20 + 5*x^19 - 8*x^18 - 72*x^17 - 11*x^16 + 415*x^15 + 316*x^14 - 1218*x^13 - 1359*x^12 + 1895*x^11 + 2741*x^10 - 1405*x^9 - 2902*x^8 + 185*x^7 + 1578*x^6 + 350*x^5 - 378*x^4 - 175*x^3 + 14*x^2 + 20*x + 3, -x^20 - 5*x^19 + 8*x^18 + 72*x^17 + 11*x^16 - 415*x^15 - 316*x^14 + 1218*x^13 + 1359*x^12 - 1895*x^11 - 2741*x^10 + 1405*x^9 + 2902*x^8 - 185*x^7 - 1578*x^6 - 350*x^5 + 378*x^4 + 175*x^3 - 14*x^2 - 20*x - 3, -x^22 - 2*x^21 + 24*x^20 + 50*x^19 - 230*x^18 - 501*x^17 + 1145*x^16 + 2649*x^15 - 3179*x^14 - 8108*x^13 + 4769*x^12 + 14723*x^11 - 2979*x^10 - 15518*x^9 - 982*x^8 + 8785*x^7 + 2326*x^6 - 2193*x^5 - 990*x^4 + 91*x^3 + 101*x^2 + 13*x, x^22 + 2*x^21 - 24*x^20 - 50*x^19 + 230*x^18 + 501*x^17 - 1145*x^16 - 2649*x^15 + 3179*x^14 + 8108*x^13 - 4769*x^12 - 14723*x^11 + 2979*x^10 + 15518*x^9 + 982*x^8 - 8785*x^7 - 2326*x^6 + 2193*x^5 + 990*x^4 - 91*x^3 - 101*x^2 - 13*x, -x^20 - 3*x^19 + 16*x^18 + 51*x^17 - 103*x^16 - 360*x^15 + 334*x^14 + 1363*x^13 - 537*x^12 - 2981*x^11 + 253*x^10 + 3765*x^9 + 427*x^8 - 2568*x^7 - 661*x^6 + 782*x^5 + 311*x^4 - 50*x^3 - 33*x^2 - 3*x, x^20 + 3*x^19 - 16*x^18 - 51*x^17 + 103*x^16 + 360*x^15 - 334*x^14 - 1363*x^13 + 537*x^12 + 2981*x^11 - 253*x^10 - 3765*x^9 - 427*x^8 + 2568*x^7 + 661*x^6 - 782*x^5 - 311*x^4 + 50*x^3 + 33*x^2 + 3*x, -x^22 - 4*x^21 + 15*x^20 + 74*x^19 - 81*x^18 - 581*x^17 + 129*x^16 + 2520*x^15 + 518*x^14 - 6578*x^13 - 3017*x^12 + 10517*x^11 + 6667*x^10 - 9924*x^9 - 7848*x^8 + 4830*x^7 + 4983*x^6 - 642*x^5 - 1487*x^4 - 247*x^3 + 113*x^2 + 39*x + 3, x^22 + 4*x^21 - 15*x^20 - 74*x^19 + 81*x^18 + 581*x^17 - 129*x^16 - 2520*x^15 - 518*x^14 + 6578*x^13 + 3017*x^12 - 10517*x^11 - 6667*x^10 + 9924*x^9 + 7848*x^8 - 4830*x^7 - 4983*x^6 + 642*x^5 + 1487*x^4 + 247*x^3 - 113*x^2 - 39*x - 3, -x^19 - 3*x^18 + 14*x^17 + 45*x^16 - 80*x^15 - 282*x^14 + 239*x^13 + 966*x^12 - 378*x^11 - 1966*x^10 + 219*x^9 + 2380*x^8 + 206*x^7 - 1595*x^6 - 385*x^5 + 491*x^4 + 192*x^3 - 38*x^2 - 26*x - 3, x^19 + 3*x^18 - 14*x^17 - 45*x^16 + 80*x^15 + 282*x^14 - 239*x^13 - 966*x^12 + 378*x^11 + 1966*x^10 - 219*x^9 - 2380*x^8 - 206*x^7 + 1595*x^6 + 385*x^5 - 491*x^4 - 192*x^3 + 38*x^2 + 26*x + 3, -x^21 - 3*x^20 + 16*x^19 + 52*x^18 - 102*x^17 - 376*x^16 + 319*x^15 + 1470*x^14 - 441*x^13 - 3360*x^12 - 67*x^11 + 4525*x^10 + 999*x^9 - 3435*x^8 - 1190*x^7 + 1319*x^6 + 548*x^5 - 209*x^4 - 89*x^3 + 15*x^2 + 6*x, x^21 + 3*x^20 - 16*x^19 - 52*x^18 + 102*x^17 + 376*x^16 - 319*x^15 - 1470*x^14 + 441*x^13 + 3360*x^12 + 67*x^11 - 4525*x^10 - 999*x^9 + 3435*x^8 + 1190*x^7 - 1319*x^6 - 548*x^5 + 209*x^4 + 89*x^3 - 15*x^2 - 6*x, -x^21 - 5*x^20 + 9*x^19 + 80*x^18 + 14*x^17 - 516*x^16 - 472*x^15 + 1695*x^14 + 2423*x^13 - 2870*x^12 - 5986*x^11 + 1896*x^10 + 7941*x^9 + 1006*x^8 - 5409*x^7 - 2216*x^6 + 1488*x^5 + 1037*x^4 + 6*x^3 - 108*x^2 - 19*x, x^21 + 5*x^20 - 9*x^19 - 80*x^18 - 14*x^17 + 516*x^16 + 472*x^15 - 1695*x^14 - 2423*x^13 + 2870*x^12 + 5986*x^11 - 1896*x^10 - 7941*x^9 - 1006*x^8 + 5409*x^7 + 2216*x^6 - 1488*x^5 - 1037*x^4 - 6*x^3 + 108*x^2 + 19*x, x^21 + 5*x^20 - 9*x^19 - 78*x^18 - 7*x^17 + 495*x^16 + 376*x^15 - 1633*x^14 - 1897*x^13 + 2937*x^12 + 4528*x^11 - 2636*x^10 - 5822*x^9 + 578*x^8 + 3940*x^7 + 764*x^6 - 1189*x^5 - 496*x^4 + 72*x^3 + 66*x^2 + 9*x, -x^21 - 5*x^20 + 9*x^19 + 78*x^18 + 7*x^17 - 495*x^16 - 376*x^15 + 1633*x^14 + 1897*x^13 - 2937*x^12 - 4528*x^11 + 2636*x^10 + 5822*x^9 - 578*x^8 - 3940*x^7 - 764*x^6 + 1189*x^5 + 496*x^4 - 72*x^3 - 66*x^2 - 9*x, x^19 + 6*x^18 - 4*x^17 - 80*x^16 - 60*x^15 + 415*x^14 + 538*x^13 - 1042*x^12 - 1787*x^11 + 1231*x^10 + 2920*x^9 - 393*x^8 - 2362*x^7 - 414*x^6 + 811*x^5 + 321*x^4 - 58*x^3 - 46*x^2 - 6*x, -x^19 - 6*x^18 + 4*x^17 + 80*x^16 + 60*x^15 - 415*x^14 - 538*x^13 + 1042*x^12 + 1787*x^11 - 1231*x^10 - 2920*x^9 + 393*x^8 + 2362*x^7 + 414*x^6 - 811*x^5 - 321*x^4 + 58*x^3 + 46*x^2 + 6*x, -x^20 - 4*x^19 + 13*x^18 + 67*x^17 - 52*x^16 - 463*x^15 - 26*x^14 + 1697*x^13 + 826*x^12 - 3518*x^11 - 2728*x^10 + 4018*x^9 + 4192*x^8 - 2141*x^7 - 3229*x^6 + 121*x^5 + 1093*x^4 + 261*x^3 - 83*x^2 - 36*x - 3, x^20 + 4*x^19 - 13*x^18 - 67*x^17 + 52*x^16 + 463*x^15 + 26*x^14 - 1697*x^13 - 826*x^12 + 3518*x^11 + 2728*x^10 - 4018*x^9 - 4192*x^8 + 2141*x^7 + 3229*x^6 - 121*x^5 - 1093*x^4 - 261*x^3 + 83*x^2 + 36*x + 3, -x^21 - 4*x^20 + 13*x^19 + 67*x^18 - 52*x^17 - 463*x^16 - 26*x^15 + 1697*x^14 + 826*x^13 - 3518*x^12 - 2728*x^11 + 4018*x^10 + 4192*x^9 - 2141*x^8 - 3229*x^7 + 121*x^6 + 1093*x^5 + 261*x^4 - 83*x^3 - 36*x^2 - 3*x, x^21 + 4*x^20 - 13*x^19 - 67*x^18 + 52*x^17 + 463*x^16 + 26*x^15 - 1697*x^14 - 826*x^13 + 3518*x^12 + 2728*x^11 - 4018*x^10 - 4192*x^9 + 2141*x^8 + 3229*x^7 - 121*x^6 - 1093*x^5 - 261*x^4 + 83*x^3 + 36*x^2 + 3*x, -x^20 - 3*x^19 + 14*x^18 + 45*x^17 - 80*x^16 - 282*x^15 + 239*x^14 + 966*x^13 - 378*x^12 - 1966*x^11 + 219*x^10 + 2380*x^9 + 206*x^8 - 1595*x^7 - 385*x^6 + 491*x^5 + 192*x^4 - 38*x^3 - 26*x^2 - 3*x, x^20 + 3*x^19 - 14*x^18 - 45*x^17 + 80*x^16 + 282*x^15 - 239*x^14 - 966*x^13 + 378*x^12 + 1966*x^11 - 219*x^10 - 2380*x^9 - 206*x^8 + 1595*x^7 + 385*x^6 - 491*x^5 - 192*x^4 + 38*x^3 + 26*x^2 + 3*x, x^19 + 4*x^18 - 8*x^17 - 49*x^16 + 222*x^14 + 176*x^13 - 428*x^12 - 664*x^11 + 179*x^10 + 1012*x^9 + 540*x^8 - 599*x^7 - 767*x^6 - 29*x^5 + 320*x^4 + 129*x^3 - 20*x^2 - 20*x - 3, -x^19 - 4*x^18 + 8*x^17 + 49*x^16 - 222*x^14 - 176*x^13 + 428*x^12 + 664*x^11 - 179*x^10 - 1012*x^9 - 540*x^8 + 599*x^7 + 767*x^6 + 29*x^5 - 320*x^4 - 129*x^3 + 20*x^2 + 20*x + 3]>,
         rec<Eigen |
           DefiningPolynomial := x^50 - 3*x^49 - 81*x^48 + 245*x^47 + 3061*x^46 - 9339*x^45 - 71712*x^44 + 220786*x^43 + 1167372*x^42 - 3628301*x^41 - 14027403*x^40 + 44028864*x^39 + 129025621*x^38 - 409102418*x^37 - 929760534*x^36 + 2978755135*x^35 + 5328132473*x^34 - 17252711156*x^33 - 24509429083*x^32 + 80239250552*x^31 + 90945423995*x^30 - 301223193540*x^29 - 272509935901*x^28 + 914381030374*x^27 + 657542449936*x^26 - 2241363243348*x^25 - 1268331280730*x^24 + 4416738167439*x^23 + 1929596774617*x^22 - 6941798352935*x^21 - 2261986850885*x^20 + 8598378971443*x^19 + 1957672697813*x^18 - 8248643712740*x^17 - 1138778065575*x^16 + 5976466533277*x^15 + 317742155104*x^14 - 3150206347411*x^13 + 96297831313*x^12 + 1138349864894*x^11 - 133082441936*x^10 - 253617149557*x^9 + 53638150477*x^8 + 27304838071*x^7 - 9152364190*x^6 - 318620997*x^5 + 399901639*x^4 - 45539480*x^3 + 669701*x^2 + 116033*x - 3541,
           Coordinates        := [-x^49 + 3*x^48 + 78*x^47 - 236*x^46 - 2833*x^45 + 8649*x^44 + 63657*x^43 - 196181*x^42 - 991649*x^41 + 3086208*x^40 + 11375226*x^39 - 35761516*x^38 - 99617681*x^37 + 316427824*x^36 + 681459391*x^35 - 2187342275*x^34 - 3695268762*x^33 + 11986604873*x^32 + 16026102223*x^31 - 52542546483*x^30 - 55833527812*x^29 + 185096460951*x^28 + 156315401773*x^27 - 524619594157*x^26 - 350336682693*x^25 + 1193766050677*x^24 + 622995660213*x^23 - 2169009009562*x^22 - 864990897052*x^21 + 3118357135687*x^20 + 911549571131*x^19 - 3499820600840*x^18 - 690686715012*x^17 + 3007512295414*x^16 + 329592104123*x^15 - 1924423858475*x^14 - 48661069763*x^13 + 879553013960*x^12 - 51900100870*x^11 - 268547421232*x^10 + 39505319882*x^9 + 48335005327*x^8 - 11932852231*x^7 - 3683011120*x^6 + 1491861253*x^5 - 60844111*x^4 - 30810058*x^3 + 4274045*x^2 - 176709*x + 1770, x^49 - 3*x^48 - 76*x^47 + 230*x^46 + 2687*x^45 - 8207*x^44 - 58711*x^43 + 181059*x^42 + 888383*x^41 - 2767076*x^40 - 9886828*x^39 + 31107724*x^38 + 83897565*x^37 - 266642932*x^36 - 555415835*x^35 + 1782499393*x^34 + 2911035574*x^33 - 9427750855*x^32 - 12188475445*x^31 + 39794845173*x^30 + 40955729762*x^29 - 134632809181*x^28 - 110518568981*x^27 + 365301138013*x^26 + 238704287309*x^25 - 792717218173*x^24 - 409301729651*x^23 + 1367203246806*x^22 + 548902997064*x^21 - 1855192134313*x^20 - 560894296691*x^19 + 1951360356312*x^18 + 416086048030*x^17 - 1558008991276*x^16 - 200974198071*x^15 + 916738018963*x^14 + 41137644011*x^13 - 380902387588*x^12 + 16466718444*x^11 + 104675548018*x^10 - 14443205804*x^9 - 16978248855*x^8 + 4094946711*x^7 + 1247009792*x^6 - 476113585*x^5 - 3011155*x^4 + 17396750*x^3 - 2281979*x^2 + 103435*x - 1970, -2*x^42 + 8*x^41 + 128*x^40 - 534*x^39 - 3746*x^38 + 16452*x^37 + 66282*x^36 - 310288*x^35 - 789276*x^34 + 4006234*x^33 + 6652256*x^32 - 37516894*x^31 - 40511916*x^30 + 263418280*x^29 + 177484370*x^28 - 1414036528*x^27 - 535297086*x^26 + 5865709408*x^25 + 932369582*x^24 - 18883624192*x^23 + 114845128*x^22 + 47128630574*x^21 - 6122101610*x^20 - 90614873998*x^19 + 20070241620*x^18 + 132614309622*x^17 - 38099257764*x^16 - 144868455662*x^15 + 48158132756*x^14 + 114584134620*x^13 - 41442876834*x^12 - 62512297028*x^11 + 23811310124*x^10 + 21640810084*x^9 - 8661316402*x^8 - 4011911678*x^7 + 1795228674*x^6 + 225997578*x^5 - 164808352*x^4 + 16480370*x^3 + 844876*x^2 - 159772*x + 3256, -2*x^43 + 2*x^42 + 148*x^41 - 146*x^40 - 5068*x^39 + 4942*x^38 + 106508*x^37 - 102780*x^36 - 1536388*x^35 + 1467468*x^34 + 16121076*x^33 - 15230234*x^32 - 127242504*x^31 + 118733578*x^30 + 770698842*x^29 - 708943564*x^28 - 3622635476*x^27 + 3277941154*x^26 + 13278023712*x^25 - 11795663726*x^24 - 37925668724*x^23 + 33042455770*x^22 + 83913415414*x^21 - 71752745318*x^20 - 142097551480*x^19 + 119723433640*x^18 + 180479818524*x^17 - 151266335878*x^16 - 166377069480*x^15 + 141448124774*x^14 + 105207536350*x^13 - 94404662392*x^12 - 40703155778*x^11 + 42295034248*x^10 + 6713422556*x^9 - 11299561144*x^8 + 844489008*x^7 + 1322260504*x^6 - 377445786*x^5 + 15145846*x^4 + 8370388*x^3 - 1644752*x^2 + 108480*x - 760, -6*x^44 + 18*x^43 + 408*x^42 - 1230*x^41 - 12808*x^40 + 38780*x^39 + 246424*x^38 - 748686*x^37 - 3253658*x^36 + 9905956*x^35 + 31283774*x^34 - 95264876*x^33 - 226845710*x^32 + 689186834*x^31 + 1267569780*x^30 - 3829757282*x^29 - 5529176402*x^28 + 16548682550*x^27 + 18951356538*x^26 - 55944903548*x^25 - 51092553166*x^24 + 148132628020*x^23 + 107845272562*x^22 - 306174703366*x^21 - 176185505964*x^20 + 490077723048*x^19 + 218050740472*x^18 - 599537773160*x^17 - 196678683880*x^16 + 549534742954*x^15 + 119610015088*x^14 - 366423441398*x^13 - 39370606892*x^12 + 169848582044*x^11 - 1423987294*x^10 - 50682594406*x^9 + 6902617306*x^8 + 8287147700*x^7 - 2421305326*x^6 - 395755028*x^5 + 270314442*x^4 - 43454928*x^3 + 2701462*x^2 - 50556*x + 242, 4*x^41 - 6*x^40 - 296*x^39 + 478*x^38 + 9862*x^37 - 16722*x^36 - 197152*x^35 + 345412*x^34 + 2653826*x^33 - 4749678*x^32 - 25552912*x^31 + 46305600*x^30 + 182321936*x^29 - 332038204*x^28 - 984598796*x^27 + 1789965192*x^26 + 4072616970*x^25 - 7344215786*x^24 - 12966578080*x^23 + 23054213660*x^22 + 31740503424*x^21 - 55325951762*x^20 - 59298229526*x^19 + 100846016520*x^18 + 83312398152*x^17 - 137836217476*x^16 - 85865646360*x^15 + 138351784096*x^14 + 62310913584*x^13 - 98735768840*x^12 - 29631108272*x^11 + 47611663800*x^10 + 7947834806*x^9 - 14247369692*x^8 - 705476928*x^7 + 2257556390*x^6 - 103092406*x^5 - 134529176*x^4 + 11641378*x^3 + 3020788*x^2 - 438814*x + 13054, -6*x^43 + 16*x^42 + 408*x^41 - 1086*x^40 - 12796*x^39 + 33956*x^38 + 245678*x^37 - 648878*x^36 - 3232504*x^35 + 8478762*x^34 + 30921046*x^33 - 80313840*x^32 - 222641416*x^31 + 570528956*x^30 + 1232684110*x^29 - 3102046682*x^28 - 5315096270*x^27 + 13061508456*x^26 + 17961898452*x^25 - 42823303964*x^24 - 47620254900*x^23 + 109357327906*x^22 + 98603052988*x^21 - 216553786552*x^20 - 157746144888*x^19 + 329394856222*x^18 + 191254331724*x^17 - 378937175002*x^16 - 170108600544*x^15 + 322000263816*x^14 + 104836786222*x^13 - 194973108602*x^12 - 39800355728*x^11 + 79442443844*x^10 + 6311825164*x^9 - 19679708098*x^8 + 1008839048*x^7 + 2364040310*x^6 - 445284054*x^5 - 46887270*x^4 + 20758756*x^3 - 2605444*x^2 + 187350*x - 6394, 6*x^40 - 24*x^39 - 354*x^38 + 1480*x^37 + 9484*x^36 - 41786*x^35 - 152686*x^34 + 716322*x^33 + 1646984*x^32 - 8337102*x^31 - 12556964*x^30 + 69792010*x^29 + 69481054*x^28 - 434322834*x^27 - 281241734*x^26 + 2048074288*x^25 + 823059668*x^24 - 7391944990*x^23 - 1659347502*x^22 + 20483451806*x^21 + 1927645286*x^20 - 43449661396*x^19 + 170321922*x^18 + 69903714658*x^17 - 5651676758*x^16 - 83884905514*x^15 + 12271117888*x^14 + 73069535366*x^13 - 15297662254*x^12 - 44196654258*x^11 + 12375287198*x^10 + 17150713084*x^9 - 6388847086*x^8 - 3577696514*x^7 + 1885175524*x^6 + 172994010*x^5 - 229349938*x^4 + 44511874*x^3 - 2949020*x^2 + 15488*x + 2418, 2*x^44 - 10*x^43 - 124*x^42 + 692*x^41 + 3422*x^40 - 22078*x^39 - 54612*x^38 + 431038*x^37 + 538370*x^36 - 5764120*x^35 - 3021738*x^34 + 56001072*x^33 + 2823566*x^32 - 409148048*x^31 + 114121206*x^30 + 2295491030*x^29 - 1186668244*x^28 - 10011188668*x^27 + 6940078980*x^26 + 34136766940*x^25 - 28187002962*x^24 - 91037381102*x^23 + 84334195946*x^22 + 188906016394*x^21 - 189726026626*x^20 - 301512975870*x^19 + 322053911188*x^18 + 362767521020*x^17 - 409250084356*x^16 - 317945276868*x^15 + 382064879874*x^14 + 190806607890*x^13 - 253535138498*x^12 - 68350877222*x^11 + 113048218248*x^10 + 8213452624*x^9 - 30526072192*x^8 + 3069892960*x^7 + 3923525970*x^6 - 1028449072*x^5 - 62306988*x^4 + 48733986*x^3 - 5810778*x^2 + 248308*x - 4182, -3*x^48 + 9*x^47 + 228*x^46 - 690*x^45 - 8055*x^44 + 24605*x^43 + 175723*x^42 - 542093*x^41 - 2652177*x^40 + 8267348*x^39 + 29407940*x^38 - 92674594*x^37 - 248301143*x^36 + 791412860*x^35 + 1632863711*x^34 - 5266106283*x^33 - 8483326860*x^32 + 27696704069*x^31 + 35111896183*x^30 - 116126732589*x^29 - 116194534128*x^28 + 389761436217*x^27 + 307205767243*x^26 - 1047597192671*x^25 - 645335620517*x^24 + 2247729157877*x^23 + 1064605877565*x^22 - 3823441217248*x^21 - 1350437279754*x^20 + 5098558370603*x^19 + 1266985982801*x^18 - 5241131417326*x^17 - 809185961452*x^16 + 4052042674802*x^15 + 269081085341*x^14 - 2270653333451*x^13 + 44397730443*x^12 + 869802443662*x^11 - 93577122054*x^10 - 205282144230*x^9 + 41705298246*x^8 + 23621826951*x^7 - 7660502937*x^6 - 379465108*x^5 + 369091581*x^4 - 41265435*x^3 + 492992*x^2 + 117803*x - 3541, 2*x^46 - 6*x^45 - 140*x^44 + 418*x^43 + 4554*x^42 - 13480*x^41 - 91534*x^40 + 267226*x^39 + 1275348*x^38 - 3647266*x^37 - 13100048*x^36 + 36378652*x^35 + 102998898*x^34 - 274695390*x^33 - 635204544*x^32 + 1605124468*x^31 + 3122370490*x^30 - 7356587462*x^29 - 12355275318*x^28 + 26644632244*x^27 + 39546429226*x^26 - 76472978736*x^25 - 102396125538*x^24 + 173688585350*x^23 + 213483876302*x^22 - 310509129006*x^21 - 354958708584*x^20 + 432828553924*x^19 + 463605486336*x^18 - 463971177610*x^17 - 465409493306*x^16 + 375469383008*x^15 + 348368054580*x^14 - 224194047444*x^13 - 186264981138*x^12 + 96278829674*x^11 + 66806548744*x^10 - 29015110124*x^9 - 14552035336*x^8 + 5976909724*x^7 + 1586389054*x^6 - 779957152*x^5 - 31059044*x^4 + 48425872*x^3 - 7237950*x^2 + 359612*x - 3294, -2*x^41 + 4*x^40 + 136*x^39 - 262*x^38 - 4270*x^37 + 7912*x^36 + 82106*x^35 - 146076*x^34 - 1081428*x^33 + 1843378*x^32 + 10339012*x^31 - 16838870*x^30 - 74189656*x^29 + 115038968*x^28 + 407562306*x^27 - 598911916*x^26 - 1733120918*x^25 + 2399467572*x^24 + 5731304726*x^23 - 7421014740*x^22 - 14727184352*x^21 + 17674261870*x^20 + 29226422130*x^19 - 32162029738*x^18 - 44253817856*x^17 + 44106673910*x^16 + 50114090056*x^15 - 44640275550*x^14 - 41122418344*x^13 + 32339297932*x^12 + 23235719030*x^11 - 16040858968*x^10 - 8270407812*x^9 + 5099994460*x^8 + 1538672518*x^7 - 934566642*x^6 - 73904610*x^5 + 78188358*x^4 - 8431636*x^3 - 382902*x^2 + 79072*x - 1628, -6*x^42 + 6*x^41 + 412*x^40 - 400*x^39 - 13048*x^38 + 12206*x^37 + 253038*x^36 - 226162*x^35 - 3364666*x^34 + 2846680*x^33 + 32551616*x^32 - 25806300*x^31 - 237267196*x^30 + 174356356*x^29 + 1331117794*x^28 - 896570052*x^27 - 5821105906*x^26 + 3554134094*x^25 + 19967722848*x^24 - 10941579980*x^23 - 53777476136*x^22 + 26249346738*x^21 + 113254287084*x^20 - 49095782492*x^19 - 184754834610*x^18 + 71431911876*x^17 + 229789090038*x^16 - 80401719412*x^15 - 212606684508*x^14 + 69224599056*x^13 + 140888309170*x^12 - 44561296612*x^11 - 62889836400*x^10 + 20489085592*x^9 + 16918457856*x^8 - 6146441524*x^7 - 2111128104*x^6 + 992143500*x^5 + 12760082*x^4 - 48664746*x^3 + 7191540*x^2 - 363784*x + 4942, -2*x^41 + 4*x^40 + 118*x^39 - 232*x^38 - 3202*x^37 + 6240*x^36 + 52940*x^35 - 103712*x^34 - 594624*x^33 + 1196888*x^32 + 4778376*x^31 - 10202122*x^30 - 28076050*x^29 + 66544690*x^28 + 120274638*x^27 - 338555962*x^26 - 361377786*x^25 + 1353556420*x^24 + 658962576*x^23 - 4245484628*x^22 - 160731190*x^21 + 10349341392*x^20 - 3131380574*x^19 - 19277327044*x^18 + 10740759242*x^17 + 26712906466*x^16 - 20039096808*x^15 - 26380341002*x^14 + 24032759954*x^13 + 17165779194*x^12 - 18725488470*x^11 - 6063010154*x^10 + 8930448044*x^9 + 215614012*x^8 - 2177268870*x^7 + 574271600*x^6 + 96400472*x^5 - 117902908*x^4 + 39344378*x^3 - 6089880*x^2 + 422182*x - 9822, -2*x^42 + 6*x^41 + 132*x^40 - 398*x^39 - 4012*x^38 + 12130*x^37 + 74650*x^36 - 225600*x^35 - 953600*x^34 + 2868444*x^33 + 8889674*x^32 - 26472908*x^31 - 62735962*x^30 + 183765436*x^29 + 342916504*x^28 - 980898690*x^27 - 1471495128*x^26 + 4080008070*x^25 + 4986889012*x^24 - 13313530530*x^23 - 13335853172*x^22 + 34118243996*x^21 + 27918550966*x^20 - 68366186906*x^19 - 45025399892*x^18 + 106031404456*x^17 + 54432641780*x^16 - 125133478288*x^15 - 47086468098*x^14 + 109480753332*x^13 + 26611953804*x^12 - 68235585934*x^11 - 7564779366*x^10 + 28393292912*x^9 - 632688368*x^8 - 6985790596*x^7 + 1112869004*x^6 + 744783106*x^5 - 239123684*x^4 + 7385082*x^3 + 4494980*x^2 - 506864*x + 12906, 2*x^43 - 6*x^42 - 138*x^41 + 432*x^40 + 4324*x^39 - 14200*x^38 - 81510*x^37 + 283030*x^36 + 1031562*x^35 - 3830752*x^34 - 9250788*x^33 + 37355856*x^32 + 60345318*x^31 - 271711786*x^30 - 288082492*x^29 + 1505458790*x^28 + 988415092*x^27 - 6432558964*x^26 - 2269828054*x^25 + 21322318124*x^24 + 2523196880*x^23 - 54865986322*x^22 + 3658684182*x^21 + 109108655092*x^20 - 23499343678*x^19 - 165989207780*x^18 + 55955887856*x^17 + 189783165406*x^16 - 83364608578*x^15 - 158352946206*x^14 + 83810267504*x^13 + 91664631334*x^12 - 56709751282*x^11 - 33333571470*x^10 + 24604455700*x^9 + 5800394488*x^8 - 6088004056*x^7 + 185202738*x^6 + 610239004*x^5 - 156216726*x^4 + 16532144*x^3 - 1245076*x^2 + 92736*x - 2946, x^48 - 3*x^47 - 74*x^46 + 224*x^45 + 2545*x^44 - 7783*x^43 - 54021*x^42 + 167173*x^41 + 792559*x^40 - 2487144*x^39 - 8528048*x^38 + 27216218*x^37 + 69676031*x^36 - 227034134*x^35 - 441346759*x^34 + 1476601793*x^33 + 2192625858*x^32 - 7594518451*x^31 - 8579000157*x^30 + 31147780231*x^29 + 26348439448*x^28 - 102259467409*x^27 - 62690592887*x^26 + 268711507035*x^25 + 112049301215*x^24 - 562956219773*x^23 - 139450674081*x^22 + 932703743814*x^21 + 91144296090*x^20 - 1205851857639*x^19 + 47103817401*x^18 + 1191543174556*x^17 - 200565867884*x^16 - 870922509486*x^15 + 258733178987*x^14 + 445452385387*x^13 - 195294608701*x^12 - 142669030036*x^11 + 90191293848*x^10 + 20385956302*x^9 - 23221509102*x^8 + 1736564617*x^7 + 2342033773*x^6 - 691009282*x^5 + 74785947*x^4 - 10549175*x^3 + 2170898*x^2 - 160251*x + 585, 2*x^41 - 14*x^40 - 88*x^39 + 796*x^38 + 1438*x^37 - 20524*x^36 - 5770*x^35 + 317374*x^34 - 164680*x^33 - 3278212*x^32 + 3428932*x^31 + 23817904*x^30 - 34817556*x^29 - 124593184*x^28 + 231181876*x^27 + 470190810*x^26 - 1087947988*x^25 - 1248583370*x^24 + 3744376936*x^23 + 2136079876*x^22 - 9521860806*x^21 - 1517575278*x^20 + 17828883136*x^19 - 2812999500*x^18 - 24173532010*x^17 + 10307575554*x^16 + 22915326852*x^15 - 15761371872*x^14 - 14133593496*x^13 + 14308764956*x^12 + 4693850492*x^11 - 7872181582*x^10 - 130293538*x^9 + 2393483096*x^8 - 439498680*x^7 - 296562688*x^6 + 106863156*x^5 - 3526034*x^4 - 2188806*x^3 + 369426*x^2 - 32954*x + 1330, 2*x^45 - 6*x^44 - 136*x^43 + 406*x^42 + 4290*x^41 - 12706*x^40 - 83432*x^39 + 244240*x^38 + 1121486*x^37 - 3230146*x^36 - 11070178*x^35 + 31202210*x^34 + 83205172*x^33 - 228107936*x^32 - 487104798*x^31 + 1290477480*x^30 + 2252014996*x^29 - 5728709528*x^28 - 8281546868*x^27 + 20116652242*x^26 + 24258860556*x^25 - 56072413050*x^24 - 56367179268*x^23 + 123990373986*x^22 + 102799992390*x^21 - 216511722750*x^20 - 144392627756*x^19 + 295846004146*x^18 + 151242422608*x^17 - 311617098782*x^16 - 111339322478*x^15 + 247091586132*x^14 + 50167271574*x^13 - 141954527878*x^12 - 6918026660*x^11 + 55274481592*x^10 - 5773732038*x^9 - 12737903748*x^8 + 3339301992*x^7 + 1158061922*x^6 - 581958576*x^5 + 55963892*x^4 + 7987902*x^3 - 1762116*x^2 + 99556*x - 1970, -6*x^42 + 12*x^41 + 400*x^40 - 798*x^39 - 12268*x^38 + 24400*x^37 + 229568*x^36 - 454894*x^35 - 2931076*x^34 + 5781886*x^33 + 27053076*x^32 - 53078790*x^31 - 186580082*x^30 + 363765338*x^29 + 980280250*x^28 - 1897339278*x^27 - 3963803946*x^26 + 7609824218*x^25 + 12376957286*x^24 - 23555321352*x^23 - 29765154738*x^22 + 56153432348*x^21 + 54649273674*x^20 - 102294460428*x^19 - 75384638410*x^18 + 140375591932*x^17 + 76134125106*x^16 - 141816798246*x^15 - 54039525502*x^14 + 101767954538*x^13 + 25214384758*x^12 - 48980823462*x^11 - 6889568344*x^10 + 14332690166*x^9 + 921691154*x^8 - 2122783470*x^7 - 97069810*x^6 + 123489424*x^5 + 24176966*x^4 - 11299474*x^3 + 1230422*x^2 - 55830*x + 1330, 2*x^47 - 6*x^46 - 146*x^45 + 442*x^44 + 4938*x^43 - 15092*x^42 - 102758*x^41 + 317154*x^40 + 1473652*x^39 - 4593814*x^38 - 15460796*x^37 + 48675060*x^36 + 122956600*x^35 - 390819532*x^34 - 757907258*x^33 + 2430558246*x^32 + 3671603852*x^31 - 11868388282*x^30 - 14089995788*x^29 + 45855405886*x^28 + 42963353092*x^27 - 140635016956*x^26 - 103918449686*x^25 + 342145085916*x^24 + 197981907566*x^23 - 657455256208*x^22 - 292831865076*x^21 + 989800889880*x^20 + 327443359790*x^19 - 1153174939170*x^18 - 262987228366*x^17 + 1021614980138*x^16 + 134279551102*x^15 - 671550250708*x^14 - 24543540106*x^13 + 316302131756*x^12 - 18709465746*x^11 - 101224623836*x^10 + 15725564276*x^9 + 20059301262*x^8 - 5022785006*x^7 - 1990710022*x^6 + 723581752*x^5 + 32925648*x^4 - 36162082*x^3 + 4585082*x^2 - 205392*x + 3940, -6*x^43 + 22*x^42 + 384*x^41 - 1448*x^40 - 11284*x^39 + 43904*x^38 + 201962*x^37 - 813780*x^36 - 2463000*x^35 + 10319218*x^34 + 21695858*x^33 - 94930258*x^32 - 142798578*x^31 + 655604674*x^30 + 716696452*x^29 - 3470026584*x^28 - 2774820684*x^27 + 14245577912*x^26 + 8328524774*x^25 - 45619229574*x^24 - 19356138272*x^23 + 114011707864*x^22 + 34537442610*x^21 - 221411246016*x^20 - 46371293190*x^19 + 330976146742*x^18 + 44810834340*x^17 - 374968091934*x^16 - 27707758970*x^15 + 314420274242*x^14 + 5920974760*x^13 - 188269053512*x^12 + 6708713566*x^11 + 76087048830*x^10 - 7251981554*x^9 - 18830734866*x^8 + 3121508864*x^7 + 2324886308*x^6 - 588221160*x^5 - 65023276*x^4 + 29359538*x^3 - 2114164*x^2 - 39402*x + 4880, 2*x^48 - 6*x^47 - 150*x^46 + 454*x^45 + 5228*x^44 - 15972*x^43 - 112484*x^42 + 347026*x^41 + 1674008*x^40 - 5216998*x^39 - 18300004*x^38 + 57621634*x^37 + 152334334*x^36 - 484610804*x^35 - 987875070*x^34 + 3174179254*x^33 + 5064163890*x^32 - 16424943464*x^31 - 20705347038*x^30 + 67721302064*x^29 + 67821463736*x^28 - 223410212476*x^27 - 178073784870*x^26 + 589967259070*x^25 + 373490124932*x^24 - 1243289350430*x^23 - 620621551736*x^22 + 2076951237404*x^21 + 804974129052*x^20 - 2720583378746*x^19 - 794345233592*x^18 + 2749545773454*x^17 + 569184867694*x^16 - 2094403002414*x^15 - 267668845040*x^14 + 1161925787218*x^13 + 57731747916*x^12 - 445502643420*x^11 + 14223971142*x^10 + 108126472200*x^9 - 13160847332*x^8 - 13897196448*x^7 + 3167108416*x^6 + 503309562*x^5 - 228645418*x^4 + 26903338*x^3 - 1368582*x^2 + 21124*x + 1478, -3*x^43 + 6*x^42 + 203*x^41 - 406*x^40 - 6324*x^39 + 12627*x^38 + 120416*x^37 - 239600*x^36 - 1569252*x^35 + 3105673*x^34 + 14852468*x^33 - 29178958*x^32 - 105730448*x^31 + 205811776*x^30 + 578380719*x^29 - 1113843923*x^28 - 2462267927*x^27 + 4687620000*x^26 + 8206794377*x^25 - 15454651414*x^24 - 21417948078*x^23 + 40013411437*x^22 + 43502470173*x^21 - 81175034788*x^20 - 67829526059*x^19 + 128093373243*x^18 + 79178589081*x^17 - 155095404725*x^16 - 66102482548*x^15 + 140915641782*x^14 + 35831855057*x^13 - 92724802891*x^12 - 9164269894*x^11 + 41689460996*x^10 - 1785313868*x^9 - 11532449690*x^8 + 2017656710*x^7 + 1551635802*x^6 - 489691709*x^5 - 30712414*x^4 + 27928143*x^3 - 3777662*x^2 + 184363*x - 2471, -3*x^43 + 6*x^42 + 203*x^41 - 406*x^40 - 6324*x^39 + 12627*x^38 + 120416*x^37 - 239600*x^36 - 1569252*x^35 + 3105673*x^34 + 14852468*x^33 - 29178958*x^32 - 105730448*x^31 + 205811776*x^30 + 578380719*x^29 - 1113843923*x^28 - 2462267927*x^27 + 4687620000*x^26 + 8206794377*x^25 - 15454651414*x^24 - 21417948078*x^23 + 40013411437*x^22 + 43502470173*x^21 - 81175034788*x^20 - 67829526059*x^19 + 128093373243*x^18 + 79178589081*x^17 - 155095404725*x^16 - 66102482548*x^15 + 140915641782*x^14 + 35831855057*x^13 - 92724802891*x^12 - 9164269894*x^11 + 41689460996*x^10 - 1785313868*x^9 - 11532449690*x^8 + 2017656710*x^7 + 1551635802*x^6 - 489691709*x^5 - 30712414*x^4 + 27928143*x^3 - 3777662*x^2 + 184363*x - 2471, -3*x^43 + 8*x^42 + 202*x^41 - 544*x^40 - 6280*x^39 + 17127*x^38 + 119546*x^37 - 331281*x^36 - 1557866*x^35 + 4405007*x^34 + 14717937*x^33 - 42687598*x^32 - 104123673*x^31 + 311873413*x^30 + 561685193*x^29 - 1753008163*x^28 - 2329378608*x^27 + 7669118891*x^26 + 7424645132*x^25 - 26251093869*x^24 - 18011847080*x^23 + 70309247627*x^22 + 32455954164*x^21 - 146629811461*x^20 - 41058393099*x^19 + 235678561837*x^18 + 30809810619*x^17 - 287022085489*x^16 - 1573799169*x^15 + 257882349431*x^14 - 26517333679*x^13 - 163829455697*x^12 + 32990044049*x^11 + 68417182793*x^10 - 20524024820*x^9 - 16188408263*x^8 + 6840784474*x^7 + 1335087250*x^6 - 988779960*x^5 + 111703722*x^4 + 11513607*x^3 - 2549304*x^2 + 90146*x + 1299, -3*x^43 + 8*x^42 + 202*x^41 - 544*x^40 - 6280*x^39 + 17127*x^38 + 119546*x^37 - 331281*x^36 - 1557866*x^35 + 4405007*x^34 + 14717937*x^33 - 42687598*x^32 - 104123673*x^31 + 311873413*x^30 + 561685193*x^29 - 1753008163*x^28 - 2329378608*x^27 + 7669118891*x^26 + 7424645132*x^25 - 26251093869*x^24 - 18011847080*x^23 + 70309247627*x^22 + 32455954164*x^21 - 146629811461*x^20 - 41058393099*x^19 + 235678561837*x^18 + 30809810619*x^17 - 287022085489*x^16 - 1573799169*x^15 + 257882349431*x^14 - 26517333679*x^13 - 163829455697*x^12 + 32990044049*x^11 + 68417182793*x^10 - 20524024820*x^9 - 16188408263*x^8 + 6840784474*x^7 + 1335087250*x^6 - 988779960*x^5 + 111703722*x^4 + 11513607*x^3 - 2549304*x^2 + 90146*x + 1299, -3*x^44 + 9*x^43 + 201*x^42 - 614*x^41 - 6192*x^40 + 19307*x^39 + 116337*x^38 - 371352*x^37 - 1491009*x^36 + 4889701*x^35 + 13812127*x^34 - 46743575*x^33 - 95594466*x^32 + 335741749*x^31 + 503774502*x^30 - 1849885472*x^29 - 2040377558*x^28 + 7913568660*x^27 + 6358781392*x^26 - 26433430640*x^25 - 15134577057*x^24 + 68966838497*x^23 + 26970698682*x^22 - 139880335690*x^21 - 34454001682*x^20 + 218247548834*x^19 + 28254861854*x^18 - 257337127220*x^17 - 8869487097*x^16 + 222891160363*x^15 - 9443809866*x^14 - 135432068268*x^13 + 13776876633*x^12 + 53260713559*x^11 - 7312660261*x^10 - 11497510462*x^9 + 1287607117*x^8 + 857292852*x^7 + 286349145*x^6 - 34075954*x^5 - 96535661*x^4 + 33373477*x^3 - 4457873*x^2 + 271167*x - 6241, -3*x^44 + 9*x^43 + 201*x^42 - 614*x^41 - 6192*x^40 + 19307*x^39 + 116337*x^38 - 371352*x^37 - 1491009*x^36 + 4889701*x^35 + 13812127*x^34 - 46743575*x^33 - 95594466*x^32 + 335741749*x^31 + 503774502*x^30 - 1849885472*x^29 - 2040377558*x^28 + 7913568660*x^27 + 6358781392*x^26 - 26433430640*x^25 - 15134577057*x^24 + 68966838497*x^23 + 26970698682*x^22 - 139880335690*x^21 - 34454001682*x^20 + 218247548834*x^19 + 28254861854*x^18 - 257337127220*x^17 - 8869487097*x^16 + 222891160363*x^15 - 9443809866*x^14 - 135432068268*x^13 + 13776876633*x^12 + 53260713559*x^11 - 7312660261*x^10 - 11497510462*x^9 + 1287607117*x^8 + 857292852*x^7 + 286349145*x^6 - 34075954*x^5 - 96535661*x^4 + 33373477*x^3 - 4457873*x^2 + 271167*x - 6241, -3*x^44 + 9*x^43 + 203*x^42 - 617*x^41 - 6325*x^40 + 19512*x^39 + 120368*x^38 - 377693*x^37 - 1564862*x^36 + 5007575*x^35 + 14726789*x^34 - 48217458*x^33 - 103705591*x^32 + 348885730*x^31 + 556975266*x^30 - 1936372762*x^29 - 2303076353*x^28 + 8342071966*x^27 + 7341978649*x^26 - 28050663838*x^25 - 17912295587*x^24 + 73641498315*x^23 + 32780298609*x^22 - 150233600983*x^21 - 42996699785*x^20 + 235746203851*x^19 + 35765449042*x^18 - 279708496763*x^17 - 9421132333*x^16 + 244188666648*x^15 - 18305669276*x^14 - 150090322476*x^13 + 27302153332*x^12 + 60072799811*x^11 - 17991604542*x^10 - 13196565327*x^9 + 6154200096*x^8 + 759775651*x^7 - 883772279*x^6 + 165279258*x^5 + 2806455*x^4 - 5487916*x^3 + 916051*x^2 - 57437*x + 380, -3*x^44 + 9*x^43 + 203*x^42 - 617*x^41 - 6325*x^40 + 19512*x^39 + 120368*x^38 - 377693*x^37 - 1564862*x^36 + 5007575*x^35 + 14726789*x^34 - 48217458*x^33 - 103705591*x^32 + 348885730*x^31 + 556975266*x^30 - 1936372762*x^29 - 2303076353*x^28 + 8342071966*x^27 + 7341978649*x^26 - 28050663838*x^25 - 17912295587*x^24 + 73641498315*x^23 + 32780298609*x^22 - 150233600983*x^21 - 42996699785*x^20 + 235746203851*x^19 + 35765449042*x^18 - 279708496763*x^17 - 9421132333*x^16 + 244188666648*x^15 - 18305669276*x^14 - 150090322476*x^13 + 27302153332*x^12 + 60072799811*x^11 - 17991604542*x^10 - 13196565327*x^9 + 6154200096*x^8 + 759775651*x^7 - 883772279*x^6 + 165279258*x^5 + 2806455*x^4 - 5487916*x^3 + 916051*x^2 - 57437*x + 380, 2*x^43 - 7*x^42 - 130*x^41 + 451*x^40 + 3939*x^39 - 13449*x^38 - 74004*x^37 + 246596*x^36 + 966684*x^35 - 3114525*x^34 - 9322608*x^33 + 28760876*x^32 + 68718131*x^31 - 201101849*x^30 - 395016120*x^29 + 1087541668*x^28 + 1789314852*x^27 - 4604953517*x^26 - 6407224408*x^25 + 15355099921*x^24 + 18085697390*x^23 - 40337755882*x^22 - 39898680651*x^21 + 83113341474*x^20 + 67761884045*x^19 - 133049011666*x^18 - 86492177807*x^17 + 162942737889*x^16 + 79796165331*x^15 - 149127306185*x^14 - 49570988278*x^13 + 98412693608*x^12 + 17508652876*x^11 - 44221881274*x^10 - 1206529068*x^9 + 12219034068*x^8 - 1442345111*x^7 - 1656643483*x^6 + 436116173*x^5 + 39419566*x^4 - 24989531*x^3 + 2951757*x^2 - 125627*x + 2091, 2*x^43 - 7*x^42 - 130*x^41 + 451*x^40 + 3939*x^39 - 13449*x^38 - 74004*x^37 + 246596*x^36 + 966684*x^35 - 3114525*x^34 - 9322608*x^33 + 28760876*x^32 + 68718131*x^31 - 201101849*x^30 - 395016120*x^29 + 1087541668*x^28 + 1789314852*x^27 - 4604953517*x^26 - 6407224408*x^25 + 15355099921*x^24 + 18085697390*x^23 - 40337755882*x^22 - 39898680651*x^21 + 83113341474*x^20 + 67761884045*x^19 - 133049011666*x^18 - 86492177807*x^17 + 162942737889*x^16 + 79796165331*x^15 - 149127306185*x^14 - 49570988278*x^13 + 98412693608*x^12 + 17508652876*x^11 - 44221881274*x^10 - 1206529068*x^9 + 12219034068*x^8 - 1442345111*x^7 - 1656643483*x^6 + 436116173*x^5 + 39419566*x^4 - 24989531*x^3 + 2951757*x^2 - 125627*x + 2091, -3*x^45 + 9*x^44 + 207*x^43 - 626*x^42 - 6596*x^41 + 20114*x^40 + 128854*x^39 - 396295*x^38 - 1727810*x^37 + 5359868*x^36 + 16873387*x^35 - 52792047*x^34 - 124270784*x^33 + 392058546*x^32 + 705184179*x^31 - 2242680978*x^30 - 3122936427*x^29 + 10009354567*x^28 + 10863088611*x^27 - 35095240730*x^26 - 29710538970*x^25 + 96875928797*x^24 + 63600705417*x^23 - 210093205615*x^22 - 105361474287*x^21 + 355744484532*x^20 + 132211016831*x^19 - 465256959951*x^18 - 120744759110*x^17 + 462251417444*x^16 + 73658887029*x^15 - 340421857820*x^14 - 22645790826*x^13 + 179058817778*x^12 - 4066350430*x^11 - 63384821618*x^10 + 7077299430*x^9 + 13558941283*x^8 - 2771407095*x^7 - 1360320668*x^6 + 429267801*x^5 + 10784174*x^4 - 13329038*x^3 + 1031804*x^2 + 19822*x - 2440, -3*x^45 + 9*x^44 + 207*x^43 - 626*x^42 - 6596*x^41 + 20114*x^40 + 128854*x^39 - 396295*x^38 - 1727810*x^37 + 5359868*x^36 + 16873387*x^35 - 52792047*x^34 - 124270784*x^33 + 392058546*x^32 + 705184179*x^31 - 2242680978*x^30 - 3122936427*x^29 + 10009354567*x^28 + 10863088611*x^27 - 35095240730*x^26 - 29710538970*x^25 + 96875928797*x^24 + 63600705417*x^23 - 210093205615*x^22 - 105361474287*x^21 + 355744484532*x^20 + 132211016831*x^19 - 465256959951*x^18 - 120744759110*x^17 + 462251417444*x^16 + 73658887029*x^15 - 340421857820*x^14 - 22645790826*x^13 + 179058817778*x^12 - 4066350430*x^11 - 63384821618*x^10 + 7077299430*x^9 + 13558941283*x^8 - 2771407095*x^7 - 1360320668*x^6 + 429267801*x^5 + 10784174*x^4 - 13329038*x^3 + 1031804*x^2 + 19822*x - 2440, -3*x^43 + 6*x^42 + 201*x^41 - 401*x^40 - 6193*x^39 + 12316*x^38 + 116385*x^37 - 230567*x^36 - 1492008*x^35 + 2942799*x^34 + 13823850*x^33 - 27137839*x^32 - 95679229*x^31 + 186983730*x^30 + 504178150*x^29 - 981941984*x^28 - 2042039292*x^27 + 3974190090*x^26 + 6369167536*x^25 - 12454438886*x^24 - 15212058657*x^23 + 30199458488*x^22 + 27405002432*x^21 - 56321900910*x^20 - 36126628918*x^19 + 79826459488*x^18 + 32696682932*x^17 - 84264852356*x^16 - 17000214347*x^15 + 64074147770*x^14 + 590812402*x^13 - 33073301328*x^12 + 5917960063*x^11 + 10197850160*x^10 - 4004378445*x^9 - 1169198741*x^8 + 1040099530*x^7 - 225391088*x^6 - 36111753*x^5 + 53301717*x^4 - 19056978*x^3 + 3017025*x^2 - 210426*x + 4911, -3*x^43 + 6*x^42 + 201*x^41 - 401*x^40 - 6193*x^39 + 12316*x^38 + 116385*x^37 - 230567*x^36 - 1492008*x^35 + 2942799*x^34 + 13823850*x^33 - 27137839*x^32 - 95679229*x^31 + 186983730*x^30 + 504178150*x^29 - 981941984*x^28 - 2042039292*x^27 + 3974190090*x^26 + 6369167536*x^25 - 12454438886*x^24 - 15212058657*x^23 + 30199458488*x^22 + 27405002432*x^21 - 56321900910*x^20 - 36126628918*x^19 + 79826459488*x^18 + 32696682932*x^17 - 84264852356*x^16 - 17000214347*x^15 + 64074147770*x^14 + 590812402*x^13 - 33073301328*x^12 + 5917960063*x^11 + 10197850160*x^10 - 4004378445*x^9 - 1169198741*x^8 + 1040099530*x^7 - 225391088*x^6 - 36111753*x^5 + 53301717*x^4 - 19056978*x^3 + 3017025*x^2 - 210426*x + 4911, -3*x^45 + 9*x^44 + 212*x^43 - 641*x^42 - 6935*x^41 + 21142*x^40 + 139444*x^39 - 428776*x^38 - 1930086*x^37 + 5987734*x^36 + 19517159*x^35 - 61101227*x^34 - 149344574*x^33 + 471887168*x^32 + 883740355*x^31 - 2818775131*x^30 - 4097445656*x^29 + 13197126811*x^28 + 14986453527*x^27 - 48781291185*x^26 - 43298839171*x^25 + 142715896148*x^24 + 98412400589*x^23 - 329900176516*x^22 - 174055706937*x^21 + 598929801864*x^20 + 234569987029*x^19 - 844781914822*x^18 - 231485274676*x^17 + 910147927139*x^16 + 153376730437*x^15 - 729972935723*x^14 - 51017299211*x^13 + 418875364110*x^12 - 11181292863*x^11 - 161056191964*x^10 + 20366399752*x^9 + 36627892012*x^8 - 8733395801*x^7 - 3533848302*x^6 + 1436870469*x^5 - 70304368*x^4 - 31356312*x^3 + 5097311*x^2 - 277116*x + 5095, -3*x^45 + 9*x^44 + 212*x^43 - 641*x^42 - 6935*x^41 + 21142*x^40 + 139444*x^39 - 428776*x^38 - 1930086*x^37 + 5987734*x^36 + 19517159*x^35 - 61101227*x^34 - 149344574*x^33 + 471887168*x^32 + 883740355*x^31 - 2818775131*x^30 - 4097445656*x^29 + 13197126811*x^28 + 14986453527*x^27 - 48781291185*x^26 - 43298839171*x^25 + 142715896148*x^24 + 98412400589*x^23 - 329900176516*x^22 - 174055706937*x^21 + 598929801864*x^20 + 234569987029*x^19 - 844781914822*x^18 - 231485274676*x^17 + 910147927139*x^16 + 153376730437*x^15 - 729972935723*x^14 - 51017299211*x^13 + 418875364110*x^12 - 11181292863*x^11 - 161056191964*x^10 + 20366399752*x^9 + 36627892012*x^8 - 8733395801*x^7 - 3533848302*x^6 + 1436870469*x^5 - 70304368*x^4 - 31356312*x^3 + 5097311*x^2 - 277116*x + 5095, 2*x^44 - 6*x^43 - 132*x^42 + 387*x^41 + 4051*x^40 - 11493*x^39 - 76931*x^38 + 208560*x^37 + 1014935*x^36 - 2588221*x^35 - 9896863*x^34 + 23293727*x^33 + 74049873*x^32 - 157323494*x^31 - 435177747*x^30 + 813938967*x^29 + 2036864225*x^28 - 3263990001*x^27 - 7643784335*x^26 + 10200282843*x^25 + 23014473135*x^24 - 24849105682*x^23 - 55341941956*x^22 + 46998703128*x^21 + 105283040414*x^20 - 68491274889*x^19 - 156181531864*x^18 + 76177039414*x^17 + 177035085414*x^16 - 64188898438*x^15 - 149100391503*x^14 + 41119759783*x^13 + 89673477239*x^12 - 20502174041*x^11 - 36290140391*x^10 + 8138603188*x^9 + 8945668664*x^8 - 2409423901*x^7 - 1084173815*x^6 + 417960522*x^5 + 19523473*x^4 - 25093994*x^3 + 3668753*x^2 - 180791*x + 1647, 2*x^44 - 6*x^43 - 132*x^42 + 387*x^41 + 4051*x^40 - 11493*x^39 - 76931*x^38 + 208560*x^37 + 1014935*x^36 - 2588221*x^35 - 9896863*x^34 + 23293727*x^33 + 74049873*x^32 - 157323494*x^31 - 435177747*x^30 + 813938967*x^29 + 2036864225*x^28 - 3263990001*x^27 - 7643784335*x^26 + 10200282843*x^25 + 23014473135*x^24 - 24849105682*x^23 - 55341941956*x^22 + 46998703128*x^21 + 105283040414*x^20 - 68491274889*x^19 - 156181531864*x^18 + 76177039414*x^17 + 177035085414*x^16 - 64188898438*x^15 - 149100391503*x^14 + 41119759783*x^13 + 89673477239*x^12 - 20502174041*x^11 - 36290140391*x^10 + 8138603188*x^9 + 8945668664*x^8 - 2409423901*x^7 - 1084173815*x^6 + 417960522*x^5 + 19523473*x^4 - 25093994*x^3 + 3668753*x^2 - 180791*x + 1647, -3*x^46 + 9*x^45 + 216*x^44 - 653*x^43 - 7205*x^42 + 21958*x^41 + 147854*x^40 - 454382*x^39 - 2090571*x^38 + 6479906*x^37 + 21618054*x^36 - 67587704*x^35 - 169366685*x^34 + 534066997*x^33 + 1027624355*x^32 - 3267609561*x^31 - 4894280709*x^30 + 15688997321*x^29 + 18432642571*x^28 - 59557491940*x^27 - 55020676900*x^26 + 179254262985*x^25 + 129827835640*x^24 - 427192672132*x^23 - 240177445531*x^22 + 801799523588*x^21 + 342850524477*x^20 - 1173582231833*x^19 - 367050361436*x^18 + 1319126317824*x^17 + 279207058006*x^16 - 1112847761137*x^15 - 132811996048*x^14 + 680914327444*x^13 + 21527379829*x^12 - 286494117221*x^11 + 15813946985*x^10 + 75739046151*x^9 - 10961631518*x^8 - 10504761220*x^7 + 2564223982*x^6 + 440615156*x^5 - 187107819*x^4 + 11113255*x^3 + 1776233*x^2 - 223051*x + 5999, -3*x^46 + 9*x^45 + 216*x^44 - 653*x^43 - 7205*x^42 + 21958*x^41 + 147854*x^40 - 454382*x^39 - 2090571*x^38 + 6479906*x^37 + 21618054*x^36 - 67587704*x^35 - 169366685*x^34 + 534066997*x^33 + 1027624355*x^32 - 3267609561*x^31 - 4894280709*x^30 + 15688997321*x^29 + 18432642571*x^28 - 59557491940*x^27 - 55020676900*x^26 + 179254262985*x^25 + 129827835640*x^24 - 427192672132*x^23 - 240177445531*x^22 + 801799523588*x^21 + 342850524477*x^20 - 1173582231833*x^19 - 367050361436*x^18 + 1319126317824*x^17 + 279207058006*x^16 - 1112847761137*x^15 - 132811996048*x^14 + 680914327444*x^13 + 21527379829*x^12 - 286494117221*x^11 + 15813946985*x^10 + 75739046151*x^9 - 10961631518*x^8 - 10504761220*x^7 + 2564223982*x^6 + 440615156*x^5 - 187107819*x^4 + 11113255*x^3 + 1776233*x^2 - 223051*x + 5999, -x^44 + 3*x^43 + 67*x^42 - 199*x^41 - 2085*x^40 + 6094*x^39 + 40117*x^38 - 114479*x^37 - 536033*x^36 + 1478902*x^35 + 5295322*x^34 - 13962371*x^33 - 40178409*x^32 + 99948700*x^31 + 239859787*x^30 - 555497748*x^29 - 1143112691*x^28 + 2434128789*x^27 + 4379859080*x^26 - 8487702999*x^25 - 13503139464*x^24 + 23650997301*x^23 + 33341439985*x^22 - 52636120741*x^21 - 65283837663*x^20 + 93054113160*x^19 + 99799637718*x^18 - 129269893922*x^17 - 116409195236*x^16 + 138686158766*x^15 + 100100366113*x^14 - 111948640858*x^13 - 60010826024*x^12 + 65365125446*x^11 + 22544057309*x^10 - 25914588812*x^9 - 3925964379*x^8 + 6211137267*x^7 - 243581234*x^6 - 676198782*x^5 + 152945052*x^4 - 528028*x^3 - 2969400*x^2 + 285583*x - 6379, -x^44 + 3*x^43 + 67*x^42 - 199*x^41 - 2085*x^40 + 6094*x^39 + 40117*x^38 - 114479*x^37 - 536033*x^36 + 1478902*x^35 + 5295322*x^34 - 13962371*x^33 - 40178409*x^32 + 99948700*x^31 + 239859787*x^30 - 555497748*x^29 - 1143112691*x^28 + 2434128789*x^27 + 4379859080*x^26 - 8487702999*x^25 - 13503139464*x^24 + 23650997301*x^23 + 33341439985*x^22 - 52636120741*x^21 - 65283837663*x^20 + 93054113160*x^19 + 99799637718*x^18 - 129269893922*x^17 - 116409195236*x^16 + 138686158766*x^15 + 100100366113*x^14 - 111948640858*x^13 - 60010826024*x^12 + 65365125446*x^11 + 22544057309*x^10 - 25914588812*x^9 - 3925964379*x^8 + 6211137267*x^7 - 243581234*x^6 - 676198782*x^5 + 152945052*x^4 - 528028*x^3 - 2969400*x^2 + 285583*x - 6379, 2*x^43 - 12*x^42 - 109*x^41 + 762*x^40 + 2562*x^39 - 22231*x^38 - 32547*x^37 + 395329*x^36 + 206631*x^35 - 4793958*x^34 + 167309*x^33 + 42023566*x^32 - 16791080*x^31 - 275436664*x^30 + 179865349*x^29 + 1377177859*x^28 - 1151552319*x^27 - 5311415882*x^26 + 5162836987*x^25 + 15868207447*x^24 - 17060460078*x^23 - 36653914976*x^22 + 42381728675*x^21 + 64907106387*x^20 - 79550788153*x^19 - 86619953066*x^18 + 112284840613*x^17 + 84485462455*x^16 - 117557234356*x^15 - 56844520164*x^14 + 89077193943*x^13 + 23039660229*x^12 - 46880766607*x^11 - 2913997130*x^10 + 15925929770*x^9 - 1890554221*x^8 - 2981130696*x^7 + 916542083*x^6 + 165365876*x^5 - 120477452*x^4 + 20670382*x^3 - 1370432*x^2 + 27718*x - 121, 2*x^43 - 12*x^42 - 109*x^41 + 762*x^40 + 2562*x^39 - 22231*x^38 - 32547*x^37 + 395329*x^36 + 206631*x^35 - 4793958*x^34 + 167309*x^33 + 42023566*x^32 - 16791080*x^31 - 275436664*x^30 + 179865349*x^29 + 1377177859*x^28 - 1151552319*x^27 - 5311415882*x^26 + 5162836987*x^25 + 15868207447*x^24 - 17060460078*x^23 - 36653914976*x^22 + 42381728675*x^21 + 64907106387*x^20 - 79550788153*x^19 - 86619953066*x^18 + 112284840613*x^17 + 84485462455*x^16 - 117557234356*x^15 - 56844520164*x^14 + 89077193943*x^13 + 23039660229*x^12 - 46880766607*x^11 - 2913997130*x^10 + 15925929770*x^9 - 1890554221*x^8 - 2981130696*x^7 + 916542083*x^6 + 165365876*x^5 - 120477452*x^4 + 20670382*x^3 - 1370432*x^2 + 27718*x - 121, -3*x^47 + 9*x^46 + 222*x^45 - 671*x^44 - 7624*x^43 + 23225*x^42 + 161385*x^41 - 495638*x^40 - 2358869*x^39 + 7304977*x^38 + 25275950*x^37 - 78935306*x^36 - 205757231*x^35 + 647960271*x^34 + 1301239713*x^33 - 4131555275*x^32 - 6483205243*x^31 + 20750453430*x^30 + 25653024654*x^29 - 82763973318*x^28 - 80870219038*x^27 + 263130794900*x^26 + 202837213781*x^25 - 666784497077*x^24 - 402190551537*x^23 + 1341792905719*x^22 + 622267705701*x^21 - 2128256518229*x^20 - 733831365296*x^19 + 2629165192597*x^18 + 631437091792*x^17 - 2485247105720*x^16 - 359847613514*x^15 + 1751309120987*x^14 + 95190469866*x^13 - 884428299109*x^12 + 31061590278*x^11 + 300180059733*x^10 - 38405330700*x^9 - 60691594515*x^8 + 14069026878*x^7 + 5334784126*x^6 - 2053246089*x^5 + 70633449*x^4 + 46461583*x^3 - 6352166*x^2 + 263293*x - 2655, -3*x^47 + 9*x^46 + 222*x^45 - 671*x^44 - 7624*x^43 + 23225*x^42 + 161385*x^41 - 495638*x^40 - 2358869*x^39 + 7304977*x^38 + 25275950*x^37 - 78935306*x^36 - 205757231*x^35 + 647960271*x^34 + 1301239713*x^33 - 4131555275*x^32 - 6483205243*x^31 + 20750453430*x^30 + 25653024654*x^29 - 82763973318*x^28 - 80870219038*x^27 + 263130794900*x^26 + 202837213781*x^25 - 666784497077*x^24 - 402190551537*x^23 + 1341792905719*x^22 + 622267705701*x^21 - 2128256518229*x^20 - 733831365296*x^19 + 2629165192597*x^18 + 631437091792*x^17 - 2485247105720*x^16 - 359847613514*x^15 + 1751309120987*x^14 + 95190469866*x^13 - 884428299109*x^12 + 31061590278*x^11 + 300180059733*x^10 - 38405330700*x^9 - 60691594515*x^8 + 14069026878*x^7 + 5334784126*x^6 - 2053246089*x^5 + 70633449*x^4 + 46461583*x^3 - 6352166*x^2 + 263293*x - 2655, 2*x^45 - 6*x^44 - 144*x^43 + 439*x^42 + 4784*x^41 - 14846*x^40 - 97333*x^39 + 308055*x^38 + 1357468*x^37 - 4391290*x^36 - 13765930*x^35 + 45628291*x^34 + 105079489*x^33 - 357878522*x^32 - 616681138*x^31 + 2165116183*x^30 + 2817770718*x^29 - 10237808150*x^28 - 10088008300*x^27 + 38112963284*x^26 + 28326292345*x^25 - 111996603748*x^24 - 62099006513*x^23 + 259375260026*x^22 + 105054319694*x^21 - 470728772608*x^20 - 133982480063*x^19 + 662581479633*x^18 + 122811615879*x^17 - 711720867608*x^16 - 71675583032*x^15 + 569419477143*x^14 + 14235263968*x^13 - 327041276824*x^12 + 15409412726*x^11 + 127132600295*x^10 - 15400663405*x^9 - 30118282990*x^8 + 6144531808*x^7 + 3427845729*x^6 - 1077866570*x^5 - 48591170*x^4 + 48395359*x^3 - 6032806*x^2 + 272028*x - 3886, 2*x^45 - 6*x^44 - 144*x^43 + 439*x^42 + 4784*x^41 - 14846*x^40 - 97333*x^39 + 308055*x^38 + 1357468*x^37 - 4391290*x^36 - 13765930*x^35 + 45628291*x^34 + 105079489*x^33 - 357878522*x^32 - 616681138*x^31 + 2165116183*x^30 + 2817770718*x^29 - 10237808150*x^28 - 10088008300*x^27 + 38112963284*x^26 + 28326292345*x^25 - 111996603748*x^24 - 62099006513*x^23 + 259375260026*x^22 + 105054319694*x^21 - 470728772608*x^20 - 133982480063*x^19 + 662581479633*x^18 + 122811615879*x^17 - 711720867608*x^16 - 71675583032*x^15 + 569419477143*x^14 + 14235263968*x^13 - 327041276824*x^12 + 15409412726*x^11 + 127132600295*x^10 - 15400663405*x^9 - 30118282990*x^8 + 6144531808*x^7 + 3427845729*x^6 - 1077866570*x^5 - 48591170*x^4 + 48395359*x^3 - 6032806*x^2 + 272028*x - 3886, -x^43 + 3*x^42 + 66*x^41 - 202*x^40 - 1994*x^39 + 6242*x^38 + 36585*x^37 - 117542*x^36 - 455907*x^35 + 1510565*x^34 + 4086676*x^33 - 14059946*x^32 - 27199430*x^31 + 98161200*x^30 + 136562247*x^29 - 525189872*x^28 - 518586147*x^27 + 2180624902*x^26 + 1469407362*x^25 - 7068295099*x^24 - 2971954091*x^23 + 17888795749*x^22 + 3717549580*x^21 - 35146916096*x^20 - 787869248*x^19 + 52930541267*x^18 - 7735536439*x^17 - 59740900765*x^16 + 18399218708*x^15 + 48604817722*x^14 - 23228790781*x^13 - 26468961840*x^12 + 18315937446*x^11 + 8009002857*x^10 - 8891700726*x^9 - 298471755*x^8 + 2345282759*x^7 - 570196209*x^6 - 206058847*x^5 + 118367510*x^4 - 20008447*x^3 + 1221078*x^2 - 1291*x - 1209, -x^43 + 3*x^42 + 66*x^41 - 202*x^40 - 1994*x^39 + 6242*x^38 + 36585*x^37 - 117542*x^36 - 455907*x^35 + 1510565*x^34 + 4086676*x^33 - 14059946*x^32 - 27199430*x^31 + 98161200*x^30 + 136562247*x^29 - 525189872*x^28 - 518586147*x^27 + 2180624902*x^26 + 1469407362*x^25 - 7068295099*x^24 - 2971954091*x^23 + 17888795749*x^22 + 3717549580*x^21 - 35146916096*x^20 - 787869248*x^19 + 52930541267*x^18 - 7735536439*x^17 - 59740900765*x^16 + 18399218708*x^15 + 48604817722*x^14 - 23228790781*x^13 - 26468961840*x^12 + 18315937446*x^11 + 8009002857*x^10 - 8891700726*x^9 - 298471755*x^8 + 2345282759*x^7 - 570196209*x^6 - 206058847*x^5 + 118367510*x^4 - 20008447*x^3 + 1221078*x^2 - 1291*x - 1209, -x^44 + 4*x^43 + 66*x^42 - 277*x^41 - 1991*x^40 + 8869*x^39 + 36276*x^38 - 174229*x^37 - 443755*x^36 + 2349986*x^35 + 3821157*x^34 - 23075640*x^33 - 23464332*x^32 + 170687497*x^31 + 100084943*x^30 - 970813837*x^29 - 260294397*x^28 + 4296518712*x^27 + 108257628*x^26 - 14878781089*x^25 + 2448817620*x^24 + 40331355335*x^23 - 12721956246*x^22 - 85177899153*x^21 + 37228117536*x^20 + 138734789264*x^19 - 74457518849*x^18 - 171260333801*x^17 + 106280052761*x^16 + 155778362659*x^15 - 108396363733*x^14 - 99620724307*x^13 + 77134976412*x^12 + 41047694988*x^11 - 36364510644*x^10 - 8805693154*x^9 + 10262098553*x^8 + 156710728*x^7 - 1370743048*x^6 + 230214950*x^5 + 27628829*x^4 - 11201754*x^3 + 1356962*x^2 - 94055*x + 3197, -x^44 + 4*x^43 + 66*x^42 - 277*x^41 - 1991*x^40 + 8869*x^39 + 36276*x^38 - 174229*x^37 - 443755*x^36 + 2349986*x^35 + 3821157*x^34 - 23075640*x^33 - 23464332*x^32 + 170687497*x^31 + 100084943*x^30 - 970813837*x^29 - 260294397*x^28 + 4296518712*x^27 + 108257628*x^26 - 14878781089*x^25 + 2448817620*x^24 + 40331355335*x^23 - 12721956246*x^22 - 85177899153*x^21 + 37228117536*x^20 + 138734789264*x^19 - 74457518849*x^18 - 171260333801*x^17 + 106280052761*x^16 + 155778362659*x^15 - 108396363733*x^14 - 99620724307*x^13 + 77134976412*x^12 + 41047694988*x^11 - 36364510644*x^10 - 8805693154*x^9 + 10262098553*x^8 + 156710728*x^7 - 1370743048*x^6 + 230214950*x^5 + 27628829*x^4 - 11201754*x^3 + 1356962*x^2 - 94055*x + 3197, x^42 - 9*x^41 - 41*x^40 + 546*x^39 + 480*x^38 - 15193*x^37 + 5476*x^36 + 257263*x^35 - 255046*x^34 - 2966019*x^33 + 4089305*x^32 + 24685408*x^31 - 40561578*x^30 - 153457560*x^29 + 281610040*x^28 + 727394803*x^27 - 1438956590*x^26 - 2660600170*x^25 + 5544296361*x^24 + 7551328978*x^23 - 16288037233*x^22 - 16629039351*x^21 + 36577417449*x^20 + 28242615013*x^19 - 62509774265*x^18 - 36502411299*x^17 + 80375772164*x^16 + 35052137244*x^15 - 76242688796*x^14 - 24001074314*x^13 + 51714809666*x^12 + 10879463345*x^11 - 23870978669*x^10 - 2777175855*x^9 + 6903935506*x^8 + 204457120*x^7 - 1075346617*x^6 + 49783186*x^5 + 66170185*x^4 - 5635976*x^3 - 1526871*x^2 + 220072*x - 6527, x^42 - 9*x^41 - 41*x^40 + 546*x^39 + 480*x^38 - 15193*x^37 + 5476*x^36 + 257263*x^35 - 255046*x^34 - 2966019*x^33 + 4089305*x^32 + 24685408*x^31 - 40561578*x^30 - 153457560*x^29 + 281610040*x^28 + 727394803*x^27 - 1438956590*x^26 - 2660600170*x^25 + 5544296361*x^24 + 7551328978*x^23 - 16288037233*x^22 - 16629039351*x^21 + 36577417449*x^20 + 28242615013*x^19 - 62509774265*x^18 - 36502411299*x^17 + 80375772164*x^16 + 35052137244*x^15 - 76242688796*x^14 - 24001074314*x^13 + 51714809666*x^12 + 10879463345*x^11 - 23870978669*x^10 - 2777175855*x^9 + 6903935506*x^8 + 204457120*x^7 - 1075346617*x^6 + 49783186*x^5 + 66170185*x^4 - 5635976*x^3 - 1526871*x^2 + 220072*x - 6527, x^45 - 5*x^44 - 63*x^43 + 349*x^42 + 1780*x^41 - 11255*x^40 - 29468*x^39 + 222619*x^38 + 309940*x^37 - 3023575*x^36 - 2026650*x^35 + 29915912*x^34 + 6037177*x^33 - 223251952*x^32 + 26887944*x^31 + 1283601408*x^30 - 449292876*x^29 - 5758323729*x^28 + 2975831944*x^27 + 20284662952*x^26 - 12958587454*x^25 - 56179849613*x^24 + 40905499533*x^23 + 121886001358*x^22 - 96692355404*x^21 - 205310815481*x^20 + 172776627433*x^19 + 264378364400*x^18 - 232602986106*x^17 - 253864221137*x^16 + 232714744226*x^15 + 174579777048*x^14 - 168672703001*x^13 - 80007754278*x^12 + 84878984765*x^11 + 20773512047*x^10 - 27565263946*x^9 - 1365250764*x^8 + 5005765013*x^7 - 606825905*x^6 - 336272996*x^5 + 102475356*x^4 - 11171461*x^3 + 746692*x^2 - 48459*x + 1473, x^45 - 5*x^44 - 63*x^43 + 349*x^42 + 1780*x^41 - 11255*x^40 - 29468*x^39 + 222619*x^38 + 309940*x^37 - 3023575*x^36 - 2026650*x^35 + 29915912*x^34 + 6037177*x^33 - 223251952*x^32 + 26887944*x^31 + 1283601408*x^30 - 449292876*x^29 - 5758323729*x^28 + 2975831944*x^27 + 20284662952*x^26 - 12958587454*x^25 - 56179849613*x^24 + 40905499533*x^23 + 121886001358*x^22 - 96692355404*x^21 - 205310815481*x^20 + 172776627433*x^19 + 264378364400*x^18 - 232602986106*x^17 - 253864221137*x^16 + 232714744226*x^15 + 174579777048*x^14 - 168672703001*x^13 - 80007754278*x^12 + 84878984765*x^11 + 20773512047*x^10 - 27565263946*x^9 - 1365250764*x^8 + 5005765013*x^7 - 606825905*x^6 - 336272996*x^5 + 102475356*x^4 - 11171461*x^3 + 746692*x^2 - 48459*x + 1473, -3*x^46 + 10*x^45 + 215*x^44 - 727*x^43 - 7133*x^42 + 24497*x^41 + 145454*x^40 - 507989*x^39 - 2041419*x^38 + 7259382*x^37 + 20925858*x^36 - 75864885*x^35 - 162257313*x^34 + 600484011*x^33 + 972497262*x^32 - 3678641078*x^31 - 4564590820*x^30 + 17673761950*x^29 + 16891672519*x^28 - 67073149377*x^27 - 49347876562*x^26 + 201558432609*x^25 + 113317233340*x^24 - 478743580026*x^23 - 202160726333*x^22 + 893385175431*x^21 + 273755389981*x^20 - 1295810946173*x^19 - 268498529573*x^18 + 1436757993782*x^17 + 170131289932*x^16 - 1187885792678*x^15 - 41078619427*x^14 + 705310706898*x^13 - 34863519994*x^12 - 283128266708*x^11 + 39357844369*x^10 + 68851503564*x^9 - 16674639850*x^8 - 7782281605*x^7 + 3043032866*x^6 + 9483401*x^5 - 135522179*x^4 + 23800014*x^3 - 2005932*x^2 + 102593*x - 2458, -3*x^46 + 10*x^45 + 215*x^44 - 727*x^43 - 7133*x^42 + 24497*x^41 + 145454*x^40 - 507989*x^39 - 2041419*x^38 + 7259382*x^37 + 20925858*x^36 - 75864885*x^35 - 162257313*x^34 + 600484011*x^33 + 972497262*x^32 - 3678641078*x^31 - 4564590820*x^30 + 17673761950*x^29 + 16891672519*x^28 - 67073149377*x^27 - 49347876562*x^26 + 201558432609*x^25 + 113317233340*x^24 - 478743580026*x^23 - 202160726333*x^22 + 893385175431*x^21 + 273755389981*x^20 - 1295810946173*x^19 - 268498529573*x^18 + 1436757993782*x^17 + 170131289932*x^16 - 1187885792678*x^15 - 41078619427*x^14 + 705310706898*x^13 - 34863519994*x^12 - 283128266708*x^11 + 39357844369*x^10 + 68851503564*x^9 - 16674639850*x^8 - 7782281605*x^7 + 3043032866*x^6 + 9483401*x^5 - 135522179*x^4 + 23800014*x^3 - 2005932*x^2 + 102593*x - 2458, 2*x^42 - 4*x^41 - 141*x^40 + 283*x^39 + 4533*x^38 - 9080*x^37 - 88314*x^36 + 175591*x^35 + 1168226*x^34 - 2292499*x^33 - 11137350*x^32 + 21438334*x^31 + 79252016*x^30 - 148610324*x^29 - 430002806*x^28 + 779391658*x^27 + 1801213080*x^26 - 3128133899*x^25 - 5858997355*x^24 + 9654918362*x^23 + 14802211774*x^22 - 22902045478*x^21 - 28890327124*x^20 + 41508566692*x^19 + 43062698826*x^18 - 56831342733*x^17 - 48086610957*x^16 + 57718228622*x^15 + 39036142728*x^14 - 42301087672*x^13 - 21969936614*x^12 + 21458906654*x^11 + 7910008194*x^10 - 7058538077*x^9 - 1549480012*x^8 + 1348527535*x^7 + 96735141*x^6 - 120696166*x^5 + 7583706*x^4 + 2604797*x^3 - 404120*x^2 + 23004*x - 665, 2*x^42 - 4*x^41 - 141*x^40 + 283*x^39 + 4533*x^38 - 9080*x^37 - 88314*x^36 + 175591*x^35 + 1168226*x^34 - 2292499*x^33 - 11137350*x^32 + 21438334*x^31 + 79252016*x^30 - 148610324*x^29 - 430002806*x^28 + 779391658*x^27 + 1801213080*x^26 - 3128133899*x^25 - 5858997355*x^24 + 9654918362*x^23 + 14802211774*x^22 - 22902045478*x^21 - 28890327124*x^20 + 41508566692*x^19 + 43062698826*x^18 - 56831342733*x^17 - 48086610957*x^16 + 57718228622*x^15 + 39036142728*x^14 - 42301087672*x^13 - 21969936614*x^12 + 21458906654*x^11 + 7910008194*x^10 - 7058538077*x^9 - 1549480012*x^8 + 1348527535*x^7 + 96735141*x^6 - 120696166*x^5 + 7583706*x^4 + 2604797*x^3 - 404120*x^2 + 23004*x - 665, 2*x^44 - 4*x^43 - 146*x^42 + 289*x^41 + 4930*x^40 - 9631*x^39 - 102253*x^38 + 196476*x^37 + 1458970*x^36 - 2746247*x^35 - 15199739*x^34 + 27894353*x^33 + 119777290*x^32 - 213110108*x^31 - 729764694*x^30 + 1250637687*x^29 + 3484159713*x^28 - 5708763265*x^27 - 13131234327*x^26 + 20402185828*x^25 + 39158241634*x^24 - 57192784386*x^23 - 92181963621*x^22 + 125482521895*x^21 + 170066742231*x^20 - 214176853315*x^19 - 242667024452*x^18 + 281514422972*x^17 + 262186270500*x^16 - 280693057476*x^15 - 207427754612*x^14 + 207719191765*x^13 + 113640845581*x^12 - 110371534943*x^11 - 38695517281*x^10 + 39829891291*x^9 + 6001465024*x^8 - 8736534751*x^7 + 387477996*x^6 + 862799569*x^5 - 200791361*x^4 + 5654350*x^3 + 2659833*x^2 - 280877*x + 7118, 2*x^44 - 4*x^43 - 146*x^42 + 289*x^41 + 4930*x^40 - 9631*x^39 - 102253*x^38 + 196476*x^37 + 1458970*x^36 - 2746247*x^35 - 15199739*x^34 + 27894353*x^33 + 119777290*x^32 - 213110108*x^31 - 729764694*x^30 + 1250637687*x^29 + 3484159713*x^28 - 5708763265*x^27 - 13131234327*x^26 + 20402185828*x^25 + 39158241634*x^24 - 57192784386*x^23 - 92181963621*x^22 + 125482521895*x^21 + 170066742231*x^20 - 214176853315*x^19 - 242667024452*x^18 + 281514422972*x^17 + 262186270500*x^16 - 280693057476*x^15 - 207427754612*x^14 + 207719191765*x^13 + 113640845581*x^12 - 110371534943*x^11 - 38695517281*x^10 + 39829891291*x^9 + 6001465024*x^8 - 8736534751*x^7 + 387477996*x^6 + 862799569*x^5 - 200791361*x^4 + 5654350*x^3 + 2659833*x^2 - 280877*x + 7118, 2*x^46 - 6*x^45 - 145*x^44 + 440*x^43 + 4863*x^42 - 14936*x^41 - 100178*x^40 + 311592*x^39 + 1419604*x^38 - 4473287*x^37 - 14688867*x^36 + 46895636*x^35 + 114983906*x^34 - 371810504*x^33 - 696280019*x^32 + 2278277591*x^31 + 3307675625*x^30 - 10932948089*x^29 - 12429055322*x^28 + 41387597760*x^27 + 37077667592*x^26 - 123911086577*x^25 - 87754108683*x^24 + 292917047111*x^23 + 163894843330*x^22 - 543575173762*x^21 - 238765384631*x^20 + 783704219788*x^19 + 265679002613*x^18 - 863965396658*x^17 - 217452658296*x^16 + 711426375853*x^15 + 121562652467*x^14 - 422811827731*x^13 - 38220606831*x^12 + 172139009792*x^11 + 750796567*x^10 - 44033585469*x^9 + 4069031163*x^8 + 5953243213*x^7 - 1221763332*x^6 - 235191957*x^5 + 96241668*x^4 - 11159128*x^3 + 581595*x^2 - 8592*x - 739, 2*x^46 - 6*x^45 - 145*x^44 + 440*x^43 + 4863*x^42 - 14936*x^41 - 100178*x^40 + 311592*x^39 + 1419604*x^38 - 4473287*x^37 - 14688867*x^36 + 46895636*x^35 + 114983906*x^34 - 371810504*x^33 - 696280019*x^32 + 2278277591*x^31 + 3307675625*x^30 - 10932948089*x^29 - 12429055322*x^28 + 41387597760*x^27 + 37077667592*x^26 - 123911086577*x^25 - 87754108683*x^24 + 292917047111*x^23 + 163894843330*x^22 - 543575173762*x^21 - 238765384631*x^20 + 783704219788*x^19 + 265679002613*x^18 - 863965396658*x^17 - 217452658296*x^16 + 711426375853*x^15 + 121562652467*x^14 - 422811827731*x^13 - 38220606831*x^12 + 172139009792*x^11 + 750796567*x^10 - 44033585469*x^9 + 4069031163*x^8 + 5953243213*x^7 - 1221763332*x^6 - 235191957*x^5 + 96241668*x^4 - 11159128*x^3 + 581595*x^2 - 8592*x - 739, -x^45 + 4*x^44 + 69*x^43 - 283*x^42 - 2204*x^41 + 9284*x^40 + 43285*x^39 - 187528*x^38 - 585539*x^37 + 2611866*x^36 + 5793236*x^35 - 26619263*x^34 - 43452250*x^33 + 205597867*x^32 + 252752911*x^31 - 1229675990*x^30 - 1156830252*x^29 + 5770000024*x^28 + 4202322800*x^27 - 21389032905*x^26 - 12161951342*x^25 + 62768564943*x^24 + 28011942277*x^23 - 145495177580*x^22 - 50987839249*x^21 + 264632102516*x^20 + 72218122886*x^19 - 373371937121*x^18 - 77277045809*x^17 + 401532263323*x^16 + 58958684397*x^15 - 320681054166*x^14 - 27912330693*x^13 + 182878154860*x^12 + 4050849587*x^11 - 69941561928*x^10 + 3744130292*x^9 + 16012224941*x^8 - 2343510134*x^7 - 1672327664*x^6 + 450526486*x^5 + 4506394*x^4 - 11651682*x^3 + 1439132*x^2 - 67375*x - 54, -x^45 + 4*x^44 + 69*x^43 - 283*x^42 - 2204*x^41 + 9284*x^40 + 43285*x^39 - 187528*x^38 - 585539*x^37 + 2611866*x^36 + 5793236*x^35 - 26619263*x^34 - 43452250*x^33 + 205597867*x^32 + 252752911*x^31 - 1229675990*x^30 - 1156830252*x^29 + 5770000024*x^28 + 4202322800*x^27 - 21389032905*x^26 - 12161951342*x^25 + 62768564943*x^24 + 28011942277*x^23 - 145495177580*x^22 - 50987839249*x^21 + 264632102516*x^20 + 72218122886*x^19 - 373371937121*x^18 - 77277045809*x^17 + 401532263323*x^16 + 58958684397*x^15 - 320681054166*x^14 - 27912330693*x^13 + 182878154860*x^12 + 4050849587*x^11 - 69941561928*x^10 + 3744130292*x^9 + 16012224941*x^8 - 2343510134*x^7 - 1672327664*x^6 + 450526486*x^5 + 4506394*x^4 - 11651682*x^3 + 1439132*x^2 - 67375*x - 54, -x^43 + 4*x^42 + 65*x^41 - 269*x^40 - 1941*x^39 + 8357*x^38 + 35276*x^37 - 159100*x^36 - 435691*x^35 + 2076155*x^34 + 3866842*x^33 - 19680136*x^32 - 25425464*x^31 + 140128575*x^30 + 125837013*x^29 - 764537748*x^28 - 471429696*x^27 + 3232310662*x^26 + 1332745250*x^25 - 10641545882*x^24 - 2808229799*x^23 + 27274822657*x^22 + 4302541371*x^21 - 54144567934*x^20 - 4578090255*x^19 + 82388169680*x^18 + 3077280046*x^17 - 94487564786*x^16 - 977978650*x^15 + 79612205085*x^14 - 160229245*x^13 - 47425797480*x^12 + 287795547*x^11 + 18840834526*x^10 - 195454295*x^9 - 4555953069*x^8 + 128278078*x^7 + 580282110*x^6 - 45451871*x^5 - 30853994*x^4 + 4638256*x^3 + 111565*x^2 - 37908*x + 814, -x^43 + 4*x^42 + 65*x^41 - 269*x^40 - 1941*x^39 + 8357*x^38 + 35276*x^37 - 159100*x^36 - 435691*x^35 + 2076155*x^34 + 3866842*x^33 - 19680136*x^32 - 25425464*x^31 + 140128575*x^30 + 125837013*x^29 - 764537748*x^28 - 471429696*x^27 + 3232310662*x^26 + 1332745250*x^25 - 10641545882*x^24 - 2808229799*x^23 + 27274822657*x^22 + 4302541371*x^21 - 54144567934*x^20 - 4578090255*x^19 + 82388169680*x^18 + 3077280046*x^17 - 94487564786*x^16 - 977978650*x^15 + 79612205085*x^14 - 160229245*x^13 - 47425797480*x^12 + 287795547*x^11 + 18840834526*x^10 - 195454295*x^9 - 4555953069*x^8 + 128278078*x^7 + 580282110*x^6 - 45451871*x^5 - 30853994*x^4 + 4638256*x^3 + 111565*x^2 - 37908*x + 814, x^47 - 3*x^46 - 71*x^45 + 212*x^44 + 2345*x^43 - 6943*x^42 - 47912*x^41 + 139966*x^40 + 679390*x^39 - 1945753*x^38 - 7110767*x^37 + 19804399*x^36 + 57034538*x^35 - 152948800*x^34 - 359204858*x^33 + 916616202*x^32 + 1804737644*x^31 - 4323532471*x^30 - 7303645157*x^29 + 16186670886*x^28 + 23913988047*x^27 - 48294815489*x^26 - 63327493047*x^25 + 114880499200*x^24 + 134925527785*x^23 - 217249751496*x^22 - 228879350487*x^21 + 324670138337*x^20 + 303999057046*x^19 - 379908590878*x^18 - 308325957957*x^17 + 343543240895*x^16 + 229853688529*x^15 - 235642816788*x^14 - 118216126356*x^13 + 119116678776*x^12 + 36862287702*x^11 - 42144795858*x^10 - 4389151649*x^9 + 9357406736*x^8 - 876456469*x^7 - 969009537*x^6 + 275449766*x^5 - 3769010*x^4 - 7612926*x^3 + 1060864*x^2 - 51425*x + 985, x^47 - 3*x^46 - 71*x^45 + 212*x^44 + 2345*x^43 - 6943*x^42 - 47912*x^41 + 139966*x^40 + 679390*x^39 - 1945753*x^38 - 7110767*x^37 + 19804399*x^36 + 57034538*x^35 - 152948800*x^34 - 359204858*x^33 + 916616202*x^32 + 1804737644*x^31 - 4323532471*x^30 - 7303645157*x^29 + 16186670886*x^28 + 23913988047*x^27 - 48294815489*x^26 - 63327493047*x^25 + 114880499200*x^24 + 134925527785*x^23 - 217249751496*x^22 - 228879350487*x^21 + 324670138337*x^20 + 303999057046*x^19 - 379908590878*x^18 - 308325957957*x^17 + 343543240895*x^16 + 229853688529*x^15 - 235642816788*x^14 - 118216126356*x^13 + 119116678776*x^12 + 36862287702*x^11 - 42144795858*x^10 - 4389151649*x^9 + 9357406736*x^8 - 876456469*x^7 - 969009537*x^6 + 275449766*x^5 - 3769010*x^4 - 7612926*x^3 + 1060864*x^2 - 51425*x + 985, x^46 - 6*x^45 - 60*x^44 + 422*x^43 + 1555*x^42 - 13727*x^41 - 21635*x^40 + 274165*x^39 + 141933*x^38 - 3764553*x^37 + 458555*x^36 + 37706682*x^35 - 20856997*x^34 - 285290201*x^33 + 247316330*x^32 + 1665861512*x^31 - 1847015490*x^30 - 7604521883*x^29 + 9920823917*x^28 + 27320019676*x^27 - 40183329386*x^26 - 77358029099*x^25 + 125272352108*x^24 + 172017882927*x^23 - 302912552708*x^22 - 297524476471*x^21 + 567813469540*x^20 + 393114712837*x^19 - 819035261694*x^18 - 384028756051*x^17 + 895829049719*x^16 + 259810309690*x^15 - 725317359923*x^14 - 102141659167*x^13 + 418421877541*x^12 + 4245404504*x^11 - 161386994241*x^10 + 17986560558*x^9 + 36897087969*x^8 - 8682483878*x^7 - 3652973061*x^6 + 1467197424*x^5 - 51339829*x^4 - 36815833*x^3 + 5015627*x^2 - 198376*x + 2709, x^46 - 6*x^45 - 60*x^44 + 422*x^43 + 1555*x^42 - 13727*x^41 - 21635*x^40 + 274165*x^39 + 141933*x^38 - 3764553*x^37 + 458555*x^36 + 37706682*x^35 - 20856997*x^34 - 285290201*x^33 + 247316330*x^32 + 1665861512*x^31 - 1847015490*x^30 - 7604521883*x^29 + 9920823917*x^28 + 27320019676*x^27 - 40183329386*x^26 - 77358029099*x^25 + 125272352108*x^24 + 172017882927*x^23 - 302912552708*x^22 - 297524476471*x^21 + 567813469540*x^20 + 393114712837*x^19 - 819035261694*x^18 - 384028756051*x^17 + 895829049719*x^16 + 259810309690*x^15 - 725317359923*x^14 - 102141659167*x^13 + 418421877541*x^12 + 4245404504*x^11 - 161386994241*x^10 + 17986560558*x^9 + 36897087969*x^8 - 8682483878*x^7 - 3652973061*x^6 + 1467197424*x^5 - 51339829*x^4 - 36815833*x^3 + 5015627*x^2 - 198376*x + 2709, 2*x^43 - 4*x^42 - 143*x^41 + 285*x^40 + 4711*x^39 - 9326*x^38 - 94974*x^37 + 186073*x^36 + 1312438*x^35 - 2534199*x^34 - 13196552*x^33 + 24991124*x^32 + 100026552*x^31 - 184713802*x^30 - 584248692*x^29 + 1044885172*x^28 + 2665537238*x^27 - 4579543129*x^26 - 9570236539*x^25 + 15645577728*x^24 + 27109827278*x^23 - 41710774510*x^22 - 60470099358*x^21 + 86485177062*x^20 + 105492308926*x^19 - 138400032209*x^18 - 142139768351*x^17 + 168841539632*x^16 + 144940885896*x^15 - 154272530766*x^14 - 108313610152*x^13 + 103028896300*x^12 + 56266604936*x^11 - 48607191723*x^10 - 18427762862*x^9 + 15380283215*x^8 + 2979480939*x^7 - 2952524156*x^6 + 14275640*x^5 + 255036881*x^4 - 51389876*x^3 + 3092096*x^2 + 15967*x - 3232, 2*x^43 - 4*x^42 - 143*x^41 + 285*x^40 + 4711*x^39 - 9326*x^38 - 94974*x^37 + 186073*x^36 + 1312438*x^35 - 2534199*x^34 - 13196552*x^33 + 24991124*x^32 + 100026552*x^31 - 184713802*x^30 - 584248692*x^29 + 1044885172*x^28 + 2665537238*x^27 - 4579543129*x^26 - 9570236539*x^25 + 15645577728*x^24 + 27109827278*x^23 - 41710774510*x^22 - 60470099358*x^21 + 86485177062*x^20 + 105492308926*x^19 - 138400032209*x^18 - 142139768351*x^17 + 168841539632*x^16 + 144940885896*x^15 - 154272530766*x^14 - 108313610152*x^13 + 103028896300*x^12 + 56266604936*x^11 - 48607191723*x^10 - 18427762862*x^9 + 15380283215*x^8 + 2979480939*x^7 - 2952524156*x^6 + 14275640*x^5 + 255036881*x^4 - 51389876*x^3 + 3092096*x^2 + 15967*x - 3232, x^42 - 78*x^40 + 22*x^39 + 2746*x^38 - 1323*x^37 - 58218*x^36 + 36457*x^35 + 834961*x^34 - 610730*x^33 - 8613388*x^32 + 6957972*x^31 + 66263986*x^30 - 57142191*x^29 - 388619669*x^28 + 349828478*x^27 + 1759784708*x^26 - 1628474201*x^25 - 6189417001*x^24 + 5827091514*x^23 + 16909652489*x^22 - 16095299355*x^21 - 35684106181*x^20 + 34268254414*x^19 + 57464557275*x^18 - 55841540607*x^17 - 69158773647*x^16 + 68702298088*x^15 + 60078001732*x^14 - 62389207793*x^13 - 35404304031*x^12 + 40305436566*x^11 + 12357746225*x^10 - 17391069999*x^9 - 1472504073*x^8 + 4435483060*x^7 - 469937497*x^6 - 487066522*x^5 + 141817779*x^4 - 5167051*x^3 - 2239746*x^2 + 254641*x - 6453, x^42 - 78*x^40 + 22*x^39 + 2746*x^38 - 1323*x^37 - 58218*x^36 + 36457*x^35 + 834961*x^34 - 610730*x^33 - 8613388*x^32 + 6957972*x^31 + 66263986*x^30 - 57142191*x^29 - 388619669*x^28 + 349828478*x^27 + 1759784708*x^26 - 1628474201*x^25 - 6189417001*x^24 + 5827091514*x^23 + 16909652489*x^22 - 16095299355*x^21 - 35684106181*x^20 + 34268254414*x^19 + 57464557275*x^18 - 55841540607*x^17 - 69158773647*x^16 + 68702298088*x^15 + 60078001732*x^14 - 62389207793*x^13 - 35404304031*x^12 + 40305436566*x^11 + 12357746225*x^10 - 17391069999*x^9 - 1472504073*x^8 + 4435483060*x^7 - 469937497*x^6 - 487066522*x^5 + 141817779*x^4 - 5167051*x^3 - 2239746*x^2 + 254641*x - 6453]>
       ]
>;

MOG[947] := 	// J_0(947)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 5, 11, 21, 272, 429, 496, 555, 689, 781, 715*x + 685, 232*x + 685, 627*x + 30, 320*x + 30, 233*x + 732, 714*x + 732, 156*x + 648, 791*x + 648, 582*x + 322, 365*x + 322, 257*x + 70, 690*x + 70, 65*x + 548, 882*x + 548, 323*x + 272, 624*x + 272, 349*x + 252, 598*x + 252, 282*x + 700, 665*x + 700, 323*x + 142, 624*x + 142, 687*x + 723, 260*x + 723, 193*x + 918, 754*x + 918, 257*x + 149, 690*x + 149, 546*x + 687, 401*x + 687, 151*x + 830, 796*x + 830, 662*x + 71, 285*x + 71, 892*x + 241, 55*x + 241, 244*x + 574, 703*x + 574, 16*x + 175, 931*x + 175, 155*x + 91, 792*x + 91, 3*x + 915, 944*x + 915, 870*x + 388, 77*x + 388, 466*x + 225, 481*x + 225, 834*x + 26, 113*x + 26, 99*x + 36, 848*x + 36, 708*x + 627, 239*x + 627, 432*x + 891, 515*x + 891, 600*x + 694, 347*x + 694, 271*x + 311, 676*x + 311, 161*x + 393, 786*x + 393, 732*x + 285, 215*x + 285, 508*x + 577, 439*x + 577, 546*x + 223, 401*x + 223, 864*x + 894, 83*x + 894]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^35 + 7*x^34 - 25*x^33 - 274*x^32 + 101*x^31 + 4732*x^30 + 3637*x^29 - 47513*x^28 - 67645*x^27 + 307132*x^26 + 594391*x^25 - 1333057*x^24 - 3275985*x^23 + 3906932*x^22 + 12309435*x^21 - 7445447*x^20 - 32615138*x^19 + 7879296*x^18 + 61677912*x^17 - 440687*x^16 - 83143929*x^15 - 11888636*x^14 + 78934771*x^13 + 18203930*x^12 - 51538823*x^11 - 13686432*x^10 + 22230956*x^9 + 5573489*x^8 - 5902197*x^7 - 1103919*x^6 + 835503*x^5 + 71710*x^4 - 43219*x^3 - 1016*x^2 + 503*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^34 - 7*x^33 + 23*x^32 + 260*x^31 - 59*x^30 - 4240*x^29 - 3679*x^28 + 39959*x^27 + 60323*x^26 - 240572*x^25 - 487690*x^24 + 962111*x^23 + 2483249*x^22 - 2554438*x^21 - 8592875*x^20 + 4260804*x^19 + 20832974*x^18 - 3488496*x^17 - 35733228*x^16 - 1448991*x^15 + 43216984*x^14 + 7196102*x^13 - 36355461*x^12 - 8276402*x^11 + 20769753*x^10 + 4776477*x^9 - 7753055*x^8 - 1359467*x^7 + 1758329*x^6 + 127244*x^5 - 201422*x^4 + 9395*x^3 + 5341*x^2 - 251*x - 18, x^34 + 7*x^33 - 23*x^32 - 260*x^31 + 59*x^30 + 4240*x^29 + 3679*x^28 - 39959*x^27 - 60323*x^26 + 240572*x^25 + 487690*x^24 - 962111*x^23 - 2483249*x^22 + 2554438*x^21 + 8592875*x^20 - 4260804*x^19 - 20832974*x^18 + 3488496*x^17 + 35733228*x^16 + 1448991*x^15 - 43216984*x^14 - 7196102*x^13 + 36355461*x^12 + 8276402*x^11 - 20769753*x^10 - 4776477*x^9 + 7753055*x^8 + 1359467*x^7 - 1758329*x^6 - 127244*x^5 + 201422*x^4 - 9395*x^3 - 5341*x^2 + 251*x + 18, -x^33 - 7*x^32 + 21*x^31 + 246*x^30 - 21*x^29 - 3777*x^28 - 3661*x^27 + 33283*x^26 + 53372*x^25 - 185496*x^24 - 396852*x^23 + 675810*x^22 + 1862833*x^21 - 1584467*x^20 - 5914166*x^19 + 2140448*x^18 + 13039599*x^17 - 728126*x^16 - 20071200*x^15 - 2875961*x^14 + 21356688*x^13 + 5790968*x^12 - 15330349*x^11 - 5281094*x^10 + 7118587*x^9 + 2622787*x^8 - 1997711*x^7 - 677688*x^6 + 302107*x^5 + 75523*x^4 - 19629*x^3 - 2529*x^2 + 323*x + 20, x^33 + 7*x^32 - 21*x^31 - 246*x^30 + 21*x^29 + 3777*x^28 + 3661*x^27 - 33283*x^26 - 53372*x^25 + 185496*x^24 + 396852*x^23 - 675810*x^22 - 1862833*x^21 + 1584467*x^20 + 5914166*x^19 - 2140448*x^18 - 13039599*x^17 + 728126*x^16 + 20071200*x^15 + 2875961*x^14 - 21356688*x^13 - 5790968*x^12 + 15330349*x^11 + 5281094*x^10 - 7118587*x^9 - 2622787*x^8 + 1997711*x^7 + 677688*x^6 - 302107*x^5 - 75523*x^4 + 19629*x^3 + 2529*x^2 - 323*x - 20, -x^33 - 7*x^32 + 21*x^31 + 246*x^30 - 21*x^29 - 3777*x^28 - 3661*x^27 + 33277*x^26 + 53329*x^25 - 185450*x^24 - 395884*x^23 + 676684*x^22 + 1853727*x^21 - 1600176*x^20 - 5867998*x^19 + 2250352*x^18 + 12905085*x^17 - 1161552*x^16 - 19855745*x^15 - 1816573*x^14 + 21222622*x^13 + 4136560*x^12 - 15438721*x^11 - 3628861*x^10 + 7359314*x^9 + 1591235*x^8 - 2146157*x^7 - 298987*x^6 + 331974*x^5 + 5582*x^4 - 18249*x^3 + 1262*x^2 + 162*x - 19, x^33 + 7*x^32 - 21*x^31 - 246*x^30 + 21*x^29 + 3777*x^28 + 3661*x^27 - 33277*x^26 - 53329*x^25 + 185450*x^24 + 395884*x^23 - 676684*x^22 - 1853727*x^21 + 1600176*x^20 + 5867998*x^19 - 2250352*x^18 - 12905085*x^17 + 1161552*x^16 + 19855745*x^15 + 1816573*x^14 - 21222622*x^13 - 4136560*x^12 + 15438721*x^11 + 3628861*x^10 - 7359314*x^9 - 1591235*x^8 + 2146157*x^7 + 298987*x^6 - 331974*x^5 - 5582*x^4 + 18249*x^3 - 1262*x^2 - 162*x + 19, -x^32 - 7*x^31 + 19*x^30 + 232*x^29 + 12*x^28 - 3348*x^27 - 3565*x^26 + 27581*x^25 + 46579*x^24 - 142563*x^23 - 318755*x^22 + 476062*x^21 + 1378665*x^20 - 1004083*x^19 - 4013254*x^18 + 1173370*x^17 + 8052931*x^16 - 229520*x^15 - 11190538*x^14 - 1434093*x^13 + 10681519*x^12 + 2203454*x^11 - 6866344*x^10 - 1496203*x^9 + 2866259*x^8 + 484392*x^7 - 719455*x^6 - 51183*x^5 + 87696*x^4 - 3733*x^3 - 1558*x^2 - 138*x + 10, x^32 + 7*x^31 - 19*x^30 - 232*x^29 - 12*x^28 + 3348*x^27 + 3565*x^26 - 27581*x^25 - 46579*x^24 + 142563*x^23 + 318755*x^22 - 476062*x^21 - 1378665*x^20 + 1004083*x^19 + 4013254*x^18 - 1173370*x^17 - 8052931*x^16 + 229520*x^15 + 11190538*x^14 + 1434093*x^13 - 10681519*x^12 - 2203454*x^11 + 6866344*x^10 + 1496203*x^9 - 2866259*x^8 - 484392*x^7 + 719455*x^6 + 51183*x^5 - 87696*x^4 + 3733*x^3 + 1558*x^2 + 138*x - 10, -x^32 - 7*x^31 + 19*x^30 + 231*x^29 + 6*x^28 - 3328*x^27 - 3386*x^26 + 27495*x^25 + 44259*x^24 - 143738*x^23 - 301661*x^22 + 493909*x^21 + 1300044*x^20 - 1116273*x^19 - 3780121*x^18 + 1587000*x^17 + 7609097*x^16 - 1197450*x^15 - 10669758*x^14 + 28959*x^13 + 10343593*x^12 + 791854*x^11 - 6784822*x^10 - 657487*x^9 + 2889085*x^8 + 197387*x^7 - 736767*x^6 - 538*x^5 + 94097*x^4 - 8191*x^3 - 3460*x^2 + 409*x + 8, x^32 + 7*x^31 - 19*x^30 - 231*x^29 - 6*x^28 + 3328*x^27 + 3386*x^26 - 27495*x^25 - 44259*x^24 + 143738*x^23 + 301661*x^22 - 493909*x^21 - 1300044*x^20 + 1116273*x^19 + 3780121*x^18 - 1587000*x^17 - 7609097*x^16 + 1197450*x^15 + 10669758*x^14 - 28959*x^13 - 10343593*x^12 - 791854*x^11 + 6784822*x^10 + 657487*x^9 - 2889085*x^8 - 197387*x^7 + 736767*x^6 + 538*x^5 - 94097*x^4 + 8191*x^3 + 3460*x^2 - 409*x - 8, -x^32 - 7*x^31 + 19*x^30 + 231*x^29 + 5*x^28 - 3337*x^27 - 3391*x^26 + 27675*x^25 + 44707*x^24 - 145058*x^23 - 307287*x^22 + 497126*x^21 + 1334410*x^20 - 1105165*x^19 - 3901171*x^18 + 1487283*x^17 + 7866352*x^16 - 893233*x^15 - 10997440*x^14 - 461726*x^13 + 10585248*x^12 + 1221715*x^11 - 6890059*x^10 - 830995*x^9 + 2929955*x^8 + 195795*x^7 - 754634*x^6 + 22988*x^5 + 95523*x^4 - 13342*x^3 - 2079*x^2 + 231*x + 23, x^32 + 7*x^31 - 19*x^30 - 231*x^29 - 5*x^28 + 3337*x^27 + 3391*x^26 - 27675*x^25 - 44707*x^24 + 145058*x^23 + 307287*x^22 - 497126*x^21 - 1334410*x^20 + 1105165*x^19 + 3901171*x^18 - 1487283*x^17 - 7866352*x^16 + 893233*x^15 + 10997440*x^14 + 461726*x^13 - 10585248*x^12 - 1221715*x^11 + 6890059*x^10 + 830995*x^9 - 2929955*x^8 - 195795*x^7 + 754634*x^6 - 22988*x^5 - 95523*x^4 + 13342*x^3 + 2079*x^2 - 231*x - 23, -x^32 - 7*x^31 + 19*x^30 + 232*x^29 + 13*x^28 - 3345*x^27 - 3603*x^26 + 27447*x^25 + 47099*x^24 - 140369*x^23 - 322235*x^22 + 457136*x^21 + 1390467*x^20 - 905287*x^19 - 4026718*x^18 + 839661*x^17 + 8011131*x^16 + 525651*x^15 - 10996922*x^14 - 2597816*x^13 + 10331492*x^12 + 3425826*x^11 - 6520380*x^10 - 2354247*x^9 + 2676943*x^8 + 864685*x^7 - 671721*x^6 - 144650*x^5 + 87650*x^4 + 5209*x^3 - 3100*x^2 + x - 5, x^32 + 7*x^31 - 19*x^30 - 232*x^29 - 13*x^28 + 3345*x^27 + 3603*x^26 - 27447*x^25 - 47099*x^24 + 140369*x^23 + 322235*x^22 - 457136*x^21 - 1390467*x^20 + 905287*x^19 + 4026718*x^18 - 839661*x^17 - 8011131*x^16 - 525651*x^15 + 10996922*x^14 + 2597816*x^13 - 10331492*x^12 - 3425826*x^11 + 6520380*x^10 + 2354247*x^9 - 2676943*x^8 - 864685*x^7 + 671721*x^6 + 144650*x^5 - 87650*x^4 - 5209*x^3 + 3100*x^2 - x + 5, -x^31 - 7*x^30 + 16*x^29 + 209*x^28 + 41*x^27 - 2727*x^26 - 2981*x^25 + 20463*x^24 + 33190*x^23 - 97821*x^22 - 199581*x^21 + 311868*x^20 + 765858*x^19 - 674681*x^18 - 1990923*x^17 + 987294*x^16 + 3590106*x^15 - 953759*x^14 - 4506180*x^13 + 577152*x^12 + 3883523*x^11 - 203264*x^10 - 2222176*x^9 + 49237*x^8 + 793233*x^7 - 20934*x^6 - 157358*x^5 + 7444*x^4 + 13460*x^3 - 578*x^2 - 332*x - 1, x^31 + 7*x^30 - 16*x^29 - 209*x^28 - 41*x^27 + 2727*x^26 + 2981*x^25 - 20463*x^24 - 33190*x^23 + 97821*x^22 + 199581*x^21 - 311868*x^20 - 765858*x^19 + 674681*x^18 + 1990923*x^17 - 987294*x^16 - 3590106*x^15 + 953759*x^14 + 4506180*x^13 - 577152*x^12 - 3883523*x^11 + 203264*x^10 + 2222176*x^9 - 49237*x^8 - 793233*x^7 + 20934*x^6 + 157358*x^5 - 7444*x^4 - 13460*x^3 + 578*x^2 + 332*x + 1, -x^31 - 7*x^30 + 17*x^29 + 220*x^28 + 55*x^27 - 2975*x^26 - 3812*x^25 + 22470*x^24 + 44907*x^23 - 101927*x^22 - 284587*x^21 + 268516*x^20 + 1135054*x^19 - 292397*x^18 - 2995745*x^17 - 488688*x^16 + 5290556*x^15 + 2395627*x^14 - 6168989*x^13 - 4164666*x^12 + 4580482*x^11 + 3988155*x^10 - 2030152*x^9 - 2187632*x^8 + 485023*x^7 + 647439*x^6 - 57053*x^5 - 86700*x^4 + 4611*x^3 + 2969*x^2 + 19*x - 19, x^31 + 7*x^30 - 17*x^29 - 220*x^28 - 55*x^27 + 2975*x^26 + 3812*x^25 - 22470*x^24 - 44907*x^23 + 101927*x^22 + 284587*x^21 - 268516*x^20 - 1135054*x^19 + 292397*x^18 + 2995745*x^17 + 488688*x^16 - 5290556*x^15 - 2395627*x^14 + 6168989*x^13 + 4164666*x^12 - 4580482*x^11 - 3988155*x^10 + 2030152*x^9 + 2187632*x^8 - 485023*x^7 - 647439*x^6 + 57053*x^5 + 86700*x^4 - 4611*x^3 - 2969*x^2 - 19*x + 19, -x^31 - 7*x^30 + 17*x^29 + 217*x^28 + 38*x^27 - 2909*x^26 - 3291*x^25 + 22067*x^24 + 38033*x^23 - 103846*x^22 - 233377*x^21 + 311046*x^20 + 897830*x^19 - 576722*x^18 - 2287113*x^17 + 575395*x^16 + 3922021*x^15 - 86706*x^14 - 4504468*x^13 - 463114*x^12 + 3382031*x^11 + 496521*x^10 - 1576263*x^9 - 185387*x^8 + 404680*x^7 + 6842*x^6 - 36592*x^5 + 5874*x^4 - 3496*x^3 + 803*x^2 + 21*x - 3, x^31 + 7*x^30 - 17*x^29 - 217*x^28 - 38*x^27 + 2909*x^26 + 3291*x^25 - 22067*x^24 - 38033*x^23 + 103846*x^22 + 233377*x^21 - 311046*x^20 - 897830*x^19 + 576722*x^18 + 2287113*x^17 - 575395*x^16 - 3922021*x^15 + 86706*x^14 + 4504468*x^13 + 463114*x^12 - 3382031*x^11 - 496521*x^10 + 1576263*x^9 + 185387*x^8 - 404680*x^7 - 6842*x^6 + 36592*x^5 - 5874*x^4 + 3496*x^3 - 803*x^2 - 21*x + 3, -x^31 - 8*x^30 + 10*x^29 + 232*x^28 + 237*x^27 - 2879*x^26 - 5822*x^25 + 19691*x^24 + 57158*x^23 - 78055*x^22 - 329412*x^21 + 157148*x^20 + 1236215*x^19 + 23274*x^18 - 3143389*x^17 - 1044719*x^16 + 5479421*x^15 + 2991626*x^14 - 6508627*x^13 - 4536000*x^12 + 5163496*x^11 + 4127086*x^10 - 2653239*x^9 - 2240013*x^8 + 856264*x^7 + 670308*x^6 - 171418*x^5 - 89588*x^4 + 19665*x^3 + 2135*x^2 - 336*x - 17, x^31 + 8*x^30 - 10*x^29 - 232*x^28 - 237*x^27 + 2879*x^26 + 5822*x^25 - 19691*x^24 - 57158*x^23 + 78055*x^22 + 329412*x^21 - 157148*x^20 - 1236215*x^19 - 23274*x^18 + 3143389*x^17 + 1044719*x^16 - 5479421*x^15 - 2991626*x^14 + 6508627*x^13 + 4536000*x^12 - 5163496*x^11 - 4127086*x^10 + 2653239*x^9 + 2240013*x^8 - 856264*x^7 - 670308*x^6 + 171418*x^5 + 89588*x^4 - 19665*x^3 - 2135*x^2 + 336*x + 17, -x^31 - 8*x^30 + 10*x^29 + 232*x^28 + 234*x^27 - 2899*x^26 - 5787*x^25 + 20172*x^24 + 57354*x^23 - 82940*x^22 - 335224*x^21 + 184455*x^20 + 1281338*x^19 - 68882*x^18 - 3328627*x^17 - 848541*x^16 + 5932715*x^15 + 2713726*x^14 - 7187168*x^13 - 4234598*x^12 + 5772329*x^11 + 3824778*x^10 - 2956567*x^9 - 1983380*x^8 + 919479*x^7 + 536488*x^6 - 163973*x^5 - 59492*x^4 + 14637*x^3 + 1370*x^2 - 273*x - 5, x^31 + 8*x^30 - 10*x^29 - 232*x^28 - 234*x^27 + 2899*x^26 + 5787*x^25 - 20172*x^24 - 57354*x^23 + 82940*x^22 + 335224*x^21 - 184455*x^20 - 1281338*x^19 + 68882*x^18 + 3328627*x^17 + 848541*x^16 - 5932715*x^15 - 2713726*x^14 + 7187168*x^13 + 4234598*x^12 - 5772329*x^11 - 3824778*x^10 + 2956567*x^9 + 1983380*x^8 - 919479*x^7 - 536488*x^6 + 163973*x^5 + 59492*x^4 - 14637*x^3 - 1370*x^2 + 273*x + 5, -x^31 - 7*x^30 + 16*x^29 + 208*x^28 + 36*x^27 - 2703*x^26 - 2835*x^25 + 20220*x^24 + 31243*x^23 - 96618*x^22 - 184093*x^21 + 310556*x^20 + 685489*x^19 - 694187*x^18 - 1710106*x^17 + 1116860*x^16 + 2925590*x^15 - 1358879*x^14 - 3450206*x^13 + 1319753*x^12 + 2776333*x^11 - 1026912*x^10 - 1472792*x^9 + 587940*x^8 + 472044*x^7 - 214513*x^6 - 72478*x^5 + 40568*x^4 + 1533*x^3 - 2401*x^2 + 134*x + 24, x^31 + 7*x^30 - 16*x^29 - 208*x^28 - 36*x^27 + 2703*x^26 + 2835*x^25 - 20220*x^24 - 31243*x^23 + 96618*x^22 + 184093*x^21 - 310556*x^20 - 685489*x^19 + 694187*x^18 + 1710106*x^17 - 1116860*x^16 - 2925590*x^15 + 1358879*x^14 + 3450206*x^13 - 1319753*x^12 - 2776333*x^11 + 1026912*x^10 + 1472792*x^9 - 587940*x^8 - 472044*x^7 + 214513*x^6 + 72478*x^5 - 40568*x^4 - 1533*x^3 + 2401*x^2 - 134*x - 24, -x^31 - 7*x^30 + 17*x^29 + 214*x^28 + 15*x^27 - 2891*x^26 - 2751*x^25 + 22732*x^24 + 32798*x^23 - 115338*x^22 - 206937*x^21 + 395752*x^20 + 829140*x^19 - 936810*x^18 - 2238968*x^17 + 1537642*x^16 + 4154684*x^15 - 1750808*x^14 - 5284255*x^13 + 1403572*x^12 + 4509982*x^11 - 841945*x^10 - 2467567*x^9 + 412437*x^8 + 788103*x^7 - 153930*x^6 - 116412*x^5 + 29940*x^4 + 2391*x^3 - 445*x^2 - 116*x + 8, x^31 + 7*x^30 - 17*x^29 - 214*x^28 - 15*x^27 + 2891*x^26 + 2751*x^25 - 22732*x^24 - 32798*x^23 + 115338*x^22 + 206937*x^21 - 395752*x^20 - 829140*x^19 + 936810*x^18 + 2238968*x^17 - 1537642*x^16 - 4154684*x^15 + 1750808*x^14 + 5284255*x^13 - 1403572*x^12 - 4509982*x^11 + 841945*x^10 + 2467567*x^9 - 412437*x^8 - 788103*x^7 + 153930*x^6 + 116412*x^5 - 29940*x^4 - 2391*x^3 + 445*x^2 + 116*x - 8, -x^31 - 7*x^30 + 17*x^29 + 218*x^28 + 43*x^27 - 2939*x^26 - 3479*x^25 + 22349*x^24 + 40851*x^23 - 104210*x^22 - 256323*x^21 + 299137*x^20 + 1012140*x^19 - 473881*x^18 - 2654986*x^17 + 149561*x^16 + 4704139*x^15 + 969565*x^14 - 5606875*x^13 - 2114306*x^12 + 4408359*x^11 + 2116559*x^10 - 2214804*x^9 - 1138987*x^8 + 686333*x^7 + 308267*x^6 - 127912*x^5 - 30313*x^4 + 12758*x^3 - 816*x^2 - 51*x + 11, x^31 + 7*x^30 - 17*x^29 - 218*x^28 - 43*x^27 + 2939*x^26 + 3479*x^25 - 22349*x^24 - 40851*x^23 + 104210*x^22 + 256323*x^21 - 299137*x^20 - 1012140*x^19 + 473881*x^18 + 2654986*x^17 - 149561*x^16 - 4704139*x^15 - 969565*x^14 + 5606875*x^13 + 2114306*x^12 - 4408359*x^11 - 2116559*x^10 + 2214804*x^9 + 1138987*x^8 - 686333*x^7 - 308267*x^6 + 127912*x^5 + 30313*x^4 - 12758*x^3 + 816*x^2 + 51*x - 11, -2*x^30 - 15*x^29 + 22*x^28 + 410*x^27 + 310*x^26 - 4804*x^25 - 7914*x^24 + 31447*x^23 + 72207*x^22 - 125234*x^21 - 376687*x^20 + 306994*x^19 + 1260192*x^18 - 432666*x^17 - 2828377*x^16 + 240085*x^15 + 4336043*x^14 + 209669*x^13 - 4552505*x^12 - 441926*x^11 + 3234004*x^10 + 277447*x^9 - 1496503*x^8 - 52089*x^7 + 410748*x^6 - 15004*x^5 - 52665*x^4 + 5534*x^3 + 970*x^2 - 7*x - 2, 2*x^30 + 15*x^29 - 22*x^28 - 410*x^27 - 310*x^26 + 4804*x^25 + 7914*x^24 - 31447*x^23 - 72207*x^22 + 125234*x^21 + 376687*x^20 - 306994*x^19 - 1260192*x^18 + 432666*x^17 + 2828377*x^16 - 240085*x^15 - 4336043*x^14 - 209669*x^13 + 4552505*x^12 + 441926*x^11 - 3234004*x^10 - 277447*x^9 + 1496503*x^8 + 52089*x^7 - 410748*x^6 + 15004*x^5 + 52665*x^4 - 5534*x^3 - 970*x^2 + 7*x + 2, -x^30 - 8*x^29 + 7*x^28 + 211*x^27 + 274*x^26 - 2314*x^25 - 5475*x^24 + 13295*x^23 + 46967*x^22 - 38960*x^21 - 236120*x^20 + 22408*x^19 + 762139*x^18 + 246590*x^17 - 1634448*x^16 - 964324*x^15 + 2348315*x^14 + 1801576*x^13 - 2245491*x^12 - 1964792*x^11 + 1410164*x^10 + 1267993*x^9 - 576523*x^8 - 453237*x^7 + 151349*x^6 + 73631*x^5 - 21571*x^4 - 2379*x^3 + 256*x^2 + 144*x - 8, x^30 + 8*x^29 - 7*x^28 - 211*x^27 - 274*x^26 + 2314*x^25 + 5475*x^24 - 13295*x^23 - 46967*x^22 + 38960*x^21 + 236120*x^20 - 22408*x^19 - 762139*x^18 - 246590*x^17 + 1634448*x^16 + 964324*x^15 - 2348315*x^14 - 1801576*x^13 + 2245491*x^12 + 1964792*x^11 - 1410164*x^10 - 1267993*x^9 + 576523*x^8 + 453237*x^7 - 151349*x^6 - 73631*x^5 + 21571*x^4 + 2379*x^3 - 256*x^2 - 144*x + 8, -x^30 - 6*x^29 + 23*x^28 + 197*x^27 - 142*x^26 - 2833*x^25 - 979*x^24 + 23449*x^23 + 21458*x^22 - 123385*x^21 - 161202*x^20 + 429718*x^19 + 705336*x^18 - 997733*x^17 - 1998012*x^16 + 1509324*x^15 + 3781232*x^14 - 1385605*x^13 - 4783384*x^12 + 618718*x^11 + 3961764*x^10 + 26391*x^9 - 2056543*x^8 - 131089*x^7 + 616112*x^6 + 31327*x^5 - 88380*x^4 + 1680*x^3 + 2931*x^2 + 38*x - 19, x^30 + 6*x^29 - 23*x^28 - 197*x^27 + 142*x^26 + 2833*x^25 + 979*x^24 - 23449*x^23 - 21458*x^22 + 123385*x^21 + 161202*x^20 - 429718*x^19 - 705336*x^18 + 997733*x^17 + 1998012*x^16 - 1509324*x^15 - 3781232*x^14 + 1385605*x^13 + 4783384*x^12 - 618718*x^11 - 3961764*x^10 - 26391*x^9 + 2056543*x^8 + 131089*x^7 - 616112*x^6 - 31327*x^5 + 88380*x^4 - 1680*x^3 - 2931*x^2 - 38*x + 19, -x^30 - 6*x^29 + 20*x^28 + 176*x^27 - 105*x^26 - 2278*x^25 - 693*x^24 + 17187*x^23 + 12710*x^22 - 84161*x^21 - 82409*x^20 + 281968*x^19 + 312173*x^18 - 664325*x^17 - 764363*x^16 + 1115823*x^15 + 1240317*x^14 - 1344968*x^13 - 1317653*x^12 + 1165983*x^11 + 874428*x^10 - 717820*x^9 - 324693*x^8 + 294136*x^7 + 46290*x^6 - 66844*x^5 + 5295*x^4 + 5022*x^3 - 1354*x^2 + 81*x + 9, x^30 + 6*x^29 - 20*x^28 - 176*x^27 + 105*x^26 + 2278*x^25 + 693*x^24 - 17187*x^23 - 12710*x^22 + 84161*x^21 + 82409*x^20 - 281968*x^19 - 312173*x^18 + 664325*x^17 + 764363*x^16 - 1115823*x^15 - 1240317*x^14 + 1344968*x^13 + 1317653*x^12 - 1165983*x^11 - 874428*x^10 + 717820*x^9 + 324693*x^8 - 294136*x^7 - 46290*x^6 + 66844*x^5 - 5295*x^4 - 5022*x^3 + 1354*x^2 - 81*x - 9, -x^30 - 7*x^29 + 16*x^28 + 210*x^27 + 52*x^26 - 2715*x^25 - 3227*x^24 + 19744*x^23 + 35282*x^22 - 88141*x^21 - 206572*x^20 + 245384*x^19 + 756430*x^18 - 402279*x^17 - 1822591*x^16 + 285601*x^15 + 2930689*x^14 + 193796*x^13 - 3126454*x^12 - 593070*x^11 + 2168400*x^10 + 511384*x^9 - 946159*x^8 - 200636*x^7 + 247097*x^6 + 31153*x^5 - 35161*x^4 - 290*x^3 + 2201*x^2 - 155*x - 24, x^30 + 7*x^29 - 16*x^28 - 210*x^27 - 52*x^26 + 2715*x^25 + 3227*x^24 - 19744*x^23 - 35282*x^22 + 88141*x^21 + 206572*x^20 - 245384*x^19 - 756430*x^18 + 402279*x^17 + 1822591*x^16 - 285601*x^15 - 2930689*x^14 - 193796*x^13 + 3126454*x^12 + 593070*x^11 - 2168400*x^10 - 511384*x^9 + 946159*x^8 + 200636*x^7 - 247097*x^6 - 31153*x^5 + 35161*x^4 + 290*x^3 - 2201*x^2 + 155*x + 24, -x^30 - 7*x^29 + 16*x^28 + 209*x^27 + 43*x^26 - 2713*x^25 - 2999*x^24 + 20148*x^23 + 33002*x^22 - 94722*x^21 - 195642*x^20 + 294167*x^19 + 736578*x^18 - 609326*x^17 - 1864485*x^16 + 825143*x^15 + 3234601*x^14 - 685869*x^13 - 3835108*x^12 + 297737*x^11 + 3040159*x^10 - 39284*x^9 - 1538246*x^8 + 10091*x^7 + 453078*x^6 - 24741*x^5 - 62432*x^4 + 9284*x^3 + 1280*x^2 - 257*x + 16, x^30 + 7*x^29 - 16*x^28 - 209*x^27 - 43*x^26 + 2713*x^25 + 2999*x^24 - 20148*x^23 - 33002*x^22 + 94722*x^21 + 195642*x^20 - 294167*x^19 - 736578*x^18 + 609326*x^17 + 1864485*x^16 - 825143*x^15 - 3234601*x^14 + 685869*x^13 + 3835108*x^12 - 297737*x^11 - 3040159*x^10 + 39284*x^9 + 1538246*x^8 - 10091*x^7 - 453078*x^6 + 24741*x^5 + 62432*x^4 - 9284*x^3 - 1280*x^2 + 257*x - 16, -x^30 - 9*x^29 - x^28 + 215*x^27 + 463*x^26 - 2017*x^25 - 7273*x^24 + 8329*x^23 + 55189*x^22 - 1537*x^21 - 248284*x^20 - 141791*x^19 + 705614*x^18 + 696908*x^17 - 1281135*x^16 - 1743639*x^15 + 1447405*x^14 + 2622209*x^13 - 945499*x^12 - 2437097*x^11 + 306805*x^10 + 1374041*x^9 - 49441*x^8 - 446558*x^7 + 28861*x^6 + 74923*x^5 - 14940*x^4 - 4311*x^3 + 1754*x^2 - 153*x - 3, x^30 + 9*x^29 + x^28 - 215*x^27 - 463*x^26 + 2017*x^25 + 7273*x^24 - 8329*x^23 - 55189*x^22 + 1537*x^21 + 248284*x^20 + 141791*x^19 - 705614*x^18 - 696908*x^17 + 1281135*x^16 + 1743639*x^15 - 1447405*x^14 - 2622209*x^13 + 945499*x^12 + 2437097*x^11 - 306805*x^10 - 1374041*x^9 + 49441*x^8 + 446558*x^7 - 28861*x^6 - 74923*x^5 + 14940*x^4 + 4311*x^3 - 1754*x^2 + 153*x + 3, -x^30 - 9*x^29 - 3*x^28 + 201*x^27 + 483*x^26 - 1681*x^25 - 7044*x^24 + 4960*x^23 + 50118*x^22 + 16741*x^21 - 210220*x^20 - 199932*x^19 + 549270*x^18 + 807565*x^17 - 888918*x^16 - 1872462*x^15 + 818646*x^14 + 2735755*x^13 - 276919*x^12 - 2560433*x^11 - 193594*x^10 + 1500854*x^9 + 229537*x^8 - 515571*x^7 - 79647*x^6 + 88938*x^5 + 8702*x^4 - 4953*x^3 - 329*x^2 + 100*x - 6, x^30 + 9*x^29 + 3*x^28 - 201*x^27 - 483*x^26 + 1681*x^25 + 7044*x^24 - 4960*x^23 - 50118*x^22 - 16741*x^21 + 210220*x^20 + 199932*x^19 - 549270*x^18 - 807565*x^17 + 888918*x^16 + 1872462*x^15 - 818646*x^14 - 2735755*x^13 + 276919*x^12 + 2560433*x^11 + 193594*x^10 - 1500854*x^9 - 229537*x^8 + 515571*x^7 + 79647*x^6 - 88938*x^5 - 8702*x^4 + 4953*x^3 + 329*x^2 - 100*x + 6, -x^30 - 8*x^29 + 9*x^28 + 224*x^27 + 246*x^26 - 2651*x^25 - 5550*x^24 + 16993*x^23 + 50987*x^22 - 61336*x^21 - 272234*x^20 + 103984*x^19 + 930873*x^18 + 62243*x^17 - 2112385*x^16 - 705731*x^15 + 3211191*x^14 + 1571810*x^13 - 3256410*x^12 - 1806701*x^11 + 2183263*x^10 + 1141488*x^9 - 961408*x^8 - 358219*x^7 + 271408*x^6 + 32584*x^5 - 41325*x^4 + 5407*x^3 + 1243*x^2 - 200*x - 21, x^30 + 8*x^29 - 9*x^28 - 224*x^27 - 246*x^26 + 2651*x^25 + 5550*x^24 - 16993*x^23 - 50987*x^22 + 61336*x^21 + 272234*x^20 - 103984*x^19 - 930873*x^18 - 62243*x^17 + 2112385*x^16 + 705731*x^15 - 3211191*x^14 - 1571810*x^13 + 3256410*x^12 + 1806701*x^11 - 2183263*x^10 - 1141488*x^9 + 961408*x^8 + 358219*x^7 - 271408*x^6 - 32584*x^5 + 41325*x^4 - 5407*x^3 - 1243*x^2 + 200*x + 21, -x^30 - 10*x^29 - 7*x^28 + 233*x^27 + 626*x^26 - 2098*x^25 - 9236*x^24 + 7774*x^23 + 69205*x^22 + 6987*x^21 - 315430*x^20 - 191155*x^19 + 936202*x^18 + 872652*x^17 - 1864069*x^16 - 2179653*x^15 + 2522307*x^14 + 3403881*x^13 - 2338831*x^12 - 3425852*x^11 + 1507623*x^10 + 2198465*x^9 - 689266*x^8 - 854529*x^7 + 220443*x^6 + 177171*x^5 - 42478*x^4 - 14023*x^3 + 2972*x^2 + 196*x - 23, x^30 + 10*x^29 + 7*x^28 - 233*x^27 - 626*x^26 + 2098*x^25 + 9236*x^24 - 7774*x^23 - 69205*x^22 - 6987*x^21 + 315430*x^20 + 191155*x^19 - 936202*x^18 - 872652*x^17 + 1864069*x^16 + 2179653*x^15 - 2522307*x^14 - 3403881*x^13 + 2338831*x^12 + 3425852*x^11 - 1507623*x^10 - 2198465*x^9 + 689266*x^8 + 854529*x^7 - 220443*x^6 - 177171*x^5 + 42478*x^4 + 14023*x^3 - 2972*x^2 - 196*x + 23, -x^30 - 8*x^29 + 9*x^28 + 221*x^27 + 226*x^26 - 2617*x^25 - 5065*x^24 + 17257*x^23 + 46093*x^22 - 68371*x^21 - 245897*x^20 + 159632*x^19 + 851548*x^18 - 174671*x^17 - 1992378*x^16 - 96806*x^15 + 3190360*x^14 + 597507*x^13 - 3482679*x^12 - 841919*x^11 + 2545190*x^10 + 568219*x^9 - 1199574*x^8 - 164086*x^7 + 334866*x^6 - 2581*x^5 - 42781*x^4 + 8369*x^3 + 12*x^2 - 189*x + 28, x^30 + 8*x^29 - 9*x^28 - 221*x^27 - 226*x^26 + 2617*x^25 + 5065*x^24 - 17257*x^23 - 46093*x^22 + 68371*x^21 + 245897*x^20 - 159632*x^19 - 851548*x^18 + 174671*x^17 + 1992378*x^16 + 96806*x^15 - 3190360*x^14 - 597507*x^13 + 3482679*x^12 + 841919*x^11 - 2545190*x^10 - 568219*x^9 + 1199574*x^8 + 164086*x^7 - 334866*x^6 + 2581*x^5 + 42781*x^4 - 8369*x^3 - 12*x^2 + 189*x - 28, -x^30 - 6*x^29 + 23*x^28 + 196*x^27 - 146*x^26 - 2806*x^25 - 862*x^24 + 23118*x^23 + 19870*x^22 - 121110*x^21 - 148345*x^20 + 421094*x^19 + 638343*x^18 - 985297*x^17 - 1767924*x^16 + 1541514*x^15 + 3259186*x^14 - 1573250*x^13 - 4009040*x^12 + 1007353*x^11 + 3227074*x^10 - 400899*x^9 - 1626990*x^8 + 126388*x^7 + 471201*x^6 - 46637*x^5 - 63152*x^4 + 10943*x^3 + 1095*x^2 - 252*x + 16, x^30 + 6*x^29 - 23*x^28 - 196*x^27 + 146*x^26 + 2806*x^25 + 862*x^24 - 23118*x^23 - 19870*x^22 + 121110*x^21 + 148345*x^20 - 421094*x^19 - 638343*x^18 + 985297*x^17 + 1767924*x^16 - 1541514*x^15 - 3259186*x^14 + 1573250*x^13 + 4009040*x^12 - 1007353*x^11 - 3227074*x^10 + 400899*x^9 + 1626990*x^8 - 126388*x^7 - 471201*x^6 + 46637*x^5 + 63152*x^4 - 10943*x^3 - 1095*x^2 + 252*x - 16, -x^30 - 8*x^29 + 7*x^28 + 210*x^27 + 270*x^26 - 2292*x^25 - 5386*x^24 + 13041*x^23 + 46042*x^22 - 36889*x^21 - 229982*x^20 + 10312*x^19 + 733389*x^18 + 295197*x^17 - 1539068*x^16 - 1097600*x^15 + 2130861*x^14 + 2056760*x^13 - 1914093*x^12 - 2316620*x^11 + 1078502*x^10 + 1616159*x^9 - 363620*x^8 - 682806*x^7 + 72608*x^6 + 160974*x^5 - 11740*x^4 - 16968*x^3 + 1954*x^2 + 262*x - 11, x^30 + 8*x^29 - 7*x^28 - 210*x^27 - 270*x^26 + 2292*x^25 + 5386*x^24 - 13041*x^23 - 46042*x^22 + 36889*x^21 + 229982*x^20 - 10312*x^19 - 733389*x^18 - 295197*x^17 + 1539068*x^16 + 1097600*x^15 - 2130861*x^14 - 2056760*x^13 + 1914093*x^12 + 2316620*x^11 - 1078502*x^10 - 1616159*x^9 + 363620*x^8 + 682806*x^7 - 72608*x^6 - 160974*x^5 + 11740*x^4 + 16968*x^3 - 1954*x^2 - 262*x + 11, -x^29 - 7*x^28 + 12*x^27 + 187*x^26 + 123*x^25 - 2103*x^24 - 3480*x^23 + 12768*x^22 + 31832*x^21 - 43563*x^20 - 163351*x^19 + 69723*x^18 + 531146*x^17 + 40760*x^16 - 1144985*x^15 - 435025*x^14 + 1663182*x^13 + 940735*x^12 - 1631440*x^11 - 1073933*x^10 + 1077434*x^9 + 697100*x^8 - 477798*x^7 - 240301*x^6 + 138368*x^5 + 32958*x^4 - 21573*x^3 + 710*x^2 + 513*x - 27, x^29 + 7*x^28 - 12*x^27 - 187*x^26 - 123*x^25 + 2103*x^24 + 3480*x^23 - 12768*x^22 - 31832*x^21 + 43563*x^20 + 163351*x^19 - 69723*x^18 - 531146*x^17 - 40760*x^16 + 1144985*x^15 + 435025*x^14 - 1663182*x^13 - 940735*x^12 + 1631440*x^11 + 1073933*x^10 - 1077434*x^9 - 697100*x^8 + 477798*x^7 + 240301*x^6 - 138368*x^5 - 32958*x^4 + 21573*x^3 - 710*x^2 - 513*x + 27, -3*x^29 - 24*x^28 + 16*x^27 + 592*x^26 + 841*x^25 - 5976*x^24 - 15010*x^23 + 30476*x^22 + 118017*x^21 - 68957*x^20 - 540913*x^19 - 59755*x^18 + 1567057*x^17 + 840148*x^16 - 2934416*x^15 - 2500278*x^14 + 3506368*x^13 + 4012996*x^12 - 2540071*x^11 - 3831547*x^10 + 987639*x^9 + 2157075*x^8 - 144597*x^7 - 667993*x^6 - 4496*x^5 + 97017*x^4 - 943*x^3 - 4242*x^2 + 71*x + 28, 3*x^29 + 24*x^28 - 16*x^27 - 592*x^26 - 841*x^25 + 5976*x^24 + 15010*x^23 - 30476*x^22 - 118017*x^21 + 68957*x^20 + 540913*x^19 + 59755*x^18 - 1567057*x^17 - 840148*x^16 + 2934416*x^15 + 2500278*x^14 - 3506368*x^13 - 4012996*x^12 + 2540071*x^11 + 3831547*x^10 - 987639*x^9 - 2157075*x^8 + 144597*x^7 + 667993*x^6 + 4496*x^5 - 97017*x^4 + 943*x^3 + 4242*x^2 - 71*x - 28, -x^29 - 7*x^28 + 12*x^27 + 183*x^26 + 103*x^25 - 2012*x^24 - 2894*x^23 + 12094*x^22 + 24603*x^21 - 43267*x^20 - 113955*x^19 + 94323*x^18 + 324393*x^17 - 126223*x^16 - 590859*x^15 + 117208*x^14 + 693945*x^13 - 126530*x^12 - 515804*x^11 + 173811*x^10 + 224932*x^9 - 166137*x^8 - 40346*x^7 + 84714*x^6 - 7717*x^5 - 18486*x^4 + 4056*x^3 + 599*x^2 - 190*x + 8, x^29 + 7*x^28 - 12*x^27 - 183*x^26 - 103*x^25 + 2012*x^24 + 2894*x^23 - 12094*x^22 - 24603*x^21 + 43267*x^20 + 113955*x^19 - 94323*x^18 - 324393*x^17 + 126223*x^16 + 590859*x^15 - 117208*x^14 - 693945*x^13 + 126530*x^12 + 515804*x^11 - 173811*x^10 - 224932*x^9 + 166137*x^8 + 40346*x^7 - 84714*x^6 + 7717*x^5 + 18486*x^4 - 4056*x^3 - 599*x^2 + 190*x - 8, -x^28 - 7*x^27 + 13*x^26 + 189*x^25 + 93*x^24 - 2137*x^23 - 2970*x^22 + 13132*x^21 + 26388*x^20 - 47297*x^19 - 126927*x^18 + 98235*x^17 + 375971*x^16 - 96561*x^15 - 716371*x^14 - 24585*x^13 + 887381*x^12 + 173932*x^11 - 709616*x^10 - 186915*x^9 + 361615*x^8 + 88744*x^7 - 116297*x^6 - 18123*x^5 + 21896*x^4 + 720*x^3 - 1659*x^2 + 185*x - 5, x^28 + 7*x^27 - 13*x^26 - 189*x^25 - 93*x^24 + 2137*x^23 + 2970*x^22 - 13132*x^21 - 26388*x^20 + 47297*x^19 + 126927*x^18 - 98235*x^17 - 375971*x^16 + 96561*x^15 + 716371*x^14 + 24585*x^13 - 887381*x^12 - 173932*x^11 + 709616*x^10 + 186915*x^9 - 361615*x^8 - 88744*x^7 + 116297*x^6 + 18123*x^5 - 21896*x^4 - 720*x^3 + 1659*x^2 - 185*x + 5, -x^29 - 7*x^28 + 12*x^27 + 184*x^26 + 110*x^25 - 2035*x^24 - 3138*x^23 + 12132*x^22 + 27878*x^21 - 40541*x^20 - 136960*x^19 + 63464*x^18 + 419010*x^17 + 33974*x^16 - 829639*x^15 - 360210*x^14 + 1070573*x^13 + 743185*x^12 - 892760*x^11 - 807205*x^10 + 477143*x^9 + 505622*x^8 - 167167*x^7 - 176154*x^6 + 41249*x^5 + 28285*x^4 - 6493*x^3 - 676*x^2 + 193*x - 8, x^29 + 7*x^28 - 12*x^27 - 184*x^26 - 110*x^25 + 2035*x^24 + 3138*x^23 - 12132*x^22 - 27878*x^21 + 40541*x^20 + 136960*x^19 - 63464*x^18 - 419010*x^17 - 33974*x^16 + 829639*x^15 + 360210*x^14 - 1070573*x^13 - 743185*x^12 + 892760*x^11 + 807205*x^10 - 477143*x^9 - 505622*x^8 + 167167*x^7 + 176154*x^6 - 41249*x^5 - 28285*x^4 + 6493*x^3 + 676*x^2 - 193*x + 8, -2*x^28 - 12*x^27 + 36*x^26 + 334*x^25 - 108*x^24 - 4007*x^23 - 2367*x^22 + 27229*x^21 + 29206*x^20 - 116036*x^19 - 161270*x^18 + 325316*x^17 + 530223*x^16 - 615686*x^15 - 1120158*x^14 + 802341*x^13 + 1554786*x^12 - 740581*x^11 - 1406663*x^10 + 506541*x^9 + 795825*x^8 - 264862*x^7 - 253282*x^6 + 97695*x^5 + 32956*x^4 - 18484*x^3 + 967*x^2 + 342*x - 19, 2*x^28 + 12*x^27 - 36*x^26 - 334*x^25 + 108*x^24 + 4007*x^23 + 2367*x^22 - 27229*x^21 - 29206*x^20 + 116036*x^19 + 161270*x^18 - 325316*x^17 - 530223*x^16 + 615686*x^15 + 1120158*x^14 - 802341*x^13 - 1554786*x^12 + 740581*x^11 + 1406663*x^10 - 506541*x^9 - 795825*x^8 + 264862*x^7 + 253282*x^6 - 97695*x^5 - 32956*x^4 + 18484*x^3 - 967*x^2 - 342*x + 19, -2*x^28 - 14*x^27 + 24*x^26 + 367*x^25 + 213*x^24 - 4047*x^23 - 6032*x^22 + 24226*x^21 + 52481*x^20 - 83808*x^19 - 250915*x^18 + 157787*x^17 + 743403*x^16 - 92249*x^15 - 1420498*x^14 - 243002*x^13 + 1764518*x^12 + 616655*x^11 - 1408564*x^10 - 633394*x^9 + 702075*x^8 + 339485*x^7 - 207513*x^6 - 91440*x^5 + 33532*x^4 + 9799*x^3 - 2437*x^2 - 77*x + 3, 2*x^28 + 14*x^27 - 24*x^26 - 367*x^25 - 213*x^24 + 4047*x^23 + 6032*x^22 - 24226*x^21 - 52481*x^20 + 83808*x^19 + 250915*x^18 - 157787*x^17 - 743403*x^16 + 92249*x^15 + 1420498*x^14 + 243002*x^13 - 1764518*x^12 - 616655*x^11 + 1408564*x^10 + 633394*x^9 - 702075*x^8 - 339485*x^7 + 207513*x^6 + 91440*x^5 - 33532*x^4 - 9799*x^3 + 2437*x^2 + 77*x - 3]>,
         rec<Eigen |
           DefiningPolynomial := x^44 - 5*x^43 - 55*x^42 + 306*x^41 + 1344*x^40 - 8619*x^39 - 18936*x^38 + 148239*x^37 + 163778*x^36 - 1741738*x^35 - 789776*x^34 + 14819316*x^33 + 323874*x^32 - 94433180*x^31 + 26915376*x^30 + 459748870*x^29 - 236875673*x^28 - 1728883180*x^27 + 1203596053*x^26 + 5042931488*x^25 - 4262942155*x^24 - 11391132586*x^23 + 11111570711*x^22 + 19778148867*x^21 - 21710855608*x^20 - 26026018978*x^19 + 31871054691*x^18 + 25368537275*x^17 - 34863142196*x^16 - 17667274101*x^15 + 27933272551*x^14 + 8279640879*x^13 - 15966042062*x^12 - 2322667613*x^11 + 6274878076*x^10 + 269356281*x^9 - 1613523983*x^8 + 28556274*x^7 + 253197111*x^6 - 10335407*x^5 - 21656562*x^4 + 705136*x^3 + 787632*x^2 - 7440*x - 4800,
           Coordinates        := [-x^43 + 5*x^42 + 52*x^41 - 291*x^40 - 1194*x^39 + 7776*x^38 + 15642*x^37 - 126537*x^36 - 122888*x^35 + 1402389*x^34 + 491930*x^33 - 11215959*x^32 + 675368*x^31 + 66915567*x^30 - 23585700*x^29 - 303613537*x^28 + 173612553*x^27 + 1058365097*x^26 - 787922376*x^25 - 2843615709*x^24 + 2523005155*x^23 + 5871657269*x^22 - 5945880490*x^21 - 9231816692*x^20 + 10449980344*x^19 + 10867490396*x^18 - 13677481011*x^17 - 9318786523*x^16 + 13172495289*x^15 + 5565280324*x^14 - 9128917278*x^13 - 2135833787*x^12 + 4398690484*x^11 + 436907910*x^10 - 1401049938*x^9 - 13991737*x^8 + 273963515*x^7 - 10335879*x^6 - 29345144*x^5 + 1337528*x^4 + 1398238*x^3 - 36968*x^2 - 12848*x + 480, x^43 - 5*x^42 - 52*x^41 + 293*x^40 + 1184*x^39 - 7868*x^38 - 15118*x^37 + 128365*x^36 + 110382*x^35 - 1422281*x^34 - 311772*x^33 + 11332171*x^32 - 2425480*x^31 - 67054211*x^30 + 35716146*x^29 + 299993379*x^28 - 235510393*x^27 - 1023031511*x^26 + 1024359008*x^25 + 2659035211*x^24 - 3203490113*x^23 - 5222751231*x^22 + 7418435940*x^21 + 7599906210*x^20 - 12819719470*x^19 - 7875946060*x^18 + 16450962117*x^17 + 5323607309*x^16 - 15440139699*x^15 - 1732694202*x^14 + 10327252028*x^13 - 434062849*x^12 - 4733297874*x^11 + 716419228*x^10 + 1403818172*x^9 - 309862373*x^8 - 247711303*x^7 + 61116741*x^6 + 22894282*x^5 - 4818808*x^4 - 883640*x^3 + 69992*x^2 - 2152*x + 320, -3*x^41 + 15*x^40 + 144*x^39 - 813*x^38 - 3018*x^37 + 20132*x^36 + 35402*x^35 - 301939*x^34 - 237940*x^33 + 3065461*x^32 + 644742*x^31 - 22303131*x^30 + 3833564*x^29 + 120065361*x^28 - 53269268*x^27 - 486752851*x^26 + 315595245*x^25 + 1497694429*x^24 - 1215049090*x^23 - 3496667011*x^22 + 3320264449*x^21 + 6144120145*x^20 - 6620495534*x^19 - 7984049100*x^18 + 9672003248*x^17 + 7438563000*x^16 - 10243357423*x^15 - 4703670719*x^14 + 7680070245*x^13 + 1803832926*x^12 - 3922092944*x^11 - 288649931*x^10 + 1287619374*x^9 - 48078060*x^8 - 249721848*x^7 + 26572567*x^6 + 25208023*x^5 - 3621215*x^4 - 1093110*x^3 + 190840*x^2 + 16336*x - 1760, -3*x^42 + 15*x^41 + 150*x^40 - 843*x^39 - 3294*x^38 + 21702*x^37 + 40890*x^36 - 339349*x^35 - 297846*x^34 + 3603357*x^33 + 999242*x^32 - 27517613*x^31 + 3329676*x^30 + 156135333*x^29 - 63263120*x^28 - 670518083*x^27 + 415673677*x^26 + 2199315779*x^25 - 1739937000*x^24 - 5519475317*x^23 + 5165690221*x^22 + 10546332175*x^21 - 11260875264*x^20 - 15158528582*x^19 + 18193573680*x^18 + 16049750752*x^17 - 21690646907*x^16 - 12101993777*x^15 + 18804355273*x^14 + 6143807092*x^13 - 11567351578*x^12 - 1885759703*x^11 + 4873828138*x^10 + 255364544*x^9 - 1339560468*x^8 + 18220395*x^7 + 223851967*x^6 - 8997879*x^5 - 20258324*x^4 + 668168*x^3 + 774784*x^2 - 6960*x - 4800, x^41 - 5*x^40 - 48*x^39 + 273*x^38 + 996*x^37 - 6794*x^36 - 11318*x^35 + 102093*x^34 + 68870*x^33 - 1034579*x^32 - 81002*x^31 + 7479051*x^30 - 2411258*x^29 - 39791675*x^28 + 24429254*x^27 + 158455255*x^26 - 133239651*x^25 - 475554485*x^24 + 489860412*x^23 + 1074301333*x^22 - 1290446143*x^21 - 1809340393*x^20 + 2484372446*x^19 + 2226505024*x^18 - 3499039260*x^17 - 1928613560*x^16 + 3561893413*x^15 + 1091776805*x^14 - 2554324905*x^13 - 330849950*x^12 + 1233627474*x^11 + 2490699*x^10 - 369853934*x^9 + 30884294*x^8 + 57967266*x^7 - 6762799*x^6 - 2706541*x^5 - 62735*x^4 - 153502*x^3 + 62908*x^2 + 7216*x - 960, x^41 - 5*x^40 - 48*x^39 + 273*x^38 + 996*x^37 - 6800*x^36 - 11296*x^35 + 102369*x^34 + 67784*x^33 - 1040137*x^32 - 56994*x^31 + 7543095*x^30 - 2725856*x^29 - 40251277*x^28 + 27154804*x^27 + 160503003*x^26 - 149724409*x^25 - 480338631*x^24 + 561496426*x^23 + 1072250665*x^22 - 1517184423*x^21 - 1750869377*x^20 + 3008639946*x^19 + 2003173924*x^18 - 4379575914*x^17 - 1445662016*x^16 + 4622239213*x^15 + 421433091*x^14 - 3453554555*x^13 + 276885410*x^12 + 1762245338*x^11 - 350974689*x^10 - 585147092*x^9 + 159101574*x^8 + 119137628*x^7 - 35356923*x^6 - 13726237*x^5 + 3617995*x^4 + 736974*x^3 - 120420*x^2 - 3464*x + 640, -3*x^41 + 15*x^40 + 144*x^39 - 813*x^38 - 3018*x^37 + 20130*x^36 + 35416*x^35 - 301871*x^34 - 238608*x^33 + 3064803*x^32 + 658830*x^31 - 22308237*x^30 + 3660416*x^29 + 120257167*x^28 - 51894714*x^27 - 489026661*x^26 + 308234883*x^25 + 1513677381*x^24 - 1188276154*x^23 - 3571972621*x^22 + 3256501757*x^21 + 6392801349*x^20 - 6535871818*x^19 - 8568671336*x^18 + 9669792878*x^17 + 8415802792*x^16 - 10469773171*x^15 - 5848363161*x^14 + 8139330011*x^13 + 2717908732*x^12 - 4400150370*x^11 - 766709255*x^10 + 1575969972*x^9 + 108273666*x^8 - 348316730*x^7 - 4562809*x^6 + 42569085*x^5 + 276799*x^4 - 2326820*x^3 - 86896*x^2 + 17408*x + 320, 2*x^37 - 8*x^36 - 92*x^35 + 406*x^34 + 1808*x^33 - 9136*x^32 - 19570*x^31 + 120760*x^30 + 121882*x^29 - 1046336*x^28 - 360266*x^27 + 6276872*x^26 - 561524*x^25 - 26833706*x^24 + 10560118*x^23 + 82881280*x^22 - 51305116*x^21 - 185570564*x^20 + 147470158*x^19 + 299803060*x^18 - 281196508*x^17 - 345971448*x^16 + 366268400*x^15 + 282049970*x^14 - 326620732*x^13 - 161963068*x^12 + 197764796*x^11 + 66255594*x^10 - 80120350*x^9 - 19176426*x^8 + 20673950*x^7 + 3653068*x^6 - 2801094*x^5 - 519466*x^4 + 119098*x^3 + 49516*x^2 + 5792*x - 1120, x^42 - 5*x^41 - 50*x^40 + 283*x^39 + 1088*x^38 - 7322*x^37 - 13126*x^36 + 114771*x^35 + 87768*x^34 - 1217819*x^33 - 175118*x^32 + 9257455*x^31 - 2563476*x^30 - 52032065*x^29 + 30579032*x^28 + 219950427*x^27 - 183926335*x^26 - 704073253*x^25 + 741394948*x^24 + 1703142095*x^23 - 2152133275*x^22 - 3076199233*x^21 + 4610805374*x^20 + 4039696440*x^19 - 7326707078*x^18 - 3646267112*x^17 + 8572346943*x^16 + 1949331733*x^15 - 7256007073*x^14 - 219484306*x^13 + 4319372568*x^12 - 488027389*x^11 - 1737425062*x^10 + 367935238*x^9 + 448817146*x^8 - 119876505*x^7 - 70606409*x^6 + 18997019*x^5 + 6461504*x^4 - 1263548*x^3 - 300168*x^2 + 12480*x + 1600, 2*x^36 - 6*x^35 - 98*x^34 + 308*x^33 + 2116*x^32 - 7020*x^31 - 26590*x^30 + 94170*x^29 + 216052*x^28 - 830284*x^27 - 1190550*x^26 + 5086322*x^25 + 4524798*x^24 - 22308908*x^23 - 11748790*x^22 + 71132490*x^21 + 19827374*x^20 - 165743190*x^19 - 18273032*x^18 + 281530028*x^17 + 333520*x^16 - 345637928*x^15 + 20630472*x^14 + 302680442*x^13 - 23940290*x^12 - 185903358*x^11 + 11861438*x^10 + 78117032*x^9 - 2003318*x^8 - 21179744*x^7 - 505794*x^6 + 3147274*x^5 + 346180*x^4 - 173286*x^3 - 54188*x^2 - 4672*x + 1120, x^38 - 4*x^37 - 48*x^36 + 209*x^35 + 1002*x^34 - 4876*x^33 - 11901*x^32 + 67400*x^31 + 87531*x^30 - 617338*x^29 - 396185*x^28 + 3968720*x^27 + 909788*x^26 - 18503175*x^25 + 755261*x^24 + 63749548*x^23 - 13903768*x^22 - 163917772*x^21 + 53907705*x^20 + 315644720*x^19 - 122325222*x^18 - 454515752*x^17 + 182800680*x^16 + 486662913*x^15 - 183940838*x^14 - 383661976*x^13 + 122822688*x^12 + 219031155*x^11 - 51921613*x^10 - 87705245*x^9 + 12340293*x^8 + 23006278*x^7 - 894753*x^6 - 3407007*x^5 - 286631*x^4 + 198044*x^3 + 57084*x^2 + 4112*x - 1120, x^38 - 4*x^37 - 48*x^36 + 209*x^35 + 1002*x^34 - 4876*x^33 - 11901*x^32 + 67400*x^31 + 87531*x^30 - 617338*x^29 - 396185*x^28 + 3968720*x^27 + 909788*x^26 - 18503175*x^25 + 755261*x^24 + 63749548*x^23 - 13903768*x^22 - 163917772*x^21 + 53907705*x^20 + 315644720*x^19 - 122325222*x^18 - 454515752*x^17 + 182800680*x^16 + 486662913*x^15 - 183940838*x^14 - 383661976*x^13 + 122822688*x^12 + 219031155*x^11 - 51921613*x^10 - 87705245*x^9 + 12340293*x^8 + 23006278*x^7 - 894753*x^6 - 3407007*x^5 - 286631*x^4 + 198044*x^3 + 57084*x^2 + 4112*x - 1120, x^39 - 4*x^38 - 49*x^37 + 210*x^36 + 1063*x^35 - 4977*x^34 - 13401*x^33 + 70532*x^32 + 107813*x^31 - 667224*x^30 - 565480*x^29 + 4453258*x^28 + 1821480*x^27 - 21606030*x^26 - 2389433*x^25 + 77345274*x^24 - 7598239*x^23 - 205187337*x^22 + 50090217*x^21 + 401664549*x^20 - 136746264*x^19 - 573235114*x^18 + 223847182*x^17 + 585671564*x^16 - 225707880*x^15 - 421215914*x^14 + 125026221*x^13 + 216024128*x^12 - 16946694*x^11 - 87641217*x^10 - 20314386*x^9 + 32232894*x^8 + 11498288*x^7 - 9357966*x^6 - 2309105*x^5 + 1599706*x^4 + 167814*x^3 - 114172*x^2 - 3288*x + 1280, x^39 - 4*x^38 - 49*x^37 + 210*x^36 + 1063*x^35 - 4977*x^34 - 13401*x^33 + 70532*x^32 + 107813*x^31 - 667224*x^30 - 565480*x^29 + 4453258*x^28 + 1821480*x^27 - 21606030*x^26 - 2389433*x^25 + 77345274*x^24 - 7598239*x^23 - 205187337*x^22 + 50090217*x^21 + 401664549*x^20 - 136746264*x^19 - 573235114*x^18 + 223847182*x^17 + 585671564*x^16 - 225707880*x^15 - 421215914*x^14 + 125026221*x^13 + 216024128*x^12 - 16946694*x^11 - 87641217*x^10 - 20314386*x^9 + 32232894*x^8 + 11498288*x^7 - 9357966*x^6 - 2309105*x^5 + 1599706*x^4 + 167814*x^3 - 114172*x^2 - 3288*x + 1280, -x^37 + 7*x^36 + 31*x^35 - 305*x^34 - 308*x^33 + 6004*x^32 - 712*x^31 - 70874*x^30 + 47413*x^29 + 561798*x^28 - 551426*x^27 - 3174017*x^26 + 3706218*x^25 + 13237980*x^24 - 16865647*x^23 - 41611715*x^22 + 55122604*x^21 + 99550735*x^20 - 133049116*x^19 - 181083698*x^18 + 240150006*x^17 + 246962797*x^16 - 324501358*x^15 - 244496032*x^14 + 324417199*x^13 + 164970095*x^12 - 232739715*x^11 - 66319622*x^10 + 112775029*x^9 + 9949810*x^8 - 33066991*x^7 + 2297891*x^6 + 4823568*x^5 - 882196*x^4 - 229828*x^3 + 68768*x^2 - 3624*x - 160, -x^37 + 7*x^36 + 31*x^35 - 305*x^34 - 308*x^33 + 6004*x^32 - 712*x^31 - 70874*x^30 + 47413*x^29 + 561798*x^28 - 551426*x^27 - 3174017*x^26 + 3706218*x^25 + 13237980*x^24 - 16865647*x^23 - 41611715*x^22 + 55122604*x^21 + 99550735*x^20 - 133049116*x^19 - 181083698*x^18 + 240150006*x^17 + 246962797*x^16 - 324501358*x^15 - 244496032*x^14 + 324417199*x^13 + 164970095*x^12 - 232739715*x^11 - 66319622*x^10 + 112775029*x^9 + 9949810*x^8 - 33066991*x^7 + 2297891*x^6 + 4823568*x^5 - 882196*x^4 - 229828*x^3 + 68768*x^2 - 3624*x - 160, x^40 - 4*x^39 - 51*x^38 + 220*x^37 + 1153*x^36 - 5492*x^35 - 15120*x^34 + 82474*x^33 + 125327*x^32 - 832446*x^31 - 654973*x^30 + 5976547*x^29 + 1812086*x^28 - 31503079*x^27 + 1244336*x^26 + 124059161*x^25 - 36734369*x^24 - 367842608*x^23 + 183202376*x^22 + 821329219*x^21 - 546729989*x^20 - 1371363434*x^19 + 1116710679*x^18 + 1686961066*x^17 - 1616878454*x^16 - 1491105742*x^15 + 1664928641*x^14 + 909600362*x^13 - 1201755782*x^12 - 357653291*x^11 + 590456420*x^10 + 79035554*x^9 - 188559735*x^8 - 6214040*x^7 + 36511843*x^6 - 611399*x^5 - 3849121*x^4 + 101428*x^3 + 172692*x^2 - 1960*x - 800, x^40 - 4*x^39 - 51*x^38 + 220*x^37 + 1153*x^36 - 5492*x^35 - 15120*x^34 + 82474*x^33 + 125327*x^32 - 832446*x^31 - 654973*x^30 + 5976547*x^29 + 1812086*x^28 - 31503079*x^27 + 1244336*x^26 + 124059161*x^25 - 36734369*x^24 - 367842608*x^23 + 183202376*x^22 + 821329219*x^21 - 546729989*x^20 - 1371363434*x^19 + 1116710679*x^18 + 1686961066*x^17 - 1616878454*x^16 - 1491105742*x^15 + 1664928641*x^14 + 909600362*x^13 - 1201755782*x^12 - 357653291*x^11 + 590456420*x^10 + 79035554*x^9 - 188559735*x^8 - 6214040*x^7 + 36511843*x^6 - 611399*x^5 - 3849121*x^4 + 101428*x^3 + 172692*x^2 - 1960*x - 800, x^38 - 6*x^37 - 42*x^36 + 306*x^35 + 717*x^34 - 7066*x^33 - 5613*x^32 + 97822*x^31 + 1962*x^30 - 905951*x^29 + 405579*x^28 + 5928329*x^27 - 4543557*x^26 - 28210712*x^25 + 28380869*x^24 + 98905723*x^23 - 119208391*x^22 - 255746898*x^21 + 356076020*x^20 + 482483600*x^19 - 770538275*x^18 - 646773750*x^17 + 1208369894*x^16 + 583226915*x^15 - 1355961582*x^14 - 309914258*x^13 + 1061986400*x^12 + 50980919*x^11 - 558849193*x^10 + 40902585*x^9 + 187717730*x^8 - 26150204*x^7 - 37926195*x^6 + 5618112*x^5 + 4303566*x^4 - 413644*x^3 - 233064*x^2 - 872*x + 1920, x^38 - 6*x^37 - 42*x^36 + 306*x^35 + 717*x^34 - 7066*x^33 - 5613*x^32 + 97822*x^31 + 1962*x^30 - 905951*x^29 + 405579*x^28 + 5928329*x^27 - 4543557*x^26 - 28210712*x^25 + 28380869*x^24 + 98905723*x^23 - 119208391*x^22 - 255746898*x^21 + 356076020*x^20 + 482483600*x^19 - 770538275*x^18 - 646773750*x^17 + 1208369894*x^16 + 583226915*x^15 - 1355961582*x^14 - 309914258*x^13 + 1061986400*x^12 + 50980919*x^11 - 558849193*x^10 + 40902585*x^9 + 187717730*x^8 - 26150204*x^7 - 37926195*x^6 + 5618112*x^5 + 4303566*x^4 - 413644*x^3 - 233064*x^2 - 872*x + 1920, -3*x^38 + 15*x^37 + 130*x^36 - 736*x^35 - 2451*x^34 + 16435*x^33 + 25797*x^32 - 221351*x^31 - 155822*x^30 + 2008912*x^29 + 395162*x^28 - 13000069*x^27 + 1705936*x^26 + 61893142*x^25 - 22096602*x^24 - 220460186*x^23 + 114606833*x^22 + 591398430*x^21 - 379902672*x^20 - 1192564403*x^19 + 881790632*x^18 + 1789073972*x^17 - 1471006855*x^16 - 1956162615*x^15 + 1763311538*x^14 + 1505797678*x^13 - 1491208149*x^12 - 770509865*x^11 + 857364635*x^10 + 236792130*x^9 - 315241401*x^8 - 35111750*x^7 + 67318097*x^6 + 852441*x^5 - 7152825*x^4 + 156060*x^3 + 296040*x^2 - 4416*x - 1440, -3*x^38 + 15*x^37 + 130*x^36 - 736*x^35 - 2451*x^34 + 16435*x^33 + 25797*x^32 - 221351*x^31 - 155822*x^30 + 2008912*x^29 + 395162*x^28 - 13000069*x^27 + 1705936*x^26 + 61893142*x^25 - 22096602*x^24 - 220460186*x^23 + 114606833*x^22 + 591398430*x^21 - 379902672*x^20 - 1192564403*x^19 + 881790632*x^18 + 1789073972*x^17 - 1471006855*x^16 - 1956162615*x^15 + 1763311538*x^14 + 1505797678*x^13 - 1491208149*x^12 - 770509865*x^11 + 857364635*x^10 + 236792130*x^9 - 315241401*x^8 - 35111750*x^7 + 67318097*x^6 + 852441*x^5 - 7152825*x^4 + 156060*x^3 + 296040*x^2 - 4416*x - 1440, x^38 - 4*x^37 - 51*x^36 + 222*x^35 + 1141*x^34 - 5555*x^33 - 14608*x^32 + 83077*x^31 + 115704*x^30 - 829776*x^29 - 550403*x^28 + 5857332*x^27 + 1090494*x^26 - 30151987*x^25 + 4475694*x^24 + 115098923*x^23 - 45580461*x^22 - 327929923*x^21 + 192945851*x^20 + 695835985*x^19 - 519315404*x^18 - 1087595423*x^17 + 963704817*x^16 + 1225003670*x^15 - 1254953501*x^14 - 957165607*x^13 + 1135645746*x^12 + 485159088*x^11 - 692667993*x^10 - 139137075*x^9 + 269834117*x^8 + 14403363*x^7 - 61599776*x^6 + 1672370*x^5 + 7209628*x^4 - 285336*x^3 - 356748*x^2 + 144*x + 2560, x^38 - 4*x^37 - 51*x^36 + 222*x^35 + 1141*x^34 - 5555*x^33 - 14608*x^32 + 83077*x^31 + 115704*x^30 - 829776*x^29 - 550403*x^28 + 5857332*x^27 + 1090494*x^26 - 30151987*x^25 + 4475694*x^24 + 115098923*x^23 - 45580461*x^22 - 327929923*x^21 + 192945851*x^20 + 695835985*x^19 - 519315404*x^18 - 1087595423*x^17 + 963704817*x^16 + 1225003670*x^15 - 1254953501*x^14 - 957165607*x^13 + 1135645746*x^12 + 485159088*x^11 - 692667993*x^10 - 139137075*x^9 + 269834117*x^8 + 14403363*x^7 - 61599776*x^6 + 1672370*x^5 + 7209628*x^4 - 285336*x^3 - 356748*x^2 + 144*x + 2560, x^39 - 3*x^38 - 57*x^37 + 185*x^36 + 1424*x^35 - 5049*x^34 - 20589*x^33 + 81318*x^32 + 190368*x^31 - 866604*x^30 - 1161125*x^29 + 6479545*x^28 + 4518439*x^27 - 35110163*x^26 - 8925987*x^25 + 140256246*x^24 - 9569120*x^23 - 415713711*x^22 + 130428640*x^21 + 911855370*x^20 - 464381540*x^19 - 1463111201*x^18 + 985577277*x^17 + 1679533697*x^16 - 1381872370*x^15 - 1329774940*x^14 + 1296674504*x^13 + 685388427*x^12 - 795520224*x^11 - 210144476*x^10 + 303498110*x^9 + 33969974*x^8 - 66631052*x^7 - 3244692*x^6 + 7458347*x^5 + 524421*x^4 - 319752*x^3 - 60244*x^2 - 3624*x + 640, x^39 - 3*x^38 - 57*x^37 + 185*x^36 + 1424*x^35 - 5049*x^34 - 20589*x^33 + 81318*x^32 + 190368*x^31 - 866604*x^30 - 1161125*x^29 + 6479545*x^28 + 4518439*x^27 - 35110163*x^26 - 8925987*x^25 + 140256246*x^24 - 9569120*x^23 - 415713711*x^22 + 130428640*x^21 + 911855370*x^20 - 464381540*x^19 - 1463111201*x^18 + 985577277*x^17 + 1679533697*x^16 - 1381872370*x^15 - 1329774940*x^14 + 1296674504*x^13 + 685388427*x^12 - 795520224*x^11 - 210144476*x^10 + 303498110*x^9 + 33969974*x^8 - 66631052*x^7 - 3244692*x^6 + 7458347*x^5 + 524421*x^4 - 319752*x^3 - 60244*x^2 - 3624*x + 640, x^41 - 4*x^40 - 53*x^39 + 227*x^38 + 1259*x^37 - 5887*x^36 - 17607*x^35 + 92500*x^34 + 159317*x^33 - 984296*x^32 - 953154*x^31 + 7510375*x^30 + 3538691*x^29 - 42435882*x^28 - 5095583*x^27 + 180775354*x^26 - 25418949*x^25 - 585444128*x^24 + 200369735*x^23 + 1442230267*x^22 - 727248846*x^21 - 2684883353*x^20 + 1717838483*x^19 + 3723307381*x^18 - 2826302913*x^17 - 3756311003*x^16 + 3272508891*x^15 + 2660591216*x^14 - 2623456507*x^13 - 1259065846*x^12 + 1402923338*x^11 + 376821247*x^10 - 471743459*x^9 - 72416908*x^8 + 91644607*x^7 + 11991259*x^6 - 8998363*x^5 - 2022699*x^4 + 324630*x^3 + 172456*x^2 + 6112*x - 1920, x^41 - 4*x^40 - 53*x^39 + 227*x^38 + 1259*x^37 - 5887*x^36 - 17607*x^35 + 92500*x^34 + 159317*x^33 - 984296*x^32 - 953154*x^31 + 7510375*x^30 + 3538691*x^29 - 42435882*x^28 - 5095583*x^27 + 180775354*x^26 - 25418949*x^25 - 585444128*x^24 + 200369735*x^23 + 1442230267*x^22 - 727248846*x^21 - 2684883353*x^20 + 1717838483*x^19 + 3723307381*x^18 - 2826302913*x^17 - 3756311003*x^16 + 3272508891*x^15 + 2660591216*x^14 - 2623456507*x^13 - 1259065846*x^12 + 1402923338*x^11 + 376821247*x^10 - 471743459*x^9 - 72416908*x^8 + 91644607*x^7 + 11991259*x^6 - 8998363*x^5 - 2022699*x^4 + 324630*x^3 + 172456*x^2 + 6112*x - 1920, -2*x^38 + 5*x^37 + 110*x^36 - 282*x^35 - 2732*x^34 + 7215*x^33 + 40513*x^32 - 110909*x^31 - 399499*x^30 + 1143657*x^29 + 2759706*x^28 - 8365412*x^27 - 13688353*x^26 + 44764232*x^25 + 49029616*x^24 - 178153511*x^23 - 125014343*x^22 + 530902555*x^21 + 215850544*x^20 - 1183435863*x^19 - 213597187*x^18 + 1956839084*x^17 + 9834576*x^16 - 2361356031*x^15 + 310763842*x^14 + 2026163213*x^13 - 479256529*x^12 - 1189353951*x^11 + 372089170*x^10 + 451897858*x^9 - 162160279*x^8 - 103110321*x^7 + 37682040*x^6 + 12890377*x^5 - 4045407*x^4 - 756912*x^3 + 144060*x^2 + 6816*x - 960, -2*x^38 + 5*x^37 + 110*x^36 - 282*x^35 - 2732*x^34 + 7215*x^33 + 40513*x^32 - 110909*x^31 - 399499*x^30 + 1143657*x^29 + 2759706*x^28 - 8365412*x^27 - 13688353*x^26 + 44764232*x^25 + 49029616*x^24 - 178153511*x^23 - 125014343*x^22 + 530902555*x^21 + 215850544*x^20 - 1183435863*x^19 - 213597187*x^18 + 1956839084*x^17 + 9834576*x^16 - 2361356031*x^15 + 310763842*x^14 + 2026163213*x^13 - 479256529*x^12 - 1189353951*x^11 + 372089170*x^10 + 451897858*x^9 - 162160279*x^8 - 103110321*x^7 + 37682040*x^6 + 12890377*x^5 - 4045407*x^4 - 756912*x^3 + 144060*x^2 + 6816*x - 960, 2*x^37 - 14*x^36 - 64*x^35 + 643*x^34 + 573*x^33 - 13223*x^32 + 5058*x^31 + 160772*x^30 - 172598*x^29 - 1284635*x^28 + 2000375*x^27 + 7083671*x^26 - 13993930*x^25 - 27469167*x^24 + 66543359*x^23 + 74454782*x^22 - 224916752*x^21 - 135031493*x^20 + 549643852*x^19 + 140058551*x^18 - 972316372*x^17 - 12279225*x^16 + 1231102329*x^15 - 199462186*x^14 - 1089203034*x^13 + 314213320*x^12 + 647451452*x^11 - 243545368*x^10 - 243865742*x^9 + 103777181*x^8 + 53685838*x^7 - 22705962*x^6 - 6277706*x^5 + 2032057*x^4 + 356034*x^3 - 30760*x^2 - 1608*x - 320, 2*x^37 - 14*x^36 - 64*x^35 + 643*x^34 + 573*x^33 - 13223*x^32 + 5058*x^31 + 160772*x^30 - 172598*x^29 - 1284635*x^28 + 2000375*x^27 + 7083671*x^26 - 13993930*x^25 - 27469167*x^24 + 66543359*x^23 + 74454782*x^22 - 224916752*x^21 - 135031493*x^20 + 549643852*x^19 + 140058551*x^18 - 972316372*x^17 - 12279225*x^16 + 1231102329*x^15 - 199462186*x^14 - 1089203034*x^13 + 314213320*x^12 + 647451452*x^11 - 243545368*x^10 - 243865742*x^9 + 103777181*x^8 + 53685838*x^7 - 22705962*x^6 - 6277706*x^5 + 2032057*x^4 + 356034*x^3 - 30760*x^2 - 1608*x - 320, -2*x^37 + 15*x^36 + 55*x^35 - 657*x^34 - 213*x^33 + 12782*x^32 - 11321*x^31 - 145260*x^30 + 233941*x^29 + 1064142*x^28 - 2359493*x^27 - 5201542*x^26 + 15132651*x^25 + 16703911*x^24 - 66873359*x^23 - 31263143*x^22 + 210300103*x^21 + 11220075*x^20 - 475326915*x^19 + 113767828*x^18 + 768019075*x^17 - 354452898*x^16 - 869491170*x^15 + 560295480*x^14 + 663771021*x^13 - 540215457*x^12 - 319891867*x^11 + 321344279*x^10 + 86888103*x^9 - 112487443*x^8 - 10919762*x^7 + 21222918*x^6 + 536055*x^5 - 1870582*x^4 - 65088*x^3 + 59012*x^2 + 5296*x - 960, -2*x^37 + 15*x^36 + 55*x^35 - 657*x^34 - 213*x^33 + 12782*x^32 - 11321*x^31 - 145260*x^30 + 233941*x^29 + 1064142*x^28 - 2359493*x^27 - 5201542*x^26 + 15132651*x^25 + 16703911*x^24 - 66873359*x^23 - 31263143*x^22 + 210300103*x^21 + 11220075*x^20 - 475326915*x^19 + 113767828*x^18 + 768019075*x^17 - 354452898*x^16 - 869491170*x^15 + 560295480*x^14 + 663771021*x^13 - 540215457*x^12 - 319891867*x^11 + 321344279*x^10 + 86888103*x^9 - 112487443*x^8 - 10919762*x^7 + 21222918*x^6 + 536055*x^5 - 1870582*x^4 - 65088*x^3 + 59012*x^2 + 5296*x - 960, -3*x^39 + 15*x^38 + 133*x^37 - 758*x^36 - 2537*x^35 + 17397*x^34 + 26318*x^33 - 240137*x^32 - 143789*x^31 + 2225046*x^30 + 113808*x^29 - 14626009*x^28 + 4616855*x^27 + 70268701*x^26 - 40935471*x^25 - 250402077*x^24 + 198345839*x^23 + 664273288*x^22 - 645325379*x^21 - 1303335213*x^20 + 1490166663*x^19 + 1856389842*x^18 - 2479175936*x^17 - 1848672514*x^16 + 2957304066*x^15 + 1189998230*x^14 - 2479396369*x^13 - 395264503*x^12 + 1409996217*x^11 - 18232527*x^10 - 514904533*x^9 + 67425883*x^8 + 111304850*x^7 - 22668368*x^6 - 12512448*x^5 + 2908838*x^4 + 590956*x^3 - 132196*x^2 - 3112*x + 1120, -3*x^39 + 15*x^38 + 133*x^37 - 758*x^36 - 2537*x^35 + 17397*x^34 + 26318*x^33 - 240137*x^32 - 143789*x^31 + 2225046*x^30 + 113808*x^29 - 14626009*x^28 + 4616855*x^27 + 70268701*x^26 - 40935471*x^25 - 250402077*x^24 + 198345839*x^23 + 664273288*x^22 - 645325379*x^21 - 1303335213*x^20 + 1490166663*x^19 + 1856389842*x^18 - 2479175936*x^17 - 1848672514*x^16 + 2957304066*x^15 + 1189998230*x^14 - 2479396369*x^13 - 395264503*x^12 + 1409996217*x^11 - 18232527*x^10 - 514904533*x^9 + 67425883*x^8 + 111304850*x^7 - 22668368*x^6 - 12512448*x^5 + 2908838*x^4 + 590956*x^3 - 132196*x^2 - 3112*x + 1120, x^39 - 5*x^38 - 44*x^37 + 254*x^36 + 820*x^35 - 5854*x^34 - 7951*x^33 + 80956*x^32 + 32978*x^31 - 748444*x^30 + 137533*x^29 + 4875226*x^28 - 2955769*x^27 - 22947558*x^26 + 21799278*x^25 + 78580873*x^24 - 100163617*x^23 - 193436157*x^22 + 318735298*x^21 + 327963848*x^20 - 724765148*x^19 - 335621013*x^18 + 1180467358*x^17 + 82704065*x^16 - 1353037594*x^15 + 310599234*x^14 + 1047551292*x^13 - 512522802*x^12 - 504598611*x^11 + 392602054*x^10 + 123673766*x^9 - 165331742*x^8 - 3151696*x^7 + 37097314*x^6 - 4317724*x^5 - 4025377*x^4 + 558142*x^3 + 186224*x^2 - 8720*x - 800, x^39 - 5*x^38 - 44*x^37 + 254*x^36 + 820*x^35 - 5854*x^34 - 7951*x^33 + 80956*x^32 + 32978*x^31 - 748444*x^30 + 137533*x^29 + 4875226*x^28 - 2955769*x^27 - 22947558*x^26 + 21799278*x^25 + 78580873*x^24 - 100163617*x^23 - 193436157*x^22 + 318735298*x^21 + 327963848*x^20 - 724765148*x^19 - 335621013*x^18 + 1180467358*x^17 + 82704065*x^16 - 1353037594*x^15 + 310599234*x^14 + 1047551292*x^13 - 512522802*x^12 - 504598611*x^11 + 392602054*x^10 + 123673766*x^9 - 165331742*x^8 - 3151696*x^7 + 37097314*x^6 - 4317724*x^5 - 4025377*x^4 + 558142*x^3 + 186224*x^2 - 8720*x - 800, x^38 - 6*x^37 - 39*x^36 + 290*x^35 + 604*x^34 - 6349*x^33 - 3883*x^32 + 83438*x^31 - 10458*x^30 - 735349*x^29 + 420308*x^28 + 4597689*x^27 - 4030412*x^26 - 21029802*x^25 + 23280070*x^24 + 71448803*x^23 - 92882051*x^22 - 180912051*x^21 + 268321402*x^20 + 338498860*x^19 - 570890712*x^18 - 456912547*x^17 + 895336808*x^16 + 422585451*x^15 - 1023268809*x^14 - 236322745*x^13 + 832711795*x^12 + 44670333*x^11 - 465419507*x^10 + 33385322*x^9 + 169785295*x^8 - 25381089*x^7 - 37722835*x^6 + 6703784*x^5 + 4622237*x^4 - 685062*x^3 - 254848*x^2 + 14904*x + 960, x^38 - 6*x^37 - 39*x^36 + 290*x^35 + 604*x^34 - 6349*x^33 - 3883*x^32 + 83438*x^31 - 10458*x^30 - 735349*x^29 + 420308*x^28 + 4597689*x^27 - 4030412*x^26 - 21029802*x^25 + 23280070*x^24 + 71448803*x^23 - 92882051*x^22 - 180912051*x^21 + 268321402*x^20 + 338498860*x^19 - 570890712*x^18 - 456912547*x^17 + 895336808*x^16 + 422585451*x^15 - 1023268809*x^14 - 236322745*x^13 + 832711795*x^12 + 44670333*x^11 - 465419507*x^10 + 33385322*x^9 + 169785295*x^8 - 25381089*x^7 - 37722835*x^6 + 6703784*x^5 + 4622237*x^4 - 685062*x^3 - 254848*x^2 + 14904*x + 960, -2*x^38 + 13*x^37 + 70*x^36 - 606*x^35 - 850*x^34 + 12705*x^33 + 620*x^32 - 158291*x^31 + 104260*x^30 + 1304162*x^29 - 1462510*x^28 - 7476941*x^27 + 11077990*x^26 + 30523980*x^25 - 55387982*x^24 - 89017874*x^23 + 194662020*x^22 + 182031770*x^21 - 492432388*x^20 - 245974378*x^19 + 900923833*x^18 + 179227494*x^17 - 1182125947*x^16 + 19345537*x^15 + 1089804724*x^14 - 188113001*x^13 - 682396238*x^12 + 192752114*x^11 + 276659915*x^10 - 95820808*x^9 - 69075618*x^8 + 23834984*x^7 + 10810896*x^6 - 2580942*x^5 - 1221971*x^4 + 89276*x^3 + 79536*x^2 + 1896*x - 960, -2*x^38 + 13*x^37 + 70*x^36 - 606*x^35 - 850*x^34 + 12705*x^33 + 620*x^32 - 158291*x^31 + 104260*x^30 + 1304162*x^29 - 1462510*x^28 - 7476941*x^27 + 11077990*x^26 + 30523980*x^25 - 55387982*x^24 - 89017874*x^23 + 194662020*x^22 + 182031770*x^21 - 492432388*x^20 - 245974378*x^19 + 900923833*x^18 + 179227494*x^17 - 1182125947*x^16 + 19345537*x^15 + 1089804724*x^14 - 188113001*x^13 - 682396238*x^12 + 192752114*x^11 + 276659915*x^10 - 95820808*x^9 - 69075618*x^8 + 23834984*x^7 + 10810896*x^6 - 2580942*x^5 - 1221971*x^4 + 89276*x^3 + 79536*x^2 + 1896*x - 960, x^39 - 4*x^38 - 48*x^37 + 201*x^36 + 1049*x^35 - 4619*x^34 - 13861*x^33 + 64421*x^32 + 124133*x^31 - 610412*x^30 - 801164*x^29 + 4168863*x^28 + 3869857*x^27 - 21248313*x^26 - 14326895*x^25 + 82553231*x^24 + 41146771*x^23 - 247435756*x^22 - 91505619*x^21 + 574780837*x^20 + 154226611*x^19 - 1032057235*x^18 - 186654863*x^17 + 1417132031*x^16 + 141985265*x^15 - 1458058861*x^14 - 36098934*x^13 + 1088631796*x^12 - 45243299*x^11 - 563618225*x^10 + 50755228*x^9 + 191004301*x^8 - 20865636*x^7 - 39864392*x^6 + 3716762*x^5 + 4751340*x^4 - 250948*x^3 - 255852*x^2 + 704*x + 1760, x^39 - 4*x^38 - 48*x^37 + 201*x^36 + 1049*x^35 - 4619*x^34 - 13861*x^33 + 64421*x^32 + 124133*x^31 - 610412*x^30 - 801164*x^29 + 4168863*x^28 + 3869857*x^27 - 21248313*x^26 - 14326895*x^25 + 82553231*x^24 + 41146771*x^23 - 247435756*x^22 - 91505619*x^21 + 574780837*x^20 + 154226611*x^19 - 1032057235*x^18 - 186654863*x^17 + 1417132031*x^16 + 141985265*x^15 - 1458058861*x^14 - 36098934*x^13 + 1088631796*x^12 - 45243299*x^11 - 563618225*x^10 + 50755228*x^9 + 191004301*x^8 - 20865636*x^7 - 39864392*x^6 + 3716762*x^5 + 4751340*x^4 - 250948*x^3 - 255852*x^2 + 704*x + 1760, x^42 - 4*x^41 - 55*x^40 + 234*x^39 + 1365*x^38 - 6276*x^37 - 20135*x^36 + 102343*x^35 + 195118*x^34 - 1134663*x^33 - 1287118*x^32 + 9060757*x^31 + 5682123*x^30 - 53861713*x^29 - 14606876*x^28 + 242950621*x^27 + 2344645*x^26 - 839911512*x^25 + 159028547*x^24 + 2232619630*x^23 - 770500748*x^22 - 4551021712*x^21 + 2140165382*x^20 + 7055188239*x^19 - 4046692748*x^18 - 8199331427*x^17 + 5425327777*x^16 + 6992624083*x^15 - 5175006725*x^14 - 4247109711*x^13 + 3456685810*x^12 + 1763557115*x^11 - 1566817421*x^10 - 473576946*x^9 + 458497767*x^8 + 76218486*x^7 - 79848210*x^6 - 6740210*x^5 + 7155709*x^4 + 314202*x^3 - 244808*x^2 - 2360*x + 1600, x^42 - 4*x^41 - 55*x^40 + 234*x^39 + 1365*x^38 - 6276*x^37 - 20135*x^36 + 102343*x^35 + 195118*x^34 - 1134663*x^33 - 1287118*x^32 + 9060757*x^31 + 5682123*x^30 - 53861713*x^29 - 14606876*x^28 + 242950621*x^27 + 2344645*x^26 - 839911512*x^25 + 159028547*x^24 + 2232619630*x^23 - 770500748*x^22 - 4551021712*x^21 + 2140165382*x^20 + 7055188239*x^19 - 4046692748*x^18 - 8199331427*x^17 + 5425327777*x^16 + 6992624083*x^15 - 5175006725*x^14 - 4247109711*x^13 + 3456685810*x^12 + 1763557115*x^11 - 1566817421*x^10 - 473576946*x^9 + 458497767*x^8 + 76218486*x^7 - 79848210*x^6 - 6740210*x^5 + 7155709*x^4 + 314202*x^3 - 244808*x^2 - 2360*x + 1600, x^40 - 3*x^39 - 55*x^38 + 169*x^37 + 1375*x^36 - 4351*x^35 - 20681*x^34 + 67893*x^33 + 208637*x^32 - 717936*x^31 - 1488459*x^30 + 5449284*x^29 + 7699207*x^28 - 30672188*x^27 - 29007930*x^26 + 130408223*x^25 + 78075557*x^24 - 422546755*x^23 - 139950474*x^22 + 1044809140*x^21 + 124403090*x^20 - 1960517424*x^19 + 103679156*x^18 + 2756059358*x^17 - 535940432*x^16 - 2840927125*x^15 + 886621577*x^14 + 2078443503*x^13 - 852006690*x^12 - 1029082577*x^11 + 504617542*x^10 + 322124484*x^9 - 178293425*x^8 - 58013187*x^7 + 34338004*x^6 + 5328910*x^5 - 2981958*x^4 - 243174*x^3 + 78228*x^2 + 2400*x - 800, x^40 - 3*x^39 - 55*x^38 + 169*x^37 + 1375*x^36 - 4351*x^35 - 20681*x^34 + 67893*x^33 + 208637*x^32 - 717936*x^31 - 1488459*x^30 + 5449284*x^29 + 7699207*x^28 - 30672188*x^27 - 29007930*x^26 + 130408223*x^25 + 78075557*x^24 - 422546755*x^23 - 139950474*x^22 + 1044809140*x^21 + 124403090*x^20 - 1960517424*x^19 + 103679156*x^18 + 2756059358*x^17 - 535940432*x^16 - 2840927125*x^15 + 886621577*x^14 + 2078443503*x^13 - 852006690*x^12 - 1029082577*x^11 + 504617542*x^10 + 322124484*x^9 - 178293425*x^8 - 58013187*x^7 + 34338004*x^6 + 5328910*x^5 - 2981958*x^4 - 243174*x^3 + 78228*x^2 + 2400*x - 800, -3*x^39 + 12*x^38 + 148*x^37 - 633*x^36 - 3260*x^35 + 15197*x^34 + 42084*x^33 - 219978*x^32 - 349671*x^31 + 2144108*x^30 + 1909979*x^29 - 14885447*x^28 - 6441538*x^27 + 75938761*x^26 + 8531011*x^25 - 289523956*x^24 + 35336083*x^23 + 830933920*x^22 - 248674655*x^21 - 1794537513*x^20 + 783814754*x^19 + 2895307514*x^18 - 1580180074*x^17 - 3440314970*x^16 + 2179956474*x^15 + 2945415751*x^14 - 2076333038*x^13 - 1763119005*x^12 + 1341225070*x^11 + 711396343*x^10 - 565443570*x^9 - 187091151*x^8 + 146370439*x^7 + 31868516*x^6 - 21090885*x^5 - 3563169*x^4 + 1357176*x^3 + 222732*x^2 - 11896*x - 1440, -3*x^39 + 12*x^38 + 148*x^37 - 633*x^36 - 3260*x^35 + 15197*x^34 + 42084*x^33 - 219978*x^32 - 349671*x^31 + 2144108*x^30 + 1909979*x^29 - 14885447*x^28 - 6441538*x^27 + 75938761*x^26 + 8531011*x^25 - 289523956*x^24 + 35336083*x^23 + 830933920*x^22 - 248674655*x^21 - 1794537513*x^20 + 783814754*x^19 + 2895307514*x^18 - 1580180074*x^17 - 3440314970*x^16 + 2179956474*x^15 + 2945415751*x^14 - 2076333038*x^13 - 1763119005*x^12 + 1341225070*x^11 + 711396343*x^10 - 565443570*x^9 - 187091151*x^8 + 146370439*x^7 + 31868516*x^6 - 21090885*x^5 - 3563169*x^4 + 1357176*x^3 + 222732*x^2 - 11896*x - 1440, x^39 - 8*x^38 - 32*x^37 + 393*x^36 + 222*x^35 - 8699*x^34 + 5495*x^33 + 114682*x^32 - 147650*x^31 - 1002413*x^30 + 1755678*x^29 + 6114456*x^28 - 13175144*x^27 - 26630972*x^26 + 68709317*x^25 + 82989576*x^24 - 259256149*x^23 - 180822974*x^22 + 720272097*x^21 + 255025630*x^20 - 1479895541*x^19 - 167930155*x^18 + 2236788400*x^17 - 129410955*x^16 - 2452419547*x^15 + 436709044*x^14 + 1906990767*x^13 - 488221346*x^12 - 1020116819*x^11 + 299350708*x^10 + 362380706*x^9 - 103736900*x^8 - 82538195*x^7 + 18948056*x^6 + 11427366*x^5 - 1497309*x^4 - 799472*x^3 + 17148*x^2 + 11808*x - 480, x^39 - 8*x^38 - 32*x^37 + 393*x^36 + 222*x^35 - 8699*x^34 + 5495*x^33 + 114682*x^32 - 147650*x^31 - 1002413*x^30 + 1755678*x^29 + 6114456*x^28 - 13175144*x^27 - 26630972*x^26 + 68709317*x^25 + 82989576*x^24 - 259256149*x^23 - 180822974*x^22 + 720272097*x^21 + 255025630*x^20 - 1479895541*x^19 - 167930155*x^18 + 2236788400*x^17 - 129410955*x^16 - 2452419547*x^15 + 436709044*x^14 + 1906990767*x^13 - 488221346*x^12 - 1020116819*x^11 + 299350708*x^10 + 362380706*x^9 - 103736900*x^8 - 82538195*x^7 + 18948056*x^6 + 11427366*x^5 - 1497309*x^4 - 799472*x^3 + 17148*x^2 + 11808*x - 480, x^38 - 6*x^37 - 37*x^36 + 282*x^35 + 513*x^34 - 5944*x^33 - 2111*x^32 + 74271*x^31 - 29300*x^30 - 612625*x^29 + 530654*x^28 + 3514835*x^27 - 4248831*x^26 - 14391106*x^25 + 21458579*x^24 + 42422418*x^23 - 74445218*x^22 - 89584698*x^21 + 182347757*x^20 + 132901866*x^19 - 315545925*x^18 - 133524550*x^17 + 377185333*x^16 + 86802069*x^15 - 293536932*x^14 - 39643443*x^13 + 125680509*x^12 + 25365580*x^11 - 6360828*x^10 - 24013507*x^9 - 21544449*x^8 + 14364004*x^7 + 10425571*x^6 - 4122110*x^5 - 2076950*x^4 + 447972*x^3 + 172444*x^2 - 4744*x - 960, x^38 - 6*x^37 - 37*x^36 + 282*x^35 + 513*x^34 - 5944*x^33 - 2111*x^32 + 74271*x^31 - 29300*x^30 - 612625*x^29 + 530654*x^28 + 3514835*x^27 - 4248831*x^26 - 14391106*x^25 + 21458579*x^24 + 42422418*x^23 - 74445218*x^22 - 89584698*x^21 + 182347757*x^20 + 132901866*x^19 - 315545925*x^18 - 133524550*x^17 + 377185333*x^16 + 86802069*x^15 - 293536932*x^14 - 39643443*x^13 + 125680509*x^12 + 25365580*x^11 - 6360828*x^10 - 24013507*x^9 - 21544449*x^8 + 14364004*x^7 + 10425571*x^6 - 4122110*x^5 - 2076950*x^4 + 447972*x^3 + 172444*x^2 - 4744*x - 960, x^38 - 2*x^37 - 61*x^36 + 143*x^35 + 1595*x^34 - 4226*x^33 - 23895*x^32 + 71033*x^31 + 228991*x^30 - 772172*x^29 - 1470020*x^28 + 5798152*x^27 + 6343044*x^26 - 31195301*x^25 - 17307590*x^24 + 122653684*x^23 + 21238488*x^22 - 355261603*x^21 + 39607250*x^20 + 756688379*x^19 - 253830108*x^18 - 1171210498*x^17 + 613794910*x^16 + 1285355766*x^15 - 900078331*x^14 - 956810101*x^13 + 857102962*x^12 + 444402692*x^11 - 526931164*x^10 - 105413831*x^9 + 200544458*x^8 + 2648830*x^7 - 44076080*x^6 + 3554683*x^5 + 5055680*x^4 - 453082*x^3 - 259984*x^2 + 5064*x + 1760, x^38 - 2*x^37 - 61*x^36 + 143*x^35 + 1595*x^34 - 4226*x^33 - 23895*x^32 + 71033*x^31 + 228991*x^30 - 772172*x^29 - 1470020*x^28 + 5798152*x^27 + 6343044*x^26 - 31195301*x^25 - 17307590*x^24 + 122653684*x^23 + 21238488*x^22 - 355261603*x^21 + 39607250*x^20 + 756688379*x^19 - 253830108*x^18 - 1171210498*x^17 + 613794910*x^16 + 1285355766*x^15 - 900078331*x^14 - 956810101*x^13 + 857102962*x^12 + 444402692*x^11 - 526931164*x^10 - 105413831*x^9 + 200544458*x^8 + 2648830*x^7 - 44076080*x^6 + 3554683*x^5 + 5055680*x^4 - 453082*x^3 - 259984*x^2 + 5064*x + 1760, -3*x^40 + 15*x^39 + 138*x^38 - 786*x^37 - 2737*x^36 + 18739*x^35 + 29619*x^34 - 269277*x^33 - 170206*x^32 + 2604688*x^31 + 165370*x^30 - 17939083*x^29 + 5684203*x^28 + 90745711*x^27 - 53719397*x^26 - 342819199*x^25 + 275830423*x^24 + 973751348*x^23 - 954594232*x^22 - 2076765413*x^21 + 2362501723*x^20 + 3294928623*x^19 - 4261890401*x^18 - 3816973980*x^17 + 5610436868*x^16 + 3126815308*x^15 - 5332512631*x^14 - 1712949180*x^13 + 3583600604*x^12 + 559525224*x^11 - 1648929083*x^10 - 73545439*x^9 + 495621869*x^8 - 11391602*x^7 - 90641441*x^6 + 4637339*x^5 + 8965752*x^4 - 377532*x^3 - 378688*x^2 + 3640*x + 2400, -3*x^40 + 15*x^39 + 138*x^38 - 786*x^37 - 2737*x^36 + 18739*x^35 + 29619*x^34 - 269277*x^33 - 170206*x^32 + 2604688*x^31 + 165370*x^30 - 17939083*x^29 + 5684203*x^28 + 90745711*x^27 - 53719397*x^26 - 342819199*x^25 + 275830423*x^24 + 973751348*x^23 - 954594232*x^22 - 2076765413*x^21 + 2362501723*x^20 + 3294928623*x^19 - 4261890401*x^18 - 3816973980*x^17 + 5610436868*x^16 + 3126815308*x^15 - 5332512631*x^14 - 1712949180*x^13 + 3583600604*x^12 + 559525224*x^11 - 1648929083*x^10 - 73545439*x^9 + 495621869*x^8 - 11391602*x^7 - 90641441*x^6 + 4637339*x^5 + 8965752*x^4 - 377532*x^3 - 378688*x^2 + 3640*x + 2400, x^38 - 6*x^37 - 33*x^36 + 263*x^35 + 357*x^34 - 5109*x^33 + 528*x^32 + 57681*x^31 - 54280*x^30 - 415193*x^29 + 669523*x^28 + 1942696*x^27 - 4634558*x^26 - 5526524*x^25 + 21127957*x^24 + 5885301*x^23 - 66527807*x^22 + 22464351*x^21 + 145505465*x^20 - 124861290*x^19 - 214051147*x^18 + 311472712*x^17 + 188484354*x^16 - 485626972*x^15 - 48336291*x^14 + 500325627*x^13 - 97371810*x^12 - 337816078*x^11 + 132556195*x^10 + 142330805*x^9 - 77560873*x^8 - 33862902*x^7 + 23332118*x^6 + 3832130*x^5 - 3343983*x^4 - 191668*x^3 + 194336*x^2 + 5776*x - 1760, x^38 - 6*x^37 - 33*x^36 + 263*x^35 + 357*x^34 - 5109*x^33 + 528*x^32 + 57681*x^31 - 54280*x^30 - 415193*x^29 + 669523*x^28 + 1942696*x^27 - 4634558*x^26 - 5526524*x^25 + 21127957*x^24 + 5885301*x^23 - 66527807*x^22 + 22464351*x^21 + 145505465*x^20 - 124861290*x^19 - 214051147*x^18 + 311472712*x^17 + 188484354*x^16 - 485626972*x^15 - 48336291*x^14 + 500325627*x^13 - 97371810*x^12 - 337816078*x^11 + 132556195*x^10 + 142330805*x^9 - 77560873*x^8 - 33862902*x^7 + 23332118*x^6 + 3832130*x^5 - 3343983*x^4 - 191668*x^3 + 194336*x^2 + 5776*x - 1760, x^40 - 5*x^39 - 46*x^38 + 264*x^37 + 904*x^36 - 6339*x^35 - 9449*x^34 + 91620*x^33 + 47058*x^32 - 889202*x^31 + 76109*x^30 + 6120195*x^29 - 3074889*x^28 - 30747586*x^27 + 25343342*x^26 + 114259384*x^25 - 125767268*x^24 - 314420381*x^23 + 430843566*x^22 + 633429420*x^21 - 1063216464*x^20 - 906595708*x^19 + 1913833909*x^18 + 858826776*x^17 - 2505226765*x^16 - 428777464*x^15 + 2350841084*x^14 - 55682822*x^13 - 1542872547*x^12 + 245259044*x^11 + 683785564*x^10 - 168525472*x^9 - 195424940*x^8 + 56556853*x^7 + 33949934*x^6 - 9529877*x^5 - 3307503*x^4 + 663228*x^3 + 153692*x^2 - 6720*x - 800, x^40 - 5*x^39 - 46*x^38 + 264*x^37 + 904*x^36 - 6339*x^35 - 9449*x^34 + 91620*x^33 + 47058*x^32 - 889202*x^31 + 76109*x^30 + 6120195*x^29 - 3074889*x^28 - 30747586*x^27 + 25343342*x^26 + 114259384*x^25 - 125767268*x^24 - 314420381*x^23 + 430843566*x^22 + 633429420*x^21 - 1063216464*x^20 - 906595708*x^19 + 1913833909*x^18 + 858826776*x^17 - 2505226765*x^16 - 428777464*x^15 + 2350841084*x^14 - 55682822*x^13 - 1542872547*x^12 + 245259044*x^11 + 683785564*x^10 - 168525472*x^9 - 195424940*x^8 + 56556853*x^7 + 33949934*x^6 - 9529877*x^5 - 3307503*x^4 + 663228*x^3 + 153692*x^2 - 6720*x - 800, x^39 - 4*x^38 - 49*x^37 + 206*x^36 + 1082*x^35 - 4829*x^34 - 14217*x^33 + 68275*x^32 + 123454*x^31 - 650288*x^30 - 741936*x^29 + 4413109*x^28 + 3121303*x^27 - 22004720*x^26 - 8934169*x^25 + 81903340*x^24 + 15234149*x^23 - 228762763*x^22 - 4170388*x^21 + 477582489*x^20 - 55178823*x^19 - 734941221*x^18 + 167733649*x^17 + 811123650*x^16 - 268593407*x^15 - 609957277*x^14 + 268000173*x^13 + 279862286*x^12 - 165989534*x^11 - 52792851*x^10 + 57926627*x^9 - 13104883*x^8 - 8159347*x^7 + 8719355*x^6 - 563394*x^5 - 1549122*x^4 + 210850*x^3 + 97352*x^2 - 9144*x - 160, x^39 - 4*x^38 - 49*x^37 + 206*x^36 + 1082*x^35 - 4829*x^34 - 14217*x^33 + 68275*x^32 + 123454*x^31 - 650288*x^30 - 741936*x^29 + 4413109*x^28 + 3121303*x^27 - 22004720*x^26 - 8934169*x^25 + 81903340*x^24 + 15234149*x^23 - 228762763*x^22 - 4170388*x^21 + 477582489*x^20 - 55178823*x^19 - 734941221*x^18 + 167733649*x^17 + 811123650*x^16 - 268593407*x^15 - 609957277*x^14 + 268000173*x^13 + 279862286*x^12 - 165989534*x^11 - 52792851*x^10 + 57926627*x^9 - 13104883*x^8 - 8159347*x^7 + 8719355*x^6 - 563394*x^5 - 1549122*x^4 + 210850*x^3 + 97352*x^2 - 9144*x - 160, -3*x^38 + 14*x^37 + 135*x^36 - 700*x^35 - 2661*x^34 + 15889*x^33 + 29771*x^32 - 216989*x^31 - 200765*x^30 + 1992020*x^29 + 734983*x^28 - 13009047*x^27 - 115576*x^26 + 62366226*x^25 - 14930231*x^24 - 223215123*x^23 + 93431173*x^22 + 600421713*x^21 - 332029480*x^20 - 1211547874*x^19 + 797344078*x^18 + 1815198582*x^17 - 1352243016*x^16 - 1979679072*x^15 + 1628588033*x^14 + 1521877229*x^13 - 1370837699*x^12 - 784589061*x^11 + 778846166*x^10 + 250995743*x^9 - 282110323*x^8 - 43966851*x^7 + 59584205*x^6 + 3513261*x^5 - 6345568*x^4 - 180362*x^3 + 274300*x^2 + 9960*x - 2400, -3*x^38 + 14*x^37 + 135*x^36 - 700*x^35 - 2661*x^34 + 15889*x^33 + 29771*x^32 - 216989*x^31 - 200765*x^30 + 1992020*x^29 + 734983*x^28 - 13009047*x^27 - 115576*x^26 + 62366226*x^25 - 14930231*x^24 - 223215123*x^23 + 93431173*x^22 + 600421713*x^21 - 332029480*x^20 - 1211547874*x^19 + 797344078*x^18 + 1815198582*x^17 - 1352243016*x^16 - 1979679072*x^15 + 1628588033*x^14 + 1521877229*x^13 - 1370837699*x^12 - 784589061*x^11 + 778846166*x^10 + 250995743*x^9 - 282110323*x^8 - 43966851*x^7 + 59584205*x^6 + 3513261*x^5 - 6345568*x^4 - 180362*x^3 + 274300*x^2 + 9960*x - 2400, x^38 - 6*x^37 - 40*x^36 + 296*x^35 + 637*x^34 - 6610*x^33 - 4243*x^32 + 88422*x^31 - 10669*x^30 - 790207*x^29 + 465201*x^28 + 4980834*x^27 - 4560074*x^26 - 22780166*x^25 + 26657793*x^24 + 76553745*x^23 - 106635474*x^22 - 189077223*x^21 + 305587705*x^20 + 338920013*x^19 - 637377571*x^18 - 427272022*x^17 + 967678333*x^16 + 352590973*x^15 - 1057165078*x^14 - 152359886*x^13 + 812240821*x^12 - 13357045*x^11 - 422885860*x^10 + 56031663*x^9 + 140589330*x^8 - 29790193*x^7 - 26988480*x^6 + 6822870*x^5 + 2532134*x^4 - 599328*x^3 - 92744*x^2 + 12104*x + 160, x^38 - 6*x^37 - 40*x^36 + 296*x^35 + 637*x^34 - 6610*x^33 - 4243*x^32 + 88422*x^31 - 10669*x^30 - 790207*x^29 + 465201*x^28 + 4980834*x^27 - 4560074*x^26 - 22780166*x^25 + 26657793*x^24 + 76553745*x^23 - 106635474*x^22 - 189077223*x^21 + 305587705*x^20 + 338920013*x^19 - 637377571*x^18 - 427272022*x^17 + 967678333*x^16 + 352590973*x^15 - 1057165078*x^14 - 152359886*x^13 + 812240821*x^12 - 13357045*x^11 - 422885860*x^10 + 56031663*x^9 + 140589330*x^8 - 29790193*x^7 - 26988480*x^6 + 6822870*x^5 + 2532134*x^4 - 599328*x^3 - 92744*x^2 + 12104*x + 160, x^39 - 3*x^38 - 53*x^37 + 161*x^36 + 1277*x^35 - 3926*x^34 - 18573*x^33 + 57723*x^32 + 182631*x^31 - 572632*x^30 - 1288768*x^29 + 4064487*x^28 + 6759841*x^27 - 21359201*x^26 - 26913717*x^25 + 84821816*x^24 + 82226546*x^23 - 257470653*x^22 - 193157204*x^21 + 599962839*x^20 + 346358097*x^19 - 1070927179*x^18 - 465696877*x^17 + 1451324310*x^16 + 455039811*x^15 - 1468769290*x^14 - 306993686*x^13 + 1081989959*x^12 + 130776781*x^11 - 559314305*x^10 - 28674450*x^9 + 192697146*x^8 + 706584*x^7 - 41000353*x^6 + 687495*x^5 + 4761483*x^4 - 3228*x^3 - 248284*x^2 - 9312*x + 2720, x^39 - 3*x^38 - 53*x^37 + 161*x^36 + 1277*x^35 - 3926*x^34 - 18573*x^33 + 57723*x^32 + 182631*x^31 - 572632*x^30 - 1288768*x^29 + 4064487*x^28 + 6759841*x^27 - 21359201*x^26 - 26913717*x^25 + 84821816*x^24 + 82226546*x^23 - 257470653*x^22 - 193157204*x^21 + 599962839*x^20 + 346358097*x^19 - 1070927179*x^18 - 465696877*x^17 + 1451324310*x^16 + 455039811*x^15 - 1468769290*x^14 - 306993686*x^13 + 1081989959*x^12 + 130776781*x^11 - 559314305*x^10 - 28674450*x^9 + 192697146*x^8 + 706584*x^7 - 41000353*x^6 + 687495*x^5 + 4761483*x^4 - 3228*x^3 - 248284*x^2 - 9312*x + 2720, -3*x^39 + 16*x^38 + 127*x^37 - 803*x^36 - 2216*x^35 + 18219*x^34 + 18626*x^33 - 247225*x^32 - 34324*x^31 + 2236367*x^30 - 919595*x^29 - 14222736*x^28 + 11458152*x^27 + 65296707*x^26 - 73641967*x^25 - 218336504*x^24 + 312776252*x^23 + 527812014*x^22 - 938541853*x^21 - 894663371*x^20 + 2033766966*x^19 + 976820005*x^18 - 3186552587*x^17 - 487200258*x^16 + 3562014396*x^15 - 304999334*x^14 - 2762569417*x^13 + 737703325*x^12 + 1420178309*x^11 - 585847449*x^10 - 451217926*x^9 + 244461843*x^8 + 79798586*x^7 - 54694760*x^6 - 6698174*x^5 + 6108200*x^4 + 202496*x^3 - 280604*x^2 - 1376*x + 1760, -3*x^39 + 16*x^38 + 127*x^37 - 803*x^36 - 2216*x^35 + 18219*x^34 + 18626*x^33 - 247225*x^32 - 34324*x^31 + 2236367*x^30 - 919595*x^29 - 14222736*x^28 + 11458152*x^27 + 65296707*x^26 - 73641967*x^25 - 218336504*x^24 + 312776252*x^23 + 527812014*x^22 - 938541853*x^21 - 894663371*x^20 + 2033766966*x^19 + 976820005*x^18 - 3186552587*x^17 - 487200258*x^16 + 3562014396*x^15 - 304999334*x^14 - 2762569417*x^13 + 737703325*x^12 + 1420178309*x^11 - 585847449*x^10 - 451217926*x^9 + 244461843*x^8 + 79798586*x^7 - 54694760*x^6 - 6698174*x^5 + 6108200*x^4 + 202496*x^3 - 280604*x^2 - 1376*x + 1760, x^40 - 5*x^39 - 46*x^38 + 261*x^37 + 915*x^36 - 6201*x^35 - 9992*x^34 + 88841*x^33 + 59062*x^32 - 857180*x^31 - 81190*x^30 + 5890394*x^29 - 1712114*x^28 - 29723712*x^27 + 17100963*x^26 + 111867311*x^25 - 89949261*x^24 - 315445715*x^23 + 317474426*x^22 + 662664928*x^21 - 801082714*x^20 - 1018261258*x^19 + 1473565582*x^18 + 1100302548*x^17 - 1975053865*x^16 - 763949321*x^15 + 1901226259*x^14 + 248184858*x^13 - 1278563615*x^12 + 68526350*x^11 + 576138985*x^10 - 104416832*x^9 - 164839759*x^8 + 42259791*x^7 + 28440086*x^6 - 7689512*x^5 - 2862265*x^4 + 571564*x^3 + 148352*x^2 - 5920*x - 800, x^40 - 5*x^39 - 46*x^38 + 261*x^37 + 915*x^36 - 6201*x^35 - 9992*x^34 + 88841*x^33 + 59062*x^32 - 857180*x^31 - 81190*x^30 + 5890394*x^29 - 1712114*x^28 - 29723712*x^27 + 17100963*x^26 + 111867311*x^25 - 89949261*x^24 - 315445715*x^23 + 317474426*x^22 + 662664928*x^21 - 801082714*x^20 - 1018261258*x^19 + 1473565582*x^18 + 1100302548*x^17 - 1975053865*x^16 - 763949321*x^15 + 1901226259*x^14 + 248184858*x^13 - 1278563615*x^12 + 68526350*x^11 + 576138985*x^10 - 104416832*x^9 - 164839759*x^8 + 42259791*x^7 + 28440086*x^6 - 7689512*x^5 - 2862265*x^4 + 571564*x^3 + 148352*x^2 - 5920*x - 800, -3*x^39 + 12*x^38 + 147*x^37 - 624*x^36 - 3233*x^35 + 14772*x^34 + 42064*x^33 - 210995*x^32 - 358474*x^31 + 2031778*x^30 + 2082957*x^29 - 13960009*x^28 - 8228100*x^27 + 70645469*x^26 + 20490677*x^25 - 267953772*x^24 - 20440048*x^23 + 767748982*x^22 - 61532731*x^21 - 1662217033*x^20 + 325943352*x^19 + 2701635219*x^18 - 761805919*x^17 - 3252201213*x^16 + 1119200513*x^15 + 2838682970*x^14 - 1094871511*x^13 - 1742981365*x^12 + 708810253*x^11 + 722776078*x^10 - 291482138*x^9 - 192207697*x^8 + 70601290*x^7 + 30810525*x^6 - 8927242*x^5 - 2725649*x^4 + 511390*x^3 + 92364*x^2 - 12560*x, -3*x^39 + 12*x^38 + 147*x^37 - 624*x^36 - 3233*x^35 + 14772*x^34 + 42064*x^33 - 210995*x^32 - 358474*x^31 + 2031778*x^30 + 2082957*x^29 - 13960009*x^28 - 8228100*x^27 + 70645469*x^26 + 20490677*x^25 - 267953772*x^24 - 20440048*x^23 + 767748982*x^22 - 61532731*x^21 - 1662217033*x^20 + 325943352*x^19 + 2701635219*x^18 - 761805919*x^17 - 3252201213*x^16 + 1119200513*x^15 + 2838682970*x^14 - 1094871511*x^13 - 1742981365*x^12 + 708810253*x^11 + 722776078*x^10 - 291482138*x^9 - 192207697*x^8 + 70601290*x^7 + 30810525*x^6 - 8927242*x^5 - 2725649*x^4 + 511390*x^3 + 92364*x^2 - 12560*x, -3*x^38 + 14*x^37 + 135*x^36 - 708*x^35 - 2628*x^34 + 16228*x^33 + 28244*x^32 - 223224*x^31 - 169126*x^30 + 2056572*x^29 + 346770*x^28 - 13410765*x^27 + 3028221*x^26 + 63764854*x^25 - 32657279*x^24 - 224335990*x^23 + 164994007*x^22 + 586170547*x^21 - 541448529*x^20 - 1130524195*x^19 + 1242162784*x^18 + 1581605218*x^17 - 2032219391*x^16 - 1551741316*x^15 + 2362864053*x^14 + 1000699641*x^13 - 1914229662*x^12 - 364285516*x^11 + 1042535748*x^10 + 33802439*x^9 - 361383824*x^8 + 23667349*x^7 + 73675742*x^6 - 8007498*x^5 - 7882802*x^4 + 757532*x^3 + 360700*x^2 - 12648*x - 1920, -3*x^38 + 14*x^37 + 135*x^36 - 708*x^35 - 2628*x^34 + 16228*x^33 + 28244*x^32 - 223224*x^31 - 169126*x^30 + 2056572*x^29 + 346770*x^28 - 13410765*x^27 + 3028221*x^26 + 63764854*x^25 - 32657279*x^24 - 224335990*x^23 + 164994007*x^22 + 586170547*x^21 - 541448529*x^20 - 1130524195*x^19 + 1242162784*x^18 + 1581605218*x^17 - 2032219391*x^16 - 1551741316*x^15 + 2362864053*x^14 + 1000699641*x^13 - 1914229662*x^12 - 364285516*x^11 + 1042535748*x^10 + 33802439*x^9 - 361383824*x^8 + 23667349*x^7 + 73675742*x^6 - 8007498*x^5 - 7882802*x^4 + 757532*x^3 + 360700*x^2 - 12648*x - 1920, -3*x^40 + 15*x^39 + 138*x^38 - 785*x^37 - 2744*x^36 + 18705*x^35 + 29953*x^34 - 268948*x^33 - 177250*x^32 + 2607241*x^31 + 251944*x^30 - 18034986*x^29 + 4996926*x^28 + 91882616*x^27 - 50039216*x^26 - 350810675*x^25 + 262443955*x^24 + 1011404153*x^23 - 922712886*x^22 - 2201106015*x^21 + 2320189865*x^20 + 3587239741*x^19 - 4260785216*x^18 - 4305593876*x^17 + 5723644742*x^16 + 3699161529*x^15 - 5562142514*x^14 - 2169987083*x^13 + 3822629317*x^12 + 798554886*x^11 - 1793104382*x^10 - 151721302*x^9 + 544919310*x^8 + 4176086*x^7 - 99321972*x^6 + 2688332*x^5 + 9582607*x^4 - 238664*x^3 - 379224*x^2 + 2600*x + 2400, -3*x^40 + 15*x^39 + 138*x^38 - 785*x^37 - 2744*x^36 + 18705*x^35 + 29953*x^34 - 268948*x^33 - 177250*x^32 + 2607241*x^31 + 251944*x^30 - 18034986*x^29 + 4996926*x^28 + 91882616*x^27 - 50039216*x^26 - 350810675*x^25 + 262443955*x^24 + 1011404153*x^23 - 922712886*x^22 - 2201106015*x^21 + 2320189865*x^20 + 3587239741*x^19 - 4260785216*x^18 - 4305593876*x^17 + 5723644742*x^16 + 3699161529*x^15 - 5562142514*x^14 - 2169987083*x^13 + 3822629317*x^12 + 798554886*x^11 - 1793104382*x^10 - 151721302*x^9 + 544919310*x^8 + 4176086*x^7 - 99321972*x^6 + 2688332*x^5 + 9582607*x^4 - 238664*x^3 - 379224*x^2 + 2600*x + 2400]>
       ]
>;

MOG[953] := 	// J_0(953)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 23, 137, 177, 352, 553, 587, 601, 610, 626, 632, 688, 755, 815, 931, 935, 857*x + 151, 96*x + 151, 510*x + 254, 443*x + 254, 892*x + 195, 61*x + 195, 76*x + 676, 877*x + 676, 545*x + 424, 408*x + 424, 291*x + 136, 662*x + 136, 73*x + 386, 880*x + 386, 237*x + 532, 716*x + 532, 353*x + 952, 600*x + 952, 441*x + 654, 512*x + 654, 266*x + 602, 687*x + 602, 455*x + 611, 498*x + 611, 208*x + 18, 745*x + 18, 103*x + 852, 850*x + 852, 351*x + 852, 602*x + 852, 65*x + 409, 888*x + 409, 898*x + 143, 55*x + 143, 127*x + 593, 826*x + 593, 405*x + 390, 548*x + 390, 413*x + 306, 540*x + 306, 250*x + 521, 703*x + 521, 86*x + 388, 867*x + 388, 879*x + 209, 74*x + 209, 505*x + 112, 448*x + 112, 292*x + 331, 661*x + 331, 204*x + 382, 749*x + 382, 800*x + 91, 153*x + 91, x + 161, 952*x + 161, 811*x + 464, 142*x + 464, 236*x + 492, 717*x + 492, 333*x + 188, 620*x + 188, 327*x + 438, 626*x + 438]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^32 + 5*x^31 - 28*x^30 - 172*x^29 + 301*x^28 + 2614*x^27 - 1223*x^26 - 23133*x^25 - 4055*x^24 + 132271*x^23 + 75019*x^22 - 512432*x^21 - 430456*x^20 + 1370711*x^19 + 1447454*x^18 - 2526568*x^17 - 3176144*x^16 + 3129292*x^15 + 4673619*x^14 - 2435557*x^13 - 4582958*x^12 + 972878*x^11 + 2899838*x^10 + 14241*x^9 - 1110748*x^8 - 180997*x^7 + 229734*x^6 + 65208*x^5 - 20606*x^4 - 8617*x^3 + 224*x^2 + 340*x + 27,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^31 - 5*x^30 + 26*x^29 + 162*x^28 - 253*x^27 - 2310*x^26 + 807*x^25 + 19091*x^24 + 4961*x^23 - 101355*x^22 - 64105*x^21 + 361967*x^20 + 323580*x^19 - 884443*x^18 - 976308*x^17 + 1471710*x^16 + 1919230*x^15 - 1619247*x^14 - 2506429*x^13 + 1091610*x^12 + 2148825*x^11 - 354929*x^10 - 1163941*x^9 - 24887*x^8 + 371081*x^7 + 55798*x^6 - 61915*x^5 - 14478*x^4 + 4583*x^3 + 1324*x^2 - 109*x - 37, x^31 + 5*x^30 - 26*x^29 - 162*x^28 + 253*x^27 + 2310*x^26 - 807*x^25 - 19091*x^24 - 4961*x^23 + 101355*x^22 + 64105*x^21 - 361967*x^20 - 323580*x^19 + 884443*x^18 + 976308*x^17 - 1471710*x^16 - 1919230*x^15 + 1619247*x^14 + 2506429*x^13 - 1091610*x^12 - 2148825*x^11 + 354929*x^10 + 1163941*x^9 + 24887*x^8 - 371081*x^7 - 55798*x^6 + 61915*x^5 + 14478*x^4 - 4583*x^3 - 1324*x^2 + 109*x + 37, -x^30 - 5*x^29 + 24*x^28 + 152*x^27 - 208*x^26 - 2021*x^25 + 453*x^24 + 15458*x^23 + 5456*x^22 - 75238*x^21 - 53427*x^20 + 243238*x^19 + 235582*x^18 - 528222*x^17 - 629097*x^16 + 758159*x^15 + 1087400*x^14 - 678849*x^13 - 1227693*x^12 + 317137*x^11 + 884050*x^10 - 9731*x^9 - 383122*x^8 - 62545*x^7 + 89421*x^6 + 26154*x^5 - 8963*x^4 - 3822*x^3 + 111*x^2 + 154*x + 11, x^30 + 5*x^29 - 24*x^28 - 152*x^27 + 208*x^26 + 2021*x^25 - 453*x^24 - 15458*x^23 - 5456*x^22 + 75238*x^21 + 53427*x^20 - 243238*x^19 - 235582*x^18 + 528222*x^17 + 629097*x^16 - 758159*x^15 - 1087400*x^14 + 678849*x^13 + 1227693*x^12 - 317137*x^11 - 884050*x^10 + 9731*x^9 + 383122*x^8 + 62545*x^7 - 89421*x^6 - 26154*x^5 + 8963*x^4 + 3822*x^3 - 111*x^2 - 154*x - 11, -x^30 - 5*x^29 + 24*x^28 + 152*x^27 - 208*x^26 - 2021*x^25 + 453*x^24 + 15458*x^23 + 5458*x^22 - 75227*x^21 - 53449*x^20 + 243030*x^19 + 235564*x^18 - 526636*x^17 - 627817*x^16 + 751886*x^15 + 1079790*x^14 - 665098*x^13 - 1206440*x^12 + 300812*x^11 + 851847*x^10 - 915*x^9 - 356545*x^8 - 62654*x^7 + 78398*x^6 + 24576*x^5 - 7060*x^4 - 3471*x^3 + 4*x^2 + 149*x + 16, x^30 + 5*x^29 - 24*x^28 - 152*x^27 + 208*x^26 + 2021*x^25 - 453*x^24 - 15458*x^23 - 5458*x^22 + 75227*x^21 + 53449*x^20 - 243030*x^19 - 235564*x^18 + 526636*x^17 + 627817*x^16 - 751886*x^15 - 1079790*x^14 + 665098*x^13 + 1206440*x^12 - 300812*x^11 - 851847*x^10 + 915*x^9 + 356545*x^8 + 62654*x^7 - 78398*x^6 - 24576*x^5 + 7060*x^4 + 3471*x^3 - 4*x^2 - 149*x - 16, -x^29 - 5*x^28 + 22*x^27 + 142*x^26 - 168*x^25 - 1755*x^24 + 202*x^23 + 12419*x^22 + 5198*x^21 - 55702*x^20 - 41394*x^19 + 165490*x^18 + 160731*x^17 - 329908*x^16 - 382556*x^15 + 435123*x^14 + 590302*x^13 - 359601*x^12 - 593569*x^11 + 157973*x^10 + 378249*x^9 - 10118*x^8 - 142935*x^7 - 20659*x^6 + 28132*x^5 + 7468*x^4 - 2289*x^3 - 863*x^2 + 23*x + 21, x^29 + 5*x^28 - 22*x^27 - 142*x^26 + 168*x^25 + 1755*x^24 - 202*x^23 - 12419*x^22 - 5198*x^21 + 55702*x^20 + 41394*x^19 - 165490*x^18 - 160731*x^17 + 329908*x^16 + 382556*x^15 - 435123*x^14 - 590302*x^13 + 359601*x^12 + 593569*x^11 - 157973*x^10 - 378249*x^9 + 10118*x^8 + 142935*x^7 + 20659*x^6 - 28132*x^5 - 7468*x^4 + 2289*x^3 + 863*x^2 - 23*x - 21, -x^29 - 5*x^28 + 23*x^27 + 147*x^26 - 186*x^25 - 1878*x^24 + 293*x^23 + 13698*x^22 + 5480*x^21 - 63027*x^20 - 46604*x^19 + 190731*x^18 + 186480*x^17 - 383643*x^16 - 449274*x^15 + 505275*x^14 + 688434*x^13 - 414872*x^12 - 671206*x^11 + 187225*x^10 + 402570*x^9 - 27540*x^8 - 138725*x^7 - 8985*x^6 + 24820*x^5 + 3188*x^4 - 2183*x^3 - 307*x^2 + 97*x + 16, x^29 + 5*x^28 - 23*x^27 - 147*x^26 + 186*x^25 + 1878*x^24 - 293*x^23 - 13698*x^22 - 5480*x^21 + 63027*x^20 + 46604*x^19 - 190731*x^18 - 186480*x^17 + 383643*x^16 + 449274*x^15 - 505275*x^14 - 688434*x^13 + 414872*x^12 + 671206*x^11 - 187225*x^10 - 402570*x^9 + 27540*x^8 + 138725*x^7 + 8985*x^6 - 24820*x^5 - 3188*x^4 + 2183*x^3 + 307*x^2 - 97*x - 16, -x^29 - 5*x^28 + 22*x^27 + 142*x^26 - 167*x^25 - 1750*x^24 + 187*x^23 + 12312*x^22 + 5253*x^21 - 54732*x^20 - 41083*x^19 + 160598*x^18 + 157006*x^17 - 314807*x^16 - 366302*x^15 + 405841*x^14 + 549643*x^13 - 325265*x^12 - 530067*x^11 + 137822*x^10 + 316486*x^9 - 10703*x^8 - 107990*x^7 - 12782*x^6 + 18433*x^5 + 3699*x^4 - 1465*x^3 - 341*x^2 + 59*x + 15, x^29 + 5*x^28 - 22*x^27 - 142*x^26 + 167*x^25 + 1750*x^24 - 187*x^23 - 12312*x^22 - 5253*x^21 + 54732*x^20 + 41083*x^19 - 160598*x^18 - 157006*x^17 + 314807*x^16 + 366302*x^15 - 405841*x^14 - 549643*x^13 + 325265*x^12 + 530067*x^11 - 137822*x^10 - 316486*x^9 + 10703*x^8 + 107990*x^7 + 12782*x^6 - 18433*x^5 - 3699*x^4 + 1465*x^3 + 341*x^2 - 59*x - 15, -x^29 - 5*x^28 + 23*x^27 + 147*x^26 - 187*x^25 - 1883*x^24 + 310*x^23 + 13816*x^22 + 5403*x^21 - 64205*x^20 - 46933*x^19 + 197209*x^18 + 191485*x^17 - 405017*x^16 - 473138*x^15 + 548308*x^14 + 750346*x^13 - 465533*x^12 - 766911*x^11 + 216192*x^10 + 490910*x^9 - 27064*x^8 - 184693*x^7 - 18440*x^6 + 36422*x^5 + 7308*x^4 - 3114*x^3 - 834*x^2 + 66*x + 22, x^29 + 5*x^28 - 23*x^27 - 147*x^26 + 187*x^25 + 1883*x^24 - 310*x^23 - 13816*x^22 - 5403*x^21 + 64205*x^20 + 46933*x^19 - 197209*x^18 - 191485*x^17 + 405017*x^16 + 473138*x^15 - 548308*x^14 - 750346*x^13 + 465533*x^12 + 766911*x^11 - 216192*x^10 - 490910*x^9 + 27064*x^8 + 184693*x^7 + 18440*x^6 - 36422*x^5 - 7308*x^4 + 3114*x^3 + 834*x^2 - 66*x - 22, -x^28 - 5*x^27 + 20*x^26 + 133*x^25 - 127*x^24 - 1526*x^23 - 103*x^22 + 9910*x^21 + 5865*x^20 - 40173*x^19 - 37292*x^18 + 105641*x^17 + 125686*x^16 - 180791*x^15 - 261262*x^14 + 194480*x^13 + 347384*x^12 - 116825*x^11 - 293218*x^10 + 20564*x^9 + 150519*x^8 + 17908*x^7 - 42643*x^6 - 11362*x^5 + 5191*x^4 + 2136*x^3 - 86*x^2 - 112*x - 11, x^28 + 5*x^27 - 20*x^26 - 133*x^25 + 127*x^24 + 1526*x^23 + 103*x^22 - 9910*x^21 - 5865*x^20 + 40173*x^19 + 37292*x^18 - 105641*x^17 - 125686*x^16 + 180791*x^15 + 261262*x^14 - 194480*x^13 - 347384*x^12 + 116825*x^11 + 293218*x^10 - 20564*x^9 - 150519*x^8 - 17908*x^7 + 42643*x^6 + 11362*x^5 - 5191*x^4 - 2136*x^3 + 86*x^2 + 112*x + 11, -x^28 - 5*x^27 + 20*x^26 + 133*x^25 - 124*x^24 - 1513*x^23 - 155*x^22 + 9626*x^21 + 6168*x^20 - 37575*x^19 - 37559*x^18 + 92673*x^17 + 120855*x^16 - 142245*x^15 - 235836*x^14 + 124768*x^13 + 286740*x^12 - 42339*x^11 - 212583*x^10 - 20951*x^9 + 89668*x^8 + 23978*x^7 - 18646*x^6 - 7324*x^5 + 1483*x^4 + 823*x^3 - 2*x^2 - 21*x, x^28 + 5*x^27 - 20*x^26 - 133*x^25 + 124*x^24 + 1513*x^23 + 155*x^22 - 9626*x^21 - 6168*x^20 + 37575*x^19 + 37559*x^18 - 92673*x^17 - 120855*x^16 + 142245*x^15 + 235836*x^14 - 124768*x^13 - 286740*x^12 + 42339*x^11 + 212583*x^10 + 20951*x^9 - 89668*x^8 - 23978*x^7 + 18646*x^6 + 7324*x^5 - 1483*x^4 - 823*x^3 + 2*x^2 + 21*x, -x^28 - 5*x^27 + 22*x^26 + 143*x^25 - 160*x^24 - 1760*x^23 + 24*x^22 + 12211*x^21 + 6823*x^20 - 52507*x^19 - 49102*x^18 + 144579*x^17 + 179823*x^16 - 252884*x^15 - 398966*x^14 + 263977*x^13 + 556487*x^12 - 129912*x^11 - 481480*x^10 - 17809*x^9 + 244397*x^8 + 53560*x^7 - 64601*x^6 - 22966*x^5 + 6780*x^4 + 3515*x^3 - 14*x^2 - 138*x - 11, x^28 + 5*x^27 - 22*x^26 - 143*x^25 + 160*x^24 + 1760*x^23 - 24*x^22 - 12211*x^21 - 6823*x^20 + 52507*x^19 + 49102*x^18 - 144579*x^17 - 179823*x^16 + 252884*x^15 + 398966*x^14 - 263977*x^13 - 556487*x^12 + 129912*x^11 + 481480*x^10 + 17809*x^9 - 244397*x^8 - 53560*x^7 + 64601*x^6 + 22966*x^5 - 6780*x^4 - 3515*x^3 + 14*x^2 + 138*x + 11, -x^28 - 5*x^27 + 21*x^26 + 137*x^25 - 147*x^24 - 1618*x^23 + 59*x^22 + 10819*x^21 + 5193*x^20 - 45252*x^19 - 35855*x^18 + 123412*x^17 + 124507*x^16 - 221555*x^15 - 261753*x^14 + 257189*x^13 + 346677*x^12 - 182995*x^11 - 285865*x^10 + 70762*x^9 + 139809*x^8 - 10840*x^7 - 37565*x^6 - 96*x^5 + 5300*x^4 + 91*x^3 - 387*x^2 - 2*x + 12, x^28 + 5*x^27 - 21*x^26 - 137*x^25 + 147*x^24 + 1618*x^23 - 59*x^22 - 10819*x^21 - 5193*x^20 + 45252*x^19 + 35855*x^18 - 123412*x^17 - 124507*x^16 + 221555*x^15 + 261753*x^14 - 257189*x^13 - 346677*x^12 + 182995*x^11 + 285865*x^10 - 70762*x^9 - 139809*x^8 + 10840*x^7 + 37565*x^6 + 96*x^5 - 5300*x^4 - 91*x^3 + 387*x^2 + 2*x - 12, -x^28 - 5*x^27 + 20*x^26 + 134*x^25 - 119*x^24 - 1528*x^23 - 264*x^22 + 9676*x^21 + 7173*x^20 - 37180*x^19 - 42703*x^18 + 88417*x^17 + 137008*x^16 - 124490*x^15 - 268394*x^14 + 82644*x^13 + 329696*x^12 + 20005*x^11 - 249496*x^10 - 80550*x^9 + 108746*x^8 + 60712*x^7 - 22400*x^6 - 20781*x^5 + 295*x^4 + 3039*x^3 + 442*x^2 - 132*x - 28, x^28 + 5*x^27 - 20*x^26 - 134*x^25 + 119*x^24 + 1528*x^23 + 264*x^22 - 9676*x^21 - 7173*x^20 + 37180*x^19 + 42703*x^18 - 88417*x^17 - 137008*x^16 + 124490*x^15 + 268394*x^14 - 82644*x^13 - 329696*x^12 - 20005*x^11 + 249496*x^10 + 80550*x^9 - 108746*x^8 - 60712*x^7 + 22400*x^6 + 20781*x^5 - 295*x^4 - 3039*x^3 - 442*x^2 + 132*x + 28, -x^28 - 5*x^27 + 21*x^26 + 138*x^25 - 143*x^24 - 1642*x^23 - 55*x^22 + 11022*x^21 + 6516*x^20 - 45821*x^19 - 44079*x^18 + 121619*x^17 + 154679*x^16 - 203578*x^15 - 329444*x^14 + 199565*x^13 + 439529*x^12 - 84620*x^11 - 360937*x^10 - 26149*x^9 + 171852*x^8 + 44214*x^7 - 41976*x^6 - 17268*x^5 + 3946*x^4 + 2637*x^3 + 62*x^2 - 127*x - 16, x^28 + 5*x^27 - 21*x^26 - 138*x^25 + 143*x^24 + 1642*x^23 + 55*x^22 - 11022*x^21 - 6516*x^20 + 45821*x^19 + 44079*x^18 - 121619*x^17 - 154679*x^16 + 203578*x^15 + 329444*x^14 - 199565*x^13 - 439529*x^12 + 84620*x^11 + 360937*x^10 + 26149*x^9 - 171852*x^8 - 44214*x^7 + 41976*x^6 + 17268*x^5 - 3946*x^4 - 2637*x^3 - 62*x^2 + 127*x + 16, -x^27 - 4*x^26 + 22*x^25 + 100*x^24 - 200*x^23 - 1086*x^22 + 961*x^21 + 6771*x^20 - 2508*x^19 - 27021*x^18 + 2580*x^17 + 72867*x^16 + 4944*x^15 - 136211*x^14 - 25055*x^13 + 176499*x^12 + 51561*x^11 - 153397*x^10 - 63880*x^9 + 82066*x^8 + 47302*x^7 - 21904*x^6 - 18558*x^5 + 959*x^4 + 3025*x^3 + 402*x^2 - 137*x - 28, x^27 + 4*x^26 - 22*x^25 - 100*x^24 + 200*x^23 + 1086*x^22 - 961*x^21 - 6771*x^20 + 2508*x^19 + 27021*x^18 - 2580*x^17 - 72867*x^16 - 4944*x^15 + 136211*x^14 + 25055*x^13 - 176499*x^12 - 51561*x^11 + 153397*x^10 + 63880*x^9 - 82066*x^8 - 47302*x^7 + 21904*x^6 + 18558*x^5 - 959*x^4 - 3025*x^3 - 402*x^2 + 137*x + 28, -x^27 - 5*x^26 + 19*x^25 + 129*x^24 - 105*x^23 - 1423*x^22 - 294*x^21 + 8758*x^20 + 6610*x^19 - 32828*x^18 - 37625*x^17 + 76250*x^16 + 116350*x^15 - 104432*x^14 - 217863*x^13 + 66277*x^12 + 248790*x^11 + 15988*x^10 - 163850*x^9 - 54040*x^8 + 52990*x^7 + 31201*x^6 - 4383*x^5 - 6291*x^4 - 822*x^3 + 349*x^2 + 103*x + 7, x^27 + 5*x^26 - 19*x^25 - 129*x^24 + 105*x^23 + 1423*x^22 + 294*x^21 - 8758*x^20 - 6610*x^19 + 32828*x^18 + 37625*x^17 - 76250*x^16 - 116350*x^15 + 104432*x^14 + 217863*x^13 - 66277*x^12 - 248790*x^11 - 15988*x^10 + 163850*x^9 + 54040*x^8 - 52990*x^7 - 31201*x^6 + 4383*x^5 + 6291*x^4 + 822*x^3 - 349*x^2 - 103*x - 7, -x^27 - 4*x^26 + 24*x^25 + 109*x^24 - 233*x^23 - 1280*x^22 + 1125*x^21 + 8501*x^20 - 2333*x^19 - 35242*x^18 - 2317*x^17 + 94990*x^16 + 25865*x^15 - 168110*x^14 - 67726*x^13 + 192494*x^12 + 94246*x^11 - 136585*x^10 - 75998*x^9 + 55047*x^8 + 34621*x^7 - 10643*x^6 - 8003*x^5 + 679*x^4 + 804*x^3 + 19*x^2 - 21*x, x^27 + 4*x^26 - 24*x^25 - 109*x^24 + 233*x^23 + 1280*x^22 - 1125*x^21 - 8501*x^20 + 2333*x^19 + 35242*x^18 + 2317*x^17 - 94990*x^16 - 25865*x^15 + 168110*x^14 + 67726*x^13 - 192494*x^12 - 94246*x^11 + 136585*x^10 + 75998*x^9 - 55047*x^8 - 34621*x^7 + 10643*x^6 + 8003*x^5 - 679*x^4 - 804*x^3 - 19*x^2 + 21*x, -x^27 - 5*x^26 + 20*x^25 + 133*x^24 - 124*x^23 - 1513*x^22 - 155*x^21 + 9626*x^20 + 6168*x^19 - 37575*x^18 - 37559*x^17 + 92673*x^16 + 120855*x^15 - 142245*x^14 - 235836*x^13 + 124768*x^12 + 286740*x^11 - 42339*x^10 - 212583*x^9 - 20951*x^8 + 89668*x^7 + 23978*x^6 - 18646*x^5 - 7324*x^4 + 1483*x^3 + 823*x^2 - 2*x - 21, x^27 + 5*x^26 - 20*x^25 - 133*x^24 + 124*x^23 + 1513*x^22 + 155*x^21 - 9626*x^20 - 6168*x^19 + 37575*x^18 + 37559*x^17 - 92673*x^16 - 120855*x^15 + 142245*x^14 + 235836*x^13 - 124768*x^12 - 286740*x^11 + 42339*x^10 + 212583*x^9 + 20951*x^8 - 89668*x^7 - 23978*x^6 + 18646*x^5 + 7324*x^4 - 1483*x^3 - 823*x^2 + 2*x + 21, -x^27 - 4*x^26 + 26*x^25 + 118*x^24 - 269*x^23 - 1487*x^22 + 1343*x^21 + 10520*x^20 - 2498*x^19 - 46152*x^18 - 6657*x^17 + 130759*x^16 + 50308*x^15 - 241298*x^14 - 131947*x^13 + 284960*x^12 + 189726*x^11 - 205034*x^10 - 158173*x^9 + 81100*x^8 + 74124*x^7 - 13981*x^6 - 18040*x^5 + 327*x^4 + 2169*x^3 + 169*x^2 - 108*x - 16, x^27 + 4*x^26 - 26*x^25 - 118*x^24 + 269*x^23 + 1487*x^22 - 1343*x^21 - 10520*x^20 + 2498*x^19 + 46152*x^18 + 6657*x^17 - 130759*x^16 - 50308*x^15 + 241298*x^14 + 131947*x^13 - 284960*x^12 - 189726*x^11 + 205034*x^10 + 158173*x^9 - 81100*x^8 - 74124*x^7 + 13981*x^6 + 18040*x^5 - 327*x^4 - 2169*x^3 - 169*x^2 + 108*x + 16, -x^27 - 5*x^26 + 20*x^25 + 132*x^24 - 128*x^23 - 1493*x^22 - 60*x^21 + 9480*x^20 + 5228*x^19 - 37186*x^18 - 32499*x^17 + 93252*x^16 + 104549*x^15 - 148652*x^14 - 202966*x^13 + 142270*x^12 + 244202*x^11 - 67060*x^10 - 176677*x^9 - 137*x^8 + 70425*x^7 + 12686*x^6 - 13133*x^5 - 3608*x^4 + 1078*x^3 + 339*x^2 - 47*x - 15, x^27 + 5*x^26 - 20*x^25 - 132*x^24 + 128*x^23 + 1493*x^22 + 60*x^21 - 9480*x^20 - 5228*x^19 + 37186*x^18 + 32499*x^17 - 93252*x^16 - 104549*x^15 + 148652*x^14 + 202966*x^13 - 142270*x^12 - 244202*x^11 + 67060*x^10 + 176677*x^9 + 137*x^8 - 70425*x^7 - 12686*x^6 + 13133*x^5 + 3608*x^4 - 1078*x^3 - 339*x^2 + 47*x + 15, -x^27 - 4*x^26 + 24*x^25 + 112*x^24 - 219*x^23 - 1328*x^22 + 822*x^21 + 8715*x^20 + 402*x^19 - 34672*x^18 - 15682*x^17 + 85837*x^16 + 64141*x^15 - 129434*x^14 - 132183*x^13 + 107699*x^12 + 153197*x^11 - 31556*x^10 - 96099*x^9 - 16670*x^8 + 26680*x^7 + 13410*x^6 - 496*x^5 - 2223*x^4 - 664*x^3 + 14*x^2 + 40*x + 5, x^27 + 4*x^26 - 24*x^25 - 112*x^24 + 219*x^23 + 1328*x^22 - 822*x^21 - 8715*x^20 - 402*x^19 + 34672*x^18 + 15682*x^17 - 85837*x^16 - 64141*x^15 + 129434*x^14 + 132183*x^13 - 107699*x^12 - 153197*x^11 + 31556*x^10 + 96099*x^9 + 16670*x^8 - 26680*x^7 - 13410*x^6 + 496*x^5 + 2223*x^4 + 664*x^3 - 14*x^2 - 40*x - 5, -x^27 - 4*x^26 + 24*x^25 + 110*x^24 - 232*x^23 - 1308*x^22 + 1098*x^21 + 8837*x^20 - 2022*x^19 - 37509*x^18 - 4316*x^17 + 104480*x^16 + 33767*x^15 - 193763*x^14 - 87764*x^13 + 237571*x^12 + 127374*x^11 - 186816*x^10 - 111641*x^9 + 88085*x^8 + 58910*x^7 - 21409*x^6 - 17642*x^5 + 1563*x^4 + 2571*x^3 + 195*x^2 - 127*x - 20, x^27 + 4*x^26 - 24*x^25 - 110*x^24 + 232*x^23 + 1308*x^22 - 1098*x^21 - 8837*x^20 + 2022*x^19 + 37509*x^18 + 4316*x^17 - 104480*x^16 - 33767*x^15 + 193763*x^14 + 87764*x^13 - 237571*x^12 - 127374*x^11 + 186816*x^10 + 111641*x^9 - 88085*x^8 - 58910*x^7 + 21409*x^6 + 17642*x^5 - 1563*x^4 - 2571*x^3 - 195*x^2 + 127*x + 20, -x^27 - 5*x^26 + 19*x^25 + 129*x^24 - 104*x^23 - 1421*x^22 - 319*x^21 + 8705*x^20 + 6858*x^19 - 32267*x^18 - 38879*x^17 + 73163*x^16 + 119774*x^15 - 94857*x^14 - 222671*x^13 + 49401*x^12 + 251405*x^11 + 32005*x^10 - 163155*x^9 - 60746*x^8 + 51965*x^7 + 31082*x^6 - 4481*x^5 - 5443*x^4 - 443*x^3 + 239*x^2 + 25*x - 3, x^27 + 5*x^26 - 19*x^25 - 129*x^24 + 104*x^23 + 1421*x^22 + 319*x^21 - 8705*x^20 - 6858*x^19 + 32267*x^18 + 38879*x^17 - 73163*x^16 - 119774*x^15 + 94857*x^14 + 222671*x^13 - 49401*x^12 - 251405*x^11 - 32005*x^10 + 163155*x^9 + 60746*x^8 - 51965*x^7 - 31082*x^6 + 4481*x^5 + 5443*x^4 + 443*x^3 - 239*x^2 - 25*x + 3, -x^27 - 4*x^26 + 25*x^25 + 112*x^24 - 261*x^23 - 1373*x^22 + 1432*x^21 + 9679*x^20 - 4004*x^19 - 43323*x^18 + 2073*x^17 + 128276*x^16 + 23920*x^15 - 253886*x^14 - 88146*x^13 + 331512*x^12 + 154569*x^11 - 274346*x^10 - 155903*x^9 + 132024*x^8 + 90752*x^7 - 29910*x^6 - 27995*x^5 + 772*x^4 + 3619*x^3 + 468*x^2 - 107*x - 19, x^27 + 4*x^26 - 25*x^25 - 112*x^24 + 261*x^23 + 1373*x^22 - 1432*x^21 - 9679*x^20 + 4004*x^19 + 43323*x^18 - 2073*x^17 - 128276*x^16 - 23920*x^15 + 253886*x^14 + 88146*x^13 - 331512*x^12 - 154569*x^11 + 274346*x^10 + 155903*x^9 - 132024*x^8 - 90752*x^7 + 29910*x^6 + 27995*x^5 - 772*x^4 - 3619*x^3 - 468*x^2 + 107*x + 19, -2*x^26 - 9*x^25 + 39*x^24 + 221*x^23 - 264*x^22 - 2317*x^21 + 342*x^20 + 13554*x^19 + 5200*x^18 - 48456*x^17 - 34905*x^16 + 108721*x^15 + 106773*x^14 - 150164*x^13 - 188124*x^12 + 116625*x^11 + 197782*x^10 - 34597*x^9 - 119887*x^8 - 13132*x^7 + 37495*x^6 + 11825*x^5 - 4389*x^4 - 2398*x^3 - 37*x^2 + 124*x + 16, 2*x^26 + 9*x^25 - 39*x^24 - 221*x^23 + 264*x^22 + 2317*x^21 - 342*x^20 - 13554*x^19 - 5200*x^18 + 48456*x^17 + 34905*x^16 - 108721*x^15 - 106773*x^14 + 150164*x^13 + 188124*x^12 - 116625*x^11 - 197782*x^10 + 34597*x^9 + 119887*x^8 + 13132*x^7 - 37495*x^6 - 11825*x^5 + 4389*x^4 + 2398*x^3 + 37*x^2 - 124*x - 16, -x^26 - 4*x^25 + 22*x^24 + 103*x^23 - 191*x^22 - 1152*x^21 + 745*x^20 + 7345*x^19 - 333*x^18 - 29391*x^17 - 9336*x^16 + 76359*x^15 + 43399*x^14 - 128203*x^13 - 98594*x^12 + 132813*x^11 + 129368*x^10 - 74604*x^9 - 97529*x^8 + 13293*x^7 + 38260*x^6 + 5071*x^5 - 6013*x^4 - 1787*x^3 + 189*x^2 + 119*x + 11, x^26 + 4*x^25 - 22*x^24 - 103*x^23 + 191*x^22 + 1152*x^21 - 745*x^20 - 7345*x^19 + 333*x^18 + 29391*x^17 + 9336*x^16 - 76359*x^15 - 43399*x^14 + 128203*x^13 + 98594*x^12 - 132813*x^11 - 129368*x^10 + 74604*x^9 + 97529*x^8 - 13293*x^7 - 38260*x^6 - 5071*x^5 + 6013*x^4 + 1787*x^3 - 189*x^2 - 119*x - 11, 3*x^24 + 12*x^23 - 54*x^22 - 259*x^21 + 358*x^20 + 2351*x^19 - 878*x^18 - 11747*x^17 - 1239*x^16 + 35506*x^15 + 13133*x^14 - 67163*x^13 - 35249*x^12 + 79447*x^11 + 48961*x^10 - 56994*x^9 - 38249*x^8 + 23211*x^7 + 16651*x^6 - 4702*x^5 - 3839*x^4 + 273*x^3 + 374*x^2 + 15*x - 8, -3*x^24 - 12*x^23 + 54*x^22 + 259*x^21 - 358*x^20 - 2351*x^19 + 878*x^18 + 11747*x^17 + 1239*x^16 - 35506*x^15 - 13133*x^14 + 67163*x^13 + 35249*x^12 - 79447*x^11 - 48961*x^10 + 56994*x^9 + 38249*x^8 - 23211*x^7 - 16651*x^6 + 4702*x^5 + 3839*x^4 - 273*x^3 - 374*x^2 - 15*x + 8, -x^26 - 5*x^25 + 19*x^24 + 125*x^23 - 119*x^22 - 1339*x^21 + 35*x^20 + 8066*x^19 + 3356*x^18 - 30160*x^17 - 19958*x^16 + 72903*x^15 + 58787*x^14 - 114919*x^13 - 102475*x^12 + 115935*x^11 + 109188*x^10 - 70899*x^9 - 69384*x^8 + 23526*x^7 + 24432*x^6 - 3512*x^5 - 4222*x^4 + 248*x^3 + 340*x^2 - 13*x - 12, x^26 + 5*x^25 - 19*x^24 - 125*x^23 + 119*x^22 + 1339*x^21 - 35*x^20 - 8066*x^19 - 3356*x^18 + 30160*x^17 + 19958*x^16 - 72903*x^15 - 58787*x^14 + 114919*x^13 + 102475*x^12 - 115935*x^11 - 109188*x^10 + 70899*x^9 + 69384*x^8 - 23526*x^7 - 24432*x^6 + 3512*x^5 + 4222*x^4 - 248*x^3 - 340*x^2 + 13*x + 12, -2*x^25 - 8*x^24 + 40*x^23 + 190*x^22 - 300*x^21 - 1922*x^20 + 850*x^19 + 10832*x^18 + 1394*x^17 - 37309*x^16 - 17945*x^15 + 80904*x^14 + 59602*x^13 - 109275*x^12 - 105184*x^11 + 86795*x^10 + 107148*x^9 - 34452*x^8 - 61772*x^7 + 2647*x^6 + 18650*x^5 + 2086*x^4 - 2619*x^3 - 517*x^2 + 128*x + 31, 2*x^25 + 8*x^24 - 40*x^23 - 190*x^22 + 300*x^21 + 1922*x^20 - 850*x^19 - 10832*x^18 - 1394*x^17 + 37309*x^16 + 17945*x^15 - 80904*x^14 - 59602*x^13 + 109275*x^12 + 105184*x^11 - 86795*x^10 - 107148*x^9 + 34452*x^8 + 61772*x^7 - 2647*x^6 - 18650*x^5 - 2086*x^4 + 2619*x^3 + 517*x^2 - 128*x - 31, -x^25 - 4*x^24 + 17*x^23 + 80*x^22 - 113*x^21 - 668*x^20 + 402*x^19 + 3104*x^18 - 1102*x^17 - 9227*x^16 + 3408*x^15 + 19628*x^14 - 8934*x^13 - 32058*x^12 + 13391*x^11 + 38776*x^10 - 8283*x^9 - 30196*x^8 - 1437*x^7 + 12130*x^6 + 3441*x^5 - 1509*x^4 - 776*x^3 - 41*x^2 + 27*x + 4, x^25 + 4*x^24 - 17*x^23 - 80*x^22 + 113*x^21 + 668*x^20 - 402*x^19 - 3104*x^18 + 1102*x^17 + 9227*x^16 - 3408*x^15 - 19628*x^14 + 8934*x^13 + 32058*x^12 - 13391*x^11 - 38776*x^10 + 8283*x^9 + 30196*x^8 + 1437*x^7 - 12130*x^6 - 3441*x^5 + 1509*x^4 + 776*x^3 + 41*x^2 - 27*x - 4, -x^25 - 7*x^24 + 9*x^23 + 154*x^22 + 95*x^21 - 1414*x^20 - 1872*x^19 + 7026*x^18 + 12541*x^17 - 20349*x^16 - 45762*x^15 + 33733*x^14 + 100491*x^13 - 26335*x^12 - 135014*x^11 - 3839*x^10 + 107293*x^9 + 23663*x^8 - 45993*x^7 - 16198*x^6 + 8911*x^5 + 3856*x^4 - 738*x^3 - 352*x^2 + 35*x + 15, x^25 + 7*x^24 - 9*x^23 - 154*x^22 - 95*x^21 + 1414*x^20 + 1872*x^19 - 7026*x^18 - 12541*x^17 + 20349*x^16 + 45762*x^15 - 33733*x^14 - 100491*x^13 + 26335*x^12 + 135014*x^11 + 3839*x^10 - 107293*x^9 - 23663*x^8 + 45993*x^7 + 16198*x^6 - 8911*x^5 - 3856*x^4 + 738*x^3 + 352*x^2 - 35*x - 15, -2*x^24 - 11*x^23 + 24*x^22 + 225*x^21 + 15*x^20 - 1890*x^19 - 1647*x^18 + 8417*x^17 + 11505*x^16 - 21225*x^15 - 39200*x^14 + 28982*x^13 + 76736*x^12 - 14590*x^11 - 88690*x^10 - 12586*x^9 + 57843*x^8 + 22048*x^7 - 18168*x^6 - 11282*x^5 + 1398*x^4 + 2019*x^3 + 212*x^2 - 100*x - 19, 2*x^24 + 11*x^23 - 24*x^22 - 225*x^21 - 15*x^20 + 1890*x^19 + 1647*x^18 - 8417*x^17 - 11505*x^16 + 21225*x^15 + 39200*x^14 - 28982*x^13 - 76736*x^12 + 14590*x^11 + 88690*x^10 + 12586*x^9 - 57843*x^8 - 22048*x^7 + 18168*x^6 + 11282*x^5 - 1398*x^4 - 2019*x^3 - 212*x^2 + 100*x + 19, -2*x^23 - 9*x^22 + 33*x^21 + 192*x^20 - 177*x^19 - 1713*x^18 + 66*x^17 + 8351*x^16 + 3154*x^15 - 24379*x^14 - 14821*x^13 + 43803*x^12 + 32933*x^11 - 47523*x^10 - 41167*x^9 + 28581*x^8 + 29262*x^7 - 7214*x^6 - 10954*x^5 - 328*x^4 + 1726*x^3 + 293*x^2 - 81*x - 19, 2*x^23 + 9*x^22 - 33*x^21 - 192*x^20 + 177*x^19 + 1713*x^18 - 66*x^17 - 8351*x^16 - 3154*x^15 + 24379*x^14 + 14821*x^13 - 43803*x^12 - 32933*x^11 + 47523*x^10 + 41167*x^9 - 28581*x^8 - 29262*x^7 + 7214*x^6 + 10954*x^5 + 328*x^4 - 1726*x^3 - 293*x^2 + 81*x + 19]>,
         rec<Eigen |
           DefiningPolynomial := x^47 - 2*x^46 - 74*x^45 + 146*x^44 + 2547*x^43 - 4947*x^42 - 54166*x^41 + 103329*x^40 + 797464*x^39 - 1490259*x^38 - 8630812*x^37 + 15754620*x^36 + 71168622*x^35 - 126497231*x^34 - 457287687*x^33 + 788757347*x^32 + 2322205814*x^31 - 3873207227*x^30 - 9397769746*x^29 + 15102978525*x^28 + 30420942896*x^27 - 46951200838*x^26 - 78742356663*x^25 + 116414006677*x^24 + 162282246234*x^23 - 229574195196*x^22 - 263984737229*x^21 + 357923331829*x^20 + 334151886119*x^19 - 436956462063*x^18 - 321940498169*x^17 + 411840946825*x^16 + 228004965156*x^15 - 293557504242*x^14 - 111788561835*x^13 + 153381777756*x^12 + 33394023938*x^11 - 55868398698*x^10 - 3697189948*x^9 + 12980763489*x^8 - 923252393*x^7 - 1597122662*x^6 + 312782132*x^5 + 55516544*x^4 - 20767326*x^3 + 1987557*x^2 - 71547*x + 769,
           Coordinates        := [-x^46 + 2*x^45 + 71*x^44 - 140*x^43 - 2340*x^42 + 4539*x^41 + 47550*x^40 - 90506*x^39 - 667398*x^38 + 1242981*x^37 + 6869366*x^36 - 12478843*x^35 - 53728086*x^34 + 94867398*x^33 + 326516075*x^32 - 558243529*x^31 - 1563309903*x^30 + 2577565182*x^29 + 5943777069*x^28 - 9411809415*x^27 - 18003391727*x^26 + 27269816341*x^25 + 43401009548*x^24 - 62672373574*x^23 - 82842054922*x^22 + 113808818068*x^21 + 123961782429*x^20 - 162080192851*x^19 - 143104158018*x^18 + 178921668022*x^17 + 124336727263*x^16 - 150493041371*x^15 - 78189614729*x^14 + 94040628501*x^13 + 33259513980*x^12 - 41999249723*x^11 - 8273204334*x^10 + 12575077839*x^9 + 656724316*x^8 - 2240499420*x^7 + 169534845*x^6 + 179567974*x^5 - 32869235*x^4 - 1207412*x^3 + 537829*x^2 - 32559*x + 544, x^46 - 2*x^45 - 71*x^44 + 140*x^43 + 2340*x^42 - 4539*x^41 - 47552*x^40 + 90506*x^39 + 667528*x^38 - 1242979*x^37 - 6873258*x^36 + 12478751*x^35 + 53799196*x^34 - 94865506*x^33 - 327402007*x^32 + 558220591*x^31 + 1571278161*x^30 - 2577384274*x^29 - 5997229353*x^28 + 9410859485*x^27 + 18275940577*x^26 - 27266738477*x^25 - 44468150566*x^24 + 62669254870*x^23 + 86062504526*x^22 - 113835251828*x^21 - 131439765979*x^20 + 162255442979*x^19 + 156371916588*x^18 - 179511571518*x^17 - 142094072023*x^16 + 151792694525*x^15 + 95754978957*x^14 - 95999388201*x^13 - 45699956334*x^12 + 44003952961*x^11 + 14263904026*x^10 - 13916202603*x^9 - 2442786170*x^8 + 2783126300*x^7 + 96395415*x^6 - 292470040*x^5 + 26609619*x^4 + 8865036*x^3 - 1744467*x^2 + 101311*x - 1666, 2*x^39 - 6*x^38 - 96*x^37 + 314*x^36 + 1966*x^35 - 7368*x^34 - 21440*x^33 + 102190*x^32 + 113090*x^31 - 928148*x^30 + 138060*x^29 + 5757776*x^28 - 7213190*x^27 - 24466868*x^26 + 61873296*x^25 + 67518108*x^24 - 315202170*x^23 - 92330202*x^22 + 1100265822*x^21 - 103996608*x^20 - 2745339182*x^19 + 861554980*x^18 + 4942139022*x^17 - 2236924474*x^16 - 6351287944*x^15 + 3522320652*x^14 + 5647242472*x^13 - 3679245192*x^12 - 3250316534*x^11 + 2552952238*x^10 + 1026764798*x^9 - 1115968050*x^8 - 67466318*x^7 + 266423484*x^6 - 52168742*x^5 - 21420046*x^4 + 10317544*x^3 - 1429386*x^2 + 77368*x - 1330, -4*x^40 + 2*x^39 + 246*x^38 - 116*x^37 - 6936*x^36 + 3026*x^35 + 118924*x^34 - 46924*x^33 - 1386878*x^32 + 481236*x^31 + 11656616*x^30 - 3430482*x^29 - 72998206*x^28 + 17334308*x^27 + 347289188*x^26 - 61723614*x^25 - 1268338848*x^24 + 147907154*x^23 + 3569292538*x^22 - 199707172*x^21 - 7726452510*x^20 - 15907728*x^19 + 12779167078*x^18 + 699804354*x^17 - 15962615244*x^16 - 1578541640*x^15 + 14811761912*x^14 + 1929609400*x^13 - 9992332652*x^12 - 1432486612*x^11 + 4770217956*x^10 + 623134212*x^9 - 1553111162*x^8 - 128870440*x^7 + 321660040*x^6 - 2006966*x^5 - 34477960*x^4 + 4430134*x^3 + 463022*x^2 - 74292*x + 2000, x^45 - 2*x^44 - 69*x^43 + 136*x^42 + 2206*x^41 - 4281*x^40 - 43386*x^39 + 82826*x^38 + 587700*x^37 - 1102915*x^36 - 5817196*x^35 + 10726641*x^34 + 43561348*x^33 - 78916186*x^32 - 252070231*x^31 + 448835159*x^30 + 1141365849*x^29 - 1999982268*x^28 - 4069508601*x^27 + 7034553327*x^26 + 11438264057*x^25 - 19588114317*x^24 - 25248318662*x^23 + 43137983588*x^22 + 43364769002*x^21 - 74773471368*x^20 - 57006440115*x^19 + 101101742279*x^18 + 55782182334*x^17 - 105144352246*x^16 - 38635887671*x^15 + 82361109793*x^14 + 16938561165*x^13 - 47095946589*x^12 - 3008874074*x^11 + 18733375367*x^10 - 1118849820*x^9 - 4784210975*x^8 + 804686278*x^7 + 670820802*x^6 - 183396809*x^5 - 31400062*x^4 + 15157471*x^3 - 1724222*x^2 + 73575*x - 903, 2*x^43 - 4*x^42 - 130*x^41 + 258*x^40 + 3892*x^39 - 7656*x^38 - 71218*x^37 + 138702*x^36 + 891294*x^35 - 1716776*x^34 - 8088236*x^33 + 15393588*x^32 + 55053346*x^31 - 103459384*x^30 - 286757450*x^29 + 532002410*x^28 + 1155640658*x^27 - 2117926858*x^26 - 3618194240*x^25 + 6564222150*x^24 + 8782519880*x^23 - 15847085424*x^22 - 16383272484*x^21 + 29676664122*x^20 + 23078544828*x^19 - 42725880036*x^18 - 23777646544*x^17 + 46599109146*x^16 + 16834299092*x^15 - 37633923242*x^14 - 6989536212*x^13 + 21713225510*x^12 + 567137970*x^11 - 8422785468*x^10 + 1014331880*x^9 + 1952304972*x^8 - 510186546*x^7 - 198138718*x^6 + 87842996*x^5 - 2566168*x^4 - 2641280*x^3 + 297934*x^2 - 3594*x - 386, 2*x^42 - 2*x^41 - 130*x^40 + 122*x^39 + 3896*x^38 - 3394*x^37 - 71474*x^36 + 57078*x^35 + 898730*x^34 - 648468*x^33 - 8218434*x^32 + 5268696*x^31 + 56591956*x^30 - 31613442*x^29 - 299774230*x^28 + 142666342*x^27 + 1237224998*x^26 - 488807200*x^25 - 4004867088*x^24 + 1275981326*x^23 + 10184544188*x^22 - 2538636440*x^21 - 20291723880*x^20 + 3856577358*x^19 + 31448890074*x^18 - 4531811554*x^17 - 37455691250*x^16 + 4286418934*x^15 + 33651182418*x^14 - 3491517932*x^13 - 22177386730*x^12 + 2526046304*x^11 + 10258747430*x^10 - 1490017256*x^9 - 3084774862*x^8 + 605257330*x^7 + 514323094*x^6 - 136519872*x^5 - 28913054*x^4 + 11259150*x^3 - 1008994*x^2 + 23720*x + 300, 2*x^42 - 10*x^41 - 114*x^40 + 616*x^39 + 2930*x^38 - 17422*x^37 - 44740*x^36 + 300150*x^35 + 448904*x^34 - 3524212*x^33 - 3071534*x^32 + 29896402*x^31 + 14151748*x^30 - 189544898*x^29 - 38974902*x^28 + 916480918*x^27 + 18798800*x^26 - 3418367088*x^25 + 371947874*x^24 + 9884548416*x^23 - 1965581826*x^22 - 22148036756*x^21 + 5774686954*x^20 + 38235415676*x^19 - 11571423004*x^18 - 50271388588*x^17 + 16650745076*x^16 + 49393147958*x^15 - 17403499832*x^14 - 35213782072*x^13 + 13084370204*x^12 + 17391578280*x^11 - 6861006632*x^10 - 5504263630*x^9 + 2355959924*x^8 + 958944756*x^7 - 467422128*x^6 - 60188120*x^5 + 40804536*x^4 - 1272948*x^3 - 881666*x^2 + 82300*x - 1614, -4*x^41 + 8*x^40 + 246*x^39 - 484*x^38 - 6948*x^37 + 13400*x^36 + 119584*x^35 - 225168*x^34 - 1403358*x^33 + 2568270*x^32 + 11903952*x^31 - 21069946*x^30 - 75487342*x^29 + 128548552*x^28 + 365026360*x^27 - 594868820*x^26 - 1360409218*x^25 + 2111109058*x^24 + 3921772556*x^23 - 5773109634*x^22 - 8721434454*x^21 + 12162851802*x^20 + 14821865938*x^19 - 19651119274*x^18 - 18910723192*x^17 + 24127243408*x^16 + 17573428256*x^15 - 22182853620*x^14 - 11274455126*x^13 + 14920899894*x^12 + 4456118960*x^11 - 7059665214*x^10 - 711884282*x^9 + 2184173296*x^8 - 182249842*x^7 - 376255628*x^6 + 100427030*x^5 + 19595912*x^4 - 12566938*x^3 + 2069740*x^2 - 129986*x + 2544, 2*x^41 - 4*x^40 - 126*x^39 + 254*x^38 + 3638*x^37 - 7368*x^36 - 63878*x^35 + 129506*x^34 + 763240*x^33 - 1542528*x^32 - 6579826*x^31 + 13190400*x^30 + 42344312*x^29 - 83694108*x^28 - 207620330*x^27 + 401641940*x^26 + 784652718*x^25 - 1472467910*x^24 - 2297205780*x^23 + 4137468376*x^22 + 5206357738*x^21 - 8888677248*x^20 - 9074921696*x^19 + 14483904942*x^18 + 12003767192*x^17 - 17651403466*x^16 - 11783631040*x^15 + 15744156596*x^14 + 8291238054*x^13 - 9948522100*x^12 - 3964205740*x^11 + 4232264684*x^10 + 1187296402*x^9 - 1110847206*x^8 - 199994340*x^7 + 151409038*x^6 + 20022378*x^5 - 7466128*x^4 - 2246140*x^3 + 431480*x^2 - 9674*x - 638, -3*x^45 + 6*x^44 + 207*x^43 - 408*x^42 - 6616*x^41 + 12823*x^40 + 130066*x^39 - 247278*x^38 - 1761446*x^37 + 3275777*x^36 + 17440536*x^35 - 31629833*x^34 - 130771612*x^33 + 230513818*x^32 + 758895911*x^31 - 1295642045*x^30 - 3453992677*x^29 + 5691169110*x^28 + 12417551169*x^27 - 19681384497*x^26 - 35341347115*x^25 + 53741633103*x^24 + 79440191312*x^23 - 115765377128*x^22 - 140022954800*x^21 + 195843138978*x^20 + 191047728101*x^19 - 258034794041*x^18 - 197603770906*x^17 + 261347905454*x^16 + 149815350427*x^15 - 199516875741*x^14 - 78529047855*x^13 + 111382528033*x^12 + 25120819604*x^11 - 43293320859*x^10 - 3040465632*x^9 + 10740264069*x^8 - 753717548*x^7 - 1417554688*x^6 + 279912897*x^5 + 54309132*x^4 - 20229497*x^3 + 1954998*x^2 - 71003*x + 769, 2*x^41 - 10*x^40 - 112*x^39 + 608*x^38 + 2812*x^37 - 16934*x^36 - 41562*x^35 + 286500*x^34 + 397154*x^33 - 3292134*x^32 - 2502662*x^31 + 27215848*x^30 + 9688312*x^29 - 167275906*x^28 - 13209154*x^27 + 779046134*x^26 - 92302396*x^25 - 2776588682*x^24 + 731040000*x^23 + 7596075542*x^22 - 2827609304*x^21 - 15903088844*x^20 + 7266400028*x^19 + 25244666910*x^18 - 13283871464*x^17 - 29878244456*x^16 + 17569050924*x^15 + 25647678580*x^14 - 16696710586*x^13 - 15250288216*x^12 + 11103886234*x^11 + 5770520648*x^10 - 4903948950*x^9 - 1134654152*x^8 + 1302496542*x^7 + 28400786*x^6 - 167739918*x^5 + 20469816*x^4 + 4945458*x^3 - 893444*x^2 + 41186*x - 418, 2*x^40 - 10*x^39 - 110*x^38 + 576*x^37 + 2760*x^36 - 15198*x^35 - 41914*x^34 + 243668*x^33 + 431068*x^32 - 2655160*x^31 - 3183590*x^30 + 20836410*x^29 + 17470742*x^28 - 121739610*x^27 - 72710156*x^26 + 539935758*x^25 + 232014252*x^24 - 1836774632*x^23 - 568952000*x^22 + 4810057742*x^21 + 1062920602*x^20 - 9676355322*x^19 - 1470907386*x^18 + 14838789162*x^17 + 1398702622*x^16 - 17105834502*x^15 - 696547622*x^14 + 14499171168*x^13 - 211635938*x^12 - 8729487276*x^11 + 670576004*x^10 + 3525248920*x^9 - 529775806*x^8 - 855746288*x^7 + 205338010*x^6 + 93867536*x^5 - 34513630*x^4 + 536766*x^3 + 800156*x^2 - 88284*x + 2718, -6*x^39 + 20*x^38 + 326*x^37 - 1124*x^36 - 8036*x^35 + 28824*x^34 + 119016*x^33 - 447232*x^32 - 1182108*x^31 + 4694216*x^30 + 8321644*x^29 - 35304248*x^28 - 42768532*x^27 + 196593282*x^26 + 162730610*x^25 - 826013664*x^24 - 458974202*x^23 + 2644198588*x^22 + 946240302*x^21 - 6466246596*x^20 - 1365727650*x^19 + 12036974520*x^18 + 1202826980*x^17 - 16886876546*x^16 - 207193894*x^15 + 17541713400*x^14 - 1072523496*x^13 - 13116290342*x^12 + 1679322372*x^11 + 6745981712*x^10 - 1313703916*x^9 - 2204581988*x^8 + 589036678*x^7 + 386994036*x^6 - 138916076*x^5 - 19978382*x^4 + 12236018*x^3 - 1514822*x^2 + 81922*x - 1990, 2*x^42 - 4*x^41 - 124*x^40 + 244*x^39 + 3526*x^38 - 6792*x^37 - 61012*x^36 + 114328*x^35 + 718798*x^34 - 1299970*x^33 - 6112840*x^32 + 10562786*x^31 + 38821498*x^30 - 63262774*x^29 - 187900444*x^28 + 283844644*x^27 + 701172834*x^26 - 959384028*x^25 - 2027513874*x^24 + 2432658530*x^23 + 4541360834*x^22 - 4554019994*x^21 - 7837030834*x^20 + 6069954596*x^19 + 10314981446*x^18 - 5276562552*x^17 - 10215193190*x^16 + 2133936120*x^15 + 7521150674*x^14 + 1019740274*x^13 - 4135209158*x^12 - 2041926686*x^11 + 1778348608*x^10 + 1301337120*x^9 - 640032640*x^8 - 405426984*x^7 + 178937124*x^6 + 47808358*x^5 - 26616136*x^4 + 1956438*x^3 + 176432*x^2 - 26470*x + 908, 2*x^41 - 4*x^40 - 128*x^39 + 244*x^38 + 3788*x^37 - 6848*x^36 - 68772*x^35 + 117284*x^34 + 856860*x^33 - 1370862*x^32 - 7764716*x^31 + 11586618*x^30 + 52913050*x^29 - 73213302*x^28 - 276516628*x^27 + 352738280*x^26 + 1119901212*x^25 - 1310282322*x^24 - 3528352758*x^23 + 3771487238*x^22 + 8629433020*x^21 - 8414624280*x^20 - 16253221088*x^19 + 14497517162*x^18 + 23227718190*x^17 - 19135565082*x^16 - 24589548966*x^15 + 19094015316*x^14 + 18551896876*x^13 - 14088054840*x^12 - 9325722242*x^11 + 7391905074*x^10 + 2701570980*x^9 - 2560751016*x^8 - 249122344*x^7 + 499207096*x^6 - 66703990*x^5 - 33119298*x^4 + 12632522*x^3 - 1599592*x^2 + 82076*x - 1330, -3*x^44 + 6*x^43 + 202*x^42 - 397*x^41 - 6292*x^40 + 12120*x^39 + 120374*x^38 - 226583*x^37 - 1583781*x^36 + 2903348*x^35 + 15206323*x^34 - 27044188*x^33 - 110326157*x^32 + 189544271*x^31 + 617968516*x^30 - 1020763218*x^29 - 2706890019*x^28 + 4277021874*x^27 + 9334414033*x^26 - 14033907960*x^25 - 25381418666*x^24 + 36125871797*x^23 + 54251604983*x^22 - 72791657613*x^21 - 90418809593*x^20 + 114102892256*x^19 + 115854351574*x^18 - 137708549306*x^17 - 111597415681*x^16 + 125981124186*x^15 + 78019898166*x^14 - 85369678735*x^13 - 37328861168*x^12 + 41352214155*x^11 + 10889573685*x^10 - 13492484724*x^9 - 1361945248*x^8 + 2651971786*x^7 - 114345819*x^6 - 242197395*x^5 + 39189104*x^4 + 2788617*x^3 - 842245*x^2 + 49223*x - 816, -3*x^44 + 6*x^43 + 202*x^42 - 397*x^41 - 6292*x^40 + 12120*x^39 + 120374*x^38 - 226583*x^37 - 1583781*x^36 + 2903348*x^35 + 15206323*x^34 - 27044188*x^33 - 110326157*x^32 + 189544271*x^31 + 617968516*x^30 - 1020763218*x^29 - 2706890019*x^28 + 4277021874*x^27 + 9334414033*x^26 - 14033907960*x^25 - 25381418666*x^24 + 36125871797*x^23 + 54251604983*x^22 - 72791657613*x^21 - 90418809593*x^20 + 114102892256*x^19 + 115854351574*x^18 - 137708549306*x^17 - 111597415681*x^16 + 125981124186*x^15 + 78019898166*x^14 - 85369678735*x^13 - 37328861168*x^12 + 41352214155*x^11 + 10889573685*x^10 - 13492484724*x^9 - 1361945248*x^8 + 2651971786*x^7 - 114345819*x^6 - 242197395*x^5 + 39189104*x^4 + 2788617*x^3 - 842245*x^2 + 49223*x - 816, -3*x^43 + 7*x^42 + 194*x^41 - 448*x^40 - 5791*x^39 + 13208*x^38 + 105932*x^37 - 238058*x^36 - 1329451*x^35 + 2935676*x^34 + 12143820*x^33 - 26267149*x^32 - 83584059*x^31 + 176472801*x^30 + 442722307*x^29 - 908881497*x^28 - 1827034450*x^27 + 3632164595*x^26 + 5909623557*x^25 - 11330174739*x^24 - 14990968924*x^23 + 27615597717*x^22 + 29686398786*x^21 - 52410261402*x^20 - 45416593075*x^19 + 76833598401*x^18 + 52723475159*x^17 - 85866112630*x^16 - 45108085918*x^15 + 71702249123*x^14 + 27082994514*x^13 - 43412357767*x^12 - 10393681622*x^11 + 18182337992*x^10 + 1985067270*x^9 - 4864655483*x^8 + 52913540*x^7 + 711590467*x^6 - 81218251*x^5 - 37992024*x^4 + 7055449*x^3 - 48755*x^2 - 30984*x + 781, -3*x^43 + 7*x^42 + 194*x^41 - 448*x^40 - 5791*x^39 + 13208*x^38 + 105932*x^37 - 238058*x^36 - 1329451*x^35 + 2935676*x^34 + 12143820*x^33 - 26267149*x^32 - 83584059*x^31 + 176472801*x^30 + 442722307*x^29 - 908881497*x^28 - 1827034450*x^27 + 3632164595*x^26 + 5909623557*x^25 - 11330174739*x^24 - 14990968924*x^23 + 27615597717*x^22 + 29686398786*x^21 - 52410261402*x^20 - 45416593075*x^19 + 76833598401*x^18 + 52723475159*x^17 - 85866112630*x^16 - 45108085918*x^15 + 71702249123*x^14 + 27082994514*x^13 - 43412357767*x^12 - 10393681622*x^11 + 18182337992*x^10 + 1985067270*x^9 - 4864655483*x^8 + 52913540*x^7 + 711590467*x^6 - 81218251*x^5 - 37992024*x^4 + 7055449*x^3 - 48755*x^2 - 30984*x + 781, -2*x^43 + 4*x^42 + 130*x^41 - 255*x^40 - 3901*x^39 + 7487*x^38 + 71733*x^37 - 134371*x^36 - 904762*x^35 + 1649969*x^34 + 8301635*x^33 - 14702398*x^32 - 57343336*x^31 + 98406026*x^30 + 304380351*x^29 - 505265739*x^28 - 1256102686*x^27 + 2015311942*x^26 + 4050304892*x^25 - 6285586567*x^24 - 10197617405*x^23 + 15358121798*x^22 + 19917746421*x^21 - 29329985320*x^20 - 29776783452*x^19 + 43492646334*x^18 + 33282880066*x^17 - 49500668638*x^16 - 26687366343*x^15 + 42444947883*x^14 + 14117192173*x^13 - 26617956111*x^12 - 3837564297*x^11 + 11618498143*x^10 - 306546886*x^9 - 3223636800*x^8 + 586458189*x^7 + 463766826*x^6 - 159505542*x^5 - 13528491*x^4 + 12331803*x^3 - 1857020*x^2 + 101171*x - 1550, -2*x^43 + 4*x^42 + 130*x^41 - 255*x^40 - 3901*x^39 + 7487*x^38 + 71733*x^37 - 134371*x^36 - 904762*x^35 + 1649969*x^34 + 8301635*x^33 - 14702398*x^32 - 57343336*x^31 + 98406026*x^30 + 304380351*x^29 - 505265739*x^28 - 1256102686*x^27 + 2015311942*x^26 + 4050304892*x^25 - 6285586567*x^24 - 10197617405*x^23 + 15358121798*x^22 + 19917746421*x^21 - 29329985320*x^20 - 29776783452*x^19 + 43492646334*x^18 + 33282880066*x^17 - 49500668638*x^16 - 26687366343*x^15 + 42444947883*x^14 + 14117192173*x^13 - 26617956111*x^12 - 3837564297*x^11 + 11618498143*x^10 - 306546886*x^9 - 3223636800*x^8 + 586458189*x^7 + 463766826*x^6 - 159505542*x^5 - 13528491*x^4 + 12331803*x^3 - 1857020*x^2 + 101171*x - 1550, -3*x^42 + 7*x^41 + 188*x^40 - 433*x^39 - 5427*x^38 + 12301*x^37 + 95788*x^36 - 212905*x^35 - 1157147*x^34 + 2511383*x^33 + 10147830*x^32 - 21398675*x^31 - 66865836*x^30 + 136213328*x^29 + 337977157*x^28 - 660861256*x^27 - 1326083865*x^26 + 2471608086*x^25 + 4059881193*x^24 - 7161963167*x^23 - 9693150048*x^22 + 16080248082*x^21 + 17932964258*x^20 - 27850382339*x^19 - 25372848666*x^18 + 36875128406*x^17 + 26853633556*x^16 - 36792599685*x^15 - 20506173326*x^14 + 27066780573*x^13 + 10614246298*x^12 - 14187429730*x^11 - 3267114276*x^10 + 4997874804*x^9 + 368059334*x^8 - 1055421984*x^7 + 77422021*x^6 + 99933144*x^5 - 21262273*x^4 + 76190*x^3 + 323389*x^2 - 27042*x + 607, -3*x^42 + 7*x^41 + 188*x^40 - 433*x^39 - 5427*x^38 + 12301*x^37 + 95788*x^36 - 212905*x^35 - 1157147*x^34 + 2511383*x^33 + 10147830*x^32 - 21398675*x^31 - 66865836*x^30 + 136213328*x^29 + 337977157*x^28 - 660861256*x^27 - 1326083865*x^26 + 2471608086*x^25 + 4059881193*x^24 - 7161963167*x^23 - 9693150048*x^22 + 16080248082*x^21 + 17932964258*x^20 - 27850382339*x^19 - 25372848666*x^18 + 36875128406*x^17 + 26853633556*x^16 - 36792599685*x^15 - 20506173326*x^14 + 27066780573*x^13 + 10614246298*x^12 - 14187429730*x^11 - 3267114276*x^10 + 4997874804*x^9 + 368059334*x^8 - 1055421984*x^7 + 77422021*x^6 + 99933144*x^5 - 21262273*x^4 + 76190*x^3 + 323389*x^2 - 27042*x + 607, x^43 - 5*x^42 - 58*x^41 + 313*x^40 + 1521*x^39 - 9015*x^38 - 23776*x^37 + 158542*x^36 + 245233*x^35 - 1905356*x^34 - 1734344*x^33 + 16594268*x^32 + 8327205*x^31 - 108380373*x^30 - 24331607*x^29 + 541878412*x^28 + 16003977*x^27 - 2098706611*x^26 + 232125135*x^25 + 6330568549*x^24 - 1348310913*x^23 - 14872056149*x^22 + 4301148129*x^21 + 27069252260*x^20 - 9418911516*x^19 - 37758027749*x^18 + 14967308270*x^17 + 39635696207*x^16 - 17486275378*x^15 - 30430730326*x^14 + 14890540395*x^13 + 16320933248*x^12 - 8982446433*x^11 - 5637392139*x^10 + 3629954437*x^9 + 1046799454*x^8 - 884959335*x^7 - 44294453*x^6 + 104272227*x^5 - 10871382*x^4 - 2913562*x^3 + 487872*x^2 - 21400*x + 209, x^43 - 5*x^42 - 58*x^41 + 313*x^40 + 1521*x^39 - 9015*x^38 - 23776*x^37 + 158542*x^36 + 245233*x^35 - 1905356*x^34 - 1734344*x^33 + 16594268*x^32 + 8327205*x^31 - 108380373*x^30 - 24331607*x^29 + 541878412*x^28 + 16003977*x^27 - 2098706611*x^26 + 232125135*x^25 + 6330568549*x^24 - 1348310913*x^23 - 14872056149*x^22 + 4301148129*x^21 + 27069252260*x^20 - 9418911516*x^19 - 37758027749*x^18 + 14967308270*x^17 + 39635696207*x^16 - 17486275378*x^15 - 30430730326*x^14 + 14890540395*x^13 + 16320933248*x^12 - 8982446433*x^11 - 5637392139*x^10 + 3629954437*x^9 + 1046799454*x^8 - 884959335*x^7 - 44294453*x^6 + 104272227*x^5 - 10871382*x^4 - 2913562*x^3 + 487872*x^2 - 21400*x + 209, x^44 - 2*x^43 - 70*x^42 + 138*x^41 + 2266*x^40 - 4390*x^39 - 45044*x^38 + 85454*x^37 + 615759*x^36 - 1139282*x^35 - 6143547*x^34 + 11034193*x^33 + 46337406*x^32 - 80362654*x^31 - 270016186*x^30 + 449507962*x^29 + 1231775050*x^28 - 1955608368*x^27 - 4430259938*x^26 + 6661905057*x^25 + 12588745559*x^24 - 17807241605*x^23 - 28188495066*x^22 + 37280392806*x^21 + 49367866917*x^20 - 60792640149*x^19 - 66726526373*x^18 + 76494161141*x^17 + 68142027588*x^16 - 73234020313*x^15 - 50859597474*x^14 + 52256077377*x^13 + 26267071065*x^12 - 26920126711*x^11 - 8455069452*x^10 + 9488328382*x^9 + 1262972777*x^8 - 2064512366*x^7 + 65456782*x^6 + 217867465*x^5 - 37812812*x^4 - 3465440*x^3 + 1239920*x^2 - 89191*x + 1816, x^44 - 2*x^43 - 70*x^42 + 138*x^41 + 2266*x^40 - 4390*x^39 - 45044*x^38 + 85454*x^37 + 615759*x^36 - 1139282*x^35 - 6143547*x^34 + 11034193*x^33 + 46337406*x^32 - 80362654*x^31 - 270016186*x^30 + 449507962*x^29 + 1231775050*x^28 - 1955608368*x^27 - 4430259938*x^26 + 6661905057*x^25 + 12588745559*x^24 - 17807241605*x^23 - 28188495066*x^22 + 37280392806*x^21 + 49367866917*x^20 - 60792640149*x^19 - 66726526373*x^18 + 76494161141*x^17 + 68142027588*x^16 - 73234020313*x^15 - 50859597474*x^14 + 52256077377*x^13 + 26267071065*x^12 - 26920126711*x^11 - 8455069452*x^10 + 9488328382*x^9 + 1262972777*x^8 - 2064512366*x^7 + 65456782*x^6 + 217867465*x^5 - 37812812*x^4 - 3465440*x^3 + 1239920*x^2 - 89191*x + 1816, -2*x^42 + 4*x^41 + 125*x^40 - 243*x^39 - 3597*x^38 + 6758*x^37 + 63260*x^36 - 114097*x^35 - 761141*x^34 + 1307597*x^33 + 6645415*x^32 - 10775591*x^31 - 43571979*x^30 + 65989517*x^29 + 219012283*x^28 - 306101564*x^27 - 853849203*x^26 + 1086416336*x^25 + 2595055702*x^24 - 2960508394*x^23 - 6145363496*x^22 + 6181279487*x^21 + 11274159224*x^20 - 9817605773*x^19 - 15844945135*x^18 + 11713719527*x^17 + 16768021750*x^16 - 10302155990*x^15 - 13043108519*x^14 + 6495645247*x^13 + 7224225806*x^12 - 2813589301*x^11 - 2741051119*x^10 + 780519542*x^9 + 685430660*x^8 - 123692594*x^7 - 110616505*x^6 + 10801439*x^5 + 10955511*x^4 - 1180197*x^3 - 296504*x^2 + 38418*x - 1000, -2*x^42 + 4*x^41 + 125*x^40 - 243*x^39 - 3597*x^38 + 6758*x^37 + 63260*x^36 - 114097*x^35 - 761141*x^34 + 1307597*x^33 + 6645415*x^32 - 10775591*x^31 - 43571979*x^30 + 65989517*x^29 + 219012283*x^28 - 306101564*x^27 - 853849203*x^26 + 1086416336*x^25 + 2595055702*x^24 - 2960508394*x^23 - 6145363496*x^22 + 6181279487*x^21 + 11274159224*x^20 - 9817605773*x^19 - 15844945135*x^18 + 11713719527*x^17 + 16768021750*x^16 - 10302155990*x^15 - 13043108519*x^14 + 6495645247*x^13 + 7224225806*x^12 - 2813589301*x^11 - 2741051119*x^10 + 780519542*x^9 + 685430660*x^8 - 123692594*x^7 - 110616505*x^6 + 10801439*x^5 + 10955511*x^4 - 1180197*x^3 - 296504*x^2 + 38418*x - 1000, -3*x^41 + 8*x^40 + 182*x^39 - 483*x^38 - 5067*x^37 + 13360*x^36 + 85878*x^35 - 224487*x^34 - 991157*x^33 + 2561747*x^32 + 8256059*x^31 - 21027693*x^30 - 51323942*x^29 + 128283499*x^28 + 242843704*x^27 - 592729903*x^26 - 883829841*x^25 + 2094511781*x^24 + 2482784790*x^23 - 5676846838*x^22 - 5366270963*x^21 + 11765396218*x^20 + 8831025437*x^19 - 18477895077*x^18 - 10843090751*x^17 + 21638838349*x^16 + 9586306270*x^15 - 18408536365*x^14 - 5721384326*x^13 + 10898852634*x^12 + 2009730519*x^11 - 4152232079*x^10 - 257965296*x^9 + 847645528*x^8 - 39531349*x^7 - 35420457*x^6 - 1920594*x^5 - 10507615*x^4 + 5285070*x^3 - 653274*x^2 + 24564*x - 53, -3*x^41 + 8*x^40 + 182*x^39 - 483*x^38 - 5067*x^37 + 13360*x^36 + 85878*x^35 - 224487*x^34 - 991157*x^33 + 2561747*x^32 + 8256059*x^31 - 21027693*x^30 - 51323942*x^29 + 128283499*x^28 + 242843704*x^27 - 592729903*x^26 - 883829841*x^25 + 2094511781*x^24 + 2482784790*x^23 - 5676846838*x^22 - 5366270963*x^21 + 11765396218*x^20 + 8831025437*x^19 - 18477895077*x^18 - 10843090751*x^17 + 21638838349*x^16 + 9586306270*x^15 - 18408536365*x^14 - 5721384326*x^13 + 10898852634*x^12 + 2009730519*x^11 - 4152232079*x^10 - 257965296*x^9 + 847645528*x^8 - 39531349*x^7 - 35420457*x^6 - 1920594*x^5 - 10507615*x^4 + 5285070*x^3 - 653274*x^2 + 24564*x - 53, -3*x^41 + 7*x^40 + 182*x^39 - 424*x^38 - 5077*x^37 + 11793*x^36 + 86426*x^35 - 199806*x^34 - 1004833*x^33 + 2306727*x^32 + 8462164*x^31 - 19231780*x^30 - 53421208*x^29 + 119736742*x^28 + 258106881*x^27 - 567826606*x^26 - 965912523*x^25 + 2073699791*x^24 + 2815034086*x^23 - 5858502797*x^22 - 6387163565*x^21 + 12794482845*x^20 + 11212718972*x^19 - 21480574918*x^18 - 15026750852*x^17 + 27434674596*x^16 + 15015606322*x^15 - 26226932185*x^14 - 10747363890*x^13 + 18326075403*x^12 + 5116836827*x^11 - 9032231109*x^10 - 1359042640*x^9 + 2961587971*x^8 + 64039830*x^7 - 576236866*x^6 + 61876572*x^5 + 48575829*x^4 - 12017130*x^3 + 674987*x^2 + 7027*x - 728, -3*x^41 + 7*x^40 + 182*x^39 - 424*x^38 - 5077*x^37 + 11793*x^36 + 86426*x^35 - 199806*x^34 - 1004833*x^33 + 2306727*x^32 + 8462164*x^31 - 19231780*x^30 - 53421208*x^29 + 119736742*x^28 + 258106881*x^27 - 567826606*x^26 - 965912523*x^25 + 2073699791*x^24 + 2815034086*x^23 - 5858502797*x^22 - 6387163565*x^21 + 12794482845*x^20 + 11212718972*x^19 - 21480574918*x^18 - 15026750852*x^17 + 27434674596*x^16 + 15015606322*x^15 - 26226932185*x^14 - 10747363890*x^13 + 18326075403*x^12 + 5116836827*x^11 - 9032231109*x^10 - 1359042640*x^9 + 2961587971*x^8 + 64039830*x^7 - 576236866*x^6 + 61876572*x^5 + 48575829*x^4 - 12017130*x^3 + 674987*x^2 + 7027*x - 728, x^44 - 2*x^43 - 67*x^42 + 129*x^41 + 2083*x^40 - 3840*x^39 - 39914*x^38 + 70032*x^37 + 528031*x^36 - 876055*x^35 - 5118924*x^34 + 7974660*x^33 + 37665888*x^32 - 54692716*x^31 - 214956156*x^30 + 288701003*x^29 + 963860376*x^28 - 1188153079*x^27 - 3418838260*x^26 + 3839312080*x^25 + 9609915952*x^24 - 9765635641*x^23 - 21348867762*x^22 + 19530890230*x^21 + 37216662932*x^20 - 30576850350*x^19 - 50294867127*x^18 + 37183609636*x^17 + 51729092176*x^16 - 34715792366*x^15 - 39408208896*x^14 + 24451720806*x^13 + 21345541130*x^12 - 12635288797*x^11 - 7691376923*x^10 + 4565995814*x^9 + 1623736224*x^8 - 1056152749*x^7 - 139896112*x^6 + 130534989*x^5 - 5726074*x^4 - 5294629*x^3 + 909021*x^2 - 51107*x + 833, x^44 - 2*x^43 - 67*x^42 + 129*x^41 + 2083*x^40 - 3840*x^39 - 39914*x^38 + 70032*x^37 + 528031*x^36 - 876055*x^35 - 5118924*x^34 + 7974660*x^33 + 37665888*x^32 - 54692716*x^31 - 214956156*x^30 + 288701003*x^29 + 963860376*x^28 - 1188153079*x^27 - 3418838260*x^26 + 3839312080*x^25 + 9609915952*x^24 - 9765635641*x^23 - 21348867762*x^22 + 19530890230*x^21 + 37216662932*x^20 - 30576850350*x^19 - 50294867127*x^18 + 37183609636*x^17 + 51729092176*x^16 - 34715792366*x^15 - 39408208896*x^14 + 24451720806*x^13 + 21345541130*x^12 - 12635288797*x^11 - 7691376923*x^10 + 4565995814*x^9 + 1623736224*x^8 - 1056152749*x^7 - 139896112*x^6 + 130534989*x^5 - 5726074*x^4 - 5294629*x^3 + 909021*x^2 - 51107*x + 833, x^45 - 2*x^44 - 69*x^43 + 136*x^42 + 2204*x^41 - 4271*x^40 - 43275*x^39 + 82227*x^38 + 584927*x^37 - 1086477*x^36 - 5776115*x^35 + 10452542*x^34 + 43162166*x^33 - 75810285*x^32 - 249428711*x^31 + 423493897*x^30 + 1129587272*x^29 - 1846068386*x^28 - 4037746859*x^27 + 6324954517*x^26 + 11417971020*x^25 - 17078318745*x^24 - 25485711523*x^23 + 36300479890*x^22 + 44590101124*x^21 - 60447208741*x^20 - 60386764708*x^19 + 78171574133*x^18 + 62032121906*x^17 - 77451950027*x^16 - 46807049264*x^15 + 57598503124*x^14 + 24575022168*x^13 - 31140939103*x^12 - 8060622919*x^11 + 11609410364*x^10 + 1186626799*x^9 - 2706713107*x^8 + 107480765*x^7 + 316915910*x^6 - 51387852*x^5 - 7625723*x^4 + 1932694*x^3 - 81012*x^2 - 1847*x + 67, x^45 - 2*x^44 - 69*x^43 + 136*x^42 + 2204*x^41 - 4271*x^40 - 43275*x^39 + 82227*x^38 + 584927*x^37 - 1086477*x^36 - 5776115*x^35 + 10452542*x^34 + 43162166*x^33 - 75810285*x^32 - 249428711*x^31 + 423493897*x^30 + 1129587272*x^29 - 1846068386*x^28 - 4037746859*x^27 + 6324954517*x^26 + 11417971020*x^25 - 17078318745*x^24 - 25485711523*x^23 + 36300479890*x^22 + 44590101124*x^21 - 60447208741*x^20 - 60386764708*x^19 + 78171574133*x^18 + 62032121906*x^17 - 77451950027*x^16 - 46807049264*x^15 + 57598503124*x^14 + 24575022168*x^13 - 31140939103*x^12 - 8060622919*x^11 + 11609410364*x^10 + 1186626799*x^9 - 2706713107*x^8 + 107480765*x^7 + 316915910*x^6 - 51387852*x^5 - 7625723*x^4 + 1932694*x^3 - 81012*x^2 - 1847*x + 67, x^43 - 2*x^42 - 68*x^41 + 136*x^40 + 2132*x^39 - 4260*x^38 - 40901*x^37 + 81566*x^36 + 537330*x^35 - 1068318*x^34 - 5126395*x^33 + 10150029*x^32 + 36755861*x^31 - 72391961*x^30 - 202192573*x^29 + 395725757*x^28 + 863589607*x^27 - 1678361402*x^26 - 2879530353*x^25 + 5556663707*x^24 + 7494833862*x^23 - 14378208882*x^22 - 15139980628*x^21 + 28984553912*x^20 + 23437021787*x^19 - 45170059326*x^18 - 27172974384*x^17 + 53718598352*x^16 + 22634818133*x^15 - 47787373630*x^14 - 12425143276*x^13 + 30838768503*x^12 + 3443117764*x^11 - 13739580125*x^10 + 382892864*x^9 + 3865837541*x^8 - 628482172*x^7 - 562815271*x^6 + 173080582*x^5 + 17688774*x^4 - 13024577*x^3 + 1848841*x^2 - 97508*x + 1483, x^43 - 2*x^42 - 68*x^41 + 136*x^40 + 2132*x^39 - 4260*x^38 - 40901*x^37 + 81566*x^36 + 537330*x^35 - 1068318*x^34 - 5126395*x^33 + 10150029*x^32 + 36755861*x^31 - 72391961*x^30 - 202192573*x^29 + 395725757*x^28 + 863589607*x^27 - 1678361402*x^26 - 2879530353*x^25 + 5556663707*x^24 + 7494833862*x^23 - 14378208882*x^22 - 15139980628*x^21 + 28984553912*x^20 + 23437021787*x^19 - 45170059326*x^18 - 27172974384*x^17 + 53718598352*x^16 + 22634818133*x^15 - 47787373630*x^14 - 12425143276*x^13 + 30838768503*x^12 + 3443117764*x^11 - 13739580125*x^10 + 382892864*x^9 + 3865837541*x^8 - 628482172*x^7 - 562815271*x^6 + 173080582*x^5 + 17688774*x^4 - 13024577*x^3 + 1848841*x^2 - 97508*x + 1483, -x^41 + 4*x^40 + 58*x^39 - 245*x^38 - 1525*x^37 + 6874*x^36 + 24037*x^35 - 117204*x^34 - 252862*x^33 + 1358537*x^32 + 1867405*x^31 - 11346563*x^30 - 9880726*x^29 + 70615623*x^28 + 37227123*x^27 - 334026786*x^26 - 94839972*x^25 + 1213969115*x^24 + 130481353*x^23 - 3403732677*x^22 + 77847257*x^21 + 7349527745*x^20 - 890027621*x^19 - 12127807533*x^18 + 2395864876*x^17 + 15071269240*x^16 - 3929170432*x^15 - 13766449016*x^14 + 4381488759*x^13 + 8883466916*x^12 - 3359605782*x^11 - 3778313387*x^10 + 1703861828*x^9 + 915770910*x^8 - 514824852*x^7 - 76709759*x^6 + 70034023*x^5 - 7247618*x^4 - 61369*x^3 - 174302*x^2 + 27815*x - 994, -x^41 + 4*x^40 + 58*x^39 - 245*x^38 - 1525*x^37 + 6874*x^36 + 24037*x^35 - 117204*x^34 - 252862*x^33 + 1358537*x^32 + 1867405*x^31 - 11346563*x^30 - 9880726*x^29 + 70615623*x^28 + 37227123*x^27 - 334026786*x^26 - 94839972*x^25 + 1213969115*x^24 + 130481353*x^23 - 3403732677*x^22 + 77847257*x^21 + 7349527745*x^20 - 890027621*x^19 - 12127807533*x^18 + 2395864876*x^17 + 15071269240*x^16 - 3929170432*x^15 - 13766449016*x^14 + 4381488759*x^13 + 8883466916*x^12 - 3359605782*x^11 - 3778313387*x^10 + 1703861828*x^9 + 915770910*x^8 - 514824852*x^7 - 76709759*x^6 + 70034023*x^5 - 7247618*x^4 - 61369*x^3 - 174302*x^2 + 27815*x - 994, x^41 - 5*x^40 - 55*x^39 + 304*x^38 + 1347*x^37 - 8477*x^36 - 19171*x^35 + 143769*x^34 + 171643*x^33 - 1658278*x^32 - 942825*x^31 + 13780487*x^30 + 2285838*x^29 - 85273510*x^28 + 9232705*x^27 + 400514082*x^26 - 120554364*x^25 - 1442250450*x^24 + 632711406*x^23 + 3994380633*x^22 - 2147523237*x^21 - 8482993390*x^20 + 5165512089*x^19 + 13685365042*x^18 - 9048869600*x^17 - 16483108361*x^16 + 11578953082*x^15 + 14399745310*x^14 - 10683796752*x^13 - 8690017488*x^12 + 6898101966*x^11 + 3304675083*x^10 - 2944137113*x^9 - 627609833*x^8 + 741583516*x^7 + 114758*x^6 - 82803516*x^5 + 14362345*x^4 + 33015*x^3 - 205772*x^2 + 14073*x - 153, x^41 - 5*x^40 - 55*x^39 + 304*x^38 + 1347*x^37 - 8477*x^36 - 19171*x^35 + 143769*x^34 + 171643*x^33 - 1658278*x^32 - 942825*x^31 + 13780487*x^30 + 2285838*x^29 - 85273510*x^28 + 9232705*x^27 + 400514082*x^26 - 120554364*x^25 - 1442250450*x^24 + 632711406*x^23 + 3994380633*x^22 - 2147523237*x^21 - 8482993390*x^20 + 5165512089*x^19 + 13685365042*x^18 - 9048869600*x^17 - 16483108361*x^16 + 11578953082*x^15 + 14399745310*x^14 - 10683796752*x^13 - 8690017488*x^12 + 6898101966*x^11 + 3304675083*x^10 - 2944137113*x^9 - 627609833*x^8 + 741583516*x^7 + 114758*x^6 - 82803516*x^5 + 14362345*x^4 + 33015*x^3 - 205772*x^2 + 14073*x - 153, -x^40 + 5*x^39 + 56*x^38 - 288*x^37 - 1433*x^36 + 7589*x^35 + 22221*x^34 - 121279*x^33 - 233493*x^32 + 1313807*x^31 + 1761407*x^30 - 10215667*x^29 - 9859943*x^28 + 58898648*x^27 + 41739942*x^26 - 256541941*x^25 - 134845953*x^24 + 852404923*x^23 + 332498452*x^22 - 2167328627*x^21 - 618945431*x^20 + 4206975173*x^19 + 844392873*x^18 - 6187420457*x^17 - 784218925*x^16 + 6805110238*x^15 + 385043690*x^14 - 5484131187*x^13 + 85501709*x^12 + 3137095685*x^11 - 295526103*x^10 - 1206092163*x^9 + 220019150*x^8 + 278418011*x^7 - 79457373*x^6 - 27637243*x^5 + 12184998*x^4 - 762479*x^3 - 93053*x^2 + 12916*x - 454, -x^40 + 5*x^39 + 56*x^38 - 288*x^37 - 1433*x^36 + 7589*x^35 + 22221*x^34 - 121279*x^33 - 233493*x^32 + 1313807*x^31 + 1761407*x^30 - 10215667*x^29 - 9859943*x^28 + 58898648*x^27 + 41739942*x^26 - 256541941*x^25 - 134845953*x^24 + 852404923*x^23 + 332498452*x^22 - 2167328627*x^21 - 618945431*x^20 + 4206975173*x^19 + 844392873*x^18 - 6187420457*x^17 - 784218925*x^16 + 6805110238*x^15 + 385043690*x^14 - 5484131187*x^13 + 85501709*x^12 + 3137095685*x^11 - 295526103*x^10 - 1206092163*x^9 + 220019150*x^8 + 278418011*x^7 - 79457373*x^6 - 27637243*x^5 + 12184998*x^4 - 762479*x^3 - 93053*x^2 + 12916*x - 454, -3*x^40 + 184*x^38 + 6*x^37 - 5187*x^36 - 330*x^35 + 89122*x^34 + 8240*x^33 - 1043517*x^32 - 123668*x^31 + 8819732*x^30 + 1244568*x^29 - 55607122*x^28 - 8868586*x^27 + 266572603*x^26 + 46035185*x^25 - 981600952*x^24 - 176240009*x^23 + 2786701231*x^22 + 497490972*x^21 - 6089379765*x^20 - 1021349430*x^19 + 10175461814*x^18 + 1474053974*x^17 - 12852892524*x^16 - 1380833172*x^15 + 12056231510*x^14 + 641061237*x^13 - 8176693253*x^12 + 157049498*x^11 + 3841399713*x^10 - 420613440*x^9 - 1156521868*x^8 + 251954941*x^7 + 187124331*x^6 - 67452495*x^5 - 7582889*x^4 + 6514980*x^3 - 1072016*x^2 + 65993*x - 1272, -3*x^40 + 184*x^38 + 6*x^37 - 5187*x^36 - 330*x^35 + 89122*x^34 + 8240*x^33 - 1043517*x^32 - 123668*x^31 + 8819732*x^30 + 1244568*x^29 - 55607122*x^28 - 8868586*x^27 + 266572603*x^26 + 46035185*x^25 - 981600952*x^24 - 176240009*x^23 + 2786701231*x^22 + 497490972*x^21 - 6089379765*x^20 - 1021349430*x^19 + 10175461814*x^18 + 1474053974*x^17 - 12852892524*x^16 - 1380833172*x^15 + 12056231510*x^14 + 641061237*x^13 - 8176693253*x^12 + 157049498*x^11 + 3841399713*x^10 - 420613440*x^9 - 1156521868*x^8 + 251954941*x^7 + 187124331*x^6 - 67452495*x^5 - 7582889*x^4 + 6514980*x^3 - 1072016*x^2 + 65993*x - 1272, -3*x^40 + 9*x^39 + 166*x^38 - 514*x^37 - 4175*x^36 + 13429*x^35 + 63192*x^34 - 212896*x^33 - 642149*x^32 + 2290563*x^31 + 4624896*x^30 - 17721154*x^29 - 24263154*x^28 + 101903236*x^27 + 93598739*x^26 - 443943480*x^25 - 263246155*x^24 + 1479700379*x^23 + 519285252*x^22 - 3783256209*x^21 - 630865521*x^20 + 7391156851*x^19 + 170636000*x^18 - 10914507784*x^17 + 1014865290*x^16 + 11946500672*x^15 - 2297422074*x^14 - 9381766407*x^13 + 2679283782*x^12 + 4998149123*x^11 - 1933328077*x^10 - 1615673393*x^9 + 852502364*x^8 + 227230177*x^7 - 202669780*x^6 + 16095180*x^5 + 16828032*x^4 - 5916183*x^3 + 755654*x^2 - 39679*x + 665, -3*x^40 + 9*x^39 + 166*x^38 - 514*x^37 - 4175*x^36 + 13429*x^35 + 63192*x^34 - 212896*x^33 - 642149*x^32 + 2290563*x^31 + 4624896*x^30 - 17721154*x^29 - 24263154*x^28 + 101903236*x^27 + 93598739*x^26 - 443943480*x^25 - 263246155*x^24 + 1479700379*x^23 + 519285252*x^22 - 3783256209*x^21 - 630865521*x^20 + 7391156851*x^19 + 170636000*x^18 - 10914507784*x^17 + 1014865290*x^16 + 11946500672*x^15 - 2297422074*x^14 - 9381766407*x^13 + 2679283782*x^12 + 4998149123*x^11 - 1933328077*x^10 - 1615673393*x^9 + 852502364*x^8 + 227230177*x^7 - 202669780*x^6 + 16095180*x^5 + 16828032*x^4 - 5916183*x^3 + 755654*x^2 - 39679*x + 665, x^43 - 2*x^42 - 65*x^41 + 128*x^40 + 1951*x^39 - 3779*x^38 - 35893*x^37 + 68318*x^36 + 453039*x^35 - 846625*x^34 - 4161116*x^33 + 7629202*x^32 + 28786870*x^31 - 51753783*x^30 - 153173866*x^29 + 269950777*x^28 + 634666364*x^27 - 1096534636*x^26 - 2060473240*x^25 + 3491910127*x^24 + 5247761813*x^23 - 8735037209*x^22 - 10449254199*x^21 + 17127368758*x^20 + 16130484504*x^19 - 26160104894*x^18 - 19020398428*x^17 + 30792863673*x^16 + 16713954153*x^15 - 27478658661*x^14 - 10483560430*x^13 + 18139724544*x^12 + 4299943584*x^11 - 8529987414*x^10 - 887368393*x^9 + 2681258772*x^8 - 59623055*x^7 - 495991360*x^6 + 73398508*x^5 + 36976815*x^4 - 11334888*x^3 + 1185243*x^2 - 51342*x + 694, x^43 - 2*x^42 - 65*x^41 + 128*x^40 + 1951*x^39 - 3779*x^38 - 35893*x^37 + 68318*x^36 + 453039*x^35 - 846625*x^34 - 4161116*x^33 + 7629202*x^32 + 28786870*x^31 - 51753783*x^30 - 153173866*x^29 + 269950777*x^28 + 634666364*x^27 - 1096534636*x^26 - 2060473240*x^25 + 3491910127*x^24 + 5247761813*x^23 - 8735037209*x^22 - 10449254199*x^21 + 17127368758*x^20 + 16130484504*x^19 - 26160104894*x^18 - 19020398428*x^17 + 30792863673*x^16 + 16713954153*x^15 - 27478658661*x^14 - 10483560430*x^13 + 18139724544*x^12 + 4299943584*x^11 - 8529987414*x^10 - 887368393*x^9 + 2681258772*x^8 - 59623055*x^7 - 495991360*x^6 + 73398508*x^5 + 36976815*x^4 - 11334888*x^3 + 1185243*x^2 - 51342*x + 694, x^44 - 2*x^43 - 66*x^42 + 130*x^41 + 2011*x^40 - 3889*x^39 - 37557*x^38 + 71048*x^37 + 481384*x^36 - 886927*x^35 - 4493483*x^34 + 8021028*x^33 + 31635890*x^32 - 54364040*x^31 - 171674703*x^30 + 281807926*x^29 + 727707444*x^28 - 1130296600*x^27 - 2427709619*x^26 + 3526514675*x^25 + 6393693484*x^24 - 8561533375*x^23 - 13283908336*x^22 + 16107650281*x^21 + 21685134354*x^20 - 23291228697*x^19 - 27613268309*x^18 + 25565460350*x^17 + 27144995171*x^16 - 20960171088*x^15 - 20320359315*x^14 + 12602371721*x^13 + 11372262350*x^12 - 5474415886*x^11 - 4622207775*x^10 + 1721161114*x^9 + 1287294158*x^8 - 401698024*x^7 - 213240049*x^6 + 66976852*x^5 + 13135887*x^4 - 5480608*x^3 + 502700*x^2 - 12053*x - 150, x^44 - 2*x^43 - 66*x^42 + 130*x^41 + 2011*x^40 - 3889*x^39 - 37557*x^38 + 71048*x^37 + 481384*x^36 - 886927*x^35 - 4493483*x^34 + 8021028*x^33 + 31635890*x^32 - 54364040*x^31 - 171674703*x^30 + 281807926*x^29 + 727707444*x^28 - 1130296600*x^27 - 2427709619*x^26 + 3526514675*x^25 + 6393693484*x^24 - 8561533375*x^23 - 13283908336*x^22 + 16107650281*x^21 + 21685134354*x^20 - 23291228697*x^19 - 27613268309*x^18 + 25565460350*x^17 + 27144995171*x^16 - 20960171088*x^15 - 20320359315*x^14 + 12602371721*x^13 + 11372262350*x^12 - 5474415886*x^11 - 4622207775*x^10 + 1721161114*x^9 + 1287294158*x^8 - 401698024*x^7 - 213240049*x^6 + 66976852*x^5 + 13135887*x^4 - 5480608*x^3 + 502700*x^2 - 12053*x - 150, x^42 - 2*x^41 - 65*x^40 + 127*x^39 + 1949*x^38 - 3712*x^37 - 35766*x^36 + 66241*x^35 + 449387*x^34 - 807265*x^33 - 4097892*x^32 + 7120889*x^31 + 28048320*x^30 - 47024856*x^29 - 146993685*x^28 + 237238945*x^27 + 596305684*x^26 - 925109040*x^25 - 1880183505*x^24 + 2804130935*x^23 + 4599192510*x^22 - 6612341011*x^21 - 8658070845*x^20 + 12086936242*x^19 + 12349312788*x^18 - 16987177122*x^17 - 12994125794*x^16 + 18099924909*x^15 + 9624222249*x^14 - 14293613004*x^13 - 4557043152*x^12 + 8060696175*x^11 + 1015497488*x^10 - 3042999968*x^9 + 140326731*x^8 + 677476692*x^7 - 136021000*x^6 - 63493417*x^5 + 23573076*x^4 - 1068179*x^3 - 359040*x^2 + 43477*x - 1359, x^42 - 2*x^41 - 65*x^40 + 127*x^39 + 1949*x^38 - 3712*x^37 - 35766*x^36 + 66241*x^35 + 449387*x^34 - 807265*x^33 - 4097892*x^32 + 7120889*x^31 + 28048320*x^30 - 47024856*x^29 - 146993685*x^28 + 237238945*x^27 + 596305684*x^26 - 925109040*x^25 - 1880183505*x^24 + 2804130935*x^23 + 4599192510*x^22 - 6612341011*x^21 - 8658070845*x^20 + 12086936242*x^19 + 12349312788*x^18 - 16987177122*x^17 - 12994125794*x^16 + 18099924909*x^15 + 9624222249*x^14 - 14293613004*x^13 - 4557043152*x^12 + 8060696175*x^11 + 1015497488*x^10 - 3042999968*x^9 + 140326731*x^8 + 677476692*x^7 - 136021000*x^6 - 63493417*x^5 + 23573076*x^4 - 1068179*x^3 - 359040*x^2 + 43477*x - 1359, x^42 - 69*x^40 + 3*x^39 + 2194*x^38 - 176*x^37 - 42663*x^36 + 4723*x^35 + 567765*x^34 - 76899*x^33 - 5483653*x^32 + 849804*x^31 + 39775293*x^30 - 6757349*x^29 - 221191758*x^28 + 40008021*x^27 + 954423901*x^26 - 180132310*x^25 - 3213728192*x^24 + 624901788*x^23 + 8449321928*x^22 - 1683497883*x^21 - 17272774285*x^20 + 3535644581*x^19 + 27204239201*x^18 - 5788385667*x^17 - 32513083661*x^16 + 7346721774*x^15 + 28810231949*x^14 - 7123695870*x^13 - 18266910149*x^12 + 5119850411*x^11 + 7822464828*x^10 - 2579490873*x^9 - 2031781680*x^8 + 824220403*x^7 + 243644800*x^6 - 136685274*x^5 + 1215159*x^4 + 6382460*x^3 - 978388*x^2 + 47197*x - 457, x^42 - 69*x^40 + 3*x^39 + 2194*x^38 - 176*x^37 - 42663*x^36 + 4723*x^35 + 567765*x^34 - 76899*x^33 - 5483653*x^32 + 849804*x^31 + 39775293*x^30 - 6757349*x^29 - 221191758*x^28 + 40008021*x^27 + 954423901*x^26 - 180132310*x^25 - 3213728192*x^24 + 624901788*x^23 + 8449321928*x^22 - 1683497883*x^21 - 17272774285*x^20 + 3535644581*x^19 + 27204239201*x^18 - 5788385667*x^17 - 32513083661*x^16 + 7346721774*x^15 + 28810231949*x^14 - 7123695870*x^13 - 18266910149*x^12 + 5119850411*x^11 + 7822464828*x^10 - 2579490873*x^9 - 2031781680*x^8 + 824220403*x^7 + 243644800*x^6 - 136685274*x^5 + 1215159*x^4 + 6382460*x^3 - 978388*x^2 + 47197*x - 457, x^40 - 4*x^39 - 59*x^38 + 244*x^37 + 1589*x^36 - 6825*x^35 - 25875*x^34 + 116039*x^33 + 284436*x^32 - 1340277*x^31 - 2231718*x^30 + 11134496*x^29 + 12882874*x^28 - 68717392*x^27 - 55550598*x^26 + 320889203*x^25 + 179546063*x^24 - 1144236437*x^23 - 431013739*x^22 + 3122473956*x^21 + 745856537*x^20 - 6495374383*x^19 - 856224230*x^18 + 10196572066*x^17 + 459152924*x^16 - 11872734689*x^15 + 353394623*x^14 + 9981746928*x^13 - 990241985*x^12 - 5810528816*x^11 + 978528841*x^10 + 2184804739*x^9 - 526731691*x^8 - 465271985*x^7 + 149841105*x^6 + 40328968*x^5 - 17929539*x^4 + 189752*x^3 + 461426*x^2 - 41359*x + 807, x^40 - 4*x^39 - 59*x^38 + 244*x^37 + 1589*x^36 - 6825*x^35 - 25875*x^34 + 116039*x^33 + 284436*x^32 - 1340277*x^31 - 2231718*x^30 + 11134496*x^29 + 12882874*x^28 - 68717392*x^27 - 55550598*x^26 + 320889203*x^25 + 179546063*x^24 - 1144236437*x^23 - 431013739*x^22 + 3122473956*x^21 + 745856537*x^20 - 6495374383*x^19 - 856224230*x^18 + 10196572066*x^17 + 459152924*x^16 - 11872734689*x^15 + 353394623*x^14 + 9981746928*x^13 - 990241985*x^12 - 5810528816*x^11 + 978528841*x^10 + 2184804739*x^9 - 526731691*x^8 - 465271985*x^7 + 149841105*x^6 + 40328968*x^5 - 17929539*x^4 + 189752*x^3 + 461426*x^2 - 41359*x + 807, x^42 - 68*x^40 + 2*x^39 + 2131*x^38 - 128*x^37 - 40812*x^36 + 3718*x^35 + 534154*x^34 - 65099*x^33 - 5062446*x^32 + 769305*x^31 + 35922971*x^30 - 6508390*x^29 - 194668034*x^28 + 40792170*x^27 + 814559829*x^26 - 193336424*x^25 - 2644120412*x^24 + 701012154*x^23 + 6654224492*x^22 - 1954225698*x^21 - 12910043382*x^20 + 4185172623*x^19 + 19097034241*x^18 - 6839022353*x^17 - 21156345106*x^16 + 8408441663*x^15 + 17071202655*x^14 - 7593925259*x^13 - 9593589603*x^12 + 4845804730*x^11 + 3466384106*x^10 - 2049553371*x^9 - 673523821*x^8 + 512254820*x^7 + 30809423*x^6 - 58378025*x^5 + 6912659*x^4 + 816143*x^3 - 137107*x^2 + 1947*x + 193, x^42 - 68*x^40 + 2*x^39 + 2131*x^38 - 128*x^37 - 40812*x^36 + 3718*x^35 + 534154*x^34 - 65099*x^33 - 5062446*x^32 + 769305*x^31 + 35922971*x^30 - 6508390*x^29 - 194668034*x^28 + 40792170*x^27 + 814559829*x^26 - 193336424*x^25 - 2644120412*x^24 + 701012154*x^23 + 6654224492*x^22 - 1954225698*x^21 - 12910043382*x^20 + 4185172623*x^19 + 19097034241*x^18 - 6839022353*x^17 - 21156345106*x^16 + 8408441663*x^15 + 17071202655*x^14 - 7593925259*x^13 - 9593589603*x^12 + 4845804730*x^11 + 3466384106*x^10 - 2049553371*x^9 - 673523821*x^8 + 512254820*x^7 + 30809423*x^6 - 58378025*x^5 + 6912659*x^4 + 816143*x^3 - 137107*x^2 + 1947*x + 193, 2*x^40 - 5*x^39 - 119*x^38 + 302*x^37 + 3235*x^36 - 8350*x^35 - 53257*x^34 + 140144*x^33 + 593320*x^32 - 1596461*x^31 - 4734789*x^30 + 13075288*x^29 + 27942891*x^28 - 79568567*x^27 - 124130145*x^26 + 366688431*x^25 + 418383130*x^24 - 1292535092*x^23 - 1069868909*x^22 + 3495618584*x^21 + 2058186716*x^20 - 7232596637*x^19 - 2920287311*x^18 + 11347159512*x^17 + 2934240527*x^16 - 13286485869*x^15 - 1899482636*x^14 + 11324979842*x^13 + 556292484*x^12 - 6765751611*x^11 + 192597478*x^10 + 2673355431*x^9 - 246388743*x^8 - 637830585*x^7 + 88637941*x^6 + 79776356*x^5 - 13032446*x^4 - 4422663*x^3 + 1026387*x^2 - 68194*x + 1412, 2*x^40 - 5*x^39 - 119*x^38 + 302*x^37 + 3235*x^36 - 8350*x^35 - 53257*x^34 + 140144*x^33 + 593320*x^32 - 1596461*x^31 - 4734789*x^30 + 13075288*x^29 + 27942891*x^28 - 79568567*x^27 - 124130145*x^26 + 366688431*x^25 + 418383130*x^24 - 1292535092*x^23 - 1069868909*x^22 + 3495618584*x^21 + 2058186716*x^20 - 7232596637*x^19 - 2920287311*x^18 + 11347159512*x^17 + 2934240527*x^16 - 13286485869*x^15 - 1899482636*x^14 + 11324979842*x^13 + 556292484*x^12 - 6765751611*x^11 + 192597478*x^10 + 2673355431*x^9 - 246388743*x^8 - 637830585*x^7 + 88637941*x^6 + 79776356*x^5 - 13032446*x^4 - 4422663*x^3 + 1026387*x^2 - 68194*x + 1412, x^40 - 59*x^38 - 4*x^37 + 1597*x^36 + 221*x^35 - 26298*x^34 - 5576*x^33 + 294588*x^32 + 85174*x^31 - 2378374*x^30 - 880313*x^29 + 14309257*x^28 + 6516568*x^27 - 65453978*x^26 - 35668830*x^25 + 230361052*x^24 + 146919442*x^23 - 627950165*x^22 - 459032206*x^21 + 1330256203*x^20 + 1088289132*x^19 - 2193430322*x^18 - 1944895366*x^17 + 2817675355*x^16 + 2582368460*x^15 - 2819751418*x^14 - 2484352019*x^13 + 2186765151*x^12 + 1658949118*x^11 - 1286124768*x^10 - 709311956*x^9 + 541619689*x^8 + 160068316*x^7 - 143625824*x^6 - 5916786*x^5 + 17211264*x^4 - 3131983*x^3 + 234710*x^2 - 15344*x + 691, x^40 - 59*x^38 - 4*x^37 + 1597*x^36 + 221*x^35 - 26298*x^34 - 5576*x^33 + 294588*x^32 + 85174*x^31 - 2378374*x^30 - 880313*x^29 + 14309257*x^28 + 6516568*x^27 - 65453978*x^26 - 35668830*x^25 + 230361052*x^24 + 146919442*x^23 - 627950165*x^22 - 459032206*x^21 + 1330256203*x^20 + 1088289132*x^19 - 2193430322*x^18 - 1944895366*x^17 + 2817675355*x^16 + 2582368460*x^15 - 2819751418*x^14 - 2484352019*x^13 + 2186765151*x^12 + 1658949118*x^11 - 1286124768*x^10 - 709311956*x^9 + 541619689*x^8 + 160068316*x^7 - 143625824*x^6 - 5916786*x^5 + 17211264*x^4 - 3131983*x^3 + 234710*x^2 - 15344*x + 691, x^42 - x^41 - 64*x^40 + 59*x^39 + 1890*x^38 - 1586*x^37 - 34180*x^36 + 25712*x^35 + 423654*x^34 - 280359*x^33 - 3816572*x^32 + 2169628*x^31 + 25859319*x^30 - 12241836*x^29 - 134525978*x^28 + 50826273*x^27 + 543805191*x^26 - 154065529*x^25 - 1718033727*x^24 + 329586278*x^23 + 4245389071*x^22 - 449295774*x^21 - 8176135046*x^20 + 231572833*x^19 + 12177434458*x^18 + 448276390*x^17 - 13858792917*x^16 - 1171307958*x^15 + 11853445811*x^14 + 1281928997*x^13 - 7452007943*x^12 - 740503347*x^11 + 3337624424*x^10 + 164816329*x^9 - 1009835458*x^8 + 47906569*x^7 + 182485197*x^6 - 35180149*x^5 - 12521473*x^4 + 5663729*x^3 - 823256*x^2 + 49854*x - 1026, x^42 - x^41 - 64*x^40 + 59*x^39 + 1890*x^38 - 1586*x^37 - 34180*x^36 + 25712*x^35 + 423654*x^34 - 280359*x^33 - 3816572*x^32 + 2169628*x^31 + 25859319*x^30 - 12241836*x^29 - 134525978*x^28 + 50826273*x^27 + 543805191*x^26 - 154065529*x^25 - 1718033727*x^24 + 329586278*x^23 + 4245389071*x^22 - 449295774*x^21 - 8176135046*x^20 + 231572833*x^19 + 12177434458*x^18 + 448276390*x^17 - 13858792917*x^16 - 1171307958*x^15 + 11853445811*x^14 + 1281928997*x^13 - 7452007943*x^12 - 740503347*x^11 + 3337624424*x^10 + 164816329*x^9 - 1009835458*x^8 + 47906569*x^7 + 182485197*x^6 - 35180149*x^5 - 12521473*x^4 + 5663729*x^3 - 823256*x^2 + 49854*x - 1026, x^43 - 2*x^42 - 63*x^41 + 124*x^40 + 1826*x^39 - 3523*x^38 - 32325*x^37 + 60848*x^36 + 391338*x^35 - 714738*x^34 - 3438040*x^33 + 6052657*x^32 + 22700662*x^31 - 38226587*x^30 - 115122378*x^29 + 183769376*x^28 + 454396582*x^27 - 680512984*x^26 - 1406083296*x^25 + 1952563220*x^24 + 3419283307*x^23 - 4345744185*x^22 - 6521694286*x^21 + 7479315922*x^20 + 9694951571*x^19 - 9880233747*x^18 - 11109480191*x^17 + 9892669793*x^16 + 9652390857*x^15 - 7362208161*x^14 - 6213223606*x^13 + 3953297707*x^12 + 2871277174*x^11 - 1465463782*x^10 - 913664521*x^9 + 352710111*x^8 + 189465732*x^7 - 51800340*x^6 - 23319257*x^5 + 4711283*x^4 + 1211286*x^3 - 228975*x^2 + 5291*x + 319, x^43 - 2*x^42 - 63*x^41 + 124*x^40 + 1826*x^39 - 3523*x^38 - 32325*x^37 + 60848*x^36 + 391338*x^35 - 714738*x^34 - 3438040*x^33 + 6052657*x^32 + 22700662*x^31 - 38226587*x^30 - 115122378*x^29 + 183769376*x^28 + 454396582*x^27 - 680512984*x^26 - 1406083296*x^25 + 1952563220*x^24 + 3419283307*x^23 - 4345744185*x^22 - 6521694286*x^21 + 7479315922*x^20 + 9694951571*x^19 - 9880233747*x^18 - 11109480191*x^17 + 9892669793*x^16 + 9652390857*x^15 - 7362208161*x^14 - 6213223606*x^13 + 3953297707*x^12 + 2871277174*x^11 - 1465463782*x^10 - 913664521*x^9 + 352710111*x^8 + 189465732*x^7 - 51800340*x^6 - 23319257*x^5 + 4711283*x^4 + 1211286*x^3 - 228975*x^2 + 5291*x + 319, x^41 - x^40 - 60*x^39 + 57*x^38 + 1644*x^37 - 1462*x^36 - 27261*x^35 + 22250*x^34 + 305638*x^33 - 222619*x^32 - 2451687*x^31 + 1526519*x^30 + 14522557*x^29 - 7177931*x^28 - 64645458*x^27 + 21724947*x^26 + 218048291*x^25 - 29830705*x^24 - 558343878*x^23 - 67748310*x^22 + 1083235997*x^21 + 504540216*x^20 - 1590425017*x^19 - 1481981300*x^18 + 1786538061*x^17 + 2737469568*x^16 - 1605701029*x^15 - 3428160091*x^14 + 1258342308*x^13 + 2914507862*x^12 - 894975672*x^11 - 1609848493*x^10 + 512943631*x^9 + 516510939*x^8 - 187673590*x^7 - 70179507*x^6 + 29442102*x^5 - 855469*x^4 + 803620*x^3 - 323848*x^2 + 28698*x - 654, x^41 - x^40 - 60*x^39 + 57*x^38 + 1644*x^37 - 1462*x^36 - 27261*x^35 + 22250*x^34 + 305638*x^33 - 222619*x^32 - 2451687*x^31 + 1526519*x^30 + 14522557*x^29 - 7177931*x^28 - 64645458*x^27 + 21724947*x^26 + 218048291*x^25 - 29830705*x^24 - 558343878*x^23 - 67748310*x^22 + 1083235997*x^21 + 504540216*x^20 - 1590425017*x^19 - 1481981300*x^18 + 1786538061*x^17 + 2737469568*x^16 - 1605701029*x^15 - 3428160091*x^14 + 1258342308*x^13 + 2914507862*x^12 - 894975672*x^11 - 1609848493*x^10 + 512943631*x^9 + 516510939*x^8 - 187673590*x^7 - 70179507*x^6 + 29442102*x^5 - 855469*x^4 + 803620*x^3 - 323848*x^2 + 28698*x - 654, x^41 - 64*x^39 - x^38 + 1889*x^37 + 57*x^36 - 34108*x^35 - 1499*x^34 + 421443*x^33 + 24079*x^32 - 3777355*x^31 - 263346*x^30 + 25405237*x^29 + 2067254*x^28 - 130869194*x^27 - 11954794*x^26 + 522571823*x^25 + 51404343*x^24 - 1627274530*x^23 - 163580493*x^22 + 3956617036*x^21 + 376978360*x^20 - 7488694627*x^19 - 595857917*x^18 + 10949991178*x^17 + 548912030*x^16 - 12207230116*x^15 - 49644291*x^14 + 10155248357*x^13 - 613317742*x^12 - 6082169571*x^11 + 872338915*x^10 + 2457023808*x^9 - 601570523*x^8 - 582112151*x^7 + 217166411*x^6 + 50765293*x^5 - 32528245*x^4 + 4129172*x^3 - 157001*x^2 + 3119*x - 237, x^41 - 64*x^39 - x^38 + 1889*x^37 + 57*x^36 - 34108*x^35 - 1499*x^34 + 421443*x^33 + 24079*x^32 - 3777355*x^31 - 263346*x^30 + 25405237*x^29 + 2067254*x^28 - 130869194*x^27 - 11954794*x^26 + 522571823*x^25 + 51404343*x^24 - 1627274530*x^23 - 163580493*x^22 + 3956617036*x^21 + 376978360*x^20 - 7488694627*x^19 - 595857917*x^18 + 10949991178*x^17 + 548912030*x^16 - 12207230116*x^15 - 49644291*x^14 + 10155248357*x^13 - 613317742*x^12 - 6082169571*x^11 + 872338915*x^10 + 2457023808*x^9 - 601570523*x^8 - 582112151*x^7 + 217166411*x^6 + 50765293*x^5 - 32528245*x^4 + 4129172*x^3 - 157001*x^2 + 3119*x - 237, x^42 - 2*x^41 - 61*x^40 + 122*x^39 + 1706*x^38 - 3408*x^37 - 29034*x^36 + 57861*x^35 + 336645*x^34 - 668401*x^33 - 2822388*x^32 + 5574667*x^31 + 17730827*x^30 - 34775776*x^29 - 85410418*x^28 + 165938972*x^27 + 320453489*x^26 - 614567427*x^25 - 946896303*x^24 + 1783130660*x^23 + 2220853216*x^22 - 4074314365*x^21 - 4153151949*x^20 + 7341040354*x^19 + 6188806672*x^18 - 10396228005*x^17 - 7277411124*x^16 + 11464026807*x^15 + 6585985035*x^14 - 9668814288*x^13 - 4365776018*x^12 + 6050878790*x^11 + 1930194646*x^10 - 2669788123*x^9 - 457795786*x^8 + 755324668*x^7 + 10983668*x^6 - 110073927*x^5 + 14691535*x^4 + 3295195*x^3 - 673841*x^2 + 38842*x - 758, x^42 - 2*x^41 - 61*x^40 + 122*x^39 + 1706*x^38 - 3408*x^37 - 29034*x^36 + 57861*x^35 + 336645*x^34 - 668401*x^33 - 2822388*x^32 + 5574667*x^31 + 17730827*x^30 - 34775776*x^29 - 85410418*x^28 + 165938972*x^27 + 320453489*x^26 - 614567427*x^25 - 946896303*x^24 + 1783130660*x^23 + 2220853216*x^22 - 4074314365*x^21 - 4153151949*x^20 + 7341040354*x^19 + 6188806672*x^18 - 10396228005*x^17 - 7277411124*x^16 + 11464026807*x^15 + 6585985035*x^14 - 9668814288*x^13 - 4365776018*x^12 + 6050878790*x^11 + 1930194646*x^10 - 2669788123*x^9 - 457795786*x^8 + 755324668*x^7 + 10983668*x^6 - 110073927*x^5 + 14691535*x^4 + 3295195*x^3 - 673841*x^2 + 38842*x - 758, x^41 - x^40 - 60*x^39 + 58*x^38 + 1647*x^37 - 1525*x^36 - 27432*x^35 + 24087*x^34 + 310014*x^33 - 255371*x^32 - 2518148*x^31 + 1924292*x^30 + 15189403*x^29 - 10652473*x^28 - 69297635*x^27 + 44220610*x^26 + 241138702*x^25 - 139601855*x^24 - 640086213*x^23 + 339178130*x^22 + 1285306340*x^21 - 642815784*x^20 - 1915719882*x^19 + 965987042*x^18 + 2045531006*x^17 - 1166112554*x^16 - 1460704793*x^15 + 1121553964*x^14 + 589105280*x^13 - 816926779*x^12 - 46106856*x^11 + 405524152*x^10 - 57074896*x^9 - 113896382*x^8 + 9191526*x^7 + 11905920*x^6 + 8568690*x^5 - 560619*x^4 - 2688747*x^3 + 591665*x^2 - 34747*x + 335, x^41 - x^40 - 60*x^39 + 58*x^38 + 1647*x^37 - 1525*x^36 - 27432*x^35 + 24087*x^34 + 310014*x^33 - 255371*x^32 - 2518148*x^31 + 1924292*x^30 + 15189403*x^29 - 10652473*x^28 - 69297635*x^27 + 44220610*x^26 + 241138702*x^25 - 139601855*x^24 - 640086213*x^23 + 339178130*x^22 + 1285306340*x^21 - 642815784*x^20 - 1915719882*x^19 + 965987042*x^18 + 2045531006*x^17 - 1166112554*x^16 - 1460704793*x^15 + 1121553964*x^14 + 589105280*x^13 - 816926779*x^12 - 46106856*x^11 + 405524152*x^10 - 57074896*x^9 - 113896382*x^8 + 9191526*x^7 + 11905920*x^6 + 8568690*x^5 - 560619*x^4 - 2688747*x^3 + 591665*x^2 - 34747*x + 335, x^40 - 58*x^38 - 6*x^37 + 1545*x^36 + 334*x^35 - 25132*x^34 - 8413*x^33 + 280161*x^32 + 126980*x^31 - 2278078*x^30 - 1281934*x^29 + 14045529*x^28 + 9150832*x^27 - 67359993*x^26 - 47606251*x^25 + 255405747*x^24 + 183322000*x^23 - 771966383*x^22 - 525118455*x^21 + 1860453707*x^20 + 1113641315*x^19 - 3547417749*x^18 - 1719875727*x^17 + 5267794301*x^16 + 1864757273*x^15 - 5947235464*x^14 - 1303360848*x^13 + 4932986904*x^12 + 436814933*x^11 - 2859608457*x^10 + 98867933*x^9 + 1068557835*x^8 - 161306597*x^7 - 219581389*x^6 + 58748015*x^5 + 15147963*x^4 - 6832702*x^3 + 796095*x^2 - 41626*x + 995, x^40 - 58*x^38 - 6*x^37 + 1545*x^36 + 334*x^35 - 25132*x^34 - 8413*x^33 + 280161*x^32 + 126980*x^31 - 2278078*x^30 - 1281934*x^29 + 14045529*x^28 + 9150832*x^27 - 67359993*x^26 - 47606251*x^25 + 255405747*x^24 + 183322000*x^23 - 771966383*x^22 - 525118455*x^21 + 1860453707*x^20 + 1113641315*x^19 - 3547417749*x^18 - 1719875727*x^17 + 5267794301*x^16 + 1864757273*x^15 - 5947235464*x^14 - 1303360848*x^13 + 4932986904*x^12 + 436814933*x^11 - 2859608457*x^10 + 98867933*x^9 + 1068557835*x^8 - 161306597*x^7 - 219581389*x^6 + 58748015*x^5 + 15147963*x^4 - 6832702*x^3 + 796095*x^2 - 41626*x + 995]>
       ]
>;

MOG[967] := 	// J_0(967)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [110, 264, 270, 277, 297, 378, 536, 635, 678, 761, 776, 699*x + 158, 268*x + 158, 74*x + 865, 893*x + 865, 887*x + 894, 80*x + 894, 868*x + 707, 99*x + 707, 934*x + 954, 33*x + 954, 619*x + 282, 348*x + 282, 850*x + 9, 117*x + 9, 700*x + 702, 267*x + 702, 710*x + 834, 257*x + 834, 266*x + 183, 701*x + 183, 559*x + 29, 408*x + 29, 104*x + 43, 863*x + 43, 541*x + 409, 426*x + 409, 471*x + 407, 496*x + 407, 930*x + 269, 37*x + 269, 640*x + 680, 327*x + 680, 946*x + 376, 21*x + 376, 849*x + 886, 118*x + 886, 568*x + 721, 399*x + 721, 30*x + 839, 937*x + 839, 810*x + 645, 157*x + 645, 413*x + 705, 554*x + 705, 796*x + 360, 171*x + 360, 684*x + 78, 283*x + 78, 360*x + 704, 607*x + 704, 326*x + 959, 641*x + 959, 288*x + 732, 679*x + 732, 104*x + 961, 863*x + 961, 220*x + 426, 747*x + 426, 811*x + 878, 156*x + 878, 462*x + 548, 505*x + 548, 604*x + 464, 363*x + 464, 404*x + 322, 563*x + 322, 561*x + 378, 406*x + 378, 820*x + 778, 147*x + 778]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^35 + 12*x^34 + 21*x^33 - 297*x^32 - 1309*x^31 + 2167*x^30 + 21478*x^29 + 8689*x^28 - 181832*x^27 - 267262*x^26 + 895194*x^25 + 2216512*x^24 - 2446206*x^23 - 10508683*x^22 + 1873441*x^21 + 32175951*x^20 + 11659639*x^19 - 65576728*x^18 - 50212933*x^17 + 87560540*x^16 + 102106291*x^15 - 70683481*x^14 - 125744621*x^13 + 24440093*x^12 + 97004603*x^11 + 9777443*x^10 - 45315682*x^9 - 13962118*x^8 + 11501940*x^7 + 5790485*x^6 - 1096282*x^5 - 1028095*x^4 - 72362*x^3 + 58803*x^2 + 13440*x + 839,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^34 - 12*x^33 - 23*x^32 + 273*x^31 + 1259*x^30 - 1666*x^29 - 19031*x^28 - 11019*x^27 + 147820*x^26 + 238608*x^25 - 658032*x^24 - 1758588*x^23 + 1558524*x^22 + 7553511*x^21 - 554309*x^20 - 21026126*x^19 - 8618480*x^18 + 39015105*x^17 + 30033738*x^16 - 47687023*x^15 - 53267306*x^14 + 36075260*x^13 + 57911173*x^12 - 13544658*x^11 - 39557089*x^10 - 1012088*x^9 + 16425543*x^8 + 3204730*x^7 - 3788396*x^6 - 1219867*x^5 + 391168*x^4 + 182391*x^3 - 6209*x^2 - 9512*x - 964, x^34 + 12*x^33 + 23*x^32 - 273*x^31 - 1259*x^30 + 1666*x^29 + 19031*x^28 + 11019*x^27 - 147820*x^26 - 238608*x^25 + 658032*x^24 + 1758588*x^23 - 1558524*x^22 - 7553511*x^21 + 554309*x^20 + 21026126*x^19 + 8618480*x^18 - 39015105*x^17 - 30033738*x^16 + 47687023*x^15 + 53267306*x^14 - 36075260*x^13 - 57911173*x^12 + 13544658*x^11 + 39557089*x^10 + 1012088*x^9 - 16425543*x^8 - 3204730*x^7 + 3788396*x^6 + 1219867*x^5 - 391168*x^4 - 182391*x^3 + 6209*x^2 + 9512*x + 964, x^27 + 12*x^26 + 31*x^25 - 176*x^24 - 1024*x^23 + 5*x^22 + 10059*x^21 + 14781*x^20 - 44337*x^19 - 123048*x^18 + 69176*x^17 + 481226*x^16 + 157553*x^15 - 1031587*x^14 - 918615*x^13 + 1168813*x^12 + 1783029*x^11 - 469217*x^10 - 1746728*x^9 - 326714*x^8 + 848157*x^7 + 411626*x^6 - 149377*x^5 - 138361*x^4 - 11855*x^3 + 11751*x^2 + 3292*x + 252, -x^27 - 12*x^26 - 31*x^25 + 176*x^24 + 1024*x^23 - 5*x^22 - 10059*x^21 - 14781*x^20 + 44337*x^19 + 123048*x^18 - 69176*x^17 - 481226*x^16 - 157553*x^15 + 1031587*x^14 + 918615*x^13 - 1168813*x^12 - 1783029*x^11 + 469217*x^10 + 1746728*x^9 + 326714*x^8 - 848157*x^7 - 411626*x^6 + 149377*x^5 + 138361*x^4 + 11855*x^3 - 11751*x^2 - 3292*x - 252, -x^33 - 12*x^32 - 25*x^31 + 251*x^30 + 1230*x^29 - 1145*x^28 - 17098*x^27 - 14990*x^26 + 118303*x^25 + 235807*x^24 - 430142*x^23 - 1508120*x^22 + 540469*x^21 + 5600349*x^20 + 2041304*x^19 - 12933162*x^18 - 11365438*x^17 + 18207994*x^16 + 26032240*x^15 - 13369026*x^14 - 34300436*x^13 + 457869*x^12 + 27013160*x^11 + 7848638*x^10 - 12080156*x^9 - 6460861*x^8 + 2547875*x^7 + 2270873*x^6 - 46767*x^5 - 347834*x^4 - 56511*x^3 + 16377*x^2 + 5410*x + 409, x^33 + 12*x^32 + 25*x^31 - 251*x^30 - 1230*x^29 + 1145*x^28 + 17098*x^27 + 14990*x^26 - 118303*x^25 - 235807*x^24 + 430142*x^23 + 1508120*x^22 - 540469*x^21 - 5600349*x^20 - 2041304*x^19 + 12933162*x^18 + 11365438*x^17 - 18207994*x^16 - 26032240*x^15 + 13369026*x^14 + 34300436*x^13 - 457869*x^12 - 27013160*x^11 - 7848638*x^10 + 12080156*x^9 + 6460861*x^8 - 2547875*x^7 - 2270873*x^6 + 46767*x^5 + 347834*x^4 + 56511*x^3 - 16377*x^2 - 5410*x - 409, -x^33 - 12*x^32 - 25*x^31 + 250*x^30 + 1217*x^29 - 1185*x^28 - 16914*x^27 - 13664*x^26 + 118859*x^25 + 222117*x^24 - 457540*x^23 - 1447052*x^22 + 778663*x^21 + 5549476*x^20 + 999855*x^19 - 13628461*x^18 - 8813757*x^17 + 21665523*x^16 + 22806745*x^15 - 21239195*x^14 - 33533012*x^13 + 10437566*x^12 + 30434354*x^11 + 916717*x^10 - 16809983*x^9 - 4296527*x^8 + 5165669*x^7 + 2299745*x^6 - 658347*x^5 - 497870*x^4 - 22060*x^3 + 32914*x^2 + 7066*x + 430, x^33 + 12*x^32 + 25*x^31 - 250*x^30 - 1217*x^29 + 1185*x^28 + 16914*x^27 + 13664*x^26 - 118859*x^25 - 222117*x^24 + 457540*x^23 + 1447052*x^22 - 778663*x^21 - 5549476*x^20 - 999855*x^19 + 13628461*x^18 + 8813757*x^17 - 21665523*x^16 - 22806745*x^15 + 21239195*x^14 + 33533012*x^13 - 10437566*x^12 - 30434354*x^11 - 916717*x^10 + 16809983*x^9 + 4296527*x^8 - 5165669*x^7 - 2299745*x^6 + 658347*x^5 + 497870*x^4 + 22060*x^3 - 32914*x^2 - 7066*x - 430, 2*x^28 + 24*x^27 + 66*x^26 - 306*x^25 - 1906*x^24 - 299*x^23 + 17484*x^22 + 26649*x^21 - 75405*x^20 - 208714*x^19 + 133426*x^18 + 820154*x^17 + 147426*x^16 - 1899343*x^15 - 1250924*x^14 + 2662992*x^13 + 2813009*x^12 - 2135307*x^11 - 3381547*x^10 + 735059*x^9 + 2335181*x^8 + 160789*x^7 - 888138*x^6 - 216322*x^5 + 159680*x^4 + 60013*x^3 - 7330*x^2 - 4798*x - 445, -2*x^28 - 24*x^27 - 66*x^26 + 306*x^25 + 1906*x^24 + 299*x^23 - 17484*x^22 - 26649*x^21 + 75405*x^20 + 208714*x^19 - 133426*x^18 - 820154*x^17 - 147426*x^16 + 1899343*x^15 + 1250924*x^14 - 2662992*x^13 - 2813009*x^12 + 2135307*x^11 + 3381547*x^10 - 735059*x^9 - 2335181*x^8 - 160789*x^7 + 888138*x^6 + 216322*x^5 - 159680*x^4 - 60013*x^3 + 7330*x^2 + 4798*x + 445, x^27 + 10*x^26 + 11*x^25 - 207*x^24 - 717*x^23 + 1087*x^22 + 8526*x^21 + 3932*x^20 - 45176*x^19 - 65352*x^18 + 114092*x^17 + 296927*x^16 - 79818*x^15 - 676810*x^14 - 260615*x^13 + 807243*x^12 + 697096*x^11 - 410409*x^10 - 686258*x^9 - 53016*x^8 + 289188*x^7 + 133286*x^6 - 30727*x^5 - 40642*x^4 - 8119*x^3 + 2435*x^2 + 1120*x + 113, -x^27 - 10*x^26 - 11*x^25 + 207*x^24 + 717*x^23 - 1087*x^22 - 8526*x^21 - 3932*x^20 + 45176*x^19 + 65352*x^18 - 114092*x^17 - 296927*x^16 + 79818*x^15 + 676810*x^14 + 260615*x^13 - 807243*x^12 - 697096*x^11 + 410409*x^10 + 686258*x^9 + 53016*x^8 - 289188*x^7 - 133286*x^6 + 30727*x^5 + 40642*x^4 + 8119*x^3 - 2435*x^2 - 1120*x - 113, x^28 + 11*x^27 + 21*x^26 - 187*x^25 - 817*x^24 + 722*x^23 + 8972*x^22 + 6255*x^21 - 48269*x^20 - 77872*x^19 + 134528*x^18 + 367134*x^17 - 139374*x^16 - 951769*x^15 - 241805*x^14 + 1429428*x^13 + 975786*x^12 - 1166313*x^11 - 1336319*x^10 + 359544*x^9 + 901173*x^8 + 122438*x^7 - 282663*x^6 - 107634*x^5 + 28787*x^4 + 19870*x^3 + 857*x^2 - 868*x - 113, -x^28 - 11*x^27 - 21*x^26 + 187*x^25 + 817*x^24 - 722*x^23 - 8972*x^22 - 6255*x^21 + 48269*x^20 + 77872*x^19 - 134528*x^18 - 367134*x^17 + 139374*x^16 + 951769*x^15 + 241805*x^14 - 1429428*x^13 - 975786*x^12 + 1166313*x^11 + 1336319*x^10 - 359544*x^9 - 901173*x^8 - 122438*x^7 + 282663*x^6 + 107634*x^5 - 28787*x^4 - 19870*x^3 - 857*x^2 + 868*x + 113, -x^32 - 11*x^31 - 14*x^30 + 265*x^29 + 965*x^28 - 2110*x^27 - 14988*x^26 - 2*x^25 + 118305*x^24 + 117502*x^23 - 547644*x^22 - 960476*x^21 + 1500945*x^20 + 4099404*x^19 - 2058100*x^18 - 10875062*x^17 - 490376*x^16 + 18698370*x^15 + 7333870*x^14 - 20702896*x^13 - 13597540*x^12 + 14055409*x^11 + 12957751*x^10 - 5109113*x^9 - 6971043*x^8 + 510182*x^7 + 2037693*x^6 + 233180*x^5 - 279947*x^4 - 67887*x^3 + 11376*x^2 + 5001*x + 409, x^32 + 11*x^31 + 14*x^30 - 265*x^29 - 965*x^28 + 2110*x^27 + 14988*x^26 + 2*x^25 - 118305*x^24 - 117502*x^23 + 547644*x^22 + 960476*x^21 - 1500945*x^20 - 4099404*x^19 + 2058100*x^18 + 10875062*x^17 + 490376*x^16 - 18698370*x^15 - 7333870*x^14 + 20702896*x^13 + 13597540*x^12 - 14055409*x^11 - 12957751*x^10 + 5109113*x^9 + 6971043*x^8 - 510182*x^7 - 2037693*x^6 - 233180*x^5 + 279947*x^4 + 67887*x^3 - 11376*x^2 - 5001*x - 409, -x^32 - 11*x^31 - 15*x^30 + 256*x^29 + 968*x^28 - 1861*x^27 - 14529*x^26 - 2799*x^25 + 109585*x^24 + 132966*x^23 - 470411*x^22 - 992686*x^21 + 1094668*x^20 + 3993560*x^19 - 688858*x^18 - 9932049*x^17 - 3511122*x^16 + 15619627*x^15 + 11633000*x^14 - 14914495*x^13 - 17300473*x^12 + 7337887*x^11 + 14519182*x^10 - 339660*x^9 - 6906625*x^8 - 1444039*x^7 + 1703936*x^6 + 638853*x^5 - 167732*x^4 - 98127*x^3 + 243*x^2 + 4920*x + 555, x^32 + 11*x^31 + 15*x^30 - 256*x^29 - 968*x^28 + 1861*x^27 + 14529*x^26 + 2799*x^25 - 109585*x^24 - 132966*x^23 + 470411*x^22 + 992686*x^21 - 1094668*x^20 - 3993560*x^19 + 688858*x^18 + 9932049*x^17 + 3511122*x^16 - 15619627*x^15 - 11633000*x^14 + 14914495*x^13 + 17300473*x^12 - 7337887*x^11 - 14519182*x^10 + 339660*x^9 + 6906625*x^8 + 1444039*x^7 - 1703936*x^6 - 638853*x^5 + 167732*x^4 + 98127*x^3 - 243*x^2 - 4920*x - 555, -x^32 - 12*x^31 - 27*x^30 + 227*x^29 + 1171*x^28 - 748*x^27 - 14874*x^26 - 15481*x^25 + 93335*x^24 + 201418*x^23 - 299027*x^22 - 1155573*x^21 + 258341*x^20 + 3900983*x^19 + 1648372*x^18 - 8248289*x^17 - 7332844*x^16 + 10770005*x^15 + 14886725*x^14 - 7690159*x^13 - 17761067*x^12 + 1204347*x^11 + 12843599*x^10 + 2519635*x^9 - 5394821*x^8 - 2046848*x^7 + 1163170*x^6 + 641441*x^5 - 87773*x^4 - 82692*x^3 - 2962*x^2 + 3455*x + 400, x^32 + 12*x^31 + 27*x^30 - 227*x^29 - 1171*x^28 + 748*x^27 + 14874*x^26 + 15481*x^25 - 93335*x^24 - 201418*x^23 + 299027*x^22 + 1155573*x^21 - 258341*x^20 - 3900983*x^19 - 1648372*x^18 + 8248289*x^17 + 7332844*x^16 - 10770005*x^15 - 14886725*x^14 + 7690159*x^13 + 17761067*x^12 - 1204347*x^11 - 12843599*x^10 - 2519635*x^9 + 5394821*x^8 + 2046848*x^7 - 1163170*x^6 - 641441*x^5 + 87773*x^4 + 82692*x^3 + 2962*x^2 - 3455*x - 400, -x^32 - 11*x^31 - 15*x^30 + 254*x^29 + 946*x^28 - 1897*x^27 - 14087*x^26 - 1010*x^25 + 107157*x^24 + 110118*x^23 - 480834*x^22 - 848462*x^21 + 1295823*x^20 + 3496682*x^19 - 1843649*x^18 - 9101293*x^17 + 105851*x^16 + 15677823*x^15 + 4847569*x^14 - 17947535*x^13 - 9715752*x^12 + 13257028*x^11 + 9903507*x^10 - 5804074*x^9 - 5865053*x^8 + 1141863*x^7 + 1966879*x^6 + 80556*x^5 - 325455*x^4 - 66785*x^3 + 16237*x^2 + 6487*x + 564, x^32 + 11*x^31 + 15*x^30 - 254*x^29 - 946*x^28 + 1897*x^27 + 14087*x^26 + 1010*x^25 - 107157*x^24 - 110118*x^23 + 480834*x^22 + 848462*x^21 - 1295823*x^20 - 3496682*x^19 + 1843649*x^18 + 9101293*x^17 - 105851*x^16 - 15677823*x^15 - 4847569*x^14 + 17947535*x^13 + 9715752*x^12 - 13257028*x^11 - 9903507*x^10 + 5804074*x^9 + 5865053*x^8 - 1141863*x^7 - 1966879*x^6 - 80556*x^5 + 325455*x^4 + 66785*x^3 - 16237*x^2 - 6487*x - 564, x^29 + 13*x^28 + 44*x^27 - 131*x^26 - 1130*x^25 - 946*x^24 + 9355*x^23 + 21788*x^22 - 31481*x^21 - 149336*x^20 - 6050*x^19 + 538729*x^18 + 415253*x^17 - 1111522*x^16 - 1539518*x^15 + 1215414*x^14 + 2900467*x^13 - 318800*x^12 - 3163857*x^11 - 826192*x^10 + 1960343*x^9 + 1045495*x^8 - 591954*x^7 - 515278*x^6 + 32207*x^5 + 107252*x^4 + 19005*x^3 - 5726*x^2 - 2107*x - 177, -x^29 - 13*x^28 - 44*x^27 + 131*x^26 + 1130*x^25 + 946*x^24 - 9355*x^23 - 21788*x^22 + 31481*x^21 + 149336*x^20 + 6050*x^19 - 538729*x^18 - 415253*x^17 + 1111522*x^16 + 1539518*x^15 - 1215414*x^14 - 2900467*x^13 + 318800*x^12 + 3163857*x^11 + 826192*x^10 - 1960343*x^9 - 1045495*x^8 + 591954*x^7 + 515278*x^6 - 32207*x^5 - 107252*x^4 - 19005*x^3 + 5726*x^2 + 2107*x + 177, x^29 + 11*x^28 + 22*x^27 - 175*x^26 - 776*x^25 + 647*x^24 + 8129*x^23 + 4861*x^22 - 43924*x^21 - 59378*x^20 + 139476*x^19 + 281425*x^18 - 267827*x^17 - 787821*x^16 + 288594*x^15 + 1447578*x^14 - 87458*x^13 - 1816507*x^12 - 217690*x^11 + 1561251*x^10 + 374838*x^9 - 884706*x^8 - 296184*x^7 + 298956*x^6 + 127473*x^5 - 47239*x^4 - 26335*x^3 + 928*x^2 + 1662*x + 177, -x^29 - 11*x^28 - 22*x^27 + 175*x^26 + 776*x^25 - 647*x^24 - 8129*x^23 - 4861*x^22 + 43924*x^21 + 59378*x^20 - 139476*x^19 - 281425*x^18 + 267827*x^17 + 787821*x^16 - 288594*x^15 - 1447578*x^14 + 87458*x^13 + 1816507*x^12 + 217690*x^11 - 1561251*x^10 - 374838*x^9 + 884706*x^8 + 296184*x^7 - 298956*x^6 - 127473*x^5 + 47239*x^4 + 26335*x^3 - 928*x^2 - 1662*x - 177, x^28 + 10*x^27 + 13*x^26 - 178*x^25 - 587*x^24 + 1027*x^23 + 6385*x^22 - 437*x^21 - 34961*x^20 - 20485*x^19 + 114785*x^18 + 101288*x^17 - 255023*x^16 - 235871*x^15 + 444647*x^14 + 326121*x^13 - 674194*x^12 - 335070*x^11 + 814476*x^10 + 336366*x^9 - 647786*x^8 - 289936*x^7 + 282940*x^6 + 149302*x^5 - 52556*x^4 - 35325*x^3 + 871*x^2 + 2492*x + 290, -x^28 - 10*x^27 - 13*x^26 + 178*x^25 + 587*x^24 - 1027*x^23 - 6385*x^22 + 437*x^21 + 34961*x^20 + 20485*x^19 - 114785*x^18 - 101288*x^17 + 255023*x^16 + 235871*x^15 - 444647*x^14 - 326121*x^13 + 674194*x^12 + 335070*x^11 - 814476*x^10 - 336366*x^9 + 647786*x^8 + 289936*x^7 - 282940*x^6 - 149302*x^5 + 52556*x^4 + 35325*x^3 - 871*x^2 - 2492*x - 290, -x^27 - 14*x^26 - 60*x^25 + 46*x^24 + 1084*x^23 + 2136*x^22 - 5690*x^21 - 24996*x^20 - 530*x^19 + 122355*x^18 + 126463*x^17 - 306021*x^16 - 598492*x^15 + 326325*x^14 + 1399737*x^13 + 202477*x^12 - 1858368*x^11 - 1031517*x^10 + 1357346*x^9 + 1263688*x^8 - 424935*x^7 - 725293*x^6 - 40567*x^5 + 182798*x^4 + 49615*x^3 - 11502*x^2 - 5671*x - 542, x^27 + 14*x^26 + 60*x^25 - 46*x^24 - 1084*x^23 - 2136*x^22 + 5690*x^21 + 24996*x^20 + 530*x^19 - 122355*x^18 - 126463*x^17 + 306021*x^16 + 598492*x^15 - 326325*x^14 - 1399737*x^13 - 202477*x^12 + 1858368*x^11 + 1031517*x^10 - 1357346*x^9 - 1263688*x^8 + 424935*x^7 + 725293*x^6 + 40567*x^5 - 182798*x^4 - 49615*x^3 + 11502*x^2 + 5671*x + 542, x^29 + 12*x^28 + 31*x^27 - 178*x^26 - 1035*x^25 + 81*x^24 + 10718*x^23 + 15222*x^22 - 52073*x^21 - 140922*x^20 + 100993*x^19 + 624710*x^18 + 158584*x^17 - 1572369*x^16 - 1351127*x^15 + 2219210*x^14 + 3323829*x^13 - 1359340*x^12 - 4285661*x^11 - 507558*x^10 + 3007445*x^9 + 1350325*x^8 - 1008382*x^7 - 801923*x^6 + 70530*x^5 + 187018*x^4 + 32582*x^3 - 11762*x^2 - 4273*x - 365, -x^29 - 12*x^28 - 31*x^27 + 178*x^26 + 1035*x^25 - 81*x^24 - 10718*x^23 - 15222*x^22 + 52073*x^21 + 140922*x^20 - 100993*x^19 - 624710*x^18 - 158584*x^17 + 1572369*x^16 + 1351127*x^15 - 2219210*x^14 - 3323829*x^13 + 1359340*x^12 + 4285661*x^11 + 507558*x^10 - 3007445*x^9 - 1350325*x^8 + 1008382*x^7 + 801923*x^6 - 70530*x^5 - 187018*x^4 - 32582*x^3 + 11762*x^2 + 4273*x + 365, -x^31 - 10*x^30 - 6*x^29 + 252*x^28 + 708*x^27 - 2338*x^26 - 11517*x^25 + 6744*x^24 + 92697*x^23 + 45023*x^22 - 438487*x^21 - 512121*x^20 + 1263398*x^19 + 2312255*x^18 - 2077733*x^17 - 6099489*x^16 + 1220387*x^15 + 10087531*x^14 + 2085468*x^13 - 10420455*x^12 - 5156091*x^11 + 6330884*x^10 + 4833871*x^9 - 1889803*x^8 - 2287978*x^7 + 71916*x^6 + 517888*x^5 + 81975*x^4 - 41373*x^3 - 11214*x^2 + 65*x + 146, x^31 + 10*x^30 + 6*x^29 - 252*x^28 - 708*x^27 + 2338*x^26 + 11517*x^25 - 6744*x^24 - 92697*x^23 - 45023*x^22 + 438487*x^21 + 512121*x^20 - 1263398*x^19 - 2312255*x^18 + 2077733*x^17 + 6099489*x^16 - 1220387*x^15 - 10087531*x^14 - 2085468*x^13 + 10420455*x^12 + 5156091*x^11 - 6330884*x^10 - 4833871*x^9 + 1889803*x^8 + 2287978*x^7 - 71916*x^6 - 517888*x^5 - 81975*x^4 + 41373*x^3 + 11214*x^2 - 65*x - 146, -x^31 - 12*x^30 - 29*x^29 + 204*x^28 + 1121*x^27 - 359*x^26 - 12963*x^25 - 16648*x^24 + 71749*x^23 + 180958*x^22 - 178567*x^21 - 920265*x^20 - 88210*x^19 + 2726540*x^18 + 1970135*x^17 - 4845714*x^16 - 6240789*x^15 + 4682592*x^14 + 10470483*x^13 - 1047218*x^12 - 10372194*x^11 - 2788362*x^10 + 5904752*x^9 + 3284323*x^8 - 1625901*x^7 - 1559951*x^6 + 41722*x^5 + 322370*x^4 + 66220*x^3 - 17649*x^2 - 7393*x - 675, x^31 + 12*x^30 + 29*x^29 - 204*x^28 - 1121*x^27 + 359*x^26 + 12963*x^25 + 16648*x^24 - 71749*x^23 - 180958*x^22 + 178567*x^21 + 920265*x^20 + 88210*x^19 - 2726540*x^18 - 1970135*x^17 + 4845714*x^16 + 6240789*x^15 - 4682592*x^14 - 10470483*x^13 + 1047218*x^12 + 10372194*x^11 + 2788362*x^10 - 5904752*x^9 - 3284323*x^8 + 1625901*x^7 + 1559951*x^6 - 41722*x^5 - 322370*x^4 - 66220*x^3 + 17649*x^2 + 7393*x + 675, -x^31 - 11*x^30 - 17*x^29 + 233*x^28 + 919*x^27 - 1458*x^26 - 12561*x^25 - 4051*x^24 + 86764*x^23 + 110521*x^22 - 341755*x^21 - 728228*x^20 + 736727*x^19 + 2653632*x^18 - 489222*x^17 - 6049804*x^16 - 1679231*x^15 + 8866444*x^14 + 5301462*x^13 - 8186001*x^12 - 7218561*x^11 + 4391280*x^10 + 5510410*x^9 - 1034644*x^8 - 2376598*x^7 - 98353*x^6 + 528852*x^5 + 92808*x^4 - 47122*x^3 - 11810*x^2 + 727*x + 245, x^31 + 11*x^30 + 17*x^29 - 233*x^28 - 919*x^27 + 1458*x^26 + 12561*x^25 + 4051*x^24 - 86764*x^23 - 110521*x^22 + 341755*x^21 + 728228*x^20 - 736727*x^19 - 2653632*x^18 + 489222*x^17 + 6049804*x^16 + 1679231*x^15 - 8866444*x^14 - 5301462*x^13 + 8186001*x^12 + 7218561*x^11 - 4391280*x^10 - 5510410*x^9 + 1034644*x^8 + 2376598*x^7 + 98353*x^6 - 528852*x^5 - 92808*x^4 + 47122*x^3 + 11810*x^2 - 727*x - 245, -x^31 - 11*x^30 - 17*x^29 + 234*x^28 + 930*x^27 - 1433*x^26 - 12712*x^25 - 4842*x^24 + 86824*x^23 + 117756*x^22 - 331302*x^21 - 756971*x^20 + 653178*x^19 + 2683519*x^18 - 181685*x^17 - 5881849*x^16 - 2281353*x^15 + 8139229*x^14 + 5869725*x^13 - 6896290*x^12 - 7273819*x^11 + 3182716*x^10 + 5140856*x^9 - 426663*x^8 - 2056927*x^7 - 252310*x^6 + 413448*x^5 + 105630*x^4 - 28488*x^3 - 10190*x^2 - 15*x + 134, x^31 + 11*x^30 + 17*x^29 - 234*x^28 - 930*x^27 + 1433*x^26 + 12712*x^25 + 4842*x^24 - 86824*x^23 - 117756*x^22 + 331302*x^21 + 756971*x^20 - 653178*x^19 - 2683519*x^18 + 181685*x^17 + 5881849*x^16 + 2281353*x^15 - 8139229*x^14 - 5869725*x^13 + 6896290*x^12 + 7273819*x^11 - 3182716*x^10 - 5140856*x^9 + 426663*x^8 + 2056927*x^7 + 252310*x^6 - 413448*x^5 - 105630*x^4 + 28488*x^3 + 10190*x^2 + 15*x - 134, x^29 + 9*x^28 - 2*x^27 - 245*x^26 - 512*x^25 + 2468*x^24 + 8990*x^23 - 10114*x^22 - 71929*x^21 - 6276*x^20 + 330550*x^19 + 246842*x^18 - 929481*x^17 - 1168488*x^16 + 1578520*x^15 + 2928114*x^14 - 1409701*x^13 - 4430730*x^12 + 143563*x^11 + 4090452*x^10 + 997424*x^9 - 2188130*x^8 - 964016*x^7 + 594257*x^6 + 372907*x^5 - 56983*x^4 - 59908*x^3 - 1644*x^2 + 3586*x + 477, -x^29 - 9*x^28 + 2*x^27 + 245*x^26 + 512*x^25 - 2468*x^24 - 8990*x^23 + 10114*x^22 + 71929*x^21 + 6276*x^20 - 330550*x^19 - 246842*x^18 + 929481*x^17 + 1168488*x^16 - 1578520*x^15 - 2928114*x^14 + 1409701*x^13 + 4430730*x^12 - 143563*x^11 - 4090452*x^10 - 997424*x^9 + 2188130*x^8 + 964016*x^7 - 594257*x^6 - 372907*x^5 + 56983*x^4 + 59908*x^3 + 1644*x^2 - 3586*x - 477, x^29 + 11*x^28 + 23*x^27 - 164*x^26 - 747*x^25 + 543*x^24 + 7488*x^23 + 4603*x^22 - 39521*x^21 - 51858*x^20 + 127005*x^19 + 238788*x^18 - 266129*x^17 - 669412*x^16 + 375212*x^15 + 1276943*x^14 - 344027*x^13 - 1729471*x^12 + 145762*x^11 + 1660220*x^10 + 98751*x^9 - 1079149*x^8 - 202234*x^7 + 429480*x^6 + 131948*x^5 - 85319*x^4 - 37411*x^3 + 3869*x^2 + 3301*x + 355, -x^29 - 11*x^28 - 23*x^27 + 164*x^26 + 747*x^25 - 543*x^24 - 7488*x^23 - 4603*x^22 + 39521*x^21 + 51858*x^20 - 127005*x^19 - 238788*x^18 + 266129*x^17 + 669412*x^16 - 375212*x^15 - 1276943*x^14 + 344027*x^13 + 1729471*x^12 - 145762*x^11 - 1660220*x^10 - 98751*x^9 + 1079149*x^8 + 202234*x^7 - 429480*x^6 - 131948*x^5 + 85319*x^4 + 37411*x^3 - 3869*x^2 - 3301*x - 355, x^30 + 12*x^29 + 31*x^28 - 178*x^27 - 1032*x^26 + 107*x^25 + 10718*x^24 + 14599*x^23 - 53568*x^22 - 136464*x^21 + 121213*x^20 + 620438*x^19 + 43039*x^18 - 1665547*x^17 - 1017532*x^16 + 2739545*x^15 + 2874448*x^14 - 2637765*x^13 - 4247395*x^12 + 1163353*x^11 + 3681670*x^10 + 211685*x^9 - 1847986*x^8 - 473833*x^7 + 490865*x^6 + 191626*x^5 - 55356*x^4 - 28328*x^3 + 1354*x^2 + 1320*x + 90, -x^30 - 12*x^29 - 31*x^28 + 178*x^27 + 1032*x^26 - 107*x^25 - 10718*x^24 - 14599*x^23 + 53568*x^22 + 136464*x^21 - 121213*x^20 - 620438*x^19 - 43039*x^18 + 1665547*x^17 + 1017532*x^16 - 2739545*x^15 - 2874448*x^14 + 2637765*x^13 + 4247395*x^12 - 1163353*x^11 - 3681670*x^10 - 211685*x^9 + 1847986*x^8 + 473833*x^7 - 490865*x^6 - 191626*x^5 + 55356*x^4 + 28328*x^3 - 1354*x^2 - 1320*x - 90, x^30 + 11*x^29 + 19*x^28 - 209*x^27 - 855*x^26 + 1131*x^25 + 10622*x^24 + 4133*x^23 - 67793*x^22 - 85590*x^21 + 249842*x^20 + 510624*x^19 - 516038*x^18 - 1709263*x^17 + 396191*x^16 + 3582792*x^15 + 718819*x^14 - 4805620*x^13 - 2356505*x^12 + 4031628*x^11 + 2941909*x^10 - 1956131*x^9 - 1983579*x^8 + 428103*x^7 + 732671*x^6 + 19781*x^5 - 133459*x^4 - 23760*x^3 + 8121*x^2 + 2483*x + 155, -x^30 - 11*x^29 - 19*x^28 + 209*x^27 + 855*x^26 - 1131*x^25 - 10622*x^24 - 4133*x^23 + 67793*x^22 + 85590*x^21 - 249842*x^20 - 510624*x^19 + 516038*x^18 + 1709263*x^17 - 396191*x^16 - 3582792*x^15 - 718819*x^14 + 4805620*x^13 + 2356505*x^12 - 4031628*x^11 - 2941909*x^10 + 1956131*x^9 + 1983579*x^8 - 428103*x^7 - 732671*x^6 - 19781*x^5 + 133459*x^4 + 23760*x^3 - 8121*x^2 - 2483*x - 155, -x^26 - 12*x^25 - 36*x^24 + 118*x^23 + 848*x^22 + 440*x^21 - 6570*x^20 - 11856*x^19 + 23182*x^18 + 75991*x^17 - 25519*x^16 - 254983*x^15 - 88526*x^14 + 503377*x^13 + 392983*x^12 - 583489*x^11 - 691390*x^10 + 351263*x^9 + 654820*x^8 - 45952*x^7 - 333031*x^6 - 59231*x^5 + 77895*x^4 + 27008*x^3 - 4401*x^2 - 2700*x - 271, x^26 + 12*x^25 + 36*x^24 - 118*x^23 - 848*x^22 - 440*x^21 + 6570*x^20 + 11856*x^19 - 23182*x^18 - 75991*x^17 + 25519*x^16 + 254983*x^15 + 88526*x^14 - 503377*x^13 - 392983*x^12 + 583489*x^11 + 691390*x^10 - 351263*x^9 - 654820*x^8 + 45952*x^7 + 333031*x^6 + 59231*x^5 - 77895*x^4 - 27008*x^3 + 4401*x^2 + 2700*x + 271, -x^28 - 15*x^27 - 69*x^26 + 47*x^25 + 1327*x^24 + 2735*x^23 - 7625*x^22 - 33962*x^21 + 2108*x^20 + 179387*x^19 + 168633*x^18 - 496104*x^17 - 869900*x^16 + 661126*x^15 + 2165073*x^14 - 40285*x^13 - 3058594*x^12 - 1145124*x^11 + 2459145*x^10 + 1598683*x^9 - 1026739*x^8 - 968529*x^7 + 159178*x^6 + 272756*x^5 + 12362*x^4 - 30391*x^3 - 3705*x^2 + 1038*x + 158, x^28 + 15*x^27 + 69*x^26 - 47*x^25 - 1327*x^24 - 2735*x^23 + 7625*x^22 + 33962*x^21 - 2108*x^20 - 179387*x^19 - 168633*x^18 + 496104*x^17 + 869900*x^16 - 661126*x^15 - 2165073*x^14 + 40285*x^13 + 3058594*x^12 + 1145124*x^11 - 2459145*x^10 - 1598683*x^9 + 1026739*x^8 + 968529*x^7 - 159178*x^6 - 272756*x^5 - 12362*x^4 + 30391*x^3 + 3705*x^2 - 1038*x - 158, x^29 + 11*x^28 + 22*x^27 - 177*x^26 - 792*x^25 + 667*x^24 + 8639*x^23 + 5847*x^22 - 48333*x^21 - 76076*x^20 + 148577*x^19 + 388858*x^18 - 202475*x^17 - 1137230*x^16 - 176889*x^15 + 2023840*x^14 + 1216408*x^13 - 2119969*x^12 - 2170601*x^11 + 1086587*x^10 + 1967154*x^9 + 11379*x^8 - 911297*x^7 - 277390*x^6 + 167207*x^5 + 102432*x^4 + 5083*x^3 - 8207*x^2 - 2307*x - 197, -x^29 - 11*x^28 - 22*x^27 + 177*x^26 + 792*x^25 - 667*x^24 - 8639*x^23 - 5847*x^22 + 48333*x^21 + 76076*x^20 - 148577*x^19 - 388858*x^18 + 202475*x^17 + 1137230*x^16 + 176889*x^15 - 2023840*x^14 - 1216408*x^13 + 2119969*x^12 + 2170601*x^11 - 1086587*x^10 - 1967154*x^9 - 11379*x^8 + 911297*x^7 + 277390*x^6 - 167207*x^5 - 102432*x^4 - 5083*x^3 + 8207*x^2 + 2307*x + 197, x^30 + 11*x^29 + 19*x^28 - 211*x^27 - 879*x^26 + 1060*x^25 + 10868*x^24 + 5861*x^23 - 66892*x^22 - 98844*x^21 + 225338*x^20 + 554005*x^19 - 364802*x^18 - 1737028*x^17 - 74523*x^16 + 3347868*x^15 + 1541794*x^14 - 4005176*x^13 - 3141478*x^12 + 2829356*x^11 + 3257177*x^10 - 976373*x^9 - 1920934*x^8 - 13064*x^7 + 630583*x^6 + 127445*x^5 - 98637*x^4 - 36715*x^3 + 3077*x^2 + 2810*x + 310, -x^30 - 11*x^29 - 19*x^28 + 211*x^27 + 879*x^26 - 1060*x^25 - 10868*x^24 - 5861*x^23 + 66892*x^22 + 98844*x^21 - 225338*x^20 - 554005*x^19 + 364802*x^18 + 1737028*x^17 + 74523*x^16 - 3347868*x^15 - 1541794*x^14 + 4005176*x^13 + 3141478*x^12 - 2829356*x^11 - 3257177*x^10 + 976373*x^9 + 1920934*x^8 + 13064*x^7 - 630583*x^6 - 127445*x^5 + 98637*x^4 + 36715*x^3 - 3077*x^2 - 2810*x - 310, -x^30 - 10*x^29 - 8*x^28 + 231*x^27 + 674*x^26 - 1974*x^25 - 10144*x^24 + 4754*x^23 + 76947*x^22 + 42078*x^21 - 343391*x^20 - 417907*x^19 + 923380*x^18 + 1754827*x^17 - 1367980*x^16 - 4311709*x^15 + 539999*x^14 + 6579508*x^13 + 1723927*x^12 - 6163094*x^11 - 3354427*x^10 + 3283728*x^9 + 2728844*x^8 - 772023*x^7 - 1114132*x^6 - 38990*x^5 + 208334*x^4 + 45540*x^3 - 11392*x^2 - 4709*x - 409, x^30 + 10*x^29 + 8*x^28 - 231*x^27 - 674*x^26 + 1974*x^25 + 10144*x^24 - 4754*x^23 - 76947*x^22 - 42078*x^21 + 343391*x^20 + 417907*x^19 - 923380*x^18 - 1754827*x^17 + 1367980*x^16 + 4311709*x^15 - 539999*x^14 - 6579508*x^13 - 1723927*x^12 + 6163094*x^11 + 3354427*x^10 - 3283728*x^9 - 2728844*x^8 + 772023*x^7 + 1114132*x^6 + 38990*x^5 - 208334*x^4 - 45540*x^3 + 11392*x^2 + 4709*x + 409, -x^30 - 10*x^29 - 8*x^28 + 231*x^27 + 676*x^26 - 1945*x^25 - 10020*x^24 + 4635*x^23 + 74701*x^22 + 38452*x^21 - 330233*x^20 - 374880*x^19 + 901053*x^18 + 1543678*x^17 - 1459234*x^16 - 3753203*x^15 + 1096638*x^14 + 5765648*x^13 + 448104*x^12 - 5614923*x^11 - 1804658*x^10 + 3327154*x^9 + 1714951*x^8 - 1062465*x^7 - 792228*x^6 + 110438*x^5 + 171062*x^4 + 19887*x^3 - 10964*x^2 - 3095*x - 221, x^30 + 10*x^29 + 8*x^28 - 231*x^27 - 676*x^26 + 1945*x^25 + 10020*x^24 - 4635*x^23 - 74701*x^22 - 38452*x^21 + 330233*x^20 + 374880*x^19 - 901053*x^18 - 1543678*x^17 + 1459234*x^16 + 3753203*x^15 - 1096638*x^14 - 5765648*x^13 - 448104*x^12 + 5614923*x^11 + 1804658*x^10 - 3327154*x^9 - 1714951*x^8 + 1062465*x^7 + 792228*x^6 - 110438*x^5 - 171062*x^4 - 19887*x^3 + 10964*x^2 + 3095*x + 221, -x^30 - 10*x^29 - 8*x^28 + 233*x^27 + 699*x^26 - 1887*x^25 - 10313*x^24 + 3003*x^23 + 74831*x^22 + 53039*x^21 - 312412*x^20 - 438283*x^19 + 760911*x^18 + 1675766*x^17 - 927970*x^16 - 3785391*x^15 - 74482*x^14 + 5285597*x^13 + 1993829*x^12 - 4459389*x^11 - 2957993*x^10 + 2050257*x^9 + 2093175*x^8 - 331708*x^7 - 761203*x^6 - 85364*x^5 + 125905*x^4 + 36708*x^3 - 5288*x^2 - 3258*x - 343, x^30 + 10*x^29 + 8*x^28 - 233*x^27 - 699*x^26 + 1887*x^25 + 10313*x^24 - 3003*x^23 - 74831*x^22 - 53039*x^21 + 312412*x^20 + 438283*x^19 - 760911*x^18 - 1675766*x^17 + 927970*x^16 + 3785391*x^15 + 74482*x^14 - 5285597*x^13 - 1993829*x^12 + 4459389*x^11 + 2957993*x^10 - 2050257*x^9 - 2093175*x^8 + 331708*x^7 + 761203*x^6 + 85364*x^5 - 125905*x^4 - 36708*x^3 + 5288*x^2 + 3258*x + 343, -x^29 - 10*x^28 - 12*x^27 + 187*x^26 + 581*x^25 - 1323*x^24 - 7111*x^23 + 2902*x^22 + 46763*x^21 + 18138*x^20 - 191441*x^19 - 168570*x^18 + 507278*x^17 + 650550*x^16 - 857277*x^15 - 1484183*x^14 + 854867*x^13 + 2137392*x^12 - 368937*x^11 - 1960569*x^10 - 137873*x^9 + 1129159*x^8 + 262549*x^7 - 388296*x^6 - 142347*x^5 + 65997*x^4 + 35064*x^3 - 1702*x^2 - 2781*x - 343, x^29 + 10*x^28 + 12*x^27 - 187*x^26 - 581*x^25 + 1323*x^24 + 7111*x^23 - 2902*x^22 - 46763*x^21 - 18138*x^20 + 191441*x^19 + 168570*x^18 - 507278*x^17 - 650550*x^16 + 857277*x^15 + 1484183*x^14 - 854867*x^13 - 2137392*x^12 + 368937*x^11 + 1960569*x^10 + 137873*x^9 - 1129159*x^8 - 262549*x^7 + 388296*x^6 + 142347*x^5 - 65997*x^4 - 35064*x^3 + 1702*x^2 + 2781*x + 343, 2*x^28 + 23*x^27 + 60*x^26 - 272*x^25 - 1586*x^24 - 117*x^23 + 13392*x^22 + 18075*x^21 - 53892*x^20 - 130042*x^19 + 96195*x^18 + 459013*x^17 + 27500*x^16 - 936742*x^15 - 462803*x^14 + 1135710*x^13 + 912666*x^12 - 790846*x^11 - 879715*x^10 + 287662*x^9 + 467222*x^8 - 41031*x^7 - 145002*x^6 - 7088*x^5 + 26399*x^4 + 4751*x^3 - 1937*x^2 - 633*x - 44, -2*x^28 - 23*x^27 - 60*x^26 + 272*x^25 + 1586*x^24 + 117*x^23 - 13392*x^22 - 18075*x^21 + 53892*x^20 + 130042*x^19 - 96195*x^18 - 459013*x^17 - 27500*x^16 + 936742*x^15 + 462803*x^14 - 1135710*x^13 - 912666*x^12 + 790846*x^11 + 879715*x^10 - 287662*x^9 - 467222*x^8 + 41031*x^7 + 145002*x^6 + 7088*x^5 - 26399*x^4 - 4751*x^3 + 1937*x^2 + 633*x + 44, x^29 + 13*x^28 + 45*x^27 - 121*x^26 - 1115*x^25 - 1103*x^24 + 8826*x^23 + 22706*x^22 - 25873*x^21 - 150491*x^20 - 39121*x^19 + 522264*x^18 + 537350*x^17 - 994647*x^16 - 1826823*x^15 + 829413*x^14 + 3322621*x^13 + 434935*x^12 - 3526667*x^11 - 1750485*x^10 + 2096423*x^9 + 1764995*x^8 - 543082*x^7 - 853047*x^6 - 45841*x^5 + 186790*x^4 + 48569*x^3 - 10603*x^2 - 5196*x - 498, -x^29 - 13*x^28 - 45*x^27 + 121*x^26 + 1115*x^25 + 1103*x^24 - 8826*x^23 - 22706*x^22 + 25873*x^21 + 150491*x^20 + 39121*x^19 - 522264*x^18 - 537350*x^17 + 994647*x^16 + 1826823*x^15 - 829413*x^14 - 3322621*x^13 - 434935*x^12 + 3526667*x^11 + 1750485*x^10 - 2096423*x^9 - 1764995*x^8 + 543082*x^7 + 853047*x^6 + 45841*x^5 - 186790*x^4 - 48569*x^3 + 10603*x^2 + 5196*x + 498, x^29 + 13*x^28 + 42*x^27 - 152*x^26 - 1163*x^25 - 565*x^24 + 10842*x^23 + 20070*x^22 - 47989*x^21 - 158226*x^20 + 81213*x^19 + 662944*x^18 + 174796*x^17 - 1679191*x^16 - 1249006*x^15 + 2613246*x^14 + 3032415*x^13 - 2337866*x^12 - 4058962*x^11 + 873898*x^10 + 3151993*x^9 + 278165*x^8 - 1347743*x^7 - 377528*x^6 + 267920*x^5 + 116287*x^4 - 12666*x^3 - 10255*x^2 - 780*x + 68, -x^29 - 13*x^28 - 42*x^27 + 152*x^26 + 1163*x^25 + 565*x^24 - 10842*x^23 - 20070*x^22 + 47989*x^21 + 158226*x^20 - 81213*x^19 - 662944*x^18 - 174796*x^17 + 1679191*x^16 + 1249006*x^15 - 2613246*x^14 - 3032415*x^13 + 2337866*x^12 + 4058962*x^11 - 873898*x^10 - 3151993*x^9 - 278165*x^8 + 1347743*x^7 + 377528*x^6 - 267920*x^5 - 116287*x^4 + 12666*x^3 + 10255*x^2 + 780*x - 68]>,
         rec<Eigen |
           DefiningPolynomial := x^45 - 11*x^44 - 8*x^43 + 507*x^42 - 1088*x^41 - 9975*x^40 + 38069*x^39 + 103568*x^38 - 635452*x^37 - 484240*x^36 + 6653542*x^35 - 1594481*x^34 - 47876679*x^33 + 43584171*x^32 + 246072707*x^31 - 362116721*x^30 - 912413449*x^29 + 1885330231*x^28 + 2393214081*x^27 - 6937683811*x^26 - 4083185188*x^25 + 18801188345*x^24 + 2930811454*x^23 - 38057934613*x^22 + 5626407577*x^21 + 57507696915*x^20 - 21793299818*x^19 - 64044110687*x^18 + 36538891285*x^17 + 51162955949*x^16 - 38313210449*x^15 - 27908392603*x^14 + 26462018002*x^13 + 9458796734*x^12 - 11815489217*x^11 - 1588421877*x^10 + 3207470134*x^9 + 27144370*x^8 - 484550944*x^7 + 14646444*x^6 + 40903813*x^5 - 641773*x^4 - 1850128*x^3 - 50126*x^2 + 35257*x + 2729,
           Coordinates        := [-x^44 + 11*x^43 + 5*x^42 - 473*x^41 + 1087*x^40 + 8609*x^39 - 34361*x^38 - 80999*x^37 + 530502*x^36 + 307749*x^35 - 5154328*x^34 + 1794372*x^33 + 34393315*x^32 - 33692222*x^31 - 163569918*x^30 + 248023901*x^29 + 559498821*x^28 - 1171373035*x^27 - 1348963129*x^26 + 3927097591*x^25 + 2108724510*x^24 - 9687081498*x^23 - 1396763464*x^22 + 17791388338*x^21 - 2307052599*x^20 - 24282527886*x^19 + 8105912214*x^18 + 24298256862*x^17 - 12063275467*x^16 - 17348851693*x^15 + 11074390698*x^14 + 8425438410*x^13 - 6595778439*x^12 - 2548756123*x^11 + 2493929678*x^10 + 394417752*x^9 - 560731172*x^8 - 11749104*x^7 + 68197087*x^6 - 2879382*x^5 - 4401018*x^4 + 266093*x^3 + 143346*x^2 - 6533*x - 1888, x^44 - 10*x^43 - 16*x^42 + 470*x^41 - 635*x^40 - 9708*x^39 + 26602*x^38 + 113578*x^37 - 464101*x^36 - 784755*x^35 + 4977949*x^34 + 2588478*x^33 - 36713553*x^32 + 6260241*x^31 + 195705882*x^30 - 127455503*x^29 - 772245599*x^28 + 800947389*x^27 + 2273741981*x^26 - 3177118920*x^25 - 4963419478*x^24 + 8928582178*x^23 + 7820995980*x^22 - 18441708130*x^21 - 8266408278*x^20 + 28265526528*x^19 + 4443526282*x^18 - 31955570842*x^17 + 1697150178*x^16 + 26124888712*x^15 - 5555114870*x^14 - 14882542863*x^13 + 5058255827*x^12 + 5541304324*x^11 - 2488904918*x^10 - 1204944790*x^9 + 672654473*x^8 + 125700644*x^7 - 89380839*x^6 - 5899313*x^5 + 5778038*x^4 + 123736*x^3 - 167061*x^2 - 1673*x + 1522, -x^41 + 12*x^40 - 11*x^39 - 418*x^38 + 1501*x^37 + 5469*x^36 - 35408*x^35 - 20771*x^34 + 436041*x^33 - 300064*x^32 - 3339917*x^31 + 5166063*x^30 + 16765113*x^29 - 40295030*x^28 - 54053061*x^27 + 201011033*x^26 + 92811366*x^25 - 699133363*x^24 + 41298815*x^23 + 1748951167*x^22 - 729681945*x^21 - 3169802152*x^20 + 2206610074*x^19 + 4122890621*x^18 - 3896114381*x^17 - 3742529729*x^16 + 4528648659*x^15 + 2238264015*x^14 - 3518247923*x^13 - 776824543*x^12 + 1778277938*x^11 + 101800662*x^10 - 551289719*x^9 + 13520213*x^8 + 97322102*x^7 - 2649938*x^6 - 9938656*x^5 - 77789*x^4 + 546748*x^3 + 29155*x^2 - 12355*x - 1191, -x^40 + 12*x^39 - 12*x^38 - 402*x^37 + 1449*x^36 + 5065*x^35 - 32689*x^34 - 18694*x^33 + 387272*x^32 - 253674*x^31 - 2862073*x^30 + 4225583*x^29 + 13902008*x^28 - 31729099*x^27 - 43605849*x^26 + 152027502*x^25 + 74437641*x^24 - 506261563*x^23 + 18292034*x^22 + 1206210528*x^21 - 485015451*x^20 - 2063549972*x^19 + 1436009447*x^18 + 2492582773*x^17 - 2434577250*x^16 - 2031739618*x^15 + 2686849289*x^14 + 998491859*x^13 - 1955456300*x^12 - 186799844*x^11 + 905695114*x^10 - 70147984*x^9 - 246318537*x^8 + 43390751*x^7 + 34834625*x^6 - 6852633*x^5 - 2642779*x^4 + 428470*x^3 + 104681*x^2 - 9319*x - 1714, -x^41 + 12*x^40 - 12*x^39 - 406*x^38 + 1493*x^37 + 5029*x^36 - 33985*x^35 - 14410*x^34 + 401130*x^33 - 337578*x^32 - 2896839*x^31 + 5061135*x^30 + 13252524*x^29 - 36724577*x^28 - 35468865*x^27 + 170456222*x^26 + 26138067*x^25 - 543733403*x^24 + 198338764*x^23 + 1214173150*x^22 - 936824999*x^21 - 1870918224*x^20 + 2209811211*x^19 + 1868770729*x^18 - 3318186232*x^17 - 959680412*x^16 + 3304590085*x^15 - 162335009*x^14 - 2140948820*x^13 + 624581036*x^12 + 837754630*x^11 - 426595100*x^10 - 162778873*x^9 + 135760079*x^8 + 5193147*x^7 - 19849383*x^6 + 1844443*x^5 + 1433258*x^4 - 191257*x^3 - 54079*x^2 + 5360*x + 960, x^43 - 11*x^42 - 3*x^41 + 452*x^40 - 1100*x^39 - 7746*x^38 + 32551*x^37 + 66056*x^36 - 475187*x^35 - 174213*x^34 + 4349859*x^33 - 2289017*x^32 - 27128537*x^31 + 31439493*x^30 + 119075293*x^29 - 206475222*x^28 - 368015160*x^27 + 890982325*x^26 + 767155465*x^25 - 2736590967*x^24 - 898630112*x^23 + 6158517801*x^22 - 125732063*x^21 - 10236177001*x^20 + 2749118770*x^19 + 12500582419*x^18 - 5718645639*x^17 - 11026748067*x^16 + 6745097103*x^15 + 6812382742*x^14 - 5106343768*x^13 - 2806610378*x^12 + 2496934820*x^11 + 718872531*x^10 - 758808653*x^9 - 108192395*x^8 + 135086922*x^7 + 11348710*x^6 - 13799929*x^5 - 989318*x^4 + 742331*x^3 + 62122*x^2 - 16155*x - 1746, x^42 - 11*x^41 - x^40 + 432*x^39 - 1120*x^38 - 6922*x^37 + 31117*x^36 + 51590*x^35 - 428947*x^34 - 38513*x^33 + 3675109*x^32 - 2923235*x^31 - 21082095*x^30 + 31244975*x^29 + 82452541*x^28 - 182741606*x^27 - 211956612*x^26 + 715254141*x^25 + 293698959*x^24 - 1986421165*x^23 + 110759926*x^22 + 3987782425*x^21 - 1555765575*x^20 - 5772956269*x^19 + 3840664948*x^18 + 5897894697*x^17 - 5520488779*x^16 - 4039109901*x^15 + 5186300129*x^14 + 1629316370*x^13 - 3218815628*x^12 - 207462348*x^11 + 1276666454*x^10 - 117112937*x^9 - 301812023*x^8 + 54774893*x^7 + 38718328*x^6 - 8024224*x^5 - 2719657*x^4 + 488716*x^3 + 103063*x^2 - 10702*x - 1753, -x^42 + 12*x^41 - 9*x^40 - 440*x^39 + 1507*x^38 + 6245*x^37 - 37606*x^36 - 31705*x^35 + 489559*x^34 - 234324*x^33 - 4001811*x^32 + 5272265*x^31 + 21865731*x^30 - 45321296*x^29 - 80247057*x^28 + 244758291*x^27 + 183254616*x^26 - 923162649*x^25 - 155776755*x^24 + 2528223641*x^23 - 544005633*x^22 - 5094363652*x^21 + 2551241760*x^20 + 7530572247*x^19 - 5575566555*x^18 - 8011175519*x^17 + 7816627465*x^16 + 5866225563*x^15 - 7440157325*x^14 - 2661600021*x^13 + 4787419372*x^12 + 505251114*x^11 - 1998936877*x^10 + 128635373*x^9 + 499796740*x^8 - 86475236*x^7 - 66611578*x^6 + 14363261*x^5 + 4840006*x^4 - 960581*x^3 - 194839*x^2 + 22919*x + 3634, x^43 - 10*x^42 - 14*x^41 + 450*x^40 - 659*x^39 - 8846*x^38 + 25222*x^37 + 97530*x^36 - 415651*x^35 - 620777*x^34 + 4224789*x^33 + 1678640*x^32 - 29498529*x^31 + 7515843*x^30 + 148548060*x^29 - 105662021*x^28 - 552404329*x^27 + 595840585*x^26 + 1529729165*x^25 - 2172595722*x^24 - 3139767540*x^23 + 5636712702*x^22 + 4674624338*x^21 - 10739585108*x^20 - 4777819198*x^19 + 15144431144*x^18 + 2832475374*x^17 - 15708469348*x^16 - 111890236*x^15 + 11768581868*x^14 - 1414875544*x^13 - 6169137859*x^12 + 1288345155*x^11 + 2153509474*x^10 - 571062218*x^9 - 465905804*x^8 + 134382539*x^7 + 57486372*x^6 - 15426533*x^5 - 4023211*x^4 + 817000*x^3 + 153392*x^2 - 15907*x - 2505, -x^40 + 11*x^39 - x^38 - 407*x^37 + 1086*x^36 + 6115*x^35 - 27870*x^34 - 42280*x^33 + 358850*x^32 + 21272*x^31 - 2875567*x^30 + 2185568*x^29 + 15438092*x^28 - 21286485*x^27 - 56755350*x^26 + 113700872*x^25 + 139838939*x^24 - 403894464*x^23 - 205555700*x^22 + 1008617450*x^21 + 71792451*x^20 - 1799125773*x^19 + 410685438*x^18 + 2279456167*x^17 - 1038730065*x^16 - 1998410477*x^15 + 1306179608*x^14 + 1143844599*x^13 - 997104221*x^12 - 372523185*x^11 + 465231445*x^10 + 38636345*x^9 - 124142528*x^8 + 11617551*x^7 + 16810698*x^6 - 3038685*x^5 - 1194242*x^4 + 239016*x^3 + 47759*x^2 - 6320*x - 960, -x^43 + 12*x^42 - 7*x^41 - 464*x^40 + 1530*x^39 + 7069*x^38 - 40600*x^37 - 42203*x^36 + 558952*x^35 - 199143*x^34 - 4838982*x^33 + 5909907*x^32 + 28102487*x^31 - 55548494*x^30 - 110264694*x^29 + 321777898*x^28 + 272776542*x^27 - 1294629904*x^26 - 274726188*x^25 + 3771090407*x^24 - 783643212*x^23 - 8057487969*x^22 + 4217748704*x^21 + 12571292623*x^20 - 9991987840*x^19 - 14002836869*x^18 + 15030928078*x^17 + 10568435704*x^16 - 15273396069*x^15 - 4737529027*x^14 + 10446616115*x^13 + 657494621*x^12 - 4614969445*x^11 + 453429811*x^10 + 1213865332*x^9 - 235755528*x^8 - 169126827*x^7 + 36862582*x^6 + 12934219*x^5 - 2316050*x^4 - 550330*x^3 + 47843*x^2 + 10629*x + 231, 2*x^38 - 22*x^37 + 18*x^36 + 648*x^35 - 2142*x^34 - 6929*x^33 + 41952*x^32 + 17383*x^31 - 417776*x^30 + 324742*x^29 + 2497739*x^28 - 4068492*x^27 - 9214360*x^26 + 24149787*x^25 + 18735920*x^24 - 90023365*x^23 - 3981311*x^22 + 225904774*x^21 - 96315874*x^20 - 386900882*x^19 + 311906022*x^18 + 441804491*x^17 - 536029603*x^16 - 308870398*x^15 + 580413434*x^14 + 92746260*x^13 - 405690440*x^12 + 33970242*x^11 + 178223558*x^10 - 41769832*x^9 - 46184664*x^8 + 14820739*x^7 + 6498375*x^6 - 2243611*x^5 - 502394*x^4 + 147969*x^3 + 22380*x^2 - 3537*x - 480, 2*x^38 - 22*x^37 + 18*x^36 + 648*x^35 - 2142*x^34 - 6929*x^33 + 41952*x^32 + 17383*x^31 - 417776*x^30 + 324742*x^29 + 2497739*x^28 - 4068492*x^27 - 9214360*x^26 + 24149787*x^25 + 18735920*x^24 - 90023365*x^23 - 3981311*x^22 + 225904774*x^21 - 96315874*x^20 - 386900882*x^19 + 311906022*x^18 + 441804491*x^17 - 536029603*x^16 - 308870398*x^15 + 580413434*x^14 + 92746260*x^13 - 405690440*x^12 + 33970242*x^11 + 178223558*x^10 - 41769832*x^9 - 46184664*x^8 + 14820739*x^7 + 6498375*x^6 - 2243611*x^5 - 502394*x^4 + 147969*x^3 + 22380*x^2 - 3537*x - 480, -x^40 + 11*x^39 - 3*x^38 - 388*x^37 + 1099*x^36 + 5467*x^35 - 26759*x^34 - 32870*x^33 + 330947*x^32 - 53101*x^31 - 2550309*x^30 + 2513133*x^29 + 13096998*x^28 - 21873629*x^27 - 45221625*x^26 + 112014643*x^25 + 98537785*x^24 - 389636237*x^23 - 92838156*x^22 + 962280750*x^21 - 172315843*x^20 - 1703840813*x^19 + 839726087*x^18 + 2134322895*x^17 - 1643989403*x^16 - 1813980774*x^15 + 1960954701*x^14 + 942387739*x^13 - 1504570717*x^12 - 201725226*x^11 + 723823579*x^10 - 57557580*x^9 - 201237319*x^8 + 41912649*x^7 + 28336461*x^6 - 7220525*x^5 - 2146629*x^4 + 494868*x^3 + 91242*x^2 - 12055*x - 1817, -x^40 + 11*x^39 - 3*x^38 - 388*x^37 + 1099*x^36 + 5467*x^35 - 26759*x^34 - 32870*x^33 + 330947*x^32 - 53101*x^31 - 2550309*x^30 + 2513133*x^29 + 13096998*x^28 - 21873629*x^27 - 45221625*x^26 + 112014643*x^25 + 98537785*x^24 - 389636237*x^23 - 92838156*x^22 + 962280750*x^21 - 172315843*x^20 - 1703840813*x^19 + 839726087*x^18 + 2134322895*x^17 - 1643989403*x^16 - 1813980774*x^15 + 1960954701*x^14 + 942387739*x^13 - 1504570717*x^12 - 201725226*x^11 + 723823579*x^10 - 57557580*x^9 - 201237319*x^8 + 41912649*x^7 + 28336461*x^6 - 7220525*x^5 - 2146629*x^4 + 494868*x^3 + 91242*x^2 - 12055*x - 1817, x^40 - 10*x^39 - 9*x^38 + 406*x^37 - 764*x^36 - 6860*x^35 + 23722*x^34 + 58779*x^33 - 334779*x^32 - 197245*x^31 + 2867978*x^30 - 1066791*x^29 - 16290075*x^28 + 16848240*x^27 + 63092451*x^26 - 103440987*x^25 - 164088841*x^24 + 396358458*x^23 + 259591006*x^22 - 1041155303*x^21 - 130071702*x^20 + 1925839319*x^19 - 440242657*x^18 - 2503154044*x^17 + 1247271209*x^16 + 2226975202*x^15 - 1651002873*x^14 - 1273506425*x^13 + 1309107430*x^12 + 399603797*x^11 - 630175405*x^10 - 29901734*x^9 + 172144082*x^8 - 16277063*x^7 - 23491725*x^6 + 3223105*x^5 + 1661006*x^4 - 205494*x^3 - 59450*x^2 + 4374*x + 880, x^40 - 10*x^39 - 9*x^38 + 406*x^37 - 764*x^36 - 6860*x^35 + 23722*x^34 + 58779*x^33 - 334779*x^32 - 197245*x^31 + 2867978*x^30 - 1066791*x^29 - 16290075*x^28 + 16848240*x^27 + 63092451*x^26 - 103440987*x^25 - 164088841*x^24 + 396358458*x^23 + 259591006*x^22 - 1041155303*x^21 - 130071702*x^20 + 1925839319*x^19 - 440242657*x^18 - 2503154044*x^17 + 1247271209*x^16 + 2226975202*x^15 - 1651002873*x^14 - 1273506425*x^13 + 1309107430*x^12 + 399603797*x^11 - 630175405*x^10 - 29901734*x^9 + 172144082*x^8 - 16277063*x^7 - 23491725*x^6 + 3223105*x^5 + 1661006*x^4 - 205494*x^3 - 59450*x^2 + 4374*x + 880, -x^38 + 14*x^37 - 37*x^36 - 347*x^35 + 2038*x^34 + 1867*x^33 - 35110*x^32 + 33143*x^31 + 318837*x^30 - 661053*x^29 - 1680425*x^28 + 5666499*x^27 + 4663185*x^26 - 29850595*x^25 - 372165*x^24 + 105921794*x^23 - 51978266*x^22 - 261371099*x^21 + 228186271*x^20 + 449616675*x^19 - 553962299*x^18 - 525458332*x^17 + 878435643*x^16 + 385177850*x^15 - 943100156*x^14 - 130675874*x^13 + 680319112*x^12 - 34580395*x^11 - 317289541*x^10 + 53865054*x^9 + 88995194*x^8 - 20615313*x^7 - 13586511*x^6 + 3127134*x^5 + 1129742*x^4 - 200596*x^3 - 48768*x^2 + 4465*x + 834, -x^38 + 14*x^37 - 37*x^36 - 347*x^35 + 2038*x^34 + 1867*x^33 - 35110*x^32 + 33143*x^31 + 318837*x^30 - 661053*x^29 - 1680425*x^28 + 5666499*x^27 + 4663185*x^26 - 29850595*x^25 - 372165*x^24 + 105921794*x^23 - 51978266*x^22 - 261371099*x^21 + 228186271*x^20 + 449616675*x^19 - 553962299*x^18 - 525458332*x^17 + 878435643*x^16 + 385177850*x^15 - 943100156*x^14 - 130675874*x^13 + 680319112*x^12 - 34580395*x^11 - 317289541*x^10 + 53865054*x^9 + 88995194*x^8 - 20615313*x^7 - 13586511*x^6 + 3127134*x^5 + 1129742*x^4 - 200596*x^3 - 48768*x^2 + 4465*x + 834, -x^43 + 11*x^42 + 3*x^41 - 451*x^40 + 1089*x^39 + 7750*x^38 - 32175*x^37 - 67144*x^36 + 470131*x^35 + 199517*x^34 - 4322191*x^33 + 1991021*x^32 + 27200151*x^31 - 29272163*x^30 - 121324967*x^29 + 196089649*x^28 + 385737205*x^27 - 857978158*x^26 - 849867245*x^25 + 2671508220*x^24 + 1158845601*x^23 - 6104529153*x^22 - 449196863*x^21 + 10326938203*x^20 - 1847699882*x^19 - 12871508478*x^18 + 4722343870*x^17 + 11622834276*x^16 - 5982711841*x^15 - 7372712583*x^14 + 4709811724*x^13 + 3126272995*x^12 - 2353295047*x^11 - 823716968*x^10 + 716436815*x^9 + 125575397*x^8 - 123613515*x^7 - 12547760*x^6 + 11784288*x^5 + 970185*x^4 - 578226*x^3 - 52251*x^2 + 11370*x + 1249, -x^43 + 11*x^42 + 3*x^41 - 451*x^40 + 1089*x^39 + 7750*x^38 - 32175*x^37 - 67144*x^36 + 470131*x^35 + 199517*x^34 - 4322191*x^33 + 1991021*x^32 + 27200151*x^31 - 29272163*x^30 - 121324967*x^29 + 196089649*x^28 + 385737205*x^27 - 857978158*x^26 - 849867245*x^25 + 2671508220*x^24 + 1158845601*x^23 - 6104529153*x^22 - 449196863*x^21 + 10326938203*x^20 - 1847699882*x^19 - 12871508478*x^18 + 4722343870*x^17 + 11622834276*x^16 - 5982711841*x^15 - 7372712583*x^14 + 4709811724*x^13 + 3126272995*x^12 - 2353295047*x^11 - 823716968*x^10 + 716436815*x^9 + 125575397*x^8 - 123613515*x^7 - 12547760*x^6 + 11784288*x^5 + 970185*x^4 - 578226*x^3 - 52251*x^2 + 11370*x + 1249, -x^40 + 9*x^39 + 20*x^38 - 407*x^37 + 360*x^36 + 7918*x^35 - 17634*x^34 - 85654*x^33 + 291008*x^32 + 540791*x^31 - 2805145*x^30 - 1678322*x^29 + 17955519*x^28 - 2040628*x^27 - 80378760*x^26 + 47911318*x^25 + 256939370*x^24 - 251698962*x^23 - 586675705*x^22 + 789352213*x^21 + 935547151*x^20 - 1672304476*x^19 - 974412982*x^18 + 2466196297*x^17 + 524061424*x^16 - 2518070745*x^15 + 93018399*x^14 + 1722795716*x^13 - 373739019*x^12 - 736683063*x^11 + 263129929*x^10 + 170827657*x^9 - 83016301*x^8 - 15473152*x^7 + 10727060*x^6 + 391348*x^5 - 644179*x^4 + 9494*x^3 + 18230*x^2 - 252*x - 179, -x^40 + 9*x^39 + 20*x^38 - 407*x^37 + 360*x^36 + 7918*x^35 - 17634*x^34 - 85654*x^33 + 291008*x^32 + 540791*x^31 - 2805145*x^30 - 1678322*x^29 + 17955519*x^28 - 2040628*x^27 - 80378760*x^26 + 47911318*x^25 + 256939370*x^24 - 251698962*x^23 - 586675705*x^22 + 789352213*x^21 + 935547151*x^20 - 1672304476*x^19 - 974412982*x^18 + 2466196297*x^17 + 524061424*x^16 - 2518070745*x^15 + 93018399*x^14 + 1722795716*x^13 - 373739019*x^12 - 736683063*x^11 + 263129929*x^10 + 170827657*x^9 - 83016301*x^8 - 15473152*x^7 + 10727060*x^6 + 391348*x^5 - 644179*x^4 + 9494*x^3 + 18230*x^2 - 252*x - 179, -x^39 + 10*x^38 + 5*x^37 - 362*x^36 + 731*x^35 + 5535*x^34 - 19440*x^33 - 44045*x^32 + 248817*x^31 + 152215*x^30 - 1989793*x^29 + 465882*x^28 + 10872064*x^27 - 8617630*x^26 - 42184899*x^25 + 52557756*x^24 + 117561991*x^23 - 199994712*x^22 - 231986111*x^21 + 530414188*x^20 + 305420489*x^19 - 1014154744*x^18 - 214071319*x^17 + 1404487531*x^16 - 49623213*x^15 - 1388894675*x^14 + 290881490*x^13 + 948838336*x^12 - 317771296*x^11 - 422488171*x^10 + 179224743*x^9 + 111408737*x^8 - 53512489*x^7 - 15297647*x^6 + 7400679*x^5 + 1216836*x^4 - 465000*x^3 - 59440*x^2 + 10790*x + 1370, -x^39 + 10*x^38 + 5*x^37 - 362*x^36 + 731*x^35 + 5535*x^34 - 19440*x^33 - 44045*x^32 + 248817*x^31 + 152215*x^30 - 1989793*x^29 + 465882*x^28 + 10872064*x^27 - 8617630*x^26 - 42184899*x^25 + 52557756*x^24 + 117561991*x^23 - 199994712*x^22 - 231986111*x^21 + 530414188*x^20 + 305420489*x^19 - 1014154744*x^18 - 214071319*x^17 + 1404487531*x^16 - 49623213*x^15 - 1388894675*x^14 + 290881490*x^13 + 948838336*x^12 - 317771296*x^11 - 422488171*x^10 + 179224743*x^9 + 111408737*x^8 - 53512489*x^7 - 15297647*x^6 + 7400679*x^5 + 1216836*x^4 - 465000*x^3 - 59440*x^2 + 10790*x + 1370, x^41 - 10*x^40 - 10*x^39 + 412*x^38 - 717*x^37 - 7233*x^36 + 23120*x^35 + 67850*x^34 - 337375*x^33 - 317109*x^32 + 3023221*x^31 - 97259*x^30 - 18311376*x^29 + 11866808*x^28 + 78029274*x^27 - 87864092*x^26 - 236728253*x^25 + 375084901*x^24 + 504695019*x^23 - 1085367688*x^22 - 715016756*x^21 + 2231610366*x^20 + 545773089*x^19 - 3301343861*x^18 + 99078430*x^17 + 3493819083*x^16 - 779398487*x^15 - 2591533186*x^14 + 943764070*x^13 + 1299574015*x^12 - 610134183*x^11 - 417992734*x^10 + 228498315*x^9 + 81483644*x^8 - 48184297*x^7 - 9686467*x^6 + 5540136*x^5 + 739017*x^4 - 319634*x^3 - 36412*x^2 + 7201*x + 873, x^41 - 10*x^40 - 10*x^39 + 412*x^38 - 717*x^37 - 7233*x^36 + 23120*x^35 + 67850*x^34 - 337375*x^33 - 317109*x^32 + 3023221*x^31 - 97259*x^30 - 18311376*x^29 + 11866808*x^28 + 78029274*x^27 - 87864092*x^26 - 236728253*x^25 + 375084901*x^24 + 504695019*x^23 - 1085367688*x^22 - 715016756*x^21 + 2231610366*x^20 + 545773089*x^19 - 3301343861*x^18 + 99078430*x^17 + 3493819083*x^16 - 779398487*x^15 - 2591533186*x^14 + 943764070*x^13 + 1299574015*x^12 - 610134183*x^11 - 417992734*x^10 + 228498315*x^9 + 81483644*x^8 - 48184297*x^7 - 9686467*x^6 + 5540136*x^5 + 739017*x^4 - 319634*x^3 - 36412*x^2 + 7201*x + 873, x^39 - 8*x^38 - 25*x^37 + 355*x^36 - 46*x^35 - 6929*x^34 + 9525*x^33 + 77912*x^32 - 172626*x^31 - 551756*x^30 + 1696559*x^29 + 2483693*x^28 - 10868331*x^27 - 6362535*x^26 + 48489625*x^25 + 2537637*x^24 - 155080648*x^23 + 48193696*x^22 + 359040280*x^21 - 209455173*x^20 - 599114864*x^19 + 486283795*x^18 + 706388288*x^17 - 730814278*x^16 - 562733988*x^15 + 737613327*x^14 + 272597100*x^13 - 494279778*x^12 - 54011464*x^11 + 209867442*x^10 - 14584401*x^9 - 51576043*x^8 + 9871833*x^7 + 6411197*x^6 - 1635519*x^5 - 442117*x^4 + 112215*x^3 + 18406*x^2 - 2784*x - 393, x^39 - 8*x^38 - 25*x^37 + 355*x^36 - 46*x^35 - 6929*x^34 + 9525*x^33 + 77912*x^32 - 172626*x^31 - 551756*x^30 + 1696559*x^29 + 2483693*x^28 - 10868331*x^27 - 6362535*x^26 + 48489625*x^25 + 2537637*x^24 - 155080648*x^23 + 48193696*x^22 + 359040280*x^21 - 209455173*x^20 - 599114864*x^19 + 486283795*x^18 + 706388288*x^17 - 730814278*x^16 - 562733988*x^15 + 737613327*x^14 + 272597100*x^13 - 494279778*x^12 - 54011464*x^11 + 209867442*x^10 - 14584401*x^9 - 51576043*x^8 + 9871833*x^7 + 6411197*x^6 - 1635519*x^5 - 442117*x^4 + 112215*x^3 + 18406*x^2 - 2784*x - 393, -2*x^39 + 21*x^38 + 3*x^37 - 753*x^36 + 1769*x^35 + 11215*x^34 - 44667*x^33 - 83138*x^32 + 558751*x^31 + 201813*x^30 - 4369265*x^29 + 1890294*x^28 + 23188280*x^27 - 22571648*x^26 - 86435392*x^25 + 123598265*x^24 + 227913967*x^23 - 436177343*x^22 - 416535353*x^21 + 1075072537*x^20 + 489459343*x^19 - 1899739350*x^18 - 268235666*x^17 + 2414577163*x^16 - 164127962*x^15 - 2180499861*x^14 + 458350153*x^13 + 1361013445*x^12 - 414890439*x^11 - 560320506*x^10 + 202194668*x^9 + 141587546*x^8 - 53557463*x^7 - 20097206*x^6 + 6926242*x^5 + 1607022*x^4 - 408314*x^3 - 70318*x^2 + 8727*x + 1309, -2*x^39 + 21*x^38 + 3*x^37 - 753*x^36 + 1769*x^35 + 11215*x^34 - 44667*x^33 - 83138*x^32 + 558751*x^31 + 201813*x^30 - 4369265*x^29 + 1890294*x^28 + 23188280*x^27 - 22571648*x^26 - 86435392*x^25 + 123598265*x^24 + 227913967*x^23 - 436177343*x^22 - 416535353*x^21 + 1075072537*x^20 + 489459343*x^19 - 1899739350*x^18 - 268235666*x^17 + 2414577163*x^16 - 164127962*x^15 - 2180499861*x^14 + 458350153*x^13 + 1361013445*x^12 - 414890439*x^11 - 560320506*x^10 + 202194668*x^9 + 141587546*x^8 - 53557463*x^7 - 20097206*x^6 + 6926242*x^5 + 1607022*x^4 - 408314*x^3 - 70318*x^2 + 8727*x + 1309, x^39 - 9*x^38 - 18*x^37 + 388*x^36 - 379*x^35 - 7206*x^34 + 16486*x^33 + 74329*x^32 - 257297*x^31 - 445090*x^30 + 2364098*x^29 + 1278466*x^28 - 14456603*x^27 + 1935413*x^26 + 61913440*x^25 - 36412391*x^24 - 189868868*x^23 + 178787555*x^22 + 418816850*x^21 - 529139988*x^20 - 656520760*x^19 + 1062374996*x^18 + 704866818*x^17 - 1493369710*x^16 - 470101796*x^15 + 1469410553*x^14 + 129222699*x^13 - 989903400*x^12 + 63630656*x^11 + 435962002*x^10 - 71429642*x^9 - 116018195*x^8 + 25150213*x^7 + 16725965*x^6 - 3552889*x^5 - 1305224*x^4 + 211577*x^3 + 52403*x^2 - 4356*x - 829, x^39 - 9*x^38 - 18*x^37 + 388*x^36 - 379*x^35 - 7206*x^34 + 16486*x^33 + 74329*x^32 - 257297*x^31 - 445090*x^30 + 2364098*x^29 + 1278466*x^28 - 14456603*x^27 + 1935413*x^26 + 61913440*x^25 - 36412391*x^24 - 189868868*x^23 + 178787555*x^22 + 418816850*x^21 - 529139988*x^20 - 656520760*x^19 + 1062374996*x^18 + 704866818*x^17 - 1493369710*x^16 - 470101796*x^15 + 1469410553*x^14 + 129222699*x^13 - 989903400*x^12 + 63630656*x^11 + 435962002*x^10 - 71429642*x^9 - 116018195*x^8 + 25150213*x^7 + 16725965*x^6 - 3552889*x^5 - 1305224*x^4 + 211577*x^3 + 52403*x^2 - 4356*x - 829, -x^42 + 11*x^41 + x^40 - 429*x^39 + 1087*x^38 + 6936*x^37 - 30011*x^36 - 54834*x^35 + 414406*x^34 + 112305*x^33 - 3598531*x^32 + 2069458*x^31 + 21310592*x^30 - 25134078*x^29 - 88884120*x^28 + 153889271*x^27 + 261360151*x^26 - 624785403*x^25 - 520011748*x^24 + 1809876160*x^23 + 589249366*x^22 - 3840318338*x^21 + 35172088*x^20 + 6001195279*x^19 - 1500774616*x^18 - 6842090694*x^17 + 2996201682*x^16 + 5548944457*x^15 - 3331143553*x^14 - 3045822229*x^13 + 2337203648*x^12 + 1023243510*x^11 - 1027453423*x^10 - 160865629*x^9 + 263417340*x^8 - 2891376*x^7 - 34720000*x^6 + 2853892*x^5 + 2369549*x^4 - 233361*x^3 - 82853*x^2 + 5878*x + 1264, -x^42 + 11*x^41 + x^40 - 429*x^39 + 1087*x^38 + 6936*x^37 - 30011*x^36 - 54834*x^35 + 414406*x^34 + 112305*x^33 - 3598531*x^32 + 2069458*x^31 + 21310592*x^30 - 25134078*x^29 - 88884120*x^28 + 153889271*x^27 + 261360151*x^26 - 624785403*x^25 - 520011748*x^24 + 1809876160*x^23 + 589249366*x^22 - 3840318338*x^21 + 35172088*x^20 + 6001195279*x^19 - 1500774616*x^18 - 6842090694*x^17 + 2996201682*x^16 + 5548944457*x^15 - 3331143553*x^14 - 3045822229*x^13 + 2337203648*x^12 + 1023243510*x^11 - 1027453423*x^10 - 160865629*x^9 + 263417340*x^8 - 2891376*x^7 - 34720000*x^6 + 2853892*x^5 + 2369549*x^4 - 233361*x^3 - 82853*x^2 + 5878*x + 1264, -x^42 + 11*x^41 + x^40 - 430*x^39 + 1099*x^38 + 6919*x^37 - 30360*x^36 - 53398*x^35 + 417731*x^34 + 84344*x^33 - 3594633*x^32 + 2350601*x^31 + 20934359*x^30 - 26800174*x^29 - 84877496*x^28 + 159505606*x^27 + 237735733*x^26 - 630803968*x^25 - 429867161*x^24 + 1772676185*x^23 + 358317235*x^22 - 3624131797*x^21 + 424180629*x^20 + 5409824129*x^19 - 1882793728*x^18 - 5833331892*x^17 + 3084361944*x^16 + 4427194653*x^15 - 3033435421*x^14 - 2253343186*x^13 + 1905279744*x^12 + 701795645*x^11 - 750039440*x^10 - 107976726*x^9 + 173700317*x^8 + 2092720*x^7 - 21692799*x^6 + 995675*x^5 + 1453243*x^4 - 84983*x^3 - 49123*x^2 + 1904*x + 624, -x^42 + 11*x^41 + x^40 - 430*x^39 + 1099*x^38 + 6919*x^37 - 30360*x^36 - 53398*x^35 + 417731*x^34 + 84344*x^33 - 3594633*x^32 + 2350601*x^31 + 20934359*x^30 - 26800174*x^29 - 84877496*x^28 + 159505606*x^27 + 237735733*x^26 - 630803968*x^25 - 429867161*x^24 + 1772676185*x^23 + 358317235*x^22 - 3624131797*x^21 + 424180629*x^20 + 5409824129*x^19 - 1882793728*x^18 - 5833331892*x^17 + 3084361944*x^16 + 4427194653*x^15 - 3033435421*x^14 - 2253343186*x^13 + 1905279744*x^12 + 701795645*x^11 - 750039440*x^10 - 107976726*x^9 + 173700317*x^8 + 2092720*x^7 - 21692799*x^6 + 995675*x^5 + 1453243*x^4 - 84983*x^3 - 49123*x^2 + 1904*x + 624, -x^41 + 10*x^40 + 10*x^39 - 411*x^38 + 708*x^37 + 7220*x^36 - 22780*x^35 - 68260*x^34 + 331837*x^33 + 330527*x^32 - 2973098*x^31 - 81706*x^30 + 18047508*x^29 - 10430988*x^28 - 77352965*x^27 + 80112013*x^26 + 237468986*x^25 - 345423664*x^24 - 518351455*x^23 + 1002625768*x^22 + 774267298*x^21 - 2060512286*x^20 - 700784506*x^19 + 3036735147*x^18 + 179528437*x^17 - 3187607158*x^16 + 420816210*x^15 + 2329940118*x^14 - 610476904*x^13 - 1141024374*x^12 + 390516351*x^11 + 355628933*x^10 - 131280578*x^9 - 68429647*x^8 + 22254369*x^7 + 8873937*x^6 - 2091802*x^5 - 704779*x^4 + 104285*x^3 + 28796*x^2 - 2097*x - 445, -x^41 + 10*x^40 + 10*x^39 - 411*x^38 + 708*x^37 + 7220*x^36 - 22780*x^35 - 68260*x^34 + 331837*x^33 + 330527*x^32 - 2973098*x^31 - 81706*x^30 + 18047508*x^29 - 10430988*x^28 - 77352965*x^27 + 80112013*x^26 + 237468986*x^25 - 345423664*x^24 - 518351455*x^23 + 1002625768*x^22 + 774267298*x^21 - 2060512286*x^20 - 700784506*x^19 + 3036735147*x^18 + 179528437*x^17 - 3187607158*x^16 + 420816210*x^15 + 2329940118*x^14 - 610476904*x^13 - 1141024374*x^12 + 390516351*x^11 + 355628933*x^10 - 131280578*x^9 - 68429647*x^8 + 22254369*x^7 + 8873937*x^6 - 2091802*x^5 - 704779*x^4 + 104285*x^3 + 28796*x^2 - 2097*x - 445, -x^39 + 7*x^38 + 40*x^37 - 401*x^36 - 321*x^35 + 9365*x^34 - 7959*x^33 - 120683*x^32 + 221054*x^31 + 953693*x^30 - 2605122*x^29 - 4706638*x^28 + 18847834*x^27 + 13020930*x^26 - 92544259*x^25 - 4813083*x^24 + 321311987*x^23 - 120435399*x^22 - 801000897*x^21 + 560523653*x^20 + 1430212337*x^19 - 1410264937*x^18 - 1789789908*x^17 + 2313525816*x^16 + 1486182963*x^15 - 2568099103*x^14 - 705649854*x^13 + 1908912028*x^12 + 74338804*x^11 - 908624855*x^10 + 105821857*x^9 + 254193814*x^8 - 53439958*x^7 - 36819050*x^6 + 8668148*x^5 + 2860902*x^4 - 580923*x^3 - 120290*x^2 + 13973*x + 2262, -x^39 + 7*x^38 + 40*x^37 - 401*x^36 - 321*x^35 + 9365*x^34 - 7959*x^33 - 120683*x^32 + 221054*x^31 + 953693*x^30 - 2605122*x^29 - 4706638*x^28 + 18847834*x^27 + 13020930*x^26 - 92544259*x^25 - 4813083*x^24 + 321311987*x^23 - 120435399*x^22 - 801000897*x^21 + 560523653*x^20 + 1430212337*x^19 - 1410264937*x^18 - 1789789908*x^17 + 2313525816*x^16 + 1486182963*x^15 - 2568099103*x^14 - 705649854*x^13 + 1908912028*x^12 + 74338804*x^11 - 908624855*x^10 + 105821857*x^9 + 254193814*x^8 - 53439958*x^7 - 36819050*x^6 + 8668148*x^5 + 2860902*x^4 - 580923*x^3 - 120290*x^2 + 13973*x + 2262, -2*x^38 + 21*x^37 - 6*x^36 - 663*x^35 + 1784*x^34 + 8265*x^33 - 38085*x^32 - 43501*x^31 + 408301*x^30 - 57458*x^29 - 2690816*x^28 + 2383935*x^27 + 11654356*x^26 - 17271988*x^25 - 33533550*x^24 + 72079534*x^23 + 60846757*x^22 - 199880451*x^21 - 52677856*x^20 + 384265580*x^19 - 39642662*x^18 - 515764045*x^17 + 189878659*x^16 + 474709312*x^15 - 281178536*x^14 - 284430893*x^13 + 237961085*x^12 + 97008351*x^11 - 122110665*x^10 - 10258426*x^9 + 36316093*x^8 - 3697807*x^7 - 5638135*x^6 + 1036682*x^5 + 464793*x^4 - 89308*x^3 - 21012*x^2 + 2635*x + 447, -2*x^38 + 21*x^37 - 6*x^36 - 663*x^35 + 1784*x^34 + 8265*x^33 - 38085*x^32 - 43501*x^31 + 408301*x^30 - 57458*x^29 - 2690816*x^28 + 2383935*x^27 + 11654356*x^26 - 17271988*x^25 - 33533550*x^24 + 72079534*x^23 + 60846757*x^22 - 199880451*x^21 - 52677856*x^20 + 384265580*x^19 - 39642662*x^18 - 515764045*x^17 + 189878659*x^16 + 474709312*x^15 - 281178536*x^14 - 284430893*x^13 + 237961085*x^12 + 97008351*x^11 - 122110665*x^10 - 10258426*x^9 + 36316093*x^8 - 3697807*x^7 - 5638135*x^6 + 1036682*x^5 + 464793*x^4 - 89308*x^3 - 21012*x^2 + 2635*x + 447, x^39 - 8*x^38 - 26*x^37 + 363*x^36 - 23*x^35 - 7268*x^34 + 9608*x^33 + 84241*x^32 - 181885*x^31 - 619663*x^30 + 1853925*x^29 + 2938051*x^28 - 12342444*x^27 - 8240291*x^26 + 57488999*x^25 + 6470556*x^24 - 193084114*x^23 + 51255578*x^22 + 472659850*x^21 - 259587989*x^20 - 840440660*x^19 + 660347150*x^18 + 1065951478*x^17 - 1079190919*x^16 - 926627887*x^15 + 1185986646*x^14 + 506629547*x^13 - 868839116*x^12 - 135724891*x^11 + 405723562*x^10 - 7089908*x^9 - 110696206*x^8 + 12816427*x^7 + 15445009*x^6 - 2029703*x^5 - 1106674*x^4 + 111685*x^3 + 38260*x^2 - 1983*x - 487, x^39 - 8*x^38 - 26*x^37 + 363*x^36 - 23*x^35 - 7268*x^34 + 9608*x^33 + 84241*x^32 - 181885*x^31 - 619663*x^30 + 1853925*x^29 + 2938051*x^28 - 12342444*x^27 - 8240291*x^26 + 57488999*x^25 + 6470556*x^24 - 193084114*x^23 + 51255578*x^22 + 472659850*x^21 - 259587989*x^20 - 840440660*x^19 + 660347150*x^18 + 1065951478*x^17 - 1079190919*x^16 - 926627887*x^15 + 1185986646*x^14 + 506629547*x^13 - 868839116*x^12 - 135724891*x^11 + 405723562*x^10 - 7089908*x^9 - 110696206*x^8 + 12816427*x^7 + 15445009*x^6 - 2029703*x^5 - 1106674*x^4 + 111685*x^3 + 38260*x^2 - 1983*x - 487, -x^40 + 11*x^39 - 4*x^38 - 376*x^37 + 1087*x^36 + 5070*x^35 - 25346*x^34 - 27948*x^33 + 299864*x^32 - 71242*x^31 - 2194071*x^30 + 2289870*x^29 + 10576530*x^28 - 18267561*x^27 - 33667764*x^26 + 86389144*x^25 + 65130710*x^24 - 275444453*x^23 - 43639459*x^22 + 615767019*x^21 - 141978386*x^20 - 971078232*x^19 + 508854423*x^18 + 1061461196*x^17 - 835391875*x^16 - 765050679*x^15 + 837745093*x^14 + 319054685*x^13 - 532139262*x^12 - 40230291*x^11 + 207145212*x^10 - 24407308*x^9 - 45421205*x^8 + 11115043*x^7 + 5000805*x^6 - 1604352*x^5 - 309295*x^4 + 102406*x^3 + 13119*x^2 - 2573*x - 329, -x^40 + 11*x^39 - 4*x^38 - 376*x^37 + 1087*x^36 + 5070*x^35 - 25346*x^34 - 27948*x^33 + 299864*x^32 - 71242*x^31 - 2194071*x^30 + 2289870*x^29 + 10576530*x^28 - 18267561*x^27 - 33667764*x^26 + 86389144*x^25 + 65130710*x^24 - 275444453*x^23 - 43639459*x^22 + 615767019*x^21 - 141978386*x^20 - 971078232*x^19 + 508854423*x^18 + 1061461196*x^17 - 835391875*x^16 - 765050679*x^15 + 837745093*x^14 + 319054685*x^13 - 532139262*x^12 - 40230291*x^11 + 207145212*x^10 - 24407308*x^9 - 45421205*x^8 + 11115043*x^7 + 5000805*x^6 - 1604352*x^5 - 309295*x^4 + 102406*x^3 + 13119*x^2 - 2573*x - 329, -x^40 + 10*x^39 + 8*x^38 - 391*x^37 + 719*x^36 + 6492*x^35 - 21359*x^34 - 57057*x^33 + 293997*x^32 + 239912*x^31 - 2494031*x^30 + 261477*x^29 + 14292175*x^28 - 9970586*x^27 - 57430813*x^26 + 67059716*x^25 + 163155422*x^24 - 266654684*x^23 - 320917628*x^22 + 720676617*x^21 + 403251458*x^20 - 1378277793*x^19 - 223127790*x^18 + 1878574299*x^17 - 207171730*x^16 - 1800627032*x^15 + 563705216*x^14 + 1172634634*x^13 - 563070289*x^12 - 485509820*x^11 + 312338997*x^10 + 112129800*x^9 - 97131452*x^8 - 10596936*x^7 + 15511948*x^6 + 84240*x^5 - 1228761*x^4 + 27872*x^3 + 44376*x^2 - 583*x - 505, -x^40 + 10*x^39 + 8*x^38 - 391*x^37 + 719*x^36 + 6492*x^35 - 21359*x^34 - 57057*x^33 + 293997*x^32 + 239912*x^31 - 2494031*x^30 + 261477*x^29 + 14292175*x^28 - 9970586*x^27 - 57430813*x^26 + 67059716*x^25 + 163155422*x^24 - 266654684*x^23 - 320917628*x^22 + 720676617*x^21 + 403251458*x^20 - 1378277793*x^19 - 223127790*x^18 + 1878574299*x^17 - 207171730*x^16 - 1800627032*x^15 + 563705216*x^14 + 1172634634*x^13 - 563070289*x^12 - 485509820*x^11 + 312338997*x^10 + 112129800*x^9 - 97131452*x^8 - 10596936*x^7 + 15511948*x^6 + 84240*x^5 - 1228761*x^4 + 27872*x^3 + 44376*x^2 - 583*x - 505, x^40 - 10*x^39 - 8*x^38 + 392*x^37 - 730*x^36 - 6480*x^35 + 21654*x^34 + 55976*x^33 - 296516*x^32 - 220936*x^31 + 2490351*x^30 - 424579*x^29 - 14054644*x^28 + 10725517*x^27 + 55314842*x^26 - 68475236*x^25 - 153084312*x^24 + 262734629*x^23 + 292007561*x^22 - 686585739*x^21 - 355567043*x^20 + 1269279081*x^19 + 196454121*x^18 - 1672778196*x^17 + 144832271*x^16 + 1554334499*x^15 - 397087698*x^14 - 988450225*x^13 + 373214944*x^12 + 406911741*x^11 - 190102103*x^10 - 98453607*x^9 + 52173214*x^8 + 12191065*x^7 - 6692343*x^6 - 879469*x^5 + 387059*x^4 + 41422*x^3 - 7991*x^2 - 938*x - 5, x^40 - 10*x^39 - 8*x^38 + 392*x^37 - 730*x^36 - 6480*x^35 + 21654*x^34 + 55976*x^33 - 296516*x^32 - 220936*x^31 + 2490351*x^30 - 424579*x^29 - 14054644*x^28 + 10725517*x^27 + 55314842*x^26 - 68475236*x^25 - 153084312*x^24 + 262734629*x^23 + 292007561*x^22 - 686585739*x^21 - 355567043*x^20 + 1269279081*x^19 + 196454121*x^18 - 1672778196*x^17 + 144832271*x^16 + 1554334499*x^15 - 397087698*x^14 - 988450225*x^13 + 373214944*x^12 + 406911741*x^11 - 190102103*x^10 - 98453607*x^9 + 52173214*x^8 + 12191065*x^7 - 6692343*x^6 - 879469*x^5 + 387059*x^4 + 41422*x^3 - 7991*x^2 - 938*x - 5, x^42 - 10*x^41 - 12*x^40 + 431*x^39 - 690*x^38 - 8024*x^37 + 24225*x^36 + 81989*x^35 - 376580*x^34 - 454919*x^33 + 3607512*x^32 + 627801*x^31 - 23578911*x^30 + 10896741*x^29 + 109920635*x^28 - 102553402*x^27 - 372006408*x^26 + 502261599*x^25 + 911825969*x^24 - 1645934738*x^23 - 1573185821*x^22 + 3851061511*x^21 + 1744294540*x^20 - 6560547692*x^19 - 805525454*x^18 + 8123550747*x^17 - 904520207*x^16 - 7178153422*x^15 + 2070119663*x^14 + 4356702502*x^13 - 1884955336*x^12 - 1693897425*x^11 + 958921350*x^10 + 369519493*x^9 - 269135967*x^8 - 34107136*x^7 + 36977153*x^6 + 938051*x^5 - 2480519*x^4 + 14828*x^3 + 75577*x^2 - 416*x - 761, x^42 - 10*x^41 - 12*x^40 + 431*x^39 - 690*x^38 - 8024*x^37 + 24225*x^36 + 81989*x^35 - 376580*x^34 - 454919*x^33 + 3607512*x^32 + 627801*x^31 - 23578911*x^30 + 10896741*x^29 + 109920635*x^28 - 102553402*x^27 - 372006408*x^26 + 502261599*x^25 + 911825969*x^24 - 1645934738*x^23 - 1573185821*x^22 + 3851061511*x^21 + 1744294540*x^20 - 6560547692*x^19 - 805525454*x^18 + 8123550747*x^17 - 904520207*x^16 - 7178153422*x^15 + 2070119663*x^14 + 4356702502*x^13 - 1884955336*x^12 - 1693897425*x^11 + 958921350*x^10 + 369519493*x^9 - 269135967*x^8 - 34107136*x^7 + 36977153*x^6 + 938051*x^5 - 2480519*x^4 + 14828*x^3 + 75577*x^2 - 416*x - 761, -x^41 + 11*x^40 - x^39 - 407*x^38 + 1084*x^37 + 6136*x^36 - 27880*x^35 - 42912*x^34 + 360704*x^33 + 28433*x^32 - 2913066*x^31 + 2158956*x^30 + 15818210*x^29 - 21486953*x^28 - 59079726*x^27 + 116789621*x^26 + 148833645*x^25 - 422927936*x^24 - 226784243*x^23 + 1080160100*x^22 + 94912929*x^21 - 1978604642*x^20 + 433861457*x^19 + 2587735857*x^18 - 1170255599*x^17 - 2359834446*x^16 + 1538609548*x^15 + 1425908756*x^14 - 1226979156*x^13 - 512022452*x^12 + 599391093*x^11 + 79301321*x^10 - 168005875*x^9 + 4737723*x^8 + 23962128*x^7 - 2047085*x^6 - 1772415*x^5 + 140187*x^4 + 68555*x^3 - 1903*x^2 - 1230*x - 58, -x^41 + 11*x^40 - x^39 - 407*x^38 + 1084*x^37 + 6136*x^36 - 27880*x^35 - 42912*x^34 + 360704*x^33 + 28433*x^32 - 2913066*x^31 + 2158956*x^30 + 15818210*x^29 - 21486953*x^28 - 59079726*x^27 + 116789621*x^26 + 148833645*x^25 - 422927936*x^24 - 226784243*x^23 + 1080160100*x^22 + 94912929*x^21 - 1978604642*x^20 + 433861457*x^19 + 2587735857*x^18 - 1170255599*x^17 - 2359834446*x^16 + 1538609548*x^15 + 1425908756*x^14 - 1226979156*x^13 - 512022452*x^12 + 599391093*x^11 + 79301321*x^10 - 168005875*x^9 + 4737723*x^8 + 23962128*x^7 - 2047085*x^6 - 1772415*x^5 + 140187*x^4 + 68555*x^3 - 1903*x^2 - 1230*x - 58, -x^41 + 11*x^40 - x^39 - 407*x^38 + 1080*x^37 + 6174*x^36 - 27845*x^35 - 44300*x^34 + 362956*x^33 + 50004*x^32 - 2976493*x^31 + 1979129*x^30 + 16622637*x^29 - 20713425*x^28 - 65297328*x^27 + 116403134*x^26 + 181021852*x^25 - 438704124*x^24 - 342811992*x^23 + 1184050715*x^22 + 389456022*x^21 - 2347138282*x^20 - 86936191*x^19 + 3441681927*x^18 - 555886589*x^17 - 3714055373*x^16 + 1112958740*x^15 + 2900981598*x^14 - 1145628920*x^13 - 1591007033*x^12 + 726450531*x^11 + 583550018*x^10 - 285013600*x^9 - 133204496*x^8 + 64931387*x^7 + 17448737*x^6 - 7642324*x^5 - 1343733*x^4 + 426818*x^3 + 60032*x^2 - 8876*x - 1191, -x^41 + 11*x^40 - x^39 - 407*x^38 + 1080*x^37 + 6174*x^36 - 27845*x^35 - 44300*x^34 + 362956*x^33 + 50004*x^32 - 2976493*x^31 + 1979129*x^30 + 16622637*x^29 - 20713425*x^28 - 65297328*x^27 + 116403134*x^26 + 181021852*x^25 - 438704124*x^24 - 342811992*x^23 + 1184050715*x^22 + 389456022*x^21 - 2347138282*x^20 - 86936191*x^19 + 3441681927*x^18 - 555886589*x^17 - 3714055373*x^16 + 1112958740*x^15 + 2900981598*x^14 - 1145628920*x^13 - 1591007033*x^12 + 726450531*x^11 + 583550018*x^10 - 285013600*x^9 - 133204496*x^8 + 64931387*x^7 + 17448737*x^6 - 7642324*x^5 - 1343733*x^4 + 426818*x^3 + 60032*x^2 - 8876*x - 1191, -x^41 + 11*x^40 - 420*x^38 + 1107*x^37 + 6526*x^36 - 29620*x^35 - 46913*x^34 + 395721*x^33 + 29053*x^32 - 3292694*x^31 + 2553695*x^30 + 18399963*x^29 - 26153055*x^28 - 70648507*x^27 + 147062177*x^26 + 182531098*x^25 - 553408371*x^24 - 282176911*x^23 + 1477771588*x^22 + 99110194*x^21 - 2856601788*x^20 + 665690660*x^19 + 4001441439*x^18 - 1817510363*x^17 - 4008032465*x^16 + 2528460210*x^15 + 2789429279*x^14 - 2194055076*x^13 - 1283452976*x^12 + 1212739256*x^11 + 360111309*x^10 - 411455920*x^9 - 55053030*x^8 + 79666347*x^7 + 4669498*x^6 - 8239243*x^5 - 350389*x^4 + 424818*x^3 + 25359*x^2 - 8649*x - 804, -x^41 + 11*x^40 - 420*x^38 + 1107*x^37 + 6526*x^36 - 29620*x^35 - 46913*x^34 + 395721*x^33 + 29053*x^32 - 3292694*x^31 + 2553695*x^30 + 18399963*x^29 - 26153055*x^28 - 70648507*x^27 + 147062177*x^26 + 182531098*x^25 - 553408371*x^24 - 282176911*x^23 + 1477771588*x^22 + 99110194*x^21 - 2856601788*x^20 + 665690660*x^19 + 4001441439*x^18 - 1817510363*x^17 - 4008032465*x^16 + 2528460210*x^15 + 2789429279*x^14 - 2194055076*x^13 - 1283452976*x^12 + 1212739256*x^11 + 360111309*x^10 - 411455920*x^9 - 55053030*x^8 + 79666347*x^7 + 4669498*x^6 - 8239243*x^5 - 350389*x^4 + 424818*x^3 + 25359*x^2 - 8649*x - 804, -x^38 + 5*x^37 + 50*x^36 - 301*x^35 - 923*x^34 + 7519*x^33 + 7079*x^32 - 106525*x^31 + 8004*x^30 + 969701*x^29 - 665720*x^28 - 6038078*x^27 + 6771678*x^26 + 26564286*x^25 - 39415687*x^24 - 83644457*x^23 + 154023073*x^22 + 187610747*x^21 - 425779403*x^20 - 291035153*x^19 + 848142031*x^18 + 286019125*x^17 - 1217751658*x^16 - 121977500*x^15 + 1242227963*x^14 - 83643177*x^13 - 872936208*x^12 + 163039612*x^11 + 400418028*x^10 - 107788799*x^9 - 109755741*x^8 + 34682332*x^7 + 15924706*x^6 - 4969638*x^5 - 1271128*x^4 + 318646*x^3 + 56369*x^2 - 7552*x - 1131, -x^38 + 5*x^37 + 50*x^36 - 301*x^35 - 923*x^34 + 7519*x^33 + 7079*x^32 - 106525*x^31 + 8004*x^30 + 969701*x^29 - 665720*x^28 - 6038078*x^27 + 6771678*x^26 + 26564286*x^25 - 39415687*x^24 - 83644457*x^23 + 154023073*x^22 + 187610747*x^21 - 425779403*x^20 - 291035153*x^19 + 848142031*x^18 + 286019125*x^17 - 1217751658*x^16 - 121977500*x^15 + 1242227963*x^14 - 83643177*x^13 - 872936208*x^12 + 163039612*x^11 + 400418028*x^10 - 107788799*x^9 - 109755741*x^8 + 34682332*x^7 + 15924706*x^6 - 4969638*x^5 - 1271128*x^4 + 318646*x^3 + 56369*x^2 - 7552*x - 1131, -2*x^39 + 21*x^38 + x^37 - 731*x^36 + 1748*x^35 + 10598*x^34 - 42548*x^33 - 77033*x^32 + 519427*x^31 + 192019*x^30 - 3998017*x^29 + 1558035*x^28 + 21099636*x^27 - 18937177*x^26 - 79288687*x^25 + 103788304*x^24 + 214908020*x^23 - 368348265*x^22 - 416439307*x^21 + 920444589*x^20 + 553074692*x^19 - 1663518957*x^18 - 438689606*x^17 + 2179873197*x^16 + 71949142*x^15 - 2040896216*x^14 + 269759489*x^13 + 1321014031*x^12 - 334981404*x^11 - 557726100*x^10 + 191154956*x^9 + 139332084*x^8 - 56028230*x^7 - 17983618*x^6 + 7439192*x^5 + 1334384*x^4 - 448430*x^3 - 60626*x^2 + 10066*x + 1310, -2*x^39 + 21*x^38 + x^37 - 731*x^36 + 1748*x^35 + 10598*x^34 - 42548*x^33 - 77033*x^32 + 519427*x^31 + 192019*x^30 - 3998017*x^29 + 1558035*x^28 + 21099636*x^27 - 18937177*x^26 - 79288687*x^25 + 103788304*x^24 + 214908020*x^23 - 368348265*x^22 - 416439307*x^21 + 920444589*x^20 + 553074692*x^19 - 1663518957*x^18 - 438689606*x^17 + 2179873197*x^16 + 71949142*x^15 - 2040896216*x^14 + 269759489*x^13 + 1321014031*x^12 - 334981404*x^11 - 557726100*x^10 + 191154956*x^9 + 139332084*x^8 - 56028230*x^7 - 17983618*x^6 + 7439192*x^5 + 1334384*x^4 - 448430*x^3 - 60626*x^2 + 10066*x + 1310, x^38 - 15*x^37 + 50*x^36 + 323*x^35 - 2407*x^34 - 220*x^33 + 38652*x^32 - 64187*x^31 - 318601*x^30 + 975819*x^29 + 1362483*x^28 - 7658992*x^27 - 1212016*x^26 + 38107099*x^25 - 20139628*x^24 - 127973800*x^23 + 132220614*x^22 + 294207310*x^21 - 447136121*x^20 - 451394422*x^19 + 978872080*x^18 + 415219598*x^17 - 1464205750*x^16 - 120469638*x^15 + 1505890834*x^14 - 208059910*x^13 - 1041593282*x^12 + 300075511*x^11 + 459866565*x^10 - 180306377*x^9 - 117838537*x^8 + 54247473*x^7 + 15290212*x^6 - 7342673*x^5 - 1145261*x^4 + 449373*x^3 + 54362*x^2 - 10163*x - 1252, x^38 - 15*x^37 + 50*x^36 + 323*x^35 - 2407*x^34 - 220*x^33 + 38652*x^32 - 64187*x^31 - 318601*x^30 + 975819*x^29 + 1362483*x^28 - 7658992*x^27 - 1212016*x^26 + 38107099*x^25 - 20139628*x^24 - 127973800*x^23 + 132220614*x^22 + 294207310*x^21 - 447136121*x^20 - 451394422*x^19 + 978872080*x^18 + 415219598*x^17 - 1464205750*x^16 - 120469638*x^15 + 1505890834*x^14 - 208059910*x^13 - 1041593282*x^12 + 300075511*x^11 + 459866565*x^10 - 180306377*x^9 - 117838537*x^8 + 54247473*x^7 + 15290212*x^6 - 7342673*x^5 - 1145261*x^4 + 449373*x^3 + 54362*x^2 - 10163*x - 1252, -x^39 + 10*x^38 + 4*x^37 - 351*x^36 + 730*x^35 + 5137*x^34 - 18425*x^33 - 38108*x^32 + 223671*x^31 + 108928*x^30 - 1676842*x^29 + 555570*x^28 + 8441284*x^27 - 7442342*x^26 - 29455750*x^25 + 39661406*x^24 + 71258566*x^23 - 132106353*x^22 - 114899055*x^21 + 300987513*x^20 + 106331271*x^19 - 480481381*x^18 - 11269620*x^17 + 534427531*x^16 - 111085685*x^15 - 401427052*x^14 + 155139505*x^13 + 189763297*x^12 - 104414880*x^11 - 47636820*x^10 + 37397727*x^9 + 2731993*x^8 - 6373119*x^7 + 1044117*x^6 + 406787*x^5 - 160883*x^4 - 5385*x^3 + 7713*x^2 - 180*x - 118, -x^39 + 10*x^38 + 4*x^37 - 351*x^36 + 730*x^35 + 5137*x^34 - 18425*x^33 - 38108*x^32 + 223671*x^31 + 108928*x^30 - 1676842*x^29 + 555570*x^28 + 8441284*x^27 - 7442342*x^26 - 29455750*x^25 + 39661406*x^24 + 71258566*x^23 - 132106353*x^22 - 114899055*x^21 + 300987513*x^20 + 106331271*x^19 - 480481381*x^18 - 11269620*x^17 + 534427531*x^16 - 111085685*x^15 - 401427052*x^14 + 155139505*x^13 + 189763297*x^12 - 104414880*x^11 - 47636820*x^10 + 37397727*x^9 + 2731993*x^8 - 6373119*x^7 + 1044117*x^6 + 406787*x^5 - 160883*x^4 - 5385*x^3 + 7713*x^2 - 180*x - 118, x^40 - 10*x^39 - 10*x^38 + 414*x^37 - 741*x^36 - 7199*x^35 + 23805*x^34 + 65108*x^33 - 344038*x^32 - 265152*x^31 + 3025344*x^30 - 612433*x^29 - 17764188*x^28 + 14970484*x^27 + 72091825*x^26 - 99508068*x^25 - 202092307*x^24 + 399420340*x^23 + 373210576*x^22 - 1091288119*x^21 - 371397498*x^20 + 2099902674*x^19 - 80679467*x^18 - 2851530685*x^17 + 883377310*x^16 + 2675348521*x^15 - 1416970426*x^14 - 1648065763*x^13 + 1227394003*x^12 + 595459917*x^11 - 622680912*x^10 - 89021897*x^9 + 175088676*x^8 - 7243251*x^7 - 23885909*x^6 + 2558548*x^5 + 1660476*x^4 - 185640*x^3 - 58649*x^2 + 4280*x + 880, x^40 - 10*x^39 - 10*x^38 + 414*x^37 - 741*x^36 - 7199*x^35 + 23805*x^34 + 65108*x^33 - 344038*x^32 - 265152*x^31 + 3025344*x^30 - 612433*x^29 - 17764188*x^28 + 14970484*x^27 + 72091825*x^26 - 99508068*x^25 - 202092307*x^24 + 399420340*x^23 + 373210576*x^22 - 1091288119*x^21 - 371397498*x^20 + 2099902674*x^19 - 80679467*x^18 - 2851530685*x^17 + 883377310*x^16 + 2675348521*x^15 - 1416970426*x^14 - 1648065763*x^13 + 1227394003*x^12 + 595459917*x^11 - 622680912*x^10 - 89021897*x^9 + 175088676*x^8 - 7243251*x^7 - 23885909*x^6 + 2558548*x^5 + 1660476*x^4 - 185640*x^3 - 58649*x^2 + 4280*x + 880, -x^40 + 11*x^39 - 415*x^37 + 1061*x^36 + 6467*x^35 - 27893*x^34 - 49151*x^33 + 367529*x^32 + 99446*x^31 - 3034556*x^30 + 1614751*x^29 + 17008382*x^28 - 18533215*x^27 - 66887424*x^26 + 105217039*x^25 + 185575448*x^24 - 390436800*x^23 - 354486414*x^22 + 1017681247*x^21 + 426008437*x^20 - 1908163248*x^19 - 205022710*x^18 + 2579167268*x^17 - 263866527*x^16 - 2478868702*x^15 + 614075345*x^14 + 1642896403*x^13 - 572532978*x^12 - 711340486*x^11 + 294962348*x^10 + 184161566*x^9 - 82297916*x^8 - 25386979*x^7 + 10766214*x^6 + 2026786*x^5 - 625098*x^4 - 97852*x^3 + 12125*x^2 + 2231*x + 63, -x^40 + 11*x^39 - 415*x^37 + 1061*x^36 + 6467*x^35 - 27893*x^34 - 49151*x^33 + 367529*x^32 + 99446*x^31 - 3034556*x^30 + 1614751*x^29 + 17008382*x^28 - 18533215*x^27 - 66887424*x^26 + 105217039*x^25 + 185575448*x^24 - 390436800*x^23 - 354486414*x^22 + 1017681247*x^21 + 426008437*x^20 - 1908163248*x^19 - 205022710*x^18 + 2579167268*x^17 - 263866527*x^16 - 2478868702*x^15 + 614075345*x^14 + 1642896403*x^13 - 572532978*x^12 - 711340486*x^11 + 294962348*x^10 + 184161566*x^9 - 82297916*x^8 - 25386979*x^7 + 10766214*x^6 + 2026786*x^5 - 625098*x^4 - 97852*x^3 + 12125*x^2 + 2231*x + 63, x^41 - 9*x^40 - 20*x^39 + 401*x^38 - 297*x^37 - 7929*x^36 + 15566*x^35 + 91075*x^34 - 263851*x^33 - 662794*x^32 + 2648202*x^31 + 3055067*x^30 - 18033493*x^29 - 7561331*x^28 + 88304660*x^27 - 3523225*x^26 - 320214791*x^25 + 113571572*x^24 + 872313229*x^23 - 510886880*x^22 - 1792065140*x^21 + 1372410632*x^20 + 2761138129*x^19 - 2530130482*x^18 - 3139201815*x^17 + 3311570736*x^16 + 2551882800*x^15 - 3071936123*x^14 - 1398904158*x^13 + 1969348119*x^12 + 457607727*x^11 - 829377957*x^10 - 60558710*x^9 + 210507176*x^8 - 6455577*x^7 - 28371648*x^6 + 1913162*x^5 + 1971744*x^4 - 121716*x^3 - 65466*x^2 + 2120*x + 766, x^41 - 9*x^40 - 20*x^39 + 401*x^38 - 297*x^37 - 7929*x^36 + 15566*x^35 + 91075*x^34 - 263851*x^33 - 662794*x^32 + 2648202*x^31 + 3055067*x^30 - 18033493*x^29 - 7561331*x^28 + 88304660*x^27 - 3523225*x^26 - 320214791*x^25 + 113571572*x^24 + 872313229*x^23 - 510886880*x^22 - 1792065140*x^21 + 1372410632*x^20 + 2761138129*x^19 - 2530130482*x^18 - 3139201815*x^17 + 3311570736*x^16 + 2551882800*x^15 - 3071936123*x^14 - 1398904158*x^13 + 1969348119*x^12 + 457607727*x^11 - 829377957*x^10 - 60558710*x^9 + 210507176*x^8 - 6455577*x^7 - 28371648*x^6 + 1913162*x^5 + 1971744*x^4 - 121716*x^3 - 65466*x^2 + 2120*x + 766, x^41 - 10*x^40 - 11*x^39 + 421*x^38 - 700*x^37 - 7612*x^36 + 23505*x^35 + 74783*x^34 - 353426*x^33 - 388045*x^32 + 3271416*x^31 + 325831*x^30 - 20593932*x^29 + 10669950*x^28 + 92093261*x^27 - 90055761*x^26 - 297688405*x^25 + 413089412*x^24 + 694268490*x^23 - 1274764311*x^22 - 1138264658*x^21 + 2806626784*x^20 + 1211155615*x^19 - 4490749915*x^18 - 597793766*x^17 + 5218745190*x^16 - 369872901*x^15 - 4339943243*x^14 + 928824366*x^13 + 2505892315*x^12 - 787031532*x^11 - 954612024*x^10 + 362484961*x^9 + 221291492*x^8 - 90949809*x^7 - 28176673*x^6 + 11032852*x^5 + 2066295*x^4 - 619707*x^3 - 88342*x^2 + 13026*x + 1739, x^41 - 10*x^40 - 11*x^39 + 421*x^38 - 700*x^37 - 7612*x^36 + 23505*x^35 + 74783*x^34 - 353426*x^33 - 388045*x^32 + 3271416*x^31 + 325831*x^30 - 20593932*x^29 + 10669950*x^28 + 92093261*x^27 - 90055761*x^26 - 297688405*x^25 + 413089412*x^24 + 694268490*x^23 - 1274764311*x^22 - 1138264658*x^21 + 2806626784*x^20 + 1211155615*x^19 - 4490749915*x^18 - 597793766*x^17 + 5218745190*x^16 - 369872901*x^15 - 4339943243*x^14 + 928824366*x^13 + 2505892315*x^12 - 787031532*x^11 - 954612024*x^10 + 362484961*x^9 + 221291492*x^8 - 90949809*x^7 - 28176673*x^6 + 11032852*x^5 + 2066295*x^4 - 619707*x^3 - 88342*x^2 + 13026*x + 1739, -x^40 + 11*x^39 - 3*x^38 - 385*x^37 + 1070*x^36 + 5455*x^35 - 25809*x^34 - 34721*x^33 + 317936*x^32 - 9948*x^31 - 2457826*x^30 + 2032374*x^29 + 12796012*x^28 - 18566435*x^27 - 45639082*x^26 + 96640428*x^25 + 107652057*x^24 - 339279260*x^23 - 139850023*x^22 + 844032449*x^21 - 27319068*x^20 - 1505296174*x^19 + 535541727*x^18 + 1903088980*x^17 - 1193725607*x^16 - 1644166999*x^15 + 1490089052*x^14 + 890903374*x^13 - 1165279577*x^12 - 232601703*x^11 + 564485200*x^10 - 18558214*x^9 - 157157296*x^8 + 26231270*x^7 + 22181371*x^6 - 4740491*x^5 - 1675896*x^4 + 329310*x^3 + 69498*x^2 - 8167*x - 1327, -x^40 + 11*x^39 - 3*x^38 - 385*x^37 + 1070*x^36 + 5455*x^35 - 25809*x^34 - 34721*x^33 + 317936*x^32 - 9948*x^31 - 2457826*x^30 + 2032374*x^29 + 12796012*x^28 - 18566435*x^27 - 45639082*x^26 + 96640428*x^25 + 107652057*x^24 - 339279260*x^23 - 139850023*x^22 + 844032449*x^21 - 27319068*x^20 - 1505296174*x^19 + 535541727*x^18 + 1903088980*x^17 - 1193725607*x^16 - 1644166999*x^15 + 1490089052*x^14 + 890903374*x^13 - 1165279577*x^12 - 232601703*x^11 + 564485200*x^10 - 18558214*x^9 - 157157296*x^8 + 26231270*x^7 + 22181371*x^6 - 4740491*x^5 - 1675896*x^4 + 329310*x^3 + 69498*x^2 - 8167*x - 1327, -x^40 + 11*x^39 - 3*x^38 - 386*x^37 + 1079*x^36 + 5464*x^35 - 26104*x^34 - 34353*x^33 + 322174*x^32 - 19087*x^31 - 2493884*x^30 + 2130783*x^29 + 13010262*x^28 - 19218576*x^27 - 46670535*x^26 + 99692135*x^25 + 112069046*x^24 - 350380992*x^23 - 156153885*x^22 + 877413037*x^21 + 19870107*x^20 - 1588435120*x^19 + 436033604*x^18 + 2066574125*x^17 - 1047851067*x^16 - 1882912180*x^15 + 1347769540*x^14 + 1135760511*x^13 - 1078613855*x^12 - 399463201*x^11 + 535294611*x^10 + 52068441*x^9 - 153064748*x^8 + 9225070*x^7 + 22076871*x^6 - 2593273*x^5 - 1633436*x^4 + 190987*x^3 + 60858*x^2 - 4496*x - 935, -x^40 + 11*x^39 - 3*x^38 - 386*x^37 + 1079*x^36 + 5464*x^35 - 26104*x^34 - 34353*x^33 + 322174*x^32 - 19087*x^31 - 2493884*x^30 + 2130783*x^29 + 13010262*x^28 - 19218576*x^27 - 46670535*x^26 + 99692135*x^25 + 112069046*x^24 - 350380992*x^23 - 156153885*x^22 + 877413037*x^21 + 19870107*x^20 - 1588435120*x^19 + 436033604*x^18 + 2066574125*x^17 - 1047851067*x^16 - 1882912180*x^15 + 1347769540*x^14 + 1135760511*x^13 - 1078613855*x^12 - 399463201*x^11 + 535294611*x^10 + 52068441*x^9 - 153064748*x^8 + 9225070*x^7 + 22076871*x^6 - 2593273*x^5 - 1633436*x^4 + 190987*x^3 + 60858*x^2 - 4496*x - 935, -2*x^37 + 21*x^36 - 7*x^35 - 651*x^34 + 1766*x^33 + 7942*x^32 - 36818*x^31 - 40365*x^30 + 385642*x^29 - 63186*x^28 - 2472843*x^27 + 2226178*x^26 + 10335881*x^25 - 15465172*x^24 - 28249913*x^23 + 61710587*x^22 + 46853392*x^21 - 161741427*x^20 - 30104897*x^19 + 288411155*x^18 - 53274872*x^17 - 348730004*x^16 + 162861658*x^15 + 275675129*x^14 - 202744424*x^13 - 129470199*x^12 + 143825484*x^11 + 26244523*x^10 - 59206104*x^9 + 3097482*x^8 + 13173714*x^7 - 2058392*x^6 - 1430304*x^5 + 200336*x^4 + 82470*x^3 - 3902*x^2 - 2125*x - 119, -2*x^37 + 21*x^36 - 7*x^35 - 651*x^34 + 1766*x^33 + 7942*x^32 - 36818*x^31 - 40365*x^30 + 385642*x^29 - 63186*x^28 - 2472843*x^27 + 2226178*x^26 + 10335881*x^25 - 15465172*x^24 - 28249913*x^23 + 61710587*x^22 + 46853392*x^21 - 161741427*x^20 - 30104897*x^19 + 288411155*x^18 - 53274872*x^17 - 348730004*x^16 + 162861658*x^15 + 275675129*x^14 - 202744424*x^13 - 129470199*x^12 + 143825484*x^11 + 26244523*x^10 - 59206104*x^9 + 3097482*x^8 + 13173714*x^7 - 2058392*x^6 - 1430304*x^5 + 200336*x^4 + 82470*x^3 - 3902*x^2 - 2125*x - 119]>
       ]
>;

MOG[971] := 	// J_0(971)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 5, 36, 80, 115, 162, 313, 362, 363, 461, 509, 512, 513, 537, 579, 586, 595, 610, 694, 700, 706, 756, 757, 816, 831, 849, 851, 870, 883, 934, 332*x + 512, 639*x + 512, 650*x + 278, 321*x + 278, 662*x + 308, 309*x + 308, 519*x + 110, 452*x + 110, 224*x + 634, 747*x + 634, 149*x + 819, 822*x + 819, 567*x + 315, 404*x + 315, 562*x + 478, 409*x + 478, 326*x + 491, 645*x + 491, 437*x + 96, 534*x + 96, 293*x + 28, 678*x + 28, 538*x + 661, 433*x + 661, 547*x + 409, 424*x + 409, 389*x + 948, 582*x + 948, 719*x + 41, 252*x + 41, 397*x + 171, 574*x + 171, 305*x + 646, 666*x + 646, 769*x + 743, 202*x + 743, 769*x + 267, 202*x + 267, 113*x + 415, 858*x + 415, 968*x + 74, 3*x + 74, 434*x + 159, 537*x + 159, 291*x + 276, 680*x + 276, 240*x + 432, 731*x + 432, 874*x + 720, 97*x + 720, 226*x + 342, 745*x + 342]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^26 + 4*x^25 - 22*x^24 - 101*x^23 + 195*x^22 + 1100*x^21 - 850*x^20 - 6781*x^19 + 1504*x^18 + 26115*x^17 + 2155*x^16 - 65487*x^15 - 17037*x^14 + 108255*x^13 + 39269*x^12 - 117091*x^11 - 48838*x^10 + 80763*x^9 + 35529*x^8 - 33788*x^7 - 14934*x^6 + 7805*x^5 + 3323*x^4 - 809*x^3 - 301*x^2 + 18*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^25 - 4*x^24 + 20*x^23 + 93*x^22 - 158*x^21 - 926*x^20 + 586*x^19 + 5176*x^18 - 673*x^17 - 17903*x^16 - 2563*x^15 + 39879*x^14 + 11862*x^13 - 57839*x^12 - 21993*x^11 + 54162*x^10 + 22539*x^9 - 31886*x^8 - 13424*x^7 + 11182*x^6 + 4541*x^5 - 2092*x^4 - 791*x^3 + 157*x^2 + 53*x, x^25 + 4*x^24 - 20*x^23 - 93*x^22 + 158*x^21 + 926*x^20 - 586*x^19 - 5176*x^18 + 673*x^17 + 17903*x^16 + 2563*x^15 - 39879*x^14 - 11862*x^13 + 57839*x^12 + 21993*x^11 - 54162*x^10 - 22539*x^9 + 31886*x^8 + 13424*x^7 - 11182*x^6 - 4541*x^5 + 2092*x^4 + 791*x^3 - 157*x^2 - 53*x, -x^24 - 4*x^23 + 18*x^22 + 85*x^21 - 124*x^20 - 764*x^19 + 369*x^18 + 3799*x^17 - 106*x^16 - 11486*x^15 - 2472*x^14 + 21890*x^13 + 7653*x^12 - 26459*x^11 - 11136*x^10 + 19989*x^9 + 9082*x^8 - 9091*x^7 - 4233*x^6 + 2305*x^5 + 1064*x^4 - 270*x^3 - 118*x^2 + 7*x + 2, x^24 + 4*x^23 - 18*x^22 - 85*x^21 + 124*x^20 + 764*x^19 - 369*x^18 - 3799*x^17 + 106*x^16 + 11486*x^15 + 2472*x^14 - 21890*x^13 - 7653*x^12 + 26459*x^11 + 11136*x^10 - 19989*x^9 - 9082*x^8 + 9091*x^7 + 4233*x^6 - 2305*x^5 - 1064*x^4 + 270*x^3 + 118*x^2 - 7*x - 2, -x^24 - 4*x^23 + 19*x^22 + 89*x^21 - 140*x^20 - 841*x^19 + 462*x^18 + 4413*x^17 - 302*x^16 - 14122*x^15 - 2703*x^14 + 28526*x^13 + 9623*x^12 - 36470*x^11 - 15163*x^10 + 28888*x^9 + 13023*x^8 - 13515*x^7 - 6160*x^6 + 3408*x^5 + 1468*x^4 - 382*x^3 - 130*x^2 + 11*x - 1, x^24 + 4*x^23 - 19*x^22 - 89*x^21 + 140*x^20 + 841*x^19 - 462*x^18 - 4413*x^17 + 302*x^16 + 14122*x^15 + 2703*x^14 - 28526*x^13 - 9623*x^12 + 36470*x^11 + 15163*x^10 - 28888*x^9 - 13023*x^8 + 13515*x^7 + 6160*x^6 - 3408*x^5 - 1468*x^4 + 382*x^3 + 130*x^2 - 11*x + 1, -x^23 - 4*x^22 + 17*x^21 + 81*x^20 - 108*x^19 - 687*x^18 + 275*x^17 + 3181*x^16 + 100*x^15 - 8795*x^14 - 2267*x^13 + 14948*x^12 + 5635*x^11 - 15551*x^10 - 6719*x^9 + 9598*x^8 + 4294*x^7 - 3269*x^6 - 1427*x^5 + 521*x^4 + 208*x^3 - 23*x^2 - 6*x, x^23 + 4*x^22 - 17*x^21 - 81*x^20 + 108*x^19 + 687*x^18 - 275*x^17 - 3181*x^16 - 100*x^15 + 8795*x^14 + 2267*x^13 - 14948*x^12 - 5635*x^11 + 15551*x^10 + 6719*x^9 - 9598*x^8 - 4294*x^7 + 3269*x^6 + 1427*x^5 - 521*x^4 - 208*x^3 + 23*x^2 + 6*x, -x^23 - 4*x^22 + 17*x^21 + 81*x^20 - 109*x^19 - 690*x^18 + 292*x^17 + 3236*x^16 - 9*x^15 - 9194*x^14 - 1942*x^13 + 16432*x^12 + 5222*x^11 - 18622*x^10 - 6738*x^9 + 13197*x^8 + 4897*x^7 - 5608*x^6 - 2050*x^5 + 1301*x^4 + 465*x^3 - 127*x^2 - 45*x, x^23 + 4*x^22 - 17*x^21 - 81*x^20 + 109*x^19 + 690*x^18 - 292*x^17 - 3236*x^16 + 9*x^15 + 9194*x^14 + 1942*x^13 - 16432*x^12 - 5222*x^11 + 18622*x^10 + 6738*x^9 - 13197*x^8 - 4897*x^7 + 5608*x^6 + 2050*x^5 - 1301*x^4 - 465*x^3 + 127*x^2 + 45*x, -x^23 - 4*x^22 + 18*x^21 + 85*x^20 - 124*x^19 - 763*x^18 + 371*x^17 + 3781*x^16 - 140*x^15 - 11353*x^14 - 2239*x^13 + 21369*x^12 + 6830*x^11 - 25274*x^10 - 9516*x^9 + 18371*x^8 + 7264*x^7 - 7774*x^6 - 3073*x^5 + 1710*x^4 + 661*x^3 - 146*x^2 - 54*x, x^23 + 4*x^22 - 18*x^21 - 85*x^20 + 124*x^19 + 763*x^18 - 371*x^17 - 3781*x^16 + 140*x^15 + 11353*x^14 + 2239*x^13 - 21369*x^12 - 6830*x^11 + 25274*x^10 + 9516*x^9 - 18371*x^8 - 7264*x^7 + 7774*x^6 + 3073*x^5 - 1710*x^4 - 661*x^3 + 146*x^2 + 54*x, -x^22 - 4*x^21 + 16*x^20 + 77*x^19 - 94*x^18 - 618*x^17 + 206*x^16 + 2691*x^15 + 205*x^14 - 6942*x^13 - 2018*x^12 + 10908*x^11 + 4417*x^10 - 10391*x^9 - 4788*x^8 + 5822*x^7 + 2806*x^6 - 1784*x^5 - 856*x^4 + 247*x^3 + 112*x^2 - 7*x - 2, x^22 + 4*x^21 - 16*x^20 - 77*x^19 + 94*x^18 + 618*x^17 - 206*x^16 - 2691*x^15 - 205*x^14 + 6942*x^13 + 2018*x^12 - 10908*x^11 - 4417*x^10 + 10391*x^9 + 4788*x^8 - 5822*x^7 - 2806*x^6 + 1784*x^5 + 856*x^4 - 247*x^3 - 112*x^2 + 7*x + 2, -x^22 - 4*x^21 + 15*x^20 + 74*x^19 - 77*x^18 - 563*x^17 + 97*x^16 + 2292*x^15 + 530*x^14 - 5458*x^13 - 2431*x^12 + 7837*x^11 + 4398*x^10 - 6792*x^9 - 4185*x^8 + 3483*x^7 + 2183*x^6 - 1004*x^5 - 599*x^4 + 143*x^3 + 73*x^2 - 7*x - 2, x^22 + 4*x^21 - 15*x^20 - 74*x^19 + 77*x^18 + 563*x^17 - 97*x^16 - 2292*x^15 - 530*x^14 + 5458*x^13 + 2431*x^12 - 7837*x^11 - 4398*x^10 + 6792*x^9 + 4185*x^8 - 3483*x^7 - 2183*x^6 + 1004*x^5 + 599*x^4 - 143*x^3 - 73*x^2 + 7*x + 2, -x^22 - 4*x^21 + 16*x^20 + 78*x^19 - 91*x^18 - 632*x^17 + 162*x^16 + 2769*x^15 + 464*x^14 - 7157*x^13 - 2793*x^12 + 11196*x^11 + 5647*x^10 - 10517*x^9 - 5759*x^8 + 5741*x^7 + 3087*x^6 - 1698*x^5 - 807*x^4 + 236*x^3 + 76*x^2 - 11*x + 1, x^22 + 4*x^21 - 16*x^20 - 78*x^19 + 91*x^18 + 632*x^17 - 162*x^16 - 2769*x^15 - 464*x^14 + 7157*x^13 + 2793*x^12 - 11196*x^11 - 5647*x^10 + 10517*x^9 + 5759*x^8 - 5741*x^7 - 3087*x^6 + 1698*x^5 + 807*x^4 - 236*x^3 - 76*x^2 + 11*x - 1, -x^21 - 4*x^20 + 14*x^19 + 69*x^18 - 69*x^17 - 490*x^16 + 105*x^15 + 1853*x^14 + 249*x^13 - 4040*x^12 - 1218*x^11 + 5160*x^10 + 1931*x^9 - 3776*x^8 - 1488*x^7 + 1485*x^6 + 571*x^5 - 274*x^4 - 96*x^3 + 16*x^2 + 4*x, x^21 + 4*x^20 - 14*x^19 - 69*x^18 + 69*x^17 + 490*x^16 - 105*x^15 - 1853*x^14 - 249*x^13 + 4040*x^12 + 1218*x^11 - 5160*x^10 - 1931*x^9 + 3776*x^8 + 1488*x^7 - 1485*x^6 - 571*x^5 + 274*x^4 + 96*x^3 - 16*x^2 - 4*x, -x^21 - 4*x^20 + 14*x^19 + 71*x^18 - 62*x^17 - 514*x^16 + 12*x^15 + 1971*x^14 + 746*x^13 - 4372*x^12 - 2616*x^11 + 5785*x^10 + 4200*x^9 - 4569*x^8 - 3674*x^7 + 2081*x^6 + 1791*x^5 - 494*x^4 - 457*x^3 + 42*x^2 + 48*x + 2, x^21 + 4*x^20 - 14*x^19 - 71*x^18 + 62*x^17 + 514*x^16 - 12*x^15 - 1971*x^14 - 746*x^13 + 4372*x^12 + 2616*x^11 - 5785*x^10 - 4200*x^9 + 4569*x^8 + 3674*x^7 - 2081*x^6 - 1791*x^5 + 494*x^4 + 457*x^3 - 42*x^2 - 48*x - 2, -x^21 - 3*x^20 + 18*x^19 + 56*x^18 - 133*x^17 - 430*x^16 + 527*x^15 + 1765*x^14 - 1235*x^13 - 4223*x^12 + 1792*x^11 + 6045*x^10 - 1647*x^9 - 5145*x^8 + 960*x^7 + 2523*x^6 - 340*x^5 - 664*x^4 + 65*x^3 + 78*x^2 - 5*x - 2, x^21 + 3*x^20 - 18*x^19 - 56*x^18 + 133*x^17 + 430*x^16 - 527*x^15 - 1765*x^14 + 1235*x^13 + 4223*x^12 - 1792*x^11 - 6045*x^10 + 1647*x^9 + 5145*x^8 - 960*x^7 - 2523*x^6 + 340*x^5 + 664*x^4 - 65*x^3 - 78*x^2 + 5*x + 2, -x^21 - 3*x^20 + 18*x^19 + 57*x^18 - 131*x^17 - 446*x^16 + 497*x^15 + 1870*x^14 - 1054*x^13 - 4586*x^12 + 1226*x^11 + 6754*x^10 - 645*x^9 - 5918*x^8 - 79*x^7 + 2952*x^6 + 281*x^5 - 756*x^4 - 127*x^3 + 73*x^2 + 18*x + 1, x^21 + 3*x^20 - 18*x^19 - 57*x^18 + 131*x^17 + 446*x^16 - 497*x^15 - 1870*x^14 + 1054*x^13 + 4586*x^12 - 1226*x^11 - 6754*x^10 + 645*x^9 + 5918*x^8 + 79*x^7 - 2952*x^6 - 281*x^5 + 756*x^4 + 127*x^3 - 73*x^2 - 18*x - 1, -x^21 - 4*x^20 + 15*x^19 + 74*x^18 - 78*x^17 - 566*x^16 + 107*x^15 + 2326*x^14 + 500*x^13 - 5587*x^12 - 2409*x^11 + 8003*x^10 + 4402*x^9 - 6712*x^8 - 4098*x^7 + 3124*x^6 + 1985*x^5 - 718*x^4 - 458*x^3 + 62*x^2 + 37*x - 1, x^21 + 4*x^20 - 15*x^19 - 74*x^18 + 78*x^17 + 566*x^16 - 107*x^15 - 2326*x^14 - 500*x^13 + 5587*x^12 + 2409*x^11 - 8003*x^10 - 4402*x^9 + 6712*x^8 + 4098*x^7 - 3124*x^6 - 1985*x^5 + 718*x^4 + 458*x^3 - 62*x^2 - 37*x + 1, -x^20 - 4*x^19 + 11*x^18 + 59*x^17 - 32*x^16 - 348*x^15 - 61*x^14 + 1049*x^13 + 551*x^12 - 1708*x^11 - 1268*x^10 + 1455*x^9 + 1369*x^8 - 561*x^7 - 747*x^6 + 25*x^5 + 189*x^4 + 43*x^3 - 12*x^2 - 9*x - 2, x^20 + 4*x^19 - 11*x^18 - 59*x^17 + 32*x^16 + 348*x^15 + 61*x^14 - 1049*x^13 - 551*x^12 + 1708*x^11 + 1268*x^10 - 1455*x^9 - 1369*x^8 + 561*x^7 + 747*x^6 - 25*x^5 - 189*x^4 - 43*x^3 + 12*x^2 + 9*x + 2, -x^20 - 4*x^19 + 14*x^18 + 69*x^17 - 69*x^16 - 490*x^15 + 105*x^14 + 1853*x^13 + 249*x^12 - 4040*x^11 - 1218*x^10 + 5160*x^9 + 1931*x^8 - 3776*x^7 - 1488*x^6 + 1485*x^5 + 571*x^4 - 274*x^3 - 96*x^2 + 16*x + 4, x^20 + 4*x^19 - 14*x^18 - 69*x^17 + 69*x^16 + 490*x^15 - 105*x^14 - 1853*x^13 - 249*x^12 + 4040*x^11 + 1218*x^10 - 5160*x^9 - 1931*x^8 + 3776*x^7 + 1488*x^6 - 1485*x^5 - 571*x^4 + 274*x^3 + 96*x^2 - 16*x - 4, -x^20 - 3*x^19 + 15*x^18 + 49*x^17 - 85*x^16 - 321*x^15 + 216*x^14 + 1086*x^13 - 185*x^12 - 2052*x^11 - 198*x^10 + 2223*x^9 + 511*x^8 - 1402*x^7 - 392*x^6 + 510*x^5 + 142*x^4 - 101*x^3 - 25*x^2 + 9*x + 2, x^20 + 3*x^19 - 15*x^18 - 49*x^17 + 85*x^16 + 321*x^15 - 216*x^14 - 1086*x^13 + 185*x^12 + 2052*x^11 + 198*x^10 - 2223*x^9 - 511*x^8 + 1402*x^7 + 392*x^6 - 510*x^5 - 142*x^4 + 101*x^3 + 25*x^2 - 9*x - 2, -x^19 - 4*x^18 + 11*x^17 + 61*x^16 - 28*x^15 - 375*x^14 - 109*x^13 + 1205*x^12 + 787*x^11 - 2194*x^10 - 1873*x^9 + 2294*x^8 + 2203*x^7 - 1328*x^6 - 1327*x^5 + 380*x^4 + 379*x^3 - 42*x^2 - 39*x + 1, x^19 + 4*x^18 - 11*x^17 - 61*x^16 + 28*x^15 + 375*x^14 + 109*x^13 - 1205*x^12 - 787*x^11 + 2194*x^10 + 1873*x^9 - 2294*x^8 - 2203*x^7 + 1328*x^6 + 1327*x^5 - 380*x^4 - 379*x^3 + 42*x^2 + 39*x - 1, -x^20 - 3*x^19 + 17*x^18 + 55*x^17 - 111*x^16 - 402*x^15 + 352*x^14 + 1517*x^13 - 567*x^12 - 3216*x^11 + 462*x^10 + 3954*x^9 - 238*x^8 - 2868*x^7 + 146*x^6 + 1223*x^5 - 76*x^4 - 290*x^3 + 15*x^2 + 30*x, x^20 + 3*x^19 - 17*x^18 - 55*x^17 + 111*x^16 + 402*x^15 - 352*x^14 - 1517*x^13 + 567*x^12 + 3216*x^11 - 462*x^10 - 3954*x^9 + 238*x^8 + 2868*x^7 - 146*x^6 - 1223*x^5 + 76*x^4 + 290*x^3 - 15*x^2 - 30*x, -x^20 - 4*x^19 + 13*x^18 + 66*x^17 - 55*x^16 - 443*x^15 + 36*x^14 + 1570*x^13 + 384*x^12 - 3193*x^11 - 1245*x^10 + 3805*x^9 + 1661*x^8 - 2617*x^7 - 1102*x^6 + 980*x^5 + 349*x^4 - 174*x^3 - 39*x^2 + 10*x - 1, x^20 + 4*x^19 - 13*x^18 - 66*x^17 + 55*x^16 + 443*x^15 - 36*x^14 - 1570*x^13 - 384*x^12 + 3193*x^11 + 1245*x^10 - 3805*x^9 - 1661*x^8 + 2617*x^7 + 1102*x^6 - 980*x^5 - 349*x^4 + 174*x^3 + 39*x^2 - 10*x + 1, -x^19 - 3*x^18 + 11*x^17 + 34*x^16 - 49*x^15 - 135*x^14 + 147*x^13 + 197*x^12 - 416*x^11 + 55*x^10 + 904*x^9 - 463*x^8 - 1139*x^7 + 503*x^6 + 757*x^5 - 218*x^4 - 247*x^3 + 33*x^2 + 31*x, x^19 + 3*x^18 - 11*x^17 - 34*x^16 + 49*x^15 + 135*x^14 - 147*x^13 - 197*x^12 + 416*x^11 - 55*x^10 - 904*x^9 + 463*x^8 + 1139*x^7 - 503*x^6 - 757*x^5 + 218*x^4 + 247*x^3 - 33*x^2 - 31*x, -2*x^19 - 7*x^18 + 26*x^17 + 108*x^16 - 117*x^15 - 669*x^14 + 155*x^13 + 2135*x^12 + 366*x^11 - 3760*x^10 - 1466*x^9 + 3678*x^8 + 1880*x^7 - 1963*x^6 - 1139*x^5 + 535*x^4 + 331*x^3 - 58*x^2 - 37*x, 2*x^19 + 7*x^18 - 26*x^17 - 108*x^16 + 117*x^15 + 669*x^14 - 155*x^13 - 2135*x^12 - 366*x^11 + 3760*x^10 + 1466*x^9 - 3678*x^8 - 1880*x^7 + 1963*x^6 + 1139*x^5 - 535*x^4 - 331*x^3 + 58*x^2 + 37*x, -2*x^18 - 5*x^17 + 27*x^16 + 68*x^15 - 145*x^14 - 365*x^13 + 403*x^12 + 999*x^11 - 628*x^10 - 1511*x^9 + 542*x^8 + 1289*x^7 - 225*x^6 - 600*x^5 + 30*x^4 + 132*x^3 - 9*x + 1, 2*x^18 + 5*x^17 - 27*x^16 - 68*x^15 + 145*x^14 + 365*x^13 - 403*x^12 - 999*x^11 + 628*x^10 + 1511*x^9 - 542*x^8 - 1289*x^7 + 225*x^6 + 600*x^5 - 30*x^4 - 132*x^3 + 9*x - 1, x^18 + 4*x^17 - 12*x^16 - 62*x^15 + 43*x^14 + 381*x^13 + 7*x^12 - 1189*x^11 - 377*x^10 + 2004*x^9 + 868*x^8 - 1801*x^7 - 793*x^6 + 816*x^5 + 309*x^4 - 164*x^3 - 40*x^2 + 10*x - 1, -x^18 - 4*x^17 + 12*x^16 + 62*x^15 - 43*x^14 - 381*x^13 - 7*x^12 + 1189*x^11 + 377*x^10 - 2004*x^9 - 868*x^8 + 1801*x^7 + 793*x^6 - 816*x^5 - 309*x^4 + 164*x^3 + 40*x^2 - 10*x + 1, -x^19 - 2*x^18 + 20*x^17 + 44*x^16 - 145*x^15 - 353*x^14 + 487*x^13 + 1370*x^12 - 764*x^11 - 2800*x^10 + 407*x^9 + 3050*x^8 + 225*x^7 - 1729*x^6 - 357*x^5 + 466*x^4 + 142*x^3 - 43*x^2 - 18*x - 1, x^19 + 2*x^18 - 20*x^17 - 44*x^16 + 145*x^15 + 353*x^14 - 487*x^13 - 1370*x^12 + 764*x^11 + 2800*x^10 - 407*x^9 - 3050*x^8 - 225*x^7 + 1729*x^6 + 357*x^5 - 466*x^4 - 142*x^3 + 43*x^2 + 18*x + 1, -x^19 - 4*x^18 + 12*x^17 + 62*x^16 - 43*x^15 - 381*x^14 - 7*x^13 + 1189*x^12 + 377*x^11 - 2004*x^10 - 868*x^9 + 1801*x^8 + 793*x^7 - 816*x^6 - 309*x^5 + 164*x^4 + 40*x^3 - 10*x^2 + x, x^19 + 4*x^18 - 12*x^17 - 62*x^16 + 43*x^15 + 381*x^14 + 7*x^13 - 1189*x^12 - 377*x^11 + 2004*x^10 + 868*x^9 - 1801*x^8 - 793*x^7 + 816*x^6 + 309*x^5 - 164*x^4 - 40*x^3 + 10*x^2 - x]>,
         rec<Eigen |
           DefiningPolynomial := x^55 - 4*x^54 - 85*x^53 + 353*x^52 + 3372*x^51 - 14629*x^50 - 82874*x^49 + 378508*x^48 + 1412100*x^47 - 6857323*x^46 - 17677755*x^45 + 92470286*x^44 + 167954148*x^43 - 963212785*x^42 - 1231443001*x^41 + 7938847560*x^40 + 6992573146*x^39 - 52610894313*x^38 - 30348266173*x^37 + 283334382292*x^36 + 95978772676*x^35 - 1248339948271*x^34 - 185793542665*x^33 + 4515678580123*x^32 - 20927132514*x^31 - 13423294211490*x^30 + 1740883108646*x^29 + 32739321845863*x^28 - 7593772163787*x^27 - 65259305260298*x^26 + 20576475414280*x^25 + 105629026820923*x^24 - 40387844107538*x^23 - 137570617363468*x^22 + 59781848812827*x^21 + 142432181619546*x^20 - 67252312715253*x^19 - 115440493464909*x^18 + 57033948398872*x^17 + 71890092433330*x^16 - 35742193311359*x^15 - 33667517479102*x^14 + 16031416726376*x^13 + 11585834817312*x^12 - 4909261203264*x^11 - 2857557338720*x^10 + 954793409856*x^9 + 487671011072*x^8 - 102876395520*x^7 - 53721699328*x^6 + 3998603264*x^5 + 3264415744*x^4 + 144179200*x^3 - 71147520*x^2 - 9699328*x - 360448,
           Coordinates        := [-x^54 + 4*x^53 + 82*x^52 - 341*x^51 - 3132*x^50 + 13630*x^49 + 73946*x^48 - 339566*x^47 - 1207210*x^46 + 5912545*x^45 + 14434111*x^44 - 76475489*x^43 - 130456365*x^42 + 762407192*x^41 + 905031566*x^40 - 5999460638*x^39 - 4823605476*x^38 + 37857283577*x^37 + 19373512901*x^36 - 193545874659*x^35 - 54850018967*x^34 + 806784420078*x^33 + 82182614922*x^32 - 2750567914177*x^31 + 121455672250*x^30 + 7672445494065*x^29 - 1246033691926*x^28 - 17471719143278*x^27 + 4512270777757*x^26 + 32326949633636*x^25 - 10844648936011*x^24 - 48237768874859*x^23 + 19126654186475*x^22 + 57447732296011*x^21 - 25437476463652*x^20 - 53853705347669*x^19 + 25562523539199*x^18 + 39040931065488*x^17 - 19178084901055*x^16 - 21409476564436*x^15 + 10491408322286*x^14 + 8647865132526*x^13 - 4036697532100*x^12 - 2493826899064*x^11 + 1036858120288*x^10 + 494630173088*x^9 - 164540428032*x^8 - 64066619136*x^7 + 14147054336*x^6 + 4970229760*x^5 - 493686784*x^4 - 196933632*x^3 + 880640*x^2 + 2908160*x + 163840, x^54 - 4*x^53 - 82*x^52 + 341*x^51 + 3132*x^50 - 13630*x^49 - 73944*x^48 + 339554*x^47 + 1207082*x^46 - 5911665*x^45 - 14430481*x^44 + 76445483*x^43 + 130397893*x^42 - 761775410*x^41 - 904485896*x^40 + 5990260518*x^39 + 4821625694*x^38 - 37758933745*x^37 - 19394682591*x^36 + 192746352981*x^35 + 55266857723*x^34 - 801732291160*x^33 - 85972713128*x^32 + 2725417104955*x^31 - 98112068226*x^30 - 7573061013535*x^29 + 1139559001414*x^28 + 17159115099840*x^27 - 4140129636239*x^26 - 31545272633368*x^25 + 9833861343775*x^24 + 46691927107595*x^23 - 16985427000047*x^22 - 55052221639177*x^21 + 21912623997804*x^20 + 50984093997719*x^19 - 21097731984369*x^18 - 36431423091904*x^17 + 14897041549857*x^16 + 19647085377526*x^15 - 7457076312820*x^14 - 7782458413682*x^13 + 2498382568504*x^12 + 2187224888816*x^11 - 503448954944*x^10 - 414222113216*x^9 + 45664117824*x^8 + 47907699328*x^7 + 1288977152*x^6 - 2651747840*x^5 - 474887168*x^4 + 11280384*x^3 + 16625664*x^2 + 2482176*x + 114688, -4*x^48 + 18*x^47 + 276*x^46 - 1336*x^45 - 8660*x^44 + 45980*x^43 + 162588*x^42 - 974234*x^41 - 2012662*x^40 + 14230080*x^39 + 16868820*x^38 - 152040868*x^37 - 91086852*x^36 + 1230554666*x^35 + 221409178*x^34 - 7708567068*x^33 + 1047347146*x^32 + 37863962298*x^31 - 14545019862*x^30 - 146848267698*x^29 + 86189200046*x^28 + 450615743724*x^27 - 342004053240*x^26 - 1091588118958*x^25 + 994531897788*x^24 + 2073805165844*x^23 - 2182042439476*x^22 - 3055079457620*x^21 + 3637865468934*x^20 + 3431826624278*x^19 - 4585298265574*x^18 - 2872082188316*x^17 + 4306665125324*x^16 + 1738493021432*x^15 - 2943550979878*x^14 - 738066844414*x^13 + 1415036685708*x^12 + 218248675776*x^11 - 456709057232*x^10 - 48502070336*x^9 + 92804240896*x^8 + 9079491712*x^7 - 10679610624*x^6 - 1245165568*x^5 + 569630720*x^4 + 83333120*x^3 - 10313728*x^2 - 2252800*x - 98304, 2*x^49 - 14*x^48 - 116*x^47 + 1000*x^46 + 2772*x^45 - 33076*x^44 - 30046*x^43 + 672270*x^42 - 33898*x^41 - 9394266*x^40 + 6165718*x^39 + 95652424*x^38 - 104936448*x^37 - 733484444*x^36 + 1069829886*x^35 + 4314845572*x^34 - 7734020528*x^33 - 19627354194*x^32 + 42047096800*x^31 + 68897833260*x^30 - 176619334504*x^29 - 183828766694*x^28 + 580612249372*x^27 + 357961396888*x^26 - 1500466831836*x^25 - 451875406124*x^24 + 3043219517604*x^23 + 178402683258*x^22 - 4809570715770*x^21 + 638878749914*x^20 + 5847918562652*x^19 - 1678771325266*x^18 - 5366688744820*x^17 + 2217401757678*x^16 + 3619608816066*x^15 - 1870993290078*x^14 - 1732679779242*x^13 + 1040639084564*x^12 + 564813806976*x^11 - 372995582160*x^10 - 120647381152*x^9 + 81633472064*x^8 + 16612244096*x^7 - 9895241728*x^6 - 1520118272*x^5 + 547379200*x^4 + 91019264*x^3 - 8765440*x^2 - 2170880*x - 98304, 2*x^50 - 8*x^49 - 148*x^48 + 608*x^47 + 5098*x^46 - 21546*x^45 - 108636*x^44 + 473058*x^43 + 1605722*x^42 - 7211900*x^41 - 17499288*x^40 + 81092996*x^39 + 145969426*x^38 - 697317546*x^37 - 955444482*x^36 + 4692273114*x^35 + 4994936700*x^34 - 25077426352*x^33 - 21136925452*x^32 + 107431876304*x^31 + 73185049308*x^30 - 370770394696*x^29 - 209231747426*x^28 + 1032448995320*x^27 + 497654480432*x^26 - 2316089289714*x^25 - 989726837614*x^24 + 4166782543002*x^23 + 1647000045108*x^22 - 5966010710740*x^21 - 2279859566048*x^20 + 6722806770196*x^19 + 2588501412576*x^18 - 5870463084066*x^17 - 2356530833874*x^16 + 3888763000346*x^15 + 1667720904844*x^14 - 1896561933992*x^13 - 881760908008*x^12 + 651116534832*x^11 + 331054290688*x^10 - 145968261888*x^9 - 82514121728*x^8 + 18333893376*x^7 + 12408658432*x^6 - 760689664*x^5 - 961144832*x^4 - 54378496*x^3 + 26804224*x^2 + 4096000*x + 163840, x^52 - 4*x^51 - 78*x^50 + 325*x^49 + 2818*x^48 - 12316*x^47 - 62552*x^46 + 289256*x^45 + 953898*x^44 - 4719187*x^43 - 10581243*x^42 + 56819655*x^41 + 88109107*x^40 - 523583026*x^39 - 559510518*x^38 + 3779695860*x^37 + 2717424412*x^36 - 21704674795*x^35 - 9967378035*x^34 + 100130812195*x^33 + 26471458643*x^32 - 373328847760*x^31 - 44387109154*x^30 + 1128250194039*x^29 + 14699609398*x^28 - 2765222158307*x^27 + 164294058940*x^26 + 5487778934536*x^25 - 561407953117*x^24 - 8789525599292*x^23 + 1038483705033*x^22 + 11305371790853*x^21 - 1233679656657*x^20 - 11598925837459*x^19 + 908014664144*x^18 + 9402402658445*x^17 - 291734337335*x^16 - 5933743377118*x^15 - 143399341033*x^14 + 2842417337412*x^13 + 220063207872*x^12 - 988538097904*x^11 - 121261894304*x^10 + 231461279168*x^9 + 37819418368*x^8 - 32181440000*x^7 - 6823153920*x^6 + 2036549632*x^5 + 615585792*x^4 - 6889472*x^3 - 16388096*x^2 - 1867776*x - 65536, 4*x^48 - 16*x^47 - 280*x^46 + 1170*x^45 + 9044*x^44 - 39816*x^43 - 178544*x^42 + 837536*x^41 + 2403320*x^40 - 12198570*x^39 - 23262972*x^38 + 130588240*x^37 + 165906616*x^36 - 1064495616*x^35 - 872779950*x^34 + 6753963138*x^33 + 3277953632*x^32 - 33806345970*x^31 - 7701022850*x^30 + 134494224410*x^29 + 3203092550*x^28 - 426438170620*x^27 + 60400128204*x^26 + 1076033822742*x^25 - 299893978052*x^24 - 2148901505856*x^23 + 847836503130*x^22 + 3363061323868*x^21 - 1662940747934*x^20 - 4063375066224*x^19 + 2367464884846*x^18 + 3710913365524*x^17 - 2458370936172*x^16 - 2488526756576*x^15 + 1833948161664*x^14 + 1179267445596*x^13 - 953340483200*x^12 - 376513430048*x^11 + 329941013184*x^10 + 77039597216*x^9 - 71414377792*x^8 - 9812693504*x^7 + 8817628160*x^6 + 833059328*x^5 - 537294848*x^4 - 55695360*x^3 + 13266944*x^2 + 2179072*x + 81920, 2*x^49 - 6*x^48 - 150*x^47 + 450*x^46 + 5258*x^45 - 15776*x^44 - 114444*x^43 + 343568*x^42 + 1732828*x^41 - 5209470*x^40 - 19374890*x^39 + 58414850*x^38 + 165700812*x^37 - 502130022*x^36 - 1107573222*x^35 + 3384321294*x^34 + 5860597258*x^33 - 18139596090*x^32 - 24706972738*x^31 + 77956308004*x^30 + 83078596820*x^29 - 269597423142*x^28 - 221934684052*x^27 + 750053783332*x^26 + 466457523758*x^25 - 1672077588452*x^24 - 758032335266*x^23 + 2963776055726*x^22 + 924312407254*x^21 - 4127406220132*x^20 - 799403560994*x^19 + 4440287463782*x^18 + 428111950514*x^17 - 3605932602182*x^16 - 67924389316*x^15 + 2142941460514*x^14 - 84443131048*x^13 - 894043863464*x^12 + 70067424944*x^11 + 247606887808*x^10 - 24662139264*x^9 - 42014027264*x^8 + 4627844096*x^7 + 3799572480*x^6 - 488704000*x^5 - 138442752*x^4 + 29921280*x^3 + 2629632*x^2 - 770048*x - 65536, 4*x^47 - 14*x^46 - 282*x^45 + 1014*x^44 + 9170*x^43 - 34024*x^42 - 182430*x^41 + 702266*x^40 + 2482990*x^39 - 9985080*x^38 - 24488458*x^37 + 103791208*x^36 + 180739702*x^35 - 816947004*x^34 - 1015707684*x^33 + 4976273856*x^32 + 4372703670*x^31 - 23772324066*x^30 - 14343766030*x^29 + 89715735374*x^28 + 35055639912*x^27 - 268164315786*x^26 - 60039820616*x^25 + 633792941566*x^24 + 58070977304*x^23 - 1177590418834*x^22 + 16112566728*x^21 + 1702557218240*x^20 - 165519255904*x^19 - 1886276720338*x^18 + 306266431410*x^17 + 1567275075528*x^16 - 330751001072*x^15 - 948465443990*x^14 + 231311460930*x^13 + 402176453012*x^12 - 104846174976*x^11 - 113621733296*x^10 + 29731025312*x^9 + 20002454208*x^8 - 4995422848*x^7 - 1980354048*x^6 + 456965632*x^5 + 93983744*x^4 - 19671040*x^3 - 2248704*x^2 + 344064*x + 32768, -2*x^47 + 2*x^46 + 170*x^45 - 218*x^44 - 6528*x^43 + 9778*x^42 + 151226*x^41 - 252946*x^40 - 2375204*x^39 + 4329362*x^38 + 26901828*x^37 - 52708090*x^36 - 227851792*x^35 + 476479952*x^34 + 1475419284*x^33 - 3285660110*x^32 - 7398227310*x^31 + 17579364766*x^30 + 28892415630*x^29 - 73726489608*x^28 - 87832410998*x^27 + 243606987840*x^26 + 206342638046*x^25 - 634684787748*x^24 - 368607008194*x^23 + 1299893328044*x^22 + 485366782124*x^21 - 2078594337324*x^20 - 441693153034*x^19 + 2567150577014*x^18 + 231807029316*x^17 - 2412040627740*x^16 - 5700541738*x^15 + 1690164243850*x^14 - 89844692056*x^13 - 861205756600*x^12 + 65760181584*x^11 + 308980875328*x^10 - 20724388224*x^9 - 74595245568*x^8 + 2037883648*x^7 + 11182968832*x^6 + 416254976*x^5 - 870125568*x^4 - 101298176*x^3 + 19185664*x^2 + 3768320*x + 163840, 2*x^48 - 4*x^47 - 148*x^46 + 294*x^45 + 5090*x^44 - 10042*x^43 - 108034*x^42 + 211648*x^41 + 1584818*x^40 - 3082250*x^39 - 17054180*x^38 + 32911532*x^37 + 139455894*x^36 - 266824516*x^35 - 885864734*x^34 + 1678103270*x^33 + 4432385980*x^32 - 8293219028*x^31 - 17614563012*x^30 + 32423793788*x^29 + 55848863306*x^28 - 100463006314*x^27 - 141533708616*x^26 + 246004260830*x^25 + 286800713236*x^24 - 472525338640*x^23 - 464905718268*x^22 + 702792296620*x^21 + 604168439646*x^20 - 793262159556*x^19 - 632415395060*x^18 + 659037990136*x^17 + 535245194304*x^16 - 383977070602*x^15 - 363012801036*x^14 + 143893850570*x^13 + 189523043004*x^12 - 27902632568*x^11 - 69850645504*x^10 - 245906400*x^9 + 15688245568*x^8 + 1276027776*x^7 - 1639918592*x^6 - 197196288*x^5 + 21185536*x^4 + 1259520*x^3 + 1855488*x^2 + 532480*x + 32768, 2*x^49 - 6*x^48 - 148*x^47 + 436*x^46 + 5138*x^45 - 14778*x^44 - 111344*x^43 + 310610*x^42 + 1690266*x^41 - 4539914*x^40 - 19114332*x^39 + 49043806*x^38 + 167090522*x^37 - 406239532*x^36 - 1155881552*x^35 + 2641366508*x^34 + 6422284284*x^33 - 13686155428*x^32 - 28914612460*x^31 + 57035674650*x^30 + 105942735866*x^29 - 192064482550*x^28 - 316122120832*x^27 + 523014957938*x^26 + 766368964388*x^25 - 1148418280104*x^24 - 1501682736138*x^23 + 2019985060864*x^22 + 2359685256342*x^21 - 2815857036776*x^20 - 2941838147644*x^19 + 3062440599044*x^18 + 2870015156664*x^17 - 2541207783800*x^16 - 2153335642046*x^15 + 1558738526256*x^14 + 1215516249008*x^13 - 674769647624*x^12 - 501210275904*x^11 + 191720608400*x^10 + 144235726016*x^9 - 31225090944*x^8 - 26642315136*x^7 + 1905251072*x^6 + 2671588864*x^5 + 107804672*x^4 - 96112640*x^3 - 9994240*x^2 + 352256*x + 49152, 2*x^50 - 8*x^49 - 146*x^48 + 612*x^47 + 4920*x^46 - 21826*x^45 - 101328*x^44 + 482020*x^43 + 1421606*x^42 - 7385218*x^41 - 14306512*x^40 + 83343128*x^39 + 105464772*x^38 - 717841118*x^37 - 565510230*x^36 + 4824759152*x^35 + 2079466604*x^34 - 25655568840*x^33 - 3954046750*x^32 + 108770879708*x^31 - 7361986190*x^30 - 368775362932*x^29 + 92417669246*x^28 + 998536164780*x^27 - 405401216076*x^26 - 2147182743414*x^25 + 1164903556010*x^24 + 3628079754312*x^23 - 2422524232734*x^22 - 4736280336766*x^21 + 3738609793188*x^20 + 4654698824752*x^19 - 4271392760800*x^18 - 3308000131344*x^17 + 3539009818518*x^16 + 1590958136848*x^15 - 2042065748248*x^14 - 457088006870*x^13 + 763593586916*x^12 + 56776302336*x^11 - 159797504000*x^10 + 1257349024*x^9 + 10691960448*x^8 - 294257280*x^7 + 2057686784*x^6 + 39956992*x^5 - 388836352*x^4 - 46073856*x^3 + 14430208*x^2 + 3031040*x + 147456, x^53 - 4*x^52 - 80*x^51 + 333*x^50 + 2976*x^49 - 12980*x^48 - 68308*x^47 + 314916*x^46 + 1082004*x^45 - 5332741*x^44 - 12524591*x^43 + 66994201*x^42 + 109300199*x^41 - 647892720*x^40 - 729623836*x^39 + 4940036192*x^38 + 3722177096*x^37 - 30172923021*x^36 - 14166531229*x^35 + 149178214403*x^34 + 36986395477*x^33 - 600891817202*x^32 - 43283646092*x^31 + 1978347089007*x^30 - 137010932982*x^29 - 5326380756647*x^28 + 977213161934*x^27 + 11702107915484*x^26 - 3227496778099*x^25 - 20880296752408*x^24 + 7304123474269*x^23 + 30030581264847*x^22 - 12243875632503*x^21 - 34441407043955*x^20 + 15518295493134*x^19 + 31047737387455*x^18 - 14846159039797*x^17 - 21592673194746*x^16 + 10552885223199*x^15 + 11317226124410*x^14 - 5412927036036*x^13 - 4345593244872*x^12 + 1913037215264*x^11 + 1183103923040*x^10 - 432974860032*x^9 - 219680353152*x^8 + 55091009280*x^7 + 26155809792*x^6 - 2784431104*x^5 - 1732134912*x^4 - 52936704*x^3 + 40435712*x^2 + 5275648*x + 196608, 2*x^49 - 8*x^48 - 140*x^47 + 590*x^46 + 4502*x^45 - 20222*x^44 - 87950*x^43 + 427716*x^42 + 1161522*x^41 - 6251886*x^40 - 10889680*x^39 + 67019892*x^38 + 73632830*x^37 - 545736304*x^36 - 352215702*x^35 + 3449832738*x^34 + 1076179440*x^33 - 17157990988*x^32 - 1028124956*x^31 + 67652919812*x^30 - 8998724270*x^29 - 212160732926*x^28 + 59392304012*x^27 + 529071678062*x^26 - 205207808424*x^25 - 1046126765112*x^24 + 480144959012*x^23 + 1632603733156*x^22 - 801416153594*x^21 - 2001599038848*x^20 + 954108924052*x^19 + 1923868780256*x^18 - 782830785968*x^17 - 1454467459210*x^16 + 404941340168*x^15 + 869919452642*x^14 - 98264658136*x^13 - 406948718576*x^12 - 14045380368*x^11 + 139455384608*x^10 + 16180058368*x^9 - 30100463360*x^8 - 4191974144*x^7 + 3082640896*x^6 + 415578112*x^5 - 41111552*x^4 - 663552*x^3 - 3178496*x^2 - 1032192*x - 65536, 2*x^49 - 12*x^48 - 130*x^47 + 890*x^46 + 3748*x^45 - 30674*x^44 - 61524*x^43 + 652400*x^42 + 589552*x^41 - 9590226*x^40 - 2322396*x^39 + 103411006*x^38 - 20680422*x^37 - 847230916*x^36 + 438760730*x^35 + 5389879816*x^34 - 4093256420*x^33 - 26980927384*x^32 + 25678297162*x^31 + 107047896578*x^30 - 118986368474*x^29 - 337462067068*x^28 + 421896907344*x^27 + 843899969856*x^26 - 1161321370226*x^25 - 1664925460476*x^24 + 2490649728524*x^23 + 2567682468458*x^22 - 4146523396120*x^21 - 3057199286614*x^20 + 5306156458674*x^19 + 2771778769008*x^18 - 5136839159220*x^17 - 1896600488286*x^16 + 3679748886856*x^15 + 990257911396*x^14 - 1895920356180*x^13 - 413928992296*x^12 + 678911569912*x^11 + 145254701424*x^10 - 161703702368*x^9 - 40015513024*x^8 + 23541571328*x^7 + 7275714816*x^6 - 1666912256*x^5 - 701635584*x^4 + 8286208*x^3 + 23687168*x^2 + 2596864*x + 81920, -3*x^53 + 12*x^52 + 240*x^51 - 999*x^50 - 8928*x^49 + 38942*x^48 + 204890*x^47 - 944778*x^46 - 3243644*x^45 + 15994797*x^44 + 37497783*x^43 - 200805593*x^42 - 326411435*x^41 + 1939386922*x^40 + 2168967670*x^39 - 14753610736*x^38 - 10974753272*x^37 + 89788507633*x^36 + 41128753709*x^35 - 441555528193*x^34 - 103610927743*x^33 + 1765110665946*x^32 + 100528539736*x^31 - 5750848717425*x^30 + 494849416720*x^29 + 15267602702585*x^28 - 3081501386030*x^27 - 32932355626662*x^26 + 9731826478269*x^25 + 57391257946064*x^24 - 21261189921063*x^23 - 80122885067457*x^22 + 34344372349175*x^21 + 88578476271877*x^20 - 41689789176054*x^19 - 76399562399421*x^18 + 37855863497817*x^17 + 50480615868894*x^16 - 25250784989073*x^15 - 25019652346576*x^14 + 11994719194276*x^13 + 9092007918248*x^12 - 3872403082976*x^11 - 2362927165632*x^10 + 790252981824*x^9 + 423604391936*x^8 - 88729341184*x^7 - 48751469568*x^6 + 3504916480*x^5 + 3067482112*x^4 + 145059840*x^3 - 68239360*x^2 - 9535488*x - 360448, 2*x^49 - 6*x^48 - 156*x^47 + 480*x^46 + 5628*x^45 - 17810*x^44 - 124704*x^43 + 407326*x^42 + 1900228*x^41 - 6436346*x^40 - 21123340*x^39 + 74644950*x^38 + 177266406*x^37 - 658786888*x^36 - 1145890252*x^35 + 4527224472*x^34 + 5765545464*x^33 - 24582107878*x^32 - 22627523326*x^31 + 106402148408*x^30 + 68766279918*x^29 - 368743418058*x^28 - 158316429054*x^27 + 1023682144062*x^26 + 261380003202*x^25 - 2269313773802*x^24 - 259811993266*x^23 + 3988727020646*x^22 + 278898576*x^21 - 5494550894892*x^20 + 507880422682*x^19 + 5829946784116*x^18 - 965666493944*x^17 - 4647579021168*x^16 + 1023365774792*x^15 + 2687049008660*x^14 - 682966429128*x^13 - 1071705952784*x^12 + 280521542912*x^11 + 274760289744*x^10 - 63634797504*x^9 - 40864027712*x^8 + 6102948608*x^7 + 2816610816*x^6 - 17264128*x^5 - 6469632*x^4 - 821248*x^3 - 5779456*x^2 - 1228800*x - 65536, 2*x^51 - 8*x^50 - 152*x^49 + 628*x^48 + 5376*x^47 - 23038*x^46 - 117510*x^45 + 524902*x^44 + 1777788*x^43 - 8326760*x^42 - 19754406*x^41 + 97719424*x^40 + 166940566*x^39 - 879960016*x^38 - 1095834926*x^37 + 6224400092*x^36 + 5655320266*x^35 - 35119275962*x^34 - 23061119222*x^33 + 159615769732*x^32 + 74177202000*x^31 - 587737824686*x^30 - 186333310112*x^29 + 1757683826964*x^28 + 357062182188*x^27 - 4267601926616*x^26 - 494600459924*x^25 + 8386800489142*x^24 + 421619565202*x^23 - 13264980156324*x^22 - 35534865632*x^21 + 16742180952654*x^20 - 493851073044*x^19 - 16665350982990*x^18 + 803773630984*x^17 + 12880320607226*x^16 - 710086998208*x^15 - 7570782512976*x^14 + 391198156660*x^13 + 3290122000724*x^12 - 129154789528*x^11 - 1015456902432*x^10 + 19028042240*x^9 + 209399625664*x^8 + 2254400384*x^7 - 26157649408*x^6 - 1367112192*x^5 + 1655401472*x^4 + 182722560*x^3 - 33779712*x^2 - 6275072*x - 262144, 2*x^49 - 8*x^48 - 146*x^47 + 610*x^46 + 4914*x^45 - 21628*x^44 - 101036*x^43 + 473670*x^42 + 1416460*x^41 - 7179444*x^40 - 14293760*x^39 + 79971864*x^38 + 106578552*x^37 - 678543884*x^36 - 590221172*x^35 + 4485699280*x^34 + 2374884460*x^33 - 23438656056*x^32 - 6353435962*x^31 + 97645357232*x^30 + 6891475074*x^29 - 325746033184*x^28 + 28416720356*x^27 + 870887691688*x^26 - 184830636464*x^25 - 1861544802718*x^24 + 578591320570*x^23 + 3164410558520*x^22 - 1224248969414*x^21 - 4242762068128*x^20 + 1876511204808*x^19 + 4437902804414*x^18 - 2116552842806*x^17 - 3573212939218*x^16 + 1746348583078*x^15 + 2180708726978*x^14 - 1033510105146*x^13 - 990952803316*x^12 + 424508227456*x^11 + 327150487104*x^10 - 114597881120*x^9 - 75096540736*x^8 + 18159264896*x^7 + 11060879616*x^6 - 1209323008*x^5 - 895470592*x^4 - 30095360*x^3 + 26558464*x^2 + 3923968*x + 163840, x^52 - 4*x^51 - 78*x^50 + 325*x^49 + 2818*x^48 - 12322*x^47 - 62526*x^46 + 289668*x^45 + 951992*x^44 - 4732095*x^43 - 10516451*x^42 + 57063035*x^41 + 86752953*x^40 - 526641300*x^39 - 539938080*x^38 + 3806314864*x^37 + 2510726950*x^36 - 21863463783*x^35 - 8313084211*x^34 + 100709661763*x^33 + 16217608393*x^32 - 373741168188*x^31 + 5488244398*x^30 + 1118430062849*x^29 - 177045448878*x^28 - 2691785026049*x^27 + 748338799200*x^26 + 5177196946424*x^25 - 1968329916389*x^24 - 7871820243456*x^23 + 3703067662511*x^22 + 9305442804369*x^21 - 5160648848013*x^20 - 8337430772805*x^19 + 5343558280428*x^18 + 5436347238713*x^17 - 4052421989323*x^16 - 2396115875998*x^15 + 2187548617817*x^14 + 594447831398*x^13 - 805408561112*x^12 - 15582867872*x^11 + 191735989216*x^10 - 36919519104*x^9 - 28392526912*x^8 + 10429550464*x^7 + 2749745664*x^6 - 1116936704*x^5 - 193635328*x^4 + 36044800*x^3 + 5038080*x^2 - 417792*x - 49152, -3*x^52 + 12*x^51 + 234*x^50 - 973*x^49 - 8478*x^48 + 36888*x^47 + 189294*x^46 - 869024*x^45 - 2912832*x^44 + 14261667*x^43 + 32708137*x^42 - 173238763*x^41 - 276520447*x^40 + 1615577270*x^39 + 1786450808*x^38 - 11841141130*x^37 - 8822223896*x^36 + 69262732913*x^35 + 32636926269*x^34 - 326514696379*x^33 - 84429837449*x^32 + 1247588441510*x^31 + 113399934778*x^30 - 3872787340585*x^29 + 165077000614*x^28 + 9761094809593*x^27 - 1457693517388*x^26 - 19907195317704*x^25 + 4664948104319*x^24 + 32644387403078*x^23 - 9829480148845*x^22 - 42633900759399*x^21 + 15002719496521*x^20 + 43763353552703*x^19 - 16972834716316*x^18 - 34692791655225*x^17 + 14185992366467*x^16 + 20760772384750*x^15 - 8590236955963*x^14 - 9111322049970*x^13 + 3640419681936*x^12 + 2829560993888*x^11 - 1024040800928*x^10 - 595016179776*x^9 + 176423108992*x^8 + 79949250944*x^7 - 16173804288*x^6 - 6312437248*x^5 + 557751296*x^4 + 253960192*x^3 + 3264512*x^2 - 3072000*x - 180224, 2*x^48 - 12*x^47 - 128*x^46 + 872*x^45 + 3644*x^44 - 29432*x^43 - 59478*x^42 + 612792*x^41 + 578894*x^40 - 8815372*x^39 - 2649654*x^38 + 93002770*x^37 - 11933678*x^36 - 745418122*x^35 + 324411764*x^34 + 4639257336*x^33 - 3094763192*x^32 - 22722117386*x^31 + 19324979414*x^30 + 88222812674*x^29 - 88396521830*x^28 - 272225288524*x^27 + 308386960848*x^26 + 666348357736*x^25 - 834118474100*x^24 - 1285993880224*x^23 + 1757225637380*x^22 + 1935628320638*x^21 - 2873942395132*x^20 - 2235063645218*x^19 + 3612854917434*x^18 + 1934083592168*x^17 - 3432605152652*x^16 - 1215203394974*x^15 + 2404405421092*x^14 + 533412131014*x^13 - 1199267648228*x^12 - 158628563664*x^11 + 406185243312*x^10 + 33189661152*x^9 - 87457720000*x^8 - 5824247936*x^7 + 10787996160*x^6 + 892754432*x^5 - 627363840*x^4 - 79984640*x^3 + 11034624*x^2 + 2269184*x + 98304, 2*x^48 - 20*x^47 - 92*x^46 + 1400*x^45 + 1118*x^44 - 45372*x^43 + 22662*x^42 + 903718*x^41 - 1064808*x^40 - 12383708*x^39 + 20018088*x^38 + 123821236*x^37 - 240556148*x^36 - 934814416*x^35 + 2070957110*x^34 + 5438614642*x^33 - 13421848312*x^32 - 24657301202*x^31 + 67209759558*x^30 + 87465544120*x^29 - 263737346418*x^28 - 242064395796*x^27 + 816511007072*x^26 + 516943151826*x^25 - 1996931847548*x^24 - 831982815104*x^23 + 3844999640434*x^22 + 960372553568*x^21 - 5782115840208*x^20 - 699156791360*x^19 + 6703382015228*x^18 + 153775129166*x^17 - 5879640742590*x^16 + 282422223490*x^15 + 3802171731812*x^14 - 354450373116*x^13 - 1751452957136*x^12 + 195578374528*x^11 + 549606402304*x^10 - 55824200544*x^9 - 110768811456*x^8 + 7098899968*x^7 + 13076219648*x^6 - 81925632*x^5 - 764912640*x^4 - 44476416*x^3 + 16330752*x^2 + 2072576*x + 65536, -3*x^52 + 12*x^51 + 234*x^50 - 975*x^49 - 8470*x^48 + 37032*x^47 + 188692*x^46 - 873814*x^45 - 2891718*x^44 + 14359207*x^43 + 32249523*x^42 - 174595891*x^41 - 269606581*x^40 + 1629193908*x^39 + 1709612348*x^38 - 11942201968*x^37 - 8169561098*x^36 + 69819362871*x^35 + 28302202889*x^34 - 328727897909*x^33 - 61589467581*x^32 + 1253266583596*x^31 + 17082465192*x^30 - 3876946439025*x^29 + 491522689134*x^28 + 9721706993579*x^27 - 2347292337614*x^26 - 19682395637140*x^25 + 6607808782651*x^24 + 31946034154042*x^23 - 13206110061405*x^22 - 41130819856757*x^21 + 19619920718381*x^20 + 41398200090883*x^19 - 21858872403464*x^18 - 31949385672345*x^17 + 18097477347625*x^16 + 18448004961982*x^15 - 10889268816619*x^14 - 7740265429360*x^13 + 4597269831388*x^12 + 2288992537672*x^11 - 1296280578112*x^10 - 465269947552*x^9 + 228468833920*x^8 + 63499136896*x^7 - 22762442240*x^6 - 5530769920*x^5 + 1068368896*x^4 + 268601344*x^3 - 15441920*x^2 - 6012928*x - 311296, 4*x^48 - 20*x^47 - 264*x^46 + 1440*x^45 + 7892*x^44 - 48100*x^43 - 140200*x^42 + 989730*x^41 + 1620110*x^40 - 14047976*x^39 - 12273004*x^38 + 145943816*x^37 + 53539058*x^36 - 1149098414*x^35 - 6339710*x^34 + 7004049080*x^33 - 1865508726*x^32 - 33463763914*x^31 + 16081503160*x^30 + 126075981694*x^29 - 82864273732*x^28 - 374729136426*x^27 + 303843143666*x^26 + 874226494842*x^25 - 833674274616*x^24 - 1582348797392*x^23 + 1739248187736*x^22 + 2176101234018*x^21 - 2758775438006*x^20 - 2191447540696*x^19 + 3289401114920*x^18 + 1502478032464*x^17 - 2882949793896*x^16 - 574264670998*x^15 + 1792397784496*x^14 - 3689981580*x^13 - 750057178920*x^12 + 122457622304*x^11 + 196643804192*x^10 - 58894652288*x^9 - 29957710976*x^8 + 12872112896*x^7 + 2607513600*x^6 - 1377704960*x^5 - 167716864*x^4 + 62259200*x^3 + 7782400*x^2 - 540672*x - 65536, -6*x^48 + 30*x^47 + 394*x^46 - 2160*x^45 - 11694*x^44 + 72180*x^43 + 205450*x^42 - 1486616*x^41 - 2328618*x^40 + 21135088*x^39 + 16928146*x^38 - 220130016*x^37 - 64314998*x^36 + 1739763014*x^35 - 123016708*x^34 - 10662677470*x^33 + 3661047570*x^32 + 51349551582*x^31 - 28605050188*x^30 - 195698484672*x^29 + 143081379308*x^28 + 591548544142*x^27 - 519676154784*x^26 - 1415212602540*x^25 + 1427614285430*x^24 + 2662339603304*x^23 - 3008294385366*x^22 - 3894211724934*x^21 + 4867171564208*x^20 + 4354728057756*x^19 - 5997865370994*x^18 - 3636412107754*x^17 + 5540156052020*x^16 + 2199384843464*x^15 - 3743137234814*x^14 - 932063322782*x^13 + 1788180073244*x^12 + 273345852640*x^11 - 577765747792*x^10 - 59595555872*x^9 + 119193744576*x^8 + 11090563840*x^7 - 14343835648*x^6 - 1629982720*x^5 + 849925120*x^4 + 133990400*x^3 - 17104896*x^2 - 4341760*x - 212992, 2*x^48 - 6*x^47 - 142*x^46 + 422*x^45 + 4694*x^44 - 13748*x^43 - 96104*x^42 + 275520*x^41 + 1367968*x^40 - 3804938*x^39 - 14408910*x^38 + 38444690*x^37 + 116723896*x^36 - 294547606*x^35 - 746093818*x^34 + 1750427286*x^33 + 3829181890*x^32 - 8187048378*x^31 - 15961565398*x^30 + 30411659872*x^29 + 54391064760*x^28 - 90165952394*x^27 - 151823404228*x^26 + 213725151760*x^25 + 346377882526*x^24 - 404491705320*x^23 - 641890380658*x^22 + 608595218058*x^21 + 956537540710*x^20 - 722291783652*x^19 - 1130442072802*x^18 + 667734023106*x^17 + 1040644813334*x^16 - 471382451126*x^15 - 729426391460*x^14 + 246010572534*x^13 + 378179790812*x^12 - 89690957440*x^11 - 139624925008*x^10 + 20363421216*x^9 + 34799911360*x^8 - 2009118848*x^7 - 5363001600*x^6 - 161135616*x^5 + 425227264*x^4 + 49524736*x^3 - 9420800*x^2 - 1867776*x - 81920, 2*x^49 - 8*x^48 - 148*x^47 + 602*x^46 + 5126*x^45 - 21170*x^44 - 110542*x^43 + 462460*x^42 + 1665566*x^41 - 7036202*x^40 - 18648744*x^39 + 79231464*x^38 + 161070866*x^37 - 684896062*x^36 - 1099144296*x^35 + 4651969794*x^34 + 6017450190*x^33 - 25202966044*x^32 - 26670449854*x^31 + 109919533412*x^30 + 96087931160*x^29 - 387772764576*x^28 - 281304609100*x^27 + 1107612667046*x^26 + 666194992536*x^25 - 2555092485664*x^24 - 1265269248618*x^23 + 4731286977126*x^22 + 1902198695704*x^21 - 6962174895844*x^20 - 2223803973054*x^19 + 8023109129916*x^18 + 1976534694362*x^17 - 7094957118594*x^16 - 1301940983804*x^15 + 4683962667588*x^14 + 622961291512*x^13 - 2225076473596*x^12 - 218702489696*x^11 + 724233939120*x^10 + 60161538400*x^9 - 151050219264*x^8 - 13387313280*x^7 + 18121244928*x^6 + 2072879616*x^5 - 1008144384*x^4 - 164204544*x^3 + 14188544*x^2 + 3842048*x + 180224, 2*x^50 - 8*x^49 - 146*x^48 + 610*x^47 + 4930*x^46 - 21686*x^45 - 102084*x^44 + 477574*x^43 + 1448100*x^42 - 7301070*x^41 - 14877818*x^40 + 82300712*x^39 + 113949982*x^38 - 709236076*x^37 - 657578212*x^36 + 4781152870*x^35 + 2834824124*x^34 - 25590057396*x^33 - 8738464568*x^32 + 109752484810*x^31 + 16316861592*x^30 - 379078751124*x^29 + 340348156*x^28 + 1055972854996*x^27 - 124074228012*x^26 - 2368164848684*x^25 + 493238223828*x^24 + 4254030577652*x^23 - 1184346938456*x^22 - 6067452659336*x^21 + 2012881232340*x^20 + 6780506006036*x^19 - 2517880275754*x^18 - 5824418814870*x^17 + 2328067082036*x^16 + 3742423279820*x^15 - 1569200018764*x^14 - 1730110014742*x^13 + 749772059828*x^12 + 543871447224*x^11 - 243910309312*x^10 - 106894154176*x^9 + 51534158080*x^8 + 11619306624*x^7 - 6762131456*x^6 - 676974592*x^5 + 515445760*x^4 + 51257344*x^3 - 16154624*x^2 - 2777088*x - 114688, x^50 - 7*x^49 - 60*x^48 + 512*x^47 + 1514*x^46 - 17410*x^45 - 18667*x^44 + 365567*x^43 + 42529*x^42 - 5309925*x^41 + 2503965*x^40 + 56641584*x^39 - 49818570*x^38 - 459744992*x^37 + 546848621*x^36 + 2902840908*x^35 - 4191422028*x^34 - 14452934433*x^33 + 24118311592*x^32 + 57171034016*x^31 - 107634646666*x^30 - 180137196021*x^29 + 378702646516*x^28 + 451205986968*x^27 - 1058620376766*x^26 - 892286060798*x^25 + 2355728232902*x^24 + 1375195221853*x^23 - 4162010995265*x^22 - 1616188945681*x^21 + 5797901676458*x^20 + 1395677982585*x^19 - 6296199289844*x^18 - 825382713329*x^17 + 5242409560685*x^16 + 279706749935*x^15 - 3270745310713*x^14 - 13092588732*x^13 + 1481674551716*x^12 - 27869227416*x^11 - 466508933888*x^10 + 7627074880*x^9 + 95763842048*x^8 + 876627072*x^7 - 11548055296*x^6 - 619064832*x^5 + 672873472*x^4 + 75601920*x^3 - 12120064*x^2 - 2318336*x - 98304, x^50 - 7*x^49 - 60*x^48 + 512*x^47 + 1514*x^46 - 17410*x^45 - 18667*x^44 + 365567*x^43 + 42529*x^42 - 5309925*x^41 + 2503965*x^40 + 56641584*x^39 - 49818570*x^38 - 459744992*x^37 + 546848621*x^36 + 2902840908*x^35 - 4191422028*x^34 - 14452934433*x^33 + 24118311592*x^32 + 57171034016*x^31 - 107634646666*x^30 - 180137196021*x^29 + 378702646516*x^28 + 451205986968*x^27 - 1058620376766*x^26 - 892286060798*x^25 + 2355728232902*x^24 + 1375195221853*x^23 - 4162010995265*x^22 - 1616188945681*x^21 + 5797901676458*x^20 + 1395677982585*x^19 - 6296199289844*x^18 - 825382713329*x^17 + 5242409560685*x^16 + 279706749935*x^15 - 3270745310713*x^14 - 13092588732*x^13 + 1481674551716*x^12 - 27869227416*x^11 - 466508933888*x^10 + 7627074880*x^9 + 95763842048*x^8 + 876627072*x^7 - 11548055296*x^6 - 619064832*x^5 + 672873472*x^4 + 75601920*x^3 - 12120064*x^2 - 2318336*x - 98304, x^51 - 7*x^50 - 63*x^49 + 536*x^48 + 1675*x^47 - 19109*x^46 - 21913*x^45 + 421220*x^44 + 57980*x^43 - 6429165*x^42 + 3145880*x^41 + 72101231*x^40 - 67180934*x^39 - 615143353*x^38 + 785514057*x^37 + 4077378515*x^36 - 6410656365*x^35 - 21248847350*x^34 + 39300965918*x^33 + 87484208756*x^32 - 186985736900*x^31 - 283978118958*x^30 + 701636862044*x^29 + 719203706756*x^28 - 2091404335173*x^27 - 1386915539679*x^26 + 4957832307535*x^25 + 1925719641655*x^24 - 9312033837183*x^23 - 1624831241701*x^22 + 13741213703394*x^21 + 67080459689*x^20 - 15716655436627*x^19 + 2060076335861*x^18 + 13664822191458*x^17 - 3284926433358*x^16 - 8794290263554*x^15 + 2880208009829*x^14 + 4045158463498*x^13 - 1596900377544*x^12 - 1273245851224*x^11 + 563025194976*x^10 + 261433434816*x^9 - 121603917760*x^8 - 33679467392*x^7 + 14908624128*x^6 + 2783575552*x^5 - 884601856*x^4 - 161953792*x^3 + 15003648*x^2 + 3923968*x + 180224, x^51 - 7*x^50 - 63*x^49 + 536*x^48 + 1675*x^47 - 19109*x^46 - 21913*x^45 + 421220*x^44 + 57980*x^43 - 6429165*x^42 + 3145880*x^41 + 72101231*x^40 - 67180934*x^39 - 615143353*x^38 + 785514057*x^37 + 4077378515*x^36 - 6410656365*x^35 - 21248847350*x^34 + 39300965918*x^33 + 87484208756*x^32 - 186985736900*x^31 - 283978118958*x^30 + 701636862044*x^29 + 719203706756*x^28 - 2091404335173*x^27 - 1386915539679*x^26 + 4957832307535*x^25 + 1925719641655*x^24 - 9312033837183*x^23 - 1624831241701*x^22 + 13741213703394*x^21 + 67080459689*x^20 - 15716655436627*x^19 + 2060076335861*x^18 + 13664822191458*x^17 - 3284926433358*x^16 - 8794290263554*x^15 + 2880208009829*x^14 + 4045158463498*x^13 - 1596900377544*x^12 - 1273245851224*x^11 + 563025194976*x^10 + 261433434816*x^9 - 121603917760*x^8 - 33679467392*x^7 + 14908624128*x^6 + 2783575552*x^5 - 884601856*x^4 - 161953792*x^3 + 15003648*x^2 + 3923968*x + 180224, x^49 - 10*x^48 - 45*x^47 + 699*x^46 + 474*x^45 - 22577*x^44 + 14595*x^43 + 446970*x^42 - 608017*x^41 - 6065381*x^40 + 11196646*x^39 + 59745937*x^38 - 133728988*x^37 - 441053163*x^36 + 1149404451*x^35 + 2481067345*x^34 - 7448633798*x^33 - 10685820546*x^32 + 37303993434*x^31 + 34943089677*x^30 - 146314881024*x^29 - 84168953094*x^28 + 452171709035*x^27 + 136668081993*x^26 - 1101637242797*x^25 - 98649013678*x^24 + 2106803324314*x^23 - 169760387238*x^22 - 3133741311166*x^21 + 689718772982*x^20 + 3572537584131*x^19 - 1206687723924*x^18 - 3055723885953*x^17 + 1347231425615*x^16 + 1903936136775*x^15 - 1022307308483*x^14 - 830804132540*x^13 + 528392065564*x^12 + 241923110360*x^11 - 182402537936*x^10 - 45022211616*x^9 + 40847072768*x^8 + 5519168000*x^7 - 5632447232*x^6 - 590583808*x^5 + 412824576*x^4 + 58814464*x^3 - 8556544*x^2 - 1851392*x - 81920, x^49 - 10*x^48 - 45*x^47 + 699*x^46 + 474*x^45 - 22577*x^44 + 14595*x^43 + 446970*x^42 - 608017*x^41 - 6065381*x^40 + 11196646*x^39 + 59745937*x^38 - 133728988*x^37 - 441053163*x^36 + 1149404451*x^35 + 2481067345*x^34 - 7448633798*x^33 - 10685820546*x^32 + 37303993434*x^31 + 34943089677*x^30 - 146314881024*x^29 - 84168953094*x^28 + 452171709035*x^27 + 136668081993*x^26 - 1101637242797*x^25 - 98649013678*x^24 + 2106803324314*x^23 - 169760387238*x^22 - 3133741311166*x^21 + 689718772982*x^20 + 3572537584131*x^19 - 1206687723924*x^18 - 3055723885953*x^17 + 1347231425615*x^16 + 1903936136775*x^15 - 1022307308483*x^14 - 830804132540*x^13 + 528392065564*x^12 + 241923110360*x^11 - 182402537936*x^10 - 45022211616*x^9 + 40847072768*x^8 + 5519168000*x^7 - 5632447232*x^6 - 590583808*x^5 + 412824576*x^4 + 58814464*x^3 - 8556544*x^2 - 1851392*x - 81920, x^52 - 4*x^51 - 77*x^50 + 318*x^49 + 2762*x^48 - 11823*x^47 - 61304*x^46 + 273224*x^45 + 943212*x^44 - 4399909*x^43 - 10680064*x^42 + 52465662*x^41 + 92219927*x^40 - 480526506*x^39 - 620902176*x^38 + 3460858819*x^37 + 3305382374*x^36 - 19905774538*x^35 - 14028027961*x^34 + 92346598042*x^33 + 47657063726*x^32 - 347584850495*x^31 - 129759179710*x^30 + 1064227110830*x^29 + 283146964807*x^28 - 2650025460968*x^27 - 496127470178*x^26 + 5351444889428*x^25 + 705673201408*x^24 - 8715881349663*x^23 - 841267455370*x^22 + 11354095831697*x^21 + 893004246502*x^20 - 11694078876593*x^19 - 892363890796*x^18 + 9375391845646*x^17 + 823221917833*x^16 - 5729772756661*x^15 - 638261374092*x^14 + 2593341967358*x^13 + 376303059240*x^12 - 833286718632*x^11 - 156013124224*x^10 + 177683943776*x^9 + 42384261056*x^8 - 22245771392*x^7 - 6887885312*x^6 + 1208045568*x^5 + 571933696*x^4 + 10299392*x^3 - 16539648*x^2 - 2179072*x - 81920, x^52 - 4*x^51 - 77*x^50 + 318*x^49 + 2762*x^48 - 11823*x^47 - 61304*x^46 + 273224*x^45 + 943212*x^44 - 4399909*x^43 - 10680064*x^42 + 52465662*x^41 + 92219927*x^40 - 480526506*x^39 - 620902176*x^38 + 3460858819*x^37 + 3305382374*x^36 - 19905774538*x^35 - 14028027961*x^34 + 92346598042*x^33 + 47657063726*x^32 - 347584850495*x^31 - 129759179710*x^30 + 1064227110830*x^29 + 283146964807*x^28 - 2650025460968*x^27 - 496127470178*x^26 + 5351444889428*x^25 + 705673201408*x^24 - 8715881349663*x^23 - 841267455370*x^22 + 11354095831697*x^21 + 893004246502*x^20 - 11694078876593*x^19 - 892363890796*x^18 + 9375391845646*x^17 + 823221917833*x^16 - 5729772756661*x^15 - 638261374092*x^14 + 2593341967358*x^13 + 376303059240*x^12 - 833286718632*x^11 - 156013124224*x^10 + 177683943776*x^9 + 42384261056*x^8 - 22245771392*x^7 - 6887885312*x^6 + 1208045568*x^5 + 571933696*x^4 + 10299392*x^3 - 16539648*x^2 - 2179072*x - 81920, -3*x^51 + 13*x^50 + 225*x^49 - 1027*x^48 - 7798*x^47 + 37877*x^46 + 165406*x^45 - 866565*x^44 - 2394823*x^43 + 13783415*x^42 + 24945494*x^41 - 161904826*x^40 - 191258431*x^39 + 1456234803*x^38 + 1076264688*x^37 - 10262887360*x^36 - 4245913720*x^35 + 57520415907*x^34 + 9590545147*x^33 - 258761112218*x^32 + 6435697521*x^31 + 939030688420*x^30 - 164886208053*x^29 - 2753253946496*x^28 + 811903934321*x^27 + 6512580154479*x^26 - 2533439186975*x^25 - 12373435271493*x^24 + 5715854886109*x^23 + 18744492154029*x^22 - 9670826426327*x^21 - 22407561359587*x^20 + 12358477229869*x^19 + 20853385372098*x^18 - 11834935565675*x^17 - 14859921742072*x^16 + 8330274016555*x^15 + 7954165148303*x^14 - 4177149756170*x^13 - 3131223462180*x^12 + 1424181141024*x^11 + 883955492928*x^10 - 306914936416*x^9 - 171827570496*x^8 + 36277768448*x^7 + 21219516160*x^6 - 1473582592*x^5 - 1406760960*x^4 - 70897664*x^3 + 32583680*x^2 + 4677632*x + 180224, -3*x^51 + 13*x^50 + 225*x^49 - 1027*x^48 - 7798*x^47 + 37877*x^46 + 165406*x^45 - 866565*x^44 - 2394823*x^43 + 13783415*x^42 + 24945494*x^41 - 161904826*x^40 - 191258431*x^39 + 1456234803*x^38 + 1076264688*x^37 - 10262887360*x^36 - 4245913720*x^35 + 57520415907*x^34 + 9590545147*x^33 - 258761112218*x^32 + 6435697521*x^31 + 939030688420*x^30 - 164886208053*x^29 - 2753253946496*x^28 + 811903934321*x^27 + 6512580154479*x^26 - 2533439186975*x^25 - 12373435271493*x^24 + 5715854886109*x^23 + 18744492154029*x^22 - 9670826426327*x^21 - 22407561359587*x^20 + 12358477229869*x^19 + 20853385372098*x^18 - 11834935565675*x^17 - 14859921742072*x^16 + 8330274016555*x^15 + 7954165148303*x^14 - 4177149756170*x^13 - 3131223462180*x^12 + 1424181141024*x^11 + 883955492928*x^10 - 306914936416*x^9 - 171827570496*x^8 + 36277768448*x^7 + 21219516160*x^6 - 1473582592*x^5 - 1406760960*x^4 - 70897664*x^3 + 32583680*x^2 + 4677632*x + 180224, -3*x^49 + 13*x^48 + 207*x^47 - 948*x^46 - 6567*x^45 + 32144*x^44 + 126775*x^43 - 673208*x^42 - 1659174*x^41 + 9757489*x^40 + 15488061*x^39 - 103928506*x^38 - 105129407*x^37 + 843111978*x^36 + 513040853*x^35 - 5328168880*x^34 - 1671500755*x^33 + 26607530154*x^32 + 2429356863*x^31 - 105889993916*x^30 + 8502698807*x^29 + 337206408937*x^28 - 72473509179*x^27 - 859527873103*x^26 + 276693895294*x^25 + 1748006938960*x^24 - 712972793987*x^23 - 2816729956335*x^22 + 1345535165095*x^21 + 3556751747881*x^20 - 1903208915149*x^19 - 3462906611337*x^18 + 2018839009778*x^17 + 2541167318680*x^16 - 1584436281908*x^15 - 1362230553639*x^14 + 895935027412*x^13 + 511701515780*x^12 - 350111685048*x^11 - 128119680032*x^10 + 89044198432*x^9 + 20524137408*x^8 - 13607974272*x^7 - 2118748160*x^6 + 1113815040*x^5 + 150853632*x^4 - 39682048*x^3 - 6062080*x^2 + 163840*x + 32768, -3*x^49 + 13*x^48 + 207*x^47 - 948*x^46 - 6567*x^45 + 32144*x^44 + 126775*x^43 - 673208*x^42 - 1659174*x^41 + 9757489*x^40 + 15488061*x^39 - 103928506*x^38 - 105129407*x^37 + 843111978*x^36 + 513040853*x^35 - 5328168880*x^34 - 1671500755*x^33 + 26607530154*x^32 + 2429356863*x^31 - 105889993916*x^30 + 8502698807*x^29 + 337206408937*x^28 - 72473509179*x^27 - 859527873103*x^26 + 276693895294*x^25 + 1748006938960*x^24 - 712972793987*x^23 - 2816729956335*x^22 + 1345535165095*x^21 + 3556751747881*x^20 - 1903208915149*x^19 - 3462906611337*x^18 + 2018839009778*x^17 + 2541167318680*x^16 - 1584436281908*x^15 - 1362230553639*x^14 + 895935027412*x^13 + 511701515780*x^12 - 350111685048*x^11 - 128119680032*x^10 + 89044198432*x^9 + 20524137408*x^8 - 13607974272*x^7 - 2118748160*x^6 + 1113815040*x^5 + 150853632*x^4 - 39682048*x^3 - 6062080*x^2 + 163840*x + 32768, x^53 - 4*x^52 - 80*x^51 + 333*x^50 + 2977*x^49 - 12987*x^48 - 68355*x^47 + 315371*x^46 + 1082635*x^45 - 5346031*x^44 - 12515832*x^43 + 67221587*x^42 + 108828453*x^41 - 650347161*x^40 - 720661808*x^39 + 4955962188*x^38 + 3615703243*x^37 - 30207553145*x^36 - 13272691862*x^35 + 148714721354*x^34 + 31417217030*x^33 - 594684828983*x^32 - 16950644810*x^31 + 1935943054474*x^30 - 232156587125*x^29 - 5126912994688*x^28 + 1238214682807*x^27 + 11005962355723*x^26 - 3757558646203*x^25 - 19028401480460*x^24 + 8049146816611*x^23 + 26243907229722*x^22 - 12812674591260*x^21 - 28503340288936*x^20 + 15318142618875*x^19 + 23980666492775*x^18 - 13645373904609*x^17 - 15325166930529*x^16 + 8866115887670*x^15 + 7283916470505*x^14 - 4060053560918*x^13 - 2526508341812*x^12 + 1246387516528*x^11 + 630115651232*x^10 - 238077216000*x^9 - 110041479296*x^8 + 24537181696*x^7 + 12457070848*x^6 - 844529664*x^5 - 760500224*x^4 - 37308416*x^3 + 16596992*x^2 + 2269184*x + 81920, x^53 - 4*x^52 - 80*x^51 + 333*x^50 + 2977*x^49 - 12987*x^48 - 68355*x^47 + 315371*x^46 + 1082635*x^45 - 5346031*x^44 - 12515832*x^43 + 67221587*x^42 + 108828453*x^41 - 650347161*x^40 - 720661808*x^39 + 4955962188*x^38 + 3615703243*x^37 - 30207553145*x^36 - 13272691862*x^35 + 148714721354*x^34 + 31417217030*x^33 - 594684828983*x^32 - 16950644810*x^31 + 1935943054474*x^30 - 232156587125*x^29 - 5126912994688*x^28 + 1238214682807*x^27 + 11005962355723*x^26 - 3757558646203*x^25 - 19028401480460*x^24 + 8049146816611*x^23 + 26243907229722*x^22 - 12812674591260*x^21 - 28503340288936*x^20 + 15318142618875*x^19 + 23980666492775*x^18 - 13645373904609*x^17 - 15325166930529*x^16 + 8866115887670*x^15 + 7283916470505*x^14 - 4060053560918*x^13 - 2526508341812*x^12 + 1246387516528*x^11 + 630115651232*x^10 - 238077216000*x^9 - 110041479296*x^8 + 24537181696*x^7 + 12457070848*x^6 - 844529664*x^5 - 760500224*x^4 - 37308416*x^3 + 16596992*x^2 + 2269184*x + 81920, -2*x^50 + 9*x^49 + 144*x^48 - 686*x^47 - 4779*x^46 + 24372*x^45 + 96789*x^44 - 536232*x^43 - 1333478*x^42 + 8188057*x^41 + 13160785*x^40 - 92161533*x^39 - 95042767*x^38 + 792739713*x^37 + 498931661*x^36 - 5331660641*x^35 - 1797533772*x^34 + 28452618243*x^33 + 3381326214*x^32 - 121572016190*x^31 + 5691976127*x^30 + 417896532045*x^29 - 72376773049*x^28 - 1157110319941*x^27 + 311169870092*x^26 + 2575927738676*x^25 - 874812859865*x^24 - 4587861411866*x^23 + 1783484964219*x^22 + 6485125696418*x^21 - 2711322726341*x^20 - 7193312743978*x^19 + 3077822814780*x^18 + 6168047721695*x^17 - 2570791916554*x^16 - 4012316972893*x^15 + 1532879189964*x^14 + 1934940124292*x^13 - 619338163368*x^12 - 672359649736*x^11 + 154100669536*x^10 + 161755174464*x^9 - 18541422784*x^8 - 25050267392*x^7 - 208402432*x^6 + 2122100736*x^5 + 255952896*x^4 - 59422720*x^3 - 13590528*x^2 - 671744*x, -2*x^50 + 9*x^49 + 144*x^48 - 686*x^47 - 4779*x^46 + 24372*x^45 + 96789*x^44 - 536232*x^43 - 1333478*x^42 + 8188057*x^41 + 13160785*x^40 - 92161533*x^39 - 95042767*x^38 + 792739713*x^37 + 498931661*x^36 - 5331660641*x^35 - 1797533772*x^34 + 28452618243*x^33 + 3381326214*x^32 - 121572016190*x^31 + 5691976127*x^30 + 417896532045*x^29 - 72376773049*x^28 - 1157110319941*x^27 + 311169870092*x^26 + 2575927738676*x^25 - 874812859865*x^24 - 4587861411866*x^23 + 1783484964219*x^22 + 6485125696418*x^21 - 2711322726341*x^20 - 7193312743978*x^19 + 3077822814780*x^18 + 6168047721695*x^17 - 2570791916554*x^16 - 4012316972893*x^15 + 1532879189964*x^14 + 1934940124292*x^13 - 619338163368*x^12 - 672359649736*x^11 + 154100669536*x^10 + 161755174464*x^9 - 18541422784*x^8 - 25050267392*x^7 - 208402432*x^6 + 2122100736*x^5 + 255952896*x^4 - 59422720*x^3 - 13590528*x^2 - 671744*x, -3*x^50 + 12*x^49 + 223*x^48 - 933*x^47 - 7660*x^46 + 33830*x^45 + 161046*x^44 - 759983*x^43 - 2311594*x^42 + 11852122*x^41 + 23882060*x^40 - 136260240*x^39 - 181803490*x^38 + 1196970982*x^37 + 1018409014*x^36 - 8217336345*x^35 - 4029551392*x^34 + 44718841422*x^33 + 9454129839*x^32 - 194543538932*x^31 + 2164659318*x^30 + 679219774633*x^29 - 131385935393*x^28 - 1903248126280*x^27 + 659701968085*x^26 + 4264856784297*x^25 - 2041938065739*x^24 - 7585872883953*x^23 + 4523589937699*x^22 + 10584704783981*x^21 - 7460099252339*x^20 - 11390172253224*x^19 + 9223392104696*x^18 + 9233303312387*x^17 - 8471823759543*x^16 - 5465551533878*x^15 + 5661379570709*x^14 + 2274568971102*x^13 - 2666683823856*x^12 - 643388643032*x^11 + 849212484160*x^10 + 125141904896*x^9 - 173648791616*x^8 - 18728480000*x^7 + 21090097920*x^6 + 2371420160*x^5 - 1302431744*x^4 - 198866944*x^3 + 25825280*x^2 + 6225920*x + 294912, -3*x^50 + 12*x^49 + 223*x^48 - 933*x^47 - 7660*x^46 + 33830*x^45 + 161046*x^44 - 759983*x^43 - 2311594*x^42 + 11852122*x^41 + 23882060*x^40 - 136260240*x^39 - 181803490*x^38 + 1196970982*x^37 + 1018409014*x^36 - 8217336345*x^35 - 4029551392*x^34 + 44718841422*x^33 + 9454129839*x^32 - 194543538932*x^31 + 2164659318*x^30 + 679219774633*x^29 - 131385935393*x^28 - 1903248126280*x^27 + 659701968085*x^26 + 4264856784297*x^25 - 2041938065739*x^24 - 7585872883953*x^23 + 4523589937699*x^22 + 10584704783981*x^21 - 7460099252339*x^20 - 11390172253224*x^19 + 9223392104696*x^18 + 9233303312387*x^17 - 8471823759543*x^16 - 5465551533878*x^15 + 5661379570709*x^14 + 2274568971102*x^13 - 2666683823856*x^12 - 643388643032*x^11 + 849212484160*x^10 + 125141904896*x^9 - 173648791616*x^8 - 18728480000*x^7 + 21090097920*x^6 + 2371420160*x^5 - 1302431744*x^4 - 198866944*x^3 + 25825280*x^2 + 6225920*x + 294912, x^52 - 4*x^51 - 78*x^50 + 325*x^49 + 2827*x^48 - 12360*x^47 - 63143*x^46 + 292410*x^45 + 971437*x^44 - 4823987*x^43 - 10889376*x^42 + 58962587*x^41 + 91604161*x^40 - 553771824*x^39 - 585020275*x^38 + 4090521781*x^37 + 2816608355*x^36 - 24125857089*x^35 - 9821612732*x^34 + 114700864135*x^33 + 21365004592*x^32 - 441889199986*x^31 - 4285339189*x^30 + 1381920908017*x^29 - 184491283414*x^28 - 3503127283149*x^27 + 878698460214*x^26 + 7165426263480*x^25 - 2490387728572*x^24 - 11732138528210*x^23 + 5014019864157*x^22 + 15194785518544*x^21 - 7487485625431*x^20 - 15309348628351*x^19 + 8344721970556*x^18 + 11730864315729*x^17 - 6854147580020*x^16 - 6633396150360*x^15 + 4035284125994*x^14 + 2662608104512*x^13 - 1628298111216*x^12 - 723822518952*x^11 + 421384863168*x^10 + 126496690144*x^9 - 63511197184*x^8 - 13204857088*x^7 + 4754378496*x^6 + 683202048*x^5 - 134354944*x^4 - 4982784*x^3 + 2183168*x^2 - 221184*x - 32768, x^52 - 4*x^51 - 78*x^50 + 325*x^49 + 2827*x^48 - 12360*x^47 - 63143*x^46 + 292410*x^45 + 971437*x^44 - 4823987*x^43 - 10889376*x^42 + 58962587*x^41 + 91604161*x^40 - 553771824*x^39 - 585020275*x^38 + 4090521781*x^37 + 2816608355*x^36 - 24125857089*x^35 - 9821612732*x^34 + 114700864135*x^33 + 21365004592*x^32 - 441889199986*x^31 - 4285339189*x^30 + 1381920908017*x^29 - 184491283414*x^28 - 3503127283149*x^27 + 878698460214*x^26 + 7165426263480*x^25 - 2490387728572*x^24 - 11732138528210*x^23 + 5014019864157*x^22 + 15194785518544*x^21 - 7487485625431*x^20 - 15309348628351*x^19 + 8344721970556*x^18 + 11730864315729*x^17 - 6854147580020*x^16 - 6633396150360*x^15 + 4035284125994*x^14 + 2662608104512*x^13 - 1628298111216*x^12 - 723822518952*x^11 + 421384863168*x^10 + 126496690144*x^9 - 63511197184*x^8 - 13204857088*x^7 + 4754378496*x^6 + 683202048*x^5 - 134354944*x^4 - 4982784*x^3 + 2183168*x^2 - 221184*x - 32768, x^51 - 4*x^50 - 79*x^49 + 332*x^48 + 2878*x^47 - 12830*x^46 - 64053*x^45 + 306777*x^44 + 971674*x^43 - 5087273*x^42 - 10595546*x^41 + 62154847*x^40 + 85056659*x^39 - 580170166*x^38 - 502376342*x^37 + 4234124113*x^36 + 2099576597*x^35 - 24523701104*x^34 - 5257468417*x^33 + 113781484721*x^32 - 551731531*x^31 - 425048447484*x^30 + 75855271190*x^29 + 1280579299170*x^28 - 406459551497*x^27 - 3107164490474*x^26 + 1333044412491*x^25 + 6045385576558*x^24 - 3132819884618*x^23 - 9362604736997*x^22 + 5505097987923*x^21 + 11421240603248*x^20 - 7305140414495*x^19 - 10822667364505*x^18 + 7277212351231*x^17 + 7829464908814*x^16 - 5348142282116*x^15 - 4237404393499*x^14 + 2816495121954*x^13 + 1678527573484*x^12 - 1017149554784*x^11 - 475821321936*x^10 + 235397139200*x^9 + 93749456576*x^8 - 30957081600*x^7 - 12059630080*x^6 + 1700008448*x^5 + 862622720*x^4 + 18274304*x^3 - 21151744*x^2 - 2670592*x - 98304, x^51 - 4*x^50 - 79*x^49 + 332*x^48 + 2878*x^47 - 12830*x^46 - 64053*x^45 + 306777*x^44 + 971674*x^43 - 5087273*x^42 - 10595546*x^41 + 62154847*x^40 + 85056659*x^39 - 580170166*x^38 - 502376342*x^37 + 4234124113*x^36 + 2099576597*x^35 - 24523701104*x^34 - 5257468417*x^33 + 113781484721*x^32 - 551731531*x^31 - 425048447484*x^30 + 75855271190*x^29 + 1280579299170*x^28 - 406459551497*x^27 - 3107164490474*x^26 + 1333044412491*x^25 + 6045385576558*x^24 - 3132819884618*x^23 - 9362604736997*x^22 + 5505097987923*x^21 + 11421240603248*x^20 - 7305140414495*x^19 - 10822667364505*x^18 + 7277212351231*x^17 + 7829464908814*x^16 - 5348142282116*x^15 - 4237404393499*x^14 + 2816495121954*x^13 + 1678527573484*x^12 - 1017149554784*x^11 - 475821321936*x^10 + 235397139200*x^9 + 93749456576*x^8 - 30957081600*x^7 - 12059630080*x^6 + 1700008448*x^5 + 862622720*x^4 + 18274304*x^3 - 21151744*x^2 - 2670592*x - 98304, -2*x^49 + 9*x^48 + 141*x^47 - 675*x^46 - 4564*x^45 + 23556*x^44 + 89671*x^43 - 508085*x^42 - 1189163*x^41 + 7588446*x^40 + 11159005*x^39 - 83324924*x^38 - 74956685*x^37 + 697102606*x^36 + 348803351*x^35 - 4544096560*x^34 - 951750516*x^33 + 23407611307*x^32 - 191989863*x^31 - 96085708891*x^30 + 16654163814*x^29 + 315564327385*x^28 - 94274512732*x^27 - 829487925329*x^26 + 325581914619*x^25 + 1740188283069*x^24 - 799550037272*x^23 - 2896761720614*x^22 + 1454405712063*x^21 + 3793008012361*x^20 - 1975514000594*x^19 - 3862670285898*x^18 + 1986931297890*x^17 + 3018139860365*x^16 - 1449252544475*x^15 - 1781820630512*x^14 + 741316470848*x^13 + 780336238960*x^12 - 252930916704*x^11 - 246378996528*x^10 + 52976374432*x^9 + 53027846528*x^8 - 5529089280*x^7 - 7037785344*x^6 + 29527040*x^5 + 484715520*x^4 + 39032832*x^3 - 12103680*x^2 - 2007040*x - 81920, -2*x^49 + 9*x^48 + 141*x^47 - 675*x^46 - 4564*x^45 + 23556*x^44 + 89671*x^43 - 508085*x^42 - 1189163*x^41 + 7588446*x^40 + 11159005*x^39 - 83324924*x^38 - 74956685*x^37 + 697102606*x^36 + 348803351*x^35 - 4544096560*x^34 - 951750516*x^33 + 23407611307*x^32 - 191989863*x^31 - 96085708891*x^30 + 16654163814*x^29 + 315564327385*x^28 - 94274512732*x^27 - 829487925329*x^26 + 325581914619*x^25 + 1740188283069*x^24 - 799550037272*x^23 - 2896761720614*x^22 + 1454405712063*x^21 + 3793008012361*x^20 - 1975514000594*x^19 - 3862670285898*x^18 + 1986931297890*x^17 + 3018139860365*x^16 - 1449252544475*x^15 - 1781820630512*x^14 + 741316470848*x^13 + 780336238960*x^12 - 252930916704*x^11 - 246378996528*x^10 + 52976374432*x^9 + 53027846528*x^8 - 5529089280*x^7 - 7037785344*x^6 + 29527040*x^5 + 484715520*x^4 + 39032832*x^3 - 12103680*x^2 - 2007040*x - 81920, -3*x^49 + 9*x^48 + 232*x^47 - 704*x^46 - 8350*x^45 + 25668*x^44 + 185761*x^43 - 579521*x^42 - 2861193*x^41 + 9078778*x^40 + 32386110*x^39 - 104804896*x^38 - 279057666*x^37 + 924124058*x^36 + 1870683165*x^35 - 6366804840*x^34 - 9885099487*x^33 + 34770972089*x^32 + 41458339727*x^31 - 151841370651*x^30 - 138225270407*x^29 + 532493319286*x^28 + 365070953056*x^27 - 1500595337361*x^26 - 756623113224*x^25 + 3388732073098*x^24 + 1209022801857*x^23 - 6094597865034*x^22 - 1443408602037*x^21 + 8643214089392*x^20 + 1211142633550*x^19 - 9528878439814*x^18 - 611469694225*x^17 + 8009586600898*x^16 + 65057766390*x^15 - 5002893933867*x^14 + 136105830176*x^13 + 2246417531476*x^12 - 88737083224*x^11 - 695567024112*x^10 + 18199083904*x^9 + 140800010112*x^8 + 1714622720*x^7 - 17120181504*x^6 - 1197972992*x^5 + 1049719808*x^4 + 145758208*x^3 - 18825216*x^2 - 4481024*x - 212992, -3*x^49 + 9*x^48 + 232*x^47 - 704*x^46 - 8350*x^45 + 25668*x^44 + 185761*x^43 - 579521*x^42 - 2861193*x^41 + 9078778*x^40 + 32386110*x^39 - 104804896*x^38 - 279057666*x^37 + 924124058*x^36 + 1870683165*x^35 - 6366804840*x^34 - 9885099487*x^33 + 34770972089*x^32 + 41458339727*x^31 - 151841370651*x^30 - 138225270407*x^29 + 532493319286*x^28 + 365070953056*x^27 - 1500595337361*x^26 - 756623113224*x^25 + 3388732073098*x^24 + 1209022801857*x^23 - 6094597865034*x^22 - 1443408602037*x^21 + 8643214089392*x^20 + 1211142633550*x^19 - 9528878439814*x^18 - 611469694225*x^17 + 8009586600898*x^16 + 65057766390*x^15 - 5002893933867*x^14 + 136105830176*x^13 + 2246417531476*x^12 - 88737083224*x^11 - 695567024112*x^10 + 18199083904*x^9 + 140800010112*x^8 + 1714622720*x^7 - 17120181504*x^6 - 1197972992*x^5 + 1049719808*x^4 + 145758208*x^3 - 18825216*x^2 - 4481024*x - 212992, -3*x^51 + 12*x^50 + 229*x^49 - 955*x^48 - 8099*x^47 + 35482*x^46 + 175963*x^45 - 817795*x^44 - 2624130*x^43 + 13104851*x^42 + 28402427*x^41 - 155096507*x^40 - 229677661*x^39 + 1405704384*x^38 + 1402596087*x^37 - 9984572381*x^36 - 6413275410*x^35 + 56413815142*x^34 + 21010730081*x^33 - 255922041175*x^32 - 41723037272*x^31 + 936951139200*x^30 - 1663363793*x^29 - 2772947854503*x^28 + 367104524208*x^27 + 6624979994761*x^26 - 1562008847809*x^25 - 12722611896011*x^24 + 4027539929829*x^23 + 19496032605350*x^22 - 7362225815397*x^21 - 23590138090497*x^20 + 9915458386295*x^19 + 22225088363538*x^18 - 9879193075096*x^17 - 16016305453456*x^16 + 7180758086227*x^15 + 8639693458608*x^14 - 3698724681444*x^13 - 3401507690288*x^12 + 1288061252432*x^11 + 948828609040*x^10 - 280892073952*x^9 - 180052627520*x^8 + 32983449472*x^7 + 21610349824*x^6 - 1218273792*x^5 - 1399440384*x^4 - 80250880*x^3 + 31113216*x^2 + 4612096*x + 180224, -3*x^51 + 12*x^50 + 229*x^49 - 955*x^48 - 8099*x^47 + 35482*x^46 + 175963*x^45 - 817795*x^44 - 2624130*x^43 + 13104851*x^42 + 28402427*x^41 - 155096507*x^40 - 229677661*x^39 + 1405704384*x^38 + 1402596087*x^37 - 9984572381*x^36 - 6413275410*x^35 + 56413815142*x^34 + 21010730081*x^33 - 255922041175*x^32 - 41723037272*x^31 + 936951139200*x^30 - 1663363793*x^29 - 2772947854503*x^28 + 367104524208*x^27 + 6624979994761*x^26 - 1562008847809*x^25 - 12722611896011*x^24 + 4027539929829*x^23 + 19496032605350*x^22 - 7362225815397*x^21 - 23590138090497*x^20 + 9915458386295*x^19 + 22225088363538*x^18 - 9879193075096*x^17 - 16016305453456*x^16 + 7180758086227*x^15 + 8639693458608*x^14 - 3698724681444*x^13 - 3401507690288*x^12 + 1288061252432*x^11 + 948828609040*x^10 - 280892073952*x^9 - 180052627520*x^8 + 32983449472*x^7 + 21610349824*x^6 - 1218273792*x^5 - 1399440384*x^4 - 80250880*x^3 + 31113216*x^2 + 4612096*x + 180224, x^51 - 4*x^50 - 76*x^49 + 318*x^48 + 2677*x^47 - 11823*x^46 - 57905*x^45 + 273146*x^44 + 858431*x^43 - 4394607*x^42 - 9204622*x^41 + 52299038*x^40 + 73221702*x^39 - 477312423*x^38 - 433489367*x^37 + 3418251469*x^36 + 1857559217*x^35 - 19493912152*x^34 - 5144890434*x^33 + 89340391098*x^32 + 3992812347*x^31 - 330656310989*x^30 + 42995767498*x^29 + 989718917578*x^28 - 267782956581*x^27 - 2391917828870*x^26 + 917947901505*x^25 + 4646184280868*x^24 - 2202881003720*x^23 - 7199093514932*x^22 + 3918040272862*x^21 + 8802939138143*x^20 - 5237426048416*x^19 - 8375658379483*x^18 + 5235777390587*x^17 + 6093325410654*x^16 - 3843761082210*x^15 - 3321293632301*x^14 + 2007737090720*x^13 + 1327275739960*x^12 - 710070188888*x^11 - 380444191696*x^10 + 156888968960*x^9 + 75976737216*x^8 - 18497724544*x^7 - 9894061056*x^6 + 660240896*x^5 + 709332992*x^4 + 47237120*x^3 - 17018880*x^2 - 2760704*x - 114688, x^51 - 4*x^50 - 76*x^49 + 318*x^48 + 2677*x^47 - 11823*x^46 - 57905*x^45 + 273146*x^44 + 858431*x^43 - 4394607*x^42 - 9204622*x^41 + 52299038*x^40 + 73221702*x^39 - 477312423*x^38 - 433489367*x^37 + 3418251469*x^36 + 1857559217*x^35 - 19493912152*x^34 - 5144890434*x^33 + 89340391098*x^32 + 3992812347*x^31 - 330656310989*x^30 + 42995767498*x^29 + 989718917578*x^28 - 267782956581*x^27 - 2391917828870*x^26 + 917947901505*x^25 + 4646184280868*x^24 - 2202881003720*x^23 - 7199093514932*x^22 + 3918040272862*x^21 + 8802939138143*x^20 - 5237426048416*x^19 - 8375658379483*x^18 + 5235777390587*x^17 + 6093325410654*x^16 - 3843761082210*x^15 - 3321293632301*x^14 + 2007737090720*x^13 + 1327275739960*x^12 - 710070188888*x^11 - 380444191696*x^10 + 156888968960*x^9 + 75976737216*x^8 - 18497724544*x^7 - 9894061056*x^6 + 660240896*x^5 + 709332992*x^4 + 47237120*x^3 - 17018880*x^2 - 2760704*x - 114688, x^51 - 4*x^50 - 74*x^49 + 309*x^48 + 2535*x^47 - 11138*x^46 - 53293*x^45 + 248898*x^44 + 768025*x^43 - 3864393*x^42 - 8019670*x^41 + 44276299*x^40 + 62419831*x^39 - 388127984*x^38 - 365605521*x^37 + 2663444587*x^36 + 1593519913*x^35 - 14519945067*x^34 - 4907322004*x^33 + 63455237899*x^32 + 8672493274*x^31 - 223365835468*x^30 + 4669536213*x^29 + 634066793961*x^28 - 91733266012*x^27 - 1448618263373*x^26 + 349223016126*x^25 + 2650078671382*x^24 - 832245948734*x^23 - 3850028196246*x^22 + 1407148692967*x^21 + 4391052522442*x^20 - 1735994599903*x^19 - 3874143797563*x^18 + 1555448934002*x^17 + 2598445369515*x^16 - 987070679466*x^15 - 1300014733692*x^14 + 424018358982*x^13 + 475410082900*x^12 - 114932464472*x^11 - 123174769392*x^10 + 17677049856*x^9 + 20859884992*x^8 - 1285078656*x^7 - 1879807744*x^6 + 49933824*x^5 + 46184448*x^4 - 7745536*x^3 + 200704*x^2 + 458752*x + 32768, x^51 - 4*x^50 - 74*x^49 + 309*x^48 + 2535*x^47 - 11138*x^46 - 53293*x^45 + 248898*x^44 + 768025*x^43 - 3864393*x^42 - 8019670*x^41 + 44276299*x^40 + 62419831*x^39 - 388127984*x^38 - 365605521*x^37 + 2663444587*x^36 + 1593519913*x^35 - 14519945067*x^34 - 4907322004*x^33 + 63455237899*x^32 + 8672493274*x^31 - 223365835468*x^30 + 4669536213*x^29 + 634066793961*x^28 - 91733266012*x^27 - 1448618263373*x^26 + 349223016126*x^25 + 2650078671382*x^24 - 832245948734*x^23 - 3850028196246*x^22 + 1407148692967*x^21 + 4391052522442*x^20 - 1735994599903*x^19 - 3874143797563*x^18 + 1555448934002*x^17 + 2598445369515*x^16 - 987070679466*x^15 - 1300014733692*x^14 + 424018358982*x^13 + 475410082900*x^12 - 114932464472*x^11 - 123174769392*x^10 + 17677049856*x^9 + 20859884992*x^8 - 1285078656*x^7 - 1879807744*x^6 + 49933824*x^5 + 46184448*x^4 - 7745536*x^3 + 200704*x^2 + 458752*x + 32768, x^50 - 2*x^49 - 84*x^48 + 172*x^47 + 3278*x^46 - 6851*x^45 - 79013*x^44 + 168146*x^43 + 1319175*x^42 - 2852865*x^41 - 16213233*x^40 + 35574393*x^39 + 152176943*x^38 - 338311460*x^37 - 1116779476*x^36 + 2512634332*x^35 + 6507443390*x^34 - 14801945717*x^33 - 30404516388*x^32 + 69852416466*x^31 + 114550404217*x^30 - 265567426914*x^29 - 348782387846*x^28 + 815167987774*x^27 + 857580483459*x^26 - 2018321096654*x^25 - 1696599071636*x^24 + 4014782274161*x^23 + 2683129318671*x^22 - 6369256884023*x^21 - 3360138031497*x^20 + 7969571216932*x^19 + 3291374872307*x^18 - 7740985471326*x^17 - 2485616028227*x^16 + 5708655956512*x^15 + 1427015273023*x^14 - 3098829888220*x^13 - 617874599288*x^12 + 1185076425704*x^11 + 202558363968*x^10 - 299466997056*x^9 - 50235077184*x^8 + 45172077312*x^7 + 8731564800*x^6 - 3296027648*x^5 - 853264384*x^4 + 45160448*x^3 + 27308032*x^2 + 2441216*x + 65536, x^50 - 2*x^49 - 84*x^48 + 172*x^47 + 3278*x^46 - 6851*x^45 - 79013*x^44 + 168146*x^43 + 1319175*x^42 - 2852865*x^41 - 16213233*x^40 + 35574393*x^39 + 152176943*x^38 - 338311460*x^37 - 1116779476*x^36 + 2512634332*x^35 + 6507443390*x^34 - 14801945717*x^33 - 30404516388*x^32 + 69852416466*x^31 + 114550404217*x^30 - 265567426914*x^29 - 348782387846*x^28 + 815167987774*x^27 + 857580483459*x^26 - 2018321096654*x^25 - 1696599071636*x^24 + 4014782274161*x^23 + 2683129318671*x^22 - 6369256884023*x^21 - 3360138031497*x^20 + 7969571216932*x^19 + 3291374872307*x^18 - 7740985471326*x^17 - 2485616028227*x^16 + 5708655956512*x^15 + 1427015273023*x^14 - 3098829888220*x^13 - 617874599288*x^12 + 1185076425704*x^11 + 202558363968*x^10 - 299466997056*x^9 - 50235077184*x^8 + 45172077312*x^7 + 8731564800*x^6 - 3296027648*x^5 - 853264384*x^4 + 45160448*x^3 + 27308032*x^2 + 2441216*x + 65536, -2*x^49 + 9*x^48 + 139*x^47 - 669*x^46 - 4415*x^45 + 23099*x^44 + 84558*x^43 - 492006*x^42 - 1081944*x^41 + 7241513*x^40 + 9622012*x^39 - 78185115*x^38 - 58994340*x^37 + 641631378*x^36 + 224630485*x^35 - 4092523510*x^34 - 214036069*x^33 + 20574811204*x^32 - 3573396276*x^31 - 82213816232*x^30 + 28648392208*x^29 + 262171116666*x^28 - 127085821121*x^27 - 667597553399*x^26 + 394094629871*x^25 + 1354244976796*x^24 - 906717715641*x^23 - 2177486392832*x^22 + 1576249343405*x^21 + 2755210480801*x^20 - 2071802556270*x^19 - 2719616382665*x^18 + 2037429048004*x^17 + 2075266824586*x^16 - 1468925219070*x^15 - 1214115544132*x^14 + 752440688882*x^13 + 539727216188*x^12 - 261234619408*x^11 - 178741472832*x^10 + 56764314560*x^9 + 41837368640*x^8 - 6358747136*x^7 - 6214067200*x^6 + 76687872*x^5 + 476729344*x^4 + 45492224*x^3 - 10719232*x^2 - 1933312*x - 81920, -2*x^49 + 9*x^48 + 139*x^47 - 669*x^46 - 4415*x^45 + 23099*x^44 + 84558*x^43 - 492006*x^42 - 1081944*x^41 + 7241513*x^40 + 9622012*x^39 - 78185115*x^38 - 58994340*x^37 + 641631378*x^36 + 224630485*x^35 - 4092523510*x^34 - 214036069*x^33 + 20574811204*x^32 - 3573396276*x^31 - 82213816232*x^30 + 28648392208*x^29 + 262171116666*x^28 - 127085821121*x^27 - 667597553399*x^26 + 394094629871*x^25 + 1354244976796*x^24 - 906717715641*x^23 - 2177486392832*x^22 + 1576249343405*x^21 + 2755210480801*x^20 - 2071802556270*x^19 - 2719616382665*x^18 + 2037429048004*x^17 + 2075266824586*x^16 - 1468925219070*x^15 - 1214115544132*x^14 + 752440688882*x^13 + 539727216188*x^12 - 261234619408*x^11 - 178741472832*x^10 + 56764314560*x^9 + 41837368640*x^8 - 6358747136*x^7 - 6214067200*x^6 + 76687872*x^5 + 476729344*x^4 + 45492224*x^3 - 10719232*x^2 - 1933312*x - 81920, -3*x^47 + 14*x^46 + 188*x^45 - 953*x^44 - 5299*x^43 + 29922*x^42 + 87849*x^41 - 574728*x^40 - 930766*x^39 + 7550720*x^38 + 6210742*x^37 - 71849907*x^36 - 20151660*x^35 + 511256745*x^34 - 62769846*x^33 - 2766762201*x^32 + 1243828554*x^31 + 11451440926*x^30 - 8501184940*x^29 - 36036430837*x^28 + 37581835863*x^27 + 84270256052*x^26 - 119501597975*x^25 - 137771205502*x^24 + 282252217062*x^23 + 127599325298*x^22 - 498082092552*x^21 + 28027796497*x^20 + 650151179860*x^19 - 305983359107*x^18 - 612247017264*x^17 + 527294925035*x^16 + 397599833621*x^15 - 522379806666*x^14 - 164257269802*x^13 + 331529209156*x^12 + 36558702144*x^11 - 135446376144*x^10 - 2540978688*x^9 + 34563404224*x^8 - 106324224*x^7 - 5167889408*x^6 - 123727360*x^5 + 398470144*x^4 + 34283520*x^3 - 11481088*x^2 - 1957888*x - 81920, -3*x^47 + 14*x^46 + 188*x^45 - 953*x^44 - 5299*x^43 + 29922*x^42 + 87849*x^41 - 574728*x^40 - 930766*x^39 + 7550720*x^38 + 6210742*x^37 - 71849907*x^36 - 20151660*x^35 + 511256745*x^34 - 62769846*x^33 - 2766762201*x^32 + 1243828554*x^31 + 11451440926*x^30 - 8501184940*x^29 - 36036430837*x^28 + 37581835863*x^27 + 84270256052*x^26 - 119501597975*x^25 - 137771205502*x^24 + 282252217062*x^23 + 127599325298*x^22 - 498082092552*x^21 + 28027796497*x^20 + 650151179860*x^19 - 305983359107*x^18 - 612247017264*x^17 + 527294925035*x^16 + 397599833621*x^15 - 522379806666*x^14 - 164257269802*x^13 + 331529209156*x^12 + 36558702144*x^11 - 135446376144*x^10 - 2540978688*x^9 + 34563404224*x^8 - 106324224*x^7 - 5167889408*x^6 - 123727360*x^5 + 398470144*x^4 + 34283520*x^3 - 11481088*x^2 - 1957888*x - 81920, -2*x^50 + 8*x^49 + 148*x^48 - 617*x^47 - 5069*x^46 + 22189*x^45 + 106542*x^44 - 494373*x^43 - 1535502*x^42 + 7647262*x^41 + 16046860*x^40 - 87229284*x^39 - 125212771*x^38 + 760658605*x^37 + 737876674*x^36 - 5188211384*x^35 - 3261921416*x^34 + 28087015312*x^33 + 10412300470*x^32 - 121771905464*x^31 - 20910488303*x^30 + 424778809889*x^29 + 6967770467*x^28 - 1193478872538*x^27 + 125581521720*x^26 + 2694926956832*x^25 - 538330787083*x^24 - 4864128664739*x^23 + 1320294308309*x^22 + 6955976982279*x^21 - 2244363079747*x^20 - 7782939474121*x^19 + 2756287223672*x^18 + 6699776906502*x^17 - 2444895501855*x^16 - 4342759969496*x^15 + 1529164564466*x^14 + 2064188767970*x^13 - 642524755100*x^12 - 696775285600*x^11 + 166176020000*x^10 + 160075415136*x^9 - 21836592832*x^8 - 23160307072*x^7 + 454070528*x^6 + 1759909376*x^5 + 153811968*x^4 - 38621184*x^3 - 5771264*x^2 - 32768*x + 16384, -2*x^50 + 8*x^49 + 148*x^48 - 617*x^47 - 5069*x^46 + 22189*x^45 + 106542*x^44 - 494373*x^43 - 1535502*x^42 + 7647262*x^41 + 16046860*x^40 - 87229284*x^39 - 125212771*x^38 + 760658605*x^37 + 737876674*x^36 - 5188211384*x^35 - 3261921416*x^34 + 28087015312*x^33 + 10412300470*x^32 - 121771905464*x^31 - 20910488303*x^30 + 424778809889*x^29 + 6967770467*x^28 - 1193478872538*x^27 + 125581521720*x^26 + 2694926956832*x^25 - 538330787083*x^24 - 4864128664739*x^23 + 1320294308309*x^22 + 6955976982279*x^21 - 2244363079747*x^20 - 7782939474121*x^19 + 2756287223672*x^18 + 6699776906502*x^17 - 2444895501855*x^16 - 4342759969496*x^15 + 1529164564466*x^14 + 2064188767970*x^13 - 642524755100*x^12 - 696775285600*x^11 + 166176020000*x^10 + 160075415136*x^9 - 21836592832*x^8 - 23160307072*x^7 + 454070528*x^6 + 1759909376*x^5 + 153811968*x^4 - 38621184*x^3 - 5771264*x^2 - 32768*x + 16384, x^50 - 4*x^49 - 74*x^48 + 309*x^47 + 2537*x^46 - 11155*x^45 - 53388*x^44 + 250025*x^43 + 769521*x^42 - 3898727*x^41 - 8015238*x^40 + 44913510*x^39 + 61849145*x^38 - 396178638*x^37 - 354338833*x^36 + 2736712476*x^35 + 1462410301*x^34 - 15015370783*x^33 - 3847640378*x^32 + 65983169715*x^31 + 2350490334*x^30 - 233131758317*x^29 + 33337250383*x^28 + 662337407097*x^27 - 192013469070*x^26 - 1507919595139*x^25 + 621510955613*x^24 + 2731878084150*x^23 - 1406198125598*x^22 - 3895867245004*x^21 + 2341590931834*x^20 + 4306746178998*x^19 - 2899251600841*x^18 - 3615695996943*x^17 + 2645579421885*x^16 + 2245600919432*x^15 - 1739106267530*x^14 - 999792531530*x^13 + 793804470820*x^12 + 308746834208*x^11 - 238291855120*x^10 - 64354733600*x^9 + 43355774720*x^8 + 8794226944*x^7 - 4126175232*x^6 - 716623872*x^5 + 145789952*x^4 + 24090624*x^3 - 1228800*x^2 - 188416*x, x^50 - 4*x^49 - 74*x^48 + 309*x^47 + 2537*x^46 - 11155*x^45 - 53388*x^44 + 250025*x^43 + 769521*x^42 - 3898727*x^41 - 8015238*x^40 + 44913510*x^39 + 61849145*x^38 - 396178638*x^37 - 354338833*x^36 + 2736712476*x^35 + 1462410301*x^34 - 15015370783*x^33 - 3847640378*x^32 + 65983169715*x^31 + 2350490334*x^30 - 233131758317*x^29 + 33337250383*x^28 + 662337407097*x^27 - 192013469070*x^26 - 1507919595139*x^25 + 621510955613*x^24 + 2731878084150*x^23 - 1406198125598*x^22 - 3895867245004*x^21 + 2341590931834*x^20 + 4306746178998*x^19 - 2899251600841*x^18 - 3615695996943*x^17 + 2645579421885*x^16 + 2245600919432*x^15 - 1739106267530*x^14 - 999792531530*x^13 + 793804470820*x^12 + 308746834208*x^11 - 238291855120*x^10 - 64354733600*x^9 + 43355774720*x^8 + 8794226944*x^7 - 4126175232*x^6 - 716623872*x^5 + 145789952*x^4 + 24090624*x^3 - 1228800*x^2 - 188416*x, x^50 - 3*x^49 - 76*x^48 + 228*x^47 + 2701*x^46 - 8109*x^45 - 59618*x^44 + 179355*x^43 + 915233*x^42 - 2764822*x^41 - 10367221*x^40 + 31545891*x^39 + 89681763*x^38 - 276091674*x^37 - 604710305*x^36 + 1895232461*x^35 + 3214311997*x^34 - 10345102254*x^33 - 13524551867*x^32 + 45249719282*x^31 + 44930616353*x^30 - 159070232122*x^29 - 116628923550*x^28 + 448872047182*x^27 + 231262910361*x^26 - 1011322387473*x^25 - 334004230761*x^24 + 1801166929128*x^23 + 310218534303*x^22 - 2495979135397*x^21 - 91531354819*x^20 + 2626944069870*x^19 - 209692979128*x^18 - 2021842908132*x^17 + 364807075925*x^16 + 1066501598627*x^15 - 288440767744*x^14 - 335539833022*x^13 + 124423451508*x^12 + 34631493048*x^11 - 26204039088*x^10 + 13834780672*x^9 + 1657697920*x^8 - 5483430912*x^7 + 32037632*x^6 + 742754816*x^5 + 35802112*x^4 - 36126720*x^3 - 3715072*x^2 + 294912*x + 32768, x^50 - 3*x^49 - 76*x^48 + 228*x^47 + 2701*x^46 - 8109*x^45 - 59618*x^44 + 179355*x^43 + 915233*x^42 - 2764822*x^41 - 10367221*x^40 + 31545891*x^39 + 89681763*x^38 - 276091674*x^37 - 604710305*x^36 + 1895232461*x^35 + 3214311997*x^34 - 10345102254*x^33 - 13524551867*x^32 + 45249719282*x^31 + 44930616353*x^30 - 159070232122*x^29 - 116628923550*x^28 + 448872047182*x^27 + 231262910361*x^26 - 1011322387473*x^25 - 334004230761*x^24 + 1801166929128*x^23 + 310218534303*x^22 - 2495979135397*x^21 - 91531354819*x^20 + 2626944069870*x^19 - 209692979128*x^18 - 2021842908132*x^17 + 364807075925*x^16 + 1066501598627*x^15 - 288440767744*x^14 - 335539833022*x^13 + 124423451508*x^12 + 34631493048*x^11 - 26204039088*x^10 + 13834780672*x^9 + 1657697920*x^8 - 5483430912*x^7 + 32037632*x^6 + 742754816*x^5 + 35802112*x^4 - 36126720*x^3 - 3715072*x^2 + 294912*x + 32768, x^49 - 5*x^48 - 70*x^47 + 378*x^46 + 2246*x^45 - 13324*x^44 - 43613*x^43 + 290970*x^42 + 568485*x^41 - 4412186*x^40 - 5185911*x^39 + 49349611*x^38 + 33013641*x^37 - 422159337*x^36 - 134866792*x^35 + 2826476169*x^34 + 196362960*x^33 - 15033043892*x^32 + 1694126934*x^31 + 64103900373*x^30 - 15759425525*x^29 - 220242791634*x^28 + 75265575415*x^27 + 610517161391*x^26 - 249093861078*x^25 - 1362918826346*x^24 + 612837106063*x^23 + 2437997474572*x^22 - 1145687043858*x^21 - 3465304945457*x^20 + 1631496467178*x^19 + 3866440089906*x^18 - 1752427893600*x^17 - 3330694842539*x^16 + 1390151403932*x^15 + 2166827104294*x^14 - 786394707368*x^13 - 1033746550016*x^12 + 299785136992*x^11 + 347297351792*x^10 - 69735976160*x^9 - 77326395200*x^8 + 7866748160*x^7 + 10302227968*x^6 - 38014464*x^5 - 677950464*x^4 - 55431168*x^3 + 14151680*x^2 + 2203648*x + 81920, x^49 - 5*x^48 - 70*x^47 + 378*x^46 + 2246*x^45 - 13324*x^44 - 43613*x^43 + 290970*x^42 + 568485*x^41 - 4412186*x^40 - 5185911*x^39 + 49349611*x^38 + 33013641*x^37 - 422159337*x^36 - 134866792*x^35 + 2826476169*x^34 + 196362960*x^33 - 15033043892*x^32 + 1694126934*x^31 + 64103900373*x^30 - 15759425525*x^29 - 220242791634*x^28 + 75265575415*x^27 + 610517161391*x^26 - 249093861078*x^25 - 1362918826346*x^24 + 612837106063*x^23 + 2437997474572*x^22 - 1145687043858*x^21 - 3465304945457*x^20 + 1631496467178*x^19 + 3866440089906*x^18 - 1752427893600*x^17 - 3330694842539*x^16 + 1390151403932*x^15 + 2166827104294*x^14 - 786394707368*x^13 - 1033746550016*x^12 + 299785136992*x^11 + 347297351792*x^10 - 69735976160*x^9 - 77326395200*x^8 + 7866748160*x^7 + 10302227968*x^6 - 38014464*x^5 - 677950464*x^4 - 55431168*x^3 + 14151680*x^2 + 2203648*x + 81920, x^50 - 4*x^49 - 75*x^48 + 315*x^47 + 2589*x^46 - 11534*x^45 - 54464*x^44 + 260885*x^43 + 778330*x^42 - 4084587*x^41 - 7956935*x^40 + 47009920*x^39 + 59425778*x^38 - 412243850*x^37 - 321880115*x^36 + 2817398847*x^35 + 1190612085*x^34 - 15221352568*x^33 - 2243963618*x^32 + 65554560573*x^31 - 4595014043*x^30 - 225911007439*x^29 + 55640497044*x^28 + 622808414057*x^27 - 244336890065*x^26 - 1367885648780*x^25 + 706132797593*x^24 + 2373379677956*x^23 - 1481748578575*x^22 - 3209431651073*x^21 + 2317643321407*x^20 + 3314675172555*x^19 - 2702976978863*x^18 - 2537845485841*x^17 + 2314649188487*x^16 + 1377486698988*x^15 - 1412953944821*x^14 - 493631410868*x^13 + 587282703188*x^12 + 102346432400*x^11 - 155620842656*x^10 - 8100944224*x^9 + 24058487936*x^8 - 905616640*x^7 - 1908418304*x^6 + 241117184*x^5 + 68810752*x^4 - 17850368*x^3 - 1929216*x^2 + 352256*x + 32768, x^50 - 4*x^49 - 75*x^48 + 315*x^47 + 2589*x^46 - 11534*x^45 - 54464*x^44 + 260885*x^43 + 778330*x^42 - 4084587*x^41 - 7956935*x^40 + 47009920*x^39 + 59425778*x^38 - 412243850*x^37 - 321880115*x^36 + 2817398847*x^35 + 1190612085*x^34 - 15221352568*x^33 - 2243963618*x^32 + 65554560573*x^31 - 4595014043*x^30 - 225911007439*x^29 + 55640497044*x^28 + 622808414057*x^27 - 244336890065*x^26 - 1367885648780*x^25 + 706132797593*x^24 + 2373379677956*x^23 - 1481748578575*x^22 - 3209431651073*x^21 + 2317643321407*x^20 + 3314675172555*x^19 - 2702976978863*x^18 - 2537845485841*x^17 + 2314649188487*x^16 + 1377486698988*x^15 - 1412953944821*x^14 - 493631410868*x^13 + 587282703188*x^12 + 102346432400*x^11 - 155620842656*x^10 - 8100944224*x^9 + 24058487936*x^8 - 905616640*x^7 - 1908418304*x^6 + 241117184*x^5 + 68810752*x^4 - 17850368*x^3 - 1929216*x^2 + 352256*x + 32768, x^49 - 4*x^48 - 70*x^47 + 290*x^46 + 2271*x^45 - 9797*x^44 - 45297*x^43 + 204910*x^42 + 620899*x^41 - 2973342*x^40 - 6186646*x^39 + 31784174*x^38 + 46136893*x^37 - 259379656*x^36 - 260282124*x^35 + 1652065200*x^34 + 1100887096*x^33 - 8324177491*x^32 - 3336448947*x^31 + 33420652299*x^30 + 6100908410*x^29 - 107138718847*x^28 + 503912096*x^27 + 273481072340*x^26 - 47343084814*x^25 - 551387370372*x^24 + 183845772059*x^23 + 865228795356*x^22 - 430762297170*x^21 - 1030888013688*x^20 + 706677980397*x^19 + 893522292634*x^18 - 837770075102*x^17 - 517029648683*x^16 + 714503410748*x^15 + 154673996477*x^14 - 427537912532*x^13 + 15217644264*x^12 + 171993196776*x^11 - 31207893696*x^10 - 43797218080*x^9 + 10143884928*x^8 + 6504801152*x^7 - 1124790784*x^6 - 476436480*x^5 - 7291904*x^4 + 6965248*x^3 + 2678784*x^2 + 557056*x + 32768, x^49 - 4*x^48 - 70*x^47 + 290*x^46 + 2271*x^45 - 9797*x^44 - 45297*x^43 + 204910*x^42 + 620899*x^41 - 2973342*x^40 - 6186646*x^39 + 31784174*x^38 + 46136893*x^37 - 259379656*x^36 - 260282124*x^35 + 1652065200*x^34 + 1100887096*x^33 - 8324177491*x^32 - 3336448947*x^31 + 33420652299*x^30 + 6100908410*x^29 - 107138718847*x^28 + 503912096*x^27 + 273481072340*x^26 - 47343084814*x^25 - 551387370372*x^24 + 183845772059*x^23 + 865228795356*x^22 - 430762297170*x^21 - 1030888013688*x^20 + 706677980397*x^19 + 893522292634*x^18 - 837770075102*x^17 - 517029648683*x^16 + 714503410748*x^15 + 154673996477*x^14 - 427537912532*x^13 + 15217644264*x^12 + 171993196776*x^11 - 31207893696*x^10 - 43797218080*x^9 + 10143884928*x^8 + 6504801152*x^7 - 1124790784*x^6 - 476436480*x^5 - 7291904*x^4 + 6965248*x^3 + 2678784*x^2 + 557056*x + 32768, x^51 - 4*x^50 - 79*x^49 + 329*x^48 + 2891*x^47 - 12624*x^46 - 65006*x^45 + 300323*x^44 + 1004070*x^43 - 4965583*x^42 - 11273623*x^41 + 60625710*x^40 + 94842878*x^39 - 566860664*x^38 - 605725073*x^37 + 4154729619*x^36 + 2926723509*x^35 - 24234276320*x^34 - 10384393542*x^33 + 113575324507*x^32 + 24385945245*x^31 - 429958513079*x^30 - 20017257948*x^29 + 1317297865299*x^28 - 114437181367*x^27 - 3262455484530*x^26 + 629583430855*x^25 + 6504238254476*x^24 - 1800527905879*x^23 - 10362569230239*x^22 + 3541613392245*x^21 + 13051988135575*x^20 - 5087368606353*x^19 - 12805695074371*x^18 + 5396868525237*x^17 + 9598278659374*x^16 - 4182668302691*x^15 - 5361389146506*x^14 + 2303759237462*x^13 + 2165005188500*x^12 - 860650613024*x^11 - 610011721072*x^10 + 202291166560*x^9 + 115054951808*x^8 - 26170631808*x^7 - 13636373248*x^6 + 1295397888*x^5 + 884089856*x^4 + 28987392*x^3 - 20426752*x^2 - 2662400*x - 98304, x^51 - 4*x^50 - 79*x^49 + 329*x^48 + 2891*x^47 - 12624*x^46 - 65006*x^45 + 300323*x^44 + 1004070*x^43 - 4965583*x^42 - 11273623*x^41 + 60625710*x^40 + 94842878*x^39 - 566860664*x^38 - 605725073*x^37 + 4154729619*x^36 + 2926723509*x^35 - 24234276320*x^34 - 10384393542*x^33 + 113575324507*x^32 + 24385945245*x^31 - 429958513079*x^30 - 20017257948*x^29 + 1317297865299*x^28 - 114437181367*x^27 - 3262455484530*x^26 + 629583430855*x^25 + 6504238254476*x^24 - 1800527905879*x^23 - 10362569230239*x^22 + 3541613392245*x^21 + 13051988135575*x^20 - 5087368606353*x^19 - 12805695074371*x^18 + 5396868525237*x^17 + 9598278659374*x^16 - 4182668302691*x^15 - 5361389146506*x^14 + 2303759237462*x^13 + 2165005188500*x^12 - 860650613024*x^11 - 610011721072*x^10 + 202291166560*x^9 + 115054951808*x^8 - 26170631808*x^7 - 13636373248*x^6 + 1295397888*x^5 + 884089856*x^4 + 28987392*x^3 - 20426752*x^2 - 2662400*x - 98304]>
       ]
>;

MOG[977] := 	// J_0(977)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 3,
           Coordinates        := [0, 167, 265, 426, 562, 661, 706, 803, 859, 922, 705*x + 532, 272*x + 532, 667*x + 789, 310*x + 789, 352*x + 970, 625*x + 970, 555*x + 375, 422*x + 375, 150*x + 297, 827*x + 297, 717*x + 111, 260*x + 111, 385*x + 395, 592*x + 395, 867*x + 426, 110*x + 426, 193*x + 528, 784*x + 528, 209*x + 546, 768*x + 546, 276*x + 672, 701*x + 672, 384*x + 116, 593*x + 116, 186*x + 645, 791*x + 645, 38*x + 759, 939*x + 759, 76*x + 788, 901*x + 788, 15*x + 423, 962*x + 423, 340*x + 374, 637*x + 374, 325*x + 99, 652*x + 99, 248*x + 420, 729*x + 420, 2*x + 67, 975*x + 67, 924*x + 645, 53*x + 645, 181*x + 486, 796*x + 486, 709*x + 142, 268*x + 142, 273*x + 864, 704*x + 864, 582*x + 728, 395*x + 728, 875*x + 353, 102*x + 353, 327*x + 771, 650*x + 771, 543*x + 342, 434*x + 342, 284*x + 858, 693*x + 858, 903*x + 237, 74*x + 237, 598*x + 658, 379*x + 658, 21*x + 283, 956*x + 283, 406*x + 468, 571*x + 468, 716*x + 720, 261*x + 720, 373*x + 497, 604*x + 497, 272*x + 906, 705*x + 906]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^36 + 7*x^35 - 25*x^34 - 274*x^33 + 104*x^32 + 4757*x^31 + 3613*x^30 - 48235*x^29 - 68569*x^28 + 315995*x^27 + 615270*x^26 - 1391862*x^25 - 3479514*x^24 + 4119286*x^23 + 13491756*x^22 - 7708991*x^21 - 37115381*x^20 + 6727397*x^19 + 73327497*x^18 + 6301163*x^17 - 103884107*x^16 - 28978479*x^15 + 104185138*x^14 + 44343203*x^13 - 72130944*x^12 - 39315573*x^11 + 33047114*x^10 + 21654611*x^9 - 9305469*x^8 - 7298543*x^7 + 1381236*x^6 + 1405128*x^5 - 62731*x^4 - 133630*x^3 - 4810*x^2 + 4601*x + 383,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^35 - 7*x^34 + 23*x^33 + 260*x^32 - 62*x^31 - 4263*x^30 - 3647*x^29 + 40606*x^28 + 60899*x^27 - 248366*x^26 - 502344*x^25 + 1013804*x^24 + 2624726*x^23 - 2752014*x^22 - 9387209*x^21 + 4633098*x^20 + 23722627*x^19 - 3332407*x^18 - 42821934*x^17 - 4254918*x^16 + 55067513*x^15 + 14861144*x^14 - 49742990*x^13 - 19699167*x^12 + 30739711*x^11 + 15194011*x^10 - 12448790*x^9 - 7197852*x^8 + 3079192*x^7 + 2043868*x^6 - 410399*x^5 - 321129*x^4 + 22660*x^3 + 23656*x^2 - 273*x - 579, x^35 + 7*x^34 - 23*x^33 - 260*x^32 + 62*x^31 + 4263*x^30 + 3647*x^29 - 40606*x^28 - 60899*x^27 + 248366*x^26 + 502344*x^25 - 1013804*x^24 - 2624726*x^23 + 2752014*x^22 + 9387209*x^21 - 4633098*x^20 - 23722627*x^19 + 3332407*x^18 + 42821934*x^17 + 4254918*x^16 - 55067513*x^15 - 14861144*x^14 + 49742990*x^13 + 19699167*x^12 - 30739711*x^11 - 15194011*x^10 + 12448790*x^9 + 7197852*x^8 - 3079192*x^7 - 2043868*x^6 + 410399*x^5 + 321129*x^4 - 22660*x^3 - 23656*x^2 + 273*x + 579, -x^34 - 7*x^33 + 21*x^32 + 247*x^31 - 17*x^30 - 3814*x^29 - 3832*x^28 + 33807*x^27 + 56390*x^26 - 189014*x^25 - 426627*x^24 + 684012*x^23 + 2047583*x^22 - 1541407*x^21 - 6677053*x^20 + 1712157*x^19 + 15193432*x^18 + 983584*x^17 - 24265806*x^16 - 6976037*x^15 + 26960614*x^14 + 12173465*x^13 - 20358724*x^12 - 11849471*x^11 + 10015010*x^10 + 7024534*x^9 - 2969031*x^8 - 2507837*x^7 + 445325*x^6 + 502306*x^5 - 14901*x^4 - 48091*x^3 - 2590*x^2 + 1537*x + 163, x^34 + 7*x^33 - 21*x^32 - 247*x^31 + 17*x^30 + 3814*x^29 + 3832*x^28 - 33807*x^27 - 56390*x^26 + 189014*x^25 + 426627*x^24 - 684012*x^23 - 2047583*x^22 + 1541407*x^21 + 6677053*x^20 - 1712157*x^19 - 15193432*x^18 - 983584*x^17 + 24265806*x^16 + 6976037*x^15 - 26960614*x^14 - 12173465*x^13 + 20358724*x^12 + 11849471*x^11 - 10015010*x^10 - 7024534*x^9 + 2969031*x^8 + 2507837*x^7 - 445325*x^6 - 502306*x^5 + 14901*x^4 + 48091*x^3 + 2590*x^2 - 1537*x - 163, -x^34 - 7*x^33 + 21*x^32 + 247*x^31 - 17*x^30 - 3815*x^29 - 3838*x^28 + 33822*x^27 + 56536*x^26 - 189044*x^25 - 428161*x^24 + 683260*x^23 + 2056964*x^22 - 1534486*x^21 - 6715701*x^20 + 1682833*x^19 + 15312131*x^18 + 1062661*x^17 - 24550788*x^16 - 7141298*x^15 + 27481534*x^14 + 12470571*x^13 - 21032509*x^12 - 12272091*x^11 + 10583314*x^10 + 7432225*x^9 - 3257246*x^8 - 2746838*x^7 + 525512*x^6 + 581693*x^5 - 25170*x^4 - 61883*x^3 - 2493*x^2 + 2485*x + 220, x^34 + 7*x^33 - 21*x^32 - 247*x^31 + 17*x^30 + 3815*x^29 + 3838*x^28 - 33822*x^27 - 56536*x^26 + 189044*x^25 + 428161*x^24 - 683260*x^23 - 2056964*x^22 + 1534486*x^21 + 6715701*x^20 - 1682833*x^19 - 15312131*x^18 - 1062661*x^17 + 24550788*x^16 + 7141298*x^15 - 27481534*x^14 - 12470571*x^13 + 21032509*x^12 + 12272091*x^11 - 10583314*x^10 - 7432225*x^9 + 3257246*x^8 + 2746838*x^7 - 525512*x^6 - 581693*x^5 + 25170*x^4 + 61883*x^3 + 2493*x^2 - 2485*x - 220, -x^33 - 7*x^32 + 19*x^31 + 233*x^30 + 18*x^29 - 3370*x^28 - 3756*x^27 + 27712*x^26 + 49289*x^25 - 141617*x^24 - 341236*x^23 + 455490*x^22 + 1498564*x^21 - 846227*x^20 - 4438648*x^19 + 461437*x^18 + 9056308*x^17 + 1855799*x^16 - 12709495*x^15 - 5513323*x^14 + 12009689*x^13 + 7526594*x^12 - 7283269*x^11 - 6036191*x^10 + 2551996*x^9 + 2913497*x^8 - 364963*x^7 - 807443*x^6 - 40452*x^5 + 113530*x^4 + 17367*x^3 - 5902*x^2 - 1215*x - 5, x^33 + 7*x^32 - 19*x^31 - 233*x^30 - 18*x^29 + 3370*x^28 + 3756*x^27 - 27712*x^26 - 49289*x^25 + 141617*x^24 + 341236*x^23 - 455490*x^22 - 1498564*x^21 + 846227*x^20 + 4438648*x^19 - 461437*x^18 - 9056308*x^17 - 1855799*x^16 + 12709495*x^15 + 5513323*x^14 - 12009689*x^13 - 7526594*x^12 + 7283269*x^11 + 6036191*x^10 - 2551996*x^9 - 2913497*x^8 + 364963*x^7 + 807443*x^6 + 40452*x^5 - 113530*x^4 - 17367*x^3 + 5902*x^2 + 1215*x + 5, -x^33 - 6*x^32 + 26*x^31 + 216*x^30 - 203*x^29 - 3429*x^28 - 753*x^27 + 31640*x^26 + 26428*x^25 - 188175*x^24 - 235907*x^23 + 755117*x^22 + 1211592*x^21 - 2074714*x^20 - 4090547*x^19 + 3854554*x^18 + 9499820*x^17 - 4576918*x^16 - 15397404*x^15 + 2825644*x^14 + 17374577*x^13 + 323102*x^12 - 13441432*x^11 - 2133286*x^10 + 6927763*x^9 + 1776518*x^8 - 2268904*x^7 - 734119*x^6 + 435950*x^5 + 159508*x^4 - 42617*x^3 - 16217*x^2 + 1651*x + 584, x^33 + 6*x^32 - 26*x^31 - 216*x^30 + 203*x^29 + 3429*x^28 + 753*x^27 - 31640*x^26 - 26428*x^25 + 188175*x^24 + 235907*x^23 - 755117*x^22 - 1211592*x^21 + 2074714*x^20 + 4090547*x^19 - 3854554*x^18 - 9499820*x^17 + 4576918*x^16 + 15397404*x^15 - 2825644*x^14 - 17374577*x^13 - 323102*x^12 + 13441432*x^11 + 2133286*x^10 - 6927763*x^9 - 1776518*x^8 + 2268904*x^7 + 734119*x^6 - 435950*x^5 - 159508*x^4 + 42617*x^3 + 16217*x^2 - 1651*x - 584, -x^33 - 6*x^32 + 26*x^31 + 215*x^30 - 208*x^29 - 3404*x^28 - 601*x^27 + 31382*x^26 + 24349*x^25 - 186845*x^24 - 218959*x^23 + 752691*x^22 + 1119850*x^21 - 2086760*x^20 - 3743721*x^19 + 3957826*x^18 + 8564159*x^17 - 4955975*x^16 - 13589851*x^15 + 3687563*x^14 + 14898078*x^13 - 976110*x^12 - 11083548*x^11 - 826231*x^10 + 5414750*x^9 + 914891*x^8 - 1643359*x^7 - 375402*x^6 + 281917*x^5 + 71895*x^4 - 23354*x^3 - 5571*x^2 + 793*x + 151, x^33 + 6*x^32 - 26*x^31 - 215*x^30 + 208*x^29 + 3404*x^28 + 601*x^27 - 31382*x^26 - 24349*x^25 + 186845*x^24 + 218959*x^23 - 752691*x^22 - 1119850*x^21 + 2086760*x^20 + 3743721*x^19 - 3957826*x^18 - 8564159*x^17 + 4955975*x^16 + 13589851*x^15 - 3687563*x^14 - 14898078*x^13 + 976110*x^12 + 11083548*x^11 + 826231*x^10 - 5414750*x^9 - 914891*x^8 + 1643359*x^7 + 375402*x^6 - 281917*x^5 - 71895*x^4 + 23354*x^3 + 5571*x^2 - 793*x - 151, -x^33 - 7*x^32 + 19*x^31 + 233*x^30 + 17*x^29 - 3380*x^28 - 3762*x^27 + 27940*x^26 + 49834*x^25 - 143699*x^24 - 348803*x^23 + 464837*x^22 + 1551658*x^21 - 863505*x^20 - 4666775*x^19 + 437242*x^18 + 9706987*x^17 + 2069595*x^16 - 13996128*x^15 - 6078136*x^14 + 13812403*x^13 + 8403186*x^12 - 9072849*x^11 - 6935555*x^10 + 3776794*x^9 + 3536123*x^8 - 910321*x^7 - 1086773*x^6 + 103312*x^5 + 187351*x^4 - 1799*x^3 - 15600*x^2 - 300*x + 428, x^33 + 7*x^32 - 19*x^31 - 233*x^30 - 17*x^29 + 3380*x^28 + 3762*x^27 - 27940*x^26 - 49834*x^25 + 143699*x^24 + 348803*x^23 - 464837*x^22 - 1551658*x^21 + 863505*x^20 + 4666775*x^19 - 437242*x^18 - 9706987*x^17 - 2069595*x^16 + 13996128*x^15 + 6078136*x^14 - 13812403*x^13 - 8403186*x^12 + 9072849*x^11 + 6935555*x^10 - 3776794*x^9 - 3536123*x^8 + 910321*x^7 + 1086773*x^6 - 103312*x^5 - 187351*x^4 + 1799*x^3 + 15600*x^2 + 300*x - 428, -x^32 - 7*x^31 + 18*x^30 + 226*x^29 + 34*x^28 - 3158*x^27 - 3695*x^26 + 24943*x^25 + 45781*x^24 - 121264*x^23 - 302017*x^22 + 364007*x^21 + 1259900*x^20 - 595522*x^19 - 3515958*x^18 + 102109*x^17 + 6667890*x^16 + 1828643*x^15 - 8507769*x^14 - 4329325*x^13 + 7030693*x^12 + 5119420*x^11 - 3438710*x^10 - 3509313*x^9 + 752452*x^8 + 1377003*x^7 + 62231*x^6 - 280319*x^5 - 57638*x^4 + 23462*x^3 + 7423*x^2 - 534*x - 257, x^32 + 7*x^31 - 18*x^30 - 226*x^29 - 34*x^28 + 3158*x^27 + 3695*x^26 - 24943*x^25 - 45781*x^24 + 121264*x^23 + 302017*x^22 - 364007*x^21 - 1259900*x^20 + 595522*x^19 + 3515958*x^18 - 102109*x^17 - 6667890*x^16 - 1828643*x^15 + 8507769*x^14 + 4329325*x^13 - 7030693*x^12 - 5119420*x^11 + 3438710*x^10 + 3509313*x^9 - 752452*x^8 - 1377003*x^7 - 62231*x^6 + 280319*x^5 + 57638*x^4 - 23462*x^3 - 7423*x^2 + 534*x + 257, -x^32 - 7*x^31 + 17*x^30 + 218*x^29 + 42*x^28 - 2937*x^27 - 3406*x^26 + 22454*x^25 + 39610*x^24 - 107258*x^23 - 247002*x^22 + 331173*x^21 + 978505*x^20 - 655198*x^19 - 2621166*x^18 + 770106*x^17 + 4888421*x^16 - 365929*x^15 - 6443156*x^14 - 317546*x^13 + 6044762*x^12 + 693860*x^11 - 4024304*x^10 - 601724*x^9 + 1851616*x^8 + 323391*x^7 - 548008*x^6 - 108457*x^5 + 89906*x^4 + 18727*x^3 - 6048*x^2 - 1008*x + 94, x^32 + 7*x^31 - 17*x^30 - 218*x^29 - 42*x^28 + 2937*x^27 + 3406*x^26 - 22454*x^25 - 39610*x^24 + 107258*x^23 + 247002*x^22 - 331173*x^21 - 978505*x^20 + 655198*x^19 + 2621166*x^18 - 770106*x^17 - 4888421*x^16 + 365929*x^15 + 6443156*x^14 + 317546*x^13 - 6044762*x^12 - 693860*x^11 + 4024304*x^10 + 601724*x^9 - 1851616*x^8 - 323391*x^7 + 548008*x^6 + 108457*x^5 - 89906*x^4 - 18727*x^3 + 6048*x^2 + 1008*x - 94, -x^32 - 5*x^31 + 30*x^30 + 182*x^29 - 350*x^28 - 2920*x^27 + 1678*x^26 + 27267*x^25 + 2545*x^24 - 164802*x^23 - 80874*x^22 + 678285*x^21 + 511792*x^20 - 1948150*x^19 - 1839058*x^18 + 3939318*x^17 + 4291484*x^16 - 5595723*x^15 - 6760393*x^14 + 5524214*x^13 + 7240394*x^12 - 3725247*x^11 - 5220533*x^10 + 1679747*x^9 + 2476645*x^8 - 495186*x^7 - 743494*x^6 + 93152*x^5 + 131792*x^4 - 10743*x^3 - 11976*x^2 + 698*x + 421, x^32 + 5*x^31 - 30*x^30 - 182*x^29 + 350*x^28 + 2920*x^27 - 1678*x^26 - 27267*x^25 - 2545*x^24 + 164802*x^23 + 80874*x^22 - 678285*x^21 - 511792*x^20 + 1948150*x^19 + 1839058*x^18 - 3939318*x^17 - 4291484*x^16 + 5595723*x^15 + 6760393*x^14 - 5524214*x^13 - 7240394*x^12 + 3725247*x^11 + 5220533*x^10 - 1679747*x^9 - 2476645*x^8 + 495186*x^7 + 743494*x^6 - 93152*x^5 - 131792*x^4 + 10743*x^3 + 11976*x^2 - 698*x - 421, -x^32 - 6*x^31 + 24*x^30 + 203*x^29 - 167*x^28 - 3041*x^27 - 805*x^26 + 26548*x^25 + 22357*x^24 - 149528*x^23 - 184423*x^22 + 567576*x^21 + 885220*x^20 - 1468728*x^19 - 2790146*x^18 + 2545523*x^17 + 6004962*x^16 - 2760990*x^15 - 8895893*x^14 + 1451397*x^13 + 8972851*x^12 + 362312*x^11 - 5994795*x^10 - 1102584*x^9 + 2528778*x^8 + 728077*x^7 - 618997*x^6 - 227881*x^5 + 73711*x^4 + 32958*x^3 - 2285*x^2 - 1541*x - 69, x^32 + 6*x^31 - 24*x^30 - 203*x^29 + 167*x^28 + 3041*x^27 + 805*x^26 - 26548*x^25 - 22357*x^24 + 149528*x^23 + 184423*x^22 - 567576*x^21 - 885220*x^20 + 1468728*x^19 + 2790146*x^18 - 2545523*x^17 - 6004962*x^16 + 2760990*x^15 + 8895893*x^14 - 1451397*x^13 - 8972851*x^12 - 362312*x^11 + 5994795*x^10 + 1102584*x^9 - 2528778*x^8 - 728077*x^7 + 618997*x^6 + 227881*x^5 - 73711*x^4 - 32958*x^3 + 2285*x^2 + 1541*x + 69, -x^32 - 7*x^31 + 17*x^30 + 217*x^29 + 34*x^28 - 2940*x^27 - 3264*x^26 + 22831*x^25 + 38977*x^24 - 111520*x^23 - 250661*x^22 + 350377*x^21 + 1030389*x^20 - 674133*x^19 - 2868617*x^18 + 591218*x^17 + 5513524*x^16 + 521184*x^15 - 7295660*x^14 - 2298687*x^13 + 6503351*x^12 + 3224604*x^11 - 3726630*x^10 - 2515672*x^9 + 1243084*x^8 + 1156364*x^7 - 178100*x^6 - 301612*x^5 - 12110*x^4 + 39745*x^3 + 6121*x^2 - 1968*x - 431, x^32 + 7*x^31 - 17*x^30 - 217*x^29 - 34*x^28 + 2940*x^27 + 3264*x^26 - 22831*x^25 - 38977*x^24 + 111520*x^23 + 250661*x^22 - 350377*x^21 - 1030389*x^20 + 674133*x^19 + 2868617*x^18 - 591218*x^17 - 5513524*x^16 - 521184*x^15 + 7295660*x^14 + 2298687*x^13 - 6503351*x^12 - 3224604*x^11 + 3726630*x^10 + 2515672*x^9 - 1243084*x^8 - 1156364*x^7 + 178100*x^6 + 301612*x^5 + 12110*x^4 - 39745*x^3 - 6121*x^2 + 1968*x + 431, -x^32 - 7*x^31 + 17*x^30 + 218*x^29 + 42*x^28 - 2942*x^27 - 3438*x^26 + 22514*x^25 + 40381*x^24 - 106903*x^23 - 254645*x^22 + 320604*x^21 + 1018537*x^20 - 571458*x^19 - 2736527*x^18 + 415716*x^17 + 5041136*x^16 + 541978*x^15 - 6373471*x^14 - 1768698*x^13 + 5456309*x^12 + 2111932*x^11 - 3079890*x^10 - 1380430*x^9 + 1103841*x^8 + 503701*x^7 - 244100*x^6 - 92730*x^5 + 35481*x^4 + 6538*x^3 - 3928*x^2 - 89*x + 211, x^32 + 7*x^31 - 17*x^30 - 218*x^29 - 42*x^28 + 2942*x^27 + 3438*x^26 - 22514*x^25 - 40381*x^24 + 106903*x^23 + 254645*x^22 - 320604*x^21 - 1018537*x^20 + 571458*x^19 + 2736527*x^18 - 415716*x^17 - 5041136*x^16 - 541978*x^15 + 6373471*x^14 + 1768698*x^13 - 5456309*x^12 - 2111932*x^11 + 3079890*x^10 + 1380430*x^9 - 1103841*x^8 - 503701*x^7 + 244100*x^6 + 92730*x^5 - 35481*x^4 - 6538*x^3 + 3928*x^2 + 89*x - 211, -x^31 - 7*x^30 + 16*x^29 + 212*x^28 + 61*x^27 - 2769*x^26 - 3508*x^25 + 20353*x^24 + 39219*x^23 - 91483*x^22 - 238664*x^21 + 250705*x^20 + 922690*x^19 - 359328*x^18 - 2388418*x^17 - 27156*x^16 + 4201726*x^15 + 1183998*x^14 - 4978996*x^13 - 2407174*x^12 + 3844559*x^11 + 2526878*x^10 - 1799544*x^9 - 1536494*x^8 + 427194*x^7 + 527124*x^6 - 17186*x^5 - 90068*x^4 - 9944*x^3 + 5368*x^2 + 958*x + 5, x^31 + 7*x^30 - 16*x^29 - 212*x^28 - 61*x^27 + 2769*x^26 + 3508*x^25 - 20353*x^24 - 39219*x^23 + 91483*x^22 + 238664*x^21 - 250705*x^20 - 922690*x^19 + 359328*x^18 + 2388418*x^17 + 27156*x^16 - 4201726*x^15 - 1183998*x^14 + 4978996*x^13 + 2407174*x^12 - 3844559*x^11 - 2526878*x^10 + 1799544*x^9 + 1536494*x^8 - 427194*x^7 - 527124*x^6 + 17186*x^5 + 90068*x^4 + 9944*x^3 - 5368*x^2 - 958*x - 5, -x^31 - 7*x^30 + 16*x^29 + 212*x^28 + 64*x^27 - 2747*x^26 - 3537*x^25 + 19806*x^24 + 38781*x^23 - 85852*x^22 - 229272*x^21 + 219948*x^20 + 849889*x^19 - 266602*x^18 - 2076133*x^17 - 156890*x^16 + 3384894*x^15 + 1133423*x^14 - 3649707*x^13 - 1907887*x^12 + 2534244*x^11 + 1708038*x^10 - 1086166*x^9 - 887410*x^8 + 272430*x^7 + 267392*x^6 - 39269*x^5 - 45896*x^4 + 3803*x^3 + 4509*x^2 - 216*x - 211, x^31 + 7*x^30 - 16*x^29 - 212*x^28 - 64*x^27 + 2747*x^26 + 3537*x^25 - 19806*x^24 - 38781*x^23 + 85852*x^22 + 229272*x^21 - 219948*x^20 - 849889*x^19 + 266602*x^18 + 2076133*x^17 + 156890*x^16 - 3384894*x^15 - 1133423*x^14 + 3649707*x^13 + 1907887*x^12 - 2534244*x^11 - 1708038*x^10 + 1086166*x^9 + 887410*x^8 - 272430*x^7 - 267392*x^6 + 39269*x^5 + 45896*x^4 - 3803*x^3 - 4509*x^2 + 216*x + 211, -x^31 - 8*x^30 + 8*x^29 + 221*x^28 + 286*x^27 - 2511*x^26 - 6142*x^25 + 14553*x^24 + 55453*x^23 - 38465*x^22 - 290787*x^21 - 28919*x^20 + 967593*x^19 + 575271*x^18 - 2091754*x^17 - 2064838*x^16 + 2881445*x^15 + 4062354*x^14 - 2315220*x^13 - 4924847*x^12 + 724721*x^11 + 3726429*x^10 + 385786*x^9 - 1702696*x^8 - 455475*x^7 + 431594*x^6 + 169627*x^5 - 48907*x^4 - 27218*x^3 + 385*x^2 + 1525*x + 216, x^31 + 8*x^30 - 8*x^29 - 221*x^28 - 286*x^27 + 2511*x^26 + 6142*x^25 - 14553*x^24 - 55453*x^23 + 38465*x^22 + 290787*x^21 + 28919*x^20 - 967593*x^19 - 575271*x^18 + 2091754*x^17 + 2064838*x^16 - 2881445*x^15 - 4062354*x^14 + 2315220*x^13 + 4924847*x^12 - 724721*x^11 - 3726429*x^10 - 385786*x^9 + 1702696*x^8 + 455475*x^7 - 431594*x^6 - 169627*x^5 + 48907*x^4 + 27218*x^3 - 385*x^2 - 1525*x - 216, -x^31 - 4*x^30 + 35*x^29 + 159*x^28 - 489*x^27 - 2695*x^26 + 3384*x^25 + 25918*x^24 - 9769*x^23 - 157706*x^22 - 21515*x^21 + 638356*x^20 + 303339*x^19 - 1754294*x^18 - 1269018*x^17 + 3272679*x^16 + 3041288*x^15 - 4061823*x^14 - 4609969*x^13 + 3192045*x^12 + 4495652*x^11 - 1407500*x^10 - 2771371*x^9 + 204941*x^8 + 1030224*x^7 + 83777*x^6 - 211006*x^5 - 38459*x^4 + 19898*x^3 + 4939*x^2 - 532*x - 163, x^31 + 4*x^30 - 35*x^29 - 159*x^28 + 489*x^27 + 2695*x^26 - 3384*x^25 - 25918*x^24 + 9769*x^23 + 157706*x^22 + 21515*x^21 - 638356*x^20 - 303339*x^19 + 1754294*x^18 + 1269018*x^17 - 3272679*x^16 - 3041288*x^15 + 4061823*x^14 + 4609969*x^13 - 3192045*x^12 - 4495652*x^11 + 1407500*x^10 + 2771371*x^9 - 204941*x^8 - 1030224*x^7 - 83777*x^6 + 211006*x^5 + 38459*x^4 - 19898*x^3 - 4939*x^2 + 532*x + 163, -x^31 - 6*x^30 + 19*x^29 + 171*x^28 - 82*x^27 - 2126*x^26 - 846*x^25 + 15263*x^24 + 12282*x^23 - 70966*x^22 - 70502*x^21 + 228999*x^20 + 235952*x^19 - 541598*x^18 - 506440*x^17 + 979597*x^16 + 725307*x^15 - 1373995*x^14 - 706134*x^13 + 1454065*x^12 + 460765*x^11 - 1100771*x^10 - 177205*x^9 + 567815*x^8 + 16746*x^7 - 193944*x^6 + 14861*x^5 + 42675*x^4 - 4954*x^3 - 5282*x^2 + 349*x + 215, x^31 + 6*x^30 - 19*x^29 - 171*x^28 + 82*x^27 + 2126*x^26 + 846*x^25 - 15263*x^24 - 12282*x^23 + 70966*x^22 + 70502*x^21 - 228999*x^20 - 235952*x^19 + 541598*x^18 + 506440*x^17 - 979597*x^16 - 725307*x^15 + 1373995*x^14 + 706134*x^13 - 1454065*x^12 - 460765*x^11 + 1100771*x^10 + 177205*x^9 - 567815*x^8 - 16746*x^7 + 193944*x^6 - 14861*x^5 - 42675*x^4 + 4954*x^3 + 5282*x^2 - 349*x - 215, -x^31 - 6*x^30 + 22*x^29 + 192*x^28 - 122*x^27 - 2708*x^26 - 1146*x^25 + 22054*x^24 + 22254*x^23 - 114149*x^22 - 164128*x^21 + 389033*x^20 + 717623*x^19 - 870705*x^18 - 2052757*x^17 + 1215388*x^16 + 3968651*x^15 - 862171*x^14 - 5219093*x^13 - 115643*x^12 + 4627988*x^11 + 824418*x^10 - 2708767*x^9 - 754629*x^8 + 1007616*x^7 + 341465*x^6 - 223067*x^5 - 81612*x^4 + 26023*x^3 + 9312*x^2 - 1211*x - 366, x^31 + 6*x^30 - 22*x^29 - 192*x^28 + 122*x^27 + 2708*x^26 + 1146*x^25 - 22054*x^24 - 22254*x^23 + 114149*x^22 + 164128*x^21 - 389033*x^20 - 717623*x^19 + 870705*x^18 + 2052757*x^17 - 1215388*x^16 - 3968651*x^15 + 862171*x^14 + 5219093*x^13 + 115643*x^12 - 4627988*x^11 - 824418*x^10 + 2708767*x^9 + 754629*x^8 - 1007616*x^7 - 341465*x^6 + 223067*x^5 + 81612*x^4 - 26023*x^3 - 9312*x^2 + 1211*x + 366, -x^31 - 7*x^30 + 14*x^29 + 196*x^28 + 72*x^27 - 2373*x^26 - 2956*x^25 + 16336*x^24 + 29349*x^23 - 70675*x^22 - 161177*x^21 + 200284*x^20 + 567689*x^19 - 375436*x^18 - 1358519*x^17 + 458565*x^16 + 2272185*x^15 - 348487*x^14 - 2701751*x^13 + 141459*x^12 + 2313650*x^11 + 9793*x^10 - 1432738*x^9 - 72668*x^8 + 624018*x^7 + 67526*x^6 - 174972*x^5 - 30482*x^4 + 26262*x^3 + 6059*x^2 - 1355*x - 334, x^31 + 7*x^30 - 14*x^29 - 196*x^28 - 72*x^27 + 2373*x^26 + 2956*x^25 - 16336*x^24 - 29349*x^23 + 70675*x^22 + 161177*x^21 - 200284*x^20 - 567689*x^19 + 375436*x^18 + 1358519*x^17 - 458565*x^16 - 2272185*x^15 + 348487*x^14 + 2701751*x^13 - 141459*x^12 - 2313650*x^11 - 9793*x^10 + 1432738*x^9 + 72668*x^8 - 624018*x^7 - 67526*x^6 + 174972*x^5 + 30482*x^4 - 26262*x^3 - 6059*x^2 + 1355*x + 334, -x^31 - 9*x^30 + 3*x^29 + 244*x^28 + 426*x^27 - 2736*x^26 - 7901*x^25 + 15843*x^24 + 68793*x^23 - 43785*x^22 - 360092*x^21 - 10912*x^20 + 1230469*x^19 + 529412*x^18 - 2834944*x^17 - 2006976*x^16 + 4428283*x^15 + 4127936*x^14 - 4607301*x^13 - 5320041*x^12 + 3032569*x^11 + 4410090*x^10 - 1100972*x^9 - 2307091*x^8 + 108203*x^7 + 717635*x^6 + 59550*x^5 - 117124*x^4 - 18342*x^3 + 7573*x^2 + 1224*x - 94, x^31 + 9*x^30 - 3*x^29 - 244*x^28 - 426*x^27 + 2736*x^26 + 7901*x^25 - 15843*x^24 - 68793*x^23 + 43785*x^22 + 360092*x^21 + 10912*x^20 - 1230469*x^19 - 529412*x^18 + 2834944*x^17 + 2006976*x^16 - 4428283*x^15 - 4127936*x^14 + 4607301*x^13 + 5320041*x^12 - 3032569*x^11 - 4410090*x^10 + 1100972*x^9 + 2307091*x^8 - 108203*x^7 - 717635*x^6 - 59550*x^5 + 117124*x^4 + 18342*x^3 - 7573*x^2 - 1224*x + 94, -x^31 - 7*x^30 + 15*x^29 + 204*x^28 + 70*x^27 - 2548*x^26 - 3268*x^25 + 17819*x^24 + 33971*x^23 - 76111*x^22 - 192624*x^21 + 200715*x^20 + 691763*x^19 - 299957*x^18 - 1662722*x^17 + 132800*x^16 + 2738411*x^15 + 382566*x^14 - 3116046*x^13 - 872849*x^12 + 2444537*x^11 + 908949*x^10 - 1301101*x^9 - 565826*x^8 + 449790*x^7 + 217912*x^6 - 91123*x^5 - 48814*x^4 + 8286*x^3 + 5170*x^2 - 70*x - 123, x^31 + 7*x^30 - 15*x^29 - 204*x^28 - 70*x^27 + 2548*x^26 + 3268*x^25 - 17819*x^24 - 33971*x^23 + 76111*x^22 + 192624*x^21 - 200715*x^20 - 691763*x^19 + 299957*x^18 + 1662722*x^17 - 132800*x^16 - 2738411*x^15 - 382566*x^14 + 3116046*x^13 + 872849*x^12 - 2444537*x^11 - 908949*x^10 + 1301101*x^9 + 565826*x^8 - 449790*x^7 - 217912*x^6 + 91123*x^5 + 48814*x^4 - 8286*x^3 - 5170*x^2 + 70*x + 123, -x^31 - 8*x^30 + 10*x^29 + 234*x^28 + 254*x^27 - 2878*x^26 - 6185*x^25 + 18977*x^24 + 60187*x^23 - 68122*x^22 - 340497*x^21 + 91332*x^20 + 1238485*x^19 + 278431*x^18 - 3003129*x^17 - 1660417*x^16 + 4884246*x^15 + 3926872*x^14 - 5240048*x^13 - 5418405*x^12 + 3548422*x^11 + 4646176*x^10 - 1371852*x^9 - 2466596*x^8 + 216431*x^7 + 776131*x^6 + 23292*x^5 - 131999*x^4 - 10415*x^3 + 10341*x^2 + 581*x - 305, x^31 + 8*x^30 - 10*x^29 - 234*x^28 - 254*x^27 + 2878*x^26 + 6185*x^25 - 18977*x^24 - 60187*x^23 + 68122*x^22 + 340497*x^21 - 91332*x^20 - 1238485*x^19 - 278431*x^18 + 3003129*x^17 + 1660417*x^16 - 4884246*x^15 - 3926872*x^14 + 5240048*x^13 + 5418405*x^12 - 3548422*x^11 - 4646176*x^10 + 1371852*x^9 + 2466596*x^8 - 216431*x^7 - 776131*x^6 - 23292*x^5 + 131999*x^4 + 10415*x^3 - 10341*x^2 - 581*x + 305, -2*x^30 - 14*x^29 + 27*x^28 + 389*x^27 + 187*x^26 - 4590*x^25 - 6562*x^24 + 29781*x^23 + 63353*x^22 - 113302*x^21 - 337210*x^20 + 236194*x^19 + 1127540*x^18 - 129265*x^17 - 2466164*x^16 - 644645*x^15 + 3528773*x^14 + 1922151*x^13 - 3186134*x^12 - 2592542*x^11 + 1639166*x^10 + 1972819*x^9 - 325258*x^8 - 849879*x^7 - 79417*x^6 + 190251*x^5 + 47694*x^4 - 18094*x^3 - 6465*x^2 + 539*x + 257, 2*x^30 + 14*x^29 - 27*x^28 - 389*x^27 - 187*x^26 + 4590*x^25 + 6562*x^24 - 29781*x^23 - 63353*x^22 + 113302*x^21 + 337210*x^20 - 236194*x^19 - 1127540*x^18 + 129265*x^17 + 2466164*x^16 + 644645*x^15 - 3528773*x^14 - 1922151*x^13 + 3186134*x^12 + 2592542*x^11 - 1639166*x^10 - 1972819*x^9 + 325258*x^8 + 849879*x^7 + 79417*x^6 - 190251*x^5 - 47694*x^4 + 18094*x^3 + 6465*x^2 - 539*x - 257, -x^30 - 4*x^29 + 32*x^28 + 143*x^27 - 420*x^26 - 2195*x^25 + 2949*x^24 + 19378*x^23 - 11607*x^22 - 110431*x^21 + 20546*x^20 + 429808*x^19 + 28442*x^18 - 1173079*x^17 - 270599*x^16 + 2259207*x^15 + 776429*x^14 - 3038303*x^13 - 1290677*x^12 + 2778512*x^11 + 1348391*x^10 - 1652011*x^9 - 878606*x^8 + 595709*x^7 + 338544*x^6 - 116750*x^5 - 69219*x^4 + 10728*x^3 + 6162*x^2 - 512*x - 206, x^30 + 4*x^29 - 32*x^28 - 143*x^27 + 420*x^26 + 2195*x^25 - 2949*x^24 - 19378*x^23 + 11607*x^22 + 110431*x^21 - 20546*x^20 - 429808*x^19 - 28442*x^18 + 1173079*x^17 + 270599*x^16 - 2259207*x^15 - 776429*x^14 + 3038303*x^13 + 1290677*x^12 - 2778512*x^11 - 1348391*x^10 + 1652011*x^9 + 878606*x^8 - 595709*x^7 - 338544*x^6 + 116750*x^5 + 69219*x^4 - 10728*x^3 - 6162*x^2 + 512*x + 206, -x^30 - 6*x^29 + 21*x^28 + 185*x^27 - 108*x^26 - 2513*x^25 - 1082*x^24 + 19681*x^23 + 19436*x^22 - 97620*x^21 - 135721*x^20 + 316660*x^19 + 559872*x^18 - 665700*x^17 - 1494755*x^16 + 847813*x^15 + 2647840*x^14 - 493383*x^13 - 3098660*x^12 - 194802*x^11 + 2337511*x^10 + 547232*x^9 - 1084306*x^8 - 393143*x^7 + 280533*x^6 + 135999*x^5 - 30480*x^4 - 21805*x^3 - 608*x^2 + 1057*x + 160, x^30 + 6*x^29 - 21*x^28 - 185*x^27 + 108*x^26 + 2513*x^25 + 1082*x^24 - 19681*x^23 - 19436*x^22 + 97620*x^21 + 135721*x^20 - 316660*x^19 - 559872*x^18 + 665700*x^17 + 1494755*x^16 - 847813*x^15 - 2647840*x^14 + 493383*x^13 + 3098660*x^12 + 194802*x^11 - 2337511*x^10 - 547232*x^9 + 1084306*x^8 + 393143*x^7 - 280533*x^6 - 135999*x^5 + 30480*x^4 + 21805*x^3 + 608*x^2 - 1057*x - 160, -x^30 - 5*x^29 + 24*x^28 + 148*x^27 - 233*x^26 - 1981*x^25 + 979*x^24 + 15698*x^23 + 859*x^22 - 80923*x^21 - 31876*x^20 + 281363*x^19 + 177517*x^18 - 664435*x^17 - 541556*x^16 + 1051006*x^15 + 1028960*x^14 - 1073657*x^13 - 1246203*x^12 + 656908*x^11 + 948517*x^10 - 199277*x^9 - 436856*x^8 + 6531*x^7 + 115397*x^6 + 10270*x^5 - 17208*x^4 - 1841*x^3 + 1682*x^2 + 118*x - 91, x^30 + 5*x^29 - 24*x^28 - 148*x^27 + 233*x^26 + 1981*x^25 - 979*x^24 - 15698*x^23 - 859*x^22 + 80923*x^21 + 31876*x^20 - 281363*x^19 - 177517*x^18 + 664435*x^17 + 541556*x^16 - 1051006*x^15 - 1028960*x^14 + 1073657*x^13 + 1246203*x^12 - 656908*x^11 - 948517*x^10 + 199277*x^9 + 436856*x^8 - 6531*x^7 - 115397*x^6 - 10270*x^5 + 17208*x^4 + 1841*x^3 - 1682*x^2 - 118*x + 91, -x^30 - 7*x^29 + 11*x^28 + 178*x^27 + 121*x^26 - 1905*x^25 - 3066*x^24 + 11064*x^23 + 26131*x^22 - 36791*x^21 - 125490*x^20 + 62503*x^19 + 382558*x^18 - 3388*x^17 - 775175*x^16 - 225026*x^15 + 1065136*x^14 + 517995*x^13 - 1003567*x^12 - 622269*x^11 + 654726*x^10 + 470185*x^9 - 293808*x^8 - 238959*x^7 + 82545*x^6 + 80879*x^5 - 9322*x^4 - 15592*x^3 - 1011*x^2 + 1095*x + 174, x^30 + 7*x^29 - 11*x^28 - 178*x^27 - 121*x^26 + 1905*x^25 + 3066*x^24 - 11064*x^23 - 26131*x^22 + 36791*x^21 + 125490*x^20 - 62503*x^19 - 382558*x^18 + 3388*x^17 + 775175*x^16 + 225026*x^15 - 1065136*x^14 - 517995*x^13 + 1003567*x^12 + 622269*x^11 - 654726*x^10 - 470185*x^9 + 293808*x^8 + 238959*x^7 - 82545*x^6 - 80879*x^5 + 9322*x^4 + 15592*x^3 + 1011*x^2 - 1095*x - 174, -x^30 - 6*x^29 + 20*x^28 + 177*x^27 - 97*x^26 - 2279*x^25 - 849*x^24 + 16932*x^23 + 13887*x^22 - 81027*x^21 - 86350*x^20 + 265035*x^19 + 315073*x^18 - 616900*x^17 - 747697*x^16 + 1054441*x^15 + 1204945*x^14 - 1349786*x^13 - 1352036*x^12 + 1287370*x^11 + 1074783*x^10 - 878884*x^9 - 607963*x^8 + 399360*x^7 + 238107*x^6 - 108141*x^5 - 59174*x^4 + 14209*x^3 + 7627*x^2 - 478*x - 283, x^30 + 6*x^29 - 20*x^28 - 177*x^27 + 97*x^26 + 2279*x^25 + 849*x^24 - 16932*x^23 - 13887*x^22 + 81027*x^21 + 86350*x^20 - 265035*x^19 - 315073*x^18 + 616900*x^17 + 747697*x^16 - 1054441*x^15 - 1204945*x^14 + 1349786*x^13 + 1352036*x^12 - 1287370*x^11 - 1074783*x^10 + 878884*x^9 + 607963*x^8 - 399360*x^7 - 238107*x^6 + 108141*x^5 + 59174*x^4 - 14209*x^3 - 7627*x^2 + 478*x + 283, -x^30 - 8*x^29 + 8*x^28 + 217*x^27 + 267*x^26 - 2416*x^25 - 5561*x^24 + 13860*x^23 + 48134*x^22 - 38862*x^21 - 240424*x^20 + 6466*x^19 + 758732*x^18 + 333984*x^17 - 1555028*x^16 - 1213853*x^15 + 2052480*x^14 + 2245635*x^13 - 1659736*x^12 - 2490353*x^11 + 704006*x^10 + 1693488*x^9 - 46088*x^8 - 685149*x^7 - 85130*x^6 + 152057*x^5 + 31979*x^4 - 15577*x^3 - 3769*x^2 + 444*x + 72, x^30 + 8*x^29 - 8*x^28 - 217*x^27 - 267*x^26 + 2416*x^25 + 5561*x^24 - 13860*x^23 - 48134*x^22 + 38862*x^21 + 240424*x^20 - 6466*x^19 - 758732*x^18 - 333984*x^17 + 1555028*x^16 + 1213853*x^15 - 2052480*x^14 - 2245635*x^13 + 1659736*x^12 + 2490353*x^11 - 704006*x^10 - 1693488*x^9 + 46088*x^8 + 685149*x^7 + 85130*x^6 - 152057*x^5 - 31979*x^4 + 15577*x^3 + 3769*x^2 - 444*x - 72, x^29 + 7*x^28 - 14*x^27 - 195*x^26 - 64*x^25 + 2373*x^24 + 2818*x^23 - 16529*x^22 - 28407*x^21 + 72373*x^20 + 157751*x^19 - 205005*x^18 - 558002*x^17 + 367575*x^16 + 1320811*x^15 - 368788*x^14 - 2120433*x^13 + 79159*x^12 + 2290477*x^11 + 277186*x^10 - 1624461*x^9 - 361486*x^8 + 727083*x^7 + 205466*x^6 - 192587*x^5 - 59807*x^4 + 26631*x^3 + 8255*x^2 - 1371*x - 366, -x^29 - 7*x^28 + 14*x^27 + 195*x^26 + 64*x^25 - 2373*x^24 - 2818*x^23 + 16529*x^22 + 28407*x^21 - 72373*x^20 - 157751*x^19 + 205005*x^18 + 558002*x^17 - 367575*x^16 - 1320811*x^15 + 368788*x^14 + 2120433*x^13 - 79159*x^12 - 2290477*x^11 - 277186*x^10 + 1624461*x^9 + 361486*x^8 - 727083*x^7 - 205466*x^6 + 192587*x^5 + 59807*x^4 - 26631*x^3 - 8255*x^2 + 1371*x + 366, -3*x^29 - 19*x^28 + 54*x^27 + 552*x^26 - 98*x^25 - 6908*x^24 - 5215*x^23 + 48856*x^22 + 62631*x^21 - 214795*x^20 - 362839*x^19 + 605499*x^18 + 1280773*x^17 - 1076054*x^16 - 2945138*x^15 + 1086640*x^14 + 4494613*x^13 - 326827*x^12 - 4519043*x^11 - 563852*x^10 + 2907024*x^9 + 759283*x^8 - 1130629*x^7 - 404399*x^6 + 239852*x^5 + 102456*x^4 - 22783*x^3 - 10888*x^2 + 654*x + 329, 3*x^29 + 19*x^28 - 54*x^27 - 552*x^26 + 98*x^25 + 6908*x^24 + 5215*x^23 - 48856*x^22 - 62631*x^21 + 214795*x^20 + 362839*x^19 - 605499*x^18 - 1280773*x^17 + 1076054*x^16 + 2945138*x^15 - 1086640*x^14 - 4494613*x^13 + 326827*x^12 + 4519043*x^11 + 563852*x^10 - 2907024*x^9 - 759283*x^8 + 1130629*x^7 + 404399*x^6 - 239852*x^5 - 102456*x^4 + 22783*x^3 + 10888*x^2 - 654*x - 329, -2*x^29 - 12*x^28 + 32*x^27 + 307*x^26 - 70*x^25 - 3407*x^24 - 2017*x^23 + 21619*x^22 + 21821*x^21 - 87124*x^20 - 110298*x^19 + 234712*x^18 + 338122*x^17 - 434981*x^16 - 680484*x^15 + 564943*x^14 + 934587*x^13 - 518126*x^12 - 900959*x^11 + 324696*x^10 + 619900*x^9 - 117446*x^8 - 296510*x^7 + 7349*x^6 + 89109*x^5 + 10552*x^4 - 13613*x^3 - 3032*x^2 + 608*x + 160, 2*x^29 + 12*x^28 - 32*x^27 - 307*x^26 + 70*x^25 + 3407*x^24 + 2017*x^23 - 21619*x^22 - 21821*x^21 + 87124*x^20 + 110298*x^19 - 234712*x^18 - 338122*x^17 + 434981*x^16 + 680484*x^15 - 564943*x^14 - 934587*x^13 + 518126*x^12 + 900959*x^11 - 324696*x^10 - 619900*x^9 + 117446*x^8 + 296510*x^7 - 7349*x^6 - 89109*x^5 - 10552*x^4 + 13613*x^3 + 3032*x^2 - 608*x - 160, -x^29 - 6*x^28 + 17*x^27 + 161*x^26 - 40*x^25 - 1865*x^24 - 1201*x^23 + 12265*x^22 + 13866*x^21 - 50657*x^20 - 74833*x^19 + 137336*x^18 + 245222*x^17 - 248610*x^16 - 526565*x^15 + 301539*x^14 + 763597*x^13 - 245602*x^12 - 757965*x^11 + 135696*x^10 + 519030*x^9 - 48845*x^8 - 244963*x^7 + 6004*x^6 + 76541*x^5 + 4338*x^4 - 13660*x^3 - 1932*x^2 + 921*x + 174, x^29 + 6*x^28 - 17*x^27 - 161*x^26 + 40*x^25 + 1865*x^24 + 1201*x^23 - 12265*x^22 - 13866*x^21 + 50657*x^20 + 74833*x^19 - 137336*x^18 - 245222*x^17 + 248610*x^16 + 526565*x^15 - 301539*x^14 - 763597*x^13 + 245602*x^12 + 757965*x^11 - 135696*x^10 - 519030*x^9 + 48845*x^8 + 244963*x^7 - 6004*x^6 - 76541*x^5 - 4338*x^4 + 13660*x^3 + 1932*x^2 - 921*x - 174, -x^29 - 7*x^28 + 10*x^27 + 172*x^26 + 140*x^25 - 1736*x^24 - 3152*x^23 + 8971*x^22 + 25247*x^21 - 22030*x^20 - 111655*x^19 - 1870*x^18 + 298125*x^17 + 173944*x^16 - 479025*x^15 - 527407*x^14 + 414224*x^13 + 808183*x^12 - 82384*x^11 - 713050*x^10 - 185746*x^9 + 357223*x^8 + 187677*x^7 - 87946*x^6 - 76192*x^5 + 3849*x^4 + 13550*x^3 + 1979*x^2 - 691*x - 160, x^29 + 7*x^28 - 10*x^27 - 172*x^26 - 140*x^25 + 1736*x^24 + 3152*x^23 - 8971*x^22 - 25247*x^21 + 22030*x^20 + 111655*x^19 + 1870*x^18 - 298125*x^17 - 173944*x^16 + 479025*x^15 + 527407*x^14 - 414224*x^13 - 808183*x^12 + 82384*x^11 + 713050*x^10 + 185746*x^9 - 357223*x^8 - 187677*x^7 + 87946*x^6 + 76192*x^5 - 3849*x^4 - 13550*x^3 - 1979*x^2 + 691*x + 160, 3*x^28 + 19*x^27 - 42*x^26 - 479*x^25 - 70*x^24 + 5143*x^23 + 5169*x^22 - 30590*x^21 - 47068*x^20 + 109154*x^19 + 221953*x^18 - 232842*x^17 - 636247*x^16 + 261037*x^15 + 1159509*x^14 - 37536*x^13 - 1348811*x^12 - 290057*x^11 + 983343*x^10 + 388354*x^9 - 434154*x^8 - 239777*x^7 + 108833*x^6 + 80597*x^5 - 12917*x^4 - 14401*x^3 + 63*x^2 + 1053*x + 83, -3*x^28 - 19*x^27 + 42*x^26 + 479*x^25 + 70*x^24 - 5143*x^23 - 5169*x^22 + 30590*x^21 + 47068*x^20 - 109154*x^19 - 221953*x^18 + 232842*x^17 + 636247*x^16 - 261037*x^15 - 1159509*x^14 + 37536*x^13 + 1348811*x^12 + 290057*x^11 - 983343*x^10 - 388354*x^9 + 434154*x^8 + 239777*x^7 - 108833*x^6 - 80597*x^5 + 12917*x^4 + 14401*x^3 - 63*x^2 - 1053*x - 83]>,
         rec<Eigen |
           DefiningPolynomial := x^45 - 4*x^44 - 62*x^43 + 261*x^42 + 1756*x^41 - 7863*x^40 - 30054*x^39 + 145184*x^38 + 346153*x^37 - 1839352*x^36 - 2822309*x^35 + 16962997*x^34 + 16615246*x^33 - 117903691*x^32 - 70017206*x^31 + 630954003*x^30 + 198488676*x^29 - 2633104158*x^28 - 280965257*x^27 + 8626712822*x^26 - 439042056*x^25 - 22228748850*x^24 + 3818798797*x^23 + 44932130514*x^22 - 11919678529*x^21 - 70751780209*x^20 + 23920661209*x^19 + 85760680223*x^18 - 33917500248*x^17 - 78600879796*x^16 + 34740494990*x^15 + 53074240063*x^14 - 25581300464*x^13 - 25428754778*x^12 + 13241327123*x^11 + 8172676220*x^10 - 4627859996*x^9 - 1610855807*x^8 + 1024654169*x^7 + 164911810*x^6 - 130018915*x^5 - 5421139*x^4 + 8049088*x^3 - 140217*x^2 - 186896*x + 6775,
           Coordinates        := [-x^44 + 4*x^43 + 59*x^42 - 249*x^41 - 1585*x^40 + 7140*x^39 + 25629*x^38 - 125160*x^37 - 277484*x^36 + 1501094*x^35 + 2112273*x^34 - 13063255*x^33 - 11490817*x^32 + 85371722*x^31 + 43916495*x^30 - 427803191*x^29 - 107608909*x^28 + 1663974895*x^27 + 96016116*x^26 - 5053978163*x^25 + 440060898*x^24 + 11998784727*x^23 - 2346270429*x^22 - 22188104315*x^21 + 6130694492*x^20 + 31699719230*x^19 - 10634755867*x^18 - 34530899805*x^17 + 13043279867*x^16 + 28130569895*x^15 - 11445251189*x^14 - 16676783388*x^13 + 7110119527*x^12 + 6923767056*x^11 - 3043923290*x^10 - 1905173158*x^9 + 858063954*x^8 + 319720205*x^7 - 147866719*x^6 - 28556249*x^5 + 13707226*x^4 + 1066884*x^3 - 540290*x^2 - 11687*x + 5380, x^44 - 4*x^43 - 59*x^42 + 249*x^41 + 1585*x^40 - 7138*x^39 - 25637*x^38 + 125058*x^37 + 277916*x^36 - 1498756*x^35 - 2122899*x^34 + 13031501*x^33 + 11648555*x^32 - 85088544*x^31 - 45494953*x^30 + 426072997*x^29 + 118874461*x^28 - 1656703127*x^27 - 155192148*x^26 + 5033970261*x^25 - 207313762*x^24 - 11970540033*x^23 + 1655583769*x^22 + 22211665131*x^21 - 4584031428*x^20 - 31925628866*x^19 + 8038465545*x^18 + 35117930411*x^17 - 9820191043*x^16 - 29040954083*x^15 + 8548901617*x^14 + 17608246630*x^13 - 5283892725*x^12 - 7561958294*x^11 + 2270946238*x^10 + 2193342774*x^9 - 652132510*x^8 - 402550489*x^7 + 116856887*x^6 + 42878921*x^5 - 11730786*x^4 - 2382374*x^3 + 576588*x^2 + 51079*x - 9460, -3*x^43 + 12*x^42 + 171*x^41 - 723*x^40 - 4425*x^39 + 20024*x^38 + 68669*x^37 - 338258*x^36 - 710036*x^35 + 3899742*x^34 + 5124429*x^33 - 32531969*x^32 - 26100711*x^31 + 203150812*x^30 + 90879767*x^29 - 969129263*x^28 - 184949141*x^27 + 3572734659*x^26 + 1018842*x^25 - 10229964123*x^24 + 1472528368*x^23 + 22744026199*x^22 - 5788984037*x^21 - 39052060979*x^20 + 13285905342*x^19 + 51229780418*x^18 - 20874220381*x^17 - 50470309901*x^16 + 23295243801*x^15 + 36397456675*x^14 - 18471180937*x^13 - 18504987722*x^12 + 10197403833*x^11 + 6267503062*x^10 - 3769796042*x^9 - 1291135602*x^8 + 876787450*x^7 + 136355561*x^6 - 116311689*x^5 - 4354255*x^4 + 7508798*x^3 - 151904*x^2 - 181516*x + 6775, 2*x^40 - 8*x^39 - 106*x^38 + 452*x^37 + 2520*x^36 - 11638*x^35 - 35418*x^34 + 181092*x^33 + 325790*x^32 - 1904342*x^31 - 2040510*x^30 + 14338820*x^29 + 8658886*x^28 - 79908320*x^27 - 22865564*x^26 + 335998936*x^25 + 21287404*x^24 - 1076757146*x^23 + 102317684*x^22 + 2637708754*x^21 - 546886106*x^20 - 4922824718*x^19 + 1404521298*x^18 + 6931105138*x^17 - 2334782266*x^16 - 7234914316*x^15 + 2659115368*x^14 + 5449872722*x^13 - 2078348152*x^12 - 2846796130*x^11 + 1084705156*x^10 + 973989732*x^9 - 357988278*x^8 - 202235434*x^7 + 68344960*x^6 + 23636386*x^5 - 6618512*x^4 - 1538716*x^3 + 306764*x^2 + 41392*x - 4600, 2*x^37 - 4*x^36 - 110*x^35 + 236*x^34 + 2702*x^33 - 6198*x^32 - 39222*x^31 + 96338*x^30 + 374756*x^29 - 992126*x^28 - 2480792*x^27 + 7171620*x^26 + 11632208*x^25 - 37569716*x^24 - 38611766*x^23 + 145086822*x^22 + 87968086*x^21 - 415803924*x^20 - 123413534*x^19 + 882737460*x^18 + 55675838*x^17 - 1374282172*x^16 + 162235206*x^15 + 1538425588*x^14 - 404439370*x^13 - 1198238546*x^12 + 461426146*x^11 + 614746114*x^10 - 307769622*x^9 - 188045906*x^8 + 120850656*x^7 + 27125710*x^6 - 25911204*x^5 - 183490*x^4 + 2584120*x^3 - 275408*x^2 - 90820*x + 15090, 2*x^36 - 4*x^35 - 102*x^34 + 216*x^33 + 2308*x^32 - 5118*x^31 - 30774*x^30 + 70764*x^29 + 270948*x^28 - 638730*x^27 - 1675144*x^26 + 3981322*x^25 + 7568818*x^24 - 17649418*x^23 - 25772286*x^22 + 56367266*x^21 + 67920466*x^20 - 129674148*x^19 - 141564008*x^18 + 212027762*x^17 + 235479604*x^16 - 238940078*x^15 - 308656000*x^14 + 174764638*x^13 + 307255166*x^12 - 73072852*x^11 - 219827502*x^10 + 11881442*x^9 + 105587396*x^8 + 818008*x^7 - 31232786*x^6 + 296246*x^5 + 5009644*x^4 - 239020*x^3 - 343558*x^2 + 11768*x + 9280, x^43 - 4*x^42 - 57*x^41 + 241*x^40 + 1475*x^39 - 6672*x^38 - 22901*x^37 + 112630*x^36 + 237238*x^35 - 1297394*x^34 - 1720655*x^33 + 10813437*x^32 + 8868411*x^31 - 67473300*x^30 - 31811657*x^29 + 321691613*x^28 + 71404569*x^27 - 1185500169*x^26 - 46428846*x^25 + 3393732921*x^24 - 327591536*x^23 - 7542361455*x^22 + 1491810311*x^21 + 12935469875*x^20 - 3537003266*x^19 - 16916210060*x^18 + 5585174071*x^17 + 16544387919*x^16 - 6185198243*x^15 - 11746852851*x^14 + 4826303477*x^13 + 5782610102*x^12 - 2604984667*x^11 - 1827423592*x^10 + 936507020*x^9 + 316236452*x^8 - 210748562*x^7 - 15017273*x^6 + 26753449*x^5 - 3350687*x^4 - 1590456*x^3 + 467782*x^2 + 26816*x - 15235, 2*x^39 - 6*x^38 - 108*x^37 + 330*x^36 + 2650*x^35 - 8280*x^34 - 39124*x^33 + 125680*x^32 + 387750*x^31 - 1290270*x^30 - 2723292*x^29 + 9488908*x^28 + 13930166*x^27 - 51645500*x^26 - 52402492*x^25 + 211931730*x^24 + 143950542*x^23 - 661825344*x^22 - 279580222*x^21 + 1576288630*x^20 + 348392998*x^19 - 2851835642*x^18 - 172834864*x^17 + 3878827182*x^16 - 263438862*x^15 - 3895988504*x^14 + 663994708*x^13 + 2810738184*x^12 - 705559144*x^11 - 1395860498*x^10 + 437355162*x^9 + 446378838*x^8 - 161636878*x^7 - 82304680*x^6 + 33362888*x^5 + 7166844*x^4 - 3271232*x^3 - 188836*x^2 + 110520*x - 1310, 2*x^39 - 8*x^38 - 100*x^37 + 430*x^36 + 2218*x^35 - 10466*x^34 - 28620*x^33 + 152784*x^32 + 235592*x^31 - 1493578*x^30 - 1259228*x^29 + 10338990*x^28 + 4054628*x^27 - 52255952*x^26 - 4383832*x^25 + 195958596*x^24 - 26369032*x^23 - 548380338*x^22 + 160654206*x^21 + 1141890098*x^20 - 468205576*x^19 - 1748082758*x^18 + 873080138*x^17 + 1920819730*x^16 - 1102782164*x^15 - 1450166932*x^14 + 945627582*x^13 + 689005494*x^12 - 534450616*x^11 - 159992422*x^10 + 185265932*x^9 - 9304212*x^8 - 32593758*x^7 + 13998306*x^6 + 632264*x^5 - 2587490*x^4 + 557426*x^3 + 111476*x^2 - 42534*x + 2380, 2*x^38 - 4*x^37 - 108*x^36 + 218*x^35 + 2624*x^34 - 5332*x^33 - 37968*x^32 + 77482*x^31 + 364922*x^30 - 746208*x^29 - 2459386*x^28 + 5028662*x^27 + 11950744*x^26 - 24389482*x^25 - 42344496*x^24 + 86152176*x^23 + 109102752*x^22 - 221305964*x^21 - 200488842*x^20 + 406513134*x^19 + 250480896*x^18 - 511671780*x^17 - 188284308*x^16 + 394893412*x^15 + 49111144*x^14 - 110826958*x^13 + 38622048*x^12 - 102947868*x^11 - 25905498*x^10 + 123617102*x^9 - 9712428*x^8 - 54112786*x^7 + 13092758*x^6 + 10367322*x^5 - 3847006*x^4 - 634614*x^3 + 347888*x^2 + 5008*x - 8970, -3*x^42 + 12*x^41 + 165*x^40 - 698*x^39 - 4109*x^38 + 18611*x^37 + 61208*x^36 - 301770*x^35 - 606195*x^34 + 3328898*x^33 + 4185870*x^32 - 26482177*x^31 - 20434859*x^30 + 157140155*x^29 + 68938793*x^28 - 709595013*x^27 - 143514753*x^26 + 2465985183*x^25 + 76172837*x^24 - 6626163991*x^23 + 624913625*x^22 + 13756125983*x^21 - 2553089067*x^20 - 21934688636*x^19 + 5515023610*x^18 + 26561194757*x^17 - 7917297900*x^16 - 23997126505*x^15 + 7932286315*x^14 + 15762681221*x^13 - 5566477374*x^12 - 7251899053*x^11 + 2680986914*x^10 + 2212191936*x^9 - 848702206*x^8 - 411402527*x^7 + 163644234*x^6 + 40657246*x^5 - 16806440*x^4 - 1676278*x^3 + 719677*x^2 + 20918*x - 8070, -3*x^42 + 12*x^41 + 165*x^40 - 698*x^39 - 4109*x^38 + 18611*x^37 + 61208*x^36 - 301770*x^35 - 606195*x^34 + 3328898*x^33 + 4185870*x^32 - 26482177*x^31 - 20434859*x^30 + 157140155*x^29 + 68938793*x^28 - 709595013*x^27 - 143514753*x^26 + 2465985183*x^25 + 76172837*x^24 - 6626163991*x^23 + 624913625*x^22 + 13756125983*x^21 - 2553089067*x^20 - 21934688636*x^19 + 5515023610*x^18 + 26561194757*x^17 - 7917297900*x^16 - 23997126505*x^15 + 7932286315*x^14 + 15762681221*x^13 - 5566477374*x^12 - 7251899053*x^11 + 2680986914*x^10 + 2212191936*x^9 - 848702206*x^8 - 411402527*x^7 + 163644234*x^6 + 40657246*x^5 - 16806440*x^4 - 1676278*x^3 + 719677*x^2 + 20918*x - 8070, -3*x^41 + 12*x^40 + 161*x^39 - 684*x^38 - 3894*x^37 + 17828*x^36 + 55975*x^35 - 281778*x^34 - 529920*x^33 + 3019955*x^32 + 3444308*x^31 - 23251979*x^30 - 15370442*x^29 + 132938484*x^28 + 44069136*x^27 - 575336701*x^26 - 55552367*x^25 + 1904029204*x^24 - 141995590*x^23 - 4834124502*x^22 + 969021062*x^21 + 9390151296*x^20 - 2751836145*x^19 - 13835075410*x^18 + 4989815059*x^17 + 15226875895*x^16 - 6235654717*x^15 - 12228305649*x^14 + 5440230055*x^13 + 6922240902*x^12 - 3267206368*x^11 - 2625364174*x^10 + 1304649995*x^9 + 617533708*x^8 - 326285515*x^7 - 79356445*x^6 + 46110510*x^5 + 4397783*x^4 - 3057577*x^3 - 86114*x^2 + 73277*x + 1065, -3*x^41 + 12*x^40 + 161*x^39 - 684*x^38 - 3894*x^37 + 17828*x^36 + 55975*x^35 - 281778*x^34 - 529920*x^33 + 3019955*x^32 + 3444308*x^31 - 23251979*x^30 - 15370442*x^29 + 132938484*x^28 + 44069136*x^27 - 575336701*x^26 - 55552367*x^25 + 1904029204*x^24 - 141995590*x^23 - 4834124502*x^22 + 969021062*x^21 + 9390151296*x^20 - 2751836145*x^19 - 13835075410*x^18 + 4989815059*x^17 + 15226875895*x^16 - 6235654717*x^15 - 12228305649*x^14 + 5440230055*x^13 + 6922240902*x^12 - 3267206368*x^11 - 2625364174*x^10 + 1304649995*x^9 + 617533708*x^8 - 326285515*x^7 - 79356445*x^6 + 46110510*x^5 + 4397783*x^4 - 3057577*x^3 - 86114*x^2 + 73277*x + 1065, -3*x^41 + 13*x^40 + 155*x^39 - 729*x^38 - 3567*x^37 + 18660*x^36 + 47866*x^35 - 289066*x^34 - 408639*x^33 + 3029837*x^32 + 2221544*x^31 - 22758678*x^30 - 6570532*x^29 + 126595766*x^28 - 2634748*x^27 - 531412775*x^26 + 130706362*x^25 + 1699770928*x^24 - 705619153*x^23 - 4153775714*x^22 + 2266873908*x^21 + 7727221047*x^20 - 5019045587*x^19 - 10833510251*x^18 + 7967107422*x^17 + 11246307501*x^16 - 9127302769*x^15 - 8406469805*x^14 + 7464473508*x^13 + 4330847767*x^12 - 4249210551*x^11 - 1429946952*x^10 + 1616443841*x^9 + 262199367*x^8 - 386857701*x^7 - 16341870*x^6 + 53394739*x^5 - 1719806*x^4 - 3731544*x^3 + 258936*x^2 + 100169*x - 7840, -3*x^41 + 13*x^40 + 155*x^39 - 729*x^38 - 3567*x^37 + 18660*x^36 + 47866*x^35 - 289066*x^34 - 408639*x^33 + 3029837*x^32 + 2221544*x^31 - 22758678*x^30 - 6570532*x^29 + 126595766*x^28 - 2634748*x^27 - 531412775*x^26 + 130706362*x^25 + 1699770928*x^24 - 705619153*x^23 - 4153775714*x^22 + 2266873908*x^21 + 7727221047*x^20 - 5019045587*x^19 - 10833510251*x^18 + 7967107422*x^17 + 11246307501*x^16 - 9127302769*x^15 - 8406469805*x^14 + 7464473508*x^13 + 4330847767*x^12 - 4249210551*x^11 - 1429946952*x^10 + 1616443841*x^9 + 262199367*x^8 - 386857701*x^7 - 16341870*x^6 + 53394739*x^5 - 1719806*x^4 - 3731544*x^3 + 258936*x^2 + 100169*x - 7840, -x^40 + 5*x^39 + 48*x^38 - 272*x^37 - 999*x^36 + 6736*x^35 + 11501*x^34 - 100623*x^33 - 73769*x^32 + 1012919*x^31 + 157919*x^30 - 7271783*x^29 + 1615964*x^28 + 38434285*x^27 - 18680469*x^26 - 152238137*x^25 + 103194841*x^24 + 455712403*x^23 - 374201111*x^22 - 1031968534*x^21 + 959735462*x^20 + 1757709263*x^19 - 1781806763*x^18 - 2222200915*x^17 + 2398234632*x^16 + 2037883527*x^15 - 2309804165*x^14 - 1304955270*x^13 + 1548472009*x^12 + 546519856*x^11 - 689112652*x^10 - 131902182*x^9 + 187765663*x^8 + 13287866*x^7 - 26918629*x^6 + 2805*x^5 + 1423016*x^4 + 78596*x^3 - 12911*x^2 - 9425*x - 130, -x^40 + 5*x^39 + 48*x^38 - 272*x^37 - 999*x^36 + 6736*x^35 + 11501*x^34 - 100623*x^33 - 73769*x^32 + 1012919*x^31 + 157919*x^30 - 7271783*x^29 + 1615964*x^28 + 38434285*x^27 - 18680469*x^26 - 152238137*x^25 + 103194841*x^24 + 455712403*x^23 - 374201111*x^22 - 1031968534*x^21 + 959735462*x^20 + 1757709263*x^19 - 1781806763*x^18 - 2222200915*x^17 + 2398234632*x^16 + 2037883527*x^15 - 2309804165*x^14 - 1304955270*x^13 + 1548472009*x^12 + 546519856*x^11 - 689112652*x^10 - 131902182*x^9 + 187765663*x^8 + 13287866*x^7 - 26918629*x^6 + 2805*x^5 + 1423016*x^4 + 78596*x^3 - 12911*x^2 - 9425*x - 130, -3*x^40 + 9*x^39 + 167*x^38 - 511*x^37 - 4234*x^36 + 13256*x^35 + 64774*x^34 - 208320*x^33 - 667793*x^32 + 2217279*x^31 + 4906498*x^30 - 16929888*x^29 - 26485621*x^28 + 95824027*x^27 + 106642855*x^26 - 409717842*x^25 - 321363268*x^24 + 1336327086*x^23 + 718308548*x^22 - 3334006153*x^21 - 1158482540*x^20 + 6341903963*x^19 + 1256598212*x^18 - 9112117947*x^17 - 716591449*x^16 + 9730937329*x^15 - 182252095*x^14 - 7535485049*x^13 + 750798997*x^12 + 4080015023*x^11 - 687224267*x^10 - 1462756046*x^9 + 334651028*x^8 + 318758216*x^7 - 90615095*x^6 - 36262268*x^5 + 12325847*x^4 + 1511568*x^3 - 633489*x^2 - 10428*x + 8200, -3*x^40 + 9*x^39 + 167*x^38 - 511*x^37 - 4234*x^36 + 13256*x^35 + 64774*x^34 - 208320*x^33 - 667793*x^32 + 2217279*x^31 + 4906498*x^30 - 16929888*x^29 - 26485621*x^28 + 95824027*x^27 + 106642855*x^26 - 409717842*x^25 - 321363268*x^24 + 1336327086*x^23 + 718308548*x^22 - 3334006153*x^21 - 1158482540*x^20 + 6341903963*x^19 + 1256598212*x^18 - 9112117947*x^17 - 716591449*x^16 + 9730937329*x^15 - 182252095*x^14 - 7535485049*x^13 + 750798997*x^12 + 4080015023*x^11 - 687224267*x^10 - 1462756046*x^9 + 334651028*x^8 + 318758216*x^7 - 90615095*x^6 - 36262268*x^5 + 12325847*x^4 + 1511568*x^3 - 633489*x^2 - 10428*x + 8200, -3*x^40 + 10*x^39 + 162*x^38 - 557*x^37 - 3966*x^36 + 14147*x^35 + 58262*x^34 - 217202*x^33 - 572807*x^32 + 2253307*x^31 + 3978120*x^30 - 16727521*x^29 - 20058551*x^28 + 91805029*x^27 + 74162299*x^26 - 379541532*x^25 - 199693260*x^24 + 1193367145*x^23 + 378986254*x^22 - 2861313992*x^21 - 457872840*x^20 + 5214012054*x^19 + 204600298*x^18 - 7153886399*x^17 + 388849694*x^16 + 7273638891*x^15 - 926144568*x^14 - 5350496811*x^13 + 984247531*x^12 + 2751641786*x^11 - 622790101*x^10 - 943491425*x^9 + 239690540*x^8 + 202760999*x^7 - 53482128*x^6 - 25548375*x^5 + 6441636*x^4 + 1784664*x^3 - 411718*x^2 - 49418*x + 10090, -3*x^40 + 10*x^39 + 162*x^38 - 557*x^37 - 3966*x^36 + 14147*x^35 + 58262*x^34 - 217202*x^33 - 572807*x^32 + 2253307*x^31 + 3978120*x^30 - 16727521*x^29 - 20058551*x^28 + 91805029*x^27 + 74162299*x^26 - 379541532*x^25 - 199693260*x^24 + 1193367145*x^23 + 378986254*x^22 - 2861313992*x^21 - 457872840*x^20 + 5214012054*x^19 + 204600298*x^18 - 7153886399*x^17 + 388849694*x^16 + 7273638891*x^15 - 926144568*x^14 - 5350496811*x^13 + 984247531*x^12 + 2751641786*x^11 - 622790101*x^10 - 943491425*x^9 + 239690540*x^8 + 202760999*x^7 - 53482128*x^6 - 25548375*x^5 + 6441636*x^4 + 1784664*x^3 - 411718*x^2 - 49418*x + 10090, x^41 - 7*x^40 - 41*x^39 + 380*x^38 + 606*x^37 - 9376*x^36 - 1443*x^35 + 139294*x^34 - 81859*x^33 - 1391519*x^32 + 1470192*x^31 + 9886207*x^30 - 13816868*x^29 - 51514990*x^28 + 86377209*x^27 + 200058816*x^26 - 386672723*x^25 - 582098730*x^24 + 1279021132*x^23 + 1262974029*x^22 - 3167590944*x^21 - 2008083680*x^20 + 5887166331*x^19 + 2247483514*x^18 - 8161000857*x^17 - 1598854563*x^16 + 8317017809*x^15 + 458331761*x^14 - 6081336643*x^13 + 333019292*x^12 + 3070310315*x^11 - 441752972*x^10 - 1006501144*x^9 + 222153965*x^8 + 192299658*x^7 - 56767367*x^6 - 16828677*x^5 + 6633260*x^4 + 150550*x^3 - 207790*x^2 + 20660*x - 2020, x^41 - 7*x^40 - 41*x^39 + 380*x^38 + 606*x^37 - 9376*x^36 - 1443*x^35 + 139294*x^34 - 81859*x^33 - 1391519*x^32 + 1470192*x^31 + 9886207*x^30 - 13816868*x^29 - 51514990*x^28 + 86377209*x^27 + 200058816*x^26 - 386672723*x^25 - 582098730*x^24 + 1279021132*x^23 + 1262974029*x^22 - 3167590944*x^21 - 2008083680*x^20 + 5887166331*x^19 + 2247483514*x^18 - 8161000857*x^17 - 1598854563*x^16 + 8317017809*x^15 + 458331761*x^14 - 6081336643*x^13 + 333019292*x^12 + 3070310315*x^11 - 441752972*x^10 - 1006501144*x^9 + 222153965*x^8 + 192299658*x^7 - 56767367*x^6 - 16828677*x^5 + 6633260*x^4 + 150550*x^3 - 207790*x^2 + 20660*x - 2020, x^41 - 4*x^40 - 54*x^39 + 230*x^38 + 1310*x^37 - 6034*x^36 - 18818*x^35 + 95779*x^34 + 177205*x^33 - 1028563*x^32 - 1138051*x^31 + 7916199*x^30 + 4959057*x^29 - 45123655*x^28 - 13460096*x^27 + 194127444*x^26 + 12835618*x^25 - 636357871*x^24 + 64343358*x^23 + 1593044546*x^22 - 353770156*x^21 - 3032357408*x^20 + 936363437*x^19 + 4339593948*x^18 - 1603931202*x^17 - 4577867023*x^16 + 1880948766*x^15 + 3450019827*x^14 - 1511987867*x^13 - 1767900812*x^12 + 809577886*x^11 + 566991077*x^10 - 271627105*x^9 - 96465611*x^8 + 50469359*x^7 + 4819040*x^6 - 3625388*x^5 + 524387*x^4 - 125331*x^3 - 35042*x^2 + 18967*x - 1190, x^41 - 4*x^40 - 54*x^39 + 230*x^38 + 1310*x^37 - 6034*x^36 - 18818*x^35 + 95779*x^34 + 177205*x^33 - 1028563*x^32 - 1138051*x^31 + 7916199*x^30 + 4959057*x^29 - 45123655*x^28 - 13460096*x^27 + 194127444*x^26 + 12835618*x^25 - 636357871*x^24 + 64343358*x^23 + 1593044546*x^22 - 353770156*x^21 - 3032357408*x^20 + 936363437*x^19 + 4339593948*x^18 - 1603931202*x^17 - 4577867023*x^16 + 1880948766*x^15 + 3450019827*x^14 - 1511987867*x^13 - 1767900812*x^12 + 809577886*x^11 + 566991077*x^10 - 271627105*x^9 - 96465611*x^8 + 50469359*x^7 + 4819040*x^6 - 3625388*x^5 + 524387*x^4 - 125331*x^3 - 35042*x^2 + 18967*x - 1190, x^41 - 3*x^40 - 59*x^39 + 182*x^38 + 1585*x^37 - 5058*x^36 - 25656*x^35 + 85376*x^34 + 278946*x^33 - 978473*x^32 - 2148338*x^31 + 8063997*x^30 + 12027349*x^29 - 49380544*x^28 - 49289509*x^27 + 228971120*x^26 + 145911590*x^25 - 811958930*x^24 - 296548879*x^23 + 2209111422*x^22 + 344484556*x^21 - 4600084625*x^20 + 33665945*x^19 + 7273280547*x^18 - 987649225*x^17 - 8611125345*x^16 + 2044901786*x^15 + 7473330552*x^14 - 2379770179*x^13 - 4607820234*x^12 + 1768515830*x^11 + 1926470915*x^10 - 845257227*x^9 - 507780231*x^8 + 248897527*x^7 + 74540210*x^6 - 41062106*x^5 - 4843574*x^4 + 3169997*x^3 + 111731*x^2 - 92374*x + 125, x^41 - 3*x^40 - 59*x^39 + 182*x^38 + 1585*x^37 - 5058*x^36 - 25656*x^35 + 85376*x^34 + 278946*x^33 - 978473*x^32 - 2148338*x^31 + 8063997*x^30 + 12027349*x^29 - 49380544*x^28 - 49289509*x^27 + 228971120*x^26 + 145911590*x^25 - 811958930*x^24 - 296548879*x^23 + 2209111422*x^22 + 344484556*x^21 - 4600084625*x^20 + 33665945*x^19 + 7273280547*x^18 - 987649225*x^17 - 8611125345*x^16 + 2044901786*x^15 + 7473330552*x^14 - 2379770179*x^13 - 4607820234*x^12 + 1768515830*x^11 + 1926470915*x^10 - 845257227*x^9 - 507780231*x^8 + 248897527*x^7 + 74540210*x^6 - 41062106*x^5 - 4843574*x^4 + 3169997*x^3 + 111731*x^2 - 92374*x + 125, -3*x^39 + 6*x^38 + 171*x^37 - 338*x^36 - 4457*x^35 + 8684*x^34 + 70447*x^33 - 134883*x^32 - 755089*x^31 + 1415593*x^30 + 5814709*x^29 - 10628836*x^28 - 33250308*x^27 + 58976004*x^26 + 143906941*x^25 - 246338850*x^24 - 476022948*x^23 + 781809801*x^22 + 1206502551*x^21 - 1889764793*x^20 - 2333469606*x^19 + 3466359251*x^18 + 3405711439*x^17 - 4779347117*x^16 - 3677534707*x^15 + 4875072695*x^14 + 2846053991*x^13 - 3593024876*x^12 - 1500032922*x^11 + 1849832395*x^10 + 492757079*x^9 - 633426520*x^8 - 83087796*x^7 + 133709272*x^6 + 2477605*x^5 - 15212062*x^4 + 912520*x^3 + 709175*x^2 - 54649*x - 9265, -3*x^39 + 6*x^38 + 171*x^37 - 338*x^36 - 4457*x^35 + 8684*x^34 + 70447*x^33 - 134883*x^32 - 755089*x^31 + 1415593*x^30 + 5814709*x^29 - 10628836*x^28 - 33250308*x^27 + 58976004*x^26 + 143906941*x^25 - 246338850*x^24 - 476022948*x^23 + 781809801*x^22 + 1206502551*x^21 - 1889764793*x^20 - 2333469606*x^19 + 3466359251*x^18 + 3405711439*x^17 - 4779347117*x^16 - 3677534707*x^15 + 4875072695*x^14 + 2846053991*x^13 - 3593024876*x^12 - 1500032922*x^11 + 1849832395*x^10 + 492757079*x^9 - 633426520*x^8 - 83087796*x^7 + 133709272*x^6 + 2477605*x^5 - 15212062*x^4 + 912520*x^3 + 709175*x^2 - 54649*x - 9265, -3*x^39 + 10*x^38 + 158*x^37 - 547*x^36 - 3751*x^35 + 13602*x^34 + 53034*x^33 - 203723*x^32 - 496731*x^31 + 2053037*x^30 + 3239502*x^29 - 14732186*x^28 - 15007982*x^27 + 77708944*x^26 + 49141910*x^25 - 306710523*x^24 - 108761738*x^23 + 913475468*x^22 + 136567244*x^21 - 2055336153*x^20 + 9633831*x^19 + 3475023554*x^18 - 424371329*x^17 - 4361518304*x^16 + 927519310*x^15 + 3982117562*x^14 - 1129729166*x^13 - 2563453512*x^12 + 874778664*x^11 + 1109245628*x^10 - 433261876*x^9 - 299128908*x^8 + 130614574*x^7 + 44275623*x^6 - 21404728*x^5 - 2937166*x^4 + 1535162*x^3 + 103364*x^2 - 40661*x - 2250, -3*x^39 + 10*x^38 + 158*x^37 - 547*x^36 - 3751*x^35 + 13602*x^34 + 53034*x^33 - 203723*x^32 - 496731*x^31 + 2053037*x^30 + 3239502*x^29 - 14732186*x^28 - 15007982*x^27 + 77708944*x^26 + 49141910*x^25 - 306710523*x^24 - 108761738*x^23 + 913475468*x^22 + 136567244*x^21 - 2055336153*x^20 + 9633831*x^19 + 3475023554*x^18 - 424371329*x^17 - 4361518304*x^16 + 927519310*x^15 + 3982117562*x^14 - 1129729166*x^13 - 2563453512*x^12 + 874778664*x^11 + 1109245628*x^10 - 433261876*x^9 - 299128908*x^8 + 130614574*x^7 + 44275623*x^6 - 21404728*x^5 - 2937166*x^4 + 1535162*x^3 + 103364*x^2 - 40661*x - 2250, x^40 - 6*x^39 - 42*x^38 + 313*x^37 + 691*x^36 - 7388*x^35 - 4355*x^34 + 104410*x^33 - 25439*x^32 - 985074*x^31 + 761673*x^30 + 6547511*x^29 - 7628615*x^28 - 31514451*x^27 + 47238011*x^26 + 111045822*x^25 - 203143051*x^24 - 285507108*x^23 + 632877298*x^22 + 524453421*x^21 - 1452000382*x^20 - 651084217*x^19 + 2460722790*x^18 + 460025618*x^17 - 3062038739*x^16 - 14861279*x^15 + 2761074852*x^14 - 328948312*x^13 - 1769597651*x^12 + 347861586*x^11 + 787006908*x^10 - 184240452*x^9 - 236413770*x^8 + 56395944*x^7 + 46324198*x^6 - 10323424*x^5 - 5460314*x^4 + 1089869*x^3 + 302223*x^2 - 42631*x - 5975, x^40 - 6*x^39 - 42*x^38 + 313*x^37 + 691*x^36 - 7388*x^35 - 4355*x^34 + 104410*x^33 - 25439*x^32 - 985074*x^31 + 761673*x^30 + 6547511*x^29 - 7628615*x^28 - 31514451*x^27 + 47238011*x^26 + 111045822*x^25 - 203143051*x^24 - 285507108*x^23 + 632877298*x^22 + 524453421*x^21 - 1452000382*x^20 - 651084217*x^19 + 2460722790*x^18 + 460025618*x^17 - 3062038739*x^16 - 14861279*x^15 + 2761074852*x^14 - 328948312*x^13 - 1769597651*x^12 + 347861586*x^11 + 787006908*x^10 - 184240452*x^9 - 236413770*x^8 + 56395944*x^7 + 46324198*x^6 - 10323424*x^5 - 5460314*x^4 + 1089869*x^3 + 302223*x^2 - 42631*x - 5975, x^42 - 4*x^41 - 55*x^40 + 231*x^39 + 1377*x^38 - 6122*x^37 - 20794*x^36 + 98816*x^35 + 211562*x^34 - 1087290*x^33 - 1534206*x^32 + 8649737*x^31 + 8180137*x^30 - 51491969*x^29 - 32589942*x^28 + 234208015*x^27 + 97502041*x^26 - 823850914*x^25 - 217606745*x^24 + 2254100290*x^23 + 353307472*x^22 - 4799411009*x^21 - 388054334*x^20 + 7917613318*x^19 + 211786604*x^18 - 10025987603*x^17 + 132749047*x^16 + 9600495809*x^15 - 435941690*x^14 - 6802505904*x^13 + 509060199*x^12 + 3459595993*x^11 - 363561100*x^10 - 1210049424*x^9 + 166514061*x^8 + 273694390*x^7 - 46811005*x^6 - 36438055*x^5 + 7330670*x^4 + 2433885*x^3 - 540499*x^2 - 59558*x + 13815, x^42 - 4*x^41 - 55*x^40 + 231*x^39 + 1377*x^38 - 6122*x^37 - 20794*x^36 + 98816*x^35 + 211562*x^34 - 1087290*x^33 - 1534206*x^32 + 8649737*x^31 + 8180137*x^30 - 51491969*x^29 - 32589942*x^28 + 234208015*x^27 + 97502041*x^26 - 823850914*x^25 - 217606745*x^24 + 2254100290*x^23 + 353307472*x^22 - 4799411009*x^21 - 388054334*x^20 + 7917613318*x^19 + 211786604*x^18 - 10025987603*x^17 + 132749047*x^16 + 9600495809*x^15 - 435941690*x^14 - 6802505904*x^13 + 509060199*x^12 + 3459595993*x^11 - 363561100*x^10 - 1210049424*x^9 + 166514061*x^8 + 273694390*x^7 - 46811005*x^6 - 36438055*x^5 + 7330670*x^4 + 2433885*x^3 - 540499*x^2 - 59558*x + 13815, x^42 - 4*x^41 - 55*x^40 + 233*x^39 + 1368*x^38 - 6214*x^37 - 20339*x^36 + 100681*x^35 + 201122*x^34 - 1109032*x^33 - 1390072*x^32 + 8807622*x^31 + 6841648*x^30 - 52190692*x^29 - 23734946*x^28 + 235601479*x^27 + 54381651*x^26 - 820118670*x^25 - 60138887*x^24 + 2214089289*x^23 - 81886729*x^22 - 4638097628*x^21 + 523514081*x^20 + 7504709403*x^19 - 1226645737*x^18 - 9286771246*x^17 + 1817496400*x^16 + 8647050616*x^15 - 1861299070*x^14 - 5912818264*x^13 + 1339454029*x^12 + 2867267351*x^11 - 667219609*x^10 - 938553161*x^9 + 220691974*x^8 + 193766608*x^7 - 45051719*x^6 - 23114804*x^5 + 5070165*x^4 + 1425078*x^3 - 274886*x^2 - 33157*x + 4730, x^42 - 4*x^41 - 55*x^40 + 233*x^39 + 1368*x^38 - 6214*x^37 - 20339*x^36 + 100681*x^35 + 201122*x^34 - 1109032*x^33 - 1390072*x^32 + 8807622*x^31 + 6841648*x^30 - 52190692*x^29 - 23734946*x^28 + 235601479*x^27 + 54381651*x^26 - 820118670*x^25 - 60138887*x^24 + 2214089289*x^23 - 81886729*x^22 - 4638097628*x^21 + 523514081*x^20 + 7504709403*x^19 - 1226645737*x^18 - 9286771246*x^17 + 1817496400*x^16 + 8647050616*x^15 - 1861299070*x^14 - 5912818264*x^13 + 1339454029*x^12 + 2867267351*x^11 - 667219609*x^10 - 938553161*x^9 + 220691974*x^8 + 193766608*x^7 - 45051719*x^6 - 23114804*x^5 + 5070165*x^4 + 1425078*x^3 - 274886*x^2 - 33157*x + 4730, x^42 - 3*x^41 - 59*x^40 + 180*x^39 + 1592*x^38 - 4953*x^37 - 26036*x^36 + 82889*x^35 + 288319*x^34 - 943356*x^33 - 2287428*x^32 + 7734954*x^31 + 13413537*x^30 - 47226319*x^29 - 59100249*x^28 + 218873916*x^27 + 196768677*x^26 - 777881399*x^25 - 492891239*x^24 + 2127387779*x^23 + 913027154*x^22 - 4466913388*x^21 - 1200510437*x^20 + 7144745672*x^19 + 1005815418*x^18 - 8584173911*x^17 - 315755569*x^16 + 7580887983*x^15 - 377407796*x^14 - 4763647535*x^13 + 592134417*x^12 + 2026407374*x^11 - 387774905*x^10 - 537258917*x^9 + 137094089*x^8 + 75348291*x^7 - 24278542*x^6 - 3246140*x^5 + 1459094*x^4 - 189754*x^3 + 39221*x^2 + 12709*x - 4355, x^42 - 3*x^41 - 59*x^40 + 180*x^39 + 1592*x^38 - 4953*x^37 - 26036*x^36 + 82889*x^35 + 288319*x^34 - 943356*x^33 - 2287428*x^32 + 7734954*x^31 + 13413537*x^30 - 47226319*x^29 - 59100249*x^28 + 218873916*x^27 + 196768677*x^26 - 777881399*x^25 - 492891239*x^24 + 2127387779*x^23 + 913027154*x^22 - 4466913388*x^21 - 1200510437*x^20 + 7144745672*x^19 + 1005815418*x^18 - 8584173911*x^17 - 315755569*x^16 + 7580887983*x^15 - 377407796*x^14 - 4763647535*x^13 + 592134417*x^12 + 2026407374*x^11 - 387774905*x^10 - 537258917*x^9 + 137094089*x^8 + 75348291*x^7 - 24278542*x^6 - 3246140*x^5 + 1459094*x^4 - 189754*x^3 + 39221*x^2 + 12709*x - 4355, x^40 - 3*x^39 - 55*x^38 + 167*x^37 + 1379*x^36 - 4249*x^35 - 20874*x^34 + 65506*x^33 + 212859*x^32 - 683876*x^31 - 1544107*x^30 + 5117558*x^29 + 8194776*x^28 - 28337081*x^27 - 32176618*x^26 + 118160606*x^25 + 93147519*x^24 - 373988760*x^23 - 194341487*x^22 + 898797297*x^21 + 274440920*x^20 - 1629174388*x^19 - 211657880*x^18 + 2195249481*x^17 - 37577277*x^16 - 2145440958*x^15 + 307441782*x^14 + 1460782571*x^13 - 372090596*x^12 - 646456315*x^11 + 231630330*x^10 + 161380868*x^9 - 75962225*x^8 - 14095947*x^7 + 10135065*x^6 - 1600239*x^5 + 287887*x^4 + 222889*x^3 - 118684*x^2 - 3159*x + 4485, x^40 - 3*x^39 - 55*x^38 + 167*x^37 + 1379*x^36 - 4249*x^35 - 20874*x^34 + 65506*x^33 + 212859*x^32 - 683876*x^31 - 1544107*x^30 + 5117558*x^29 + 8194776*x^28 - 28337081*x^27 - 32176618*x^26 + 118160606*x^25 + 93147519*x^24 - 373988760*x^23 - 194341487*x^22 + 898797297*x^21 + 274440920*x^20 - 1629174388*x^19 - 211657880*x^18 + 2195249481*x^17 - 37577277*x^16 - 2145440958*x^15 + 307441782*x^14 + 1460782571*x^13 - 372090596*x^12 - 646456315*x^11 + 231630330*x^10 + 161380868*x^9 - 75962225*x^8 - 14095947*x^7 + 10135065*x^6 - 1600239*x^5 + 287887*x^4 + 222889*x^3 - 118684*x^2 - 3159*x + 4485, -2*x^38 + 2*x^37 + 115*x^36 - 115*x^35 - 3011*x^34 + 2990*x^33 + 47587*x^32 - 46597*x^31 - 507382*x^30 + 486343*x^29 + 3864149*x^28 - 3597715*x^27 - 21711918*x^26 + 19472051*x^25 + 91679170*x^24 - 78494337*x^23 - 293615798*x^22 + 237738809*x^21 + 714777727*x^20 - 542075106*x^19 - 1317246024*x^18 + 927059391*x^17 + 1818403859*x^16 - 1178329927*x^15 - 1846766609*x^14 + 1096406182*x^13 + 1342192957*x^12 - 730149706*x^11 - 669851049*x^10 + 336572447*x^9 + 215687696*x^8 - 101961148*x^7 - 40616572*x^6 + 18572601*x^5 + 3798735*x^4 - 1714913*x^3 - 130335*x^2 + 55812*x + 1065, -2*x^38 + 2*x^37 + 115*x^36 - 115*x^35 - 3011*x^34 + 2990*x^33 + 47587*x^32 - 46597*x^31 - 507382*x^30 + 486343*x^29 + 3864149*x^28 - 3597715*x^27 - 21711918*x^26 + 19472051*x^25 + 91679170*x^24 - 78494337*x^23 - 293615798*x^22 + 237738809*x^21 + 714777727*x^20 - 542075106*x^19 - 1317246024*x^18 + 927059391*x^17 + 1818403859*x^16 - 1178329927*x^15 - 1846766609*x^14 + 1096406182*x^13 + 1342192957*x^12 - 730149706*x^11 - 669851049*x^10 + 336572447*x^9 + 215687696*x^8 - 101961148*x^7 - 40616572*x^6 + 18572601*x^5 + 3798735*x^4 - 1714913*x^3 - 130335*x^2 + 55812*x + 1065, -x^38 - x^37 + 62*x^36 + 47*x^35 - 1734*x^34 - 999*x^33 + 29061*x^32 + 12781*x^31 - 326847*x^30 - 110514*x^29 + 2616564*x^28 + 686518*x^27 - 15422972*x^26 - 3167988*x^25 + 68252382*x^24 + 11007087*x^23 - 228999225*x^22 - 28629111*x^21 + 583842639*x^20 + 54063181*x^19 - 1126158098*x^18 - 68417894*x^17 + 1625594874*x^16 + 43742760*x^15 - 1724831759*x^14 + 18791476*x^13 + 1310361891*x^12 - 70634820*x^11 - 686697398*x^10 + 70165030*x^9 + 235250411*x^8 - 36135766*x^7 - 48472158*x^6 + 9823282*x^5 + 5154978*x^4 - 1238812*x^3 - 197200*x^2 + 46975*x + 1490, -x^38 - x^37 + 62*x^36 + 47*x^35 - 1734*x^34 - 999*x^33 + 29061*x^32 + 12781*x^31 - 326847*x^30 - 110514*x^29 + 2616564*x^28 + 686518*x^27 - 15422972*x^26 - 3167988*x^25 + 68252382*x^24 + 11007087*x^23 - 228999225*x^22 - 28629111*x^21 + 583842639*x^20 + 54063181*x^19 - 1126158098*x^18 - 68417894*x^17 + 1625594874*x^16 + 43742760*x^15 - 1724831759*x^14 + 18791476*x^13 + 1310361891*x^12 - 70634820*x^11 - 686697398*x^10 + 70165030*x^9 + 235250411*x^8 - 36135766*x^7 - 48472158*x^6 + 9823282*x^5 + 5154978*x^4 - 1238812*x^3 - 197200*x^2 + 46975*x + 1490, -3*x^38 + 11*x^37 + 153*x^36 - 592*x^35 - 3494*x^34 + 14478*x^33 + 47015*x^32 - 213051*x^31 - 411771*x^30 + 2105849*x^29 + 2434005*x^28 - 14782603*x^27 - 9597417*x^26 + 75998997*x^25 + 22679140*x^24 - 290898764*x^23 - 13419785*x^22 + 834606950*x^21 - 116335968*x^20 - 1793051681*x^19 + 497186471*x^18 + 2860785989*x^17 - 1086925258*x^16 - 3335264089*x^15 + 1521247161*x^14 + 2768251823*x^13 - 1419830758*x^12 - 1571761338*x^11 + 876225623*x^10 + 574197487*x^9 - 344326377*x^8 - 122349610*x^7 + 80549558*x^6 + 12787927*x^5 - 10061452*x^4 - 442488*x^3 + 568257*x^2 + 193*x - 11580, -3*x^38 + 11*x^37 + 153*x^36 - 592*x^35 - 3494*x^34 + 14478*x^33 + 47015*x^32 - 213051*x^31 - 411771*x^30 + 2105849*x^29 + 2434005*x^28 - 14782603*x^27 - 9597417*x^26 + 75998997*x^25 + 22679140*x^24 - 290898764*x^23 - 13419785*x^22 + 834606950*x^21 - 116335968*x^20 - 1793051681*x^19 + 497186471*x^18 + 2860785989*x^17 - 1086925258*x^16 - 3335264089*x^15 + 1521247161*x^14 + 2768251823*x^13 - 1419830758*x^12 - 1571761338*x^11 + 876225623*x^10 + 574197487*x^9 - 344326377*x^8 - 122349610*x^7 + 80549558*x^6 + 12787927*x^5 - 10061452*x^4 - 442488*x^3 + 568257*x^2 + 193*x - 11580, x^40 - 3*x^39 - 58*x^38 + 183*x^37 + 1509*x^36 - 5044*x^35 - 23294*x^34 + 83383*x^33 + 237528*x^32 - 925000*x^31 - 1682527*x^30 + 7297534*x^29 + 8445984*x^28 - 42321923*x^27 - 29847980*x^26 + 183891251*x^25 + 70553182*x^24 - 604400684*x^23 - 90031827*x^22 + 1506053976*x^21 - 37622144*x^20 - 2832726718*x^19 + 438737528*x^18 + 3976055306*x^17 - 1002863921*x^16 - 4081921815*x^15 + 1329279404*x^14 + 2968054117*x^13 - 1135783441*x^12 - 1451977051*x^11 + 626742069*x^10 + 438147534*x^9 - 213063467*x^8 - 68849876*x^7 + 40279712*x^6 + 3381258*x^5 - 3443010*x^4 + 169122*x^3 + 91213*x^2 - 12974*x + 835, x^40 - 3*x^39 - 58*x^38 + 183*x^37 + 1509*x^36 - 5044*x^35 - 23294*x^34 + 83383*x^33 + 237528*x^32 - 925000*x^31 - 1682527*x^30 + 7297534*x^29 + 8445984*x^28 - 42321923*x^27 - 29847980*x^26 + 183891251*x^25 + 70553182*x^24 - 604400684*x^23 - 90031827*x^22 + 1506053976*x^21 - 37622144*x^20 - 2832726718*x^19 + 438737528*x^18 + 3976055306*x^17 - 1002863921*x^16 - 4081921815*x^15 + 1329279404*x^14 + 2968054117*x^13 - 1135783441*x^12 - 1451977051*x^11 + 626742069*x^10 + 438147534*x^9 - 213063467*x^8 - 68849876*x^7 + 40279712*x^6 + 3381258*x^5 - 3443010*x^4 + 169122*x^3 + 91213*x^2 - 12974*x + 835, 2*x^39 - 9*x^38 - 98*x^37 + 479*x^36 + 2132*x^35 - 11590*x^34 - 26963*x^33 + 168917*x^32 + 216481*x^31 - 1656169*x^30 - 1109281*x^29 + 11554555*x^28 + 3182725*x^27 - 59165014*x^26 - 361579*x^25 + 226038440*x^24 - 41743150*x^23 - 648488781*x^22 + 209536586*x^21 + 1394621607*x^20 - 593716823*x^19 - 2226195424*x^18 + 1122906812*x^17 + 2586857205*x^16 - 1474021142*x^15 - 2116559477*x^14 + 1343684875*x^13 + 1150625735*x^12 - 831326356*x^11 - 369229549*x^10 + 331939840*x^9 + 47305446*x^8 - 77125584*x^7 + 6164231*x^6 + 7987105*x^5 - 2100381*x^4 - 17449*x^3 + 73946*x^2 - 13661*x + 1185, 2*x^39 - 9*x^38 - 98*x^37 + 479*x^36 + 2132*x^35 - 11590*x^34 - 26963*x^33 + 168917*x^32 + 216481*x^31 - 1656169*x^30 - 1109281*x^29 + 11554555*x^28 + 3182725*x^27 - 59165014*x^26 - 361579*x^25 + 226038440*x^24 - 41743150*x^23 - 648488781*x^22 + 209536586*x^21 + 1394621607*x^20 - 593716823*x^19 - 2226195424*x^18 + 1122906812*x^17 + 2586857205*x^16 - 1474021142*x^15 - 2116559477*x^14 + 1343684875*x^13 + 1150625735*x^12 - 831326356*x^11 - 369229549*x^10 + 331939840*x^9 + 47305446*x^8 - 77125584*x^7 + 6164231*x^6 + 7987105*x^5 - 2100381*x^4 - 17449*x^3 + 73946*x^2 - 13661*x + 1185, x^41 - 4*x^40 - 53*x^39 + 225*x^38 + 1268*x^37 - 5791*x^36 - 18081*x^35 + 90467*x^34 + 170671*x^33 - 959599*x^32 - 1116976*x^31 + 7325677*x^30 + 5128205*x^29 - 41631704*x^28 - 16059438*x^27 + 179711466*x^26 + 29987408*x^25 - 596038928*x^24 - 7901914*x^23 + 1526666926*x^22 - 142381785*x^21 - 3019643736*x^20 + 497216472*x^19 + 4589798759*x^18 - 962317663*x^17 - 5308418525*x^16 + 1250238066*x^15 + 4598732626*x^14 - 1145155289*x^13 - 2915516490*x^12 + 748826694*x^11 + 1307658475*x^10 - 346595028*x^9 - 394494008*x^8 + 109413697*x^7 + 73837120*x^6 - 21607993*x^5 - 7394101*x^4 + 2249973*x^3 + 286475*x^2 - 82155*x - 2210, x^41 - 4*x^40 - 53*x^39 + 225*x^38 + 1268*x^37 - 5791*x^36 - 18081*x^35 + 90467*x^34 + 170671*x^33 - 959599*x^32 - 1116976*x^31 + 7325677*x^30 + 5128205*x^29 - 41631704*x^28 - 16059438*x^27 + 179711466*x^26 + 29987408*x^25 - 596038928*x^24 - 7901914*x^23 + 1526666926*x^22 - 142381785*x^21 - 3019643736*x^20 + 497216472*x^19 + 4589798759*x^18 - 962317663*x^17 - 5308418525*x^16 + 1250238066*x^15 + 4598732626*x^14 - 1145155289*x^13 - 2915516490*x^12 + 748826694*x^11 + 1307658475*x^10 - 346595028*x^9 - 394494008*x^8 + 109413697*x^7 + 73837120*x^6 - 21607993*x^5 - 7394101*x^4 + 2249973*x^3 + 286475*x^2 - 82155*x - 2210, x^43 - 4*x^42 - 57*x^41 + 242*x^40 + 1471*x^39 - 6727*x^38 - 22668*x^37 + 113983*x^36 + 231086*x^35 - 1317051*x^34 - 1623018*x^33 + 11000855*x^32 + 7826921*x^31 - 68703853*x^30 - 23901279*x^29 + 327354709*x^28 + 27184270*x^27 - 1203621196*x^26 + 139078570*x^25 + 3432237948*x^24 - 917811746*x^23 - 7589051964*x^22 + 2921918395*x^21 + 12945340734*x^20 - 6172596199*x^19 - 16863269876*x^18 + 9256067567*x^17 + 16507768897*x^16 - 10003197565*x^15 - 11859570291*x^14 + 7735552131*x^13 + 6042093191*x^12 - 4182698109*x^11 - 2075954927*x^10 + 1519610233*x^9 + 446034433*x^8 - 348524360*x^7 - 53507808*x^6 + 45767340*x^5 + 3194726*x^4 - 2941022*x^3 - 138243*x^2 + 75310*x + 4230, x^43 - 4*x^42 - 57*x^41 + 242*x^40 + 1471*x^39 - 6727*x^38 - 22668*x^37 + 113983*x^36 + 231086*x^35 - 1317051*x^34 - 1623018*x^33 + 11000855*x^32 + 7826921*x^31 - 68703853*x^30 - 23901279*x^29 + 327354709*x^28 + 27184270*x^27 - 1203621196*x^26 + 139078570*x^25 + 3432237948*x^24 - 917811746*x^23 - 7589051964*x^22 + 2921918395*x^21 + 12945340734*x^20 - 6172596199*x^19 - 16863269876*x^18 + 9256067567*x^17 + 16507768897*x^16 - 10003197565*x^15 - 11859570291*x^14 + 7735552131*x^13 + 6042093191*x^12 - 4182698109*x^11 - 2075954927*x^10 + 1519610233*x^9 + 446034433*x^8 - 348524360*x^7 - 53507808*x^6 + 45767340*x^5 + 3194726*x^4 - 2941022*x^3 - 138243*x^2 + 75310*x + 4230, x^41 - 4*x^40 - 53*x^39 + 228*x^38 + 1252*x^37 - 5915*x^36 - 17298*x^35 + 92583*x^34 + 153378*x^33 - 977252*x^32 - 888712*x^31 + 7366409*x^30 + 3117654*x^29 - 40966479*x^28 - 3562822*x^27 + 171254055*x^26 - 26545659*x^25 - 543285761*x^24 + 181361449*x^23 + 1311219281*x^22 - 614526074*x^21 - 2398403064*x^20 + 1373994092*x^19 + 3289844866*x^18 - 2163746469*x^17 - 3319470280*x^16 + 2442950407*x^15 + 2384014760*x^14 - 1974861581*x^13 - 1147441939*x^12 + 1128187172*x^11 + 321879354*x^10 - 444187941*x^9 - 26004233*x^8 + 115227484*x^7 - 12916571*x^6 - 18057896*x^5 + 4251378*x^4 + 1440901*x^3 - 465897*x^2 - 41053*x + 16425, x^41 - 4*x^40 - 53*x^39 + 228*x^38 + 1252*x^37 - 5915*x^36 - 17298*x^35 + 92583*x^34 + 153378*x^33 - 977252*x^32 - 888712*x^31 + 7366409*x^30 + 3117654*x^29 - 40966479*x^28 - 3562822*x^27 + 171254055*x^26 - 26545659*x^25 - 543285761*x^24 + 181361449*x^23 + 1311219281*x^22 - 614526074*x^21 - 2398403064*x^20 + 1373994092*x^19 + 3289844866*x^18 - 2163746469*x^17 - 3319470280*x^16 + 2442950407*x^15 + 2384014760*x^14 - 1974861581*x^13 - 1147441939*x^12 + 1128187172*x^11 + 321879354*x^10 - 444187941*x^9 - 26004233*x^8 + 115227484*x^7 - 12916571*x^6 - 18057896*x^5 + 4251378*x^4 + 1440901*x^3 - 465897*x^2 - 41053*x + 16425, x^39 - 3*x^38 - 55*x^37 + 161*x^36 + 1399*x^35 - 3960*x^34 - 21861*x^33 + 59225*x^32 + 234926*x^31 - 602403*x^30 - 1840046*x^29 + 4414557*x^28 + 10851872*x^27 - 24080981*x^26 - 49059783*x^25 + 99592131*x^24 + 171400063*x^23 - 315071767*x^22 - 463095713*x^21 + 763847048*x^20 + 962160401*x^19 - 1413141762*x^18 - 1518889686*x^17 + 1975422316*x^16 + 1787025338*x^15 - 2053834754*x^14 - 1522652510*x^13 + 1552513279*x^12 + 900816693*x^11 - 826562550*x^10 - 347234413*x^9 + 296214961*x^8 + 78606990*x^7 - 66664513*x^6 - 8502152*x^5 + 8342171*x^4 + 195957*x^3 - 456163*x^2 + 8739*x + 7775, x^39 - 3*x^38 - 55*x^37 + 161*x^36 + 1399*x^35 - 3960*x^34 - 21861*x^33 + 59225*x^32 + 234926*x^31 - 602403*x^30 - 1840046*x^29 + 4414557*x^28 + 10851872*x^27 - 24080981*x^26 - 49059783*x^25 + 99592131*x^24 + 171400063*x^23 - 315071767*x^22 - 463095713*x^21 + 763847048*x^20 + 962160401*x^19 - 1413141762*x^18 - 1518889686*x^17 + 1975422316*x^16 + 1787025338*x^15 - 2053834754*x^14 - 1522652510*x^13 + 1552513279*x^12 + 900816693*x^11 - 826562550*x^10 - 347234413*x^9 + 296214961*x^8 + 78606990*x^7 - 66664513*x^6 - 8502152*x^5 + 8342171*x^4 + 195957*x^3 - 456163*x^2 + 8739*x + 7775, 4*x^35 - 10*x^34 - 197*x^33 + 540*x^32 + 4224*x^31 - 12787*x^30 - 51904*x^29 + 176698*x^28 + 402824*x^27 - 1595149*x^26 - 2031695*x^25 + 9960149*x^24 + 6419740*x^23 - 44359778*x^22 - 10023810*x^21 + 143064888*x^20 - 9075237*x^19 - 335354849*x^18 + 89901883*x^17 + 567671047*x^16 - 235445603*x^15 - 681830475*x^14 + 355847268*x^13 + 562582847*x^12 - 340626824*x^11 - 301432336*x^10 + 206678509*x^9 + 94431957*x^8 - 76041721*x^7 - 13414732*x^6 + 15460424*x^5 - 27765*x^4 - 1463839*x^3 + 143588*x^2 + 50050*x - 7545, 4*x^35 - 10*x^34 - 197*x^33 + 540*x^32 + 4224*x^31 - 12787*x^30 - 51904*x^29 + 176698*x^28 + 402824*x^27 - 1595149*x^26 - 2031695*x^25 + 9960149*x^24 + 6419740*x^23 - 44359778*x^22 - 10023810*x^21 + 143064888*x^20 - 9075237*x^19 - 335354849*x^18 + 89901883*x^17 + 567671047*x^16 - 235445603*x^15 - 681830475*x^14 + 355847268*x^13 + 562582847*x^12 - 340626824*x^11 - 301432336*x^10 + 206678509*x^9 + 94431957*x^8 - 76041721*x^7 - 13414732*x^6 + 15460424*x^5 - 27765*x^4 - 1463839*x^3 + 143588*x^2 + 50050*x - 7545, x^38 - 5*x^37 - 45*x^36 + 253*x^35 + 886*x^34 - 5822*x^33 - 9868*x^32 + 80736*x^31 + 65599*x^30 - 753593*x^29 - 227115*x^28 + 5007741*x^27 - 114798*x^26 - 24431075*x^25 + 5851610*x^24 + 88922213*x^23 - 34508740*x^22 - 242879402*x^21 + 119219584*x^20 + 496627877*x^19 - 278882716*x^18 - 752455812*x^17 + 458583168*x^16 + 829173454*x^15 - 532035264*x^14 - 645948860*x^13 + 429109327*x^12 + 342073783*x^11 - 233615805*x^10 - 117743010*x^9 + 82347341*x^8 + 25976705*x^7 - 18072964*x^6 - 4117148*x^5 + 2522443*x^4 + 496934*x^3 - 246759*x^2 - 20969*x + 9795, x^38 - 5*x^37 - 45*x^36 + 253*x^35 + 886*x^34 - 5822*x^33 - 9868*x^32 + 80736*x^31 + 65599*x^30 - 753593*x^29 - 227115*x^28 + 5007741*x^27 - 114798*x^26 - 24431075*x^25 + 5851610*x^24 + 88922213*x^23 - 34508740*x^22 - 242879402*x^21 + 119219584*x^20 + 496627877*x^19 - 278882716*x^18 - 752455812*x^17 + 458583168*x^16 + 829173454*x^15 - 532035264*x^14 - 645948860*x^13 + 429109327*x^12 + 342073783*x^11 - 233615805*x^10 - 117743010*x^9 + 82347341*x^8 + 25976705*x^7 - 18072964*x^6 - 4117148*x^5 + 2522443*x^4 + 496934*x^3 - 246759*x^2 - 20969*x + 9795, x^39 - 3*x^38 - 56*x^37 + 180*x^36 + 1392*x^35 - 4845*x^34 - 20260*x^33 + 77691*x^32 + 191259*x^31 - 830548*x^30 - 1219181*x^29 + 6273171*x^28 + 5229293*x^27 - 34600815*x^26 - 13946981*x^25 + 142028128*x^24 + 14113832*x^23 - 438042603*x^22 + 52450509*x^21 + 1017676728*x^20 - 284172347*x^19 - 1774512350*x^18 + 700856930*x^17 + 2299587204*x^16 - 1098809724*x^15 - 2177035495*x^14 + 1168026452*x^13 + 1465062539*x^12 - 849306689*x^11 - 670738728*x^10 + 415364926*x^9 + 193568127*x^8 - 131343716*x^7 - 30026369*x^6 + 24938310*x^5 + 1378058*x^4 - 2439557*x^3 + 150700*x^2 + 84519*x - 10450, x^39 - 3*x^38 - 56*x^37 + 180*x^36 + 1392*x^35 - 4845*x^34 - 20260*x^33 + 77691*x^32 + 191259*x^31 - 830548*x^30 - 1219181*x^29 + 6273171*x^28 + 5229293*x^27 - 34600815*x^26 - 13946981*x^25 + 142028128*x^24 + 14113832*x^23 - 438042603*x^22 + 52450509*x^21 + 1017676728*x^20 - 284172347*x^19 - 1774512350*x^18 + 700856930*x^17 + 2299587204*x^16 - 1098809724*x^15 - 2177035495*x^14 + 1168026452*x^13 + 1465062539*x^12 - 849306689*x^11 - 670738728*x^10 + 415364926*x^9 + 193568127*x^8 - 131343716*x^7 - 30026369*x^6 + 24938310*x^5 + 1378058*x^4 - 2439557*x^3 + 150700*x^2 + 84519*x - 10450, x^40 - 3*x^39 - 55*x^38 + 167*x^37 + 1384*x^36 - 4251*x^35 - 21155*x^34 + 65634*x^33 + 220023*x^32 - 687518*x^31 - 1653669*x^30 + 5178458*x^29 + 9315666*x^28 - 29005542*x^27 - 40281566*x^26 + 123260831*x^25 + 135835548*x^24 - 401933721*x^23 - 360718082*x^22 + 1010779632*x^21 + 757107716*x^20 - 1960120026*x^19 - 1251343321*x^18 + 2916750341*x^17 + 1607450708*x^16 - 3297084902*x^15 - 1565362962*x^14 + 2784933457*x^13 + 1110252086*x^12 - 1713450891*x^11 - 539266369*x^10 + 738169892*x^9 + 162327683*x^8 - 209177200*x^7 - 24984372*x^6 + 35157236*x^5 + 1044524*x^4 - 2909226*x^3 + 72511*x^2 + 84416*x - 2955, x^40 - 3*x^39 - 55*x^38 + 167*x^37 + 1384*x^36 - 4251*x^35 - 21155*x^34 + 65634*x^33 + 220023*x^32 - 687518*x^31 - 1653669*x^30 + 5178458*x^29 + 9315666*x^28 - 29005542*x^27 - 40281566*x^26 + 123260831*x^25 + 135835548*x^24 - 401933721*x^23 - 360718082*x^22 + 1010779632*x^21 + 757107716*x^20 - 1960120026*x^19 - 1251343321*x^18 + 2916750341*x^17 + 1607450708*x^16 - 3297084902*x^15 - 1565362962*x^14 + 2784933457*x^13 + 1110252086*x^12 - 1713450891*x^11 - 539266369*x^10 + 738169892*x^9 + 162327683*x^8 - 209177200*x^7 - 24984372*x^6 + 35157236*x^5 + 1044524*x^4 - 2909226*x^3 + 72511*x^2 + 84416*x - 2955, x^40 - 3*x^39 - 54*x^38 + 164*x^37 + 1329*x^36 - 4098*x^35 - 19736*x^34 + 62057*x^33 + 197207*x^32 - 636542*x^31 - 1398263*x^30 + 4681807*x^29 + 7214838*x^28 - 25491007*x^27 - 27233067*x^26 + 104551155*x^25 + 73869283*x^24 - 325499643*x^23 - 134971175*x^22 + 768987641*x^21 + 128163090*x^20 - 1367694533*x^19 + 77239054*x^18 + 1800818737*x^17 - 489961689*x^16 - 1704678281*x^15 + 856149363*x^14 + 1102055957*x^13 - 870485591*x^12 - 438486627*x^11 + 556232441*x^10 + 77385524*x^9 - 219428047*x^8 + 9319930*x^7 + 50187384*x^6 - 6113282*x^5 - 6125221*x^4 + 761816*x^3 + 385833*x^2 - 27068*x - 10860, x^40 - 3*x^39 - 54*x^38 + 164*x^37 + 1329*x^36 - 4098*x^35 - 19736*x^34 + 62057*x^33 + 197207*x^32 - 636542*x^31 - 1398263*x^30 + 4681807*x^29 + 7214838*x^28 - 25491007*x^27 - 27233067*x^26 + 104551155*x^25 + 73869283*x^24 - 325499643*x^23 - 134971175*x^22 + 768987641*x^21 + 128163090*x^20 - 1367694533*x^19 + 77239054*x^18 + 1800818737*x^17 - 489961689*x^16 - 1704678281*x^15 + 856149363*x^14 + 1102055957*x^13 - 870485591*x^12 - 438486627*x^11 + 556232441*x^10 + 77385524*x^9 - 219428047*x^8 + 9319930*x^7 + 50187384*x^6 - 6113282*x^5 - 6125221*x^4 + 761816*x^3 + 385833*x^2 - 27068*x - 10860, 3*x^38 - 11*x^37 - 151*x^36 + 586*x^35 + 3399*x^34 - 14154*x^33 - 45099*x^32 + 205382*x^31 + 390641*x^30 - 1999915*x^29 - 2302129*x^28 + 13826184*x^27 + 9240866*x^26 - 70020170*x^25 - 23828218*x^24 + 264188404*x^23 + 29168261*x^22 - 747909328*x^21 + 39340265*x^20 + 1587370980*x^19 - 265720580*x^18 - 2505142704*x^17 + 616000051*x^16 + 2892373692*x^15 - 856743893*x^14 - 2380433614*x^13 + 771948768*x^12 + 1343401854*x^11 - 449719612*x^10 - 491646972*x^9 + 162697260*x^8 + 108116870*x^7 - 33856348*x^6 - 13111938*x^5 + 3587969*x^4 + 825096*x^3 - 174649*x^2 - 19506*x + 2300, 3*x^38 - 11*x^37 - 151*x^36 + 586*x^35 + 3399*x^34 - 14154*x^33 - 45099*x^32 + 205382*x^31 + 390641*x^30 - 1999915*x^29 - 2302129*x^28 + 13826184*x^27 + 9240866*x^26 - 70020170*x^25 - 23828218*x^24 + 264188404*x^23 + 29168261*x^22 - 747909328*x^21 + 39340265*x^20 + 1587370980*x^19 - 265720580*x^18 - 2505142704*x^17 + 616000051*x^16 + 2892373692*x^15 - 856743893*x^14 - 2380433614*x^13 + 771948768*x^12 + 1343401854*x^11 - 449719612*x^10 - 491646972*x^9 + 162697260*x^8 + 108116870*x^7 - 33856348*x^6 - 13111938*x^5 + 3587969*x^4 + 825096*x^3 - 174649*x^2 - 19506*x + 2300, x^40 - 2*x^39 - 58*x^38 + 116*x^37 + 1532*x^36 - 3054*x^35 - 24450*x^34 + 48397*x^33 + 263832*x^32 - 516213*x^31 - 2041467*x^30 + 3926679*x^29 + 11726140*x^28 - 22025501*x^27 - 51079330*x^26 + 92941658*x^25 + 170947154*x^24 - 298469324*x^23 - 442607518*x^22 + 733640588*x^21 + 888102155*x^20 - 1382137819*x^19 - 1375838260*x^18 + 1991245660*x^17 + 1628317928*x^16 - 2181114041*x^15 - 1442841915*x^14 + 1797322208*x^13 + 924516584*x^12 - 1093410946*x^11 - 403710401*x^10 + 474401394*x^9 + 107598977*x^8 - 137833303*x^7 - 13285889*x^6 + 23984924*x^5 - 186254*x^4 - 2060097*x^3 + 142620*x^2 + 62556*x - 5565, x^40 - 2*x^39 - 58*x^38 + 116*x^37 + 1532*x^36 - 3054*x^35 - 24450*x^34 + 48397*x^33 + 263832*x^32 - 516213*x^31 - 2041467*x^30 + 3926679*x^29 + 11726140*x^28 - 22025501*x^27 - 51079330*x^26 + 92941658*x^25 + 170947154*x^24 - 298469324*x^23 - 442607518*x^22 + 733640588*x^21 + 888102155*x^20 - 1382137819*x^19 - 1375838260*x^18 + 1991245660*x^17 + 1628317928*x^16 - 2181114041*x^15 - 1442841915*x^14 + 1797322208*x^13 + 924516584*x^12 - 1093410946*x^11 - 403710401*x^10 + 474401394*x^9 + 107598977*x^8 - 137833303*x^7 - 13285889*x^6 + 23984924*x^5 - 186254*x^4 - 2060097*x^3 + 142620*x^2 + 62556*x - 5565, x^38 - x^37 - 61*x^36 + 79*x^35 + 1632*x^34 - 2485*x^33 - 25504*x^32 + 43724*x^31 + 260581*x^30 - 492918*x^29 - 1840821*x^28 + 3815933*x^27 + 9247323*x^26 - 21087604*x^25 - 33349058*x^24 + 84989961*x^23 + 85612150*x^22 - 252291653*x^21 - 150883203*x^20 + 552008564*x^19 + 163499479*x^18 - 883313135*x^17 - 59323604*x^16 + 1016203487*x^15 - 113361267*x^14 - 816489986*x^13 + 209391262*x^12 + 437328840*x^11 - 167406083*x^10 - 144615733*x^9 + 74088121*x^8 + 25669656*x^7 - 18002193*x^6 - 1763332*x^5 + 2216215*x^4 - 228*x^3 - 133063*x^2 + 863*x + 3805, x^38 - x^37 - 61*x^36 + 79*x^35 + 1632*x^34 - 2485*x^33 - 25504*x^32 + 43724*x^31 + 260581*x^30 - 492918*x^29 - 1840821*x^28 + 3815933*x^27 + 9247323*x^26 - 21087604*x^25 - 33349058*x^24 + 84989961*x^23 + 85612150*x^22 - 252291653*x^21 - 150883203*x^20 + 552008564*x^19 + 163499479*x^18 - 883313135*x^17 - 59323604*x^16 + 1016203487*x^15 - 113361267*x^14 - 816489986*x^13 + 209391262*x^12 + 437328840*x^11 - 167406083*x^10 - 144615733*x^9 + 74088121*x^8 + 25669656*x^7 - 18002193*x^6 - 1763332*x^5 + 2216215*x^4 - 228*x^3 - 133063*x^2 + 863*x + 3805, x^38 - 2*x^37 - 56*x^36 + 120*x^35 + 1402*x^34 - 3207*x^33 - 20765*x^32 + 50728*x^31 + 202765*x^30 - 531445*x^29 - 1375870*x^28 + 3905175*x^27 + 6653676*x^26 - 20775519*x^25 - 23090292*x^24 + 81368120*x^23 + 56870186*x^22 - 236085595*x^21 - 95667000*x^20 + 506205804*x^19 + 98619923*x^18 - 793154967*x^17 - 36622199*x^16 + 888682833*x^15 - 47891685*x^14 - 686501592*x^13 + 77085490*x^12 + 343909483*x^11 - 43971060*x^10 - 99963674*x^9 + 7631630*x^8 + 13153851*x^7 + 2660791*x^6 - 239868*x^5 - 1212762*x^4 - 18194*x^3 + 126369*x^2 + 1661*x - 4640, x^38 - 2*x^37 - 56*x^36 + 120*x^35 + 1402*x^34 - 3207*x^33 - 20765*x^32 + 50728*x^31 + 202765*x^30 - 531445*x^29 - 1375870*x^28 + 3905175*x^27 + 6653676*x^26 - 20775519*x^25 - 23090292*x^24 + 81368120*x^23 + 56870186*x^22 - 236085595*x^21 - 95667000*x^20 + 506205804*x^19 + 98619923*x^18 - 793154967*x^17 - 36622199*x^16 + 888682833*x^15 - 47891685*x^14 - 686501592*x^13 + 77085490*x^12 + 343909483*x^11 - 43971060*x^10 - 99963674*x^9 + 7631630*x^8 + 13153851*x^7 + 2660791*x^6 - 239868*x^5 - 1212762*x^4 - 18194*x^3 + 126369*x^2 + 1661*x - 4640, x^39 - 3*x^38 - 51*x^37 + 156*x^36 + 1177*x^35 - 3678*x^34 - 16282*x^33 + 52058*x^32 + 150825*x^31 - 493550*x^30 - 990997*x^29 + 3310496*x^28 + 4783414*x^27 - 16169069*x^26 - 17412691*x^25 + 58269659*x^24 + 49117553*x^23 - 155169212*x^22 - 111290131*x^21 + 302415994*x^20 + 211560233*x^19 - 421705097*x^18 - 346981970*x^17 + 403882915*x^16 + 481483874*x^15 - 248436207*x^14 - 529526082*x^13 + 91813513*x^12 + 425357828*x^11 - 30222214*x^10 - 229247181*x^9 + 22989125*x^8 + 74779131*x^7 - 13695512*x^6 - 12504719*x^5 + 3440351*x^4 + 731764*x^3 - 274570*x^2 - 5216*x + 5165, x^39 - 3*x^38 - 51*x^37 + 156*x^36 + 1177*x^35 - 3678*x^34 - 16282*x^33 + 52058*x^32 + 150825*x^31 - 493550*x^30 - 990997*x^29 + 3310496*x^28 + 4783414*x^27 - 16169069*x^26 - 17412691*x^25 + 58269659*x^24 + 49117553*x^23 - 155169212*x^22 - 111290131*x^21 + 302415994*x^20 + 211560233*x^19 - 421705097*x^18 - 346981970*x^17 + 403882915*x^16 + 481483874*x^15 - 248436207*x^14 - 529526082*x^13 + 91813513*x^12 + 425357828*x^11 - 30222214*x^10 - 229247181*x^9 + 22989125*x^8 + 74779131*x^7 - 13695512*x^6 - 12504719*x^5 + 3440351*x^4 + 731764*x^3 - 274570*x^2 - 5216*x + 5165, x^38 - 56*x^36 - 13*x^35 + 1474*x^34 + 578*x^33 - 24099*x^32 - 11414*x^31 + 272031*x^30 + 131953*x^29 - 2230123*x^28 - 989711*x^27 + 13628009*x^26 + 5028998*x^25 - 62889777*x^24 - 17423895*x^23 + 220259690*x^22 + 39545690*x^21 - 584887748*x^20 - 48956051*x^19 + 1170081931*x^18 - 7724722*x^17 - 1741966885*x^16 + 156275003*x^15 + 1892580773*x^14 - 312686330*x^13 - 1456843026*x^12 + 339826823*x^11 + 759738800*x^10 - 223533795*x^9 - 250245812*x^8 + 87364818*x^7 + 46336001*x^6 - 18604947*x^5 - 3900729*x^4 + 1809560*x^3 + 96922*x^2 - 59745*x + 655, x^38 - 56*x^36 - 13*x^35 + 1474*x^34 + 578*x^33 - 24099*x^32 - 11414*x^31 + 272031*x^30 + 131953*x^29 - 2230123*x^28 - 989711*x^27 + 13628009*x^26 + 5028998*x^25 - 62889777*x^24 - 17423895*x^23 + 220259690*x^22 + 39545690*x^21 - 584887748*x^20 - 48956051*x^19 + 1170081931*x^18 - 7724722*x^17 - 1741966885*x^16 + 156275003*x^15 + 1892580773*x^14 - 312686330*x^13 - 1456843026*x^12 + 339826823*x^11 + 759738800*x^10 - 223533795*x^9 - 250245812*x^8 + 87364818*x^7 + 46336001*x^6 - 18604947*x^5 - 3900729*x^4 + 1809560*x^3 + 96922*x^2 - 59745*x + 655]>
       ]
>;

MOG[983] := 	// J_0(983)
   rec<SupersingularModule | 
       MonodromyWeights   := [3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [0, 26, 40, 48, 112, 131, 135, 136, 213, 219, 339, 371, 388, 412, 423, 436, 460, 483, 510, 546, 557, 745, 902, 918, 947, 961, 976, 22*x + 515, 961*x + 515, 737*x + 197, 246*x + 197, 570*x + 930, 413*x + 930, 830*x + 684, 153*x + 684, 896*x + 289, 87*x + 289, 167*x + 855, 816*x + 855, 528*x + 497, 455*x + 497, 265*x + 923, 718*x + 923, 912*x + 122, 71*x + 122, 511*x + 451, 472*x + 451, 754*x + 840, 229*x + 840, 362*x + 54, 621*x + 54, 604*x + 688, 379*x + 688, 783*x + 313, 200*x + 313, 589*x + 62, 394*x + 62, 207*x + 123, 776*x + 123, 556*x + 612, 427*x + 612, 883*x + 465, 100*x + 465, 253*x + 161, 730*x + 161, 367*x + 671, 616*x + 671, 971*x + 387, 12*x + 387, 646*x + 844, 337*x + 844, 446*x + 872, 537*x + 872, 621*x + 315, 362*x + 315, 795*x + 669, 188*x + 669, 343*x + 783, 640*x + 783, 635*x + 262, 348*x + 262, 469*x + 761, 514*x + 761]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^28 + 7*x^27 - 12*x^26 - 184*x^25 - 110*x^24 + 2026*x^23 + 3083*x^22 - 12045*x^21 - 26802*x^20 + 40855*x^19 + 128063*x^18 - 71590*x^17 - 378054*x^16 + 15476*x^15 + 712577*x^14 + 202920*x^13 - 849928*x^12 - 443102*x^11 + 608717*x^10 + 448651*x^9 - 226391*x^8 - 238743*x^7 + 21942*x^6 + 60980*x^5 + 8363*x^4 - 5156*x^3 - 1394*x^2 - 32*x + 7,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^27 - 7*x^26 + 11*x^25 + 177*x^24 + 119*x^23 - 1863*x^22 - 2949*x^21 + 10487*x^20 + 24138*x^19 - 33064*x^18 - 108799*x^17 + 50752*x^16 + 301222*x^15 + 6945*x^14 - 526728*x^13 - 175962*x^12 + 572292*x^11 + 323630*x^10 - 360436*x^9 - 285253*x^8 + 107047*x^7 + 127858*x^6 - 1599*x^5 - 24738*x^4 - 4634*x^3 + 981*x^2 + 269*x + 5, x^27 + 7*x^26 - 11*x^25 - 177*x^24 - 119*x^23 + 1863*x^22 + 2949*x^21 - 10487*x^20 - 24138*x^19 + 33064*x^18 + 108799*x^17 - 50752*x^16 - 301222*x^15 - 6945*x^14 + 526728*x^13 + 175962*x^12 - 572292*x^11 - 323630*x^10 + 360436*x^9 + 285253*x^8 - 107047*x^7 - 127858*x^6 + 1599*x^5 + 24738*x^4 + 4634*x^3 - 981*x^2 - 269*x - 5, -x^26 - 7*x^25 + 9*x^24 + 163*x^23 + 134*x^22 - 1558*x^21 - 2664*x^20 + 7791*x^19 + 19264*x^18 - 20838*x^17 - 76832*x^16 + 22421*x^15 + 185849*x^14 + 26958*x^13 - 277636*x^12 - 119472*x^11 + 248281*x^10 + 163398*x^9 - 119344*x^8 - 110885*x^7 + 20343*x^6 + 36242*x^5 + 3729*x^4 - 4175*x^3 - 1125*x^2 - 27*x + 7, x^26 + 7*x^25 - 9*x^24 - 163*x^23 - 134*x^22 + 1558*x^21 + 2664*x^20 - 7791*x^19 - 19264*x^18 + 20838*x^17 + 76832*x^16 - 22421*x^15 - 185849*x^14 - 26958*x^13 + 277636*x^12 + 119472*x^11 - 248281*x^10 - 163398*x^9 + 119344*x^8 + 110885*x^7 - 20343*x^6 - 36242*x^5 - 3729*x^4 + 4175*x^3 + 1125*x^2 + 27*x - 7, x^20 + 9*x^19 + 12*x^18 - 103*x^17 - 293*x^16 + 373*x^15 + 1918*x^14 - 65*x^13 - 6089*x^12 - 2976*x^11 + 10480*x^10 + 8569*x^9 - 9482*x^8 - 10952*x^7 + 3332*x^6 + 6749*x^5 + 657*x^4 - 1606*x^3 - 542*x^2 + 15*x + 18, -x^20 - 9*x^19 - 12*x^18 + 103*x^17 + 293*x^16 - 373*x^15 - 1918*x^14 + 65*x^13 + 6089*x^12 + 2976*x^11 - 10480*x^10 - 8569*x^9 + 9482*x^8 + 10952*x^7 - 3332*x^6 - 6749*x^5 - 657*x^4 + 1606*x^3 + 542*x^2 - 15*x - 18, -x^25 - 7*x^24 + 8*x^23 + 156*x^22 + 140*x^21 - 1415*x^20 - 2508*x^19 + 6639*x^18 + 16960*x^17 - 16311*x^16 - 63283*x^15 + 14557*x^14 + 142491*x^13 + 25020*x^12 - 196382*x^11 - 86365*x^10 + 159502*x^9 + 103675*x^8 - 67464*x^7 - 60978*x^6 + 8997*x^5 + 16367*x^4 + 1893*x^3 - 1290*x^2 - 315*x - 11, x^25 + 7*x^24 - 8*x^23 - 156*x^22 - 140*x^21 + 1415*x^20 + 2508*x^19 - 6639*x^18 - 16960*x^17 + 16311*x^16 + 63283*x^15 - 14557*x^14 - 142491*x^13 - 25020*x^12 + 196382*x^11 + 86365*x^10 - 159502*x^9 - 103675*x^8 + 67464*x^7 + 60978*x^6 - 8997*x^5 - 16367*x^4 - 1893*x^3 + 1290*x^2 + 315*x + 11, -x^25 - 7*x^24 + 7*x^23 + 149*x^22 + 145*x^21 - 1281*x^20 - 2366*x^19 + 5587*x^18 + 15007*x^17 - 12020*x^16 - 52090*x^15 + 5456*x^14 + 106601*x^13 + 31470*x^12 - 127629*x^11 - 73867*x^10 + 81590*x^9 + 70693*x^8 - 19240*x^7 - 30638*x^6 - 3669*x^5 + 4196*x^4 + 1616*x^3 + 282*x^2 + 53*x + 6, x^25 + 7*x^24 - 7*x^23 - 149*x^22 - 145*x^21 + 1281*x^20 + 2366*x^19 - 5587*x^18 - 15007*x^17 + 12020*x^16 + 52090*x^15 - 5456*x^14 - 106601*x^13 - 31470*x^12 + 127629*x^11 + 73867*x^10 - 81590*x^9 - 70693*x^8 + 19240*x^7 + 30638*x^6 + 3669*x^5 - 4196*x^4 - 1616*x^3 - 282*x^2 - 53*x - 6, x^21 + 8*x^20 + 5*x^19 - 107*x^18 - 212*x^17 + 555*x^16 + 1637*x^15 - 1327*x^14 - 6185*x^13 + 923*x^12 + 13315*x^11 + 2538*x^10 - 16574*x^9 - 6670*x^8 + 11056*x^7 + 6216*x^6 - 3160*x^5 - 2348*x^4 + 129*x^3 + 235*x^2 - x - 9, -x^21 - 8*x^20 - 5*x^19 + 107*x^18 + 212*x^17 - 555*x^16 - 1637*x^15 + 1327*x^14 + 6185*x^13 - 923*x^12 - 13315*x^11 - 2538*x^10 + 16574*x^9 + 6670*x^8 - 11056*x^7 - 6216*x^6 + 3160*x^5 + 2348*x^4 - 129*x^3 - 235*x^2 + x + 9, x^20 + 7*x^19 + 4*x^18 - 81*x^17 - 182*x^16 + 281*x^15 + 1262*x^14 + 96*x^13 - 3899*x^12 - 2835*x^11 + 6031*x^10 + 7092*x^9 - 4282*x^8 - 7724*x^7 + 533*x^6 + 3817*x^5 + 742*x^4 - 671*x^3 - 220*x^2 + 19*x + 9, -x^20 - 7*x^19 - 4*x^18 + 81*x^17 + 182*x^16 - 281*x^15 - 1262*x^14 - 96*x^13 + 3899*x^12 + 2835*x^11 - 6031*x^10 - 7092*x^9 + 4282*x^8 + 7724*x^7 - 533*x^6 - 3817*x^5 - 742*x^4 + 671*x^3 + 220*x^2 - 19*x - 9, -x^24 - 7*x^23 + 6*x^22 + 142*x^21 + 148*x^20 - 1159*x^19 - 2206*x^18 + 4764*x^17 + 13165*x^16 - 9485*x^15 - 43085*x^14 + 3188*x^13 + 83007*x^12 + 24232*x^11 - 93668*x^10 - 50511*x^9 + 57500*x^8 + 43839*x^7 - 15010*x^6 - 17491*x^5 - 356*x^4 + 2491*x^3 + 498*x^2 - 2*x + 1, x^24 + 7*x^23 - 6*x^22 - 142*x^21 - 148*x^20 + 1159*x^19 + 2206*x^18 - 4764*x^17 - 13165*x^16 + 9485*x^15 + 43085*x^14 - 3188*x^13 - 83007*x^12 - 24232*x^11 + 93668*x^10 + 50511*x^9 - 57500*x^8 - 43839*x^7 + 15010*x^6 + 17491*x^5 + 356*x^4 - 2491*x^3 - 498*x^2 + 2*x - 1, -x^24 - 7*x^23 + 6*x^22 + 143*x^21 + 156*x^20 - 1152*x^19 - 2304*x^18 + 4527*x^17 + 13549*x^16 - 7864*x^15 - 43358*x^14 - 1938*x^13 + 81254*x^12 + 33107*x^11 - 88779*x^10 - 59723*x^9 + 51880*x^8 + 49907*x^7 - 11346*x^6 - 19875*x^5 - 1836*x^4 + 2885*x^3 + 810*x^2 + 16*x - 7, x^24 + 7*x^23 - 6*x^22 - 143*x^21 - 156*x^20 + 1152*x^19 + 2304*x^18 - 4527*x^17 - 13549*x^16 + 7864*x^15 + 43358*x^14 + 1938*x^13 - 81254*x^12 - 33107*x^11 + 88779*x^10 + 59723*x^9 - 51880*x^8 - 49907*x^7 + 11346*x^6 + 19875*x^5 + 1836*x^4 - 2885*x^3 - 810*x^2 - 16*x + 7, -x^24 - 7*x^23 + 5*x^22 + 135*x^21 + 150*x^20 - 1045*x^19 - 2051*x^18 + 4054*x^17 + 11577*x^16 - 7480*x^15 - 36163*x^14 + 1324*x^13 + 67000*x^12 + 21373*x^11 - 73023*x^10 - 42194*x^9 + 42604*x^8 + 36408*x^7 - 9002*x^6 - 14555*x^5 - 1757*x^4 + 1966*x^3 + 680*x^2 + 35*x - 8, x^24 + 7*x^23 - 5*x^22 - 135*x^21 - 150*x^20 + 1045*x^19 + 2051*x^18 - 4054*x^17 - 11577*x^16 + 7480*x^15 + 36163*x^14 - 1324*x^13 - 67000*x^12 - 21373*x^11 + 73023*x^10 + 42194*x^9 - 42604*x^8 - 36408*x^7 + 9002*x^6 + 14555*x^5 + 1757*x^4 - 1966*x^3 - 680*x^2 - 35*x + 8, x^22 + 7*x^21 - 2*x^20 - 113*x^19 - 149*x^18 + 711*x^17 + 1538*x^16 - 2059*x^15 - 6812*x^14 + 1872*x^13 + 15887*x^12 + 4110*x^11 - 19464*x^10 - 12183*x^9 + 10378*x^8 + 11263*x^7 + 23*x^6 - 3520*x^5 - 1407*x^4 - 31*x^3 + 42*x^2 - 31*x - 11, -x^22 - 7*x^21 + 2*x^20 + 113*x^19 + 149*x^18 - 711*x^17 - 1538*x^16 + 2059*x^15 + 6812*x^14 - 1872*x^13 - 15887*x^12 - 4110*x^11 + 19464*x^10 + 12183*x^9 - 10378*x^8 - 11263*x^7 - 23*x^6 + 3520*x^5 + 1407*x^4 + 31*x^3 - 42*x^2 + 31*x + 11, x^21 + 6*x^20 - 3*x^19 - 75*x^18 - 53*x^17 + 392*x^16 + 359*x^15 - 1291*x^14 - 884*x^13 + 3517*x^12 + 1404*x^11 - 7590*x^10 - 3056*x^9 + 10160*x^8 + 5905*x^7 - 6515*x^6 - 5577*x^5 + 879*x^4 + 1872*x^3 + 499*x^2 + 7*x - 7, -x^21 - 6*x^20 + 3*x^19 + 75*x^18 + 53*x^17 - 392*x^16 - 359*x^15 + 1291*x^14 + 884*x^13 - 3517*x^12 - 1404*x^11 + 7590*x^10 + 3056*x^9 - 10160*x^8 - 5905*x^7 + 6515*x^6 + 5577*x^5 - 879*x^4 - 1872*x^3 - 499*x^2 - 7*x + 7, x^21 + 7*x^20 + 2*x^19 - 89*x^18 - 160*x^17 + 392*x^16 + 1170*x^15 - 560*x^14 - 3738*x^13 - 645*x^12 + 6172*x^11 + 2643*x^10 - 5759*x^9 - 2524*x^8 + 3761*x^7 + 1018*x^6 - 2190*x^5 - 586*x^4 + 715*x^3 + 341*x^2 + 13*x - 9, -x^21 - 7*x^20 - 2*x^19 + 89*x^18 + 160*x^17 - 392*x^16 - 1170*x^15 + 560*x^14 + 3738*x^13 + 645*x^12 - 6172*x^11 - 2643*x^10 + 5759*x^9 + 2524*x^8 - 3761*x^7 - 1018*x^6 + 2190*x^5 + 586*x^4 - 715*x^3 - 341*x^2 - 13*x + 9, -x^23 - 7*x^22 + 5*x^21 + 136*x^20 + 160*x^19 - 1022*x^18 - 2138*x^17 + 3603*x^16 + 11484*x^15 - 4906*x^14 - 32834*x^13 - 4714*x^12 + 53005*x^11 + 24994*x^10 - 47250*x^9 - 33600*x^8 + 20569*x^7 + 20574*x^6 - 2431*x^5 - 5580*x^4 - 753*x^3 + 476*x^2 + 145*x + 10, x^23 + 7*x^22 - 5*x^21 - 136*x^20 - 160*x^19 + 1022*x^18 + 2138*x^17 - 3603*x^16 - 11484*x^15 + 4906*x^14 + 32834*x^13 + 4714*x^12 - 53005*x^11 - 24994*x^10 + 47250*x^9 + 33600*x^8 - 20569*x^7 - 20574*x^6 + 2431*x^5 + 5580*x^4 + 753*x^3 - 476*x^2 - 145*x - 10, -x^23 - 7*x^22 + 3*x^21 + 122*x^20 + 160*x^19 - 823*x^18 - 1842*x^17 + 2535*x^16 + 9005*x^15 - 2268*x^14 - 23594*x^13 - 7238*x^12 + 33961*x^11 + 23356*x^10 - 24090*x^9 - 26854*x^8 + 4230*x^7 + 13147*x^6 + 3313*x^5 - 1705*x^4 - 1118*x^3 - 284*x^2 - 52*x - 6, x^23 + 7*x^22 - 3*x^21 - 122*x^20 - 160*x^19 + 823*x^18 + 1842*x^17 - 2535*x^16 - 9005*x^15 + 2268*x^14 + 23594*x^13 + 7238*x^12 - 33961*x^11 - 23356*x^10 + 24090*x^9 + 26854*x^8 - 4230*x^7 - 13147*x^6 - 3313*x^5 + 1705*x^4 + 1118*x^3 + 284*x^2 + 52*x + 6, -x^23 - 6*x^22 + 11*x^21 + 127*x^20 + 44*x^19 - 1090*x^18 - 1273*x^17 + 4844*x^16 + 8441*x^15 - 11589*x^14 - 28403*x^13 + 12801*x^12 + 54598*x^11 + 1648*x^10 - 60372*x^9 - 20168*x^8 + 35549*x^7 + 20529*x^6 - 8402*x^5 - 7902*x^4 - 330*x^3 + 830*x^2 + 163*x + 1, x^23 + 6*x^22 - 11*x^21 - 127*x^20 - 44*x^19 + 1090*x^18 + 1273*x^17 - 4844*x^16 - 8441*x^15 + 11589*x^14 + 28403*x^13 - 12801*x^12 - 54598*x^11 - 1648*x^10 + 60372*x^9 + 20168*x^8 - 35549*x^7 - 20529*x^6 + 8402*x^5 + 7902*x^4 + 330*x^3 - 830*x^2 - 163*x - 1, -x^23 - 7*x^22 + 2*x^21 + 115*x^20 + 161*x^19 - 715*x^18 - 1680*x^17 + 1926*x^16 + 7478*x^15 - 933*x^14 - 17529*x^13 - 6910*x^12 + 21827*x^11 + 16952*x^10 - 12034*x^9 - 16352*x^8 - 795*x^7 + 6347*x^6 + 3665*x^5 + 87*x^4 - 1023*x^3 - 513*x^2 - 71*x + 3, x^23 + 7*x^22 - 2*x^21 - 115*x^20 - 161*x^19 + 715*x^18 + 1680*x^17 - 1926*x^16 - 7478*x^15 + 933*x^14 + 17529*x^13 + 6910*x^12 - 21827*x^11 - 16952*x^10 + 12034*x^9 + 16352*x^8 + 795*x^7 - 6347*x^6 - 3665*x^5 - 87*x^4 + 1023*x^3 + 513*x^2 + 71*x - 3, -x^23 - 7*x^22 + 3*x^21 + 121*x^20 + 154*x^19 - 818*x^18 - 1750*x^17 + 2614*x^16 + 8449*x^15 - 3199*x^14 - 22072*x^13 - 3187*x^12 + 32779*x^11 + 14721*x^10 - 26952*x^9 - 17933*x^8 + 11033*x^7 + 9736*x^6 - 1753*x^5 - 2317*x^4 + 87*x^3 + 266*x^2 + 10*x - 9, x^23 + 7*x^22 - 3*x^21 - 121*x^20 - 154*x^19 + 818*x^18 + 1750*x^17 - 2614*x^16 - 8449*x^15 + 3199*x^14 + 22072*x^13 + 3187*x^12 - 32779*x^11 - 14721*x^10 + 26952*x^9 + 17933*x^8 - 11033*x^7 - 9736*x^6 + 1753*x^5 + 2317*x^4 - 87*x^3 - 266*x^2 - 10*x + 9, x^22 + 5*x^21 - 15*x^20 - 106*x^19 + 59*x^18 + 956*x^17 + 264*x^16 - 4716*x^15 - 3366*x^14 + 13664*x^13 + 13855*x^12 - 23139*x^11 - 30055*x^10 + 20817*x^9 + 36499*x^8 - 6171*x^7 - 23473*x^6 - 3571*x^5 + 6396*x^4 + 2385*x^3 - 183*x^2 - 148*x - 8, -x^22 - 5*x^21 + 15*x^20 + 106*x^19 - 59*x^18 - 956*x^17 - 264*x^16 + 4716*x^15 + 3366*x^14 - 13664*x^13 - 13855*x^12 + 23139*x^11 + 30055*x^10 - 20817*x^9 - 36499*x^8 + 6171*x^7 + 23473*x^6 + 3571*x^5 - 6396*x^4 - 2385*x^3 + 183*x^2 + 148*x + 8, 4*x^20 + 26*x^19 - 5*x^18 - 352*x^17 - 460*x^16 + 1788*x^15 + 3809*x^14 - 3962*x^13 - 13374*x^12 + 2234*x^11 + 24461*x^10 + 5917*x^9 - 23924*x^8 - 11400*x^7 + 11680*x^6 + 7610*x^5 - 2176*x^4 - 2015*x^3 - 45*x^2 + 142*x + 17, -4*x^20 - 26*x^19 + 5*x^18 + 352*x^17 + 460*x^16 - 1788*x^15 - 3809*x^14 + 3962*x^13 + 13374*x^12 - 2234*x^11 - 24461*x^10 - 5917*x^9 + 23924*x^8 + 11400*x^7 - 11680*x^6 - 7610*x^5 + 2176*x^4 + 2015*x^3 + 45*x^2 - 142*x - 17, x^22 + 7*x^21 - 2*x^20 - 114*x^19 - 152*x^18 + 729*x^17 + 1590*x^16 - 2222*x^15 - 7279*x^14 + 2639*x^13 + 18334*x^12 + 2542*x^11 - 26607*x^10 - 12078*x^9 + 21193*x^8 + 15409*x^7 - 7272*x^6 - 8718*x^5 - 437*x^4 + 1731*x^3 + 628*x^2 + 75*x + 3, -x^22 - 7*x^21 + 2*x^20 + 114*x^19 + 152*x^18 - 729*x^17 - 1590*x^16 + 2222*x^15 + 7279*x^14 - 2639*x^13 - 18334*x^12 - 2542*x^11 + 26607*x^10 + 12078*x^9 - 21193*x^8 - 15409*x^7 + 7272*x^6 + 8718*x^5 + 437*x^4 - 1731*x^3 - 628*x^2 - 75*x - 3, 3*x^20 + 18*x^19 - 12*x^18 - 256*x^17 - 238*x^16 + 1381*x^15 + 2279*x^14 - 3380*x^13 - 8263*x^12 + 2936*x^11 + 14817*x^10 + 2462*x^9 - 13150*x^8 - 6667*x^7 + 4549*x^6 + 4315*x^5 + 410*x^4 - 719*x^3 - 395*x^2 - 103*x - 12, -3*x^20 - 18*x^19 + 12*x^18 + 256*x^17 + 238*x^16 - 1381*x^15 - 2279*x^14 + 3380*x^13 + 8263*x^12 - 2936*x^11 - 14817*x^10 - 2462*x^9 + 13150*x^8 + 6667*x^7 - 4549*x^6 - 4315*x^5 - 410*x^4 + 719*x^3 + 395*x^2 + 103*x + 12, -x^22 - 7*x^21 + 4*x^20 + 130*x^19 + 166*x^18 - 924*x^17 - 2065*x^16 + 2958*x^15 + 10524*x^14 - 2776*x^13 - 28249*x^12 - 8113*x^11 + 41529*x^10 + 26123*x^9 - 31311*x^8 - 29333*x^7 + 8915*x^6 + 14295*x^5 + 1083*x^4 - 2409*x^3 - 665*x^2 - 6*x + 7, x^22 + 7*x^21 - 4*x^20 - 130*x^19 - 166*x^18 + 924*x^17 + 2065*x^16 - 2958*x^15 - 10524*x^14 + 2776*x^13 + 28249*x^12 + 8113*x^11 - 41529*x^10 - 26123*x^9 + 31311*x^8 + 29333*x^7 - 8915*x^6 - 14295*x^5 - 1083*x^4 + 2409*x^3 + 665*x^2 + 6*x - 7, -x^22 - 6*x^21 + 9*x^20 + 113*x^19 + 47*x^18 - 870*x^17 - 972*x^16 + 3507*x^15 + 5498*x^14 - 7766*x^13 - 15828*x^12 + 8590*x^11 + 25371*x^10 - 2015*x^9 - 22075*x^8 - 4779*x^7 + 9009*x^6 + 4138*x^5 - 825*x^4 - 880*x^3 - 238*x^2 - 46*x - 6, x^22 + 6*x^21 - 9*x^20 - 113*x^19 - 47*x^18 + 870*x^17 + 972*x^16 - 3507*x^15 - 5498*x^14 + 7766*x^13 + 15828*x^12 - 8590*x^11 - 25371*x^10 + 2015*x^9 + 22075*x^8 + 4779*x^7 - 9009*x^6 - 4138*x^5 + 825*x^4 + 880*x^3 + 238*x^2 + 46*x + 6, -2*x^22 - 14*x^21 + 3*x^20 + 223*x^19 + 317*x^18 - 1359*x^17 - 3188*x^16 + 3710*x^15 + 13993*x^14 - 2660*x^13 - 33218*x^12 - 9466*x^11 + 44207*x^10 + 25672*x^9 - 31195*x^8 - 25913*x^7 + 9314*x^6 + 11648*x^5 + 63*x^4 - 1895*x^3 - 312*x^2 + 42*x + 5, 2*x^22 + 14*x^21 - 3*x^20 - 223*x^19 - 317*x^18 + 1359*x^17 + 3188*x^16 - 3710*x^15 - 13993*x^14 + 2660*x^13 + 33218*x^12 + 9466*x^11 - 44207*x^10 - 25672*x^9 + 31195*x^8 + 25913*x^7 - 9314*x^6 - 11648*x^5 - 63*x^4 + 1895*x^3 + 312*x^2 - 42*x - 5, -x^22 - 6*x^21 + 8*x^20 + 107*x^19 + 54*x^18 - 769*x^17 - 911*x^16 + 2837*x^15 + 4641*x^14 - 5574*x^13 - 11955*x^12 + 5045*x^11 + 16782*x^10 + 170*x^9 - 12204*x^8 - 4148*x^7 + 3353*x^6 + 2994*x^5 + 671*x^4 - 584*x^3 - 439*x^2 - 74*x + 3, x^22 + 6*x^21 - 8*x^20 - 107*x^19 - 54*x^18 + 769*x^17 + 911*x^16 - 2837*x^15 - 4641*x^14 + 5574*x^13 + 11955*x^12 - 5045*x^11 - 16782*x^10 - 170*x^9 + 12204*x^8 + 4148*x^7 - 3353*x^6 - 2994*x^5 - 671*x^4 + 584*x^3 + 439*x^2 + 74*x - 3, x^21 + 6*x^20 - 6*x^19 - 98*x^18 - 73*x^17 + 645*x^16 + 960*x^15 - 2130*x^14 - 4585*x^13 + 3399*x^12 + 11476*x^11 - 1129*x^10 - 15939*x^9 - 4267*x^8 + 11654*x^7 + 6279*x^6 - 3514*x^5 - 3171*x^4 - 88*x^3 + 482*x^2 + 138*x + 10, -x^21 - 6*x^20 + 6*x^19 + 98*x^18 + 73*x^17 - 645*x^16 - 960*x^15 + 2130*x^14 + 4585*x^13 - 3399*x^12 - 11476*x^11 + 1129*x^10 + 15939*x^9 + 4267*x^8 - 11654*x^7 - 6279*x^6 + 3514*x^5 + 3171*x^4 + 88*x^3 - 482*x^2 - 138*x - 10, 2*x^21 + 14*x^20 + 4*x^19 - 179*x^18 - 334*x^17 + 751*x^16 + 2490*x^15 - 541*x^14 - 7905*x^13 - 4682*x^12 + 11581*x^11 + 14636*x^10 - 4929*x^9 - 17293*x^8 - 5879*x^7 + 7846*x^6 + 6915*x^5 + 277*x^4 - 1829*x^3 - 839*x^2 - 128*x - 3, -2*x^21 - 14*x^20 - 4*x^19 + 179*x^18 + 334*x^17 - 751*x^16 - 2490*x^15 + 541*x^14 + 7905*x^13 + 4682*x^12 - 11581*x^11 - 14636*x^10 + 4929*x^9 + 17293*x^8 + 5879*x^7 - 7846*x^6 - 6915*x^5 - 277*x^4 + 1829*x^3 + 839*x^2 + 128*x + 3]>,
         rec<Eigen |
           DefiningPolynomial := x^54 - 8*x^53 - 54*x^52 + 584*x^51 + 1042*x^50 - 19796*x^49 - 1237*x^48 + 413466*x^47 - 358794*x^46 - 5952129*x^45 + 8958894*x^44 + 62553726*x^43 - 126835498*x^42 - 495435410*x^41 + 1253525035*x^40 + 3004222627*x^39 - 9293713411*x^38 - 13975741457*x^37 + 53542226368*x^36 + 49076183615*x^35 - 244450036742*x^34 - 122966236099*x^33 + 894424903685*x^32 + 176623802315*x^31 - 2637905740254*x^30 + 96304359926*x^29 + 6281404589258*x^28 - 1387264041265*x^27 - 12053850000231*x^26 + 4456947194953*x^25 + 18542103247007*x^24 - 9142658050375*x^23 - 22656604431753*x^22 + 13557086929278*x^21 + 21687624876581*x^20 - 15016331348745*x^19 - 15932766824690*x^18 + 12472910184205*x^17 + 8706243027959*x^16 - 7677988541771*x^15 - 3358852842107*x^14 + 3414265803006*x^13 + 823835218454*x^12 - 1050391486674*x^11 - 91613439448*x^10 + 207772427925*x^9 - 8142860824*x^8 - 22955735943*x^7 + 3428842058*x^6 + 967453324*x^5 - 263450680*x^4 + 11061183*x^3 + 1161251*x^2 - 38535*x - 983,
           Coordinates        := [-x^53 + 8*x^52 + 51*x^51 - 560*x^50 - 895*x^49 + 18165*x^48 - 1174*x^47 - 362183*x^46 + 351512*x^45 + 4962648*x^44 - 7942045*x^43 - 49458057*x^42 + 105267815*x^41 + 369637424*x^40 - 980483215*x^39 - 2100236177*x^38 + 6856839191*x^37 + 9052421432*x^36 - 37211421354*x^35 - 28823845364*x^34 + 159620306707*x^33 + 61877703597*x^32 - 546778518704*x^31 - 54719731120*x^30 + 1502940670875*x^29 - 182469572605*x^28 - 3317058392214*x^27 + 985383329801*x^26 + 5860051904787*x^25 - 2579480000796*x^24 - 8230136577278*x^23 + 4610513382448*x^22 + 9086999446003*x^21 - 6039709765661*x^20 - 7756963280013*x^19 + 5901322169217*x^18 + 4994530591214*x^17 - 4283918023643*x^16 - 2335136612758*x^15 + 2268825819749*x^14 + 742890102068*x^13 - 848669434182*x^12 - 139776888383*x^11 + 212929841621*x^10 + 8511098083*x^9 - 32974650212*x^8 + 1895251185*x^7 + 2720995284*x^6 - 370478046*x^5 - 84645106*x^4 + 18864813*x^3 - 620034*x^2 - 32157*x - 292, x^53 - 8*x^52 - 51*x^51 + 560*x^50 + 895*x^49 - 18167*x^48 + 1190*x^47 + 362272*x^46 - 352528*x^45 - 4963845*x^44 + 7971663*x^43 + 49447212*x^42 - 105792565*x^41 - 368992127*x^40 + 986783287*x^39 + 2088518016*x^38 - 6910863022*x^37 - 8921039145*x^36 + 37550211616*x^35 + 27783931932*x^34 - 161174352241*x^33 - 55744311264*x^32 + 551815749332*x^31 + 27030055264*x^30 - 1512982111662*x^29 + 279463476487*x^28 + 3319857260864*x^27 - 1250382434263*x^26 - 5799781062411*x^25 + 3143437991688*x^24 + 7985020099039*x^23 - 5538315777380*x^22 - 8518724616892*x^21 + 7202119842967*x^20 + 6852243693000*x^19 - 6982216820066*x^18 - 3963743413131*x^17 + 4996839281216*x^16 + 1494047892505*x^15 - 2572424754911*x^14 - 262324109040*x^13 + 910028376046*x^12 - 43629859063*x^11 - 204153752794*x^10 + 34236902633*x^9 + 24677917626*x^8 - 6854711031*x^7 - 952340972*x^6 + 465515103*x^5 - 33902169*x^4 - 838149*x^3 - 106822*x^2 + 12331*x + 154, -3*x^50 + 24*x^49 + 135*x^48 - 1533*x^47 - 1899*x^46 + 45157*x^45 - 13370*x^44 - 813273*x^43 + 927699*x^42 + 10006353*x^41 - 17385233*x^40 - 88961736*x^39 + 200043091*x^38 + 588782964*x^37 - 1630172507*x^36 - 2937930536*x^35 + 9963091456*x^34 + 11013331148*x^33 - 47029752478*x^32 - 30134251330*x^31 + 174285801035*x^30 + 54583882913*x^29 - 511487561168*x^28 - 37791545652*x^27 + 1192789504383*x^26 - 124910615203*x^25 - 2208352332803*x^24 + 528429390380*x^23 + 3230369926472*x^22 - 1099630719426*x^21 - 3699933968450*x^20 + 1535996469731*x^19 + 3271592694739*x^18 - 1532863313003*x^17 - 2186638646087*x^16 + 1103548650611*x^15 + 1070023442204*x^14 - 564763144207*x^13 - 364443928111*x^12 + 198300520837*x^11 + 79105048061*x^10 - 44825711315*x^9 - 9095277338*x^8 + 5806890138*x^7 + 284060251*x^6 - 335286085*x^5 + 14532918*x^4 + 4233231*x^3 + 107943*x^2 - 48860*x - 860, -3*x^51 + 25*x^50 + 133*x^49 - 1629*x^48 - 1619*x^47 + 48859*x^46 - 26671*x^45 - 893432*x^44 + 1272137*x^43 + 11110730*x^42 - 23152580*x^41 - 99091532*x^40 + 268012525*x^39 + 649142860*x^38 - 2222118354*x^37 - 3123536628*x^36 + 13888711825*x^35 + 10640325610*x^34 - 67229573467*x^33 - 21993879864*x^32 + 255843617803*x^31 + 1767096382*x^30 - 771287142125*x^29 + 183666714976*x^28 + 1846088351142*x^27 - 800693903741*x^26 - 3499711857047*x^25 + 2088629444282*x^24 + 5217578768303*x^23 - 3861317859937*x^22 - 6040720697442*x^21 + 5286491012214*x^20 + 5323057961642*x^19 - 5409463045179*x^18 - 3457162300107*x^17 + 4105026346802*x^16 + 1564619114507*x^15 - 2262457999219*x^14 - 436800394868*x^13 + 874057810574*x^12 + 45792915041*x^11 - 223718330881*x^10 + 12256150923*x^9 + 34582233540*x^8 - 4788651825*x^7 - 2724018156*x^6 + 575301656*x^5 + 69875820*x^4 - 24232763*x^3 + 1342628*x^2 + 21501*x - 212, -3*x^47 + 30*x^46 + 61*x^45 - 1555*x^44 + 1847*x^43 + 35467*x^42 - 95033*x^41 - 457367*x^40 + 1880328*x^39 + 3438670*x^38 - 22605348*x^37 - 11229301*x^36 + 185925732*x^35 - 56305455*x^34 - 1098991781*x^33 + 979910360*x^32 + 4757784322*x^31 - 6758467741*x^30 - 15022561774*x^29 + 30351699597*x^28 + 33289827028*x^27 - 97895395905*x^26 - 44934328790*x^25 + 234266402653*x^24 + 8841631429*x^23 - 419349310824*x^22 + 114920117725*x^21 + 557684535349*x^20 - 297156424664*x^19 - 539084883079*x^18 + 421916437105*x^17 + 361948315937*x^16 - 393115162322*x^15 - 152221163870*x^14 + 246978346813*x^13 + 27195203568*x^12 - 102358511271*x^11 + 6934989982*x^10 + 26278689665*x^9 - 4909767381*x^8 - 3657426080*x^7 + 994944125*x^6 + 194056321*x^5 - 72984428*x^4 + 1037348*x^3 + 887882*x^2 - 25116*x - 752, x^51 - 11*x^50 - 23*x^49 + 665*x^48 - 845*x^47 - 18012*x^46 + 50252*x^45 + 284223*x^44 - 1177371*x^43 - 2793556*x^42 + 17053872*x^41 + 15780581*x^40 - 172441706*x^39 - 15005079*x^38 + 1285866545*x^37 - 623965045*x^36 - 7276566265*x^35 + 6771376775*x^34 + 31694130682*x^33 - 41979618619*x^32 - 106604952137*x^31 + 184018394829*x^30 + 274598102663*x^29 - 606797110027*x^28 - 527239309103*x^27 + 1542097169963*x^26 + 701230750284*x^25 - 3046014105011*x^24 - 484496575636*x^23 + 4671673941573*x^22 - 297610465322*x^21 - 5514978960214*x^20 + 1323319634287*x^19 + 4925976460707*x^18 - 1909641131545*x^17 - 3234022444871*x^16 + 1691491979667*x^15 + 1484791684838*x^14 - 993601605459*x^13 - 431714499382*x^12 + 382680635384*x^11 + 59015415601*x^10 - 90369420994*x^9 + 3850705967*x^8 + 11105177053*x^7 - 2241534231*x^6 - 390167592*x^5 + 178620786*x^4 - 19767893*x^3 + 370880*x^2 + 41445*x + 510, x^50 - 8*x^49 - 45*x^48 + 514*x^47 + 611*x^46 - 15182*x^45 + 5737*x^44 + 273134*x^43 - 343749*x^42 - 3340237*x^41 + 6367881*x^40 + 29302607*x^39 - 73239238*x^38 - 189119453*x^37 + 598399613*x^36 + 900475265*x^35 - 3671168812*x^34 - 3072085188*x^33 + 17403558546*x^32 + 6661716680*x^31 - 64767934021*x^30 - 3479395646*x^29 + 190739851885*x^28 - 37599266944*x^27 - 445496606007*x^26 + 177001947809*x^25 + 822816260921*x^24 - 464988220238*x^23 - 1191749247192*x^22 + 851801492722*x^21 + 1333125101629*x^20 - 1147011274752*x^19 - 1122622149696*x^18 + 1147329839080*x^17 + 680397783590*x^16 - 844144261333*x^15 - 270402000105*x^14 + 444752855969*x^13 + 52027940986*x^12 - 159777295348*x^11 + 6809152230*x^10 + 35759635388*x^9 - 6377730078*x^8 - 4075582106*x^7 + 1321481959*x^6 + 90370182*x^5 - 84797016*x^4 + 11686346*x^3 - 415542*x^2 - 12755*x + 87, x^50 - 7*x^49 - 53*x^48 + 466*x^47 + 1142*x^46 - 14400*x^45 - 10559*x^44 + 274621*x^43 - 37003*x^42 - 3625377*x^41 + 2407185*x^40 + 35226605*x^39 - 36083386*x^38 - 261536308*x^37 + 336879371*x^36 + 1520343358*x^35 - 2266509057*x^34 - 7034211523*x^33 + 11616708088*x^32 + 26185045401*x^31 - 46628227936*x^30 - 78938960427*x^29 + 148768733552*x^28 + 193270902657*x^27 - 380078938800*x^26 - 384067504260*x^25 + 779142774113*x^24 + 616886861227*x^23 - 1278460071002*x^22 - 794443967583*x^21 + 1668018055146*x^20 + 809943954363*x^19 - 1711446892403*x^18 - 641309666764*x^17 + 1358928581053*x^16 + 382827478692*x^15 - 816538624958*x^14 - 163689484563*x^13 + 359846412919*x^12 + 44955862340*x^11 - 111116193235*x^10 - 5398172781*x^9 + 22338620360*x^8 - 781202451*x^7 - 2538701694*x^6 + 329284803*x^5 + 109524067*x^4 - 26768174*x^3 + 1467551*x^2 + 12232*x - 554, x^49 - 7*x^48 - 51*x^47 + 454*x^46 + 1016*x^45 - 13502*x^44 - 7351*x^43 + 244811*x^42 - 76705*x^41 - 3035437*x^40 + 2544369*x^39 + 27374555*x^38 - 32748918*x^37 - 186565712*x^36 + 271700481*x^35 + 986453402*x^34 - 1626494975*x^33 - 4126518815*x^32 + 7369267002*x^31 + 13871579183*x^30 - 25924400920*x^29 - 37945613241*x^28 + 71893487206*x^27 + 85225650021*x^26 - 158588799918*x^25 - 157690876654*x^24 + 279445266573*x^23 + 239258611985*x^22 - 393059983678*x^21 - 293547281549*x^20 + 438279072266*x^19 + 284590482509*x^18 - 381586118339*x^17 - 211427658448*x^16 + 252867710227*x^15 + 116022530604*x^14 - 122829535750*x^13 - 45147461703*x^12 + 41613871787*x^11 + 11968665674*x^10 - 9321014813*x^9 - 2092303005*x^8 + 1356320882*x^7 + 223667267*x^6 - 139186898*x^5 - 6391253*x^4 + 8735001*x^3 - 1191120*x^2 + 40523*x + 1218, -3*x^50 + 24*x^49 + 135*x^48 - 1541*x^47 - 1835*x^46 + 45481*x^45 - 17164*x^44 - 816941*x^43 + 1030939*x^42 + 9957343*x^41 - 19093687*x^40 - 86779068*x^39 + 219236924*x^38 + 553147644*x^37 - 1784810305*x^36 - 2571729735*x^35 + 10881676906*x^34 + 8340041622*x^33 - 51089763573*x^32 - 15542935566*x^31 + 187490594888*x^30 - 6557378859*x^29 - 541569905820*x^28 + 161683365611*x^27 + 1232531403476*x^26 - 634890688775*x^25 - 2200388359145*x^24 + 1550870153757*x^23 + 3049619015279*x^22 - 2700117338950*x^21 - 3221131983197*x^20 + 3473501407887*x^19 + 2511320480403*x^18 - 3318563845454*x^17 - 1359639785386*x^16 + 2327190980207*x^15 + 438127716570*x^14 - 1166344377698*x^13 - 29178993217*x^12 + 398887707947*x^11 - 40039761507*x^10 - 85865089961*x^9 + 17504149259*x^8 + 9871691043*x^7 - 3050877648*x^6 - 353021486*x^5 + 198820367*x^4 - 14195733*x^3 - 1163050*x^2 + 88775*x + 1843, x^52 - 8*x^51 - 49*x^50 + 541*x^49 + 825*x^48 - 16976*x^47 + 1072*x^46 + 328264*x^45 - 299451*x^44 - 4380940*x^43 + 6490019*x^42 + 42820471*x^41 - 82629426*x^40 - 317356689*x^39 + 740487221*x^38 + 1820685460*x^37 - 4993831880*x^36 - 8174974491*x^35 + 26215092455*x^34 + 28801152839*x^33 - 109202806973*x^32 - 79029073755*x^31 + 365028256856*x^30 + 164866138419*x^29 - 984751914100*x^28 - 244885851194*x^27 + 2147374623098*x^26 + 202500520219*x^25 - 3776751233836*x^24 + 92858850445*x^23 + 5325731324601*x^22 - 621884344373*x^21 - 5960813075807*x^20 + 1122614063519*x^19 + 5215893408255*x^18 - 1270693616229*x^17 - 3491560178520*x^16 + 998143392432*x^15 + 1733306058295*x^14 - 550806460282*x^13 - 609560281267*x^12 + 208570787788*x^11 + 141364848959*x^10 - 51388982413*x^9 - 19074710407*x^8 + 7501103787*x^7 + 1136645897*x^6 - 549555973*x^5 - 5226327*x^4 + 14817629*x^3 - 1105318*x^2 - 141*x + 467, 2*x^49 - 19*x^48 - 62*x^47 + 1117*x^46 - 367*x^45 - 29759*x^44 + 52137*x^43 + 472254*x^42 - 1301843*x^41 - 4907423*x^40 + 18704839*x^39 + 34078320*x^38 - 183509182*x^37 - 146978927*x^36 + 1315445695*x^35 + 214810411*x^34 - 7129914972*x^33 + 2019692557*x^32 + 29760667952*x^31 - 18634884177*x^30 - 96476988058*x^29 + 88160625957*x^28 + 243103084780*x^27 - 286840583901*x^26 - 472967103186*x^25 + 688988535317*x^24 + 698900994032*x^23 - 1250779208514*x^22 - 758935338456*x^21 + 1723895875397*x^20 + 563223285768*x^19 - 1791338546098*x^18 - 226659260356*x^17 + 1379744189902*x^16 - 27064951629*x^15 - 765334720279*x^14 + 97323218732*x^13 + 291858155220*x^12 - 60278127975*x^11 - 70763616305*x^10 + 18870365597*x^9 + 9398645012*x^8 - 3012677184*x^7 - 471365517*x^6 + 195639991*x^5 + 206702*x^4 - 2552719*x^3 - 224587*x^2 + 41314*x + 666, x^51 - 8*x^50 - 47*x^49 + 526*x^48 + 727*x^47 - 15996*x^46 + 2825*x^45 + 298682*x^44 - 304273*x^43 - 3833185*x^42 + 6109267*x^41 + 35854857*x^40 - 73854360*x^39 - 252827477*x^38 + 631164597*x^37 + 1370029699*x^36 - 4058552896*x^35 - 5754155868*x^34 + 20277414586*x^33 + 18694856128*x^32 - 80182540339*x^31 - 46182311674*x^30 + 253632094899*x^29 + 82447782346*x^28 - 645243328663*x^27 - 89214215481*x^26 + 1321799078291*x^25 - 4565036232*x^24 - 2174792198802*x^23 + 244757491434*x^22 + 2855522006407*x^21 - 564526819234*x^20 - 2959669919032*x^19 + 785546743130*x^18 + 2381824366156*x^17 - 764673443913*x^16 - 1452233813877*x^15 + 536826609791*x^14 + 646365433232*x^13 - 269743088876*x^12 - 197685927362*x^11 + 93749354780*x^10 + 37057807954*x^9 - 21027519806*x^8 - 3113820125*x^7 + 2644319230*x^6 - 80573838*x^5 - 129900988*x^4 + 19500724*x^3 - 264199*x^2 - 53309*x - 664, -3*x^50 + 25*x^49 + 127*x^48 - 1579*x^47 - 1377*x^46 + 45797*x^45 - 28935*x^44 - 807568*x^43 + 1208659*x^42 + 9652582*x^41 - 20809876*x^40 - 82401884*x^39 + 229760945*x^38 + 513916852*x^37 - 1818128144*x^36 - 2335446376*x^35 + 10828779793*x^34 + 7400521956*x^33 - 49823148559*x^32 - 13532022676*x^31 + 179659532425*x^30 - 4766175008*x^29 - 511460735875*x^28 + 128426116826*x^27 + 1151989068434*x^26 - 490068500159*x^25 - 2048373796415*x^24 + 1155323383626*x^23 + 2857210346735*x^22 - 1933275686081*x^21 - 3092624674712*x^20 + 2382226500062*x^19 + 2555097472662*x^18 - 2174324682215*x^17 - 1572464855823*x^16 + 1455212743136*x^15 + 694370660333*x^14 - 697936952791*x^13 - 206550915648*x^12 + 231062678788*x^11 + 36343076687*x^10 - 49846123179*x^9 - 2391748153*x^8 + 6405545450*x^7 - 241528125*x^6 - 422764806*x^5 + 41732318*x^4 + 10669372*x^3 - 1478473*x^2 - 2830*x + 473, -6*x^47 + 50*x^46 + 222*x^45 - 2879*x^44 - 1692*x^43 + 75954*x^42 - 60461*x^41 - 1215274*x^40 + 1941530*x^39 + 13147145*x^38 - 29091758*x^37 - 101368127*x^36 + 284189350*x^35 + 570620058*x^34 - 1994626099*x^33 - 2349226855*x^32 + 10517108026*x^31 + 6869004194*x^30 - 42668458195*x^29 - 12721333659*x^28 + 134961739710*x^27 + 6530362509*x^26 - 334946618460*x^25 + 43647906050*x^24 + 653137061337*x^23 - 168111980123*x^22 - 997874464112*x^21 + 343618278770*x^20 + 1186358317201*x^19 - 472307428708*x^18 - 1085222310146*x^17 + 459017104076*x^16 + 750988153000*x^15 - 316897105997*x^14 - 383414900283*x^13 + 152728114783*x^12 + 139006435627*x^11 - 49622507695*x^10 - 33669566824*x^9 + 10308435829*x^8 + 4915967257*x^7 - 1270963281*x^6 - 360529930*x^5 + 82209086*x^4 + 9579104*x^3 - 1969962*x^2 - 18198*x + 480, -3*x^51 + 24*x^50 + 141*x^49 - 1583*x^48 - 2141*x^47 + 48209*x^46 - 11016*x^45 - 898843*x^44 + 986315*x^43 + 11465455*x^42 - 19609045*x^41 - 105834290*x^40 + 236562900*x^39 + 728245646*x^38 - 2017594205*x^37 - 3781389417*x^36 + 12915822202*x^35 + 14742677980*x^34 - 63984961673*x^33 - 41735159732*x^32 + 249526868930*x^31 + 76226884299*x^30 - 773188673456*x^29 - 38138708625*x^28 + 1911288730056*x^27 - 277988891505*x^26 - 3768477187585*x^25 + 1117665890179*x^24 + 5903225977781*x^23 - 2452845123790*x^22 - 7289616043999*x^21 + 3717629105241*x^20 + 7009595644921*x^19 - 4105511301910*x^18 - 5155323058334*x^17 + 3337565002105*x^16 + 2824827983728*x^15 - 1978423091204*x^14 - 1107811581265*x^13 + 834488846919*x^12 + 290435408743*x^11 - 240273416269*x^10 - 44037054811*x^9 + 44106976437*x^8 + 2161262282*x^7 - 4556159478*x^6 + 291546615*x^5 + 194500647*x^4 - 31232582*x^3 + 478647*x^2 + 73987*x + 1088, -4*x^46 + 35*x^45 + 126*x^44 - 1916*x^43 - 31*x^42 + 47486*x^41 - 63916*x^40 - 701363*x^39 + 1567702*x^38 + 6814697*x^37 - 20924674*x^36 - 44996466*x^35 + 186762451*x^34 + 196550197*x^33 - 1200484270*x^32 - 468702128*x^31 + 5758986717*x^30 - 327414555*x^29 - 20997023668*x^28 + 8097494515*x^27 + 58636478192*x^26 - 37894154712*x^25 - 125416255711*x^24 + 109130090669*x^23 + 203925164340*x^22 - 220726685154*x^21 - 247968059677*x^20 + 325127799600*x^19 + 218795048678*x^18 - 350848047178*x^17 - 132185594056*x^16 + 274396725261*x^15 + 47429334697*x^14 - 151630150387*x^13 - 4501372807*x^12 + 56641134937*x^11 - 3979791548*x^10 - 13262220481*x^9 + 1815180995*x^8 + 1692608393*x^7 - 293066144*x^6 - 87212388*x^5 + 13729538*x^4 + 1347466*x^3 + 105178*x^2 - 47776*x - 860, 2*x^47 - 25*x^46 - 4*x^45 + 1245*x^44 - 3317*x^43 - 26673*x^42 + 118057*x^41 + 305175*x^40 - 2131385*x^39 - 1628722*x^38 + 24714894*x^37 - 4599468*x^36 - 200854293*x^35 + 162957010*x^34 + 1192838655*x^33 - 1553783965*x^32 - 5278333324*x^31 + 9293753520*x^30 + 17459670047*x^29 - 39710628298*x^28 - 42514716379*x^27 + 126896483732*x^26 + 72375045127*x^25 - 309086846292*x^24 - 71806156783*x^23 + 577301901931*x^22 - 5302579534*x^21 - 824623582819*x^20 + 155360371223*x^19 + 891606704848*x^18 - 289998109447*x^17 - 716151017235*x^16 + 309943617623*x^15 + 414532509572*x^14 - 216195290570*x^13 - 164543852317*x^12 + 99449248650*x^11 + 40932064773*x^10 - 29065677466*x^9 - 5140808819*x^8 + 4965708737*x^7 + 46900296*x^6 - 418329501*x^5 + 45413455*x^4 + 10677614*x^3 - 2117616*x^2 + 72120*x + 2006, -3*x^49 + 26*x^48 + 113*x^47 - 1569*x^46 - 681*x^45 + 43327*x^44 - 43428*x^43 - 723699*x^42 + 1356543*x^41 + 8128961*x^40 - 21140022*x^39 - 64349454*x^38 + 218038067*x^37 + 362858741*x^36 - 1627672263*x^35 - 1407032820*x^34 + 9173506289*x^33 + 3133354306*x^32 - 39928907713*x^31 + 1153543622*x^30 + 135842756165*x^29 - 41842800836*x^28 - 362970427883*x^27 + 192436953960*x^26 + 760918447051*x^25 - 545867945358*x^24 - 1243057035554*x^23 + 1102027084776*x^22 + 1561111777529*x^21 - 1646346880008*x^20 - 1472395358610*x^19 + 1834086747484*x^18 + 1001109076332*x^17 - 1511018189745*x^16 - 451339642493*x^15 + 901405127644*x^14 + 104188445930*x^13 - 375783447045*x^12 + 9605758995*x^11 + 103410826749*x^10 - 14473495312*x^9 - 17045031294*x^8 + 4117289045*x^7 + 1377554929*x^6 - 493610162*x^5 - 24402805*x^4 + 20958041*x^3 - 1443310*x^2 - 59414*x - 484, 2*x^47 - 15*x^46 - 88*x^45 + 901*x^44 + 1347*x^43 - 24950*x^42 + 125*x^41 + 422519*x^40 - 337388*x^39 - 4893282*x^38 + 6470846*x^37 + 41046029*x^36 - 70903183*x^35 - 257553213*x^34 + 537133575*x^33 + 1230416079*x^32 - 3007261417*x^31 - 4508154601*x^30 + 12841725241*x^29 + 12643947998*x^28 - 42506094358*x^27 - 26800339091*x^26 + 109881584495*x^25 + 41621715789*x^24 - 222239854405*x^23 - 43902843777*x^22 + 350767937009*x^21 + 23824423712*x^20 - 429312246287*x^19 + 9454804566*x^18 + 403442041770*x^17 - 32518958779*x^16 - 287086210155*x^15 + 32946113236*x^14 + 151734015708*x^13 - 20006190840*x^12 - 57902692555*x^11 + 8161551960*x^10 + 15245595661*x^9 - 2330538632*x^8 - 2554106587*x^7 + 453460921*x^6 + 230101784*x^5 - 50594528*x^4 - 6665910*x^3 + 2035270*x^2 - 79934*x - 2200, x^50 - 9*x^49 - 41*x^48 + 583*x^47 + 321*x^46 - 17370*x^45 + 15512*x^44 + 315247*x^43 - 546877*x^42 - 3887310*x^41 + 9279252*x^40 + 34339085*x^39 - 103763536*x^38 - 222532151*x^37 + 840802243*x^36 + 1057639441*x^35 - 5161287383*x^34 - 3551197991*x^33 + 24591734700*x^32 + 7203850781*x^31 - 92197250575*x^30 - 376106321*x^29 + 273845890021*x^28 - 59105329985*x^27 - 645449969073*x^26 + 251197231817*x^25 + 1203625213918*x^24 - 638763677175*x^23 - 1762023929986*x^22 + 1147626081601*x^21 + 1997641697880*x^20 - 1519695564454*x^19 - 1716071494621*x^18 + 1493833471465*x^17 + 1078025811385*x^16 - 1077970822101*x^15 - 464449664535*x^14 + 555892355768*x^13 + 118183106077*x^12 - 195348287228*x^11 - 8015939072*x^10 + 42983537457*x^9 - 4402346080*x^8 - 4953986193*x^7 + 1197204667*x^6 + 152875103*x^5 - 84417386*x^4 + 9786014*x^3 - 195865*x^2 - 20850*x - 255, -4*x^45 + 31*x^44 + 157*x^43 - 1759*x^42 - 1790*x^41 + 45696*x^40 - 18220*x^39 - 719583*x^38 + 848119*x^37 + 7662816*x^36 - 13261858*x^35 - 58258324*x^34 + 128504127*x^33 + 325054324*x^32 - 875429946*x^31 - 1344132074*x^30 + 4414854643*x^29 + 4087440088*x^28 - 16909583580*x^27 - 8812089065*x^26 + 49824389127*x^25 + 11930234415*x^24 - 113486021296*x^23 - 4355930627*x^22 + 199569233713*x^21 - 21157451441*x^20 - 269125511118*x^19 + 56002288482*x^18 + 274797337160*x^17 - 76050710018*x^16 - 208236304074*x^15 + 66160421187*x^14 + 113589755884*x^13 - 38040394503*x^12 - 42541767310*x^11 + 14099367627*x^10 + 10119576079*x^9 - 3142644402*x^8 - 1327463407*x^7 + 365144986*x^6 + 72078842*x^5 - 15133546*x^4 - 1404008*x^3 - 56542*x^2 + 48636*x + 860, -3*x^49 + 24*x^48 + 129*x^47 - 1483*x^46 - 1673*x^45 + 42243*x^44 - 15188*x^43 - 735403*x^42 + 867269*x^41 + 8743593*x^40 - 15379787*x^39 - 75113228*x^38 + 169383631*x^37 + 480600140*x^36 - 1325058483*x^35 - 2322314012*x^34 + 7781702906*x^33 + 8467554096*x^32 - 35312160182*x^31 - 22796545008*x^30 + 125858356123*x^29 + 42189963809*x^28 - 355528797790*x^27 - 39358677658*x^26 + 799206407731*x^25 - 43368554441*x^24 - 1429799015755*x^23 + 251187319588*x^22 + 2028570298020*x^21 - 535285755502*x^20 - 2265607591572*x^19 + 738561241423*x^18 + 1967575335915*x^17 - 722998161749*x^16 - 1303464899031*x^15 + 512254819353*x^14 + 639179207224*x^13 - 260404879037*x^12 - 220936119677*x^11 + 92036878205*x^10 + 49415272785*x^9 - 21255055005*x^8 - 5994491076*x^7 + 2843318464*x^6 + 216596465*x^5 - 165864611*x^4 + 10382484*x^3 + 915803*x^2 - 15433*x - 604, -3*x^52 + 24*x^51 + 147*x^50 - 1631*x^49 - 2411*x^48 + 51283*x^47 - 7282*x^46 - 989481*x^45 + 1016849*x^44 + 13095669*x^43 - 21567683*x^42 - 125797986*x^41 + 273041820*x^40 + 903986450*x^39 - 2436874220*x^38 - 4923320025*x^37 + 16330805014*x^36 + 20252338251*x^35 - 84829730035*x^34 - 61088532502*x^33 + 347646384981*x^32 + 121904071195*x^31 - 1134965069379*x^30 - 86165212679*x^29 + 2964346197044*x^28 - 401880711464*x^27 - 6193798095444*x^26 + 1877467194157*x^25 + 10311966669729*x^24 - 4532144667927*x^23 - 13569604985750*x^22 + 7517377163617*x^21 + 13930661596568*x^20 - 9115009179528*x^19 - 10938236233476*x^18 + 8188992160562*x^17 + 6371106415201*x^16 - 5409162722022*x^15 - 2615962740039*x^14 + 2565596368824*x^13 + 684058330071*x^12 - 837461645053*x^11 - 83102341365*x^10 + 174797777713*x^9 - 6247609639*x^8 - 20234740659*x^7 + 3058364012*x^6 + 882808218*x^5 - 244585867*x^4 + 10441149*x^3 + 1129094*x^2 - 38827*x - 983, -9*x^47 + 76*x^46 + 321*x^45 - 4335*x^44 - 1829*x^43 + 112683*x^42 - 108876*x^41 - 1764151*x^40 + 3176350*x^39 + 18495743*x^38 - 45953548*x^37 - 136177419*x^36 + 437350953*x^35 + 713276405*x^34 - 2993362300*x^33 - 2586137666*x^32 + 15362962698*x^31 + 5655228428*x^30 - 60463687063*x^29 - 1383483929*x^28 + 184650127424*x^27 - 42531785024*x^26 - 439677356329*x^25 + 186298243069*x^24 + 815736463696*x^23 - 470458596078*x^22 - 1172389160811*x^21 + 823529336644*x^20 + 1290406710965*x^19 - 1046497480791*x^18 - 1067470699745*x^17 + 973991302470*x^16 + 643954528820*x^15 - 657527485344*x^14 - 268975260857*x^13 + 313976677364*x^12 + 69937825208*x^11 - 101435502307*x^10 - 7991272982*x^9 + 20538140650*x^8 - 766167861*x^7 - 2257255765*x^6 + 305772262*x^5 + 94263411*x^4 - 21938159*x^3 + 562490*x^2 + 84724*x + 1236, -3*x^48 + 26*x^47 + 101*x^46 - 1463*x^45 - 299*x^44 + 37437*x^43 - 43410*x^42 - 575549*x^41 + 1152634*x^40 + 5907443*x^39 - 16083344*x^38 - 42415041*x^37 + 149479171*x^36 + 215452021*x^35 - 1004395578*x^34 - 750061870*x^33 + 5081152208*x^32 + 1527127000*x^31 - 19808160693*x^30 + 50304309*x^29 + 60356507328*x^28 - 12874585168*x^27 - 145030473431*x^26 + 52009773031*x^25 + 276306761932*x^24 - 125303299636*x^23 - 418478940429*x^22 + 212219177874*x^21 + 503642734443*x^20 - 265133008015*x^19 - 479145072309*x^18 + 248504383614*x^17 + 355554813692*x^16 - 175078571338*x^15 - 200500275995*x^14 + 91656478430*x^13 + 82191531886*x^12 - 34611566113*x^11 - 22814927068*x^10 + 8910314424*x^9 + 3813921371*x^8 - 1416658025*x^7 - 306304896*x^6 + 115243289*x^5 + 6218421*x^4 - 3123822*x^3 + 57230*x^2 + 7062*x + 194, 2*x^48 - 12*x^47 - 114*x^46 + 805*x^45 + 2776*x^44 - 24881*x^43 - 35311*x^42 + 470066*x^41 + 183895*x^40 - 6072247*x^39 + 1464474*x^38 + 56836680*x^37 - 38749208*x^36 - 398482479*x^35 + 406676579*x^34 + 2132857663*x^33 - 2786687507*x^32 - 8797236795*x^31 + 13841206265*x^30 + 27993924327*x^29 - 51860770287*x^28 - 68187660634*x^27 + 149140502208*x^26 + 124450199291*x^25 - 331090001347*x^24 - 161874565875*x^23 + 566192083493*x^22 + 129630991141*x^21 - 739028721959*x^20 - 18516570370*x^19 + 723731876171*x^18 - 103587348706*x^17 - 516848932036*x^16 + 151664550297*x^15 + 256525844881*x^14 - 115354387266*x^13 - 80596523316*x^12 + 53878928294*x^11 + 12290397227*x^10 - 15347007816*x^9 + 540479799*x^8 + 2418278608*x^7 - 471776197*x^6 - 157438461*x^5 + 52588980*x^4 - 349544*x^3 - 1072994*x^2 + 70692*x + 1612, -3*x^48 + 25*x^47 + 113*x^46 - 1457*x^45 - 909*x^44 + 38935*x^43 - 30215*x^42 - 631380*x^41 + 1002723*x^40 + 6924254*x^39 - 15329730*x^38 - 54091412*x^37 + 152557012*x^36 + 307808262*x^35 - 1090694275*x^34 - 1272888526*x^33 + 5858796148*x^32 + 3668853161*x^31 - 24213722456*x^30 - 6196959552*x^29 + 77979381689*x^28 - 783566003*x^27 - 196791548326*x^26 + 40771030381*x^25 + 389276658524*x^24 - 138621035396*x^23 - 600899814226*x^22 + 282172481962*x^21 + 717163188439*x^20 - 398717614154*x^19 - 652008679412*x^18 + 404932575627*x^17 + 441586873528*x^16 - 295646915629*x^15 - 215422117490*x^14 + 152179132585*x^13 + 71753904217*x^12 - 53131821316*x^11 - 14844887638*x^10 + 11785328155*x^9 + 1550393131*x^8 - 1481785837*x^7 - 33731893*x^6 + 84710737*x^5 - 2075217*x^4 - 1658714*x^3 - 61688*x^2 + 24128*x + 430, -3*x^48 + 25*x^47 + 113*x^46 - 1457*x^45 - 909*x^44 + 38935*x^43 - 30215*x^42 - 631380*x^41 + 1002723*x^40 + 6924254*x^39 - 15329730*x^38 - 54091412*x^37 + 152557012*x^36 + 307808262*x^35 - 1090694275*x^34 - 1272888526*x^33 + 5858796148*x^32 + 3668853161*x^31 - 24213722456*x^30 - 6196959552*x^29 + 77979381689*x^28 - 783566003*x^27 - 196791548326*x^26 + 40771030381*x^25 + 389276658524*x^24 - 138621035396*x^23 - 600899814226*x^22 + 282172481962*x^21 + 717163188439*x^20 - 398717614154*x^19 - 652008679412*x^18 + 404932575627*x^17 + 441586873528*x^16 - 295646915629*x^15 - 215422117490*x^14 + 152179132585*x^13 + 71753904217*x^12 - 53131821316*x^11 - 14844887638*x^10 + 11785328155*x^9 + 1550393131*x^8 - 1481785837*x^7 - 33731893*x^6 + 84710737*x^5 - 2075217*x^4 - 1658714*x^3 - 61688*x^2 + 24128*x + 430, x^48 - 10*x^47 - 24*x^46 + 542*x^45 - 429*x^44 - 13335*x^43 + 28069*x^42 + 195915*x^41 - 604065*x^40 - 1891473*x^39 + 7874671*x^38 + 12265139*x^37 - 71423751*x^36 - 49825142*x^35 + 478805428*x^34 + 71719341*x^33 - 2449474080*x^32 + 581329700*x^31 + 9730581262*x^30 - 5210516239*x^29 - 30252196153*x^28 + 23775509754*x^27 + 73599345530*x^26 - 74983130747*x^25 - 138900387005*x^24 + 175762140192*x^23 + 199097142497*x^22 - 313532645469*x^21 - 207050137422*x^20 + 427240594959*x^19 + 138678762912*x^18 - 440766152241*x^17 - 31665857956*x^16 + 337054628541*x^15 - 43178580771*x^14 - 184010402724*x^13 + 54544942938*x^12 + 67084796412*x^11 - 30629042355*x^10 - 14195312830*x^9 + 9464833339*x^8 + 1044791926*x^7 - 1487644446*x^6 + 141858248*x^5 + 81996811*x^4 - 20023276*x^3 + 1078287*x^2 + 34061*x + 124, x^48 - 10*x^47 - 24*x^46 + 542*x^45 - 429*x^44 - 13335*x^43 + 28069*x^42 + 195915*x^41 - 604065*x^40 - 1891473*x^39 + 7874671*x^38 + 12265139*x^37 - 71423751*x^36 - 49825142*x^35 + 478805428*x^34 + 71719341*x^33 - 2449474080*x^32 + 581329700*x^31 + 9730581262*x^30 - 5210516239*x^29 - 30252196153*x^28 + 23775509754*x^27 + 73599345530*x^26 - 74983130747*x^25 - 138900387005*x^24 + 175762140192*x^23 + 199097142497*x^22 - 313532645469*x^21 - 207050137422*x^20 + 427240594959*x^19 + 138678762912*x^18 - 440766152241*x^17 - 31665857956*x^16 + 337054628541*x^15 - 43178580771*x^14 - 184010402724*x^13 + 54544942938*x^12 + 67084796412*x^11 - 30629042355*x^10 - 14195312830*x^9 + 9464833339*x^8 + 1044791926*x^7 - 1487644446*x^6 + 141858248*x^5 + 81996811*x^4 - 20023276*x^3 + 1078287*x^2 + 34061*x + 124, x^49 - 6*x^48 - 58*x^47 + 410*x^46 + 1432*x^45 - 12891*x^44 - 18329*x^43 + 247508*x^42 + 91885*x^41 - 3247383*x^40 + 900931*x^39 + 30864981*x^38 - 22610027*x^37 - 219764254*x^36 + 238789881*x^35 + 1195205438*x^34 - 1661910541*x^33 - 5013826437*x^32 + 8424233841*x^31 + 16251039464*x^30 - 32351247764*x^29 - 40415804316*x^28 + 95823298283*x^27 + 75625269191*x^26 - 220485792921*x^25 - 101748140832*x^24 + 394215968949*x^23 + 86766917459*x^22 - 544898329484*x^21 - 21170497041*x^20 + 576522061229*x^19 - 56521076636*x^18 - 460145486903*x^17 + 92091754538*x^16 + 271806027518*x^15 - 74150250251*x^14 - 116165269512*x^13 + 36942559567*x^12 + 35096544891*x^11 - 11754279888*x^10 - 7352557931*x^9 + 2374408620*x^8 + 1041165195*x^7 - 305449691*x^6 - 88756402*x^5 + 25122492*x^4 + 2796458*x^3 - 982289*x^2 + 40773*x + 1100, x^49 - 6*x^48 - 58*x^47 + 410*x^46 + 1432*x^45 - 12891*x^44 - 18329*x^43 + 247508*x^42 + 91885*x^41 - 3247383*x^40 + 900931*x^39 + 30864981*x^38 - 22610027*x^37 - 219764254*x^36 + 238789881*x^35 + 1195205438*x^34 - 1661910541*x^33 - 5013826437*x^32 + 8424233841*x^31 + 16251039464*x^30 - 32351247764*x^29 - 40415804316*x^28 + 95823298283*x^27 + 75625269191*x^26 - 220485792921*x^25 - 101748140832*x^24 + 394215968949*x^23 + 86766917459*x^22 - 544898329484*x^21 - 21170497041*x^20 + 576522061229*x^19 - 56521076636*x^18 - 460145486903*x^17 + 92091754538*x^16 + 271806027518*x^15 - 74150250251*x^14 - 116165269512*x^13 + 36942559567*x^12 + 35096544891*x^11 - 11754279888*x^10 - 7352557931*x^9 + 2374408620*x^8 + 1041165195*x^7 - 305449691*x^6 - 88756402*x^5 + 25122492*x^4 + 2796458*x^3 - 982289*x^2 + 40773*x + 1100, x^48 - 6*x^47 - 63*x^46 + 449*x^45 + 1604*x^44 - 14905*x^43 - 19851*x^42 + 294970*x^41 + 68592*x^40 - 3926025*x^39 + 1667234*x^38 + 37485298*x^37 - 32589445*x^36 - 266944978*x^35 + 320007041*x^34 + 1453846354*x^33 - 2123720543*x^32 - 6156733109*x^31 + 10351913508*x^30 + 20496673593*x^29 - 38437623173*x^28 - 54022626318*x^27 + 110745069441*x^26 + 113188313803*x^25 - 249848753770*x^24 - 188814124621*x^23 + 442700043662*x^22 + 250448343017*x^21 - 614869491440*x^20 - 262676735927*x^19 + 664930387032*x^18 + 214941004158*x^17 - 553030435413*x^16 - 133402474044*x^15 + 346854544604*x^14 + 59271011430*x^13 - 159116270566*x^12 - 16493598333*x^11 + 50897589211*x^10 + 1652934888*x^9 - 10491149739*x^8 + 502434859*x^7 + 1199757398*x^6 - 167838028*x^5 - 50394533*x^4 + 12788527*x^3 - 713514*x^2 - 5507*x + 277, x^48 - 6*x^47 - 63*x^46 + 449*x^45 + 1604*x^44 - 14905*x^43 - 19851*x^42 + 294970*x^41 + 68592*x^40 - 3926025*x^39 + 1667234*x^38 + 37485298*x^37 - 32589445*x^36 - 266944978*x^35 + 320007041*x^34 + 1453846354*x^33 - 2123720543*x^32 - 6156733109*x^31 + 10351913508*x^30 + 20496673593*x^29 - 38437623173*x^28 - 54022626318*x^27 + 110745069441*x^26 + 113188313803*x^25 - 249848753770*x^24 - 188814124621*x^23 + 442700043662*x^22 + 250448343017*x^21 - 614869491440*x^20 - 262676735927*x^19 + 664930387032*x^18 + 214941004158*x^17 - 553030435413*x^16 - 133402474044*x^15 + 346854544604*x^14 + 59271011430*x^13 - 159116270566*x^12 - 16493598333*x^11 + 50897589211*x^10 + 1652934888*x^9 - 10491149739*x^8 + 502434859*x^7 + 1199757398*x^6 - 167838028*x^5 - 50394533*x^4 + 12788527*x^3 - 713514*x^2 - 5507*x + 277, x^49 - 8*x^48 - 43*x^47 + 492*x^46 + 579*x^45 - 14030*x^44 + 4039*x^43 + 245981*x^42 - 267655*x^41 - 2962788*x^40 + 4876442*x^39 + 25927635*x^38 - 54817637*x^37 - 169792709*x^36 + 437942144*x^35 + 842406575*x^34 - 2630431908*x^33 - 3153745905*x^32 + 12218461210*x^31 + 8651292709*x^30 - 44551910194*x^29 - 15766248762*x^28 + 128405537851*x^27 + 11063348138*x^26 - 292859731189*x^25 + 36334235438*x^24 + 526532302514*x^23 - 155332874905*x^22 - 739670962401*x^21 + 324946897960*x^20 + 800073112993*x^19 - 453687859861*x^18 - 651539437741*x^17 + 448498190426*x^16 + 385870808902*x^15 - 315442829838*x^14 - 156905201077*x^13 + 154447162761*x^12 + 38996377294*x^11 - 50248014403*x^10 - 3973429704*x^9 + 9985548534*x^8 - 508293468*x^7 - 1024167257*x^6 + 165124102*x^5 + 32446474*x^4 - 10051526*x^3 + 809263*x^2 - 18497*x - 707, x^49 - 8*x^48 - 43*x^47 + 492*x^46 + 579*x^45 - 14030*x^44 + 4039*x^43 + 245981*x^42 - 267655*x^41 - 2962788*x^40 + 4876442*x^39 + 25927635*x^38 - 54817637*x^37 - 169792709*x^36 + 437942144*x^35 + 842406575*x^34 - 2630431908*x^33 - 3153745905*x^32 + 12218461210*x^31 + 8651292709*x^30 - 44551910194*x^29 - 15766248762*x^28 + 128405537851*x^27 + 11063348138*x^26 - 292859731189*x^25 + 36334235438*x^24 + 526532302514*x^23 - 155332874905*x^22 - 739670962401*x^21 + 324946897960*x^20 + 800073112993*x^19 - 453687859861*x^18 - 651539437741*x^17 + 448498190426*x^16 + 385870808902*x^15 - 315442829838*x^14 - 156905201077*x^13 + 154447162761*x^12 + 38996377294*x^11 - 50248014403*x^10 - 3973429704*x^9 + 9985548534*x^8 - 508293468*x^7 - 1024167257*x^6 + 165124102*x^5 + 32446474*x^4 - 10051526*x^3 + 809263*x^2 - 18497*x - 707, x^49 - 7*x^48 - 49*x^47 + 438*x^46 + 954*x^45 - 12707*x^44 - 7073*x^43 + 227133*x^42 - 60584*x^41 - 2804022*x^40 + 2166003*x^39 + 25404340*x^38 - 28468641*x^37 - 175218877*x^36 + 241732797*x^35 + 941963904*x^34 - 1491473761*x^33 - 4008090767*x^32 + 7016525943*x^31 + 13627165543*x^30 - 25790928812*x^29 - 37189428672*x^28 + 75028708994*x^27 + 81442466913*x^26 - 173699258672*x^25 - 142273429124*x^24 + 319930312486*x^23 + 195615783001*x^22 - 466081141627*x^21 - 206469540807*x^20 + 530617348833*x^19 + 159687483623*x^18 - 462794530849*x^17 - 81668712037*x^16 + 299825840567*x^15 + 18778210929*x^14 - 137401385171*x^13 + 6619120774*x^12 + 40883224174*x^11 - 6971000092*x^10 - 6482650902*x^9 + 2333110882*x^8 + 134977426*x^7 - 317421991*x^6 + 96823586*x^5 + 3283653*x^4 - 7670083*x^3 + 1428737*x^2 - 72680*x - 1792, x^49 - 7*x^48 - 49*x^47 + 438*x^46 + 954*x^45 - 12707*x^44 - 7073*x^43 + 227133*x^42 - 60584*x^41 - 2804022*x^40 + 2166003*x^39 + 25404340*x^38 - 28468641*x^37 - 175218877*x^36 + 241732797*x^35 + 941963904*x^34 - 1491473761*x^33 - 4008090767*x^32 + 7016525943*x^31 + 13627165543*x^30 - 25790928812*x^29 - 37189428672*x^28 + 75028708994*x^27 + 81442466913*x^26 - 173699258672*x^25 - 142273429124*x^24 + 319930312486*x^23 + 195615783001*x^22 - 466081141627*x^21 - 206469540807*x^20 + 530617348833*x^19 + 159687483623*x^18 - 462794530849*x^17 - 81668712037*x^16 + 299825840567*x^15 + 18778210929*x^14 - 137401385171*x^13 + 6619120774*x^12 + 40883224174*x^11 - 6971000092*x^10 - 6482650902*x^9 + 2333110882*x^8 + 134977426*x^7 - 317421991*x^6 + 96823586*x^5 + 3283653*x^4 - 7670083*x^3 + 1428737*x^2 - 72680*x - 1792, x^50 - 7*x^49 - 53*x^48 + 471*x^47 + 1108*x^46 - 14650*x^45 - 8398*x^44 + 279462*x^43 - 99937*x^42 - 3656865*x^41 + 3521058*x^40 + 34771225*x^39 - 49478841*x^38 - 248132293*x^37 + 452757966*x^36 + 1351955120*x^35 - 3010551024*x^34 - 5655210339*x^33 + 15219012115*x^32 + 18031750316*x^31 - 59819619572*x^30 - 42618799831*x^29 + 184873497242*x^28 + 68784220831*x^27 - 451068762042*x^26 - 52499081451*x^25 + 867579399420*x^24 - 71288829152*x^23 - 1306706195978*x^22 + 315279653445*x^21 + 1522020323995*x^20 - 568621855099*x^19 - 1343564846697*x^18 + 658473634093*x^17 + 870323671591*x^16 - 525640641115*x^15 - 391469325322*x^14 + 289698332004*x^13 + 109073947433*x^12 - 106516432356*x^11 - 12671955066*x^10 + 24204067338*x^9 - 1832425486*x^8 - 2858705725*x^7 + 700441786*x^6 + 85737367*x^5 - 53076175*x^4 + 7037338*x^3 - 314970*x^2 + 3088*x + 180, x^50 - 7*x^49 - 53*x^48 + 471*x^47 + 1108*x^46 - 14650*x^45 - 8398*x^44 + 279462*x^43 - 99937*x^42 - 3656865*x^41 + 3521058*x^40 + 34771225*x^39 - 49478841*x^38 - 248132293*x^37 + 452757966*x^36 + 1351955120*x^35 - 3010551024*x^34 - 5655210339*x^33 + 15219012115*x^32 + 18031750316*x^31 - 59819619572*x^30 - 42618799831*x^29 + 184873497242*x^28 + 68784220831*x^27 - 451068762042*x^26 - 52499081451*x^25 + 867579399420*x^24 - 71288829152*x^23 - 1306706195978*x^22 + 315279653445*x^21 + 1522020323995*x^20 - 568621855099*x^19 - 1343564846697*x^18 + 658473634093*x^17 + 870323671591*x^16 - 525640641115*x^15 - 391469325322*x^14 + 289698332004*x^13 + 109073947433*x^12 - 106516432356*x^11 - 12671955066*x^10 + 24204067338*x^9 - 1832425486*x^8 - 2858705725*x^7 + 700441786*x^6 + 85737367*x^5 - 53076175*x^4 + 7037338*x^3 - 314970*x^2 + 3088*x + 180, x^48 - 11*x^47 - 17*x^46 + 592*x^45 - 881*x^44 - 14260*x^43 + 41295*x^42 + 200104*x^41 - 837009*x^40 - 1754525*x^39 + 10638112*x^38 + 9002940*x^37 - 94812496*x^36 - 11484361*x^35 + 624572055*x^34 - 227396092*x^33 - 3129121842*x^32 + 2267984599*x^31 + 12109068894*x^30 - 12344033262*x^29 - 36433207988*x^28 + 46803328352*x^27 + 85135220516*x^26 - 132076258751*x^25 - 153036279718*x^24 + 284230135251*x^23 + 207023365645*x^22 - 469771850272*x^21 - 201162082063*x^20 + 594381564756*x^19 + 124543386816*x^18 - 569033727170*x^17 - 26002349157*x^16 + 403823835947*x^15 - 31987063350*x^14 - 205761099565*x^13 + 36127022541*x^12 + 71645288022*x^11 - 18000333724*x^10 - 15709749242*x^9 + 4937738059*x^8 + 1852163188*x^7 - 706636813*x^6 - 74321433*x^5 + 41831021*x^4 - 1577482*x^3 - 407881*x^2 + 13561*x + 376, x^48 - 11*x^47 - 17*x^46 + 592*x^45 - 881*x^44 - 14260*x^43 + 41295*x^42 + 200104*x^41 - 837009*x^40 - 1754525*x^39 + 10638112*x^38 + 9002940*x^37 - 94812496*x^36 - 11484361*x^35 + 624572055*x^34 - 227396092*x^33 - 3129121842*x^32 + 2267984599*x^31 + 12109068894*x^30 - 12344033262*x^29 - 36433207988*x^28 + 46803328352*x^27 + 85135220516*x^26 - 132076258751*x^25 - 153036279718*x^24 + 284230135251*x^23 + 207023365645*x^22 - 469771850272*x^21 - 201162082063*x^20 + 594381564756*x^19 + 124543386816*x^18 - 569033727170*x^17 - 26002349157*x^16 + 403823835947*x^15 - 31987063350*x^14 - 205761099565*x^13 + 36127022541*x^12 + 71645288022*x^11 - 18000333724*x^10 - 15709749242*x^9 + 4937738059*x^8 + 1852163188*x^7 - 706636813*x^6 - 74321433*x^5 + 41831021*x^4 - 1577482*x^3 - 407881*x^2 + 13561*x + 376, -2*x^47 + 19*x^46 + 46*x^45 - 974*x^44 + 835*x^43 + 22090*x^42 - 50618*x^41 - 286523*x^40 + 1014338*x^39 + 2236072*x^38 - 12105666*x^37 - 8955515*x^36 + 98131702*x^35 - 11412476*x^34 - 568944909*x^33 + 419259786*x^32 + 2401316806*x^31 - 3105486852*x^30 - 7302706014*x^29 + 14175183076*x^28 + 15076072481*x^27 - 45636681748*x^26 - 16276823105*x^25 + 107777139038*x^24 - 12507363103*x^23 - 187907411465*x^22 + 91723137707*x^21 + 237920683044*x^20 - 200589280193*x^19 - 208328241263*x^18 + 269321835167*x^17 + 109691042360*x^16 - 243067794164*x^15 - 13572938403*x^14 + 147723667908*x^13 - 25891079568*x^12 - 57801078988*x^11 + 20313311569*x^10 + 13025177904*x^9 - 6870095475*x^8 - 1201355410*x^7 + 1096139151*x^6 - 53065883*x^5 - 62817031*x^4 + 10574761*x^3 + 107326*x^2 - 74307*x - 1342, -2*x^47 + 19*x^46 + 46*x^45 - 974*x^44 + 835*x^43 + 22090*x^42 - 50618*x^41 - 286523*x^40 + 1014338*x^39 + 2236072*x^38 - 12105666*x^37 - 8955515*x^36 + 98131702*x^35 - 11412476*x^34 - 568944909*x^33 + 419259786*x^32 + 2401316806*x^31 - 3105486852*x^30 - 7302706014*x^29 + 14175183076*x^28 + 15076072481*x^27 - 45636681748*x^26 - 16276823105*x^25 + 107777139038*x^24 - 12507363103*x^23 - 187907411465*x^22 + 91723137707*x^21 + 237920683044*x^20 - 200589280193*x^19 - 208328241263*x^18 + 269321835167*x^17 + 109691042360*x^16 - 243067794164*x^15 - 13572938403*x^14 + 147723667908*x^13 - 25891079568*x^12 - 57801078988*x^11 + 20313311569*x^10 + 13025177904*x^9 - 6870095475*x^8 - 1201355410*x^7 + 1096139151*x^6 - 53065883*x^5 - 62817031*x^4 + 10574761*x^3 + 107326*x^2 - 74307*x - 1342, x^50 - 8*x^49 - 45*x^48 + 513*x^47 + 620*x^46 - 15164*x^45 + 5349*x^44 + 273576*x^43 - 337019*x^42 - 3358807*x^41 + 6317516*x^40 + 29573633*x^39 - 73330420*x^38 - 191060788*x^37 + 604178391*x^36 + 903716078*x^35 - 3733809391*x^34 - 2998069154*x^33 + 17797057132*x^32 + 5801978410*x^31 - 66391560350*x^30 + 1788300739*x^29 + 195090941992*x^28 - 59515489968*x^27 - 451594297235*x^26 + 243393624936*x^25 + 818468969237*x^24 - 615325150348*x^23 - 1145791470543*x^22 + 1108251393701*x^21 + 1208285332478*x^20 - 1475310019576*x^19 - 914761587469*x^18 + 1458298069837*x^17 + 443539016015*x^16 - 1056321294326*x^15 - 81739556956*x^14 + 544218665050*x^13 - 51675588185*x^12 - 188978098837*x^11 + 44655946375*x^10 + 39890610606*x^9 - 14910864866*x^8 - 3921122371*x^7 + 2359405361*x^6 - 35090341*x^5 - 133879358*x^4 + 22410021*x^3 - 688903*x^2 - 48329*x - 500, x^50 - 8*x^49 - 45*x^48 + 513*x^47 + 620*x^46 - 15164*x^45 + 5349*x^44 + 273576*x^43 - 337019*x^42 - 3358807*x^41 + 6317516*x^40 + 29573633*x^39 - 73330420*x^38 - 191060788*x^37 + 604178391*x^36 + 903716078*x^35 - 3733809391*x^34 - 2998069154*x^33 + 17797057132*x^32 + 5801978410*x^31 - 66391560350*x^30 + 1788300739*x^29 + 195090941992*x^28 - 59515489968*x^27 - 451594297235*x^26 + 243393624936*x^25 + 818468969237*x^24 - 615325150348*x^23 - 1145791470543*x^22 + 1108251393701*x^21 + 1208285332478*x^20 - 1475310019576*x^19 - 914761587469*x^18 + 1458298069837*x^17 + 443539016015*x^16 - 1056321294326*x^15 - 81739556956*x^14 + 544218665050*x^13 - 51675588185*x^12 - 188978098837*x^11 + 44655946375*x^10 + 39890610606*x^9 - 14910864866*x^8 - 3921122371*x^7 + 2359405361*x^6 - 35090341*x^5 - 133879358*x^4 + 22410021*x^3 - 688903*x^2 - 48329*x - 500, x^50 - 8*x^49 - 44*x^48 + 502*x^47 + 601*x^46 - 14539*x^45 + 4405*x^44 + 257841*x^43 - 289072*x^42 - 3131983*x^41 + 5287939*x^40 + 27609171*x^39 - 59579864*x^38 - 182508497*x^37 + 476293477*x^36 + 921241337*x^35 - 2861441076*x^34 - 3576906866*x^33 + 13313656823*x^32 + 10647011768*x^31 - 48815265840*x^30 - 23841065104*x^29 + 142472942808*x^28 + 38064921991*x^27 - 332702028573*x^26 - 35964955867*x^25 + 622384469695*x^24 - 3861086480*x^23 - 930481211616*x^22 + 81392048934*x^21 + 1104785082888*x^20 - 159471593744*x^19 - 1030373003920*x^18 + 189317556785*x^17 + 741976619058*x^16 - 156997538893*x^15 - 402040954456*x^14 + 93834854645*x^13 + 157752659535*x^12 - 40184687650*x^11 - 42270230576*x^10 + 11936070162*x^9 + 7016177055*x^8 - 2294327281*x^7 - 590957469*x^6 + 246908432*x^5 + 10925043*x^4 - 10591314*x^3 + 742312*x^2 + 30040*x + 242, x^50 - 8*x^49 - 44*x^48 + 502*x^47 + 601*x^46 - 14539*x^45 + 4405*x^44 + 257841*x^43 - 289072*x^42 - 3131983*x^41 + 5287939*x^40 + 27609171*x^39 - 59579864*x^38 - 182508497*x^37 + 476293477*x^36 + 921241337*x^35 - 2861441076*x^34 - 3576906866*x^33 + 13313656823*x^32 + 10647011768*x^31 - 48815265840*x^30 - 23841065104*x^29 + 142472942808*x^28 + 38064921991*x^27 - 332702028573*x^26 - 35964955867*x^25 + 622384469695*x^24 - 3861086480*x^23 - 930481211616*x^22 + 81392048934*x^21 + 1104785082888*x^20 - 159471593744*x^19 - 1030373003920*x^18 + 189317556785*x^17 + 741976619058*x^16 - 156997538893*x^15 - 402040954456*x^14 + 93834854645*x^13 + 157752659535*x^12 - 40184687650*x^11 - 42270230576*x^10 + 11936070162*x^9 + 7016177055*x^8 - 2294327281*x^7 - 590957469*x^6 + 246908432*x^5 + 10925043*x^4 - 10591314*x^3 + 742312*x^2 + 30040*x + 242, x^48 - 6*x^47 - 57*x^46 + 400*x^45 + 1413*x^44 - 12379*x^43 - 19020*x^42 + 236076*x^41 + 125447*x^40 - 3105762*x^39 + 246242*x^38 + 29899647*x^37 - 14796426*x^36 - 218067314*x^35 + 174761877*x^34 + 1230726640*x^33 - 1283304443*x^32 - 5444080066*x^31 + 6773297564*x^30 + 19002884196*x^29 - 27028429498*x^28 - 52445753361*x^27 + 83377500710*x^26 + 114177319664*x^25 - 200706016377*x^24 - 194739099468*x^23 + 377633152530*x^22 + 257036739743*x^21 - 552997237014*x^20 - 257362983862*x^19 + 624099549707*x^18 + 189159218081*x^17 - 534242533029*x^16 - 96030277696*x^15 + 338789819536*x^14 + 28949535641*x^13 - 153811994928*x^12 - 1882857333*x^11 + 47541859562*x^10 - 2250401349*x^9 - 9255608249*x^8 + 935740095*x^7 + 993230746*x^6 - 154868377*x^5 - 43717618*x^4 + 9223593*x^3 + 167297*x^2 - 72605*x - 1342, x^48 - 6*x^47 - 57*x^46 + 400*x^45 + 1413*x^44 - 12379*x^43 - 19020*x^42 + 236076*x^41 + 125447*x^40 - 3105762*x^39 + 246242*x^38 + 29899647*x^37 - 14796426*x^36 - 218067314*x^35 + 174761877*x^34 + 1230726640*x^33 - 1283304443*x^32 - 5444080066*x^31 + 6773297564*x^30 + 19002884196*x^29 - 27028429498*x^28 - 52445753361*x^27 + 83377500710*x^26 + 114177319664*x^25 - 200706016377*x^24 - 194739099468*x^23 + 377633152530*x^22 + 257036739743*x^21 - 552997237014*x^20 - 257362983862*x^19 + 624099549707*x^18 + 189159218081*x^17 - 534242533029*x^16 - 96030277696*x^15 + 338789819536*x^14 + 28949535641*x^13 - 153811994928*x^12 - 1882857333*x^11 + 47541859562*x^10 - 2250401349*x^9 - 9255608249*x^8 + 935740095*x^7 + 993230746*x^6 - 154868377*x^5 - 43717618*x^4 + 9223593*x^3 + 167297*x^2 - 72605*x - 1342, x^51 - 8*x^50 - 47*x^49 + 530*x^48 + 695*x^47 - 16168*x^46 + 4820*x^45 + 300751*x^44 - 361070*x^43 - 3804436*x^42 + 7086038*x^41 + 34497550*x^40 - 85150997*x^39 - 229518433*x^38 + 723500286*x^37 + 1118961408*x^36 - 4601296025*x^35 - 3839864753*x^34 + 22536132995*x^33 + 7826564638*x^32 - 86275603729*x^31 + 949780277*x^30 + 259843544837*x^29 - 75673472095*x^28 - 615676281156*x^27 + 322944411400*x^26 + 1140564273792*x^25 - 837120087740*x^24 - 1629633335775*x^23 + 1535218931964*x^22 + 1751639000034*x^21 - 2069471682053*x^20 - 1351465052827*x^19 + 2058559557426*x^18 + 671995524401*x^17 - 1488056067244*x^16 - 137634711725*x^15 + 755317907577*x^14 - 64459115059*x^13 - 252532939356*x^12 + 58747932399*x^11 + 48630302292*x^10 - 18683934893*x^9 - 3400688859*x^8 + 2517982316*x^7 - 309254728*x^6 - 50057140*x^5 + 34991021*x^4 - 10148766*x^3 + 1300347*x^2 - 43681*x - 1280, x^51 - 8*x^50 - 47*x^49 + 530*x^48 + 695*x^47 - 16168*x^46 + 4820*x^45 + 300751*x^44 - 361070*x^43 - 3804436*x^42 + 7086038*x^41 + 34497550*x^40 - 85150997*x^39 - 229518433*x^38 + 723500286*x^37 + 1118961408*x^36 - 4601296025*x^35 - 3839864753*x^34 + 22536132995*x^33 + 7826564638*x^32 - 86275603729*x^31 + 949780277*x^30 + 259843544837*x^29 - 75673472095*x^28 - 615676281156*x^27 + 322944411400*x^26 + 1140564273792*x^25 - 837120087740*x^24 - 1629633335775*x^23 + 1535218931964*x^22 + 1751639000034*x^21 - 2069471682053*x^20 - 1351465052827*x^19 + 2058559557426*x^18 + 671995524401*x^17 - 1488056067244*x^16 - 137634711725*x^15 + 755317907577*x^14 - 64459115059*x^13 - 252532939356*x^12 + 58747932399*x^11 + 48630302292*x^10 - 18683934893*x^9 - 3400688859*x^8 + 2517982316*x^7 - 309254728*x^6 - 50057140*x^5 + 34991021*x^4 - 10148766*x^3 + 1300347*x^2 - 43681*x - 1280, -3*x^48 + 25*x^47 + 110*x^46 - 1436*x^45 - 765*x^44 + 37623*x^43 - 32733*x^42 - 594301*x^41 + 1011858*x^40 + 6294150*x^39 - 14935102*x^38 - 46881189*x^37 + 143935891*x^36 + 248912192*x^35 - 994483361*x^34 - 918037898*x^33 + 5140905245*x^32 + 2064050714*x^31 - 20327763185*x^30 - 716894119*x^29 + 62146810048*x^28 - 14828599928*x^27 - 147323441449*x^26 + 67144235019*x^25 + 269714850882*x^24 - 172577648221*x^23 - 376955110191*x^22 + 305655079385*x^21 + 393381988261*x^20 - 390682236388*x^19 - 294162813718*x^18 + 362743459428*x^17 + 144199857564*x^16 - 241224457003*x^15 - 34237492431*x^14 + 111160099467*x^13 - 6126853339*x^12 - 33411968097*x^11 + 7411827043*x^10 + 5813913113*x^9 - 2290044616*x^8 - 420298870*x^7 + 306038579*x^6 - 10489939*x^5 - 14078290*x^4 + 1843156*x^3 + 13747*x^2 - 2913*x - 97, -3*x^48 + 25*x^47 + 110*x^46 - 1436*x^45 - 765*x^44 + 37623*x^43 - 32733*x^42 - 594301*x^41 + 1011858*x^40 + 6294150*x^39 - 14935102*x^38 - 46881189*x^37 + 143935891*x^36 + 248912192*x^35 - 994483361*x^34 - 918037898*x^33 + 5140905245*x^32 + 2064050714*x^31 - 20327763185*x^30 - 716894119*x^29 + 62146810048*x^28 - 14828599928*x^27 - 147323441449*x^26 + 67144235019*x^25 + 269714850882*x^24 - 172577648221*x^23 - 376955110191*x^22 + 305655079385*x^21 + 393381988261*x^20 - 390682236388*x^19 - 294162813718*x^18 + 362743459428*x^17 + 144199857564*x^16 - 241224457003*x^15 - 34237492431*x^14 + 111160099467*x^13 - 6126853339*x^12 - 33411968097*x^11 + 7411827043*x^10 + 5813913113*x^9 - 2290044616*x^8 - 420298870*x^7 + 306038579*x^6 - 10489939*x^5 - 14078290*x^4 + 1843156*x^3 + 13747*x^2 - 2913*x - 97, -3*x^48 + 24*x^47 + 125*x^46 - 1456*x^45 - 1475*x^44 + 40573*x^43 - 19204*x^42 - 687411*x^41 + 903088*x^40 + 7893055*x^39 - 15295973*x^38 - 64709753*x^37 + 162907816*x^36 + 387484204*x^35 - 1232759677*x^34 - 1691528589*x^33 + 6975514469*x^32 + 5168941008*x^31 - 30289079491*x^30 - 9340967841*x^29 + 102280205412*x^28 - 755600956*x^27 - 270036090621*x^26 + 67448406344*x^25 + 556982746105*x^24 - 247702780086*x^23 - 891740877298*x^22 + 543811459872*x^21 + 1094058249615*x^20 - 830890097400*x^19 - 1006952572157*x^18 + 915535198031*x^17 + 671476662756*x^16 - 727801489875*x^15 - 304850779299*x^14 + 409227514188*x^13 + 81741977578*x^12 - 156445959668*x^11 - 6393799612*x^10 + 37976845229*x^9 - 2992576527*x^8 - 5164052082*x^7 + 902945528*x^6 + 295036420*x^5 - 79437411*x^4 - 1033969*x^3 + 1321914*x^2 - 53247*x - 1299, -3*x^48 + 24*x^47 + 125*x^46 - 1456*x^45 - 1475*x^44 + 40573*x^43 - 19204*x^42 - 687411*x^41 + 903088*x^40 + 7893055*x^39 - 15295973*x^38 - 64709753*x^37 + 162907816*x^36 + 387484204*x^35 - 1232759677*x^34 - 1691528589*x^33 + 6975514469*x^32 + 5168941008*x^31 - 30289079491*x^30 - 9340967841*x^29 + 102280205412*x^28 - 755600956*x^27 - 270036090621*x^26 + 67448406344*x^25 + 556982746105*x^24 - 247702780086*x^23 - 891740877298*x^22 + 543811459872*x^21 + 1094058249615*x^20 - 830890097400*x^19 - 1006952572157*x^18 + 915535198031*x^17 + 671476662756*x^16 - 727801489875*x^15 - 304850779299*x^14 + 409227514188*x^13 + 81741977578*x^12 - 156445959668*x^11 - 6393799612*x^10 + 37976845229*x^9 - 2992576527*x^8 - 5164052082*x^7 + 902945528*x^6 + 295036420*x^5 - 79437411*x^4 - 1033969*x^3 + 1321914*x^2 - 53247*x - 1299, -x^46 + 13*x^45 - 4*x^44 - 628*x^43 + 1966*x^42 + 12808*x^41 - 66112*x^40 - 132053*x^39 + 1162202*x^38 + 440376*x^37 - 13214744*x^36 + 6620310*x^35 + 105531411*x^34 - 116548670*x^33 - 615867896*x^32 + 987195543*x^31 + 2673143663*x^30 - 5604596398*x^29 - 8633114394*x^28 + 23214544498*x^27 + 20301548903*x^26 - 72555409784*x^25 - 32373460215*x^24 + 173484361377*x^23 + 25978204236*x^22 - 318182739358*x^21 + 20898222986*x^20 + 445030731052*x^19 - 101445738147*x^18 - 467993421226*x^17 + 165762783685*x^16 + 361053992644*x^15 - 164893384265*x^14 - 196322190465*x^13 + 107442044917*x^12 + 70218877999*x^11 - 45284238350*x^10 - 14336943476*x^9 + 11579838945*x^8 + 1014003162*x^7 - 1558861860*x^6 + 115510936*x^5 + 75047584*x^4 - 14524357*x^3 + 625460*x^2 + 7078*x - 180, -x^46 + 13*x^45 - 4*x^44 - 628*x^43 + 1966*x^42 + 12808*x^41 - 66112*x^40 - 132053*x^39 + 1162202*x^38 + 440376*x^37 - 13214744*x^36 + 6620310*x^35 + 105531411*x^34 - 116548670*x^33 - 615867896*x^32 + 987195543*x^31 + 2673143663*x^30 - 5604596398*x^29 - 8633114394*x^28 + 23214544498*x^27 + 20301548903*x^26 - 72555409784*x^25 - 32373460215*x^24 + 173484361377*x^23 + 25978204236*x^22 - 318182739358*x^21 + 20898222986*x^20 + 445030731052*x^19 - 101445738147*x^18 - 467993421226*x^17 + 165762783685*x^16 + 361053992644*x^15 - 164893384265*x^14 - 196322190465*x^13 + 107442044917*x^12 + 70218877999*x^11 - 45284238350*x^10 - 14336943476*x^9 + 11579838945*x^8 + 1014003162*x^7 - 1558861860*x^6 + 115510936*x^5 + 75047584*x^4 - 14524357*x^3 + 625460*x^2 + 7078*x - 180, x^49 - 7*x^48 - 49*x^47 + 438*x^46 + 952*x^45 - 12701*x^44 - 6922*x^43 + 226582*x^42 - 65195*x^41 - 2784195*x^40 + 2243844*x^39 + 25002734*x^38 - 29275272*x^37 - 169930354*x^36 + 246868033*x^35 + 893205452*x^34 - 1507556516*x^33 - 3679685663*x^32 + 6982438175*x^31 + 11970354500*x^30 - 25098007492*x^29 - 30842965912*x^28 + 70833987261*x^27 + 62897115677*x^26 - 157722131127*x^25 - 101083193113*x^24 + 276988745077*x^23 + 127028794159*x^22 - 381845268092*x^21 - 123358989202*x^20 + 409378938059*x^19 + 91017310438*x^18 - 336351956507*x^17 - 49746467994*x^16 + 207191477536*x^15 + 19270130893*x^14 - 92601213082*x^13 - 4763297954*x^12 + 28534895856*x^11 + 467938450*x^10 - 5565897522*x^9 + 119412270*x^8 + 580956540*x^7 - 46619024*x^6 - 17464926*x^5 + 4045216*x^4 - 1602491*x^3 + 316518*x^2 - 13611*x - 419, x^49 - 7*x^48 - 49*x^47 + 438*x^46 + 952*x^45 - 12701*x^44 - 6922*x^43 + 226582*x^42 - 65195*x^41 - 2784195*x^40 + 2243844*x^39 + 25002734*x^38 - 29275272*x^37 - 169930354*x^36 + 246868033*x^35 + 893205452*x^34 - 1507556516*x^33 - 3679685663*x^32 + 6982438175*x^31 + 11970354500*x^30 - 25098007492*x^29 - 30842965912*x^28 + 70833987261*x^27 + 62897115677*x^26 - 157722131127*x^25 - 101083193113*x^24 + 276988745077*x^23 + 127028794159*x^22 - 381845268092*x^21 - 123358989202*x^20 + 409378938059*x^19 + 91017310438*x^18 - 336351956507*x^17 - 49746467994*x^16 + 207191477536*x^15 + 19270130893*x^14 - 92601213082*x^13 - 4763297954*x^12 + 28534895856*x^11 + 467938450*x^10 - 5565897522*x^9 + 119412270*x^8 + 580956540*x^7 - 46619024*x^6 - 17464926*x^5 + 4045216*x^4 - 1602491*x^3 + 316518*x^2 - 13611*x - 419, x^51 - 8*x^50 - 47*x^49 + 528*x^48 + 712*x^47 - 16094*x^46 + 3818*x^45 + 300307*x^44 - 334136*x^43 - 3831370*x^42 + 6650366*x^41 + 35320616*x^40 - 80450706*x^39 - 241991157*x^38 + 688271300*x^37 + 1243439141*x^36 - 4418619568*x^35 - 4733681181*x^34 + 21935045556*x^33 + 12635409978*x^32 - 85592459735*x^31 - 18833346470*x^30 + 264740859678*x^29 - 12906275294*x^28 - 650833822347*x^27 + 169433161121*x^26 + 1269050831553*x^25 - 550576192673*x^24 - 1949312518134*x^23 + 1136555474447*x^22 + 2329801562971*x^21 - 1676897928334*x^20 - 2124213638521*x^19 + 1820968619260*x^18 + 1431430410263*x^17 - 1455073016758*x^16 - 674801843394*x^15 + 840391363995*x^14 + 197830825974*x^13 - 338661963644*x^12 - 22875326775*x^11 + 89670686559*x^10 - 5371537640*x^9 - 14026083175*x^8 + 2286742289*x^7 + 1035695940*x^6 - 281538534*x^5 - 14081669*x^4 + 10965114*x^3 - 1174110*x^2 + 31608*x + 1126, x^51 - 8*x^50 - 47*x^49 + 528*x^48 + 712*x^47 - 16094*x^46 + 3818*x^45 + 300307*x^44 - 334136*x^43 - 3831370*x^42 + 6650366*x^41 + 35320616*x^40 - 80450706*x^39 - 241991157*x^38 + 688271300*x^37 + 1243439141*x^36 - 4418619568*x^35 - 4733681181*x^34 + 21935045556*x^33 + 12635409978*x^32 - 85592459735*x^31 - 18833346470*x^30 + 264740859678*x^29 - 12906275294*x^28 - 650833822347*x^27 + 169433161121*x^26 + 1269050831553*x^25 - 550576192673*x^24 - 1949312518134*x^23 + 1136555474447*x^22 + 2329801562971*x^21 - 1676897928334*x^20 - 2124213638521*x^19 + 1820968619260*x^18 + 1431430410263*x^17 - 1455073016758*x^16 - 674801843394*x^15 + 840391363995*x^14 + 197830825974*x^13 - 338661963644*x^12 - 22875326775*x^11 + 89670686559*x^10 - 5371537640*x^9 - 14026083175*x^8 + 2286742289*x^7 + 1035695940*x^6 - 281538534*x^5 - 14081669*x^4 + 10965114*x^3 - 1174110*x^2 + 31608*x + 1126, x^47 - 5*x^46 - 63*x^45 + 350*x^44 + 1759*x^43 - 11248*x^42 - 28302*x^41 + 220582*x^40 + 279917*x^39 - 2957898*x^38 - 1549454*x^37 + 28790569*x^36 + 779399*x^35 - 210667605*x^34 + 69625683*x^33 + 1183803653*x^32 - 715368686*x^31 - 5172253209*x^30 + 4274188018*x^29 + 17672475816*x^28 - 17989068076*x^27 - 47220276939*x^26 + 56458772674*x^25 + 98080682554*x^24 - 134998794038*x^23 - 156253532129*x^22 + 247357824637*x^21 + 186211825022*x^20 - 345887189006*x^19 - 158219441816*x^18 + 364434369744*x^17 + 85600166599*x^16 - 282879582745*x^15 - 17855867797*x^14 + 156040567474*x^13 - 11332087350*x^12 - 57702037361*x^11 + 10633983305*x^10 + 12891604517*x^9 - 3695740308*x^8 - 1371509612*x^7 + 578233645*x^6 + 12602531*x^5 - 26754910*x^4 + 4575056*x^3 - 725708*x^2 + 67049*x + 1522, x^47 - 5*x^46 - 63*x^45 + 350*x^44 + 1759*x^43 - 11248*x^42 - 28302*x^41 + 220582*x^40 + 279917*x^39 - 2957898*x^38 - 1549454*x^37 + 28790569*x^36 + 779399*x^35 - 210667605*x^34 + 69625683*x^33 + 1183803653*x^32 - 715368686*x^31 - 5172253209*x^30 + 4274188018*x^29 + 17672475816*x^28 - 17989068076*x^27 - 47220276939*x^26 + 56458772674*x^25 + 98080682554*x^24 - 134998794038*x^23 - 156253532129*x^22 + 247357824637*x^21 + 186211825022*x^20 - 345887189006*x^19 - 158219441816*x^18 + 364434369744*x^17 + 85600166599*x^16 - 282879582745*x^15 - 17855867797*x^14 + 156040567474*x^13 - 11332087350*x^12 - 57702037361*x^11 + 10633983305*x^10 + 12891604517*x^9 - 3695740308*x^8 - 1371509612*x^7 + 578233645*x^6 + 12602531*x^5 - 26754910*x^4 + 4575056*x^3 - 725708*x^2 + 67049*x + 1522, x^48 - 9*x^47 - 33*x^46 + 522*x^45 - 22*x^44 - 13706*x^43 + 20191*x^42 + 214333*x^41 - 522322*x^40 - 2199678*x^39 + 7453205*x^38 + 15221669*x^37 - 71639006*x^36 - 67750319*x^35 + 499430341*x^34 + 138543635*x^33 - 2619792952*x^32 + 472140307*x^31 + 10547971862*x^30 - 5511688704*x^29 - 32928800505*x^28 + 26337859792*x^27 + 79955129690*x^26 - 83465530379*x^25 - 150546352898*x^24 + 192701634082*x^23 + 217674488871*x^22 - 334273920024*x^21 - 237105268077*x^20 + 439369389880*x^19 + 187691176274*x^18 - 435882371924*x^17 - 99961732258*x^16 + 321843561714*x^15 + 28027192509*x^14 - 172451177231*x^13 + 2830109243*x^12 + 64360672749*x^11 - 5913384562*x^10 - 15664561864*x^9 + 2298369521*x^8 + 2229762932*x^7 - 415680031*x^6 - 153143735*x^5 + 32694850*x^4 + 3262324*x^3 - 775634*x^2 + 4289*x + 270, x^48 - 9*x^47 - 33*x^46 + 522*x^45 - 22*x^44 - 13706*x^43 + 20191*x^42 + 214333*x^41 - 522322*x^40 - 2199678*x^39 + 7453205*x^38 + 15221669*x^37 - 71639006*x^36 - 67750319*x^35 + 499430341*x^34 + 138543635*x^33 - 2619792952*x^32 + 472140307*x^31 + 10547971862*x^30 - 5511688704*x^29 - 32928800505*x^28 + 26337859792*x^27 + 79955129690*x^26 - 83465530379*x^25 - 150546352898*x^24 + 192701634082*x^23 + 217674488871*x^22 - 334273920024*x^21 - 237105268077*x^20 + 439369389880*x^19 + 187691176274*x^18 - 435882371924*x^17 - 99961732258*x^16 + 321843561714*x^15 + 28027192509*x^14 - 172451177231*x^13 + 2830109243*x^12 + 64360672749*x^11 - 5913384562*x^10 - 15664561864*x^9 + 2298369521*x^8 + 2229762932*x^7 - 415680031*x^6 - 153143735*x^5 + 32694850*x^4 + 3262324*x^3 - 775634*x^2 + 4289*x + 270, x^52 - 8*x^51 - 49*x^50 + 544*x^49 + 801*x^48 - 17109*x^47 + 2597*x^46 + 330010*x^45 - 343890*x^44 - 4362787*x^43 + 7276457*x^42 + 41811406*x^41 - 92056161*x^40 - 299173961*x^39 + 821181584*x^38 + 1617008426*x^37 - 5499091436*x^36 - 6558638596*x^35 + 28530296023*x^34 + 19210385998*x^33 - 116703173690*x^32 - 35282336648*x^31 + 379947685868*x^30 + 9146489071*x^29 - 988397707147*x^28 + 190883729098*x^27 + 2053347157361*x^26 - 758004861742*x^25 - 3390165957066*x^24 + 1755741711275*x^23 + 4406074245130*x^22 - 2866541370969*x^21 - 4437284053887*x^20 + 3455750232580*x^19 + 3376565001652*x^18 - 3102688643380*x^17 - 1860317478467*x^16 + 2053710197214*x^15 + 681611337386*x^14 - 976715483339*x^13 - 128952398125*x^12 + 318833473046*x^11 - 7757253439*x^10 - 65852763943*x^9 + 10181430100*x^8 + 7251145592*x^7 - 2049986426*x^6 - 225899760*x^5 + 133919429*x^4 - 12992817*x^3 - 21801*x^2 + 19415*x + 258, x^52 - 8*x^51 - 49*x^50 + 544*x^49 + 801*x^48 - 17109*x^47 + 2597*x^46 + 330010*x^45 - 343890*x^44 - 4362787*x^43 + 7276457*x^42 + 41811406*x^41 - 92056161*x^40 - 299173961*x^39 + 821181584*x^38 + 1617008426*x^37 - 5499091436*x^36 - 6558638596*x^35 + 28530296023*x^34 + 19210385998*x^33 - 116703173690*x^32 - 35282336648*x^31 + 379947685868*x^30 + 9146489071*x^29 - 988397707147*x^28 + 190883729098*x^27 + 2053347157361*x^26 - 758004861742*x^25 - 3390165957066*x^24 + 1755741711275*x^23 + 4406074245130*x^22 - 2866541370969*x^21 - 4437284053887*x^20 + 3455750232580*x^19 + 3376565001652*x^18 - 3102688643380*x^17 - 1860317478467*x^16 + 2053710197214*x^15 + 681611337386*x^14 - 976715483339*x^13 - 128952398125*x^12 + 318833473046*x^11 - 7757253439*x^10 - 65852763943*x^9 + 10181430100*x^8 + 7251145592*x^7 - 2049986426*x^6 - 225899760*x^5 + 133919429*x^4 - 12992817*x^3 - 21801*x^2 + 19415*x + 258, x^50 - 7*x^49 - 53*x^48 + 470*x^47 + 1115*x^46 - 14609*x^45 - 8782*x^44 + 278889*x^43 - 90482*x^42 - 3656991*x^41 + 3384106*x^40 + 34884303*x^39 - 48202457*x^38 - 249914725*x^37 + 445037445*x^36 + 1366818723*x^35 - 2983612004*x^34 - 5728611021*x^33 + 15208557846*x^32 + 18200366609*x^31 - 60284521459*x^30 - 42201161335*x^29 + 187847928749*x^28 + 63276461471*x^27 - 461714121527*x^26 - 26616144547*x^25 + 892953221871*x^24 - 149233950159*x^23 - 1347729049118*x^22 + 481790035471*x^21 + 1563798677065*x^20 - 828568820055*x^19 - 1361004630554*x^18 + 956158942043*x^17 + 852359095151*x^16 - 772751648522*x^15 - 354601127123*x^14 + 434484211979*x^13 + 78626383091*x^12 - 163686738398*x^11 + 1745273612*x^10 + 38248007746*x^9 - 5831022298*x^8 - 4701694595*x^7 + 1299487500*x^6 + 175153414*x^5 - 90992020*x^4 + 7255826*x^3 + 293090*x^2 - 23783*x - 438, x^50 - 7*x^49 - 53*x^48 + 470*x^47 + 1115*x^46 - 14609*x^45 - 8782*x^44 + 278889*x^43 - 90482*x^42 - 3656991*x^41 + 3384106*x^40 + 34884303*x^39 - 48202457*x^38 - 249914725*x^37 + 445037445*x^36 + 1366818723*x^35 - 2983612004*x^34 - 5728611021*x^33 + 15208557846*x^32 + 18200366609*x^31 - 60284521459*x^30 - 42201161335*x^29 + 187847928749*x^28 + 63276461471*x^27 - 461714121527*x^26 - 26616144547*x^25 + 892953221871*x^24 - 149233950159*x^23 - 1347729049118*x^22 + 481790035471*x^21 + 1563798677065*x^20 - 828568820055*x^19 - 1361004630554*x^18 + 956158942043*x^17 + 852359095151*x^16 - 772751648522*x^15 - 354601127123*x^14 + 434484211979*x^13 + 78626383091*x^12 - 163686738398*x^11 + 1745273612*x^10 + 38248007746*x^9 - 5831022298*x^8 - 4701694595*x^7 + 1299487500*x^6 + 175153414*x^5 - 90992020*x^4 + 7255826*x^3 + 293090*x^2 - 23783*x - 438, -3*x^49 + 25*x^48 + 121*x^47 - 1531*x^46 - 1132*x^45 + 42932*x^44 - 31739*x^43 - 729074*x^42 + 1171352*x^41 + 8344824*x^40 - 19125790*x^39 - 67613004*x^38 + 201995105*x^37 + 394045126*x^36 - 1529966016*x^35 - 1619901827*x^34 + 8703212454*x^33 + 4230928594*x^32 - 38092042689*x^31 - 3266635695*x^30 + 129913203125*x^29 - 27620299075*x^28 - 347049641354*x^27 + 155312701791*x^26 + 725669030316*x^25 - 466653030328*x^24 - 1180184210784*x^23 + 964021086928*x^22 + 1474048011365*x^21 - 1452132256076*x^20 - 1383980244490*x^19 + 1617569181482*x^18 + 942348722142*x^17 - 1324906801833*x^16 - 435124227087*x^15 + 782260523214*x^14 + 115124739610*x^13 - 321497565893*x^12 - 4724919177*x^11 + 86936103851*x^10 - 7323949538*x^9 - 14088344045*x^8 + 2273561850*x^7 + 1150626675*x^6 - 266784669*x^5 - 29603224*x^4 + 11377145*x^3 - 672729*x^2 - 10514*x + 106, -3*x^49 + 25*x^48 + 121*x^47 - 1531*x^46 - 1132*x^45 + 42932*x^44 - 31739*x^43 - 729074*x^42 + 1171352*x^41 + 8344824*x^40 - 19125790*x^39 - 67613004*x^38 + 201995105*x^37 + 394045126*x^36 - 1529966016*x^35 - 1619901827*x^34 + 8703212454*x^33 + 4230928594*x^32 - 38092042689*x^31 - 3266635695*x^30 + 129913203125*x^29 - 27620299075*x^28 - 347049641354*x^27 + 155312701791*x^26 + 725669030316*x^25 - 466653030328*x^24 - 1180184210784*x^23 + 964021086928*x^22 + 1474048011365*x^21 - 1452132256076*x^20 - 1383980244490*x^19 + 1617569181482*x^18 + 942348722142*x^17 - 1324906801833*x^16 - 435124227087*x^15 + 782260523214*x^14 + 115124739610*x^13 - 321497565893*x^12 - 4724919177*x^11 + 86936103851*x^10 - 7323949538*x^9 - 14088344045*x^8 + 2273561850*x^7 + 1150626675*x^6 - 266784669*x^5 - 29603224*x^4 + 11377145*x^3 - 672729*x^2 - 10514*x + 106, -3*x^49 + 21*x^48 + 153*x^47 - 1364*x^46 - 3074*x^45 + 40951*x^44 + 22312*x^43 - 754056*x^42 + 257679*x^41 + 9527611*x^40 - 8662988*x^39 - 87549001*x^38 + 116391950*x^37 + 604829841*x^36 - 1017072648*x^35 - 3201318179*x^34 + 6447599050*x^33 + 13096112083*x^32 - 31018137021*x^31 - 41392131579*x^30 + 115809383818*x^29 + 99911037118*x^28 - 339378663290*x^27 - 178450898635*x^26 + 784044414220*x^25 + 216602131789*x^24 - 1426803481251*x^23 - 123636107580*x^22 + 2034242030401*x^21 - 122063848677*x^20 - 2249137582259*x^19 + 393473728228*x^18 + 1897841636474*x^17 - 505187010949*x^16 - 1193350133579*x^15 + 406039356753*x^14 + 539316294024*x^13 - 217800569486*x^12 - 165237585125*x^11 + 77204163154*x^10 + 30770602035*x^9 - 17117642697*x^8 - 2606069965*x^7 + 2101568996*x^6 - 46363124*x^5 - 104348190*x^4 + 15034766*x^3 - 194936*x^2 - 36072*x - 544, -3*x^49 + 21*x^48 + 153*x^47 - 1364*x^46 - 3074*x^45 + 40951*x^44 + 22312*x^43 - 754056*x^42 + 257679*x^41 + 9527611*x^40 - 8662988*x^39 - 87549001*x^38 + 116391950*x^37 + 604829841*x^36 - 1017072648*x^35 - 3201318179*x^34 + 6447599050*x^33 + 13096112083*x^32 - 31018137021*x^31 - 41392131579*x^30 + 115809383818*x^29 + 99911037118*x^28 - 339378663290*x^27 - 178450898635*x^26 + 784044414220*x^25 + 216602131789*x^24 - 1426803481251*x^23 - 123636107580*x^22 + 2034242030401*x^21 - 122063848677*x^20 - 2249137582259*x^19 + 393473728228*x^18 + 1897841636474*x^17 - 505187010949*x^16 - 1193350133579*x^15 + 406039356753*x^14 + 539316294024*x^13 - 217800569486*x^12 - 165237585125*x^11 + 77204163154*x^10 + 30770602035*x^9 - 17117642697*x^8 - 2606069965*x^7 + 2101568996*x^6 - 46363124*x^5 - 104348190*x^4 + 15034766*x^3 - 194936*x^2 - 36072*x - 544, 2*x^48 - 17*x^47 - 75*x^46 + 1007*x^45 + 503*x^44 - 27256*x^43 + 25350*x^42 + 445305*x^41 - 797547*x^40 - 4878460*x^39 + 12201136*x^38 + 37512926*x^37 - 122533141*x^36 - 204202668*x^35 + 885217535*x^34 + 755311511*x^33 - 4798049233*x^32 - 1538927069*x^31 + 19942094844*x^30 - 1185145144*x^29 - 64233430086*x^28 + 22539244317*x^27 + 160764084463*x^26 - 94985409364*x^25 - 311268632157*x^24 + 250832468702*x^23 + 460424201807*x^22 - 470411930514*x^21 - 507664166660*x^20 + 647803445346*x^19 + 397518082987*x^18 - 657331246548*x^17 - 196612129769*x^16 + 484675518333*x^15 + 35175220785*x^14 - 251813216881*x^13 + 25227587277*x^12 + 87198497491*x^11 - 21226984201*x^10 - 18053429320*x^9 + 7015852556*x^8 + 1656852305*x^7 - 1099895763*x^6 + 41247146*x^5 + 61483200*x^4 - 12135370*x^3 + 549570*x^2 + 21212*x + 168, 2*x^48 - 17*x^47 - 75*x^46 + 1007*x^45 + 503*x^44 - 27256*x^43 + 25350*x^42 + 445305*x^41 - 797547*x^40 - 4878460*x^39 + 12201136*x^38 + 37512926*x^37 - 122533141*x^36 - 204202668*x^35 + 885217535*x^34 + 755311511*x^33 - 4798049233*x^32 - 1538927069*x^31 + 19942094844*x^30 - 1185145144*x^29 - 64233430086*x^28 + 22539244317*x^27 + 160764084463*x^26 - 94985409364*x^25 - 311268632157*x^24 + 250832468702*x^23 + 460424201807*x^22 - 470411930514*x^21 - 507664166660*x^20 + 647803445346*x^19 + 397518082987*x^18 - 657331246548*x^17 - 196612129769*x^16 + 484675518333*x^15 + 35175220785*x^14 - 251813216881*x^13 + 25227587277*x^12 + 87198497491*x^11 - 21226984201*x^10 - 18053429320*x^9 + 7015852556*x^8 + 1656852305*x^7 - 1099895763*x^6 + 41247146*x^5 + 61483200*x^4 - 12135370*x^3 + 549570*x^2 + 21212*x + 168, x^49 - 6*x^48 - 58*x^47 + 407*x^46 + 1456*x^45 - 12774*x^44 - 19738*x^43 + 246474*x^42 + 129307*x^41 - 3276125*x^40 + 307561*x^39 + 31854012*x^38 - 16382492*x^37 - 234777217*x^36 + 193692042*x^35 + 1341035340*x^34 - 1436928020*x^33 - 6016569724*x^32 + 7707303159*x^31 + 21351458014*x^30 - 31446121507*x^29 - 60023524645*x^28 + 99873361328*x^27 + 133108081645*x^26 - 249491408685*x^25 - 230211592003*x^24 + 491521475805*x^23 + 303522000644*x^22 - 761198452389*x^21 - 291242227759*x^20 + 918523884668*x^19 + 180891547975*x^18 - 850713291283*x^17 - 39735408710*x^16 + 590915906886*x^15 - 46036876911*x^14 - 297168746123*x^13 + 54982896764*x^12 + 102247539796*x^11 - 28994859696*x^10 - 21717769016*x^9 + 8475968850*x^8 + 2217651042*x^7 - 1276974524*x^6 - 2111589*x^5 + 70793667*x^4 - 9958133*x^3 + 125722*x^2 + 26698*x + 332, x^49 - 6*x^48 - 58*x^47 + 407*x^46 + 1456*x^45 - 12774*x^44 - 19738*x^43 + 246474*x^42 + 129307*x^41 - 3276125*x^40 + 307561*x^39 + 31854012*x^38 - 16382492*x^37 - 234777217*x^36 + 193692042*x^35 + 1341035340*x^34 - 1436928020*x^33 - 6016569724*x^32 + 7707303159*x^31 + 21351458014*x^30 - 31446121507*x^29 - 60023524645*x^28 + 99873361328*x^27 + 133108081645*x^26 - 249491408685*x^25 - 230211592003*x^24 + 491521475805*x^23 + 303522000644*x^22 - 761198452389*x^21 - 291242227759*x^20 + 918523884668*x^19 + 180891547975*x^18 - 850713291283*x^17 - 39735408710*x^16 + 590915906886*x^15 - 46036876911*x^14 - 297168746123*x^13 + 54982896764*x^12 + 102247539796*x^11 - 28994859696*x^10 - 21717769016*x^9 + 8475968850*x^8 + 2217651042*x^7 - 1276974524*x^6 - 2111589*x^5 + 70793667*x^4 - 9958133*x^3 + 125722*x^2 + 26698*x + 332, -3*x^48 + 23*x^47 + 135*x^46 - 1429*x^45 - 2039*x^44 + 40871*x^43 - 4574*x^42 - 713457*x^41 + 672228*x^40 + 8494730*x^39 - 12830738*x^38 - 72990537*x^37 + 144226237*x^36 + 466632357*x^35 - 1131083978*x^34 - 2251555464*x^33 + 6590200625*x^32 + 8201336267*x^31 - 29418566115*x^30 - 22137229948*x^29 + 102264284473*x^28 + 41715184893*x^27 - 278996596669*x^26 - 43728765188*x^25 + 598474734749*x^24 - 18724648477*x^23 - 1006207225179*x^22 + 175488350620*x^21 + 1315262441961*x^20 - 373975082192*x^19 - 1318585936802*x^18 + 486674420954*x^17 + 993140771172*x^16 - 431727762919*x^15 - 545008428292*x^14 + 265279287431*x^13 + 207952849810*x^12 - 110714606840*x^11 - 51078853268*x^10 + 29943866021*x^9 + 6955354619*x^8 - 4834619905*x^7 - 331295123*x^6 + 403651521*x^5 - 16276883*x^4 - 13185257*x^3 + 1454212*x^2 + 5849*x - 376, -3*x^48 + 23*x^47 + 135*x^46 - 1429*x^45 - 2039*x^44 + 40871*x^43 - 4574*x^42 - 713457*x^41 + 672228*x^40 + 8494730*x^39 - 12830738*x^38 - 72990537*x^37 + 144226237*x^36 + 466632357*x^35 - 1131083978*x^34 - 2251555464*x^33 + 6590200625*x^32 + 8201336267*x^31 - 29418566115*x^30 - 22137229948*x^29 + 102264284473*x^28 + 41715184893*x^27 - 278996596669*x^26 - 43728765188*x^25 + 598474734749*x^24 - 18724648477*x^23 - 1006207225179*x^22 + 175488350620*x^21 + 1315262441961*x^20 - 373975082192*x^19 - 1318585936802*x^18 + 486674420954*x^17 + 993140771172*x^16 - 431727762919*x^15 - 545008428292*x^14 + 265279287431*x^13 + 207952849810*x^12 - 110714606840*x^11 - 51078853268*x^10 + 29943866021*x^9 + 6955354619*x^8 - 4834619905*x^7 - 331295123*x^6 + 403651521*x^5 - 16276883*x^4 - 13185257*x^3 + 1454212*x^2 + 5849*x - 376, x^49 - 7*x^48 - 50*x^47 + 444*x^46 + 1007*x^45 - 13080*x^44 - 8301*x^43 + 237927*x^42 - 44941*x^41 - 2997353*x^40 + 2064237*x^39 + 27806165*x^38 - 28548116*x^37 - 197180130*x^36 + 250865298*x^35 + 1094865736*x^34 - 1598964128*x^33 - 4834755875*x^32 + 7790715661*x^31 + 17133579847*x^30 - 29794454753*x^29 - 48897995183*x^28 + 90685698158*x^27 + 112153565580*x^26 - 220994907374*x^25 - 205067084290*x^24 + 431138236816*x^23 + 294300152625*x^22 - 669630358440*x^21 - 322895815067*x^20 + 819029242328*x^19 + 258604015171*x^18 - 775795371293*x^17 - 137054676429*x^16 + 555785233124*x^15 + 33767431525*x^14 - 291398713829*x^13 + 10219817867*x^12 + 106684079611*x^11 - 12127568158*x^10 - 25395095151*x^9 + 4530016562*x^8 + 3483199779*x^7 - 815079358*x^6 - 216088294*x^5 + 63256825*x^4 + 3186030*x^3 - 1617220*x^2 + 67026*x + 1718, x^49 - 7*x^48 - 50*x^47 + 444*x^46 + 1007*x^45 - 13080*x^44 - 8301*x^43 + 237927*x^42 - 44941*x^41 - 2997353*x^40 + 2064237*x^39 + 27806165*x^38 - 28548116*x^37 - 197180130*x^36 + 250865298*x^35 + 1094865736*x^34 - 1598964128*x^33 - 4834755875*x^32 + 7790715661*x^31 + 17133579847*x^30 - 29794454753*x^29 - 48897995183*x^28 + 90685698158*x^27 + 112153565580*x^26 - 220994907374*x^25 - 205067084290*x^24 + 431138236816*x^23 + 294300152625*x^22 - 669630358440*x^21 - 322895815067*x^20 + 819029242328*x^19 + 258604015171*x^18 - 775795371293*x^17 - 137054676429*x^16 + 555785233124*x^15 + 33767431525*x^14 - 291398713829*x^13 + 10219817867*x^12 + 106684079611*x^11 - 12127568158*x^10 - 25395095151*x^9 + 4530016562*x^8 + 3483199779*x^7 - 815079358*x^6 - 216088294*x^5 + 63256825*x^4 + 3186030*x^3 - 1617220*x^2 + 67026*x + 1718]>
       ]
>;

MOG[991] := 	// J_0(991)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 1,
           Coordinates        := [29, 44, 61, 72, 103, 106, 115, 126, 160, 227, 356, 446, 532, 696, 737, 740, 782, 599*x + 513, 392*x + 513, 576*x + 217, 415*x + 217, 166*x + 356, 825*x + 356, 915*x + 414, 76*x + 414, 883*x + 154, 108*x + 154, 879*x + 691, 112*x + 691, 630*x + 251, 361*x + 251, 767*x + 240, 224*x + 240, 314*x + 110, 677*x + 110, 296*x + 623, 695*x + 623, 176*x + 738, 815*x + 738, 807*x + 256, 184*x + 256, 200*x + 914, 791*x + 914, 22*x + 719, 969*x + 719, 373*x + 139, 618*x + 139, 11*x + 237, 980*x + 237, 360*x + 739, 631*x + 739, 309*x + 490, 682*x + 490, 306*x + 851, 685*x + 851, 706*x + 195, 285*x + 195, 81*x + 650, 910*x + 650, 825*x + 533, 166*x + 533, 36*x + 693, 955*x + 693, 388*x + 983, 603*x + 983, 360*x + 799, 631*x + 799, 799*x + 688, 192*x + 688, 870*x + 469, 121*x + 469, 300*x + 220, 691*x + 220, 777*x + 137, 214*x + 137, 213*x + 780, 778*x + 780, 119*x + 781, 872*x + 781, 625*x + 490, 366*x + 490, 411*x + 495, 580*x + 495]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x^33 + 5*x^32 - 33*x^31 - 196*x^30 + 440*x^29 + 3414*x^28 - 2761*x^27 - 34931*x^26 + 3544*x^25 + 233708*x^24 + 73587*x^23 - 1076555*x^22 - 631212*x^21 + 3499526*x^20 + 2714947*x^19 - 8090124*x^18 - 7404872*x^17 + 13222455*x^16 + 13535165*x^15 - 14973616*x^14 - 16687027*x^13 + 11292857*x^12 + 13572682*x^11 - 5265328*x^10 - 6913784*x^9 + 1291285*x^8 + 1998530*x^7 - 90949*x^6 - 273755*x^5 - 13019*x^4 + 14736*x^3 + 1482*x^2 - 172*x - 17,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -x^32 - 5*x^31 + 31*x^30 + 186*x^29 - 382*x^28 - 3062*x^27 + 2106*x^26 + 29472*x^25 - 492*x^24 - 184533*x^23 - 69453*x^22 + 791048*x^21 + 498531*x^20 - 2379058*x^19 - 1913369*x^18 + 5058975*x^17 + 4695924*x^16 - 7564534*x^15 - 7707886*x^14 + 7800228*x^13 + 8481337*x^12 - 5335472*x^11 - 6097965*x^10 + 2249511*x^9 + 2701737*x^8 - 501036*x^7 - 657293*x^6 + 37166*x^5 + 69711*x^4 + 1264*x^3 - 2567*x^2 - 138*x + 9, x^32 + 5*x^31 - 31*x^30 - 186*x^29 + 382*x^28 + 3062*x^27 - 2106*x^26 - 29472*x^25 + 492*x^24 + 184533*x^23 + 69453*x^22 - 791048*x^21 - 498531*x^20 + 2379058*x^19 + 1913369*x^18 - 5058975*x^17 - 4695924*x^16 + 7564534*x^15 + 7707886*x^14 - 7800228*x^13 - 8481337*x^12 + 5335472*x^11 + 6097965*x^10 - 2249511*x^9 - 2701737*x^8 + 501036*x^7 + 657293*x^6 - 37166*x^5 - 69711*x^4 - 1264*x^3 + 2567*x^2 + 138*x - 9, -x^31 - 5*x^30 + 29*x^29 + 176*x^28 - 328*x^27 - 2732*x^26 + 1538*x^25 + 24661*x^24 + 1952*x^23 - 143713*x^22 - 65849*x^21 + 567539*x^20 + 400742*x^19 - 1551367*x^18 - 1364503*x^17 + 2946416*x^16 + 2967292*x^15 - 3847128*x^14 - 4251309*x^13 + 3363195*x^12 + 3984765*x^11 - 1870993*x^10 - 2356793*x^9 + 597440*x^8 + 816879*x^7 - 82806*x^6 - 144489*x^5 - 1327*x^4 + 10288*x^3 + 665*x^2 - 212*x - 16, x^31 + 5*x^30 - 29*x^29 - 176*x^28 + 328*x^27 + 2732*x^26 - 1538*x^25 - 24661*x^24 - 1952*x^23 + 143713*x^22 + 65849*x^21 - 567539*x^20 - 400742*x^19 + 1551367*x^18 + 1364503*x^17 - 2946416*x^16 - 2967292*x^15 + 3847128*x^14 + 4251309*x^13 - 3363195*x^12 - 3984765*x^11 + 1870993*x^10 + 2356793*x^9 - 597440*x^8 - 816879*x^7 + 82806*x^6 + 144489*x^5 + 1327*x^4 - 10288*x^3 - 665*x^2 + 212*x + 16, -x^31 - 5*x^30 + 29*x^29 + 176*x^28 - 327*x^27 - 2727*x^26 + 1514*x^25 + 24514*x^24 + 2182*x^23 - 141794*x^22 - 66832*x^21 + 552929*x^20 + 400836*x^19 - 1479782*x^18 - 1344445*x^17 + 2711505*x^16 + 2859987*x^15 - 3326260*x^14 - 3954381*x^13 + 2594190*x^12 + 3489952*x^11 - 1144824*x^10 - 1855254*x^9 + 192809*x^8 + 524358*x^7 + 29023*x^6 - 59555*x^5 - 10428*x^4 + 1881*x^3 + 679*x^2 + 49*x - 1, x^31 + 5*x^30 - 29*x^29 - 176*x^28 + 327*x^27 + 2727*x^26 - 1514*x^25 - 24514*x^24 - 2182*x^23 + 141794*x^22 + 66832*x^21 - 552929*x^20 - 400836*x^19 + 1479782*x^18 + 1344445*x^17 - 2711505*x^16 - 2859987*x^15 + 3326260*x^14 + 3954381*x^13 - 2594190*x^12 - 3489952*x^11 + 1144824*x^10 + 1855254*x^9 - 192809*x^8 - 524358*x^7 - 29023*x^6 + 59555*x^5 + 10428*x^4 - 1881*x^3 - 679*x^2 - 49*x + 1, 2*x^26 + 10*x^25 - 39*x^24 - 253*x^23 + 267*x^22 + 2770*x^21 - 404*x^20 - 17267*x^19 - 4676*x^18 + 67872*x^17 + 32597*x^16 - 176184*x^15 - 101331*x^14 + 307723*x^13 + 182597*x^12 - 361276*x^11 - 200354*x^10 + 278259*x^9 + 131945*x^8 - 131536*x^7 - 48637*x^6 + 32386*x^5 + 8485*x^4 - 2590*x^3 - 472*x^2 + 84*x + 11, -2*x^26 - 10*x^25 + 39*x^24 + 253*x^23 - 267*x^22 - 2770*x^21 + 404*x^20 + 17267*x^19 + 4676*x^18 - 67872*x^17 - 32597*x^16 + 176184*x^15 + 101331*x^14 - 307723*x^13 - 182597*x^12 + 361276*x^11 + 200354*x^10 - 278259*x^9 - 131945*x^8 + 131536*x^7 + 48637*x^6 - 32386*x^5 - 8485*x^4 + 2590*x^3 + 472*x^2 - 84*x - 11, -x^30 - 5*x^29 + 27*x^28 + 165*x^27 - 283*x^26 - 2399*x^25 + 1210*x^24 + 20252*x^23 + 1730*x^22 - 110160*x^21 - 46730*x^20 + 405247*x^19 + 257012*x^18 - 1030187*x^17 - 789298*x^16 + 1818762*x^15 + 1532736*x^14 - 2213305*x^13 - 1930438*x^12 + 1821928*x^11 + 1554486*x^10 - 982449*x^9 - 764130*x^8 + 328300*x^7 + 210060*x^6 - 60313*x^5 - 27881*x^4 + 4183*x^3 + 1531*x^2 - 22*x - 8, x^30 + 5*x^29 - 27*x^28 - 165*x^27 + 283*x^26 + 2399*x^25 - 1210*x^24 - 20252*x^23 - 1730*x^22 + 110160*x^21 + 46730*x^20 - 405247*x^19 - 257012*x^18 + 1030187*x^17 + 789298*x^16 - 1818762*x^15 - 1532736*x^14 + 2213305*x^13 + 1930438*x^12 - 1821928*x^11 - 1554486*x^10 + 982449*x^9 + 764130*x^8 - 328300*x^7 - 210060*x^6 + 60313*x^5 + 27881*x^4 - 4183*x^3 - 1531*x^2 + 22*x + 8, -x^30 - 5*x^29 + 27*x^28 + 165*x^27 - 285*x^26 - 2412*x^25 + 1234*x^24 + 20568*x^23 + 1874*x^22 - 113349*x^21 - 51059*x^20 + 422444*x^19 + 291854*x^18 - 1082372*x^17 - 939334*x^16 + 1898644*x^15 + 1923841*x^14 - 2223728*x^13 - 2566134*x^12 + 1642551*x^11 + 2186686*x^10 - 669622*x^9 - 1120728*x^8 + 89930*x^7 + 302744*x^6 + 21820*x^5 - 31542*x^4 - 4782*x^3 + 824*x^2 + 144*x - 1, x^30 + 5*x^29 - 27*x^28 - 165*x^27 + 285*x^26 + 2412*x^25 - 1234*x^24 - 20568*x^23 - 1874*x^22 + 113349*x^21 + 51059*x^20 - 422444*x^19 - 291854*x^18 + 1082372*x^17 + 939334*x^16 - 1898644*x^15 - 1923841*x^14 + 2223728*x^13 + 2566134*x^12 - 1642551*x^11 - 2186686*x^10 + 669622*x^9 + 1120728*x^8 - 89930*x^7 - 302744*x^6 - 21820*x^5 + 31542*x^4 + 4782*x^3 - 824*x^2 - 144*x + 1, -x^30 - 5*x^29 + 28*x^28 + 171*x^27 - 303*x^26 - 2577*x^25 + 1299*x^24 + 22544*x^23 + 2825*x^22 - 126893*x^21 - 63617*x^20 + 481113*x^19 + 362574*x^18 - 1249525*x^17 - 1174232*x^16 + 2214290*x^15 + 2418993*x^14 - 2611950*x^13 - 3234485*x^12 + 1940365*x^11 + 2747242*x^10 - 802154*x^9 - 1391482*x^8 + 121583*x^7 + 366200*x^6 + 16698*x^5 - 36046*x^4 - 3782*x^3 + 996*x^2 + 134*x + 5, x^30 + 5*x^29 - 28*x^28 - 171*x^27 + 303*x^26 + 2577*x^25 - 1299*x^24 - 22544*x^23 - 2825*x^22 + 126893*x^21 + 63617*x^20 - 481113*x^19 - 362574*x^18 + 1249525*x^17 + 1174232*x^16 - 2214290*x^15 - 2418993*x^14 + 2611950*x^13 + 3234485*x^12 - 1940365*x^11 - 2747242*x^10 + 802154*x^9 + 1391482*x^8 - 121583*x^7 - 366200*x^6 - 16698*x^5 + 36046*x^4 + 3782*x^3 - 996*x^2 - 134*x - 5, -x^30 - 5*x^29 + 27*x^28 + 164*x^27 - 289*x^26 - 2381*x^25 + 1375*x^24 + 20195*x^23 - 204*x^22 - 111226*x^21 - 34078*x^20 + 418163*x^19 + 206350*x^18 - 1097945*x^17 - 661705*x^16 + 2023984*x^15 + 1334512*x^14 - 2594088*x^13 - 1756900*x^12 + 2250283*x^11 + 1495469*x^10 - 1254548*x^9 - 785897*x^8 + 408476*x^7 + 231538*x^6 - 64292*x^5 - 31784*x^4 + 3197*x^3 + 1620*x^2 + 3*x - 14, x^30 + 5*x^29 - 27*x^28 - 164*x^27 + 289*x^26 + 2381*x^25 - 1375*x^24 - 20195*x^23 + 204*x^22 + 111226*x^21 + 34078*x^20 - 418163*x^19 - 206350*x^18 + 1097945*x^17 + 661705*x^16 - 2023984*x^15 - 1334512*x^14 + 2594088*x^13 + 1756900*x^12 - 2250283*x^11 - 1495469*x^10 + 1254548*x^9 + 785897*x^8 - 408476*x^7 - 231538*x^6 + 64292*x^5 + 31784*x^4 - 3197*x^3 - 1620*x^2 - 3*x + 14, x^27 + 6*x^26 - 16*x^25 - 156*x^24 + 22*x^23 + 1743*x^22 + 1303*x^21 - 10959*x^20 - 13726*x^19 + 42587*x^18 + 69906*x^17 - 105530*x^16 - 214938*x^15 + 165103*x^14 + 424088*x^13 - 152607*x^12 - 543304*x^11 + 63884*x^10 + 442913*x^9 + 13788*x^8 - 216148*x^7 - 26904*x^6 + 54784*x^5 + 10118*x^4 - 4991*x^3 - 1084*x^2 + 90*x + 20, -x^27 - 6*x^26 + 16*x^25 + 156*x^24 - 22*x^23 - 1743*x^22 - 1303*x^21 + 10959*x^20 + 13726*x^19 - 42587*x^18 - 69906*x^17 + 105530*x^16 + 214938*x^15 - 165103*x^14 - 424088*x^13 + 152607*x^12 + 543304*x^11 - 63884*x^10 - 442913*x^9 - 13788*x^8 + 216148*x^7 + 26904*x^6 - 54784*x^5 - 10118*x^4 + 4991*x^3 + 1084*x^2 - 90*x - 20, x^27 + 4*x^26 - 23*x^25 - 97*x^24 + 245*x^23 + 1027*x^22 - 1707*x^21 - 6308*x^20 + 9050*x^19 + 25285*x^18 - 37309*x^17 - 70654*x^16 + 113607*x^15 + 142620*x^14 - 241491*x^13 - 208669*x^12 + 342950*x^11 + 214375*x^10 - 310968*x^9 - 145324*x^8 + 167511*x^7 + 59290*x^6 - 46299*x^5 - 12708*x^4 + 4519*x^3 + 1168*x^2 - 79*x - 20, -x^27 - 4*x^26 + 23*x^25 + 97*x^24 - 245*x^23 - 1027*x^22 + 1707*x^21 + 6308*x^20 - 9050*x^19 - 25285*x^18 + 37309*x^17 + 70654*x^16 - 113607*x^15 - 142620*x^14 + 241491*x^13 + 208669*x^12 - 342950*x^11 - 214375*x^10 + 310968*x^9 + 145324*x^8 - 167511*x^7 - 59290*x^6 + 46299*x^5 + 12708*x^4 - 4519*x^3 - 1168*x^2 + 79*x + 20, -x^27 - 6*x^26 + 17*x^25 + 160*x^24 - 45*x^23 - 1849*x^22 - 1109*x^21 + 12095*x^20 + 13042*x^19 - 49027*x^18 - 69624*x^17 + 126407*x^16 + 219734*x^15 - 203318*x^14 - 435727*x^13 + 186569*x^12 + 543854*x^11 - 66739*x^10 - 411153*x^9 - 30580*x^8 + 171376*x^7 + 35273*x^6 - 31214*x^5 - 9378*x^4 + 791*x^3 + 372*x^2 + 54*x + 11, x^27 + 6*x^26 - 17*x^25 - 160*x^24 + 45*x^23 + 1849*x^22 + 1109*x^21 - 12095*x^20 - 13042*x^19 + 49027*x^18 + 69624*x^17 - 126407*x^16 - 219734*x^15 + 203318*x^14 + 435727*x^13 - 186569*x^12 - 543854*x^11 + 66739*x^10 + 411153*x^9 + 30580*x^8 - 171376*x^7 - 35273*x^6 + 31214*x^5 + 9378*x^4 - 791*x^3 - 372*x^2 - 54*x - 11, -x^29 - 5*x^28 + 25*x^27 + 155*x^26 - 236*x^25 - 2104*x^24 + 801*x^23 + 16448*x^22 + 2859*x^21 - 82003*x^20 - 40169*x^19 + 273011*x^18 + 186367*x^17 - 618390*x^16 - 494928*x^15 + 953548*x^14 + 825595*x^13 - 984874*x^12 - 877515*x^11 + 654761*x^10 + 579163*x^9 - 256894*x^8 - 221072*x^7 + 48046*x^6 + 41751*x^5 - 1825*x^4 - 2726*x^3 + 115*x^2 + 94*x + 1, x^29 + 5*x^28 - 25*x^27 - 155*x^26 + 236*x^25 + 2104*x^24 - 801*x^23 - 16448*x^22 - 2859*x^21 + 82003*x^20 + 40169*x^19 - 273011*x^18 - 186367*x^17 + 618390*x^16 + 494928*x^15 - 953548*x^14 - 825595*x^13 + 984874*x^12 + 877515*x^11 - 654761*x^10 - 579163*x^9 + 256894*x^8 + 221072*x^7 - 48046*x^6 - 41751*x^5 + 1825*x^4 + 2726*x^3 - 115*x^2 - 94*x - 1, -x^29 - 6*x^28 + 20*x^27 + 178*x^26 - 92*x^25 - 2305*x^24 - 1023*x^23 + 17105*x^22 + 16260*x^21 - 80289*x^20 - 103561*x^19 + 248169*x^18 + 388838*x^17 - 509264*x^16 - 939628*x^15 + 680275*x^14 + 1495276*x^13 - 556393*x^12 - 1552764*x^11 + 233783*x^10 + 1013500*x^9 - 12246*x^8 - 385747*x^7 - 25553*x^6 + 74857*x^5 + 7335*x^4 - 6031*x^3 - 802*x^2 + 110*x + 15, x^29 + 6*x^28 - 20*x^27 - 178*x^26 + 92*x^25 + 2305*x^24 + 1023*x^23 - 17105*x^22 - 16260*x^21 + 80289*x^20 + 103561*x^19 - 248169*x^18 - 388838*x^17 + 509264*x^16 + 939628*x^15 - 680275*x^14 - 1495276*x^13 + 556393*x^12 + 1552764*x^11 - 233783*x^10 - 1013500*x^9 + 12246*x^8 + 385747*x^7 + 25553*x^6 - 74857*x^5 - 7335*x^4 + 6031*x^3 + 802*x^2 - 110*x - 15, -x^29 - 6*x^28 + 20*x^27 + 177*x^26 - 99*x^25 - 2293*x^24 - 846*x^23 + 17187*x^22 + 14398*x^21 - 82611*x^20 - 92927*x^19 + 266517*x^18 + 353018*x^17 - 586399*x^16 - 868245*x^15 + 874188*x^14 + 1419127*x^13 - 854067*x^12 - 1530967*x^11 + 501699*x^10 + 1051599*x^9 - 133497*x^8 - 425062*x^7 - 14204*x^6 + 85071*x^5 + 14689*x^4 - 5034*x^3 - 1397*x^2 - 41*x + 7, x^29 + 6*x^28 - 20*x^27 - 177*x^26 + 99*x^25 + 2293*x^24 + 846*x^23 - 17187*x^22 - 14398*x^21 + 82611*x^20 + 92927*x^19 - 266517*x^18 - 353018*x^17 + 586399*x^16 + 868245*x^15 - 874188*x^14 - 1419127*x^13 + 854067*x^12 + 1530967*x^11 - 501699*x^10 - 1051599*x^9 + 133497*x^8 + 425062*x^7 + 14204*x^6 - 85071*x^5 - 14689*x^4 + 5034*x^3 + 1397*x^2 + 41*x - 7, -x^29 - 5*x^28 + 23*x^27 + 143*x^26 - 205*x^25 - 1800*x^24 + 768*x^23 + 13177*x^22 + 392*x^21 - 62484*x^20 - 15961*x^19 + 202478*x^18 + 72151*x^17 - 461373*x^16 - 175206*x^15 + 749212*x^14 + 266048*x^13 - 866577*x^12 - 267112*x^11 + 699672*x^10 + 184466*x^9 - 374013*x^8 - 89073*x^7 + 118830*x^6 + 27876*x^5 - 18144*x^4 - 4430*x^3 + 876*x^2 + 252*x + 9, x^29 + 5*x^28 - 23*x^27 - 143*x^26 + 205*x^25 + 1800*x^24 - 768*x^23 - 13177*x^22 - 392*x^21 + 62484*x^20 + 15961*x^19 - 202478*x^18 - 72151*x^17 + 461373*x^16 + 175206*x^15 - 749212*x^14 - 266048*x^13 + 866577*x^12 + 267112*x^11 - 699672*x^10 - 184466*x^9 + 374013*x^8 + 89073*x^7 - 118830*x^6 - 27876*x^5 + 18144*x^4 + 4430*x^3 - 876*x^2 - 252*x - 9, -x^29 - 5*x^28 + 24*x^27 + 150*x^26 - 215*x^25 - 1970*x^24 + 643*x^23 + 14901*x^22 + 3215*x^21 - 71816*x^20 - 38262*x^19 + 230257*x^18 + 170213*x^17 - 497215*x^16 - 440994*x^15 + 714310*x^14 + 719896*x^13 - 653825*x^12 - 742710*x^11 + 342670*x^10 + 463772*x^9 - 71226*x^8 - 158158*x^7 - 12325*x^6 + 23509*x^5 + 6646*x^4 - 885*x^3 - 545*x^2 - 44*x + 1, x^29 + 5*x^28 - 24*x^27 - 150*x^26 + 215*x^25 + 1970*x^24 - 643*x^23 - 14901*x^22 - 3215*x^21 + 71816*x^20 + 38262*x^19 - 230257*x^18 - 170213*x^17 + 497215*x^16 + 440994*x^15 - 714310*x^14 - 719896*x^13 + 653825*x^12 + 742710*x^11 - 342670*x^10 - 463772*x^9 + 71226*x^8 + 158158*x^7 + 12325*x^6 - 23509*x^5 - 6646*x^4 + 885*x^3 + 545*x^2 + 44*x - 1, -x^29 - 6*x^28 + 20*x^27 + 178*x^26 - 92*x^25 - 2300*x^24 - 1001*x^23 + 17008*x^22 + 15745*x^21 - 79576*x^20 - 98413*x^19 + 246091*x^18 + 360169*x^17 - 511075*x^16 - 842306*x^15 + 711467*x^14 + 1288150*x^13 - 653173*x^12 - 1278791*x^11 + 382096*x^10 + 797703*x^9 - 131906*x^8 - 293318*x^7 + 20937*x^6 + 57170*x^5 + 593*x^4 - 5152*x^3 - 373*x^2 + 138*x + 11, x^29 + 6*x^28 - 20*x^27 - 178*x^26 + 92*x^25 + 2300*x^24 + 1001*x^23 - 17008*x^22 - 15745*x^21 + 79576*x^20 + 98413*x^19 - 246091*x^18 - 360169*x^17 + 511075*x^16 + 842306*x^15 - 711467*x^14 - 1288150*x^13 + 653173*x^12 + 1278791*x^11 - 382096*x^10 - 797703*x^9 + 131906*x^8 + 293318*x^7 - 20937*x^6 - 57170*x^5 - 593*x^4 + 5152*x^3 + 373*x^2 - 138*x - 11, -x^29 - 6*x^28 + 18*x^27 + 168*x^26 - 47*x^25 - 2019*x^24 - 1385*x^23 + 13560*x^22 + 17009*x^21 - 55190*x^20 - 96073*x^19 + 135746*x^18 + 322571*x^17 - 176446*x^16 - 683169*x^15 + 20705*x^14 + 909331*x^13 + 309266*x^12 - 715692*x^11 - 491820*x^10 + 271654*x^9 + 347573*x^8 + 498*x^7 - 114252*x^6 - 29399*x^5 + 13032*x^4 + 4891*x^3 - 303*x^2 - 201*x - 10, x^29 + 6*x^28 - 18*x^27 - 168*x^26 + 47*x^25 + 2019*x^24 + 1385*x^23 - 13560*x^22 - 17009*x^21 + 55190*x^20 + 96073*x^19 - 135746*x^18 - 322571*x^17 + 176446*x^16 + 683169*x^15 - 20705*x^14 - 909331*x^13 - 309266*x^12 + 715692*x^11 + 491820*x^10 - 271654*x^9 - 347573*x^8 - 498*x^7 + 114252*x^6 + 29399*x^5 - 13032*x^4 - 4891*x^3 + 303*x^2 + 201*x + 10, x^28 + 6*x^27 - 18*x^26 - 166*x^25 + 61*x^24 + 1996*x^23 + 1036*x^22 - 13729*x^21 - 13322*x^20 + 59854*x^19 + 74582*x^18 - 173402*x^17 - 247535*x^16 + 341287*x^15 + 525419*x^14 - 460330*x^13 - 725901*x^12 + 425160*x^11 + 643267*x^10 - 264471*x^9 - 348093*x^8 + 104632*x^7 + 103421*x^6 - 22268*x^5 - 13476*x^4 + 1506*x^3 + 562*x^2 - 64*x - 11, -x^28 - 6*x^27 + 18*x^26 + 166*x^25 - 61*x^24 - 1996*x^23 - 1036*x^22 + 13729*x^21 + 13322*x^20 - 59854*x^19 - 74582*x^18 + 173402*x^17 + 247535*x^16 - 341287*x^15 - 525419*x^14 + 460330*x^13 + 725901*x^12 - 425160*x^11 - 643267*x^10 + 264471*x^9 + 348093*x^8 - 104632*x^7 - 103421*x^6 + 22268*x^5 + 13476*x^4 - 1506*x^3 - 562*x^2 + 64*x + 11, x^28 + 4*x^27 - 28*x^26 - 123*x^25 + 336*x^24 + 1671*x^23 - 2227*x^22 - 13194*x^21 + 8628*x^20 + 67067*x^19 - 17848*x^18 - 229878*x^17 + 6202*x^16 + 541534*x^15 + 67001*x^14 - 877929*x^13 - 189157*x^12 + 965362*x^11 + 255103*x^10 - 695489*x^9 - 194642*x^8 + 306212*x^7 + 82371*x^6 - 71127*x^5 - 16923*x^4 + 6040*x^3 + 1205*x^2 - 152*x - 21, -x^28 - 4*x^27 + 28*x^26 + 123*x^25 - 336*x^24 - 1671*x^23 + 2227*x^22 + 13194*x^21 - 8628*x^20 - 67067*x^19 + 17848*x^18 + 229878*x^17 - 6202*x^16 - 541534*x^15 - 67001*x^14 + 877929*x^13 + 189157*x^12 - 965362*x^11 - 255103*x^10 + 695489*x^9 + 194642*x^8 - 306212*x^7 - 82371*x^6 + 71127*x^5 + 16923*x^4 - 6040*x^3 - 1205*x^2 + 152*x + 21, 3*x^26 + 16*x^25 - 52*x^24 - 391*x^23 + 253*x^22 + 4116*x^21 + 826*x^20 - 24515*x^19 - 14785*x^18 + 91352*x^17 + 74808*x^16 - 222730*x^15 - 207161*x^14 + 361537*x^13 + 349510*x^12 - 389711*x^11 - 365717*x^10 + 271906*x^9 + 230208*x^8 - 115386*x^7 - 80033*x^6 + 26033*x^5 + 12957*x^4 - 2282*x^3 - 812*x^2 + 48*x + 10, -3*x^26 - 16*x^25 + 52*x^24 + 391*x^23 - 253*x^22 - 4116*x^21 - 826*x^20 + 24515*x^19 + 14785*x^18 - 91352*x^17 - 74808*x^16 + 222730*x^15 + 207161*x^14 - 361537*x^13 - 349510*x^12 + 389711*x^11 + 365717*x^10 - 271906*x^9 - 230208*x^8 + 115386*x^7 + 80033*x^6 - 26033*x^5 - 12957*x^4 + 2282*x^3 + 812*x^2 - 48*x - 10, -2*x^26 - 12*x^25 + 28*x^24 + 284*x^23 - 11*x^22 - 2868*x^21 - 2147*x^20 + 16142*x^19 + 18869*x^18 - 55512*x^17 - 80838*x^16 + 120362*x^15 + 204413*x^14 - 163933*x^13 - 319912*x^12 + 135066*x^11 + 309067*x^10 - 60646*x^9 - 177040*x^8 + 9315*x^7 + 54724*x^6 + 3261*x^5 - 7441*x^4 - 1600*x^3 + 286*x^2 + 140*x + 13, 2*x^26 + 12*x^25 - 28*x^24 - 284*x^23 + 11*x^22 + 2868*x^21 + 2147*x^20 - 16142*x^19 - 18869*x^18 + 55512*x^17 + 80838*x^16 - 120362*x^15 - 204413*x^14 + 163933*x^13 + 319912*x^12 - 135066*x^11 - 309067*x^10 + 60646*x^9 + 177040*x^8 - 9315*x^7 - 54724*x^6 - 3261*x^5 + 7441*x^4 + 1600*x^3 - 286*x^2 - 140*x - 13, -x^28 - 6*x^27 + 19*x^26 + 172*x^25 - 73*x^24 - 2133*x^23 - 1098*x^22 + 14963*x^21 + 15189*x^20 - 65169*x^19 - 88493*x^18 + 181919*x^17 + 300572*x^16 - 323680*x^15 - 640140*x^14 + 350502*x^13 + 863766*x^12 - 201805*x^11 - 720220*x^10 + 30066*x^9 + 348416*x^8 + 25958*x^7 - 85938*x^6 - 12639*x^5 + 8232*x^4 + 1972*x^3 - 232*x^2 - 129*x - 13, x^28 + 6*x^27 - 19*x^26 - 172*x^25 + 73*x^24 + 2133*x^23 + 1098*x^22 - 14963*x^21 - 15189*x^20 + 65169*x^19 + 88493*x^18 - 181919*x^17 - 300572*x^16 + 323680*x^15 + 640140*x^14 - 350502*x^13 - 863766*x^12 + 201805*x^11 + 720220*x^10 - 30066*x^9 - 348416*x^8 - 25958*x^7 + 85938*x^6 + 12639*x^5 - 8232*x^4 - 1972*x^3 + 232*x^2 + 129*x + 13, -x^28 - 6*x^27 + 19*x^26 + 173*x^25 - 71*x^24 - 2164*x^23 - 1156*x^22 + 15390*x^21 + 15954*x^20 - 68511*x^19 - 94350*x^18 + 198032*x^17 + 328663*x^16 - 372889*x^15 - 726637*x^14 + 445639*x^13 + 1034502*x^12 - 315423*x^11 - 931549*x^10 + 109142*x^9 + 504825*x^8 - 1792*x^7 - 148815*x^6 - 9972*x^5 + 19297*x^4 + 2461*x^3 - 680*x^2 - 102*x - 1, x^28 + 6*x^27 - 19*x^26 - 173*x^25 + 71*x^24 + 2164*x^23 + 1156*x^22 - 15390*x^21 - 15954*x^20 + 68511*x^19 + 94350*x^18 - 198032*x^17 - 328663*x^16 + 372889*x^15 + 726637*x^14 - 445639*x^13 - 1034502*x^12 + 315423*x^11 + 931549*x^10 - 109142*x^9 - 504825*x^8 + 1792*x^7 + 148815*x^6 + 9972*x^5 - 19297*x^4 - 2461*x^3 + 680*x^2 + 102*x + 1, -x^28 - 7*x^27 + 13*x^26 + 186*x^25 + 67*x^24 - 2146*x^23 - 2478*x^22 + 14126*x^21 + 22745*x^20 - 58665*x^19 - 114265*x^18 + 160754*x^17 + 360745*x^16 - 296181*x^15 - 748927*x^14 + 368762*x^13 + 1030847*x^12 - 309354*x^11 - 923082*x^10 + 172500*x^9 + 510289*x^8 - 60535*x^7 - 156140*x^6 + 10478*x^5 + 21257*x^4 + 167*x^3 - 1048*x^2 - 101*x - 3, x^28 + 7*x^27 - 13*x^26 - 186*x^25 - 67*x^24 + 2146*x^23 + 2478*x^22 - 14126*x^21 - 22745*x^20 + 58665*x^19 + 114265*x^18 - 160754*x^17 - 360745*x^16 + 296181*x^15 + 748927*x^14 - 368762*x^13 - 1030847*x^12 + 309354*x^11 + 923082*x^10 - 172500*x^9 - 510289*x^8 + 60535*x^7 + 156140*x^6 - 10478*x^5 - 21257*x^4 - 167*x^3 + 1048*x^2 + 101*x + 3, -3*x^28 - 16*x^27 + 65*x^26 + 461*x^25 - 467*x^24 - 5789*x^23 + 26*x^22 + 41638*x^21 + 20616*x^20 - 189490*x^19 - 150296*x^18 + 568481*x^17 + 564935*x^16 - 1135034*x^15 - 1299369*x^14 + 1484227*x^13 + 1895275*x^12 - 1211136*x^11 - 1725514*x^10 + 550522*x^9 + 919892*x^8 - 97666*x^7 - 246733*x^6 - 7747*x^5 + 21986*x^4 + 1534*x^3 - 424*x^2 + 28*x + 7, 3*x^28 + 16*x^27 - 65*x^26 - 461*x^25 + 467*x^24 + 5789*x^23 - 26*x^22 - 41638*x^21 - 20616*x^20 + 189490*x^19 + 150296*x^18 - 568481*x^17 - 564935*x^16 + 1135034*x^15 + 1299369*x^14 - 1484227*x^13 - 1895275*x^12 + 1211136*x^11 + 1725514*x^10 - 550522*x^9 - 919892*x^8 + 97666*x^7 + 246733*x^6 + 7747*x^5 - 21986*x^4 - 1534*x^3 + 424*x^2 - 28*x - 7, -x^28 - 6*x^27 + 15*x^26 + 151*x^25 + x^24 - 1602*x^23 - 1508*x^22 + 9227*x^21 + 14482*x^20 - 30476*x^19 - 69407*x^18 + 52518*x^17 + 199193*x^16 - 14398*x^15 - 358424*x^14 - 127076*x^13 + 403747*x^12 + 268257*x^11 - 276706*x^10 - 254913*x^9 + 111763*x^8 + 126566*x^7 - 28135*x^6 - 32217*x^5 + 5126*x^4 + 4124*x^3 - 148*x^2 - 163*x - 6, x^28 + 6*x^27 - 15*x^26 - 151*x^25 - x^24 + 1602*x^23 + 1508*x^22 - 9227*x^21 - 14482*x^20 + 30476*x^19 + 69407*x^18 - 52518*x^17 - 199193*x^16 + 14398*x^15 + 358424*x^14 + 127076*x^13 - 403747*x^12 - 268257*x^11 + 276706*x^10 + 254913*x^9 - 111763*x^8 - 126566*x^7 + 28135*x^6 + 32217*x^5 - 5126*x^4 - 4124*x^3 + 148*x^2 + 163*x + 6, -x^28 - 5*x^27 + 23*x^26 + 146*x^25 - 189*x^24 - 1854*x^23 + 364*x^22 + 13439*x^21 + 4739*x^20 - 61366*x^19 - 42065*x^18 + 183829*x^17 + 168303*x^16 - 364946*x^15 - 399728*x^14 + 473898*x^13 + 596500*x^12 - 386559*x^11 - 557956*x^10 + 180406*x^9 + 313432*x^8 - 36242*x^7 - 95958*x^6 - 2305*x^5 + 13175*x^4 + 1703*x^3 - 616*x^2 - 161*x - 12, x^28 + 5*x^27 - 23*x^26 - 146*x^25 + 189*x^24 + 1854*x^23 - 364*x^22 - 13439*x^21 - 4739*x^20 + 61366*x^19 + 42065*x^18 - 183829*x^17 - 168303*x^16 + 364946*x^15 + 399728*x^14 - 473898*x^13 - 596500*x^12 + 386559*x^11 + 557956*x^10 - 180406*x^9 - 313432*x^8 + 36242*x^7 + 95958*x^6 + 2305*x^5 - 13175*x^4 - 1703*x^3 + 616*x^2 + 161*x + 12, x^27 + 5*x^26 - 22*x^25 - 141*x^24 + 168*x^23 + 1715*x^22 - 227*x^21 - 11798*x^20 - 4619*x^19 + 50528*x^18 + 35577*x^17 - 139582*x^16 - 127888*x^15 + 248755*x^14 + 269138*x^13 - 276300*x^12 - 344396*x^11 + 173344*x^10 + 260593*x^9 - 42653*x^8 - 105493*x^7 - 9568*x^6 + 16811*x^5 + 6077*x^4 + 519*x^3 - 377*x^2 - 142*x - 13, -x^27 - 5*x^26 + 22*x^25 + 141*x^24 - 168*x^23 - 1715*x^22 + 227*x^21 + 11798*x^20 + 4619*x^19 - 50528*x^18 - 35577*x^17 + 139582*x^16 + 127888*x^15 - 248755*x^14 - 269138*x^13 + 276300*x^12 + 344396*x^11 - 173344*x^10 - 260593*x^9 + 42653*x^8 + 105493*x^7 + 9568*x^6 - 16811*x^5 - 6077*x^4 - 519*x^3 + 377*x^2 + 142*x + 13, x^27 + 5*x^26 - 21*x^25 - 136*x^24 + 155*x^23 + 1618*x^22 - 209*x^21 - 11065*x^20 - 4063*x^19 + 48059*x^18 + 31506*x^17 - 138186*x^16 - 115669*x^15 + 265828*x^14 + 253648*x^13 - 337750*x^12 - 347242*x^11 + 272954*x^10 + 292878*x^9 - 130114*x^8 - 144503*x^7 + 30909*x^6 + 37873*x^5 - 1868*x^4 - 4472*x^3 - 271*x^2 + 139*x + 11, -x^27 - 5*x^26 + 21*x^25 + 136*x^24 - 155*x^23 - 1618*x^22 + 209*x^21 + 11065*x^20 + 4063*x^19 - 48059*x^18 - 31506*x^17 + 138186*x^16 + 115669*x^15 - 265828*x^14 - 253648*x^13 + 337750*x^12 + 347242*x^11 - 272954*x^10 - 292878*x^9 + 130114*x^8 + 144503*x^7 - 30909*x^6 - 37873*x^5 + 1868*x^4 + 4472*x^3 + 271*x^2 - 139*x - 11, x^27 + 7*x^26 - 8*x^25 - 158*x^24 - 147*x^23 + 1471*x^22 + 2742*x^21 - 7142*x^20 - 19772*x^19 + 18008*x^18 + 80611*x^17 - 13890*x^16 - 205099*x^15 - 46911*x^14 + 337353*x^13 + 156708*x^12 - 361425*x^11 - 215423*x^10 + 248298*x^9 + 160052*x^8 - 103041*x^7 - 64166*x^6 + 21383*x^5 + 12294*x^4 - 859*x^3 - 849*x^2 - 50*x + 9, -x^27 - 7*x^26 + 8*x^25 + 158*x^24 + 147*x^23 - 1471*x^22 - 2742*x^21 + 7142*x^20 + 19772*x^19 - 18008*x^18 - 80611*x^17 + 13890*x^16 + 205099*x^15 + 46911*x^14 - 337353*x^13 - 156708*x^12 + 361425*x^11 + 215423*x^10 - 248298*x^9 - 160052*x^8 + 103041*x^7 + 64166*x^6 - 21383*x^5 - 12294*x^4 + 859*x^3 + 849*x^2 + 50*x - 9, x^26 + 3*x^25 - 34*x^24 - 113*x^23 + 452*x^22 + 1704*x^21 - 3095*x^20 - 13945*x^19 + 11523*x^18 + 69397*x^17 - 19935*x^16 - 220420*x^15 - 7526*x^14 + 453168*x^13 + 105205*x^12 - 596212*x^11 - 209330*x^10 + 482411*x^9 + 199947*x^8 - 219693*x^7 - 96178*x^6 + 45156*x^5 + 20072*x^4 - 1364*x^3 - 1081*x^2 - 91*x - 2, -x^26 - 3*x^25 + 34*x^24 + 113*x^23 - 452*x^22 - 1704*x^21 + 3095*x^20 + 13945*x^19 - 11523*x^18 - 69397*x^17 + 19935*x^16 + 220420*x^15 + 7526*x^14 - 453168*x^13 - 105205*x^12 + 596212*x^11 + 209330*x^10 - 482411*x^9 - 199947*x^8 + 219693*x^7 + 96178*x^6 - 45156*x^5 - 20072*x^4 + 1364*x^3 + 1081*x^2 + 91*x + 2, -x^27 - 5*x^26 + 20*x^25 + 131*x^24 - 130*x^23 - 1472*x^22 - 36*x^21 + 9263*x^20 + 5219*x^19 - 35695*x^18 - 33712*x^17 + 86230*x^16 + 112963*x^15 - 127361*x^14 - 231063*x^13 + 103987*x^12 + 299760*x^11 - 31503*x^10 - 245203*x^9 - 9710*x^8 + 121473*x^7 + 5093*x^6 - 33228*x^5 + 1011*x^4 + 4115*x^3 + 9*x^2 - 157*x - 6, x^27 + 5*x^26 - 20*x^25 - 131*x^24 + 130*x^23 + 1472*x^22 + 36*x^21 - 9263*x^20 - 5219*x^19 + 35695*x^18 + 33712*x^17 - 86230*x^16 - 112963*x^15 + 127361*x^14 + 231063*x^13 - 103987*x^12 - 299760*x^11 + 31503*x^10 + 245203*x^9 + 9710*x^8 - 121473*x^7 - 5093*x^6 + 33228*x^5 - 1011*x^4 - 4115*x^3 - 9*x^2 + 157*x + 6]>,
         rec<Eigen |
           DefiningPolynomial := x^49 - 4*x^48 - 67*x^47 + 281*x^46 + 2069*x^45 - 9183*x^44 - 39006*x^43 + 185443*x^42 + 500863*x^41 - 2592681*x^40 - 4620840*x^39 + 26647225*x^38 + 31398213*x^37 - 208665433*x^36 - 157490944*x^35 + 1273286032*x^34 + 566156270*x^33 - 6141620284*x^32 - 1295064776*x^31 + 23619238299*x^30 + 740253440*x^29 - 72740516599*x^28 + 7840096149*x^27 + 179567995202*x^26 - 38690646835*x^25 - 354617206652*x^24 + 105524305538*x^23 + 557637483988*x^22 - 199552538064*x^21 - 693288320477*x^20 + 276281351605*x^19 + 675044093228*x^18 - 283874609228*x^17 - 508732140373*x^16 + 215672871458*x^15 + 292534897715*x^14 - 119386421791*x^13 - 126105702146*x^12 + 46929801677*x^11 + 39817299641*x^10 - 12565989025*x^9 - 8903039279*x^8 + 2131185502*x^7 + 1334263172*x^6 - 196178903*x^5 - 120846918*x^4 + 5551549*x^3 + 5160495*x^2 + 257143*x - 24819,
           Coordinates        := [-x^48 + 4*x^47 + 64*x^46 - 269*x^45 - 1883*x^44 + 8401*x^43 + 33712*x^42 - 161813*x^41 - 409296*x^40 + 2152986*x^39 + 3548059*x^38 - 21004381*x^37 - 22431020*x^36 + 155651341*x^35 + 102817073*x^34 - 895568631*x^33 - 323851666*x^32 + 4055349067*x^31 + 549483693*x^30 - 14563527269*x^29 + 568037648*x^28 + 41607458624*x^27 - 7288855217*x^26 - 94502957990*x^25 + 26615249386*x^24 + 169939021971*x^23 - 61848912860*x^22 - 240146065462*x^21 + 102205710547*x^20 + 263821669411*x^19 - 123575230251*x^18 - 222150272684*x^17 + 109452359214*x^16 + 140872204959*x^15 - 70053492461*x^14 - 65851660150*x^13 + 31567654205*x^12 + 22106175290*x^11 - 9608763619*x^10 - 5148530304*x^9 + 1844358551*x^8 + 789025522*x^7 - 195142413*x^6 - 71923945*x^5 + 7689405*x^4 + 2982426*x^3 + 131157*x^2 - 45*x + 202, x^48 - 4*x^47 - 64*x^46 + 271*x^45 + 1875*x^44 - 8516*x^43 - 33225*x^42 + 164823*x^41 + 395625*x^40 - 2200362*x^39 - 3313186*x^38 + 21502663*x^37 + 19666910*x^36 - 159321206*x^35 - 79183618*x^34 + 914727958*x^33 + 171889366*x^32 - 4124317404*x^31 + 201056897*x^30 + 14713206535*x^29 - 3452317260*x^28 - 41653645437*x^27 + 15976172169*x^26 + 93508621512*x^25 - 47190375826*x^24 - 165769383633*x^23 + 100181864831*x^22 + 230372763645*x^21 - 158289518174*x^20 - 248371621799*x^19 + 187802321939*x^18 + 204950188557*x^17 - 166735526001*x^16 - 127314558820*x^15 + 109509629993*x^14 + 58385588451*x^13 - 52238558895*x^12 - 19329608888*x^11 + 17627725548*x^10 + 4507395743*x^9 - 4049731628*x^8 - 721842966*x^7 + 596523717*x^6 + 77520747*x^5 - 50637553*x^4 - 5366033*x^3 + 1951146*x^2 + 196127*x - 11858, -x^45 + 5*x^44 + 54*x^43 - 301*x^42 - 1297*x^41 + 8349*x^40 + 17996*x^39 - 141604*x^38 - 153940*x^37 + 1643545*x^36 + 745515*x^35 - 13843938*x^34 - 530905*x^33 + 87581390*x^32 - 22001744*x^31 - 424905127*x^30 + 195908291*x^29 + 1600541410*x^28 - 986453923*x^27 - 4711152998*x^26 + 3446298439*x^25 + 10857055236*x^24 - 8849730602*x^23 - 19556854909*x^22 + 17046959960*x^21 + 27409011260*x^20 - 24743752495*x^19 - 29682713127*x^18 + 26932925385*x^17 + 24629336647*x^16 - 21718493805*x^15 - 15513075104*x^14 + 12723870792*x^13 + 7344235691*x^12 - 5259659326*x^11 - 2582093308*x^10 + 1466355167*x^9 + 660441856*x^8 - 255093517*x^7 - 117576419*x^6 + 23445319*x^5 + 13201141*x^4 - 592637*x^3 - 736104*x^2 - 34189*x + 7096, x^46 - 3*x^45 - 64*x^44 + 196*x^43 + 1887*x^42 - 5921*x^41 - 33992*x^40 + 109792*x^39 + 418246*x^38 - 1398984*x^37 - 3721797*x^36 + 12994868*x^35 + 24727013*x^34 - 91095391*x^33 - 124749592*x^32 + 492244807*x^31 + 480720890*x^30 - 2076413141*x^29 - 1407748277*x^28 + 6882686398*x^27 + 3069444555*x^26 - 17960994491*x^25 - 4727257283*x^24 + 36822173737*x^23 + 4356277689*x^22 - 58965126207*x^21 - 217558576*x^20 + 73078744519*x^19 - 6273098573*x^18 - 69223649053*x^17 + 10654871821*x^16 + 49332407637*x^15 - 10029224533*x^14 - 25947472468*x^13 + 6134006885*x^12 + 9837177377*x^11 - 2514689705*x^10 - 2605251832*x^9 + 685624392*x^8 + 460379921*x^7 - 119715282*x^6 - 50417340*x^5 + 12297480*x^4 + 2998195*x^3 - 613114*x^2 - 71971*x + 8194, -x^46 + 4*x^45 + 60*x^44 - 252*x^43 - 1651*x^42 + 7350*x^41 + 27584*x^40 - 131788*x^39 - 311956*x^38 + 1626718*x^37 + 2516107*x^36 - 14667254*x^35 - 14804992*x^34 + 100025527*x^33 + 63424994*x^32 - 527028448*x^31 - 189974844*x^30 + 2172688130*x^29 + 337136832*x^28 - 7053274237*x^27 + 10778547*x^26 + 18058209963*x^25 - 2199549969*x^24 - 36363938053*x^23 + 7754057261*x^22 + 57214358691*x^21 - 16039643393*x^20 - 69610949883*x^19 + 22650822947*x^18 + 64583465041*x^17 - 22527979709*x^16 - 44902629244*x^15 + 15696034172*x^14 + 22911192577*x^13 - 7457703915*x^12 - 8361623608*x^11 + 2294973608*x^10 + 2106801308*x^9 - 412375214*x^8 - 345642102*x^7 + 31865034*x^6 + 32748479*x^5 + 950884*x^4 - 1256175*x^3 - 213382*x^2 - 15681*x - 536, -x^46 + 4*x^45 + 59*x^44 - 251*x^43 - 1583*x^42 + 7276*x^41 + 25466*x^40 - 129324*x^39 - 271855*x^38 + 1577532*x^37 + 1999512*x^36 - 14006647*x^35 - 10001765*x^34 + 93681930*x^33 + 30053398*x^32 - 481888380*x^31 - 12975415*x^30 + 1929395949*x^29 - 388976450*x^28 - 6047072068*x^27 + 2331881979*x^26 + 14843499239*x^25 - 7999852574*x^24 - 28415948717*x^23 + 19085346361*x^22 + 42045529051*x^21 - 33299956807*x^20 - 47406983384*x^19 + 43050641009*x^18 + 39915948258*x^17 - 41099632405*x^16 - 24419573360*x^15 + 28586519536*x^14 + 10471740771*x^13 - 14181154072*x^12 - 3007589651*x^11 + 4874937475*x^10 + 549803628*x^9 - 1116167442*x^8 - 63725629*x^7 + 160287698*x^6 + 6216387*x^5 - 12976471*x^4 - 711629*x^3 + 458016*x^2 + 45960*x - 614, -x^45 + 4*x^44 + 57*x^43 - 243*x^42 - 1473*x^41 + 6808*x^40 + 22728*x^39 - 116728*x^38 - 231257*x^37 + 1370676*x^36 + 1603812*x^35 - 11688945*x^34 - 7385933*x^33 + 74915428*x^32 + 18679632*x^31 - 368431142*x^30 + 13294981*x^29 + 1407634421*x^28 - 361607768*x^27 - 4205078862*x^26 + 1818200155*x^25 + 9842076179*x^24 - 5654057376*x^23 - 18020871265*x^22 + 12442062005*x^21 + 25700515937*x^20 - 20149101133*x^19 - 28357099368*x^18 + 24267951137*x^17 + 23995904162*x^16 - 21668976577*x^15 - 15404212216*x^14 + 14157694636*x^13 + 7396741269*x^12 - 6610676416*x^11 - 2604845999*x^10 + 2122993411*x^9 + 653197010*x^8 - 440393804*x^7 - 111055771*x^6 + 52739900*x^5 + 11622957*x^4 - 2825763*x^3 - 588481*x^2 + 16880*x + 4042, -x^46 + 5*x^45 + 56*x^44 - 311*x^43 - 1399*x^42 + 8925*x^41 + 20272*x^40 - 156820*x^39 - 182332*x^38 + 1887941*x^37 + 945651*x^36 - 16511594*x^35 - 1023067*x^34 + 108531058*x^33 - 27176334*x^32 - 547128445*x^31 + 265205497*x^30 + 2139759584*x^29 - 1430418189*x^28 - 6524415492*x^27 + 5343477073*x^26 + 15504358986*x^25 - 14704836158*x^24 - 28560148545*x^23 + 30470686798*x^22 + 40347705150*x^21 - 47802069365*x^20 - 42975634713*x^19 + 56543568105*x^18 + 33631019723*x^17 - 49871172257*x^16 - 18570667658*x^15 + 32225721718*x^14 + 6739105611*x^13 - 14885835616*x^12 - 1358052466*x^11 + 4753681213*x^10 + 48163732*x^9 - 1000770693*x^8 + 39108899*x^7 + 128959661*x^6 - 7449119*x^5 - 8893311*x^4 + 376746*x^3 + 237717*x^2 + 4966*x + 334, x^45 - 3*x^44 - 64*x^43 + 198*x^42 + 1879*x^41 - 6025*x^40 - 33548*x^39 + 112228*x^38 + 406960*x^37 - 1432834*x^36 - 3547551*x^35 + 13303254*x^34 + 22899901*x^33 - 93003725*x^32 - 110965902*x^31 + 500128319*x^30 + 403414540*x^29 - 2095317893*x^28 - 1079298959*x^27 + 6885345288*x^26 + 2002377395*x^25 - 17781661001*x^24 - 2071448199*x^23 + 36016251859*x^22 - 680199575*x^21 - 56886473819*x^20 + 6955878010*x^19 + 69419003989*x^18 - 13729350527*x^17 - 64625745245*x^16 + 15983238395*x^15 + 45172894973*x^14 - 12252198765*x^13 - 23256975654*x^12 + 6253611123*x^11 + 8612643519*x^10 - 2065917443*x^9 - 2220371320*x^8 + 411779726*x^7 + 377920453*x^6 - 41728596*x^5 - 38381780*x^4 + 928574*x^3 + 1825605*x^2 + 104060*x - 11381, -x^46 + 4*x^45 + 60*x^44 - 253*x^43 - 1646*x^42 + 7397*x^41 + 27307*x^40 - 132694*x^39 - 305017*x^38 + 1634880*x^37 + 2412261*x^36 - 14674195*x^35 - 13772823*x^34 + 99322187*x^33 + 56275719*x^32 - 517724338*x^31 - 154919621*x^30 + 2104493021*x^29 + 217449639*x^28 - 6714643229*x^27 + 272321777*x^26 + 16847836645*x^25 - 2429885137*x^24 - 33178667566*x^23 + 7128860337*x^22 + 51009291638*x^21 - 13089843436*x^20 - 60711503471*x^19 + 16485858612*x^18 + 55315803300*x^17 - 14401009490*x^16 - 38041310686*x^15 + 8490453071*x^14 + 19394435771*x^13 - 3119730786*x^12 - 7147601254*x^11 + 541125099*x^10 + 1828656589*x^9 + 51677829*x^8 - 301389041*x^7 - 44798358*x^6 + 27003496*x^5 + 8154311*x^4 - 629632*x^3 - 515975*x^2 - 51185*x + 412, x^47 - 4*x^46 - 62*x^45 + 263*x^44 + 1755*x^43 - 8006*x^42 - 29950*x^41 + 149809*x^40 + 342002*x^39 - 1929458*x^38 - 2729773*x^37 + 18149499*x^36 + 15279696*x^35 - 129125658*x^34 - 56554102*x^33 + 709998124*x^32 + 99441985*x^31 - 3057262350*x^30 + 265250324*x^29 + 10385752568*x^28 - 2733942884*x^27 - 27915784334*x^26 + 11231359813*x^25 + 59331092021*x^24 - 30394447849*x^23 - 99337655755*x^22 + 59427767206*x^21 + 130182776914*x^20 - 86307721102*x^19 - 132369554469*x^18 + 93607871401*x^17 + 103303281061*x^16 - 75344870565*x^15 - 61091142908*x^14 + 44333678118*x^13 + 26960146146*x^12 - 18605478205*x^11 - 8703205646*x^10 + 5356793667*x^9 + 1995126849*x^8 - 991874929*x^7 - 308622511*x^6 + 104443416*x^5 + 29082495*x^4 - 4539883*x^3 - 1284462*x^2 - 23895*x + 3187, -x^47 + 4*x^46 + 62*x^45 - 261*x^44 - 1763*x^43 + 7895*x^42 + 30422*x^41 - 147017*x^40 - 354818*x^39 + 1887498*x^38 + 2942235*x^37 - 17732401*x^36 - 17685362*x^35 + 126274409*x^34 + 76273105*x^33 - 696694657*x^32 - 220455528*x^31 + 3018782507*x^30 + 301988085*x^29 - 10352340121*x^28 + 679973804*x^27 + 28189524990*x^26 - 5456146391*x^25 - 60926173534*x^24 + 17779017744*x^23 + 104132077465*x^22 - 38087952554*x^21 - 139791404672*x^20 + 58526213261*x^19 + 145955553173*x^18 - 66002680185*x^17 - 117005626368*x^16 + 54614454430*x^15 + 70873008595*x^14 - 32710511161*x^13 - 31812681286*x^12 + 13830154037*x^11 + 10331285736*x^10 - 3968820631*x^9 - 2350378406*x^8 + 724961507*x^7 + 355936056*x^6 - 74518707*x^5 - 32535845*x^4 + 3068483*x^3 + 1416288*x^2 + 28655*x - 8789, -x^47 + 4*x^46 + 62*x^45 - 260*x^44 - 1767*x^43 + 7838*x^42 + 30662*x^41 - 145538*x^40 - 361440*x^39 + 1864378*x^38 + 3053771*x^37 - 17489722*x^36 - 18969262*x^35 + 124472493*x^34 + 86989014*x^33 - 687012046*x^32 - 287603006*x^31 + 2981192174*x^30 + 624714346*x^29 - 10251079555*x^28 - 525243709*x^27 + 28029768895*x^26 - 1934599597*x^25 - 60940389041*x^24 + 9710863259*x^23 + 105014935373*x^22 - 23624168801*x^21 - 142584001621*x^20 + 38363997789*x^19 + 151235084815*x^18 - 44380839199*x^17 - 123935787920*x^16 + 37053207248*x^15 + 77398908057*x^14 - 22131736571*x^13 - 36201361962*x^12 + 9224114674*x^11 + 12386499216*x^10 - 2560108798*x^9 - 2993565264*x^8 + 431212644*x^7 + 482492319*x^6 - 34317718*x^5 - 46624585*x^4 - 253022*x^3 + 2102997*x^2 + 155492*x - 10760, x^46 - 5*x^45 - 56*x^44 + 314*x^43 + 1388*x^42 - 9093*x^41 - 19631*x^40 + 161112*x^39 + 165167*x^38 - 1954180*x^37 - 665417*x^36 + 17200680*x^35 - 2097497*x^34 - 113634443*x^33 + 52302211*x^32 + 574810247*x^31 - 416527463*x^30 - 2251040826*x^29 + 2126122653*x^28 + 6855174705*x^27 - 7814256911*x^26 - 16216535000*x^25 + 21523185260*x^24 + 29609554141*x^23 - 45110375314*x^22 - 41224860524*x^21 + 72199355648*x^20 + 42923322811*x^19 - 87921351965*x^18 - 32423258443*x^17 + 80735783615*x^16 + 16891008275*x^15 - 55146727342*x^14 - 5477969837*x^13 + 27499073805*x^12 + 789225865*x^11 - 9756242176*x^10 + 92982938*x^9 + 2372232307*x^8 - 47159466*x^7 - 372365019*x^6 + 1979088*x^5 + 33800190*x^4 + 1083376*x^3 - 1361927*x^2 - 120969*x + 3664, -x^45 + 3*x^44 + 62*x^43 - 189*x^42 - 1772*x^41 + 5504*x^40 + 30970*x^39 - 98354*x^38 - 370209*x^37 + 1207323*x^36 + 3206835*x^35 - 10799812*x^34 - 20801577*x^33 + 72880353*x^32 + 102933751*x^31 - 378954629*x^30 - 391930044*x^29 + 1537465905*x^28 + 1148489455*x^27 - 4898582613*x^26 - 2566700634*x^25 + 12276798605*x^24 + 4276946031*x^23 - 24139002686*x^22 - 5053656325*x^21 + 36991872726*x^20 + 3691915919*x^19 - 43715067465*x^18 - 664426456*x^17 + 39251521802*x^16 - 1848110603*x^15 - 26267683963*x^14 + 2318835573*x^13 + 12790576344*x^12 - 1390577728*x^11 - 4398167379*x^10 + 476770096*x^9 + 1026573724*x^8 - 89593718*x^7 - 153319347*x^6 + 6968351*x^5 + 13184738*x^4 + 208267*x^3 - 503362*x^2 - 45346*x + 614, x^45 - 5*x^44 - 56*x^43 + 312*x^42 + 1394*x^41 - 8969*x^40 - 20015*x^39 + 157610*x^38 + 176415*x^37 - 1894470*x^36 - 865599*x^35 + 16514282*x^34 + 325255*x^33 - 108011543*x^32 + 31158997*x^31 + 541016027*x^30 - 278887255*x^29 - 2100159674*x^28 + 1444101465*x^27 + 6355772261*x^26 - 5212533539*x^25 - 15016701722*x^24 + 13844221080*x^23 + 27642108433*x^22 - 27576116708*x^21 - 39457384738*x^20 + 41362003850*x^19 + 43402727921*x^18 - 46503107509*x^17 - 36541100529*x^16 + 38768810881*x^15 + 23387451353*x^14 - 23573709924*x^13 - 11285084665*x^12 + 10207288495*x^11 + 4042507371*x^10 - 3032725092*x^9 - 1041515622*x^8 + 580401011*x^7 + 181641938*x^6 - 63194107*x^5 - 19105808*x^4 + 2801210*x^3 + 925776*x^2 + 22593*x - 3521, -x^47 + 4*x^46 + 62*x^45 - 261*x^44 - 1764*x^43 + 7897*x^42 + 30483*x^41 - 147140*x^40 - 356523*x^39 + 1890968*x^38 + 2971187*x^37 - 17791969*x^36 - 18019247*x^35 + 126970499*x^34 + 79042485*x^33 - 702564514*x^32 - 237522549*x^31 + 3055736349*x^30 + 381588657*x^29 - 10529638299*x^28 + 396510837*x^27 + 28845743327*x^26 - 4684651461*x^25 - 62811622106*x^24 + 16185511675*x^23 + 108344405688*x^22 - 35634706162*x^21 - 147091244773*x^20 + 55815910304*x^19 + 155703182556*x^18 - 64038730630*x^17 - 126918521126*x^16 + 53951717319*x^15 + 78411320913*x^14 - 32976519854*x^13 - 35985483608*x^12 + 14266769347*x^11 + 11950984385*x^10 - 4192701045*x^9 - 2770070087*x^8 + 779868938*x^7 + 423910852*x^6 - 79653073*x^5 - 38704062*x^4 + 2867245*x^3 + 1641165*x^2 + 73198*x - 5270, -x^44 + 4*x^43 + 55*x^42 - 234*x^41 - 1369*x^40 + 6298*x^39 + 20299*x^38 - 103428*x^37 - 197850*x^36 + 1158851*x^35 + 1307916*x^34 - 9383251*x^33 - 5686883*x^32 + 56728619*x^31 + 13135198*x^30 - 260880764*x^29 + 13684341*x^28 + 920996603*x^27 - 256840912*x^26 - 2500711530*x^25 + 1172897599*x^24 + 5197538726*x^23 - 3321642178*x^22 - 8172506557*x^21 + 6575427837*x^20 + 9524942008*x^19 - 9391344936*x^18 - 7960022048*x^17 + 9715327914*x^16 + 4507680572*x^15 - 7214412450*x^14 - 1537499751*x^13 + 3785238828*x^12 + 201371826*x^11 - 1375972032*x^10 + 51696691*x^9 + 337886819*x^8 - 23665071*x^7 - 53773899*x^6 + 2703285*x^5 + 5075354*x^4 + 61574*x^3 - 220568*x^2 - 20959*x + 307, -x^44 + 4*x^43 + 55*x^42 - 234*x^41 - 1369*x^40 + 6298*x^39 + 20299*x^38 - 103428*x^37 - 197850*x^36 + 1158851*x^35 + 1307916*x^34 - 9383251*x^33 - 5686883*x^32 + 56728619*x^31 + 13135198*x^30 - 260880764*x^29 + 13684341*x^28 + 920996603*x^27 - 256840912*x^26 - 2500711530*x^25 + 1172897599*x^24 + 5197538726*x^23 - 3321642178*x^22 - 8172506557*x^21 + 6575427837*x^20 + 9524942008*x^19 - 9391344936*x^18 - 7960022048*x^17 + 9715327914*x^16 + 4507680572*x^15 - 7214412450*x^14 - 1537499751*x^13 + 3785238828*x^12 + 201371826*x^11 - 1375972032*x^10 + 51696691*x^9 + 337886819*x^8 - 23665071*x^7 - 53773899*x^6 + 2703285*x^5 + 5075354*x^4 + 61574*x^3 - 220568*x^2 - 20959*x + 307, x^42 - 6*x^41 - 46*x^40 + 326*x^39 + 907*x^38 - 8123*x^37 - 9587*x^36 + 123228*x^35 + 49687*x^34 - 1274442*x^33 + 50473*x^32 + 9535949*x^31 - 2967622*x^30 - 53471413*x^29 + 25722573*x^28 + 229649264*x^27 - 134074017*x^26 - 765501155*x^25 + 489251776*x^24 + 1994208930*x^23 - 1315299884*x^22 - 4066380558*x^21 + 2660722163*x^20 + 6466546186*x^19 - 4079227829*x^18 - 7947634933*x^17 + 4729768751*x^16 + 7438908409*x^15 - 4104512751*x^14 - 5194281741*x^13 + 2615656884*x^12 + 2633793015*x^11 - 1189712164*x^10 - 936318117*x^9 + 370867212*x^8 + 222319827*x^7 - 74526245*x^6 - 32745222*x^5 + 8687764*x^4 + 2623422*x^3 - 464530*x^2 - 83568*x + 3787, x^42 - 6*x^41 - 46*x^40 + 326*x^39 + 907*x^38 - 8123*x^37 - 9587*x^36 + 123228*x^35 + 49687*x^34 - 1274442*x^33 + 50473*x^32 + 9535949*x^31 - 2967622*x^30 - 53471413*x^29 + 25722573*x^28 + 229649264*x^27 - 134074017*x^26 - 765501155*x^25 + 489251776*x^24 + 1994208930*x^23 - 1315299884*x^22 - 4066380558*x^21 + 2660722163*x^20 + 6466546186*x^19 - 4079227829*x^18 - 7947634933*x^17 + 4729768751*x^16 + 7438908409*x^15 - 4104512751*x^14 - 5194281741*x^13 + 2615656884*x^12 + 2633793015*x^11 - 1189712164*x^10 - 936318117*x^9 + 370867212*x^8 + 222319827*x^7 - 74526245*x^6 - 32745222*x^5 + 8687764*x^4 + 2623422*x^3 - 464530*x^2 - 83568*x + 3787, -2*x^43 + 8*x^42 + 110*x^41 - 464*x^40 - 2755*x^39 + 12393*x^38 + 41530*x^37 - 202238*x^36 - 419124*x^35 + 2256007*x^34 + 2973492*x^33 - 18237282*x^32 - 15080383*x^31 + 110518000*x^30 + 53860773*x^29 - 512360391*x^28 - 124882408*x^27 + 1838441349*x^26 + 120198599*x^25 - 5133789229*x^24 + 338206268*x^23 + 11163664592*x^22 - 1800253610*x^21 - 18836296092*x^20 + 4291210011*x^19 + 24476305149*x^18 - 6604988290*x^17 - 24217992341*x^16 + 7015655718*x^15 + 17971225216*x^14 - 5178174067*x^13 - 9811026327*x^12 + 2600911369*x^11 + 3846254854*x^10 - 848788475*x^9 - 1047729293*x^8 + 164300078*x^7 + 188285301*x^6 - 14919324*x^5 - 20249147*x^4 - 18227*x^3 + 1032052*x^2 + 66995*x - 7829, -2*x^43 + 8*x^42 + 110*x^41 - 464*x^40 - 2755*x^39 + 12393*x^38 + 41530*x^37 - 202238*x^36 - 419124*x^35 + 2256007*x^34 + 2973492*x^33 - 18237282*x^32 - 15080383*x^31 + 110518000*x^30 + 53860773*x^29 - 512360391*x^28 - 124882408*x^27 + 1838441349*x^26 + 120198599*x^25 - 5133789229*x^24 + 338206268*x^23 + 11163664592*x^22 - 1800253610*x^21 - 18836296092*x^20 + 4291210011*x^19 + 24476305149*x^18 - 6604988290*x^17 - 24217992341*x^16 + 7015655718*x^15 + 17971225216*x^14 - 5178174067*x^13 - 9811026327*x^12 + 2600911369*x^11 + 3846254854*x^10 - 848788475*x^9 - 1047729293*x^8 + 164300078*x^7 + 188285301*x^6 - 14919324*x^5 - 20249147*x^4 - 18227*x^3 + 1032052*x^2 + 66995*x - 7829, -x^45 + 4*x^44 + 59*x^43 - 250*x^42 - 1588*x^41 + 7223*x^40 + 25753*x^39 - 128044*x^38 - 279463*x^37 + 1558887*x^36 + 2123212*x^35 - 13824156*x^34 - 11383383*x^33 + 92420088*x^32 + 41301464*x^31 - 475621664*x^30 - 82069509*x^29 + 1907497535*x^28 - 62094530*x^27 - 5998953341*x^26 + 1127383162*x^25 + 14816477270*x^24 - 4528325669*x^23 - 28667557025*x^22 + 11272431363*x^21 + 43189870651*x^20 - 19665025846*x^19 - 50193689628*x^18 + 24818860570*x^17 + 44438605220*x^16 - 22730632124*x^15 - 29508442571*x^14 + 14928394534*x^13 + 14418941177*x^12 - 6862822124*x^11 - 5061163898*x^10 + 2122189437*x^9 + 1234340523*x^8 - 412333648*x^7 - 198453678*x^6 + 43903692*x^5 + 19037215*x^4 - 1691610*x^3 - 846175*x^2 - 36393*x + 2635, -x^45 + 4*x^44 + 59*x^43 - 250*x^42 - 1588*x^41 + 7223*x^40 + 25753*x^39 - 128044*x^38 - 279463*x^37 + 1558887*x^36 + 2123212*x^35 - 13824156*x^34 - 11383383*x^33 + 92420088*x^32 + 41301464*x^31 - 475621664*x^30 - 82069509*x^29 + 1907497535*x^28 - 62094530*x^27 - 5998953341*x^26 + 1127383162*x^25 + 14816477270*x^24 - 4528325669*x^23 - 28667557025*x^22 + 11272431363*x^21 + 43189870651*x^20 - 19665025846*x^19 - 50193689628*x^18 + 24818860570*x^17 + 44438605220*x^16 - 22730632124*x^15 - 29508442571*x^14 + 14928394534*x^13 + 14418941177*x^12 - 6862822124*x^11 - 5061163898*x^10 + 2122189437*x^9 + 1234340523*x^8 - 412333648*x^7 - 198453678*x^6 + 43903692*x^5 + 19037215*x^4 - 1691610*x^3 - 846175*x^2 - 36393*x + 2635, -x^41 + 67*x^39 - 19*x^38 - 2023*x^37 + 1029*x^36 + 36551*x^35 - 25232*x^34 - 442289*x^33 + 371303*x^32 + 3799526*x^31 - 3663937*x^30 - 23956393*x^29 + 25659160*x^28 + 112999320*x^27 - 131647653*x^26 - 402625976*x^25 + 503656060*x^24 + 1086416693*x^23 - 1448917371*x^22 - 2211816096*x^21 + 3138776965*x^20 + 3364114298*x^19 - 5097693769*x^18 - 3759076538*x^17 + 6146508855*x^16 + 3008448002*x^15 - 5418546984*x^14 - 1660788332*x^13 + 3418321565*x^12 + 597437650*x^11 - 1498705220*x^10 - 128131275*x^9 + 438509317*x^8 + 14541987*x^7 - 80565363*x^6 - 1174122*x^5 + 8350561*x^4 + 235534*x^3 - 381826*x^2 - 27208*x + 2254, -x^41 + 67*x^39 - 19*x^38 - 2023*x^37 + 1029*x^36 + 36551*x^35 - 25232*x^34 - 442289*x^33 + 371303*x^32 + 3799526*x^31 - 3663937*x^30 - 23956393*x^29 + 25659160*x^28 + 112999320*x^27 - 131647653*x^26 - 402625976*x^25 + 503656060*x^24 + 1086416693*x^23 - 1448917371*x^22 - 2211816096*x^21 + 3138776965*x^20 + 3364114298*x^19 - 5097693769*x^18 - 3759076538*x^17 + 6146508855*x^16 + 3008448002*x^15 - 5418546984*x^14 - 1660788332*x^13 + 3418321565*x^12 + 597437650*x^11 - 1498705220*x^10 - 128131275*x^9 + 438509317*x^8 + 14541987*x^7 - 80565363*x^6 - 1174122*x^5 + 8350561*x^4 + 235534*x^3 - 381826*x^2 - 27208*x + 2254, x^44 - 3*x^43 - 61*x^42 + 189*x^41 + 1695*x^40 - 5458*x^39 - 28403*x^38 + 95864*x^37 + 320049*x^36 - 1145715*x^35 - 2557126*x^34 + 9876013*x^33 + 14851529*x^32 - 63495767*x^31 - 62942674*x^30 + 310559730*x^29 + 190305763*x^28 - 1168069940*x^27 - 377012590*x^26 + 3392589282*x^25 + 317655271*x^24 - 7599255303*x^23 + 704178991*x^22 + 13045044816*x^21 - 3247658616*x^20 - 16968284135*x^19 + 6541403772*x^18 + 16448867337*x^17 - 8422928360*x^16 - 11620641325*x^15 + 7438677693*x^14 + 5813944967*x^13 - 4569767378*x^12 - 1988521640*x^11 + 1938359135*x^10 + 447301796*x^9 - 554076309*x^8 - 65403161*x^7 + 101594040*x^6 + 7158601*x^5 - 10802493*x^4 - 761638*x^3 + 518826*x^2 + 51954*x - 2561, x^44 - 3*x^43 - 61*x^42 + 189*x^41 + 1695*x^40 - 5458*x^39 - 28403*x^38 + 95864*x^37 + 320049*x^36 - 1145715*x^35 - 2557126*x^34 + 9876013*x^33 + 14851529*x^32 - 63495767*x^31 - 62942674*x^30 + 310559730*x^29 + 190305763*x^28 - 1168069940*x^27 - 377012590*x^26 + 3392589282*x^25 + 317655271*x^24 - 7599255303*x^23 + 704178991*x^22 + 13045044816*x^21 - 3247658616*x^20 - 16968284135*x^19 + 6541403772*x^18 + 16448867337*x^17 - 8422928360*x^16 - 11620641325*x^15 + 7438677693*x^14 + 5813944967*x^13 - 4569767378*x^12 - 1988521640*x^11 + 1938359135*x^10 + 447301796*x^9 - 554076309*x^8 - 65403161*x^7 + 101594040*x^6 + 7158601*x^5 - 10802493*x^4 - 761638*x^3 + 518826*x^2 + 51954*x - 2561, -x^44 + 5*x^43 + 51*x^42 - 288*x^41 - 1138*x^40 + 7608*x^39 + 14196*x^38 - 122198*x^37 - 100068*x^36 + 1333828*x^35 + 246081*x^34 - 10474834*x^33 + 2587295*x^32 + 61111659*x^31 - 34648603*x^30 - 269609087*x^29 + 221982133*x^28 + 906631247*x^27 - 948589317*x^26 - 2323651875*x^25 + 2927552778*x^24 + 4501646818*x^23 - 6711863419*x^22 - 6469346945*x^21 + 11529158435*x^20 + 6646460793*x^19 - 14805321360*x^18 - 4500841538*x^17 + 14076339226*x^16 + 1528796277*x^15 - 9750925463*x^14 + 302565040*x^13 + 4813088145*x^12 - 612020421*x^11 - 1643663023*x^10 + 306139062*x^9 + 372838588*x^8 - 78342659*x^7 - 52757171*x^6 + 10325130*x^5 + 4150337*x^4 - 556425*x^3 - 135953*x^2 + 1065*x - 167, -x^44 + 5*x^43 + 51*x^42 - 288*x^41 - 1138*x^40 + 7608*x^39 + 14196*x^38 - 122198*x^37 - 100068*x^36 + 1333828*x^35 + 246081*x^34 - 10474834*x^33 + 2587295*x^32 + 61111659*x^31 - 34648603*x^30 - 269609087*x^29 + 221982133*x^28 + 906631247*x^27 - 948589317*x^26 - 2323651875*x^25 + 2927552778*x^24 + 4501646818*x^23 - 6711863419*x^22 - 6469346945*x^21 + 11529158435*x^20 + 6646460793*x^19 - 14805321360*x^18 - 4500841538*x^17 + 14076339226*x^16 + 1528796277*x^15 - 9750925463*x^14 + 302565040*x^13 + 4813088145*x^12 - 612020421*x^11 - 1643663023*x^10 + 306139062*x^9 + 372838588*x^8 - 78342659*x^7 - 52757171*x^6 + 10325130*x^5 + 4150337*x^4 - 556425*x^3 - 135953*x^2 + 1065*x - 167, -x^43 + 4*x^42 + 58*x^41 - 248*x^40 - 1513*x^39 + 7035*x^38 + 23388*x^37 - 121206*x^36 - 236672*x^35 + 1419495*x^34 + 1620803*x^33 - 11980795*x^32 - 7322278*x^31 + 75374178*x^30 + 18129460*x^29 - 360548882*x^28 + 10813499*x^27 + 1325628828*x^26 - 309425824*x^25 - 3762244109*x^24 + 1464479048*x^23 + 8233251987*x^22 - 4194442590*x^21 - 13813376261*x^20 + 8304902348*x^19 + 17591678006*x^18 - 11757128755*x^17 - 16776011422*x^16 + 11934748367*x^15 + 11787163846*x^14 - 8576091616*x^13 - 5997415604*x^12 + 4256903449*x^11 + 2170846580*x^10 - 1405565046*x^9 - 546425329*x^8 + 290293031*x^7 + 91611746*x^6 - 33277562*x^5 - 9243918*x^4 + 1526903*x^3 + 423516*x^2 + 12065*x - 140, -x^43 + 4*x^42 + 58*x^41 - 248*x^40 - 1513*x^39 + 7035*x^38 + 23388*x^37 - 121206*x^36 - 236672*x^35 + 1419495*x^34 + 1620803*x^33 - 11980795*x^32 - 7322278*x^31 + 75374178*x^30 + 18129460*x^29 - 360548882*x^28 + 10813499*x^27 + 1325628828*x^26 - 309425824*x^25 - 3762244109*x^24 + 1464479048*x^23 + 8233251987*x^22 - 4194442590*x^21 - 13813376261*x^20 + 8304902348*x^19 + 17591678006*x^18 - 11757128755*x^17 - 16776011422*x^16 + 11934748367*x^15 + 11787163846*x^14 - 8576091616*x^13 - 5997415604*x^12 + 4256903449*x^11 + 2170846580*x^10 - 1405565046*x^9 - 546425329*x^8 + 290293031*x^7 + 91611746*x^6 - 33277562*x^5 - 9243918*x^4 + 1526903*x^3 + 423516*x^2 + 12065*x - 140, -x^43 + 3*x^42 + 62*x^41 - 192*x^40 - 1751*x^39 + 5624*x^38 + 29855*x^37 - 100091*x^36 - 343199*x^35 + 1211376*x^34 + 2811450*x^33 - 10571607*x^32 - 16897110*x^31 + 68820104*x^30 + 75440576*x^29 - 341010594*x^28 - 249701222*x^27 + 1300861686*x^26 + 599916639*x^25 - 3839482090*x^24 - 983722854*x^23 + 8767129303*x^22 + 883737893*x^21 - 15418675899*x^20 + 239702555*x^19 + 20709122228*x^18 - 2058921043*x^17 - 20983486367*x^16 + 3248221539*x^15 + 15786508709*x^14 - 2903557414*x^13 - 8645892655*x^12 + 1626640753*x^11 + 3361758542*x^10 - 567249280*x^9 - 895915648*x^8 + 114400702*x^7 + 154585456*x^6 - 10542448*x^5 - 15499490*x^4 - 78800*x^3 + 692260*x^2 + 58724*x - 1832, -x^43 + 3*x^42 + 62*x^41 - 192*x^40 - 1751*x^39 + 5624*x^38 + 29855*x^37 - 100091*x^36 - 343199*x^35 + 1211376*x^34 + 2811450*x^33 - 10571607*x^32 - 16897110*x^31 + 68820104*x^30 + 75440576*x^29 - 341010594*x^28 - 249701222*x^27 + 1300861686*x^26 + 599916639*x^25 - 3839482090*x^24 - 983722854*x^23 + 8767129303*x^22 + 883737893*x^21 - 15418675899*x^20 + 239702555*x^19 + 20709122228*x^18 - 2058921043*x^17 - 20983486367*x^16 + 3248221539*x^15 + 15786508709*x^14 - 2903557414*x^13 - 8645892655*x^12 + 1626640753*x^11 + 3361758542*x^10 - 567249280*x^9 - 895915648*x^8 + 114400702*x^7 + 154585456*x^6 - 10542448*x^5 - 15499490*x^4 - 78800*x^3 + 692260*x^2 + 58724*x - 1832, -x^44 + 4*x^43 + 55*x^42 - 236*x^41 - 1362*x^40 + 6401*x^39 + 19930*x^38 - 105848*x^37 - 188958*x^36 + 1193238*x^35 + 1178064*x^34 - 9713549*x^33 - 4402648*x^32 + 58999784*x^31 + 4030008*x^30 - 272436062*x^29 + 61466425*x^28 + 965391110*x^27 - 445800301*x^26 - 2631276014*x^25 + 1741041558*x^24 + 5494833395*x^23 - 4623558277*x^22 - 8703158880*x^21 + 8843493489*x^20 + 10278111288*x^19 - 12376120270*x^18 - 8818277037*x^17 + 12653863733*x^16 + 5284646576*x^15 - 9348567246*x^14 - 2071937180*x^13 + 4902801317*x^12 + 459796603*x^11 - 1780694204*x^10 - 27066786*x^9 + 431904171*x^8 - 11465339*x^7 - 65883406*x^6 + 2576167*x^5 + 5653569*x^4 - 137743*x^3 - 212678*x^2 - 4904*x + 1420, -x^44 + 4*x^43 + 55*x^42 - 236*x^41 - 1362*x^40 + 6401*x^39 + 19930*x^38 - 105848*x^37 - 188958*x^36 + 1193238*x^35 + 1178064*x^34 - 9713549*x^33 - 4402648*x^32 + 58999784*x^31 + 4030008*x^30 - 272436062*x^29 + 61466425*x^28 + 965391110*x^27 - 445800301*x^26 - 2631276014*x^25 + 1741041558*x^24 + 5494833395*x^23 - 4623558277*x^22 - 8703158880*x^21 + 8843493489*x^20 + 10278111288*x^19 - 12376120270*x^18 - 8818277037*x^17 + 12653863733*x^16 + 5284646576*x^15 - 9348567246*x^14 - 2071937180*x^13 + 4902801317*x^12 + 459796603*x^11 - 1780694204*x^10 - 27066786*x^9 + 431904171*x^8 - 11465339*x^7 - 65883406*x^6 + 2576167*x^5 + 5653569*x^4 - 137743*x^3 - 212678*x^2 - 4904*x + 1420, -x^46 + 4*x^45 + 60*x^44 - 253*x^43 - 1645*x^42 + 7398*x^41 + 27239*x^40 - 132744*x^39 - 302912*x^38 + 1635990*x^37 + 2372829*x^36 - 14688466*x^35 - 13271984*x^34 + 99436987*x^33 + 51698069*x^32 - 518283280*x^31 - 123747804*x^30 + 2105593574*x^29 + 55968078*x^28 - 6708966817*x^27 + 916354413*x^26 + 16788392228*x^25 - 4418115821*x^24 - 32903472253*x^23 + 11880480153*x^22 + 50177330395*x^21 - 21839748643*x^20 - 58933058119*x^19 + 28786275033*x^18 + 52572323158*x^17 - 27418952392*x^16 - 34999598182*x^15 + 18671490650*x^14 + 17019489432*x^13 - 8868750084*x^12 - 5887444777*x^11 + 2819971494*x^10 + 1399075949*x^9 - 559698522*x^8 - 216544733*x^7 + 60311853*x^6 + 19694050*x^5 - 2310461*x^4 - 783069*x^3 - 51251*x^2 - 4372*x - 101, -x^46 + 4*x^45 + 60*x^44 - 253*x^43 - 1645*x^42 + 7398*x^41 + 27239*x^40 - 132744*x^39 - 302912*x^38 + 1635990*x^37 + 2372829*x^36 - 14688466*x^35 - 13271984*x^34 + 99436987*x^33 + 51698069*x^32 - 518283280*x^31 - 123747804*x^30 + 2105593574*x^29 + 55968078*x^28 - 6708966817*x^27 + 916354413*x^26 + 16788392228*x^25 - 4418115821*x^24 - 32903472253*x^23 + 11880480153*x^22 + 50177330395*x^21 - 21839748643*x^20 - 58933058119*x^19 + 28786275033*x^18 + 52572323158*x^17 - 27418952392*x^16 - 34999598182*x^15 + 18671490650*x^14 + 17019489432*x^13 - 8868750084*x^12 - 5887444777*x^11 + 2819971494*x^10 + 1399075949*x^9 - 559698522*x^8 - 216544733*x^7 + 60311853*x^6 + 19694050*x^5 - 2310461*x^4 - 783069*x^3 - 51251*x^2 - 4372*x - 101, -x^44 + 4*x^43 + 56*x^42 - 240*x^41 - 1413*x^40 + 6618*x^39 + 21098*x^38 - 111221*x^37 - 204765*x^36 + 1273727*x^35 + 1317508*x^34 - 10528738*x^33 - 5229434*x^32 + 64907101*x^31 + 7218533*x^30 - 304039881*x^29 + 55087354*x^28 + 1092276850*x^27 - 452754371*x^26 - 3015618637*x^25 + 1842370149*x^24 + 6368590362*x^23 - 5016579535*x^22 - 10166291136*x^21 + 9780727628*x^20 + 12006663269*x^19 - 13907520586*x^18 - 10109523826*x^17 + 14402739145*x^16 + 5650081445*x^15 - 10724753937*x^14 - 1726081610*x^13 + 5619935337*x^12 - 3534823*x^11 - 2010581059*x^10 + 223514120*x^9 + 470739703*x^8 - 84547020*x^7 - 67772366*x^6 + 13920222*x^5 + 5421762*x^4 - 955273*x^3 - 196667*x^2 + 13719*x + 1453, -x^44 + 4*x^43 + 56*x^42 - 240*x^41 - 1413*x^40 + 6618*x^39 + 21098*x^38 - 111221*x^37 - 204765*x^36 + 1273727*x^35 + 1317508*x^34 - 10528738*x^33 - 5229434*x^32 + 64907101*x^31 + 7218533*x^30 - 304039881*x^29 + 55087354*x^28 + 1092276850*x^27 - 452754371*x^26 - 3015618637*x^25 + 1842370149*x^24 + 6368590362*x^23 - 5016579535*x^22 - 10166291136*x^21 + 9780727628*x^20 + 12006663269*x^19 - 13907520586*x^18 - 10109523826*x^17 + 14402739145*x^16 + 5650081445*x^15 - 10724753937*x^14 - 1726081610*x^13 + 5619935337*x^12 - 3534823*x^11 - 2010581059*x^10 + 223514120*x^9 + 470739703*x^8 - 84547020*x^7 - 67772366*x^6 + 13920222*x^5 + 5421762*x^4 - 955273*x^3 - 196667*x^2 + 13719*x + 1453, x^44 - 4*x^43 - 58*x^42 + 246*x^41 + 1526*x^40 - 6963*x^39 - 24028*x^38 + 120373*x^37 + 250903*x^36 - 1422187*x^35 - 1809484*x^34 + 12174483*x^33 + 8978487*x^32 - 78106987*x^31 - 28207304*x^30 + 383170454*x^29 + 32189393*x^28 - 1453573767*x^27 + 184202412*x^26 + 4284775852*x^25 - 1245205232*x^24 - 9811716663*x^23 + 4120063323*x^22 + 17371448659*x^21 - 9077335493*x^20 - 23570903224*x^19 + 14227671877*x^18 + 24203667614*x^17 - 16124059894*x^16 - 18507536838*x^15 + 13168478356*x^14 + 10338684916*x^13 - 7638154571*x^12 - 4128963412*x^11 + 3072161948*x^10 + 1151313314*x^9 - 827064928*x^8 - 218338170*x^7 + 141124489*x^6 + 27175561*x^5 - 13873992*x^4 - 2049975*x^3 + 633989*x^2 + 72103*x - 5240, x^44 - 4*x^43 - 58*x^42 + 246*x^41 + 1526*x^40 - 6963*x^39 - 24028*x^38 + 120373*x^37 + 250903*x^36 - 1422187*x^35 - 1809484*x^34 + 12174483*x^33 + 8978487*x^32 - 78106987*x^31 - 28207304*x^30 + 383170454*x^29 + 32189393*x^28 - 1453573767*x^27 + 184202412*x^26 + 4284775852*x^25 - 1245205232*x^24 - 9811716663*x^23 + 4120063323*x^22 + 17371448659*x^21 - 9077335493*x^20 - 23570903224*x^19 + 14227671877*x^18 + 24203667614*x^17 - 16124059894*x^16 - 18507536838*x^15 + 13168478356*x^14 + 10338684916*x^13 - 7638154571*x^12 - 4128963412*x^11 + 3072161948*x^10 + 1151313314*x^9 - 827064928*x^8 - 218338170*x^7 + 141124489*x^6 + 27175561*x^5 - 13873992*x^4 - 2049975*x^3 + 633989*x^2 + 72103*x - 5240, x^43 - 2*x^42 - 64*x^41 + 131*x^40 + 1876*x^39 - 3935*x^38 - 33385*x^37 + 71908*x^36 + 403070*x^35 - 894264*x^34 - 3494282*x^33 + 8021719*x^32 + 22447602*x^31 - 53671054*x^30 - 108669817*x^29 + 273181393*x^28 + 398929413*x^27 - 1069247123*x^26 - 1107032904*x^25 + 3231763087*x^24 + 2289550304*x^23 - 7533751845*x^22 - 3419101092*x^21 + 13463904642*x^20 + 3431487693*x^19 - 18251486031*x^18 - 1837401171*x^17 + 18485064781*x^16 - 292439408*x^15 - 13717311267*x^14 + 1360169674*x^13 + 7282341703*x^12 - 1108662989*x^11 - 2685593260*x^10 + 474576978*x^9 + 661125375*x^8 - 114093244*x^7 - 102044724*x^6 + 14019413*x^5 + 8760617*x^4 - 568950*x^3 - 303530*x^2 - 18786*x - 1379, x^43 - 2*x^42 - 64*x^41 + 131*x^40 + 1876*x^39 - 3935*x^38 - 33385*x^37 + 71908*x^36 + 403070*x^35 - 894264*x^34 - 3494282*x^33 + 8021719*x^32 + 22447602*x^31 - 53671054*x^30 - 108669817*x^29 + 273181393*x^28 + 398929413*x^27 - 1069247123*x^26 - 1107032904*x^25 + 3231763087*x^24 + 2289550304*x^23 - 7533751845*x^22 - 3419101092*x^21 + 13463904642*x^20 + 3431487693*x^19 - 18251486031*x^18 - 1837401171*x^17 + 18485064781*x^16 - 292439408*x^15 - 13717311267*x^14 + 1360169674*x^13 + 7282341703*x^12 - 1108662989*x^11 - 2685593260*x^10 + 474576978*x^9 + 661125375*x^8 - 114093244*x^7 - 102044724*x^6 + 14019413*x^5 + 8760617*x^4 - 568950*x^3 - 303530*x^2 - 18786*x - 1379, x^45 - 3*x^44 - 62*x^43 + 190*x^42 + 1765*x^41 - 5543*x^40 - 30605*x^39 + 98892*x^38 + 361557*x^37 - 1208036*x^36 - 3083424*x^35 + 10720590*x^34 + 19620253*x^33 - 71567959*x^32 - 94926225*x^31 + 367198406*x^30 + 352446993*x^29 - 1466973906*x^28 - 1005591267*x^27 + 4595910422*x^26 + 2190189330*x^25 - 11320270166*x^24 - 3579580243*x^23 + 21894096545*x^22 + 4237823034*x^21 - 33092910940*x^20 - 3356630107*x^19 + 38779581197*x^18 + 1362107744*x^17 - 34835474857*x^16 + 292208692*x^15 + 23635768985*x^14 - 735655311*x^13 - 11886520227*x^12 + 413229109*x^11 + 4322607220*x^10 - 92335170*x^9 - 1097395748*x^8 - 6632543*x^7 + 183729570*x^6 + 7923316*x^5 - 18210019*x^4 - 1535646*x^3 + 820014*x^2 + 99793*x - 2408, x^45 - 3*x^44 - 62*x^43 + 190*x^42 + 1765*x^41 - 5543*x^40 - 30605*x^39 + 98892*x^38 + 361557*x^37 - 1208036*x^36 - 3083424*x^35 + 10720590*x^34 + 19620253*x^33 - 71567959*x^32 - 94926225*x^31 + 367198406*x^30 + 352446993*x^29 - 1466973906*x^28 - 1005591267*x^27 + 4595910422*x^26 + 2190189330*x^25 - 11320270166*x^24 - 3579580243*x^23 + 21894096545*x^22 + 4237823034*x^21 - 33092910940*x^20 - 3356630107*x^19 + 38779581197*x^18 + 1362107744*x^17 - 34835474857*x^16 + 292208692*x^15 + 23635768985*x^14 - 735655311*x^13 - 11886520227*x^12 + 413229109*x^11 + 4322607220*x^10 - 92335170*x^9 - 1097395748*x^8 - 6632543*x^7 + 183729570*x^6 + 7923316*x^5 - 18210019*x^4 - 1535646*x^3 + 820014*x^2 + 99793*x - 2408, -x^43 + 5*x^42 + 49*x^41 - 277*x^40 - 1045*x^39 + 7013*x^38 + 12342*x^37 - 107479*x^36 - 80310*x^35 + 1113097*x^34 + 144708*x^33 - 8232449*x^32 + 2433524*x^31 + 44778040*x^30 - 27786931*x^29 - 181549772*x^28 + 162747014*x^27 + 549059774*x^26 - 638944260*x^25 - 1221619189*x^24 + 1799660915*x^23 + 1923843372*x^22 - 3717547915*x^21 - 1926254375*x^20 + 5647221124*x^19 + 705566440*x^18 - 6251597869*x^17 + 1117451971*x^16 + 4951912624*x^15 - 2155585072*x^14 - 2732608580*x^13 + 1854770215*x^12 + 1015084934*x^11 - 958022484*x^10 - 244728104*x^9 + 308944778*x^8 + 38036268*x^7 - 60383752*x^6 - 4375658*x^5 + 6491581*x^4 + 474911*x^3 - 294883*x^2 - 32973*x + 733, -x^43 + 5*x^42 + 49*x^41 - 277*x^40 - 1045*x^39 + 7013*x^38 + 12342*x^37 - 107479*x^36 - 80310*x^35 + 1113097*x^34 + 144708*x^33 - 8232449*x^32 + 2433524*x^31 + 44778040*x^30 - 27786931*x^29 - 181549772*x^28 + 162747014*x^27 + 549059774*x^26 - 638944260*x^25 - 1221619189*x^24 + 1799660915*x^23 + 1923843372*x^22 - 3717547915*x^21 - 1926254375*x^20 + 5647221124*x^19 + 705566440*x^18 - 6251597869*x^17 + 1117451971*x^16 + 4951912624*x^15 - 2155585072*x^14 - 2732608580*x^13 + 1854770215*x^12 + 1015084934*x^11 - 958022484*x^10 - 244728104*x^9 + 308944778*x^8 + 38036268*x^7 - 60383752*x^6 - 4375658*x^5 + 6491581*x^4 + 474911*x^3 - 294883*x^2 - 32973*x + 733, -x^44 + 5*x^43 + 53*x^42 - 298*x^41 - 1235*x^40 + 8153*x^39 + 16266*x^38 - 135823*x^37 - 125071*x^36 + 1540931*x^35 + 423276*x^34 - 12613472*x^33 + 2013276*x^32 + 76989491*x^31 - 36615184*x^30 - 357085148*x^29 + 257511157*x^28 + 1270543170*x^27 - 1174749140*x^26 - 3475948226*x^25 + 3842874842*x^24 + 7280776153*x^23 - 9325640614*x^22 - 11546973031*x^21 + 16969268773*x^20 + 13595814115*x^19 - 23122588297*x^18 - 11506460004*x^17 + 23372968604*x^16 + 6616508022*x^15 - 17251375009*x^14 - 2288215538*x^13 + 9099609628*x^12 + 284299002*x^11 - 3336630496*x^10 + 103159574*x^9 + 819615060*x^8 - 49528676*x^7 - 127718944*x^6 + 7864315*x^5 + 11532300*x^4 - 433705*x^3 - 503252*x^2 - 1834*x + 6154, -x^44 + 5*x^43 + 53*x^42 - 298*x^41 - 1235*x^40 + 8153*x^39 + 16266*x^38 - 135823*x^37 - 125071*x^36 + 1540931*x^35 + 423276*x^34 - 12613472*x^33 + 2013276*x^32 + 76989491*x^31 - 36615184*x^30 - 357085148*x^29 + 257511157*x^28 + 1270543170*x^27 - 1174749140*x^26 - 3475948226*x^25 + 3842874842*x^24 + 7280776153*x^23 - 9325640614*x^22 - 11546973031*x^21 + 16969268773*x^20 + 13595814115*x^19 - 23122588297*x^18 - 11506460004*x^17 + 23372968604*x^16 + 6616508022*x^15 - 17251375009*x^14 - 2288215538*x^13 + 9099609628*x^12 + 284299002*x^11 - 3336630496*x^10 + 103159574*x^9 + 819615060*x^8 - 49528676*x^7 - 127718944*x^6 + 7864315*x^5 + 11532300*x^4 - 433705*x^3 - 503252*x^2 - 1834*x + 6154, x^43 - 3*x^42 - 60*x^41 + 186*x^40 + 1637*x^39 - 5271*x^38 - 26913*x^37 + 90637*x^36 + 297688*x^35 - 1058480*x^34 - 2340815*x^33 + 8901728*x^32 + 13465070*x^31 - 55773356*x^30 - 57324507*x^29 + 265662733*x^28 + 179968066*x^27 - 973118033*x^26 - 406494482*x^25 + 2755393435*x^24 + 614269566*x^23 - 6032466568*x^22 - 466149620*x^21 + 10171929667*x^20 - 295346120*x^19 - 13110845607*x^18 + 1335436872*x^17 + 12779772104*x^16 - 1844999894*x^15 - 9295941823*x^14 + 1468974001*x^13 + 4968320148*x^12 - 714363791*x^11 - 1915189404*x^10 + 199203572*x^9 + 518407264*x^8 - 23159656*x^7 - 93843919*x^6 - 2188909*x^5 + 10243750*x^4 + 875448*x^3 - 516735*x^2 - 65301*x + 1675, x^43 - 3*x^42 - 60*x^41 + 186*x^40 + 1637*x^39 - 5271*x^38 - 26913*x^37 + 90637*x^36 + 297688*x^35 - 1058480*x^34 - 2340815*x^33 + 8901728*x^32 + 13465070*x^31 - 55773356*x^30 - 57324507*x^29 + 265662733*x^28 + 179968066*x^27 - 973118033*x^26 - 406494482*x^25 + 2755393435*x^24 + 614269566*x^23 - 6032466568*x^22 - 466149620*x^21 + 10171929667*x^20 - 295346120*x^19 - 13110845607*x^18 + 1335436872*x^17 + 12779772104*x^16 - 1844999894*x^15 - 9295941823*x^14 + 1468974001*x^13 + 4968320148*x^12 - 714363791*x^11 - 1915189404*x^10 + 199203572*x^9 + 518407264*x^8 - 23159656*x^7 - 93843919*x^6 - 2188909*x^5 + 10243750*x^4 + 875448*x^3 - 516735*x^2 - 65301*x + 1675, 2*x^41 - 5*x^40 - 114*x^39 + 289*x^38 + 2957*x^37 - 7616*x^36 - 46237*x^35 + 121324*x^34 + 486521*x^33 - 1305655*x^32 - 3640357*x^31 + 10046213*x^30 + 19946170*x^29 - 57039083*x^28 - 81145249*x^27 + 243097719*x^26 + 245668287*x^25 - 783498402*x^24 - 548766108*x^23 + 1909186485*x^22 + 885009446*x^21 - 3492783358*x^20 - 987855776*x^19 + 4732040664*x^18 + 700760572*x^17 - 4649283152*x^16 - 251670048*x^15 + 3217433804*x^14 - 577265*x^13 - 1507215759*x^12 + 17292171*x^11 + 451407247*x^10 + 14620007*x^9 - 78424199*x^8 - 13481907*x^7 + 6269292*x^6 + 3790925*x^5 - 10207*x^4 - 417340*x^3 - 20877*x^2 + 11968*x + 886, 2*x^41 - 5*x^40 - 114*x^39 + 289*x^38 + 2957*x^37 - 7616*x^36 - 46237*x^35 + 121324*x^34 + 486521*x^33 - 1305655*x^32 - 3640357*x^31 + 10046213*x^30 + 19946170*x^29 - 57039083*x^28 - 81145249*x^27 + 243097719*x^26 + 245668287*x^25 - 783498402*x^24 - 548766108*x^23 + 1909186485*x^22 + 885009446*x^21 - 3492783358*x^20 - 987855776*x^19 + 4732040664*x^18 + 700760572*x^17 - 4649283152*x^16 - 251670048*x^15 + 3217433804*x^14 - 577265*x^13 - 1507215759*x^12 + 17292171*x^11 + 451407247*x^10 + 14620007*x^9 - 78424199*x^8 - 13481907*x^7 + 6269292*x^6 + 3790925*x^5 - 10207*x^4 - 417340*x^3 - 20877*x^2 + 11968*x + 886, -2*x^43 + 6*x^42 + 117*x^41 - 359*x^40 - 3134*x^39 + 9885*x^38 + 50913*x^37 - 166156*x^36 - 559879*x^35 + 1907086*x^34 + 4402658*x^33 - 15839629*x^32 - 25471711*x^31 + 98435174*x^30 + 109683715*x^29 - 466792228*x^28 - 350238449*x^27 + 1707429511*x^26 + 808874839*x^25 - 4838019812*x^24 - 1254608105*x^23 + 10608815652*x^22 + 968677840*x^21 - 17900772176*x^20 + 723448941*x^19 + 23008223498*x^18 - 3275417358*x^17 - 22203218221*x^16 + 4853384657*x^15 + 15788112678*x^14 - 4285208505*x^13 - 8083227295*x^12 + 2439509359*x^11 + 2895771139*x^10 - 895504124*x^9 - 699056790*x^8 + 203587084*x^7 + 107574725*x^6 - 26081047*x^5 - 9584658*x^4 + 1490673*x^3 + 397657*x^2 - 11688*x - 2873, -2*x^43 + 6*x^42 + 117*x^41 - 359*x^40 - 3134*x^39 + 9885*x^38 + 50913*x^37 - 166156*x^36 - 559879*x^35 + 1907086*x^34 + 4402658*x^33 - 15839629*x^32 - 25471711*x^31 + 98435174*x^30 + 109683715*x^29 - 466792228*x^28 - 350238449*x^27 + 1707429511*x^26 + 808874839*x^25 - 4838019812*x^24 - 1254608105*x^23 + 10608815652*x^22 + 968677840*x^21 - 17900772176*x^20 + 723448941*x^19 + 23008223498*x^18 - 3275417358*x^17 - 22203218221*x^16 + 4853384657*x^15 + 15788112678*x^14 - 4285208505*x^13 - 8083227295*x^12 + 2439509359*x^11 + 2895771139*x^10 - 895504124*x^9 - 699056790*x^8 + 203587084*x^7 + 107574725*x^6 - 26081047*x^5 - 9584658*x^4 + 1490673*x^3 + 397657*x^2 - 11688*x - 2873, -2*x^43 + 8*x^42 + 109*x^41 - 463*x^40 - 2689*x^39 + 12311*x^38 + 39592*x^37 - 199493*x^36 - 385269*x^35 + 2203521*x^34 + 2578077*x^33 - 17580675*x^32 - 11799745*x^31 + 104750428*x^30 + 33852219*x^29 - 475314197*x^28 - 33467322*x^27 + 1660247816*x^26 - 195216443*x^25 - 4483624063*x^24 + 1159375497*x^23 + 9355582493*x^22 - 3397615714*x^21 - 15010987187*x^20 + 6565456635*x^19 + 18367189093*x^18 - 8889579479*x^17 - 16950740423*x^16 + 8528680221*x^15 + 11648392713*x^14 - 5740384712*x^13 - 5875917279*x^12 + 2642618561*x^11 + 2138325973*x^10 - 794781142*x^9 - 546749072*x^8 + 142863158*x^7 + 93455120*x^6 - 12169076*x^5 - 9590300*x^4 - 11741*x^3 + 443614*x^2 + 49501*x + 238, -2*x^43 + 8*x^42 + 109*x^41 - 463*x^40 - 2689*x^39 + 12311*x^38 + 39592*x^37 - 199493*x^36 - 385269*x^35 + 2203521*x^34 + 2578077*x^33 - 17580675*x^32 - 11799745*x^31 + 104750428*x^30 + 33852219*x^29 - 475314197*x^28 - 33467322*x^27 + 1660247816*x^26 - 195216443*x^25 - 4483624063*x^24 + 1159375497*x^23 + 9355582493*x^22 - 3397615714*x^21 - 15010987187*x^20 + 6565456635*x^19 + 18367189093*x^18 - 8889579479*x^17 - 16950740423*x^16 + 8528680221*x^15 + 11648392713*x^14 - 5740384712*x^13 - 5875917279*x^12 + 2642618561*x^11 + 2138325973*x^10 - 794781142*x^9 - 546749072*x^8 + 142863158*x^7 + 93455120*x^6 - 12169076*x^5 - 9590300*x^4 - 11741*x^3 + 443614*x^2 + 49501*x + 238, -x^45 + 4*x^44 + 60*x^43 - 251*x^42 - 1654*x^41 + 7296*x^40 + 27741*x^39 - 130421*x^38 - 315751*x^37 + 1605081*x^36 + 2572542*x^35 - 14426830*x^34 - 15385233*x^33 + 98035950*x^32 + 67817006*x^31 - 514377815*x^30 - 215380039*x^29 + 2109963386*x^28 + 451895851*x^27 - 6809732267*x^26 - 398090716*x^25 + 17319747167*x^24 - 1050149468*x^23 - 34628557653*x^22 + 5224338027*x^21 + 54089688073*x^20 - 11744854403*x^19 - 65363176460*x^18 + 17146494752*x^17 + 60299237375*x^16 - 17356377184*x^15 - 41757871859*x^14 + 12275828903*x^13 + 21263865602*x^12 - 5962654475*x^11 - 7758657988*x^10 + 1914747007*x^9 + 1957833220*x^8 - 378748217*x^7 - 323152866*x^6 + 39531315*x^5 + 31473952*x^4 - 1196860*x^3 - 1418548*x^2 - 69105*x + 8170, -x^45 + 4*x^44 + 60*x^43 - 251*x^42 - 1654*x^41 + 7296*x^40 + 27741*x^39 - 130421*x^38 - 315751*x^37 + 1605081*x^36 + 2572542*x^35 - 14426830*x^34 - 15385233*x^33 + 98035950*x^32 + 67817006*x^31 - 514377815*x^30 - 215380039*x^29 + 2109963386*x^28 + 451895851*x^27 - 6809732267*x^26 - 398090716*x^25 + 17319747167*x^24 - 1050149468*x^23 - 34628557653*x^22 + 5224338027*x^21 + 54089688073*x^20 - 11744854403*x^19 - 65363176460*x^18 + 17146494752*x^17 + 60299237375*x^16 - 17356377184*x^15 - 41757871859*x^14 + 12275828903*x^13 + 21263865602*x^12 - 5962654475*x^11 - 7758657988*x^10 + 1914747007*x^9 + 1957833220*x^8 - 378748217*x^7 - 323152866*x^6 + 39531315*x^5 + 31473952*x^4 - 1196860*x^3 - 1418548*x^2 - 69105*x + 8170, -x^45 + 4*x^44 + 58*x^43 - 246*x^42 - 1529*x^41 + 6977*x^40 + 24165*x^39 - 121087*x^38 - 253655*x^37 + 1438854*x^36 + 1840836*x^35 - 12410592*x^34 - 9189803*x^33 + 80375427*x^32 + 28890718*x^31 - 398811118*x^30 - 30639968*x^29 + 1533409918*x^28 - 215515242*x^27 - 4591400495*x^26 + 1436121286*x^25 + 10702954114*x^24 - 4848388123*x^23 - 19326189417*x^22 + 11023865884*x^21 + 26768658480*x^20 - 17995083825*x^19 - 28020053555*x^18 + 21437233041*x^17 + 21706790811*x^16 - 18586586596*x^15 - 12095647304*x^14 + 11565932174*x^13 + 4661370907*x^12 - 5047528068*x^11 - 1173551799*x^10 + 1494375102*x^9 + 176000453*x^8 - 285901437*x^7 - 13089140*x^6 + 32676931*x^5 + 278824*x^4 - 1922874*x^3 - 2112*x^2 + 40349*x + 619, -x^45 + 4*x^44 + 58*x^43 - 246*x^42 - 1529*x^41 + 6977*x^40 + 24165*x^39 - 121087*x^38 - 253655*x^37 + 1438854*x^36 + 1840836*x^35 - 12410592*x^34 - 9189803*x^33 + 80375427*x^32 + 28890718*x^31 - 398811118*x^30 - 30639968*x^29 + 1533409918*x^28 - 215515242*x^27 - 4591400495*x^26 + 1436121286*x^25 + 10702954114*x^24 - 4848388123*x^23 - 19326189417*x^22 + 11023865884*x^21 + 26768658480*x^20 - 17995083825*x^19 - 28020053555*x^18 + 21437233041*x^17 + 21706790811*x^16 - 18586586596*x^15 - 12095647304*x^14 + 11565932174*x^13 + 4661370907*x^12 - 5047528068*x^11 - 1173551799*x^10 + 1494375102*x^9 + 176000453*x^8 - 285901437*x^7 - 13089140*x^6 + 32676931*x^5 + 278824*x^4 - 1922874*x^3 - 2112*x^2 + 40349*x + 619, -x^45 + 4*x^44 + 58*x^43 - 244*x^42 - 1539*x^41 + 6875*x^40 + 24742*x^39 - 118830*x^38 - 268832*x^37 + 1411234*x^36 + 2082135*x^35 - 12223483*x^34 - 11782010*x^33 + 79991799*x^32 + 48814081*x^31 - 404252022*x^30 - 143788757*x^29 + 1598902659*x^28 + 268011128*x^27 - 4985779466*x^26 - 132475186*x^25 + 12288225494*x^24 - 978402999*x^23 - 23900288341*x^22 + 3792262704*x^21 + 36486525869*x^20 - 7856587421*x^19 - 43325809887*x^18 + 10926429745*x^17 + 39516579338*x^16 - 10678586538*x^15 - 27243857740*x^14 + 7337016328*x^13 + 13919869177*x^12 - 3464570533*x^11 - 5139848954*x^10 + 1073866792*x^9 + 1323961581*x^8 - 199673805*x^7 - 224871920*x^6 + 17634301*x^5 + 22684205*x^4 + 19820*x^3 - 1059339*x^2 - 78014*x + 5380, -x^45 + 4*x^44 + 58*x^43 - 244*x^42 - 1539*x^41 + 6875*x^40 + 24742*x^39 - 118830*x^38 - 268832*x^37 + 1411234*x^36 + 2082135*x^35 - 12223483*x^34 - 11782010*x^33 + 79991799*x^32 + 48814081*x^31 - 404252022*x^30 - 143788757*x^29 + 1598902659*x^28 + 268011128*x^27 - 4985779466*x^26 - 132475186*x^25 + 12288225494*x^24 - 978402999*x^23 - 23900288341*x^22 + 3792262704*x^21 + 36486525869*x^20 - 7856587421*x^19 - 43325809887*x^18 + 10926429745*x^17 + 39516579338*x^16 - 10678586538*x^15 - 27243857740*x^14 + 7337016328*x^13 + 13919869177*x^12 - 3464570533*x^11 - 5139848954*x^10 + 1073866792*x^9 + 1323961581*x^8 - 199673805*x^7 - 224871920*x^6 + 17634301*x^5 + 22684205*x^4 + 19820*x^3 - 1059339*x^2 - 78014*x + 5380, x^45 - 3*x^44 - 63*x^43 + 193*x^42 + 1825*x^41 - 5728*x^40 - 32248*x^39 + 104126*x^38 + 388749*x^37 - 1298145*x^36 - 3386966*x^35 + 11776439*x^34 + 22034248*x^33 - 80491566*x^32 - 108996321*x^31 + 423449575*x^30 + 413230934*x^29 - 1736744084*x^28 - 1199340078*x^27 + 5591172645*x^26 + 2633368970*x^25 - 14158247565*x^24 - 4247129523*x^23 + 28146006644*x^22 + 4681453634*x^21 - 43678948962*x^20 - 2732256536*x^19 + 52423949680*x^18 - 858523352*x^17 - 48027014297*x^16 + 3543522332*x^15 + 33008606909*x^14 - 3689150701*x^13 - 16646894605*x^12 + 2190425296*x^11 + 5986649030*x^10 - 802093227*x^9 - 1476462547*x^8 + 176111178*x^7 + 235459868*x^6 - 20564185*x^5 - 21932836*x^4 + 832160*x^3 + 957181*x^2 + 23802*x - 8408, x^45 - 3*x^44 - 63*x^43 + 193*x^42 + 1825*x^41 - 5728*x^40 - 32248*x^39 + 104126*x^38 + 388749*x^37 - 1298145*x^36 - 3386966*x^35 + 11776439*x^34 + 22034248*x^33 - 80491566*x^32 - 108996321*x^31 + 423449575*x^30 + 413230934*x^29 - 1736744084*x^28 - 1199340078*x^27 + 5591172645*x^26 + 2633368970*x^25 - 14158247565*x^24 - 4247129523*x^23 + 28146006644*x^22 + 4681453634*x^21 - 43678948962*x^20 - 2732256536*x^19 + 52423949680*x^18 - 858523352*x^17 - 48027014297*x^16 + 3543522332*x^15 + 33008606909*x^14 - 3689150701*x^13 - 16646894605*x^12 + 2190425296*x^11 + 5986649030*x^10 - 802093227*x^9 - 1476462547*x^8 + 176111178*x^7 + 235459868*x^6 - 20564185*x^5 - 21932836*x^4 + 832160*x^3 + 957181*x^2 + 23802*x - 8408, x^44 - 3*x^43 - 62*x^42 + 192*x^41 + 1754*x^40 - 5634*x^39 - 30013*x^38 + 100634*x^37 + 346986*x^36 - 1224878*x^35 - 2866046*x^34 + 10775207*x^33 + 17424146*x^32 - 70898680*x^31 - 79027631*x^30 + 356203090*x^29 + 267335555*x^28 - 1382860945*x^27 - 662876187*x^26 + 4171852163*x^25 + 1144750588*x^24 - 9786495920*x^23 - 1165649762*x^22 + 17785473349*x^21 + 54125499*x^20 - 24847235648*x^19 + 1995244897*x^18 + 26374302030*x^17 - 3554053253*x^16 - 20938250782*x^15 + 3399121422*x^14 + 12184242090*x^13 - 1999289890*x^12 - 5063429864*x^11 + 713950252*x^10 + 1449395332*x^9 - 137859702*x^8 - 270043706*x^7 + 8244069*x^6 + 29501899*x^5 + 1358749*x^4 - 1474688*x^3 - 185287*x^2 + 8396*x + 1519, x^44 - 3*x^43 - 62*x^42 + 192*x^41 + 1754*x^40 - 5634*x^39 - 30013*x^38 + 100634*x^37 + 346986*x^36 - 1224878*x^35 - 2866046*x^34 + 10775207*x^33 + 17424146*x^32 - 70898680*x^31 - 79027631*x^30 + 356203090*x^29 + 267335555*x^28 - 1382860945*x^27 - 662876187*x^26 + 4171852163*x^25 + 1144750588*x^24 - 9786495920*x^23 - 1165649762*x^22 + 17785473349*x^21 + 54125499*x^20 - 24847235648*x^19 + 1995244897*x^18 + 26374302030*x^17 - 3554053253*x^16 - 20938250782*x^15 + 3399121422*x^14 + 12184242090*x^13 - 1999289890*x^12 - 5063429864*x^11 + 713950252*x^10 + 1449395332*x^9 - 137859702*x^8 - 270043706*x^7 + 8244069*x^6 + 29501899*x^5 + 1358749*x^4 - 1474688*x^3 - 185287*x^2 + 8396*x + 1519, x^46 - 3*x^45 - 64*x^44 + 196*x^43 + 1888*x^42 - 5924*x^41 - 34054*x^40 + 109984*x^39 + 419973*x^38 - 1404534*x^37 - 3750459*x^36 + 13091183*x^35 + 25043425*x^34 - 92219179*x^33 - 127201900*x^32 + 501592853*x^31 + 494417298*x^30 - 2133736726*x^29 - 1463232585*x^28 + 7146841307*x^27 + 3230078107*x^26 - 18884711611*x^25 - 5041986102*x^24 + 39279847768*x^23 + 4699293805*x^22 - 63923429105*x^21 - 163096990*x^20 + 80595100980*x^19 - 7174540925*x^18 - 77658644224*x^17 + 12269190305*x^16 + 56194661092*x^15 - 11573454426*x^14 - 29884707284*x^13 + 6982286377*x^12 + 11374558724*x^11 - 2744644557*x^10 - 2994092876*x^9 + 685303468*x^8 + 519176437*x^7 - 101914793*x^6 - 54870519*x^5 + 7908098*x^4 + 3056340*x^3 - 233746*x^2 - 62758*x + 1042, x^46 - 3*x^45 - 64*x^44 + 196*x^43 + 1888*x^42 - 5924*x^41 - 34054*x^40 + 109984*x^39 + 419973*x^38 - 1404534*x^37 - 3750459*x^36 + 13091183*x^35 + 25043425*x^34 - 92219179*x^33 - 127201900*x^32 + 501592853*x^31 + 494417298*x^30 - 2133736726*x^29 - 1463232585*x^28 + 7146841307*x^27 + 3230078107*x^26 - 18884711611*x^25 - 5041986102*x^24 + 39279847768*x^23 + 4699293805*x^22 - 63923429105*x^21 - 163096990*x^20 + 80595100980*x^19 - 7174540925*x^18 - 77658644224*x^17 + 12269190305*x^16 + 56194661092*x^15 - 11573454426*x^14 - 29884707284*x^13 + 6982286377*x^12 + 11374558724*x^11 - 2744644557*x^10 - 2994092876*x^9 + 685303468*x^8 + 519176437*x^7 - 101914793*x^6 - 54870519*x^5 + 7908098*x^4 + 3056340*x^3 - 233746*x^2 - 62758*x + 1042, -x^44 + 3*x^43 + 60*x^42 - 181*x^41 - 1661*x^40 + 5039*x^39 + 28159*x^38 - 85915*x^37 - 327228*x^36 + 1004147*x^35 + 2764673*x^34 - 8532822*x^33 - 17577917*x^32 + 54565061*x^31 + 85889303*x^30 - 268143775*x^29 - 326570674*x^28 + 1025289472*x^27 + 972521244*x^26 - 3069819477*x^25 - 2272642451*x^24 + 7208692474*x^23 + 4159965266*x^22 - 13242380779*x^21 - 5936062810*x^20 + 18906341295*x^19 + 6558478594*x^18 - 20756008521*x^17 - 5570373349*x^16 + 17253869433*x^15 + 3619195461*x^14 - 10632036915*x^13 - 1798713321*x^12 + 4717427801*x^11 + 684984667*x^10 - 1446589616*x^9 - 196942618*x^8 + 288002613*x^7 + 40137444*x^6 - 33335448*x^5 - 5034175*x^4 + 1736230*x^3 + 288267*x^2 - 8728*x - 1352, -x^44 + 3*x^43 + 60*x^42 - 181*x^41 - 1661*x^40 + 5039*x^39 + 28159*x^38 - 85915*x^37 - 327228*x^36 + 1004147*x^35 + 2764673*x^34 - 8532822*x^33 - 17577917*x^32 + 54565061*x^31 + 85889303*x^30 - 268143775*x^29 - 326570674*x^28 + 1025289472*x^27 + 972521244*x^26 - 3069819477*x^25 - 2272642451*x^24 + 7208692474*x^23 + 4159965266*x^22 - 13242380779*x^21 - 5936062810*x^20 + 18906341295*x^19 + 6558478594*x^18 - 20756008521*x^17 - 5570373349*x^16 + 17253869433*x^15 + 3619195461*x^14 - 10632036915*x^13 - 1798713321*x^12 + 4717427801*x^11 + 684984667*x^10 - 1446589616*x^9 - 196942618*x^8 + 288002613*x^7 + 40137444*x^6 - 33335448*x^5 - 5034175*x^4 + 1736230*x^3 + 288267*x^2 - 8728*x - 1352, x^42 - 3*x^41 - 53*x^40 + 164*x^39 + 1268*x^38 - 4086*x^37 - 18054*x^36 + 61453*x^35 + 169409*x^34 - 622823*x^33 - 1090469*x^32 + 4495721*x^31 + 4797120*x^30 - 23809842*x^29 - 13316048*x^28 + 93869528*x^27 + 14053724*x^26 - 276382137*x^25 + 58952895*x^24 + 603359035*x^23 - 348368012*x^22 - 957420159*x^21 + 966915481*x^20 + 1060850416*x^19 - 1756875625*x^18 - 752960938*x^17 + 2246751538*x^16 + 261651673*x^15 - 2069774707*x^14 + 36171981*x^13 + 1380843123*x^12 - 66570517*x^11 - 661545275*x^10 + 14248103*x^9 + 221308366*x^8 + 5961834*x^7 - 48749807*x^6 - 3487172*x^5 + 6321533*x^4 + 626873*x^3 - 376762*x^2 - 39052*x + 3211, x^42 - 3*x^41 - 53*x^40 + 164*x^39 + 1268*x^38 - 4086*x^37 - 18054*x^36 + 61453*x^35 + 169409*x^34 - 622823*x^33 - 1090469*x^32 + 4495721*x^31 + 4797120*x^30 - 23809842*x^29 - 13316048*x^28 + 93869528*x^27 + 14053724*x^26 - 276382137*x^25 + 58952895*x^24 + 603359035*x^23 - 348368012*x^22 - 957420159*x^21 + 966915481*x^20 + 1060850416*x^19 - 1756875625*x^18 - 752960938*x^17 + 2246751538*x^16 + 261651673*x^15 - 2069774707*x^14 + 36171981*x^13 + 1380843123*x^12 - 66570517*x^11 - 661545275*x^10 + 14248103*x^9 + 221308366*x^8 + 5961834*x^7 - 48749807*x^6 - 3487172*x^5 + 6321533*x^4 + 626873*x^3 - 376762*x^2 - 39052*x + 3211, -x^44 + 3*x^43 + 59*x^42 - 177*x^41 - 1607*x^40 + 4805*x^39 + 26858*x^38 - 79661*x^37 - 308901*x^36 + 902840*x^35 + 2599706*x^34 - 7420256*x^33 - 16624189*x^32 + 45786935*x^31 + 82801271*x^30 - 216700323*x^29 - 326636861*x^28 + 796951601*x^27 + 1031495407*x^26 - 2294036243*x^25 - 2621727872*x^24 + 5182873559*x^23 + 5363846057*x^22 - 9180859791*x^21 - 8786212801*x^20 + 12689325881*x^19 + 11398195095*x^18 - 13560425699*x^17 - 11523575433*x^16 + 11042263482*x^15 + 8892357165*x^14 - 6703107862*x^13 - 5106476246*x^12 + 2937475652*x^11 + 2115523680*x^10 - 885999301*x^9 - 606913651*x^8 + 170298858*x^7 + 113488211*x^6 - 17928589*x^5 - 12463364*x^4 + 630541*x^3 + 638620*x^2 + 22895*x - 5618, -x^44 + 3*x^43 + 59*x^42 - 177*x^41 - 1607*x^40 + 4805*x^39 + 26858*x^38 - 79661*x^37 - 308901*x^36 + 902840*x^35 + 2599706*x^34 - 7420256*x^33 - 16624189*x^32 + 45786935*x^31 + 82801271*x^30 - 216700323*x^29 - 326636861*x^28 + 796951601*x^27 + 1031495407*x^26 - 2294036243*x^25 - 2621727872*x^24 + 5182873559*x^23 + 5363846057*x^22 - 9180859791*x^21 - 8786212801*x^20 + 12689325881*x^19 + 11398195095*x^18 - 13560425699*x^17 - 11523575433*x^16 + 11042263482*x^15 + 8892357165*x^14 - 6703107862*x^13 - 5106476246*x^12 + 2937475652*x^11 + 2115523680*x^10 - 885999301*x^9 - 606913651*x^8 + 170298858*x^7 + 113488211*x^6 - 17928589*x^5 - 12463364*x^4 + 630541*x^3 + 638620*x^2 + 22895*x - 5618, x^43 - 5*x^42 - 50*x^41 + 280*x^40 + 1105*x^39 - 7196*x^38 - 13984*x^37 + 112590*x^36 + 107443*x^35 - 1199693*x^34 - 446870*x^33 + 9227092*x^32 - 36291*x^31 - 52979060*x^30 + 13822188*x^29 + 231703114*x^28 - 102094895*x^27 - 780911549*x^26 + 441688194*x^25 + 2040061811*x^24 - 1322124461*x^23 - 4137903494*x^22 + 2873031484*x^21 + 6508175947*x^20 - 4600248076*x^19 - 7911654304*x^18 + 5427962313*x^17 + 7398391921*x^16 - 4678517345*x^15 - 5284174631*x^14 + 2899127763*x^13 + 2846293490*x^12 - 1258946282*x^11 - 1129610618*x^10 + 366317015*x^9 + 317872638*x^8 - 65378399*x^7 - 59773881*x^6 + 5762122*x^5 + 6798054*x^4 - 49184*x^3 - 376441*x^2 - 17753*x + 4198, x^43 - 5*x^42 - 50*x^41 + 280*x^40 + 1105*x^39 - 7196*x^38 - 13984*x^37 + 112590*x^36 + 107443*x^35 - 1199693*x^34 - 446870*x^33 + 9227092*x^32 - 36291*x^31 - 52979060*x^30 + 13822188*x^29 + 231703114*x^28 - 102094895*x^27 - 780911549*x^26 + 441688194*x^25 + 2040061811*x^24 - 1322124461*x^23 - 4137903494*x^22 + 2873031484*x^21 + 6508175947*x^20 - 4600248076*x^19 - 7911654304*x^18 + 5427962313*x^17 + 7398391921*x^16 - 4678517345*x^15 - 5284174631*x^14 + 2899127763*x^13 + 2846293490*x^12 - 1258946282*x^11 - 1129610618*x^10 + 366317015*x^9 + 317872638*x^8 - 65378399*x^7 - 59773881*x^6 + 5762122*x^5 + 6798054*x^4 - 49184*x^3 - 376441*x^2 - 17753*x + 4198, x^43 - 4*x^42 - 52*x^41 + 222*x^40 + 1218*x^39 - 5643*x^38 - 16925*x^37 + 87123*x^36 + 154193*x^35 - 913556*x^34 - 954167*x^33 + 6891845*x^32 + 3941756*x^31 - 38653175*x^30 - 9452376*x^29 + 164224659*x^28 + 1329445*x^27 - 533533580*x^26 + 89666745*x^25 + 1327904542*x^24 - 402960939*x^23 - 2518238632*x^22 + 1039326194*x^21 + 3586718293*x^20 - 1829870265*x^19 - 3728125977*x^18 + 2298951904*x^17 + 2664183287*x^16 - 2079756332*x^15 - 1111487116*x^14 + 1345248407*x^13 + 59802119*x^12 - 612266929*x^11 + 224386131*x^10 + 192440256*x^9 - 136922333*x^8 - 41229734*x^7 + 38993343*x^6 + 6017780*x^5 - 5684453*x^4 - 586295*x^3 + 358587*x^2 + 30295*x - 4097, x^43 - 4*x^42 - 52*x^41 + 222*x^40 + 1218*x^39 - 5643*x^38 - 16925*x^37 + 87123*x^36 + 154193*x^35 - 913556*x^34 - 954167*x^33 + 6891845*x^32 + 3941756*x^31 - 38653175*x^30 - 9452376*x^29 + 164224659*x^28 + 1329445*x^27 - 533533580*x^26 + 89666745*x^25 + 1327904542*x^24 - 402960939*x^23 - 2518238632*x^22 + 1039326194*x^21 + 3586718293*x^20 - 1829870265*x^19 - 3728125977*x^18 + 2298951904*x^17 + 2664183287*x^16 - 2079756332*x^15 - 1111487116*x^14 + 1345248407*x^13 + 59802119*x^12 - 612266929*x^11 + 224386131*x^10 + 192440256*x^9 - 136922333*x^8 - 41229734*x^7 + 38993343*x^6 + 6017780*x^5 - 5684453*x^4 - 586295*x^3 + 358587*x^2 + 30295*x - 4097, x^47 - 3*x^46 - 66*x^45 + 202*x^44 + 2013*x^43 - 6307*x^42 - 37644*x^41 + 121255*x^40 + 482826*x^39 - 1607552*x^38 - 4500765*x^37 + 15597364*x^36 + 31513815*x^35 - 114716208*x^34 - 168856401*x^33 + 653652378*x^32 + 698339844*x^31 - 2924384707*x^30 - 2228910512*x^29 + 10350559297*x^28 + 5435009452*x^27 - 29071794678*x^26 - 9865544402*x^25 + 64758365499*x^24 + 12526003571*x^23 - 113963532294*x^22 - 9082373658*x^21 + 157366960882*x^20 - 1085654282*x^19 - 168862175101*x^18 + 11765605913*x^17 + 139057150246*x^16 - 15409185450*x^15 - 86529083178*x^14 + 11407092389*x^13 + 39907973556*x^12 - 5348298962*x^11 - 13303349126*x^10 + 1579731865*x^9 + 3093034732*x^8 - 271393428*x^7 - 474059957*x^6 + 20548967*x^5 + 43199195*x^4 + 469740*x^3 - 1839953*x^2 - 122553*x + 10816, x^47 - 3*x^46 - 66*x^45 + 202*x^44 + 2013*x^43 - 6307*x^42 - 37644*x^41 + 121255*x^40 + 482826*x^39 - 1607552*x^38 - 4500765*x^37 + 15597364*x^36 + 31513815*x^35 - 114716208*x^34 - 168856401*x^33 + 653652378*x^32 + 698339844*x^31 - 2924384707*x^30 - 2228910512*x^29 + 10350559297*x^28 + 5435009452*x^27 - 29071794678*x^26 - 9865544402*x^25 + 64758365499*x^24 + 12526003571*x^23 - 113963532294*x^22 - 9082373658*x^21 + 157366960882*x^20 - 1085654282*x^19 - 168862175101*x^18 + 11765605913*x^17 + 139057150246*x^16 - 15409185450*x^15 - 86529083178*x^14 + 11407092389*x^13 + 39907973556*x^12 - 5348298962*x^11 - 13303349126*x^10 + 1579731865*x^9 + 3093034732*x^8 - 271393428*x^7 - 474059957*x^6 + 20548967*x^5 + 43199195*x^4 + 469740*x^3 - 1839953*x^2 - 122553*x + 10816]>
       ]
>;

MOG[997] := 	// J_0(997)
   rec<SupersingularModule | 
       MonodromyWeights   := [1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
       SupersingularBasis := rec<Eigen|
           DefiningPolynomial := x^2 + 2,
           Coordinates        := [6, 24, 133, 268, 613, 803, 996, 691*x + 609, 306*x + 609, 802*x + 944, 195*x + 944, 64*x + 757, 933*x + 757, 778*x + 251, 219*x + 251, 291*x + 264, 706*x + 264, 568*x + 879, 429*x + 879, 405*x + 744, 592*x + 744, 952*x + 264, 45*x + 264, 822*x + 642, 175*x + 642, 286*x + 295, 711*x + 295, 755*x + 609, 242*x + 609, 341*x + 741, 656*x + 741, 106*x + 81, 891*x + 81, 442*x + 981, 555*x + 981, 849*x + 390, 148*x + 390, 765*x + 445, 232*x + 445, 339*x + 696, 658*x + 696, 722*x + 591, 275*x + 591, 399*x + 362, 598*x + 362, 141*x + 921, 856*x + 921, 465*x + 10, 532*x + 10, 384*x + 899, 613*x + 899, 796*x + 552, 201*x + 552, 549*x + 800, 448*x + 800, 632*x + 241, 365*x + 241, 684*x + 863, 313*x + 863, 792*x + 58, 205*x + 58, 31*x + 883, 966*x + 883, 11*x + 463, 986*x + 463, 720*x + 85, 277*x + 85, 58*x + 130, 939*x + 130, 161*x + 698, 836*x + 698, 371*x + 620, 626*x + 620, 599*x + 608, 398*x + 608, 897*x + 734, 100*x + 734, 779*x + 790, 218*x + 790, 860*x + 139, 137*x + 139, 763*x + 942, 234*x + 942]>,
       Eigenvectors := [
         rec<Eigen |
           DefiningPolynomial := x,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 0, 0, 1, -1, -1, 1, -2, 2, 0, 0, 0, 0, 2, -2, 2, -2, 1, -1, -1, 1, 1, -1, -1, 1, -1, 1, -1, 1, 1, -1, 1, -1, 1, -1, -1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -2, 2, 0, 0, -1, 1, 0, 0, -1, 1, 0, 0, 1, -1, -1, 1, 2, -2, 1, -1, 0, 0, 0, 0, 1, -1, 1, -1, -1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x,
           Coordinates        := [-2, 0, 0, 0, 0, 0, 2, 0, 0, -1, -1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, -1, -1, 1, 1, -1, -1, -1, -1, -1, -1, 1, 1, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, -1, 0, 0, 1, 1, 0, 0, -1, -1, -1, -1, 0, 0, 1, 1, 0, 0, 0, 0, 1, 1, -1, -1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x + 2,
           Coordinates        := [2, 0, 0, 0, 0, 0, -2, 0, 0, -1, -1, 1, 1, 2, 2, 0, 0, -2, -2, 0, 0, -2, -2, -1, -1, 1, 1, 1, 1, -1, -1, 1, 1, 1, 1, 1, 1, -1, -1, -1, -1, -1, -1, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 1, 1, 0, 0, -1, -1, 0, 0, -1, -1, -1, -1, 0, 0, -1, -1, 0, 0, -2, -2, 1, 1, 1, 1, 1, 1]>,
         rec<Eigen |
           DefiningPolynomial := x^4 - 2*x^3 - x^2 + 2*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, x^2 - 4*x + 8, -x^2 + 4*x - 8, -x^2 + 3*x - 4, x^2 - 3*x + 4, x^3 - 2*x^2, -x^3 + 2*x^2, -1, 1, -x^2 + 3*x - 4, x^2 - 3*x + 4, 1, -1, x^3 - 3*x^2 + 4*x - 8, -x^3 + 3*x^2 - 4*x + 8, -x^3 + 3*x^2 - 3*x + 5, x^3 - 3*x^2 + 3*x - 5, -1, 1, -x + 3, x - 3, 0, 0, x - 3, -x + 3, 0, 0, x - 3, -x + 3, -x^3 + 2*x^2, x^3 - 2*x^2, 0, 0, -x + 3, x - 3, -1, 1, -x^3 + 3*x^2 - 3*x + 5, x^3 - 3*x^2 + 3*x - 5, x^2 - 3*x + 4, -x^2 + 3*x - 4, 0, 0, 0, 0, x^3 - 2*x^2 + x - 4, -x^3 + 2*x^2 - x + 4, -x^3 + 2*x^2 + 1, x^3 - 2*x^2 - 1, x - 3, -x + 3, -x^2 + 3*x - 4, x^2 - 3*x + 4, 0, 0, -x + 3, x - 3, -1, 1, 0, 0, 0, 0, 0, 0, 0, 0, x^2 - 3*x + 5, -x^2 + 3*x - 5, x^2 - 2*x + 1, -x^2 + 2*x - 1, -x^2 + 3*x - 4, x^2 - 3*x + 4, -x + 3, x - 3, -x^2 + 3*x - 4, x^2 - 3*x + 4]>,
         rec<Eigen |
           DefiningPolynomial := x^5 - 8*x^3 + 2*x^2 + 14*x - 8,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 1/2*x^3 + x^2 - 2*x, -1/2*x^3 - x^2 + 2*x, 1/2*x^3 + 3/2*x^2 + 1/2*x - 4, -1/2*x^3 - 3/2*x^2 - 1/2*x + 4, 1/2*x^4 + 1/2*x^3 - 7/2*x^2 - 1/2*x + 4, -1/2*x^4 - 1/2*x^3 + 7/2*x^2 + 1/2*x - 4, 1/2*x^4 + 1/2*x^3 - 3/2*x^2, -1/2*x^4 - 1/2*x^3 + 3/2*x^2, 1/2*x^3 + x^2 - 2*x, -1/2*x^3 - x^2 + 2*x, 1/2*x^4 - 1/2*x^3 - 5/2*x^2 + 3*x, -1/2*x^4 + 1/2*x^3 + 5/2*x^2 - 3*x, 1/2*x^3 - 4*x + 4, -1/2*x^3 + 4*x - 4, 1/2*x^4 + 1/2*x^3 - 3/2*x^2, -1/2*x^4 - 1/2*x^3 + 3/2*x^2, 3/2*x^3 - x^2 - 15/2*x + 8, -3/2*x^3 + x^2 + 15/2*x - 8, 1/2*x^4 + x^3 - 5/2*x^2 - 5/2*x + 4, -1/2*x^4 - x^3 + 5/2*x^2 + 5/2*x - 4, -x^4 + x^3 + 11/2*x^2 - 13/2*x, x^4 - x^3 - 11/2*x^2 + 13/2*x, -1/2*x^2 + 1/2*x, 1/2*x^2 - 1/2*x, 1/2*x^3 + 1/2*x^2 - 3/2*x, -1/2*x^3 - 1/2*x^2 + 3/2*x, 3/2*x^3 - 11/2*x + 4, -3/2*x^3 + 11/2*x - 4, x^4 - 7*x^2 + 1/2*x + 8, -x^4 + 7*x^2 - 1/2*x - 8, 1/2*x^4 + x^3 - 7/2*x^2 - 9/2*x + 8, -1/2*x^4 - x^3 + 7/2*x^2 + 9/2*x - 8, 1/2*x^4 - x^2 + 7/2*x - 4, -1/2*x^4 + x^2 - 7/2*x + 4, -1/2*x^4 - x^3 + 7/2*x^2 + 9/2*x - 8, 1/2*x^4 + x^3 - 7/2*x^2 - 9/2*x + 8, -1/2*x^4 - x^3 + 4*x^2 + 4*x - 8, 1/2*x^4 + x^3 - 4*x^2 - 4*x + 8, 1/2*x^4 - 7/2*x^2 + 4, -1/2*x^4 + 7/2*x^2 - 4, -1/2*x^4 - x^3 + 4*x^2 + 4*x - 8, 1/2*x^4 + x^3 - 4*x^2 - 4*x + 8, 1/2*x^3 + x^2 - 2*x, -1/2*x^3 - x^2 + 2*x, x^4 - x^3 - 5*x^2 + 6*x, -x^4 + x^3 + 5*x^2 - 6*x, 1/2*x^4 + 1/2*x^3 - 4*x^2 - 3*x + 8, -1/2*x^4 - 1/2*x^3 + 4*x^2 + 3*x - 8, x^4 + 1/2*x^3 - 13/2*x^2 - x + 8, -x^4 - 1/2*x^3 + 13/2*x^2 + x - 8, -1/2*x^4 + 3/2*x^3 + 4*x^2 - 13/2*x, 1/2*x^4 - 3/2*x^3 - 4*x^2 + 13/2*x, -x^4 - 3/2*x^3 + 7*x^2 + 5*x - 12, x^4 + 3/2*x^3 - 7*x^2 - 5*x + 12, x^4 - 8*x^2 - 3/2*x + 12, -x^4 + 8*x^2 + 3/2*x - 12, -x^4 + 1/2*x^3 + 6*x^2 - 3*x - 4, x^4 - 1/2*x^3 - 6*x^2 + 3*x + 4, 1/2*x^3 - 1/2*x^2 - 7/2*x + 4, -1/2*x^3 + 1/2*x^2 + 7/2*x - 4, -x^4 + 9/2*x^2 - 7/2*x, x^4 - 9/2*x^2 + 7/2*x, -1/2*x^3 + 4*x - 4, 1/2*x^3 - 4*x + 4, 1/2*x^3 - x^2 - 5/2*x + 4, -1/2*x^3 + x^2 + 5/2*x - 4, -x^4 + x^3 + 5*x^2 - 6*x, x^4 - x^3 - 5*x^2 + 6*x, x^3 - 1/2*x^2 - 4*x + 4, -x^3 + 1/2*x^2 + 4*x - 4, -x^3 - 3/2*x^2 + 7/2*x, x^3 + 3/2*x^2 - 7/2*x, x^3 - 2*x^2 - 11/2*x + 8, -x^3 + 2*x^2 + 11/2*x - 8, -1/2*x^2 + 1/2*x, 1/2*x^2 - 1/2*x]>,
         rec<Eigen |
           DefiningPolynomial := x^5 + 4*x^4 + x^3 - 9*x^2 - 5*x + 1,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, x^3 + 3*x^2 + x - 1, -x^3 - 3*x^2 - x + 1, x^4 + 4*x^3 + 4*x^2 + x + 1, -x^4 - 4*x^3 - 4*x^2 - x - 1, -x^3 - 3*x^2 - 2*x - 1, x^3 + 3*x^2 + 2*x + 1, x^3 + 4*x^2 + 4*x + 1, -x^3 - 4*x^2 - 4*x - 1, x^3 + 3*x^2 + x - 1, -x^3 - 3*x^2 - x + 1, -x^4 - 4*x^3 - 4*x^2 + x + 3, x^4 + 4*x^3 + 4*x^2 - x - 3, -x^2 - 3*x - 2, x^2 + 3*x + 2, -x - 2, x + 2, x + 1, -x - 1, -x - 2, x + 2, -2*x^3 - 5*x^2 + 2, 2*x^3 + 5*x^2 - 2, -x^2 - 3*x - 1, x^2 + 3*x + 1, -x^3 - 5*x^2 - 6*x, x^3 + 5*x^2 + 6*x, -1, 1, -x^3 - 3*x^2 - 2*x, x^3 + 3*x^2 + 2*x, 0, 0, -x^3 - 4*x^2 - 3*x + 1, x^3 + 4*x^2 + 3*x - 1, -x^4 - 3*x^3 - x^2 + x - 1, x^4 + 3*x^3 + x^2 - x + 1, x^2 + 3*x + 1, -x^2 - 3*x - 1, -x^3 - 3*x^2 - x + 1, x^3 + 3*x^2 + x - 1, -x^4 - 5*x^3 - 5*x^2 + 4*x + 3, x^4 + 5*x^3 + 5*x^2 - 4*x - 3, -x^2 - 3*x, x^2 + 3*x, x^2 + 3*x + 2, -x^2 - 3*x - 2, -x^2 - 2*x, x^2 + 2*x, x + 2, -x - 2, -x^4 - 4*x^3 - 2*x^2 + 5*x + 2, x^4 + 4*x^3 + 2*x^2 - 5*x - 2, x^4 + 3*x^3 - 4*x - 1, -x^4 - 3*x^3 + 4*x + 1, x^2 + 3*x + 1, -x^2 - 3*x - 1, -x^2 - 2*x + 1, x^2 + 2*x - 1, -x^4 - 3*x^3 + 4*x + 1, x^4 + 3*x^3 - 4*x - 1, 0, 0, -x^4 - 3*x^3 + 4*x + 1, x^4 + 3*x^3 - 4*x - 1, 0, 0, x^3 + 3*x^2 + 2*x + 1, -x^3 - 3*x^2 - 2*x - 1, x^2 + 2*x, -x^2 - 2*x, x^3 + 3*x^2 + x - 1, -x^3 - 3*x^2 - x + 1, 1, -1, -x^3 - 2*x^2 + x + 1, x^3 + 2*x^2 - x - 1]>,
         rec<Eigen |
           DefiningPolynomial := x^23 + 8*x^22 - 3*x^21 - 177*x^20 - 287*x^19 + 1480*x^18 + 4095*x^17 - 5315*x^16 - 24878*x^15 + 2949*x^14 + 79959*x^13 + 36510*x^12 - 139824*x^11 - 113488*x^10 + 126663*x^9 + 137856*x^8 - 55442*x^7 - 75746*x^6 + 13666*x^5 + 19097*x^4 - 3113*x^3 - 1886*x^2 + 435*x - 8,
           Coordinates        := [0, 0, 0, 0, 0, 0, 0, 1/2*x^22 + 9/2*x^21 + 4*x^20 - 153/2*x^19 - 437/2*x^18 + 381*x^17 + 2151*x^16 + 663/2*x^15 - 18663/2*x^14 - 18645/2*x^13 + 19112*x^12 + 33599*x^11 - 27843/2*x^10 - 53507*x^9 - 16413/2*x^8 + 82483/2*x^7 + 34227/2*x^6 - 29801/2*x^5 - 7523*x^4 + 2740*x^3 + 1006*x^2 - 301*x + 4, -1/2*x^22 - 9/2*x^21 - 4*x^20 + 153/2*x^19 + 437/2*x^18 - 381*x^17 - 2151*x^16 - 663/2*x^15 + 18663/2*x^14 + 18645/2*x^13 - 19112*x^12 - 33599*x^11 + 27843/2*x^10 + 53507*x^9 + 16413/2*x^8 - 82483/2*x^7 - 34227/2*x^6 + 29801/2*x^5 + 7523*x^4 - 2740*x^3 - 1006*x^2 + 301*x - 4, x^21 + 8*x^20 + x^19 - 289/2*x^18 - 555/2*x^17 + 1827/2*x^16 + 5829/2*x^15 - 1960*x^14 - 13042*x^13 - 2627*x^12 + 58209/2*x^11 + 36261/2*x^10 - 32651*x^9 - 55729/2*x^8 + 37255/2*x^7 + 17844*x^6 - 12255/2*x^5 - 10017/2*x^4 + 1430*x^3 + 979/2*x^2 - 365/2*x + 13, -x^21 - 8*x^20 - x^19 + 289/2*x^18 + 555/2*x^17 - 1827/2*x^16 - 5829/2*x^15 + 1960*x^14 + 13042*x^13 + 2627*x^12 - 58209/2*x^11 - 36261/2*x^10 + 32651*x^9 + 55729/2*x^8 - 37255/2*x^7 - 17844*x^6 + 12255/2*x^5 + 10017/2*x^4 - 1430*x^3 - 979/2*x^2 + 365/2*x - 13, 1/2*x^22 + 9/2*x^21 + 4*x^20 - 76*x^19 - 429/2*x^18 + 381*x^17 + 4151/2*x^16 + 193*x^15 - 8837*x^14 - 15651/2*x^13 + 17971*x^12 + 26886*x^11 - 29787/2*x^10 - 38887*x^9 + 178*x^8 + 26207*x^7 + 10257/2*x^6 - 16457/2*x^5 - 1800*x^4 + 2265/2*x^3 + 305/2*x^2 - 31*x - 9, -1/2*x^22 - 9/2*x^21 - 4*x^20 + 76*x^19 + 429/2*x^18 - 381*x^17 - 4151/2*x^16 - 193*x^15 + 8837*x^14 + 15651/2*x^13 - 17971*x^12 - 26886*x^11 + 29787/2*x^10 + 38887*x^9 - 178*x^8 - 26207*x^7 - 10257/2*x^6 + 16457/2*x^5 + 1800*x^4 - 2265/2*x^3 - 305/2*x^2 + 31*x + 9, 1/2*x^21 + 5*x^20 + 8*x^19 - 147/2*x^18 - 545/2*x^17 + 242*x^16 + 4643/2*x^15 + 2655/2*x^14 - 8684*x^13 - 23127/2*x^12 + 14257*x^11 + 31414*x^10 - 5675*x^9 - 37518*x^8 - 14441/2*x^7 + 20223*x^6 + 11037/2*x^5 - 10539/2*x^4 - 683*x^3 + 711*x^2 - 161/2*x - 4, -1/2*x^21 - 5*x^20 - 8*x^19 + 147/2*x^18 + 545/2*x^17 - 242*x^16 - 4643/2*x^15 - 2655/2*x^14 + 8684*x^13 + 23127/2*x^12 - 14257*x^11 - 31414*x^10 + 5675*x^9 + 37518*x^8 + 14441/2*x^7 - 20223*x^6 - 11037/2*x^5 + 10539/2*x^4 + 683*x^3 - 711*x^2 + 161/2*x + 4, 1/2*x^22 + 3*x^21 - 8*x^20 - 76*x^19 + 29/2*x^18 + 805*x^17 + 1043/2*x^16 - 4613*x^15 - 5038*x^14 + 30759/2*x^13 + 21556*x^12 - 59451/2*x^11 - 100287/2*x^10 + 62635/2*x^9 + 64352*x^8 - 16177*x^7 - 43464*x^6 + 8747/2*x^5 + 28445/2*x^4 - 3135/2*x^3 - 3799/2*x^2 + 789/2*x, -1/2*x^22 - 3*x^21 + 8*x^20 + 76*x^19 - 29/2*x^18 - 805*x^17 - 1043/2*x^16 + 4613*x^15 + 5038*x^14 - 30759/2*x^13 - 21556*x^12 + 59451/2*x^11 + 100287/2*x^10 - 62635/2*x^9 - 64352*x^8 + 16177*x^7 + 43464*x^6 - 8747/2*x^5 - 28445/2*x^4 + 3135/2*x^3 + 3799/2*x^2 - 789/2*x, 1/2*x^21 + 9/2*x^20 + 5*x^19 - 68*x^18 - 425/2*x^17 + 243*x^16 + 1792*x^15 + 990*x^14 - 12053/2*x^13 - 8979*x^12 + 6288*x^11 + 43337/2*x^10 + 7756*x^9 - 35363/2*x^8 - 17738*x^7 + 634*x^6 + 8336*x^5 + 2574*x^4 - 1488*x^3 - 1011/2*x^2 + 331/2*x - 2, -1/2*x^21 - 9/2*x^20 - 5*x^19 + 68*x^18 + 425/2*x^17 - 243*x^16 - 1792*x^15 - 990*x^14 + 12053/2*x^13 + 8979*x^12 - 6288*x^11 - 43337/2*x^10 - 7756*x^9 + 35363/2*x^8 + 17738*x^7 - 634*x^6 - 8336*x^5 - 2574*x^4 + 1488*x^3 + 1011/2*x^2 - 331/2*x + 2, 1/2*x^21 + 4*x^20 + 1/2*x^19 - 145/2*x^18 - 281/2*x^17 + 913/2*x^16 + 2957/2*x^15 - 1917/2*x^14 - 13319/2*x^13 - 1502*x^12 + 30263/2*x^11 + 10110*x^10 - 34805/2*x^9 - 16833*x^8 + 9346*x^7 + 11897*x^6 - 4137/2*x^5 - 3467*x^4 + 457*x^3 + 823/2*x^2 - 91*x + 2, -1/2*x^21 - 4*x^20 - 1/2*x^19 + 145/2*x^18 + 281/2*x^17 - 913/2*x^16 - 2957/2*x^15 + 1917/2*x^14 + 13319/2*x^13 + 1502*x^12 - 30263/2*x^11 - 10110*x^10 + 34805/2*x^9 + 16833*x^8 - 9346*x^7 - 11897*x^6 + 4137/2*x^5 + 3467*x^4 - 457*x^3 - 823/2*x^2 + 91*x - 2, 1/2*x^20 + 5*x^19 + 17/2*x^18 - 133/2*x^17 - 493/2*x^16 + 411/2*x^15 + 1921*x^14 + 931*x^13 - 6769*x^12 - 7713*x^11 + 11124*x^10 + 19539*x^9 - 6500*x^8 - 43647/2*x^7 - 3329/2*x^6 + 20681/2*x^5 + 1837*x^4 - 2068*x^3 - 195*x^2 + 158*x - 8, -1/2*x^20 - 5*x^19 - 17/2*x^18 + 133/2*x^17 + 493/2*x^16 - 411/2*x^15 - 1921*x^14 - 931*x^13 + 6769*x^12 + 7713*x^11 - 11124*x^10 - 19539*x^9 + 6500*x^8 + 43647/2*x^7 + 3329/2*x^6 - 20681/2*x^5 - 1837*x^4 + 2068*x^3 + 195*x^2 - 158*x + 8, 1/2*x^22 + 4*x^21 - 1/2*x^20 - 159/2*x^19 - 273/2*x^18 + 586*x^17 + 3309/2*x^16 - 3585/2*x^15 - 8645*x^14 + 1095/2*x^13 + 23653*x^12 + 20045/2*x^11 - 69859/2*x^10 - 24406*x^9 + 27144*x^8 + 23419*x^7 - 10661*x^6 - 18965/2*x^5 + 4977/2*x^4 + 1349*x^3 - 375*x^2 + 41/2*x - 5, -1/2*x^22 - 4*x^21 + 1/2*x^20 + 159/2*x^19 + 273/2*x^18 - 586*x^17 - 3309/2*x^16 + 3585/2*x^15 + 8645*x^14 - 1095/2*x^13 - 23653*x^12 - 20045/2*x^11 + 69859/2*x^10 + 24406*x^9 - 27144*x^8 - 23419*x^7 + 10661*x^6 + 18965/2*x^5 - 4977/2*x^4 - 1349*x^3 + 375*x^2 - 41/2*x + 5, -1/2*x^22 - 9/2*x^21 - 7/2*x^20 + 81*x^19 + 224*x^18 - 887/2*x^17 - 4695/2*x^16 - 253/2*x^15 + 10827*x^14 + 9998*x^13 - 47595/2*x^12 - 78123/2*x^11 + 39575/2*x^10 + 64989*x^9 + 14223/2*x^8 - 101095/2*x^7 - 38123/2*x^6 + 35781/2*x^5 + 8115*x^4 - 6681/2*x^3 - 2103/2*x^2 + 719/2*x - 9, 1/2*x^22 + 9/2*x^21 + 7/2*x^20 - 81*x^19 - 224*x^18 + 887/2*x^17 + 4695/2*x^16 + 253/2*x^15 - 10827*x^14 - 9998*x^13 + 47595/2*x^12 + 78123/2*x^11 - 39575/2*x^10 - 64989*x^9 - 14223/2*x^8 + 101095/2*x^7 + 38123/2*x^6 - 35781/2*x^5 - 8115*x^4 + 6681/2*x^3 + 2103/2*x^2 - 719/2*x + 9, x^20 + 8*x^19 + 2*x^18 - 138*x^17 - 567/2*x^16 + 797*x^15 + 5621/2*x^14 - 2307/2*x^13 - 11683*x^12 - 10435/2*x^11 + 45299/2*x^10 + 42411/2*x^9 - 17916*x^8 - 25573*x^7 + 6415/2*x^6 + 21605/2*x^5 + 312*x^4 - 1638*x^3 + 13*x^2 + 29*x + 9, -x^20 - 8*x^19 - 2*x^18 + 138*x^17 + 567/2*x^16 - 797*x^15 - 5621/2*x^14 + 2307/2*x^13 + 11683*x^12 + 10435/2*x^11 - 45299/2*x^10 - 42411/2*x^9 + 17916*x^8 + 25573*x^7 - 6415/2*x^6 - 21605/2*x^5 - 312*x^4 + 1638*x^3 - 13*x^2 - 29*x - 9, 1/2*x^20 + 4*x^19 + 3/2*x^18 - 65*x^17 - 281/2*x^16 + 327*x^15 + 1219*x^14 - 336*x^13 - 8683/2*x^12 - 3289/2*x^11 + 7601*x^10 + 9303/2*x^9 - 7665*x^8 - 4964*x^7 + 4700*x^6 + 2693*x^5 - 1210*x^4 - 264*x^3 + 168*x^2 - 58*x + 11, -1/2*x^20 - 4*x^19 - 3/2*x^18 + 65*x^17 + 281/2*x^16 - 327*x^15 - 1219*x^14 + 336*x^13 + 8683/2*x^12 + 3289/2*x^11 - 7601*x^10 - 9303/2*x^9 + 7665*x^8 + 4964*x^7 - 4700*x^6 - 2693*x^5 + 1210*x^4 + 264*x^3 - 168*x^2 + 58*x - 11, 1/2*x^19 + 9/2*x^18 + 6*x^17 - 54*x^16 - 155*x^15 + 221*x^14 + 2181/2*x^13 - 210*x^12 - 7699/2*x^11 - 1077*x^10 + 15429/2*x^9 + 7655/2*x^8 - 17803/2*x^7 - 10395/2*x^6 + 5494*x^5 + 3156*x^4 - 1442*x^3 - 1043/2*x^2 + 389/2*x - 5, -1/2*x^19 - 9/2*x^18 - 6*x^17 + 54*x^16 + 155*x^15 - 221*x^14 - 2181/2*x^13 + 210*x^12 + 7699/2*x^11 + 1077*x^10 - 15429/2*x^9 - 7655/2*x^8 + 17803/2*x^7 + 10395/2*x^6 - 5494*x^5 - 3156*x^4 + 1442*x^3 + 1043/2*x^2 - 389/2*x + 5, 5/2*x^18 + 20*x^17 + 35/2*x^16 - 491/2*x^15 - 1235/2*x^14 + 1649/2*x^13 + 8121/2*x^12 + 1433/2*x^11 - 10798*x^10 - 17079/2*x^9 + 11867*x^8 + 28915/2*x^7 - 4685*x^6 - 18351/2*x^5 + 91/2*x^4 + 1930*x^3 - 63/2*x^2 - 122*x + 9, -5/2*x^18 - 20*x^17 - 35/2*x^16 + 491/2*x^15 + 1235/2*x^14 - 1649/2*x^13 - 8121/2*x^12 - 1433/2*x^11 + 10798*x^10 + 17079/2*x^9 - 11867*x^8 - 28915/2*x^7 + 4685*x^6 + 18351/2*x^5 - 91/2*x^4 - 1930*x^3 + 63/2*x^2 + 122*x - 9, 1/2*x^22 + 9/2*x^21 + 7/2*x^20 - 161/2*x^19 - 217*x^18 + 931/2*x^17 + 4555/2*x^16 - 320*x^15 - 21799/2*x^14 - 7095*x^13 + 26984*x^12 + 30748*x^11 - 68011/2*x^10 - 109837/2*x^9 + 19153*x^8 + 95399/2*x^7 - 4987/2*x^6 - 38691/2*x^5 - 883/2*x^4 + 6427/2*x^3 - 245/2*x^2 - 243/2*x + 3, -1/2*x^22 - 9/2*x^21 - 7/2*x^20 + 161/2*x^19 + 217*x^18 - 931/2*x^17 - 4555/2*x^16 + 320*x^15 + 21799/2*x^14 + 7095*x^13 - 26984*x^12 - 30748*x^11 + 68011/2*x^10 + 109837/2*x^9 - 19153*x^8 - 95399/2*x^7 + 4987/2*x^6 + 38691/2*x^5 + 883/2*x^4 - 6427/2*x^3 + 245/2*x^2 + 243/2*x - 3, -x^22 - 15/2*x^21 + 5*x^20 + 161*x^19 + 419/2*x^18 - 2647/2*x^17 - 3005*x^16 + 4978*x^15 + 17338*x^14 - 6495*x^13 - 103837/2*x^12 - 10493*x^11 + 167633/2*x^10 + 42332*x^9 - 140983/2*x^8 - 45874*x^7 + 29685*x^6 + 18646*x^5 - 7335*x^4 - 2580*x^3 + 1026*x^2 - 30*x - 7, x^22 + 15/2*x^21 - 5*x^20 - 161*x^19 - 419/2*x^18 + 2647/2*x^17 + 3005*x^16 - 4978*x^15 - 17338*x^14 + 6495*x^13 + 103837/2*x^12 + 10493*x^11 - 167633/2*x^10 - 42332*x^9 + 140983/2*x^8 + 45874*x^7 - 29685*x^6 - 18646*x^5 + 7335*x^4 + 2580*x^3 - 1026*x^2 + 30*x + 7, -1/2*x^21 - 9/2*x^20 - 9/2*x^19 + 145/2*x^18 + 437/2*x^17 - 601/2*x^16 - 1977*x^15 - 1655/2*x^14 + 14595/2*x^13 + 9556*x^12 - 9906*x^11 - 25428*x^10 - 6413/2*x^9 + 24520*x^8 + 30537/2*x^7 - 12407/2*x^6 - 16143/2*x^5 - 1359/2*x^4 + 3079/2*x^3 + 290*x^2 - 156*x + 3, 1/2*x^21 + 9/2*x^20 + 9/2*x^19 - 145/2*x^18 - 437/2*x^17 + 601/2*x^16 + 1977*x^15 + 1655/2*x^14 - 14595/2*x^13 - 9556*x^12 + 9906*x^11 + 25428*x^10 + 6413/2*x^9 - 24520*x^8 - 30537/2*x^7 + 12407/2*x^6 + 16143/2*x^5 + 1359/2*x^4 - 3079/2*x^3 - 290*x^2 + 156*x - 3, 1/2*x^21 + 9/2*x^20 + 5*x^19 - 68*x^18 - 209*x^17 + 541/2*x^16 + 3631/2*x^15 + 667*x^14 - 6810*x^13 - 15843/2*x^12 + 11144*x^11 + 44373/2*x^10 - 8933/2*x^9 - 51615/2*x^8 - 9255/2*x^7 + 13376*x^6 + 5557/2*x^5 - 3900*x^4 - 137*x^3 + 1095/2*x^2 - 255/2*x + 11, -1/2*x^21 - 9/2*x^20 - 5*x^19 + 68*x^18 + 209*x^17 - 541/2*x^16 - 3631/2*x^15 - 667*x^14 + 6810*x^13 + 15843/2*x^12 - 11144*x^11 - 44373/2*x^10 + 8933/2*x^9 + 51615/2*x^8 + 9255/2*x^7 - 13376*x^6 - 5557/2*x^5 + 3900*x^4 + 137*x^3 - 1095/2*x^2 + 255/2*x - 11, 1/2*x^19 + 7/2*x^18 - 3*x^17 - 147/2*x^16 - 215/2*x^15 + 909/2*x^14 + 1210*x^13 - 1625/2*x^12 - 9337/2*x^11 - 2237/2*x^10 + 15869/2*x^9 + 4750*x^8 - 6543*x^7 - 9887/2*x^6 + 5351/2*x^5 + 1909*x^4 - 1325/2*x^3 - 243*x^2 + 90*x - 4, -1/2*x^19 - 7/2*x^18 + 3*x^17 + 147/2*x^16 + 215/2*x^15 - 909/2*x^14 - 1210*x^13 + 1625/2*x^12 + 9337/2*x^11 + 2237/2*x^10 - 15869/2*x^9 - 4750*x^8 + 6543*x^7 + 9887/2*x^6 - 5351/2*x^5 - 1909*x^4 + 1325/2*x^3 + 243*x^2 - 90*x + 4, 1/2*x^19 + 4*x^18 + 3*x^17 - 56*x^16 - 152*x^15 + 168*x^14 + 1108*x^13 + 670*x^12 - 2862*x^11 - 4340*x^10 + 1803*x^9 + 7119*x^8 + 1897*x^7 - 8521/2*x^6 - 1817*x^5 + 1294*x^4 + 747/2*x^3 - 453/2*x^2 + 12*x + 2, -1/2*x^19 - 4*x^18 - 3*x^17 + 56*x^16 + 152*x^15 - 168*x^14 - 1108*x^13 - 670*x^12 + 2862*x^11 + 4340*x^10 - 1803*x^9 - 7119*x^8 - 1897*x^7 + 8521/2*x^6 + 1817*x^5 - 1294*x^4 - 747/2*x^3 + 453/2*x^2 - 12*x - 2, x^18 + 19/2*x^17 + 18*x^16 - 92*x^15 - 376*x^14 + 69*x^13 + 2107*x^12 + 3935/2*x^11 - 4528*x^10 - 7777*x^9 + 4697/2*x^8 + 10083*x^7 + 2215*x^6 - 4509*x^5 - 1370*x^4 + 884*x^3 + 293/2*x^2 - 73*x + 4, -x^18 - 19/2*x^17 - 18*x^16 + 92*x^15 + 376*x^14 - 69*x^13 - 2107*x^12 - 3935/2*x^11 + 4528*x^10 + 7777*x^9 - 4697/2*x^8 - 10083*x^7 - 2215*x^6 + 4509*x^5 + 1370*x^4 - 884*x^3 - 293/2*x^2 + 73*x - 4, -1/2*x^20 - 4*x^19 - 1/2*x^18 + 151/2*x^17 + 163*x^16 - 446*x^15 - 3553/2*x^14 + 663/2*x^13 + 15581/2*x^12 + 5826*x^11 - 30031/2*x^10 - 42421/2*x^9 + 18929/2*x^8 + 53845/2*x^7 + 5607/2*x^6 - 13692*x^5 - 3555*x^4 + 2921*x^3 + 1097/2*x^2 - 290*x + 12, 1/2*x^20 + 4*x^19 + 1/2*x^18 - 151/2*x^17 - 163*x^16 + 446*x^15 + 3553/2*x^14 - 663/2*x^13 - 15581/2*x^12 - 5826*x^11 + 30031/2*x^10 + 42421/2*x^9 - 18929/2*x^8 - 53845/2*x^7 - 5607/2*x^6 + 13692*x^5 + 3555*x^4 - 2921*x^3 - 1097/2*x^2 + 290*x - 12, 3/2*x^19 + 12*x^18 + 17/2*x^17 - 162*x^16 - 377*x^15 + 680*x^14 + 2798*x^13 - 305*x^12 - 8911*x^11 - 4648*x^10 + 27077/2*x^9 + 11493*x^8 - 9784*x^7 - 20629/2*x^6 + 3397*x^5 + 3648*x^4 - 1769/2*x^3 - 951/2*x^2 + 141*x - 4, -3/2*x^19 - 12*x^18 - 17/2*x^17 + 162*x^16 + 377*x^15 - 680*x^14 - 2798*x^13 + 305*x^12 + 8911*x^11 + 4648*x^10 - 27077/2*x^9 - 11493*x^8 + 9784*x^7 + 20629/2*x^6 - 3397*x^5 - 3648*x^4 + 1769/2*x^3 + 951/2*x^2 - 141*x + 4, 1/2*x^21 + 4*x^20 + x^19 - 70*x^18 - 147*x^17 + 825/2*x^16 + 3033/2*x^15 - 1183/2*x^14 - 6733*x^13 - 6477/2*x^12 + 14740*x^11 + 29137/2*x^10 - 15306*x^9 - 22565*x^8 + 6436*x^7 + 31625/2*x^6 - 1141/2*x^5 - 9847/2*x^4 + 222*x^3 + 649*x^2 - 215/2*x - 2, -1/2*x^21 - 4*x^20 - x^19 + 70*x^18 + 147*x^17 - 825/2*x^16 - 3033/2*x^15 + 1183/2*x^14 + 6733*x^13 + 6477/2*x^12 - 14740*x^11 - 29137/2*x^10 + 15306*x^9 + 22565*x^8 - 6436*x^7 - 31625/2*x^6 + 1141/2*x^5 + 9847/2*x^4 - 222*x^3 - 649*x^2 + 215/2*x + 2, -x^21 - 15/2*x^20 + 5/2*x^19 + 142*x^18 + 210*x^17 - 1989/2*x^16 - 4871/2*x^15 + 2965*x^14 + 23095/2*x^13 - 2104*x^12 - 27439*x^11 - 7127*x^10 + 67029/2*x^9 + 14379*x^8 - 42167/2*x^7 - 16707/2*x^6 + 14173/2*x^5 + 1067*x^4 - 2653/2*x^3 + 323/2*x^2 + 77/2*x - 6, x^21 + 15/2*x^20 - 5/2*x^19 - 142*x^18 - 210*x^17 + 1989/2*x^16 + 4871/2*x^15 - 2965*x^14 - 23095/2*x^13 + 2104*x^12 + 27439*x^11 + 7127*x^10 - 67029/2*x^9 - 14379*x^8 + 42167/2*x^7 + 16707/2*x^6 - 14173/2*x^5 - 1067*x^4 + 2653/2*x^3 - 323/2*x^2 - 77/2*x + 6, -1/2*x^20 - 9/2*x^19 - 5*x^18 + 135/2*x^17 + 415/2*x^16 - 255*x^15 - 1753*x^14 - 1547/2*x^13 + 6101*x^12 + 15615/2*x^11 - 15957/2*x^10 - 38517/2*x^9 - 2615/2*x^8 + 34843/2*x^7 + 16373/2*x^6 - 4878*x^5 - 6041/2*x^4 + 1419/2*x^3 + 347*x^2 - 133/2*x - 3, 1/2*x^20 + 9/2*x^19 + 5*x^18 - 135/2*x^17 - 415/2*x^16 + 255*x^15 + 1753*x^14 + 1547/2*x^13 - 6101*x^12 - 15615/2*x^11 + 15957/2*x^10 + 38517/2*x^9 + 2615/2*x^8 - 34843/2*x^7 - 16373/2*x^6 + 4878*x^5 + 6041/2*x^4 - 1419/2*x^3 - 347*x^2 + 133/2*x + 3, 1/2*x^20 + 9/2*x^19 + 6*x^18 - 57*x^17 - 357/2*x^16 + 190*x^15 + 1279*x^14 + 327*x^13 - 4157*x^12 - 3344*x^11 + 13779/2*x^10 + 15811/2*x^9 - 11729/2*x^8 - 17501/2*x^7 + 4129/2*x^6 + 4643*x^5 - 15/2*x^4 - 1028*x^3 - 18*x^2 + 207/2*x - 12, -1/2*x^20 - 9/2*x^19 - 6*x^18 + 57*x^17 + 357/2*x^16 - 190*x^15 - 1279*x^14 - 327*x^13 + 4157*x^12 + 3344*x^11 - 13779/2*x^10 - 15811/2*x^9 + 11729/2*x^8 + 17501/2*x^7 - 4129/2*x^6 - 4643*x^5 + 15/2*x^4 + 1028*x^3 + 18*x^2 - 207/2*x + 12, 3/2*x^18 + 23/2*x^17 + 7*x^16 - 293/2*x^15 - 319*x^14 + 543*x^13 + 2079*x^12 - 78*x^11 - 5103*x^10 - 5161/2*x^9 + 4779*x^8 + 2589*x^7 - 2497*x^6 - 50*x^5 + 3157/2*x^4 - 117*x^3 - 329*x^2 + 85/2*x + 9, -3/2*x^18 - 23/2*x^17 - 7*x^16 + 293/2*x^15 + 319*x^14 - 543*x^13 - 2079*x^12 + 78*x^11 + 5103*x^10 + 5161/2*x^9 - 4779*x^8 - 2589*x^7 + 2497*x^6 + 50*x^5 - 3157/2*x^4 + 117*x^3 + 329*x^2 - 85/2*x - 9, -5/2*x^17 - 21*x^16 - 55/2*x^15 + 212*x^14 + 614*x^13 - 537*x^12 - 6647/2*x^11 - 1487/2*x^10 + 7813*x^9 + 9899/2*x^8 - 8881*x^7 - 7222*x^6 + 4710*x^5 + 7407/2*x^4 - 1421*x^3 - 1199/2*x^2 + 497/2*x - 16, 5/2*x^17 + 21*x^16 + 55/2*x^15 - 212*x^14 - 614*x^13 + 537*x^12 + 6647/2*x^11 + 1487/2*x^10 - 7813*x^9 - 9899/2*x^8 + 8881*x^7 + 7222*x^6 - 4710*x^5 - 7407/2*x^4 + 1421*x^3 + 1199/2*x^2 - 497/2*x + 16, 3/2*x^18 + 9*x^17 - 23/2*x^16 - 159*x^15 - 111*x^14 + 1006*x^13 + 2959/2*x^12 - 5391/2*x^11 - 5798*x^10 + 4935/2*x^9 + 9562*x^8 + 1407/2*x^7 - 6517*x^6 - 1399*x^5 + 3167/2*x^4 + 75/2*x^3 - 156*x^2 + 60*x - 11, -3/2*x^18 - 9*x^17 + 23/2*x^16 + 159*x^15 + 111*x^14 - 1006*x^13 - 2959/2*x^12 + 5391/2*x^11 + 5798*x^10 - 4935/2*x^9 - 9562*x^8 - 1407/2*x^7 + 6517*x^6 + 1399*x^5 - 3167/2*x^4 - 75/2*x^3 + 156*x^2 - 60*x + 11, 1/2*x^19 + 5*x^18 + 11*x^17 - 91/2*x^16 - 224*x^15 - 54*x^14 + 2393/2*x^13 + 3497/2*x^12 - 3855/2*x^11 - 12339/2*x^10 - 1899*x^9 + 14197/2*x^8 + 7082*x^7 - 2651/2*x^6 - 5051*x^5 - 1389*x^4 + 2385/2*x^3 + 713/2*x^2 - 153*x + 3, -1/2*x^19 - 5*x^18 - 11*x^17 + 91/2*x^16 + 224*x^15 + 54*x^14 - 2393/2*x^13 - 3497/2*x^12 + 3855/2*x^11 + 12339/2*x^10 + 1899*x^9 - 14197/2*x^8 - 7082*x^7 + 2651/2*x^6 + 5051*x^5 + 1389*x^4 - 2385/2*x^3 - 713/2*x^2 + 153*x - 3, x^17 + 15/2*x^16 + 3*x^15 - 98*x^14 - 180*x^13 + 429*x^12 + 1249*x^11 - 1061/2*x^10 - 3467*x^9 - 843*x^8 + 8069/2*x^7 + 2014*x^6 - 1813*x^5 - 883*x^4 + 396*x^3 + 92*x^2 - 75/2*x + 2, -x^17 - 15/2*x^16 - 3*x^15 + 98*x^14 + 180*x^13 - 429*x^12 - 1249*x^11 + 1061/2*x^10 + 3467*x^9 + 843*x^8 - 8069/2*x^7 - 2014*x^6 + 1813*x^5 + 883*x^4 - 396*x^3 - 92*x^2 + 75/2*x - 2, 3/2*x^20 + 23/2*x^19 - 200*x^17 - 697/2*x^16 + 1245*x^15 + 3575*x^14 - 5753/2*x^13 - 30965/2*x^12 - 2879/2*x^11 + 33268*x^10 + 34095/2*x^9 - 35282*x^8 - 25451*x^7 + 35471/2*x^6 + 27703/2*x^5 - 4260*x^4 - 4685/2*x^3 + 664*x^2 + 12*x - 5, -3/2*x^20 - 23/2*x^19 + 200*x^17 + 697/2*x^16 - 1245*x^15 - 3575*x^14 + 5753/2*x^13 + 30965/2*x^12 + 2879/2*x^11 - 33268*x^10 - 34095/2*x^9 + 35282*x^8 + 25451*x^7 - 35471/2*x^6 - 27703/2*x^5 + 4260*x^4 + 4685/2*x^3 - 664*x^2 - 12*x + 5, 1/2*x^19 + 6*x^18 + 18*x^17 - 46*x^16 - 639/2*x^15 - 319/2*x^14 + 1747*x^13 + 2511*x^12 - 3925*x^11 - 17863/2*x^10 + 2985*x^9 + 13631*x^8 + 679*x^7 - 19307/2*x^6 - 1028*x^5 + 3330*x^4 - 63*x^3 - 983/2*x^2 + 106*x - 4, -1/2*x^19 - 6*x^18 - 18*x^17 + 46*x^16 + 639/2*x^15 + 319/2*x^14 - 1747*x^13 - 2511*x^12 + 3925*x^11 + 17863/2*x^10 - 2985*x^9 - 13631*x^8 - 679*x^7 + 19307/2*x^6 + 1028*x^5 - 3330*x^4 + 63*x^3 + 983/2*x^2 - 106*x + 4, -x^20 - 15/2*x^19 + 1/2*x^18 + 129*x^17 + 221*x^16 - 768*x^15 - 4431/2*x^14 + 3029/2*x^13 + 8997*x^12 + 3853/2*x^11 - 17034*x^10 - 21811/2*x^9 + 14126*x^8 + 24139/2*x^7 - 4863*x^6 - 7455/2*x^5 + 3497/2*x^4 + 399*x^3 - 647/2*x^2 + 36*x + 2, x^20 + 15/2*x^19 - 1/2*x^18 - 129*x^17 - 221*x^16 + 768*x^15 + 4431/2*x^14 - 3029/2*x^13 - 8997*x^12 - 3853/2*x^11 + 17034*x^10 + 21811/2*x^9 - 14126*x^8 - 24139/2*x^7 + 4863*x^6 + 7455/2*x^5 - 3497/2*x^4 - 399*x^3 + 647/2*x^2 - 36*x - 2, 1/2*x^19 + 5*x^18 + 25/2*x^17 - 69/2*x^16 - 217*x^15 - 361/2*x^14 + 906*x^13 + 4133/2*x^12 - 659/2*x^11 - 10699/2*x^10 - 4383*x^9 + 3426*x^8 + 6013*x^7 + 1841/2*x^6 - 1758*x^5 - 458*x^4 + 182*x^3 + 95/2*x^2 + 19/2*x - 7, -1/2*x^19 - 5*x^18 - 25/2*x^17 + 69/2*x^16 + 217*x^15 + 361/2*x^14 - 906*x^13 - 4133/2*x^12 + 659/2*x^11 + 10699/2*x^10 + 4383*x^9 - 3426*x^8 - 6013*x^7 - 1841/2*x^6 + 1758*x^5 + 458*x^4 - 182*x^3 - 95/2*x^2 - 19/2*x + 7, x^19 + 13/2*x^18 - 11/2*x^17 - 112*x^16 - 102*x^15 + 1447/2*x^14 + 1173*x^13 - 4289/2*x^12 - 9547/2*x^11 + 2769*x^10 + 9162*x^9 - 837*x^8 - 8510*x^7 - 1941/2*x^6 + 6673/2*x^5 + 341*x^4 - 511*x^3 - 5*x^2 - 1/2*x + 7, -x^19 - 13/2*x^18 + 11/2*x^17 + 112*x^16 + 102*x^15 - 1447/2*x^14 - 1173*x^13 + 4289/2*x^12 + 9547/2*x^11 - 2769*x^10 - 9162*x^9 + 837*x^8 + 8510*x^7 + 1941/2*x^6 - 6673/2*x^5 - 341*x^4 + 511*x^3 + 5*x^2 + 1/2*x - 7, x^19 + 13/2*x^18 - 11/2*x^17 - 229/2*x^16 - 118*x^15 + 727*x^14 + 2755/2*x^13 - 1886*x^12 - 11263/2*x^11 + 2019/2*x^10 + 20453/2*x^9 + 6293/2*x^8 - 15421/2*x^7 - 7311/2*x^6 + 4003/2*x^5 + 327*x^4 - 492*x^3 + 261/2*x^2 + 37*x - 13, -x^19 - 13/2*x^18 + 11/2*x^17 + 229/2*x^16 + 118*x^15 - 727*x^14 - 2755/2*x^13 + 1886*x^12 + 11263/2*x^11 - 2019/2*x^10 - 20453/2*x^9 - 6293/2*x^8 + 15421/2*x^7 + 7311/2*x^6 - 4003/2*x^5 - 327*x^4 + 492*x^3 - 261/2*x^2 - 37*x + 13]>,
         rec<Eigen |
           DefiningPolynomial := x^42 - 14*x^41 + 32*x^40 + 438*x^39 - 2456*x^38 - 3469*x^37 + 52939*x^36 - 47660*x^35 - 589532*x^34 + 1354835*x^33 + 3670565*x^32 - 14908002*x^31 - 9863060*x^30 + 98856676*x^29 - 32636560*x^28 - 433131581*x^27 + 446597911*x^26 + 1267140106*x^25 - 2207998196*x^24 - 2311951499*x^23 + 6731858844*x^22 + 1756578238*x^21 - 13851154476*x^20 + 2957391241*x^19 + 19486606234*x^18 - 11162171062*x^17 - 18162046198*x^16 + 16919594497*x^15 + 10058931769*x^14 - 15078498418*x^13 - 1959730335*x^12 + 8151587690*x^11 - 1185025430*x^10 - 2483876515*x^9 + 864118933*x^8 + 336185608*x^7 - 196585359*x^6 - 2807503*x^5 + 14020496*x^4 - 1301168*x^3 - 217070*x^2 + 15874*x + 708,
           Coordinates        := [-2*x^37 + 26*x^36 - 56*x^35 - 688*x^34 + 3628*x^33 + 4152*x^32 - 64454*x^31 + 62764*x^30 + 569994*x^29 - 1314512*x^28 - 2623000*x^27 + 11090226*x^26 + 3481710*x^25 - 54919972*x^24 + 29695680*x^23 + 171601382*x^22 - 205415100*x^21 - 330408254*x^20 + 661385774*x^19 + 318733776*x^18 - 1303021258*x^17 + 100855150*x^16 + 1642494164*x^15 - 739988522*x^14 - 1284772510*x^13 + 1015920780*x^12 + 542125842*x^11 - 719440372*x^10 - 48076162*x^9 + 273416024*x^8 - 52600942*x^7 - 47413830*x^6 + 18264984*x^5 + 1712044*x^4 - 1467180*x^3 + 85864*x^2 + 21216*x - 790, -x^41 + 13*x^40 - 21*x^39 - 433*x^38 + 1977*x^37 + 4632*x^36 - 44453*x^35 + 10947*x^34 + 519063*x^33 - 801212*x^32 - 3582013*x^31 + 9811921*x^30 + 14025957*x^29 - 68021653*x^28 - 16168229*x^27 + 309446612*x^26 - 143705563*x^25 - 961238509*x^24 + 974275071*x^23 + 2020128330*x^22 - 3241964936*x^21 - 2655951974*x^20 + 6920455986*x^19 + 1459698395*x^18 - 10007722805*x^17 + 1666561529*x^16 + 9789022605*x^15 - 4398324580*x^14 - 6202846025*x^13 + 4470719451*x^12 + 2249048214*x^11 - 2544992990*x^10 - 262390194*x^9 + 814407777*x^8 - 102037270*x^7 - 127628216*x^6 + 35976013*x^5 + 6112878*x^4 - 2909822*x^3 + 70294*x^2 + 42798*x - 708, x^41 - 14*x^40 + 35*x^39 + 396*x^38 - 2345*x^37 - 2365*x^36 + 46138*x^35 - 52715*x^34 - 464236*x^33 + 1190444*x^32 + 2502773*x^31 - 11672808*x^30 - 4271429*x^29 + 69617772*x^28 - 37589969*x^27 - 271888027*x^26 + 335462018*x^25 + 690417589*x^24 - 1403988412*x^23 - 1007625462*x^22 + 3721836492*x^21 + 237502244*x^20 - 6639507178*x^19 + 2372183847*x^18 + 7967386652*x^17 - 5586227211*x^16 - 6125980300*x^15 + 6683494618*x^14 + 2564348835*x^13 - 4814829648*x^12 - 123715302*x^11 + 2083751424*x^10 - 410449748*x^9 - 496030973*x^8 + 182968341*x^7 + 50325953*x^6 - 30200272*x^5 - 22306*x^4 + 1640270*x^3 - 139730*x^2 - 18728*x + 1320, 2*x^35 - 26*x^34 + 62*x^33 + 614*x^32 - 3484*x^31 - 2304*x^30 + 55408*x^29 - 73450*x^28 - 422182*x^27 + 1182106*x^26 + 1444782*x^25 - 8532052*x^24 + 1294182*x^23 + 35740826*x^22 - 34660882*x^21 - 88905996*x^20 + 159604762*x^19 + 110972574*x^18 - 400277568*x^17 + 24018544*x^16 + 606742768*x^15 - 324867756*x^14 - 537056848*x^13 + 534157510*x^12 + 218969758*x^11 - 432272182*x^10 + 29055654*x^9 + 177707114*x^8 - 62108992*x^7 - 28946014*x^6 + 18743428*x^5 - 365368*x^4 - 1382634*x^3 + 170380*x^2 + 19064*x - 1872, 2*x^34 - 22*x^33 + 18*x^32 + 650*x^31 - 2184*x^30 - 6672*x^29 + 42064*x^28 + 10678*x^27 - 400826*x^26 + 380454*x^25 + 2205690*x^24 - 4120672*x^23 - 6947162*x^22 + 21846502*x^21 + 9032122*x^20 - 70841752*x^19 + 17921258*x^18 + 146815090*x^17 - 106647388*x^16 - 189276232*x^15 + 228190304*x^14 + 131512852*x^13 - 274031144*x^12 - 13904778*x^11 + 191160202*x^10 - 49951778*x^9 - 70847902*x^8 + 36011310*x^7 + 9913628*x^6 - 9118758*x^5 + 505912*x^4 + 646456*x^3 - 89722*x^2 - 9064*x + 936, -2*x^35 + 28*x^34 - 92*x^33 - 478*x^32 + 3658*x^31 - 1194*x^30 - 47044*x^29 + 94924*x^28 + 284726*x^27 - 1077378*x^26 - 625936*x^25 + 6430820*x^24 - 2533906*x^23 - 23638126*x^22 + 24132510*x^21 + 55677610*x^20 - 89638918*x^19 - 82073696*x^18 + 201891858*x^17 + 64563886*x^16 - 302914150*x^15 + 1952628*x^14 + 311928692*x^13 - 66222146*x^12 - 219111136*x^11 + 79440240*x^10 + 99287448*x^9 - 49348786*x^8 - 24852734*x^7 + 16521000*x^6 + 2138608*x^5 - 2445698*x^4 + 66310*x^3 + 133318*x^2 - 8468*x - 1968, x^40 - 14*x^39 + 37*x^38 + 368*x^37 - 2267*x^36 - 1685*x^35 + 41764*x^34 - 54777*x^33 - 389344*x^32 + 1078144*x^31 + 1866595*x^30 - 9749460*x^29 - 1680863*x^28 + 53838672*x^27 - 36923705*x^26 - 193093809*x^25 + 268275564*x^24 + 439062737*x^23 - 1008691716*x^22 - 518566626*x^21 + 2431157184*x^20 - 178699874*x^19 - 3917003216*x^18 + 1866995811*x^17 + 4146740370*x^16 - 3484968227*x^15 - 2643070976*x^14 + 3551923788*x^13 + 701922783*x^12 - 2145172128*x^11 + 232717834*x^10 + 728367794*x^9 - 228476324*x^8 - 115557003*x^7 + 58344291*x^6 + 4411049*x^5 - 4945586*x^4 + 177542*x^3 + 124528*x^2 - 3154*x - 662, -x^40 + 13*x^39 - 23*x^38 - 407*x^37 + 1927*x^36 + 3870*x^35 - 40708*x^34 + 17280*x^33 + 444882*x^32 - 757034*x^31 - 2824512*x^30 + 8404533*x^29 + 9608432*x^28 - 53758370*x^27 - 3277132*x^26 + 224803580*x^25 - 136242308*x^24 - 633049120*x^23 + 734882789*x^22 + 1171295600*x^21 - 2137373258*x^20 - 1251683175*x^19 + 4009592517*x^18 + 256056636*x^17 - 5019792561*x^16 + 1366123656*x^15 + 4127205162*x^14 - 2202466471*x^13 - 2090700786*x^12 + 1678773243*x^11 + 548788683*x^10 - 703539272*x^9 - 26163057*x^8 + 155297331*x^7 - 16490565*x^6 - 16335319*x^5 + 2498898*x^4 + 839474*x^3 - 122283*x^2 - 13816*x + 708, -x^40 + 13*x^39 - 23*x^38 - 407*x^37 + 1927*x^36 + 3870*x^35 - 40708*x^34 + 17280*x^33 + 444882*x^32 - 757034*x^31 - 2824512*x^30 + 8404533*x^29 + 9608432*x^28 - 53758370*x^27 - 3277132*x^26 + 224803580*x^25 - 136242308*x^24 - 633049120*x^23 + 734882789*x^22 + 1171295600*x^21 - 2137373258*x^20 - 1251683175*x^19 + 4009592517*x^18 + 256056636*x^17 - 5019792561*x^16 + 1366123656*x^15 + 4127205162*x^14 - 2202466471*x^13 - 2090700786*x^12 + 1678773243*x^11 + 548788683*x^10 - 703539272*x^9 - 26163057*x^8 + 155297331*x^7 - 16490565*x^6 - 16335319*x^5 + 2498898*x^4 + 839474*x^3 - 122283*x^2 - 13816*x + 708, -x^39 + 13*x^38 - 25*x^37 - 381*x^36 + 1873*x^35 + 3161*x^34 - 37089*x^33 + 22290*x^32 + 378100*x^31 - 706061*x^30 - 2193883*x^29 + 7134661*x^28 + 6290406*x^27 - 42136329*x^26 + 4602237*x^25 + 162041215*x^24 - 122105776*x^23 - 413325066*x^22 + 552247041*x^21 + 666582241*x^20 - 1430935343*x^19 - 532932759*x^18 + 2404023338*x^17 - 222062890*x^16 - 2661208228*x^15 + 1110460402*x^14 + 1869177602*x^13 - 1332183865*x^12 - 734667854*x^11 + 840776708*x^10 + 87262424*x^9 - 288073948*x^8 + 39988580*x^7 + 46675636*x^6 - 13924196*x^5 - 2264856*x^4 + 1126967*x^3 - 18765*x^2 - 18685*x + 157, -x^39 + 13*x^38 - 25*x^37 - 381*x^36 + 1873*x^35 + 3161*x^34 - 37089*x^33 + 22290*x^32 + 378100*x^31 - 706061*x^30 - 2193883*x^29 + 7134661*x^28 + 6290406*x^27 - 42136329*x^26 + 4602237*x^25 + 162041215*x^24 - 122105776*x^23 - 413325066*x^22 + 552247041*x^21 + 666582241*x^20 - 1430935343*x^19 - 532932759*x^18 + 2404023338*x^17 - 222062890*x^16 - 2661208228*x^15 + 1110460402*x^14 + 1869177602*x^13 - 1332183865*x^12 - 734667854*x^11 + 840776708*x^10 + 87262424*x^9 - 288073948*x^8 + 39988580*x^7 + 46675636*x^6 - 13924196*x^5 - 2264856*x^4 + 1126967*x^3 - 18765*x^2 - 18685*x + 157, -x^39 + 13*x^38 - 25*x^37 - 381*x^36 + 1872*x^35 + 3172*x^34 - 37092*x^33 + 21888*x^32 + 379401*x^31 - 701327*x^30 - 2223642*x^29 + 7128622*x^28 + 6600691*x^27 - 42506703*x^26 + 2861018*x^25 + 166148174*x^24 - 117286506*x^23 - 435507664*x^22 + 552344637*x^21 + 737686558*x^20 - 1479928126*x^19 - 670709000*x^18 + 2583906906*x^17 - 78374983*x^16 - 3000609215*x^15 + 1085397707*x^14 + 2242967637*x^13 - 1459762343*x^12 - 965591677*x^11 + 1000677010*x^10 + 148964713*x^9 - 371036498*x^8 + 45558125*x^7 + 64617261*x^6 - 19552919*x^5 - 3008548*x^4 + 1660572*x^3 - 65345*x^2 - 23405*x + 551, -x^39 + 13*x^38 - 25*x^37 - 381*x^36 + 1872*x^35 + 3172*x^34 - 37092*x^33 + 21888*x^32 + 379401*x^31 - 701327*x^30 - 2223642*x^29 + 7128622*x^28 + 6600691*x^27 - 42506703*x^26 + 2861018*x^25 + 166148174*x^24 - 117286506*x^23 - 435507664*x^22 + 552344637*x^21 + 737686558*x^20 - 1479928126*x^19 - 670709000*x^18 + 2583906906*x^17 - 78374983*x^16 - 3000609215*x^15 + 1085397707*x^14 + 2242967637*x^13 - 1459762343*x^12 - 965591677*x^11 + 1000677010*x^10 + 148964713*x^9 - 371036498*x^8 + 45558125*x^7 + 64617261*x^6 - 19552919*x^5 - 3008548*x^4 + 1660572*x^3 - 65345*x^2 - 23405*x + 551, -x^38 + 13*x^37 - 27*x^36 - 354*x^35 + 1802*x^34 + 2534*x^33 - 33279*x^32 + 24381*x^31 + 316420*x^30 - 621508*x^29 - 1698668*x^28 + 5748342*x^27 + 4356240*x^26 - 31500218*x^25 + 4762609*x^24 + 112903197*x^23 - 84239352*x^22 - 269855899*x^21 + 344153272*x^20 + 414717792*x^19 - 817163224*x^18 - 345565093*x^17 + 1263112672*x^16 - 6054539*x^15 - 1294074916*x^14 + 367776584*x^13 + 858100414*x^12 - 427574259*x^11 - 344775027*x^10 + 244313434*x^9 + 71990136*x^8 - 75543437*x^7 - 3979455*x^6 + 11957324*x^5 - 907317*x^4 - 753043*x^3 + 88317*x^2 + 10629*x - 504, -x^38 + 13*x^37 - 27*x^36 - 354*x^35 + 1802*x^34 + 2534*x^33 - 33279*x^32 + 24381*x^31 + 316420*x^30 - 621508*x^29 - 1698668*x^28 + 5748342*x^27 + 4356240*x^26 - 31500218*x^25 + 4762609*x^24 + 112903197*x^23 - 84239352*x^22 - 269855899*x^21 + 344153272*x^20 + 414717792*x^19 - 817163224*x^18 - 345565093*x^17 + 1263112672*x^16 - 6054539*x^15 - 1294074916*x^14 + 367776584*x^13 + 858100414*x^12 - 427574259*x^11 - 344775027*x^10 + 244313434*x^9 + 71990136*x^8 - 75543437*x^7 - 3979455*x^6 + 11957324*x^5 - 907317*x^4 - 753043*x^3 + 88317*x^2 + 10629*x - 504, -x^38 + 13*x^37 - 27*x^36 - 355*x^35 + 1817*x^34 + 2476*x^33 - 33503*x^32 + 26592*x^31 + 314209*x^30 - 648364*x^29 - 1619358*x^28 + 5873699*x^27 + 3523129*x^26 - 31262147*x^25 + 9373923*x^24 + 106820857*x^23 - 98396396*x^22 - 234857460*x^21 + 362284643*x^20 + 304032624*x^19 - 788405955*x^18 - 132554433*x^17 + 1095471661*x^16 - 249608715*x^15 - 963952644*x^14 + 502506022*x^13 + 497932518*x^12 - 410422276*x^11 - 116751232*x^10 + 171151890*x^9 - 5838499*x^8 - 33078258*x^7 + 6545824*x^6 + 2113139*x^5 - 464614*x^4 - 105196*x^3 + 15281*x^2 + 3344*x - 204, -x^38 + 13*x^37 - 27*x^36 - 355*x^35 + 1817*x^34 + 2476*x^33 - 33503*x^32 + 26592*x^31 + 314209*x^30 - 648364*x^29 - 1619358*x^28 + 5873699*x^27 + 3523129*x^26 - 31262147*x^25 + 9373923*x^24 + 106820857*x^23 - 98396396*x^22 - 234857460*x^21 + 362284643*x^20 + 304032624*x^19 - 788405955*x^18 - 132554433*x^17 + 1095471661*x^16 - 249608715*x^15 - 963952644*x^14 + 502506022*x^13 + 497932518*x^12 - 410422276*x^11 - 116751232*x^10 + 171151890*x^9 - 5838499*x^8 - 33078258*x^7 + 6545824*x^6 + 2113139*x^5 - 464614*x^4 - 105196*x^3 + 15281*x^2 + 3344*x - 204, -x^38 + 13*x^37 - 28*x^36 - 343*x^35 + 1800*x^34 + 2122*x^33 - 31988*x^32 + 29553*x^31 + 285594*x^30 - 633734*x^29 - 1358962*x^28 + 5402750*x^27 + 2279544*x^26 - 27147018*x^25 + 11632430*x^24 + 87067644*x^23 - 90888487*x^22 - 177270382*x^21 + 302854082*x^20 + 204186347*x^19 - 610473781*x^18 - 50518354*x^17 + 788965139*x^16 - 218537186*x^15 - 643362569*x^14 + 351996044*x^13 + 304173994*x^12 - 250164618*x^11 - 63758201*x^10 + 87064288*x^9 - 1626078*x^8 - 11280548*x^7 + 871992*x^6 - 213282*x^5 + 489259*x^4 + 9777*x^3 - 56051*x^2 + 3839*x + 984, -x^38 + 13*x^37 - 28*x^36 - 343*x^35 + 1800*x^34 + 2122*x^33 - 31988*x^32 + 29553*x^31 + 285594*x^30 - 633734*x^29 - 1358962*x^28 + 5402750*x^27 + 2279544*x^26 - 27147018*x^25 + 11632430*x^24 + 87067644*x^23 - 90888487*x^22 - 177270382*x^21 + 302854082*x^20 + 204186347*x^19 - 610473781*x^18 - 50518354*x^17 + 788965139*x^16 - 218537186*x^15 - 643362569*x^14 + 351996044*x^13 + 304173994*x^12 - 250164618*x^11 - 63758201*x^10 + 87064288*x^9 - 1626078*x^8 - 11280548*x^7 + 871992*x^6 - 213282*x^5 + 489259*x^4 + 9777*x^3 - 56051*x^2 + 3839*x + 984, -x^38 + 13*x^37 - 27*x^36 - 355*x^35 + 1816*x^34 + 2486*x^33 - 33493*x^32 + 26154*x^31 + 315276*x^30 - 642177*x^29 - 1648779*x^28 + 5848917*x^27 + 3858606*x^26 - 31508388*x^25 + 7323372*x^24 + 110473812*x^23 - 91649665*x^22 - 256338660*x^21 + 354591050*x^20 + 376787828*x^19 - 815211830*x^18 - 283913265*x^17 + 1230218207*x^16 - 62188763*x^15 - 1240874956*x^14 + 390708084*x^13 + 820935115*x^12 - 427931615*x^11 - 336065769*x^10 + 245438486*x^9 + 73347260*x^8 - 79399522*x^7 - 3934346*x^6 + 13540053*x^5 - 1327585*x^4 - 914596*x^3 + 154929*x^2 + 10528*x - 1692, -x^38 + 13*x^37 - 27*x^36 - 355*x^35 + 1816*x^34 + 2486*x^33 - 33493*x^32 + 26154*x^31 + 315276*x^30 - 642177*x^29 - 1648779*x^28 + 5848917*x^27 + 3858606*x^26 - 31508388*x^25 + 7323372*x^24 + 110473812*x^23 - 91649665*x^22 - 256338660*x^21 + 354591050*x^20 + 376787828*x^19 - 815211830*x^18 - 283913265*x^17 + 1230218207*x^16 - 62188763*x^15 - 1240874956*x^14 + 390708084*x^13 + 820935115*x^12 - 427931615*x^11 - 336065769*x^10 + 245438486*x^9 + 73347260*x^8 - 79399522*x^7 - 3934346*x^6 + 13540053*x^5 - 1327585*x^4 - 914596*x^3 + 154929*x^2 + 10528*x - 1692, -x^37 + 15*x^36 - 55*x^35 - 269*x^34 + 2386*x^33 - 1560*x^32 - 33357*x^31 + 85985*x^30 + 202349*x^29 - 1061085*x^28 - 108962*x^27 + 6935797*x^26 - 6783163*x^25 - 26624848*x^24 + 51448335*x^23 + 54976695*x^22 - 201715236*x^21 - 15306638*x^20 + 489355292*x^19 - 244629158*x^18 - 750418445*x^17 + 737263991*x^16 + 678426502*x^15 - 1116739033*x^14 - 248138599*x^13 + 1004047102*x^12 - 140651018*x^11 - 533587176*x^10 + 203972081*x^9 + 151238268*x^8 - 91998438*x^7 - 16023644*x^6 + 17596165*x^5 - 679949*x^4 - 1178267*x^3 + 110119*x^2 + 19871*x - 672, -x^37 + 15*x^36 - 55*x^35 - 269*x^34 + 2386*x^33 - 1560*x^32 - 33357*x^31 + 85985*x^30 + 202349*x^29 - 1061085*x^28 - 108962*x^27 + 6935797*x^26 - 6783163*x^25 - 26624848*x^24 + 51448335*x^23 + 54976695*x^22 - 201715236*x^21 - 15306638*x^20 + 489355292*x^19 - 244629158*x^18 - 750418445*x^17 + 737263991*x^16 + 678426502*x^15 - 1116739033*x^14 - 248138599*x^13 + 1004047102*x^12 - 140651018*x^11 - 533587176*x^10 + 203972081*x^9 + 151238268*x^8 - 91998438*x^7 - 16023644*x^6 + 17596165*x^5 - 679949*x^4 - 1178267*x^3 + 110119*x^2 + 19871*x - 672, -x^37 + 12*x^36 - 16*x^35 - 358*x^34 + 1424*x^33 + 3651*x^32 - 28323*x^31 - 1432*x^30 + 292866*x^29 - 325234*x^28 - 1825204*x^27 + 3700314*x^26 + 6943535*x^25 - 22513170*x^24 - 13581911*x^23 + 88492472*x^22 - 6378533*x^21 - 236557811*x^20 + 124416827*x^19 + 431996824*x^18 - 390492221*x^17 - 521255640*x^16 + 688706810*x^15 + 374055215*x^14 - 762938589*x^13 - 99437496*x^12 + 530543845*x^11 - 62876098*x^10 - 219244369*x^9 + 61292243*x^8 + 48030403*x^7 - 18694668*x^6 - 4579286*x^5 + 2191762*x^4 + 139617*x^3 - 80725*x^2 - 1690*x + 515, -x^37 + 12*x^36 - 16*x^35 - 358*x^34 + 1424*x^33 + 3651*x^32 - 28323*x^31 - 1432*x^30 + 292866*x^29 - 325234*x^28 - 1825204*x^27 + 3700314*x^26 + 6943535*x^25 - 22513170*x^24 - 13581911*x^23 + 88492472*x^22 - 6378533*x^21 - 236557811*x^20 + 124416827*x^19 + 431996824*x^18 - 390492221*x^17 - 521255640*x^16 + 688706810*x^15 + 374055215*x^14 - 762938589*x^13 - 99437496*x^12 + 530543845*x^11 - 62876098*x^10 - 219244369*x^9 + 61292243*x^8 + 48030403*x^7 - 18694668*x^6 - 4579286*x^5 + 2191762*x^4 + 139617*x^3 - 80725*x^2 - 1690*x + 515, x^38 - 15*x^37 + 53*x^36 + 299*x^35 - 2502*x^34 + 1110*x^33 + 37805*x^32 - 90483*x^31 - 256512*x^30 + 1222889*x^29 + 358396*x^28 - 8640976*x^27 + 7351053*x^26 + 36033833*x^25 - 64594281*x^24 - 83111477*x^23 + 276864002*x^22 + 44895062*x^21 - 724834260*x^20 + 338496764*x^19 + 1188784281*x^18 - 1175997244*x^17 - 1123017486*x^16 + 1946864299*x^15 + 355998264*x^14 - 1873751106*x^13 + 423829071*x^12 + 1028338898*x^11 - 552873586*x^10 - 264252813*x^9 + 260834189*x^8 - 364498*x^7 - 51108321*x^6 + 11346443*x^5 + 2624274*x^4 - 1006490*x^3 + 6828*x^2 + 15137*x + 47, x^38 - 15*x^37 + 53*x^36 + 299*x^35 - 2502*x^34 + 1110*x^33 + 37805*x^32 - 90483*x^31 - 256512*x^30 + 1222889*x^29 + 358396*x^28 - 8640976*x^27 + 7351053*x^26 + 36033833*x^25 - 64594281*x^24 - 83111477*x^23 + 276864002*x^22 + 44895062*x^21 - 724834260*x^20 + 338496764*x^19 + 1188784281*x^18 - 1175997244*x^17 - 1123017486*x^16 + 1946864299*x^15 + 355998264*x^14 - 1873751106*x^13 + 423829071*x^12 + 1028338898*x^11 - 552873586*x^10 - 264252813*x^9 + 260834189*x^8 - 364498*x^7 - 51108321*x^6 + 11346443*x^5 + 2624274*x^4 - 1006490*x^3 + 6828*x^2 + 15137*x + 47, -x^37 + 12*x^36 - 16*x^35 - 362*x^34 + 1476*x^33 + 3513*x^32 - 29353*x^31 + 4829*x^30 + 294686*x^29 - 411360*x^28 - 1698147*x^27 + 4269459*x^26 + 5289702*x^25 - 24160558*x^24 - 3297661*x^23 + 86635900*x^22 - 44075455*x^21 - 203091957*x^20 + 208068571*x^19 + 301456870*x^18 - 491920509*x^17 - 241017353*x^16 + 714752482*x^15 + 6586859*x^14 - 654021133*x^13 + 193676945*x^12 + 359707634*x^11 - 194172350*x^10 - 102514629*x^9 + 86339926*x^8 + 7914809*x^7 - 17416713*x^6 + 1777194*x^5 + 1306281*x^4 - 249443*x^3 - 16680*x^2 + 3173*x + 239, -x^37 + 12*x^36 - 16*x^35 - 362*x^34 + 1476*x^33 + 3513*x^32 - 29353*x^31 + 4829*x^30 + 294686*x^29 - 411360*x^28 - 1698147*x^27 + 4269459*x^26 + 5289702*x^25 - 24160558*x^24 - 3297661*x^23 + 86635900*x^22 - 44075455*x^21 - 203091957*x^20 + 208068571*x^19 + 301456870*x^18 - 491920509*x^17 - 241017353*x^16 + 714752482*x^15 + 6586859*x^14 - 654021133*x^13 + 193676945*x^12 + 359707634*x^11 - 194172350*x^10 - 102514629*x^9 + 86339926*x^8 + 7914809*x^7 - 17416713*x^6 + 1777194*x^5 + 1306281*x^4 - 249443*x^3 - 16680*x^2 + 3173*x + 239, x^38 - 15*x^37 + 53*x^36 + 299*x^35 - 2502*x^34 + 1113*x^33 + 37759*x^32 - 90279*x^31 - 256126*x^30 + 1217040*x^29 + 369074*x^28 - 8591002*x^27 + 7139709*x^26 + 35970742*x^25 - 62997734*x^24 - 84836971*x^23 + 270818669*x^22 + 58585073*x^21 - 715489780*x^20 + 287928468*x^19 + 1202007565*x^18 - 1069775434*x^17 - 1214031987*x^16 + 1821923022*x^15 + 546185333*x^14 - 1812740606*x^13 + 210895613*x^12 + 1057457523*x^11 - 419172755*x^10 - 321055939*x^9 + 218289716*x^8 + 29907051*x^7 - 47142862*x^6 + 4685281*x^5 + 3421537*x^4 - 591047*x^3 - 79056*x^2 + 11185*x + 1141, x^38 - 15*x^37 + 53*x^36 + 299*x^35 - 2502*x^34 + 1113*x^33 + 37759*x^32 - 90279*x^31 - 256126*x^30 + 1217040*x^29 + 369074*x^28 - 8591002*x^27 + 7139709*x^26 + 35970742*x^25 - 62997734*x^24 - 84836971*x^23 + 270818669*x^22 + 58585073*x^21 - 715489780*x^20 + 287928468*x^19 + 1202007565*x^18 - 1069775434*x^17 - 1214031987*x^16 + 1821923022*x^15 + 546185333*x^14 - 1812740606*x^13 + 210895613*x^12 + 1057457523*x^11 - 419172755*x^10 - 321055939*x^9 + 218289716*x^8 + 29907051*x^7 - 47142862*x^6 + 4685281*x^5 + 3421537*x^4 - 591047*x^3 - 79056*x^2 + 11185*x + 1141, x^37 - 14*x^36 + 42*x^35 + 299*x^34 - 2067*x^33 - 199*x^32 + 31846*x^31 - 56702*x^30 - 236324*x^29 + 820709*x^28 + 720315*x^27 - 5958632*x^26 + 2002594*x^25 + 26149997*x^24 - 29388458*x^23 - 70773275*x^22 + 138229653*x^21 + 104171216*x^20 - 380805217*x^19 - 12703733*x^18 + 672249030*x^17 - 275743657*x^16 - 760207495*x^15 + 587838798*x^14 + 513111925*x^13 - 626853772*x^12 - 155572176*x^11 + 382089547*x^10 - 26450701*x^9 - 128090486*x^8 + 34148690*x^7 + 19982103*x^6 - 8425362*x^5 - 883853*x^4 + 617053*x^3 + 6243*x^2 - 12429*x - 673, x^37 - 14*x^36 + 42*x^35 + 299*x^34 - 2067*x^33 - 199*x^32 + 31846*x^31 - 56702*x^30 - 236324*x^29 + 820709*x^28 + 720315*x^27 - 5958632*x^26 + 2002594*x^25 + 26149997*x^24 - 29388458*x^23 - 70773275*x^22 + 138229653*x^21 + 104171216*x^20 - 380805217*x^19 - 12703733*x^18 + 672249030*x^17 - 275743657*x^16 - 760207495*x^15 + 587838798*x^14 + 513111925*x^13 - 626853772*x^12 - 155572176*x^11 + 382089547*x^10 - 26450701*x^9 - 128090486*x^8 + 34148690*x^7 + 19982103*x^6 - 8425362*x^5 - 883853*x^4 + 617053*x^3 + 6243*x^2 - 12429*x - 673, x^37 - 14*x^36 + 43*x^35 + 285*x^34 - 2027*x^33 + 121*x^32 + 29758*x^31 - 57369*x^30 - 203253*x^29 + 768997*x^28 + 467140*x^27 - 5180771*x^26 + 2872776*x^25 + 20535729*x^24 - 28538044*x^23 - 46702609*x^22 + 116319608*x^21 + 41030804*x^20 - 278541733*x^19 + 79448512*x^18 + 410580054*x^17 - 308942513*x^16 - 350476999*x^15 + 458097519*x^14 + 123158593*x^13 - 371897660*x^12 + 49559259*x^11 + 166657561*x^10 - 66624465*x^9 - 35898088*x^8 + 25371103*x^7 + 1593517*x^6 - 4211911*x^5 + 612903*x^4 + 246109*x^3 - 74689*x^2 + 1128*x + 1177, x^37 - 14*x^36 + 43*x^35 + 285*x^34 - 2027*x^33 + 121*x^32 + 29758*x^31 - 57369*x^30 - 203253*x^29 + 768997*x^28 + 467140*x^27 - 5180771*x^26 + 2872776*x^25 + 20535729*x^24 - 28538044*x^23 - 46702609*x^22 + 116319608*x^21 + 41030804*x^20 - 278541733*x^19 + 79448512*x^18 + 410580054*x^17 - 308942513*x^16 - 350476999*x^15 + 458097519*x^14 + 123158593*x^13 - 371897660*x^12 + 49559259*x^11 + 166657561*x^10 - 66624465*x^9 - 35898088*x^8 + 25371103*x^7 + 1593517*x^6 - 4211911*x^5 + 612903*x^4 + 246109*x^3 - 74689*x^2 + 1128*x + 1177, -x^36 + 12*x^35 - 20*x^34 - 307*x^33 + 1305*x^32 + 2510*x^31 - 22122*x^30 + 3408*x^29 + 198698*x^28 - 222824*x^27 - 1113019*x^26 + 2043513*x^25 + 4168650*x^24 - 10828814*x^23 - 10631653*x^22 + 39676621*x^21 + 16821366*x^20 - 107137795*x^19 - 5325821*x^18 + 214801674*x^17 - 53150222*x^16 - 308597056*x^15 + 157081112*x^14 + 295724509*x^13 - 228119073*x^12 - 165845684*x^11 + 188406756*x^10 + 36223178*x^9 - 85251976*x^8 + 8818366*x^7 + 18094837*x^6 - 5186276*x^5 - 1144828*x^4 + 532701*x^3 - 9282*x^2 - 8424*x - 11, -x^36 + 12*x^35 - 20*x^34 - 307*x^33 + 1305*x^32 + 2510*x^31 - 22122*x^30 + 3408*x^29 + 198698*x^28 - 222824*x^27 - 1113019*x^26 + 2043513*x^25 + 4168650*x^24 - 10828814*x^23 - 10631653*x^22 + 39676621*x^21 + 16821366*x^20 - 107137795*x^19 - 5325821*x^18 + 214801674*x^17 - 53150222*x^16 - 308597056*x^15 + 157081112*x^14 + 295724509*x^13 - 228119073*x^12 - 165845684*x^11 + 188406756*x^10 + 36223178*x^9 - 85251976*x^8 + 8818366*x^7 + 18094837*x^6 - 5186276*x^5 - 1144828*x^4 + 532701*x^3 - 9282*x^2 - 8424*x - 11, x^37 - 14*x^36 + 40*x^35 + 326*x^34 - 2144*x^33 - 744*x^32 + 35408*x^31 - 56154*x^30 - 287284*x^29 + 904712*x^28 + 1068937*x^27 - 7079722*x^26 + 1018389*x^25 + 33480948*x^24 - 31566110*x^23 - 99134522*x^22 + 167847498*x^21 + 169871354*x^20 - 500854839*x^19 - 90401563*x^18 + 947228816*x^17 - 283974957*x^16 - 1145817303*x^15 + 762698979*x^14 + 833929395*x^13 - 894466452*x^12 - 286630200*x^11 + 579212724*x^10 - 28390054*x^9 - 199972331*x^8 + 56064723*x^7 + 29360040*x^6 - 14633662*x^5 - 342209*x^4 + 1005368*x^3 - 98540*x^2 - 12735*x + 1357, x^37 - 14*x^36 + 40*x^35 + 326*x^34 - 2144*x^33 - 744*x^32 + 35408*x^31 - 56154*x^30 - 287284*x^29 + 904712*x^28 + 1068937*x^27 - 7079722*x^26 + 1018389*x^25 + 33480948*x^24 - 31566110*x^23 - 99134522*x^22 + 167847498*x^21 + 169871354*x^20 - 500854839*x^19 - 90401563*x^18 + 947228816*x^17 - 283974957*x^16 - 1145817303*x^15 + 762698979*x^14 + 833929395*x^13 - 894466452*x^12 - 286630200*x^11 + 579212724*x^10 - 28390054*x^9 - 199972331*x^8 + 56064723*x^7 + 29360040*x^6 - 14633662*x^5 - 342209*x^4 + 1005368*x^3 - 98540*x^2 - 12735*x + 1357, x^39 - 14*x^38 + 39*x^37 + 340*x^36 - 2187*x^35 - 1033*x^34 + 37473*x^33 - 56236*x^32 - 318512*x^31 + 964834*x^30 + 1294044*x^29 - 7926330*x^28 + 408417*x^27 + 39590426*x^26 - 34350523*x^25 - 125966348*x^24 + 201609255*x^23 + 242425980*x^22 - 657824298*x^21 - 193659233*x^20 + 1385606496*x^19 - 297189726*x^18 - 1937691869*x^17 + 1135367595*x^16 + 1751424282*x^15 - 1672497441*x^14 - 912606346*x^13 + 1424872832*x^12 + 144178890*x^11 - 726714305*x^10 + 118072353*x^9 + 205446332*x^8 - 74094786*x^7 - 24559421*x^6 + 15144797*x^5 - 199667*x^4 - 893344*x^3 + 98396*x^2 + 9438*x - 1153, x^39 - 14*x^38 + 39*x^37 + 340*x^36 - 2187*x^35 - 1033*x^34 + 37473*x^33 - 56236*x^32 - 318512*x^31 + 964834*x^30 + 1294044*x^29 - 7926330*x^28 + 408417*x^27 + 39590426*x^26 - 34350523*x^25 - 125966348*x^24 + 201609255*x^23 + 242425980*x^22 - 657824298*x^21 - 193659233*x^20 + 1385606496*x^19 - 297189726*x^18 - 1937691869*x^17 + 1135367595*x^16 + 1751424282*x^15 - 1672497441*x^14 - 912606346*x^13 + 1424872832*x^12 + 144178890*x^11 - 726714305*x^10 + 118072353*x^9 + 205446332*x^8 - 74094786*x^7 - 24559421*x^6 + 15144797*x^5 - 199667*x^4 - 893344*x^3 + 98396*x^2 + 9438*x - 1153, -3*x^35 + 38*x^34 - 85*x^33 - 878*x^32 + 4629*x^31 + 4263*x^30 - 72312*x^29 + 72175*x^28 + 564856*x^27 - 1259301*x^26 - 2303242*x^25 + 9230467*x^24 + 2865917*x^23 - 39822868*x^22 + 18253880*x^21 + 108306446*x^20 - 110798048*x^19 - 182903598*x^18 + 301421510*x^17 + 166804696*x^16 - 489628437*x^15 - 17245423*x^14 + 495702034*x^13 - 138143305*x^12 - 303715366*x^11 + 155415922*x^10 + 101790267*x^9 - 76799039*x^8 - 14050974*x^7 + 18321915*x^6 - 257631*x^5 - 2044983*x^4 + 222986*x^3 + 75904*x^2 - 6773*x - 1223, -3*x^35 + 38*x^34 - 85*x^33 - 878*x^32 + 4629*x^31 + 4263*x^30 - 72312*x^29 + 72175*x^28 + 564856*x^27 - 1259301*x^26 - 2303242*x^25 + 9230467*x^24 + 2865917*x^23 - 39822868*x^22 + 18253880*x^21 + 108306446*x^20 - 110798048*x^19 - 182903598*x^18 + 301421510*x^17 + 166804696*x^16 - 489628437*x^15 - 17245423*x^14 + 495702034*x^13 - 138143305*x^12 - 303715366*x^11 + 155415922*x^10 + 101790267*x^9 - 76799039*x^8 - 14050974*x^7 + 18321915*x^6 - 257631*x^5 - 2044983*x^4 + 222986*x^3 + 75904*x^2 - 6773*x - 1223, x^37 - 14*x^36 + 40*x^35 + 328*x^34 - 2173*x^33 - 636*x^32 + 35809*x^31 - 59910*x^30 - 284032*x^29 + 947327*x^28 + 957660*x^27 - 7284973*x^26 + 2103881*x^25 + 33517083*x^24 - 37303491*x^23 - 94294680*x^22 + 186188534*x^21 + 141438477*x^20 - 536032244*x^19 - 1969586*x^18 + 980204419*x^17 - 458924677*x^16 - 1133080566*x^15 + 993919765*x^14 + 751400555*x^13 - 1098306352*x^12 - 169457708*x^11 + 692701645*x^10 - 118135482*x^9 - 233677194*x^8 + 94568685*x^7 + 31577079*x^6 - 22745859*x^5 + 636614*x^4 + 1593411*x^3 - 212032*x^2 - 18420*x + 2352, x^37 - 14*x^36 + 40*x^35 + 328*x^34 - 2173*x^33 - 636*x^32 + 35809*x^31 - 59910*x^30 - 284032*x^29 + 947327*x^28 + 957660*x^27 - 7284973*x^26 + 2103881*x^25 + 33517083*x^24 - 37303491*x^23 - 94294680*x^22 + 186188534*x^21 + 141438477*x^20 - 536032244*x^19 - 1969586*x^18 + 980204419*x^17 - 458924677*x^16 - 1133080566*x^15 + 993919765*x^14 + 751400555*x^13 - 1098306352*x^12 - 169457708*x^11 + 692701645*x^10 - 118135482*x^9 - 233677194*x^8 + 94568685*x^7 + 31577079*x^6 - 22745859*x^5 + 636614*x^4 + 1593411*x^3 - 212032*x^2 - 18420*x + 2352, x^39 - 14*x^38 + 39*x^37 + 340*x^36 - 2187*x^35 - 1031*x^34 + 37446*x^33 - 56150*x^32 - 318089*x^31 + 961674*x^30 + 1295283*x^29 - 7889550*x^28 + 333132*x^27 + 39397109*x^26 - 33593227*x^25 - 125677426*x^24 + 197648348*x^23 + 244529418*x^22 - 645339654*x^21 - 208101059*x^20 + 1361251981*x^19 - 252594018*x^18 - 1910323141*x^17 + 1050629492*x^16 + 1741454662*x^15 - 1565785415*x^14 - 931213026*x^13 + 1334828760*x^12 + 178216568*x^11 - 677691815*x^10 + 90986712*x^9 + 190236985*x^8 - 62312025*x^7 - 22957452*x^6 + 12627343*x^5 + 99924*x^4 - 757871*x^3 + 68288*x^2 + 9033*x - 660, x^39 - 14*x^38 + 39*x^37 + 340*x^36 - 2187*x^35 - 1031*x^34 + 37446*x^33 - 56150*x^32 - 318089*x^31 + 961674*x^30 + 1295283*x^29 - 7889550*x^28 + 333132*x^27 + 39397109*x^26 - 33593227*x^25 - 125677426*x^24 + 197648348*x^23 + 244529418*x^22 - 645339654*x^21 - 208101059*x^20 + 1361251981*x^19 - 252594018*x^18 - 1910323141*x^17 + 1050629492*x^16 + 1741454662*x^15 - 1565785415*x^14 - 931213026*x^13 + 1334828760*x^12 + 178216568*x^11 - 677691815*x^10 + 90986712*x^9 + 190236985*x^8 - 62312025*x^7 - 22957452*x^6 + 12627343*x^5 + 99924*x^4 - 757871*x^3 + 68288*x^2 + 9033*x - 660, x^38 - 14*x^37 + 41*x^36 + 314*x^35 - 2126*x^34 - 412*x^33 + 34042*x^32 - 59154*x^31 - 262399*x^30 + 902392*x^29 + 834073*x^28 - 6807330*x^27 + 2351770*x^26 + 30829279*x^25 - 36280693*x^24 - 84918119*x^23 + 177547638*x^22 + 119697918*x^21 - 506937056*x^20 + 33973219*x^19 + 918847774*x^18 - 505529631*x^17 - 1038546809*x^16 + 1042492862*x^15 + 635931193*x^14 - 1130115728*x^13 - 61312926*x^12 + 692198273*x^11 - 185565170*x^10 - 213927085*x^9 + 116587616*x^8 + 17411856*x^7 - 23978797*x^6 + 4265841*x^5 + 660388*x^4 - 408901*x^3 + 89484*x^2 - 2124*x - 1680, x^38 - 14*x^37 + 41*x^36 + 314*x^35 - 2126*x^34 - 412*x^33 + 34042*x^32 - 59154*x^31 - 262399*x^30 + 902392*x^29 + 834073*x^28 - 6807330*x^27 + 2351770*x^26 + 30829279*x^25 - 36280693*x^24 - 84918119*x^23 + 177547638*x^22 + 119697918*x^21 - 506937056*x^20 + 33973219*x^19 + 918847774*x^18 - 505529631*x^17 - 1038546809*x^16 + 1042492862*x^15 + 635931193*x^14 - 1130115728*x^13 - 61312926*x^12 + 692198273*x^11 - 185565170*x^10 - 213927085*x^9 + 116587616*x^8 + 17411856*x^7 - 23978797*x^6 + 4265841*x^5 + 660388*x^4 - 408901*x^3 + 89484*x^2 - 2124*x - 1680, x^38 - 13*x^37 + 27*x^36 + 353*x^35 - 1791*x^34 - 2539*x^33 + 32907*x^32 - 23208*x^31 - 311962*x^30 + 595503*x^29 + 1686294*x^28 - 5471039*x^27 - 4595482*x^26 + 29814173*x^25 - 1663574*x^24 - 107094193*x^23 + 65977018*x^22 + 261700389*x^21 - 279804301*x^20 - 432432730*x^19 + 674632033*x^18 + 456890819*x^17 - 1070220996*x^16 - 243795914*x^15 + 1157151369*x^14 - 57248553*x^13 - 846696306*x^12 + 206278866*x^11 + 400017015*x^10 - 160039729*x^9 - 108591841*x^8 + 60956403*x^7 + 12232720*x^6 - 10733184*x^5 + 199702*x^4 + 612938*x^3 - 34297*x^2 - 10590*x - 24, x^38 - 13*x^37 + 27*x^36 + 353*x^35 - 1791*x^34 - 2539*x^33 + 32907*x^32 - 23208*x^31 - 311962*x^30 + 595503*x^29 + 1686294*x^28 - 5471039*x^27 - 4595482*x^26 + 29814173*x^25 - 1663574*x^24 - 107094193*x^23 + 65977018*x^22 + 261700389*x^21 - 279804301*x^20 - 432432730*x^19 + 674632033*x^18 + 456890819*x^17 - 1070220996*x^16 - 243795914*x^15 + 1157151369*x^14 - 57248553*x^13 - 846696306*x^12 + 206278866*x^11 + 400017015*x^10 - 160039729*x^9 - 108591841*x^8 + 60956403*x^7 + 12232720*x^6 - 10733184*x^5 + 199702*x^4 + 612938*x^3 - 34297*x^2 - 10590*x - 24, x^36 - 13*x^35 + 33*x^34 + 274*x^33 - 1589*x^32 - 804*x^31 + 22724*x^30 - 28855*x^29 - 158069*x^28 + 399230*x^27 + 532461*x^26 - 2495281*x^25 - 249622*x^24 + 8943249*x^23 - 4634105*x^22 - 18954349*x^21 + 16569206*x^20 + 22525950*x^19 - 19422821*x^18 - 15414887*x^17 - 17519994*x^16 + 23466931*x^15 + 82746257*x^14 - 66510508*x^13 - 107791537*x^12 + 101029713*x^11 + 66945696*x^10 - 79830440*x^9 - 17275324*x^8 + 32635552*x^7 - 420987*x^6 - 6250078*x^5 + 726356*x^4 + 490640*x^3 - 74694*x^2 - 8104*x + 696, x^36 - 13*x^35 + 33*x^34 + 274*x^33 - 1589*x^32 - 804*x^31 + 22724*x^30 - 28855*x^29 - 158069*x^28 + 399230*x^27 + 532461*x^26 - 2495281*x^25 - 249622*x^24 + 8943249*x^23 - 4634105*x^22 - 18954349*x^21 + 16569206*x^20 + 22525950*x^19 - 19422821*x^18 - 15414887*x^17 - 17519994*x^16 + 23466931*x^15 + 82746257*x^14 - 66510508*x^13 - 107791537*x^12 + 101029713*x^11 + 66945696*x^10 - 79830440*x^9 - 17275324*x^8 + 32635552*x^7 - 420987*x^6 - 6250078*x^5 + 726356*x^4 + 490640*x^3 - 74694*x^2 - 8104*x + 696, -x^35 + 13*x^34 - 34*x^33 - 263*x^32 + 1572*x^31 + 577*x^30 - 21856*x^29 + 30235*x^28 + 147329*x^27 - 397500*x^26 - 471643*x^25 + 2453889*x^24 + 84341*x^23 - 8992983*x^22 + 4946019*x^21 + 21113570*x^20 - 18944600*x^19 - 34291552*x^18 + 35920489*x^17 + 45853888*x^16 - 41997261*x^15 - 61085283*x^14 + 39117482*x^13 + 71735117*x^12 - 38421723*x^11 - 56316646*x^10 + 32202126*x^9 + 24325162*x^8 - 15884592*x^7 - 4813523*x^6 + 3692089*x^5 + 385922*x^4 - 371885*x^3 - 3603*x^2 + 8452*x + 708, -x^35 + 13*x^34 - 34*x^33 - 263*x^32 + 1572*x^31 + 577*x^30 - 21856*x^29 + 30235*x^28 + 147329*x^27 - 397500*x^26 - 471643*x^25 + 2453889*x^24 + 84341*x^23 - 8992983*x^22 + 4946019*x^21 + 21113570*x^20 - 18944600*x^19 - 34291552*x^18 + 35920489*x^17 + 45853888*x^16 - 41997261*x^15 - 61085283*x^14 + 39117482*x^13 + 71735117*x^12 - 38421723*x^11 - 56316646*x^10 + 32202126*x^9 + 24325162*x^8 - 15884592*x^7 - 4813523*x^6 + 3692089*x^5 + 385922*x^4 - 371885*x^3 - 3603*x^2 + 8452*x + 708, x^36 - 13*x^35 + 32*x^34 + 290*x^33 - 1653*x^32 - 1079*x^31 + 25382*x^30 - 30893*x^29 - 194171*x^28 + 492317*x^27 + 747058*x^26 - 3571274*x^25 - 452777*x^24 + 15543065*x^23 - 9881982*x^22 - 42871206*x^21 + 54108067*x^20 + 71956512*x^19 - 151153902*x^18 - 55206529*x^17 + 261175140*x^16 - 38348017*x^15 - 284767848*x^14 + 145355259*x^13 + 184007181*x^12 - 162495974*x^11 - 54729192*x^10 + 92670536*x^9 - 4797135*x^8 - 26340185*x^7 + 7114619*x^6 + 2945010*x^5 - 1276697*x^4 - 97418*x^3 + 78977*x^2 - 1045*x - 1404, x^36 - 13*x^35 + 32*x^34 + 290*x^33 - 1653*x^32 - 1079*x^31 + 25382*x^30 - 30893*x^29 - 194171*x^28 + 492317*x^27 + 747058*x^26 - 3571274*x^25 - 452777*x^24 + 15543065*x^23 - 9881982*x^22 - 42871206*x^21 + 54108067*x^20 + 71956512*x^19 - 151153902*x^18 - 55206529*x^17 + 261175140*x^16 - 38348017*x^15 - 284767848*x^14 + 145355259*x^13 + 184007181*x^12 - 162495974*x^11 - 54729192*x^10 + 92670536*x^9 - 4797135*x^8 - 26340185*x^7 + 7114619*x^6 + 2945010*x^5 - 1276697*x^4 - 97418*x^3 + 78977*x^2 - 1045*x - 1404, x^40 - 14*x^39 + 37*x^38 + 368*x^37 - 2267*x^36 - 1685*x^35 + 41766*x^34 - 54807*x^33 - 389224*x^32 + 1078525*x^31 + 1862518*x^30 - 9744722*x^29 - 1636273*x^28 + 53702441*x^27 - 37106094*x^26 - 191814354*x^25 + 267867110*x^24 + 432631650*x^23 - 1000665318*x^22 - 500254684*x^21 + 2390245057*x^20 - 203253760*x^19 - 3801108183*x^18 + 1854474020*x^17 + 3944662764*x^16 - 3375565826*x^15 - 2425755979*x^14 + 3355872491*x^13 + 567046125*x^12 - 1961332069*x^11 + 270928924*x^10 + 629738874*x^9 - 226337134*x^8 - 85151326*x^7 + 54020398*x^6 - 812926*x^5 - 3717320*x^4 + 491948*x^3 + 36907*x^2 - 5700*x - 23, x^40 - 14*x^39 + 37*x^38 + 368*x^37 - 2267*x^36 - 1685*x^35 + 41766*x^34 - 54807*x^33 - 389224*x^32 + 1078525*x^31 + 1862518*x^30 - 9744722*x^29 - 1636273*x^28 + 53702441*x^27 - 37106094*x^26 - 191814354*x^25 + 267867110*x^24 + 432631650*x^23 - 1000665318*x^22 - 500254684*x^21 + 2390245057*x^20 - 203253760*x^19 - 3801108183*x^18 + 1854474020*x^17 + 3944662764*x^16 - 3375565826*x^15 - 2425755979*x^14 + 3355872491*x^13 + 567046125*x^12 - 1961332069*x^11 + 270928924*x^10 + 629738874*x^9 - 226337134*x^8 - 85151326*x^7 + 54020398*x^6 - 812926*x^5 - 3717320*x^4 + 491948*x^3 + 36907*x^2 - 5700*x - 23, x^37 - 14*x^36 + 42*x^35 + 297*x^34 - 2047*x^33 - 189*x^32 + 31106*x^31 - 55019*x^30 - 225919*x^29 + 777518*x^28 + 661670*x^27 - 5459682*x^26 + 1897252*x^25 + 22857825*x^24 - 25696393*x^23 - 57750367*x^22 + 112705280*x^21 + 75472543*x^20 - 283834374*x^19 + 5290461*x^18 + 443923531*x^17 - 195460862*x^16 - 423400849*x^15 + 332034063*x^14 + 220153319*x^13 - 269273238*x^12 - 38446028*x^11 + 107555861*x^10 - 10507588*x^9 - 15138924*x^8 + 1588740*x^7 - 935755*x^6 + 1364099*x^5 + 61533*x^4 - 207354*x^3 + 19189*x^2 + 4028*x - 228, x^37 - 14*x^36 + 42*x^35 + 297*x^34 - 2047*x^33 - 189*x^32 + 31106*x^31 - 55019*x^30 - 225919*x^29 + 777518*x^28 + 661670*x^27 - 5459682*x^26 + 1897252*x^25 + 22857825*x^24 - 25696393*x^23 - 57750367*x^22 + 112705280*x^21 + 75472543*x^20 - 283834374*x^19 + 5290461*x^18 + 443923531*x^17 - 195460862*x^16 - 423400849*x^15 + 332034063*x^14 + 220153319*x^13 - 269273238*x^12 - 38446028*x^11 + 107555861*x^10 - 10507588*x^9 - 15138924*x^8 + 1588740*x^7 - 935755*x^6 + 1364099*x^5 + 61533*x^4 - 207354*x^3 + 19189*x^2 + 4028*x - 228, x^37 - 14*x^36 + 42*x^35 + 298*x^34 - 2053*x^33 - 247*x^32 + 31630*x^31 - 54904*x^30 - 237535*x^29 + 799619*x^28 + 772811*x^27 - 5858081*x^26 + 1474555*x^25 + 26193033*x^24 - 26666903*x^23 - 73734436*x^22 + 130546355*x^21 + 120384668*x^20 - 371729735*x^19 - 58420959*x^18 + 683792572*x^17 - 201884650*x^16 - 820270768*x^15 + 525958607*x^14 + 609275182*x^13 - 617515958*x^12 - 231342801*x^11 + 409363910*x^10 - 636312*x^9 - 149134379*x^8 + 34560971*x^7 + 24776219*x^6 - 10355341*x^5 - 822867*x^4 + 800249*x^3 - 47166*x^2 - 11592*x + 395, x^37 - 14*x^36 + 42*x^35 + 298*x^34 - 2053*x^33 - 247*x^32 + 31630*x^31 - 54904*x^30 - 237535*x^29 + 799619*x^28 + 772811*x^27 - 5858081*x^26 + 1474555*x^25 + 26193033*x^24 - 26666903*x^23 - 73734436*x^22 + 130546355*x^21 + 120384668*x^20 - 371729735*x^19 - 58420959*x^18 + 683792572*x^17 - 201884650*x^16 - 820270768*x^15 + 525958607*x^14 + 609275182*x^13 - 617515958*x^12 - 231342801*x^11 + 409363910*x^10 - 636312*x^9 - 149134379*x^8 + 34560971*x^7 + 24776219*x^6 - 10355341*x^5 - 822867*x^4 + 800249*x^3 - 47166*x^2 - 11592*x + 395, x^36 - 13*x^35 + 30*x^34 + 318*x^33 - 1751*x^32 - 1477*x^31 + 28796*x^30 - 33389*x^29 - 232123*x^28 + 585714*x^27 + 922804*x^26 - 4456253*x^25 - 455754*x^24 + 19930749*x^23 - 13856860*x^22 - 55376249*x^21 + 75286320*x^20 + 90907163*x^19 - 209099413*x^18 - 61398273*x^17 + 356695078*x^16 - 67795762*x^15 - 382623576*x^14 + 201322329*x^13 + 246500451*x^12 - 209183702*x^11 - 81052274*x^10 + 113829446*x^9 + 4369455*x^8 - 32478662*x^7 + 4414900*x^6 + 4376695*x^5 - 944273*x^4 - 238038*x^3 + 54393*x^2 + 3596*x - 468, x^36 - 13*x^35 + 30*x^34 + 318*x^33 - 1751*x^32 - 1477*x^31 + 28796*x^30 - 33389*x^29 - 232123*x^28 + 585714*x^27 + 922804*x^26 - 4456253*x^25 - 455754*x^24 + 19930749*x^23 - 13856860*x^22 - 55376249*x^21 + 75286320*x^20 + 90907163*x^19 - 209099413*x^18 - 61398273*x^17 + 356695078*x^16 - 67795762*x^15 - 382623576*x^14 + 201322329*x^13 + 246500451*x^12 - 209183702*x^11 - 81052274*x^10 + 113829446*x^9 + 4369455*x^8 - 32478662*x^7 + 4414900*x^6 + 4376695*x^5 - 944273*x^4 - 238038*x^3 + 54393*x^2 + 3596*x - 468, x^38 - 13*x^37 + 27*x^36 + 355*x^35 - 1816*x^34 - 2486*x^33 + 33496*x^32 - 26191*x^31 - 315186*x^30 + 642870*x^29 + 1644921*x^28 - 5850561*x^27 - 3809231*x^26 + 31445641*x^25 - 7629482*x^24 - 109696348*x^23 + 92533393*x^22 + 251880494*x^21 - 354415423*x^20 - 361822612*x^19 + 804672510*x^18 + 253409115*x^17 - 1191253721*x^16 + 97259790*x^15 + 1165672617*x^14 - 404354422*x^13 - 734601828*x^12 + 410022790*x^11 + 277441633*x^10 - 217074870*x^9 - 52125417*x^8 + 62692500*x^7 + 1425914*x^6 - 8996406*x^5 + 766178*x^4 + 481793*x^3 - 36439*x^2 - 8691*x - 479, x^38 - 13*x^37 + 27*x^36 + 355*x^35 - 1816*x^34 - 2486*x^33 + 33496*x^32 - 26191*x^31 - 315186*x^30 + 642870*x^29 + 1644921*x^28 - 5850561*x^27 - 3809231*x^26 + 31445641*x^25 - 7629482*x^24 - 109696348*x^23 + 92533393*x^22 + 251880494*x^21 - 354415423*x^20 - 361822612*x^19 + 804672510*x^18 + 253409115*x^17 - 1191253721*x^16 + 97259790*x^15 + 1165672617*x^14 - 404354422*x^13 - 734601828*x^12 + 410022790*x^11 + 277441633*x^10 - 217074870*x^9 - 52125417*x^8 + 62692500*x^7 + 1425914*x^6 - 8996406*x^5 + 766178*x^4 + 481793*x^3 - 36439*x^2 - 8691*x - 479, x^39 - 14*x^38 + 39*x^37 + 340*x^36 - 2185*x^35 - 1059*x^34 + 37539*x^33 - 55683*x^32 - 321743*x^31 + 963252*x^30 + 1341112*x^29 - 7989001*x^28 + 75458*x^27 + 40483247*x^26 - 33244385*x^25 - 131819591*x^24 + 201713839*x^23 + 264944798*x^22 - 673767137*x^21 - 247096771*x^20 + 1452792499*x^19 - 220520101*x^18 - 2085032019*x^17 + 1075293790*x^16 + 1948800039*x^15 - 1655124686*x^14 - 1084696364*x^13 + 1428624747*x^12 + 250465336*x^11 - 727298245*x^10 + 66040261*x^9 + 205433315*x^8 - 54853157*x^7 - 26579458*x^6 + 11338155*x^5 + 713921*x^4 - 710019*x^3 + 35634*x^2 + 9267*x - 167, x^39 - 14*x^38 + 39*x^37 + 340*x^36 - 2185*x^35 - 1059*x^34 + 37539*x^33 - 55683*x^32 - 321743*x^31 + 963252*x^30 + 1341112*x^29 - 7989001*x^28 + 75458*x^27 + 40483247*x^26 - 33244385*x^25 - 131819591*x^24 + 201713839*x^23 + 264944798*x^22 - 673767137*x^21 - 247096771*x^20 + 1452792499*x^19 - 220520101*x^18 - 2085032019*x^17 + 1075293790*x^16 + 1948800039*x^15 - 1655124686*x^14 - 1084696364*x^13 + 1428624747*x^12 + 250465336*x^11 - 727298245*x^10 + 66040261*x^9 + 205433315*x^8 - 54853157*x^7 - 26579458*x^6 + 11338155*x^5 + 713921*x^4 - 710019*x^3 + 35634*x^2 + 9267*x - 167, x^37 - 12*x^36 + 17*x^35 + 348*x^34 - 1430*x^33 - 3272*x^32 + 27498*x^31 - 4158*x^30 - 270715*x^29 + 360962*x^28 + 1555997*x^27 - 3695336*x^26 - 5038902*x^25 + 20751475*x^24 + 5222257*x^23 - 74473605*x^22 + 28600428*x^21 + 176898774*x^20 - 153139508*x^19 - 272305797*x^18 + 374236180*x^17 + 242942729*x^16 - 552661351*x^15 - 62829840*x^14 + 510271513*x^13 - 109572702*x^12 - 280458330*x^11 + 131281613*x^10 + 76998056*x^9 - 59930973*x^8 - 3274330*x^7 + 10863196*x^6 - 2252405*x^5 - 238969*x^4 + 182450*x^3 - 44001*x^2 + 1482*x + 840, x^37 - 12*x^36 + 17*x^35 + 348*x^34 - 1430*x^33 - 3272*x^32 + 27498*x^31 - 4158*x^30 - 270715*x^29 + 360962*x^28 + 1555997*x^27 - 3695336*x^26 - 5038902*x^25 + 20751475*x^24 + 5222257*x^23 - 74473605*x^22 + 28600428*x^21 + 176898774*x^20 - 153139508*x^19 - 272305797*x^18 + 374236180*x^17 + 242942729*x^16 - 552661351*x^15 - 62829840*x^14 + 510271513*x^13 - 109572702*x^12 - 280458330*x^11 + 131281613*x^10 + 76998056*x^9 - 59930973*x^8 - 3274330*x^7 + 10863196*x^6 - 2252405*x^5 - 238969*x^4 + 182450*x^3 - 44001*x^2 + 1482*x + 840, 2*x^35 - 27*x^34 + 78*x^33 + 530*x^32 - 3505*x^31 - 311*x^30 + 48683*x^29 - 81604*x^28 - 322005*x^27 + 1038876*x^26 + 882019*x^25 - 6538198*x^24 + 1751490*x^23 + 24570655*x^22 - 23509070*x^21 - 56879536*x^20 + 91790843*x^19 + 75537862*x^18 - 204868275*x^17 - 34700927*x^16 + 289509034*x^15 - 56878347*x^14 - 263106874*x^13 + 117962233*x^12 + 147950761*x^11 - 99887984*x^10 - 44100142*x^9 + 45042222*x^8 + 2252703*x^7 - 9589225*x^6 + 1880109*x^5 + 387021*x^4 - 164419*x^3 + 21337*x^2 + 680*x - 697, 2*x^35 - 27*x^34 + 78*x^33 + 530*x^32 - 3505*x^31 - 311*x^30 + 48683*x^29 - 81604*x^28 - 322005*x^27 + 1038876*x^26 + 882019*x^25 - 6538198*x^24 + 1751490*x^23 + 24570655*x^22 - 23509070*x^21 - 56879536*x^20 + 91790843*x^19 + 75537862*x^18 - 204868275*x^17 - 34700927*x^16 + 289509034*x^15 - 56878347*x^14 - 263106874*x^13 + 117962233*x^12 + 147950761*x^11 - 99887984*x^10 - 44100142*x^9 + 45042222*x^8 + 2252703*x^7 - 9589225*x^6 + 1880109*x^5 + 387021*x^4 - 164419*x^3 + 21337*x^2 + 680*x - 697, x^36 - 12*x^35 + 16*x^34 + 360*x^33 - 1455*x^32 - 3529*x^31 + 28825*x^30 - 3499*x^29 - 288163*x^28 + 387326*x^27 + 1646614*x^26 - 4004417*x^25 - 5054282*x^24 + 22152449*x^23 + 3177605*x^22 - 76241332*x^21 + 38374682*x^20 + 167328069*x^19 - 170401261*x^18 - 223231773*x^17 + 367110371*x^16 + 143714222*x^15 - 467729680*x^14 + 32156744*x^13 + 354965140*x^12 - 130564324*x^11 - 146600017*x^10 + 93449283*x^9 + 23491418*x^8 - 28044793*x^7 + 1745630*x^6 + 3058158*x^5 - 509284*x^4 - 156384*x^3 + 45248*x^2 - 1112*x - 480, x^36 - 12*x^35 + 16*x^34 + 360*x^33 - 1455*x^32 - 3529*x^31 + 28825*x^30 - 3499*x^29 - 288163*x^28 + 387326*x^27 + 1646614*x^26 - 4004417*x^25 - 5054282*x^24 + 22152449*x^23 + 3177605*x^22 - 76241332*x^21 + 38374682*x^20 + 167328069*x^19 - 170401261*x^18 - 223231773*x^17 + 367110371*x^16 + 143714222*x^15 - 467729680*x^14 + 32156744*x^13 + 354965140*x^12 - 130564324*x^11 - 146600017*x^10 + 93449283*x^9 + 23491418*x^8 - 28044793*x^7 + 1745630*x^6 + 3058158*x^5 - 509284*x^4 - 156384*x^3 + 45248*x^2 - 1112*x - 480, x^36 - 10*x^35 - 9*x^34 + 413*x^33 - 865*x^32 - 6521*x^31 + 25572*x^30 + 44430*x^29 - 330791*x^28 + 126*x^27 + 2469572*x^26 - 2353185*x^25 - 11399685*x^24 + 19932638*x^23 + 31692661*x^22 - 90230361*x^21 - 41035306*x^20 + 257910094*x^19 - 40342828*x^18 - 481185401*x^17 + 280327867*x^16 + 571540421*x^15 - 560465373*x^14 - 386815340*x^13 + 614008245*x^12 + 83950247*x^11 - 386654204*x^10 + 67693061*x^9 + 128589924*x^8 - 51202807*x^7 - 16825805*x^6 + 11476856*x^5 - 142230*x^4 - 761972*x^3 + 76158*x^2 + 10651*x - 660, x^36 - 10*x^35 - 9*x^34 + 413*x^33 - 865*x^32 - 6521*x^31 + 25572*x^30 + 44430*x^29 - 330791*x^28 + 126*x^27 + 2469572*x^26 - 2353185*x^25 - 11399685*x^24 + 19932638*x^23 + 31692661*x^22 - 90230361*x^21 - 41035306*x^20 + 257910094*x^19 - 40342828*x^18 - 481185401*x^17 + 280327867*x^16 + 571540421*x^15 - 560465373*x^14 - 386815340*x^13 + 614008245*x^12 + 83950247*x^11 - 386654204*x^10 + 67693061*x^9 + 128589924*x^8 - 51202807*x^7 - 16825805*x^6 + 11476856*x^5 - 142230*x^4 - 761972*x^3 + 76158*x^2 + 10651*x - 660, x^38 - 14*x^37 + 41*x^36 + 312*x^35 - 2101*x^34 - 464*x^33 + 33439*x^32 - 56119*x^31 - 259007*x^30 + 853329*x^29 + 877658*x^28 - 6411864*x^27 + 1509939*x^26 + 29165484*x^25 - 29872578*x^24 - 82768733*x^23 + 149350543*x^22 + 133459995*x^21 - 430515502*x^20 - 51239560*x^19 + 797228390*x^18 - 273650599*x^17 - 957315916*x^16 + 677948278*x^15 + 705128422*x^14 - 797132016*x^13 - 255267863*x^12 + 541835551*x^11 - 19323493*x^10 - 210378474*x^9 + 54896361*x^8 + 41160012*x^7 - 18703446*x^6 - 2738994*x^5 + 2346913*x^4 - 47413*x^3 - 117124*x^2 + 7657*x + 1703, x^38 - 14*x^37 + 41*x^36 + 312*x^35 - 2101*x^34 - 464*x^33 + 33439*x^32 - 56119*x^31 - 259007*x^30 + 853329*x^29 + 877658*x^28 - 6411864*x^27 + 1509939*x^26 + 29165484*x^25 - 29872578*x^24 - 82768733*x^23 + 149350543*x^22 + 133459995*x^21 - 430515502*x^20 - 51239560*x^19 + 797228390*x^18 - 273650599*x^17 - 957315916*x^16 + 677948278*x^15 + 705128422*x^14 - 797132016*x^13 - 255267863*x^12 + 541835551*x^11 - 19323493*x^10 - 210378474*x^9 + 54896361*x^8 + 41160012*x^7 - 18703446*x^6 - 2738994*x^5 + 2346913*x^4 - 47413*x^3 - 117124*x^2 + 7657*x + 1703, x^36 - 12*x^35 + 20*x^34 + 309*x^33 - 1331*x^32 - 2443*x^31 + 22666*x^30 - 6666*x^29 - 199771*x^28 + 269057*x^27 + 1041994*x^26 - 2346515*x^25 - 3225145*x^24 + 11568203*x^23 + 4833938*x^22 - 37207837*x^21 + 3108157*x^20 + 82457519*x^19 - 31362122*x^18 - 130125909*x^17 + 72481262*x^16 + 150924479*x^15 - 97805868*x^14 - 132312634*x^13 + 90147208*x^12 + 86639495*x^11 - 60753059*x^10 - 38043353*x^9 + 29013396*x^8 + 8468941*x^7 - 8172895*x^6 - 222481*x^5 + 899034*x^4 - 66063*x^3 - 27786*x^2 + 1206*x + 265, x^36 - 12*x^35 + 20*x^34 + 309*x^33 - 1331*x^32 - 2443*x^31 + 22666*x^30 - 6666*x^29 - 199771*x^28 + 269057*x^27 + 1041994*x^26 - 2346515*x^25 - 3225145*x^24 + 11568203*x^23 + 4833938*x^22 - 37207837*x^21 + 3108157*x^20 + 82457519*x^19 - 31362122*x^18 - 130125909*x^17 + 72481262*x^16 + 150924479*x^15 - 97805868*x^14 - 132312634*x^13 + 90147208*x^12 + 86639495*x^11 - 60753059*x^10 - 38043353*x^9 + 29013396*x^8 + 8468941*x^7 - 8172895*x^6 - 222481*x^5 + 899034*x^4 - 66063*x^3 - 27786*x^2 + 1206*x + 265, x^37 - 12*x^36 + 16*x^35 + 361*x^34 - 1464*x^33 - 3537*x^32 + 29094*x^31 - 3618*x^30 - 293232*x^29 + 394068*x^28 + 1708198*x^27 - 4142237*x^26 - 5481896*x^25 + 23610560*x^24 + 4581393*x^23 - 85182317*x^22 + 39043737*x^21 + 200693870*x^20 - 194756859*x^19 - 298669377*x^18 + 465660305*x^17 + 237884019*x^16 - 673041835*x^15 - 4241624*x^14 + 600965620*x^13 - 190204142*x^12 - 310797725*x^11 + 183175312*x^10 + 73962741*x^9 - 75419068*x^8 + 1045439*x^7 + 12535132*x^6 - 2864759*x^5 - 384309*x^4 + 239639*x^3 - 40540*x^2 - 821*x + 1139, x^37 - 12*x^36 + 16*x^35 + 361*x^34 - 1464*x^33 - 3537*x^32 + 29094*x^31 - 3618*x^30 - 293232*x^29 + 394068*x^28 + 1708198*x^27 - 4142237*x^26 - 5481896*x^25 + 23610560*x^24 + 4581393*x^23 - 85182317*x^22 + 39043737*x^21 + 200693870*x^20 - 194756859*x^19 - 298669377*x^18 + 465660305*x^17 + 237884019*x^16 - 673041835*x^15 - 4241624*x^14 + 600965620*x^13 - 190204142*x^12 - 310797725*x^11 + 183175312*x^10 + 73962741*x^9 - 75419068*x^8 + 1045439*x^7 + 12535132*x^6 - 2864759*x^5 - 384309*x^4 + 239639*x^3 - 40540*x^2 - 821*x + 1139]>
       ]
>;
